"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// test/e2e/options.enableConstEnums.ts
var options_enableConstEnums_exports = {};
__export(options_enableConstEnums_exports, {
  input: () => input,
  options: () => options
});
module.exports = __toCommonJS(options_enableConstEnums_exports);
var input = {
  title: "Enum",
  type: "object",
  properties: {
    stringEnum: {
      type: "string",
      enum: ["a", "b", "c"]
    },
    impliedStringEnum: {
      enum: ["a", "b", "c"]
    },
    booleanEnum: {
      type: "boolean",
      enum: [true]
    },
    impliedBooleanEnum: {
      enum: [true]
    },
    integerEnum: {
      type: "integer",
      enum: [-1, 0, 1]
    },
    impliedIntegerEnum: {
      enum: [-1, 0, 1]
    },
    numberEnum: {
      type: "number",
      enum: [-1.1, 0, 1.2]
    },
    namedIntegerEnum: {
      type: "integer",
      enum: [1, 2, 3],
      tsEnumNames: ["One", "Two", "Three"]
    },
    impliedNamedIntegerEnum: {
      enum: [4, 5, 6],
      tsEnumNames: ["Four", "Five", "Six"]
    },
    impliedHeterogeneousEnum: {
      enum: [-20.1, null, "foo", false]
    },
    namedIntegerEnumTitle: {
      type: "integer",
      enum: [1, 2, 3],
      title: "NamedInteger",
      tsEnumNames: ["One", "Two", "Three"]
    },
    impliedNamedIntegerEnumTitle: {
      enum: [4, 5, 6],
      title: "ImpliedNamedInteger",
      tsEnumNames: ["Four", "Five", "Six"]
    },
    oneOfNamedEnum: {
      oneOf: [
        {
          type: "integer",
          enum: [1, 2, 3],
          title: "IntegerOneOfNamedEnum",
          tsEnumNames: ["One", "Two", "Three"]
        },
        {
          type: "string",
          enum: ["four", "five", "six"],
          title: "StringOneOfNamedEnum",
          tsEnumNames: ["Four", "Five", "Six"]
        }
      ]
    },
    anyOfNamedEnum: {
      anyOf: [
        {
          type: "integer",
          enum: [1, 2, 3],
          title: "IntegerAnyOfNamedEnum",
          tsEnumNames: ["One", "Two", "Three"]
        },
        {
          type: "string",
          enum: ["four", "five", "six"],
          title: "StringAnyOfNamedEnum",
          tsEnumNames: ["Four", "Five", "Six"]
        }
      ]
    },
    allOfNamedEnum: {
      allOf: [
        {
          type: "integer",
          enum: [1, 2, 3],
          title: "IntegerAllOfNamedEnum",
          tsEnumNames: ["One", "Two", "Three"]
        },
        {
          type: "string",
          enum: ["four", "five", "six"],
          title: "StringAllOfNamedEnum",
          tsEnumNames: ["Four", "Five", "Six"]
        }
      ]
    }
  },
  required: [
    "stringEnum",
    "impliedStringEnum",
    "booleanEnum",
    "impliedBooleanEnum",
    "integerEnum",
    "impliedIntegerEnum",
    "impliedNamedIntegerEnum",
    "namedIntegerEnumTitle",
    "impliedNamedIntegerEnumTitle",
    "oneOfNamedEnum",
    "anyOfNamedEnum",
    "allOfNamedEnum"
  ],
  additionalProperties: false
};
var options = {
  enableConstEnums: true
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  input,
  options
});
