"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// test/e2e/realWorld.fhir.ts
var realWorld_fhir_exports = {};
__export(realWorld_fhir_exports, {
  input: () => input,
  options: () => options
});
module.exports = __toCommonJS(realWorld_fhir_exports);
var input = {
  $schema: "http://json-schema.org/draft-06/schema#",
  id: "http://hl7.org/fhir/json-schema/4.0",
  description: "see http://hl7.org/fhir/json.html#schema for information about the FHIR Json Schemas",
  discriminator: {
    propertyName: "resourceType",
    mapping: {
      Account: "#/definitions/Account",
      ActivityDefinition: "#/definitions/ActivityDefinition",
      AdverseEvent: "#/definitions/AdverseEvent",
      AllergyIntolerance: "#/definitions/AllergyIntolerance",
      Appointment: "#/definitions/Appointment",
      AppointmentResponse: "#/definitions/AppointmentResponse",
      AuditEvent: "#/definitions/AuditEvent",
      Basic: "#/definitions/Basic",
      Binary: "#/definitions/Binary",
      BiologicallyDerivedProduct: "#/definitions/BiologicallyDerivedProduct",
      BodyStructure: "#/definitions/BodyStructure",
      Bundle: "#/definitions/Bundle",
      CapabilityStatement: "#/definitions/CapabilityStatement",
      CarePlan: "#/definitions/CarePlan",
      CareTeam: "#/definitions/CareTeam",
      CatalogEntry: "#/definitions/CatalogEntry",
      ChargeItem: "#/definitions/ChargeItem",
      ChargeItemDefinition: "#/definitions/ChargeItemDefinition",
      Claim: "#/definitions/Claim",
      ClaimResponse: "#/definitions/ClaimResponse",
      ClinicalImpression: "#/definitions/ClinicalImpression",
      CodeSystem: "#/definitions/CodeSystem",
      Communication: "#/definitions/Communication",
      CommunicationRequest: "#/definitions/CommunicationRequest",
      CompartmentDefinition: "#/definitions/CompartmentDefinition",
      Composition: "#/definitions/Composition",
      ConceptMap: "#/definitions/ConceptMap",
      Condition: "#/definitions/Condition",
      Consent: "#/definitions/Consent",
      Contract: "#/definitions/Contract",
      Coverage: "#/definitions/Coverage",
      CoverageEligibilityRequest: "#/definitions/CoverageEligibilityRequest",
      CoverageEligibilityResponse: "#/definitions/CoverageEligibilityResponse",
      DetectedIssue: "#/definitions/DetectedIssue",
      Device: "#/definitions/Device",
      DeviceDefinition: "#/definitions/DeviceDefinition",
      DeviceMetric: "#/definitions/DeviceMetric",
      DeviceRequest: "#/definitions/DeviceRequest",
      DeviceUseStatement: "#/definitions/DeviceUseStatement",
      DiagnosticReport: "#/definitions/DiagnosticReport",
      DocumentManifest: "#/definitions/DocumentManifest",
      DocumentReference: "#/definitions/DocumentReference",
      EffectEvidenceSynthesis: "#/definitions/EffectEvidenceSynthesis",
      Encounter: "#/definitions/Encounter",
      Endpoint: "#/definitions/Endpoint",
      EnrollmentRequest: "#/definitions/EnrollmentRequest",
      EnrollmentResponse: "#/definitions/EnrollmentResponse",
      EpisodeOfCare: "#/definitions/EpisodeOfCare",
      EventDefinition: "#/definitions/EventDefinition",
      Evidence: "#/definitions/Evidence",
      EvidenceVariable: "#/definitions/EvidenceVariable",
      ExampleScenario: "#/definitions/ExampleScenario",
      ExplanationOfBenefit: "#/definitions/ExplanationOfBenefit",
      FamilyMemberHistory: "#/definitions/FamilyMemberHistory",
      Flag: "#/definitions/Flag",
      Goal: "#/definitions/Goal",
      GraphDefinition: "#/definitions/GraphDefinition",
      Group: "#/definitions/Group",
      GuidanceResponse: "#/definitions/GuidanceResponse",
      HealthcareService: "#/definitions/HealthcareService",
      ImagingStudy: "#/definitions/ImagingStudy",
      Immunization: "#/definitions/Immunization",
      ImmunizationEvaluation: "#/definitions/ImmunizationEvaluation",
      ImmunizationRecommendation: "#/definitions/ImmunizationRecommendation",
      ImplementationGuide: "#/definitions/ImplementationGuide",
      InsurancePlan: "#/definitions/InsurancePlan",
      Invoice: "#/definitions/Invoice",
      Library: "#/definitions/Library",
      Linkage: "#/definitions/Linkage",
      List: "#/definitions/List",
      Location: "#/definitions/Location",
      Measure: "#/definitions/Measure",
      MeasureReport: "#/definitions/MeasureReport",
      Media: "#/definitions/Media",
      Medication: "#/definitions/Medication",
      MedicationAdministration: "#/definitions/MedicationAdministration",
      MedicationDispense: "#/definitions/MedicationDispense",
      MedicationKnowledge: "#/definitions/MedicationKnowledge",
      MedicationRequest: "#/definitions/MedicationRequest",
      MedicationStatement: "#/definitions/MedicationStatement",
      MedicinalProduct: "#/definitions/MedicinalProduct",
      MedicinalProductAuthorization: "#/definitions/MedicinalProductAuthorization",
      MedicinalProductContraindication: "#/definitions/MedicinalProductContraindication",
      MedicinalProductIndication: "#/definitions/MedicinalProductIndication",
      MedicinalProductIngredient: "#/definitions/MedicinalProductIngredient",
      MedicinalProductInteraction: "#/definitions/MedicinalProductInteraction",
      MedicinalProductManufactured: "#/definitions/MedicinalProductManufactured",
      MedicinalProductPackaged: "#/definitions/MedicinalProductPackaged",
      MedicinalProductPharmaceutical: "#/definitions/MedicinalProductPharmaceutical",
      MedicinalProductUndesirableEffect: "#/definitions/MedicinalProductUndesirableEffect",
      MessageDefinition: "#/definitions/MessageDefinition",
      MessageHeader: "#/definitions/MessageHeader",
      MolecularSequence: "#/definitions/MolecularSequence",
      NamingSystem: "#/definitions/NamingSystem",
      NutritionOrder: "#/definitions/NutritionOrder",
      Observation: "#/definitions/Observation",
      ObservationDefinition: "#/definitions/ObservationDefinition",
      OperationDefinition: "#/definitions/OperationDefinition",
      OperationOutcome: "#/definitions/OperationOutcome",
      Organization: "#/definitions/Organization",
      OrganizationAffiliation: "#/definitions/OrganizationAffiliation",
      Parameters: "#/definitions/Parameters",
      Patient: "#/definitions/Patient",
      PaymentNotice: "#/definitions/PaymentNotice",
      PaymentReconciliation: "#/definitions/PaymentReconciliation",
      Person: "#/definitions/Person",
      PlanDefinition: "#/definitions/PlanDefinition",
      Practitioner: "#/definitions/Practitioner",
      PractitionerRole: "#/definitions/PractitionerRole",
      Procedure: "#/definitions/Procedure",
      Provenance: "#/definitions/Provenance",
      Questionnaire: "#/definitions/Questionnaire",
      QuestionnaireResponse: "#/definitions/QuestionnaireResponse",
      RelatedPerson: "#/definitions/RelatedPerson",
      RequestGroup: "#/definitions/RequestGroup",
      ResearchDefinition: "#/definitions/ResearchDefinition",
      ResearchElementDefinition: "#/definitions/ResearchElementDefinition",
      ResearchStudy: "#/definitions/ResearchStudy",
      ResearchSubject: "#/definitions/ResearchSubject",
      RiskAssessment: "#/definitions/RiskAssessment",
      RiskEvidenceSynthesis: "#/definitions/RiskEvidenceSynthesis",
      Schedule: "#/definitions/Schedule",
      SearchParameter: "#/definitions/SearchParameter",
      ServiceRequest: "#/definitions/ServiceRequest",
      Slot: "#/definitions/Slot",
      Specimen: "#/definitions/Specimen",
      SpecimenDefinition: "#/definitions/SpecimenDefinition",
      StructureDefinition: "#/definitions/StructureDefinition",
      StructureMap: "#/definitions/StructureMap",
      Subscription: "#/definitions/Subscription",
      Substance: "#/definitions/Substance",
      SubstanceNucleicAcid: "#/definitions/SubstanceNucleicAcid",
      SubstancePolymer: "#/definitions/SubstancePolymer",
      SubstanceProtein: "#/definitions/SubstanceProtein",
      SubstanceReferenceInformation: "#/definitions/SubstanceReferenceInformation",
      SubstanceSourceMaterial: "#/definitions/SubstanceSourceMaterial",
      SubstanceSpecification: "#/definitions/SubstanceSpecification",
      SupplyDelivery: "#/definitions/SupplyDelivery",
      SupplyRequest: "#/definitions/SupplyRequest",
      Task: "#/definitions/Task",
      TerminologyCapabilities: "#/definitions/TerminologyCapabilities",
      TestReport: "#/definitions/TestReport",
      TestScript: "#/definitions/TestScript",
      ValueSet: "#/definitions/ValueSet",
      VerificationResult: "#/definitions/VerificationResult",
      VisionPrescription: "#/definitions/VisionPrescription"
    }
  },
  oneOf: [
    {
      $ref: "#/definitions/Account"
    },
    {
      $ref: "#/definitions/ActivityDefinition"
    },
    {
      $ref: "#/definitions/AdverseEvent"
    },
    {
      $ref: "#/definitions/AllergyIntolerance"
    },
    {
      $ref: "#/definitions/Appointment"
    },
    {
      $ref: "#/definitions/AppointmentResponse"
    },
    {
      $ref: "#/definitions/AuditEvent"
    },
    {
      $ref: "#/definitions/Basic"
    },
    {
      $ref: "#/definitions/Binary"
    },
    {
      $ref: "#/definitions/BiologicallyDerivedProduct"
    },
    {
      $ref: "#/definitions/BodyStructure"
    },
    {
      $ref: "#/definitions/Bundle"
    },
    {
      $ref: "#/definitions/CapabilityStatement"
    },
    {
      $ref: "#/definitions/CarePlan"
    },
    {
      $ref: "#/definitions/CareTeam"
    },
    {
      $ref: "#/definitions/CatalogEntry"
    },
    {
      $ref: "#/definitions/ChargeItem"
    },
    {
      $ref: "#/definitions/ChargeItemDefinition"
    },
    {
      $ref: "#/definitions/Claim"
    },
    {
      $ref: "#/definitions/ClaimResponse"
    },
    {
      $ref: "#/definitions/ClinicalImpression"
    },
    {
      $ref: "#/definitions/CodeSystem"
    },
    {
      $ref: "#/definitions/Communication"
    },
    {
      $ref: "#/definitions/CommunicationRequest"
    },
    {
      $ref: "#/definitions/CompartmentDefinition"
    },
    {
      $ref: "#/definitions/Composition"
    },
    {
      $ref: "#/definitions/ConceptMap"
    },
    {
      $ref: "#/definitions/Condition"
    },
    {
      $ref: "#/definitions/Consent"
    },
    {
      $ref: "#/definitions/Contract"
    },
    {
      $ref: "#/definitions/Coverage"
    },
    {
      $ref: "#/definitions/CoverageEligibilityRequest"
    },
    {
      $ref: "#/definitions/CoverageEligibilityResponse"
    },
    {
      $ref: "#/definitions/DetectedIssue"
    },
    {
      $ref: "#/definitions/Device"
    },
    {
      $ref: "#/definitions/DeviceDefinition"
    },
    {
      $ref: "#/definitions/DeviceMetric"
    },
    {
      $ref: "#/definitions/DeviceRequest"
    },
    {
      $ref: "#/definitions/DeviceUseStatement"
    },
    {
      $ref: "#/definitions/DiagnosticReport"
    },
    {
      $ref: "#/definitions/DocumentManifest"
    },
    {
      $ref: "#/definitions/DocumentReference"
    },
    {
      $ref: "#/definitions/EffectEvidenceSynthesis"
    },
    {
      $ref: "#/definitions/Encounter"
    },
    {
      $ref: "#/definitions/Endpoint"
    },
    {
      $ref: "#/definitions/EnrollmentRequest"
    },
    {
      $ref: "#/definitions/EnrollmentResponse"
    },
    {
      $ref: "#/definitions/EpisodeOfCare"
    },
    {
      $ref: "#/definitions/EventDefinition"
    },
    {
      $ref: "#/definitions/Evidence"
    },
    {
      $ref: "#/definitions/EvidenceVariable"
    },
    {
      $ref: "#/definitions/ExampleScenario"
    },
    {
      $ref: "#/definitions/ExplanationOfBenefit"
    },
    {
      $ref: "#/definitions/FamilyMemberHistory"
    },
    {
      $ref: "#/definitions/Flag"
    },
    {
      $ref: "#/definitions/Goal"
    },
    {
      $ref: "#/definitions/GraphDefinition"
    },
    {
      $ref: "#/definitions/Group"
    },
    {
      $ref: "#/definitions/GuidanceResponse"
    },
    {
      $ref: "#/definitions/HealthcareService"
    },
    {
      $ref: "#/definitions/ImagingStudy"
    },
    {
      $ref: "#/definitions/Immunization"
    },
    {
      $ref: "#/definitions/ImmunizationEvaluation"
    },
    {
      $ref: "#/definitions/ImmunizationRecommendation"
    },
    {
      $ref: "#/definitions/ImplementationGuide"
    },
    {
      $ref: "#/definitions/InsurancePlan"
    },
    {
      $ref: "#/definitions/Invoice"
    },
    {
      $ref: "#/definitions/Library"
    },
    {
      $ref: "#/definitions/Linkage"
    },
    {
      $ref: "#/definitions/List"
    },
    {
      $ref: "#/definitions/Location"
    },
    {
      $ref: "#/definitions/Measure"
    },
    {
      $ref: "#/definitions/MeasureReport"
    },
    {
      $ref: "#/definitions/Media"
    },
    {
      $ref: "#/definitions/Medication"
    },
    {
      $ref: "#/definitions/MedicationAdministration"
    },
    {
      $ref: "#/definitions/MedicationDispense"
    },
    {
      $ref: "#/definitions/MedicationKnowledge"
    },
    {
      $ref: "#/definitions/MedicationRequest"
    },
    {
      $ref: "#/definitions/MedicationStatement"
    },
    {
      $ref: "#/definitions/MedicinalProduct"
    },
    {
      $ref: "#/definitions/MedicinalProductAuthorization"
    },
    {
      $ref: "#/definitions/MedicinalProductContraindication"
    },
    {
      $ref: "#/definitions/MedicinalProductIndication"
    },
    {
      $ref: "#/definitions/MedicinalProductIngredient"
    },
    {
      $ref: "#/definitions/MedicinalProductInteraction"
    },
    {
      $ref: "#/definitions/MedicinalProductManufactured"
    },
    {
      $ref: "#/definitions/MedicinalProductPackaged"
    },
    {
      $ref: "#/definitions/MedicinalProductPharmaceutical"
    },
    {
      $ref: "#/definitions/MedicinalProductUndesirableEffect"
    },
    {
      $ref: "#/definitions/MessageDefinition"
    },
    {
      $ref: "#/definitions/MessageHeader"
    },
    {
      $ref: "#/definitions/MolecularSequence"
    },
    {
      $ref: "#/definitions/NamingSystem"
    },
    {
      $ref: "#/definitions/NutritionOrder"
    },
    {
      $ref: "#/definitions/Observation"
    },
    {
      $ref: "#/definitions/ObservationDefinition"
    },
    {
      $ref: "#/definitions/OperationDefinition"
    },
    {
      $ref: "#/definitions/OperationOutcome"
    },
    {
      $ref: "#/definitions/Organization"
    },
    {
      $ref: "#/definitions/OrganizationAffiliation"
    },
    {
      $ref: "#/definitions/Parameters"
    },
    {
      $ref: "#/definitions/Patient"
    },
    {
      $ref: "#/definitions/PaymentNotice"
    },
    {
      $ref: "#/definitions/PaymentReconciliation"
    },
    {
      $ref: "#/definitions/Person"
    },
    {
      $ref: "#/definitions/PlanDefinition"
    },
    {
      $ref: "#/definitions/Practitioner"
    },
    {
      $ref: "#/definitions/PractitionerRole"
    },
    {
      $ref: "#/definitions/Procedure"
    },
    {
      $ref: "#/definitions/Provenance"
    },
    {
      $ref: "#/definitions/Questionnaire"
    },
    {
      $ref: "#/definitions/QuestionnaireResponse"
    },
    {
      $ref: "#/definitions/RelatedPerson"
    },
    {
      $ref: "#/definitions/RequestGroup"
    },
    {
      $ref: "#/definitions/ResearchDefinition"
    },
    {
      $ref: "#/definitions/ResearchElementDefinition"
    },
    {
      $ref: "#/definitions/ResearchStudy"
    },
    {
      $ref: "#/definitions/ResearchSubject"
    },
    {
      $ref: "#/definitions/RiskAssessment"
    },
    {
      $ref: "#/definitions/RiskEvidenceSynthesis"
    },
    {
      $ref: "#/definitions/Schedule"
    },
    {
      $ref: "#/definitions/SearchParameter"
    },
    {
      $ref: "#/definitions/ServiceRequest"
    },
    {
      $ref: "#/definitions/Slot"
    },
    {
      $ref: "#/definitions/Specimen"
    },
    {
      $ref: "#/definitions/SpecimenDefinition"
    },
    {
      $ref: "#/definitions/StructureDefinition"
    },
    {
      $ref: "#/definitions/StructureMap"
    },
    {
      $ref: "#/definitions/Subscription"
    },
    {
      $ref: "#/definitions/Substance"
    },
    {
      $ref: "#/definitions/SubstanceNucleicAcid"
    },
    {
      $ref: "#/definitions/SubstancePolymer"
    },
    {
      $ref: "#/definitions/SubstanceProtein"
    },
    {
      $ref: "#/definitions/SubstanceReferenceInformation"
    },
    {
      $ref: "#/definitions/SubstanceSourceMaterial"
    },
    {
      $ref: "#/definitions/SubstanceSpecification"
    },
    {
      $ref: "#/definitions/SupplyDelivery"
    },
    {
      $ref: "#/definitions/SupplyRequest"
    },
    {
      $ref: "#/definitions/Task"
    },
    {
      $ref: "#/definitions/TerminologyCapabilities"
    },
    {
      $ref: "#/definitions/TestReport"
    },
    {
      $ref: "#/definitions/TestScript"
    },
    {
      $ref: "#/definitions/ValueSet"
    },
    {
      $ref: "#/definitions/VerificationResult"
    },
    {
      $ref: "#/definitions/VisionPrescription"
    }
  ],
  definitions: {
    ResourceList: {
      oneOf: [
        {
          $ref: "#/definitions/Account"
        },
        {
          $ref: "#/definitions/ActivityDefinition"
        },
        {
          $ref: "#/definitions/AdverseEvent"
        },
        {
          $ref: "#/definitions/AllergyIntolerance"
        },
        {
          $ref: "#/definitions/Appointment"
        },
        {
          $ref: "#/definitions/AppointmentResponse"
        },
        {
          $ref: "#/definitions/AuditEvent"
        },
        {
          $ref: "#/definitions/Basic"
        },
        {
          $ref: "#/definitions/Binary"
        },
        {
          $ref: "#/definitions/BiologicallyDerivedProduct"
        },
        {
          $ref: "#/definitions/BodyStructure"
        },
        {
          $ref: "#/definitions/Bundle"
        },
        {
          $ref: "#/definitions/CapabilityStatement"
        },
        {
          $ref: "#/definitions/CarePlan"
        },
        {
          $ref: "#/definitions/CareTeam"
        },
        {
          $ref: "#/definitions/CatalogEntry"
        },
        {
          $ref: "#/definitions/ChargeItem"
        },
        {
          $ref: "#/definitions/ChargeItemDefinition"
        },
        {
          $ref: "#/definitions/Claim"
        },
        {
          $ref: "#/definitions/ClaimResponse"
        },
        {
          $ref: "#/definitions/ClinicalImpression"
        },
        {
          $ref: "#/definitions/CodeSystem"
        },
        {
          $ref: "#/definitions/Communication"
        },
        {
          $ref: "#/definitions/CommunicationRequest"
        },
        {
          $ref: "#/definitions/CompartmentDefinition"
        },
        {
          $ref: "#/definitions/Composition"
        },
        {
          $ref: "#/definitions/ConceptMap"
        },
        {
          $ref: "#/definitions/Condition"
        },
        {
          $ref: "#/definitions/Consent"
        },
        {
          $ref: "#/definitions/Contract"
        },
        {
          $ref: "#/definitions/Coverage"
        },
        {
          $ref: "#/definitions/CoverageEligibilityRequest"
        },
        {
          $ref: "#/definitions/CoverageEligibilityResponse"
        },
        {
          $ref: "#/definitions/DetectedIssue"
        },
        {
          $ref: "#/definitions/Device"
        },
        {
          $ref: "#/definitions/DeviceDefinition"
        },
        {
          $ref: "#/definitions/DeviceMetric"
        },
        {
          $ref: "#/definitions/DeviceRequest"
        },
        {
          $ref: "#/definitions/DeviceUseStatement"
        },
        {
          $ref: "#/definitions/DiagnosticReport"
        },
        {
          $ref: "#/definitions/DocumentManifest"
        },
        {
          $ref: "#/definitions/DocumentReference"
        },
        {
          $ref: "#/definitions/EffectEvidenceSynthesis"
        },
        {
          $ref: "#/definitions/Encounter"
        },
        {
          $ref: "#/definitions/Endpoint"
        },
        {
          $ref: "#/definitions/EnrollmentRequest"
        },
        {
          $ref: "#/definitions/EnrollmentResponse"
        },
        {
          $ref: "#/definitions/EpisodeOfCare"
        },
        {
          $ref: "#/definitions/EventDefinition"
        },
        {
          $ref: "#/definitions/Evidence"
        },
        {
          $ref: "#/definitions/EvidenceVariable"
        },
        {
          $ref: "#/definitions/ExampleScenario"
        },
        {
          $ref: "#/definitions/ExplanationOfBenefit"
        },
        {
          $ref: "#/definitions/FamilyMemberHistory"
        },
        {
          $ref: "#/definitions/Flag"
        },
        {
          $ref: "#/definitions/Goal"
        },
        {
          $ref: "#/definitions/GraphDefinition"
        },
        {
          $ref: "#/definitions/Group"
        },
        {
          $ref: "#/definitions/GuidanceResponse"
        },
        {
          $ref: "#/definitions/HealthcareService"
        },
        {
          $ref: "#/definitions/ImagingStudy"
        },
        {
          $ref: "#/definitions/Immunization"
        },
        {
          $ref: "#/definitions/ImmunizationEvaluation"
        },
        {
          $ref: "#/definitions/ImmunizationRecommendation"
        },
        {
          $ref: "#/definitions/ImplementationGuide"
        },
        {
          $ref: "#/definitions/InsurancePlan"
        },
        {
          $ref: "#/definitions/Invoice"
        },
        {
          $ref: "#/definitions/Library"
        },
        {
          $ref: "#/definitions/Linkage"
        },
        {
          $ref: "#/definitions/List"
        },
        {
          $ref: "#/definitions/Location"
        },
        {
          $ref: "#/definitions/Measure"
        },
        {
          $ref: "#/definitions/MeasureReport"
        },
        {
          $ref: "#/definitions/Media"
        },
        {
          $ref: "#/definitions/Medication"
        },
        {
          $ref: "#/definitions/MedicationAdministration"
        },
        {
          $ref: "#/definitions/MedicationDispense"
        },
        {
          $ref: "#/definitions/MedicationKnowledge"
        },
        {
          $ref: "#/definitions/MedicationRequest"
        },
        {
          $ref: "#/definitions/MedicationStatement"
        },
        {
          $ref: "#/definitions/MedicinalProduct"
        },
        {
          $ref: "#/definitions/MedicinalProductAuthorization"
        },
        {
          $ref: "#/definitions/MedicinalProductContraindication"
        },
        {
          $ref: "#/definitions/MedicinalProductIndication"
        },
        {
          $ref: "#/definitions/MedicinalProductIngredient"
        },
        {
          $ref: "#/definitions/MedicinalProductInteraction"
        },
        {
          $ref: "#/definitions/MedicinalProductManufactured"
        },
        {
          $ref: "#/definitions/MedicinalProductPackaged"
        },
        {
          $ref: "#/definitions/MedicinalProductPharmaceutical"
        },
        {
          $ref: "#/definitions/MedicinalProductUndesirableEffect"
        },
        {
          $ref: "#/definitions/MessageDefinition"
        },
        {
          $ref: "#/definitions/MessageHeader"
        },
        {
          $ref: "#/definitions/MolecularSequence"
        },
        {
          $ref: "#/definitions/NamingSystem"
        },
        {
          $ref: "#/definitions/NutritionOrder"
        },
        {
          $ref: "#/definitions/Observation"
        },
        {
          $ref: "#/definitions/ObservationDefinition"
        },
        {
          $ref: "#/definitions/OperationDefinition"
        },
        {
          $ref: "#/definitions/OperationOutcome"
        },
        {
          $ref: "#/definitions/Organization"
        },
        {
          $ref: "#/definitions/OrganizationAffiliation"
        },
        {
          $ref: "#/definitions/Parameters"
        },
        {
          $ref: "#/definitions/Patient"
        },
        {
          $ref: "#/definitions/PaymentNotice"
        },
        {
          $ref: "#/definitions/PaymentReconciliation"
        },
        {
          $ref: "#/definitions/Person"
        },
        {
          $ref: "#/definitions/PlanDefinition"
        },
        {
          $ref: "#/definitions/Practitioner"
        },
        {
          $ref: "#/definitions/PractitionerRole"
        },
        {
          $ref: "#/definitions/Procedure"
        },
        {
          $ref: "#/definitions/Provenance"
        },
        {
          $ref: "#/definitions/Questionnaire"
        },
        {
          $ref: "#/definitions/QuestionnaireResponse"
        },
        {
          $ref: "#/definitions/RelatedPerson"
        },
        {
          $ref: "#/definitions/RequestGroup"
        },
        {
          $ref: "#/definitions/ResearchDefinition"
        },
        {
          $ref: "#/definitions/ResearchElementDefinition"
        },
        {
          $ref: "#/definitions/ResearchStudy"
        },
        {
          $ref: "#/definitions/ResearchSubject"
        },
        {
          $ref: "#/definitions/RiskAssessment"
        },
        {
          $ref: "#/definitions/RiskEvidenceSynthesis"
        },
        {
          $ref: "#/definitions/Schedule"
        },
        {
          $ref: "#/definitions/SearchParameter"
        },
        {
          $ref: "#/definitions/ServiceRequest"
        },
        {
          $ref: "#/definitions/Slot"
        },
        {
          $ref: "#/definitions/Specimen"
        },
        {
          $ref: "#/definitions/SpecimenDefinition"
        },
        {
          $ref: "#/definitions/StructureDefinition"
        },
        {
          $ref: "#/definitions/StructureMap"
        },
        {
          $ref: "#/definitions/Subscription"
        },
        {
          $ref: "#/definitions/Substance"
        },
        {
          $ref: "#/definitions/SubstanceNucleicAcid"
        },
        {
          $ref: "#/definitions/SubstancePolymer"
        },
        {
          $ref: "#/definitions/SubstanceProtein"
        },
        {
          $ref: "#/definitions/SubstanceReferenceInformation"
        },
        {
          $ref: "#/definitions/SubstanceSourceMaterial"
        },
        {
          $ref: "#/definitions/SubstanceSpecification"
        },
        {
          $ref: "#/definitions/SupplyDelivery"
        },
        {
          $ref: "#/definitions/SupplyRequest"
        },
        {
          $ref: "#/definitions/Task"
        },
        {
          $ref: "#/definitions/TerminologyCapabilities"
        },
        {
          $ref: "#/definitions/TestReport"
        },
        {
          $ref: "#/definitions/TestScript"
        },
        {
          $ref: "#/definitions/ValueSet"
        },
        {
          $ref: "#/definitions/VerificationResult"
        },
        {
          $ref: "#/definitions/VisionPrescription"
        }
      ]
    },
    base64Binary: {
      type: "string",
      description: "A stream of bytes"
    },
    boolean: {
      pattern: "^true|false$",
      type: "boolean",
      description: 'Value of "true" or "false"'
    },
    canonical: {
      pattern: "^\\S*$",
      type: "string",
      description: "A URI that is a reference to a canonical URL on a FHIR resource"
    },
    code: {
      pattern: "^[^\\s]+(\\s[^\\s]+)*$",
      type: "string",
      description: "A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents"
    },
    date: {
      pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
      type: "string",
      description: "A date or partial date (e.g. just year or year + month). There is no time zone. The format is a union of the schema types gYear, gYearMonth and date.  Dates SHALL be valid dates."
    },
    dateTime: {
      pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
      type: "string",
      description: "A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates."
    },
    decimal: {
      pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
      type: "number",
      description: "A rational number with implicit precision"
    },
    id: {
      pattern: "^[A-Za-z0-9\\-\\.]{1,64}$",
      type: "string",
      description: 'Any combination of letters, numerals, "-" and ".", with a length limit of 64 characters.  (This might be an integer, an unprefixed OID, UUID or any other identifier pattern that meets these constraints.)  Ids are case-insensitive.'
    },
    instant: {
      pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))$",
      type: "string",
      description: "An instant in time - known at least to the second"
    },
    integer: {
      pattern: "^-?([0]|([1-9][0-9]*))$",
      type: "number",
      description: "A whole number"
    },
    markdown: {
      pattern: "^[ \\r\\n\\t\\S]+$",
      type: "string",
      description: "A string that may contain Github Flavored Markdown syntax for optional processing by a mark down presentation engine"
    },
    oid: {
      pattern: "^urn:oid:[0-2](\\.(0|[1-9][0-9]*))+$",
      type: "string",
      description: "An OID represented as a URI"
    },
    positiveInt: {
      pattern: "^[1-9][0-9]*$",
      type: "number",
      description: "An integer with a value that is positive (e.g. >0)"
    },
    string: {
      pattern: "^[ \\r\\n\\t\\S]+$",
      type: "string",
      description: "A sequence of Unicode characters"
    },
    time: {
      pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
      type: "string",
      description: "A time during the day, with no date specified"
    },
    unsignedInt: {
      pattern: "^[0]|([1-9][0-9]*)$",
      type: "number",
      description: "An integer with a value that is not negative (e.g. >= 0)"
    },
    uri: {
      pattern: "^\\S*$",
      type: "string",
      description: "String of characters used to identify a name or a resource"
    },
    url: {
      pattern: "^\\S*$",
      type: "string",
      description: "A URI that is a literal reference"
    },
    uuid: {
      pattern: "^urn:uuid:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$",
      type: "string",
      description: "A UUID, represented as a URI"
    },
    xhtml: {
      description: "xhtml - escaped html (see specfication)"
    },
    Element: {
      description: "Base definition for all elements in a resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Extension: {
      description: "Optional Extension Element - found in all resources.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "Source of the definition for the extension code - a logical name or a URL.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        valueBase64Binary: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^(\\s*([0-9a-zA-Z\\+/=]){4}\\s*)+$",
          type: "string"
        },
        _valueBase64Binary: {
          description: "Extensions for valueBase64Binary",
          $ref: "#/definitions/Element"
        },
        valueBoolean: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueCanonical: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueCanonical: {
          description: "Extensions for valueCanonical",
          $ref: "#/definitions/Element"
        },
        valueCode: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^[^\\s]+(\\s[^\\s]+)*$",
          type: "string"
        },
        _valueCode: {
          description: "Extensions for valueCode",
          $ref: "#/definitions/Element"
        },
        valueDate: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _valueDate: {
          description: "Extensions for valueDate",
          $ref: "#/definitions/Element"
        },
        valueDateTime: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _valueDateTime: {
          description: "Extensions for valueDateTime",
          $ref: "#/definitions/Element"
        },
        valueDecimal: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _valueDecimal: {
          description: "Extensions for valueDecimal",
          $ref: "#/definitions/Element"
        },
        valueId: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^[A-Za-z0-9\\-\\.]{1,64}$",
          type: "string"
        },
        _valueId: {
          description: "Extensions for valueId",
          $ref: "#/definitions/Element"
        },
        valueInstant: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))$",
          type: "string"
        },
        _valueInstant: {
          description: "Extensions for valueInstant",
          $ref: "#/definitions/Element"
        },
        valueInteger: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueMarkdown: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueMarkdown: {
          description: "Extensions for valueMarkdown",
          $ref: "#/definitions/Element"
        },
        valueOid: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^urn:oid:[0-2](\\.(0|[1-9][0-9]*))+$",
          type: "string"
        },
        _valueOid: {
          description: "Extensions for valueOid",
          $ref: "#/definitions/Element"
        },
        valuePositiveInt: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _valuePositiveInt: {
          description: "Extensions for valuePositiveInt",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueTime: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _valueTime: {
          description: "Extensions for valueTime",
          $ref: "#/definitions/Element"
        },
        valueUnsignedInt: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _valueUnsignedInt: {
          description: "Extensions for valueUnsignedInt",
          $ref: "#/definitions/Element"
        },
        valueUri: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUri: {
          description: "Extensions for valueUri",
          $ref: "#/definitions/Element"
        },
        valueUrl: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUrl: {
          description: "Extensions for valueUrl",
          $ref: "#/definitions/Element"
        },
        valueUuid: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          pattern: "^urn:uuid:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$",
          type: "string"
        },
        _valueUuid: {
          description: "Extensions for valueUuid",
          $ref: "#/definitions/Element"
        },
        valueAddress: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Address"
        },
        valueAge: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Age"
        },
        valueAnnotation: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Annotation"
        },
        valueAttachment: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Attachment"
        },
        valueCodeableConcept: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/CodeableConcept"
        },
        valueCoding: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Coding"
        },
        valueContactPoint: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/ContactPoint"
        },
        valueCount: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Count"
        },
        valueDistance: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Distance"
        },
        valueDuration: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Duration"
        },
        valueHumanName: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/HumanName"
        },
        valueIdentifier: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Identifier"
        },
        valueMoney: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Money"
        },
        valuePeriod: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Period"
        },
        valueQuantity: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Quantity"
        },
        valueRange: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Range"
        },
        valueRatio: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Ratio"
        },
        valueReference: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Reference"
        },
        valueSampledData: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/SampledData"
        },
        valueSignature: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Signature"
        },
        valueTiming: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Timing"
        },
        valueContactDetail: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/ContactDetail"
        },
        valueContributor: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Contributor"
        },
        valueDataRequirement: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/DataRequirement"
        },
        valueExpression: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Expression"
        },
        valueParameterDefinition: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/ParameterDefinition"
        },
        valueRelatedArtifact: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/RelatedArtifact"
        },
        valueTriggerDefinition: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/TriggerDefinition"
        },
        valueUsageContext: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/UsageContext"
        },
        valueDosage: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Dosage"
        },
        valueMeta: {
          description: "Value of extension - must be one of a constrained set of the data types (see [Extensibility](extensibility.html) for a list).",
          $ref: "#/definitions/Meta"
        }
      },
      additionalProperties: false
    },
    Narrative: {
      description: "A human-readable summary of the resource conveying the essential clinical and business information for the resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        status: {
          description: "The status of the narrative - whether it's entirely generated (from just the defined data or the extensions too), or whether a human authored it and it may contain additional data.",
          enum: ["generated", "extensions", "additional", "empty"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        div: {
          description: "The actual narrative content, a stripped down version of XHTML.",
          $ref: "#/definitions/xhtml"
        }
      },
      additionalProperties: false,
      required: ["div"]
    },
    Annotation: {
      description: "A  text note which also  contains information about who made the statement and when.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        authorReference: {
          description: "The individual responsible for making the annotation.",
          $ref: "#/definitions/Reference"
        },
        authorString: {
          description: "The individual responsible for making the annotation.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _authorString: {
          description: "Extensions for authorString",
          $ref: "#/definitions/Element"
        },
        time: {
          description: "Indicates when this particular annotation was made.",
          $ref: "#/definitions/dateTime"
        },
        _time: {
          description: "Extensions for time",
          $ref: "#/definitions/Element"
        },
        text: {
          description: "The text of the annotation in markdown format.",
          $ref: "#/definitions/markdown"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Attachment: {
      description: "For referring to data content defined in other formats.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        contentType: {
          description: "Identifies the type of the data in the attachment and allows a method to be chosen to interpret or render the data. Includes mime type parameters such as charset where appropriate.",
          $ref: "#/definitions/code"
        },
        _contentType: {
          description: "Extensions for contentType",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The human language of the content. The value can be any valid value according to BCP 47.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        data: {
          description: "The actual data of the attachment - a sequence of bytes, base64 encoded.",
          $ref: "#/definitions/base64Binary"
        },
        _data: {
          description: "Extensions for data",
          $ref: "#/definitions/Element"
        },
        url: {
          description: "A location where the data can be accessed.",
          $ref: "#/definitions/url"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        size: {
          description: "The number of bytes of data that make up this attachment (before base64 encoding, if that is done).",
          $ref: "#/definitions/unsignedInt"
        },
        _size: {
          description: "Extensions for size",
          $ref: "#/definitions/Element"
        },
        hash: {
          description: "The calculated hash of the data using SHA-1. Represented using base64.",
          $ref: "#/definitions/base64Binary"
        },
        _hash: {
          description: "Extensions for hash",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A label or set of text to display in place of the data.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        creation: {
          description: "The date that the attachment was first created.",
          $ref: "#/definitions/dateTime"
        },
        _creation: {
          description: "Extensions for creation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Identifier: {
      description: "An identifier - identifies some entity uniquely and unambiguously. Typically this is used for business identifiers.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        use: {
          description: "The purpose of this identifier.",
          enum: ["usual", "official", "temp", "secondary", "old"]
        },
        _use: {
          description: "Extensions for use",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "A coded type for the identifier that can be used to determine which identifier to use for a specific purpose.",
          $ref: "#/definitions/CodeableConcept"
        },
        system: {
          description: "Establishes the namespace for the value - that is, a URL that describes a set values that are unique.",
          $ref: "#/definitions/uri"
        },
        _system: {
          description: "Extensions for system",
          $ref: "#/definitions/Element"
        },
        value: {
          description: "The portion of the identifier typically relevant to the user and which is unique within the context of the system.",
          $ref: "#/definitions/string"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "Time period during which identifier is/was valid for use.",
          $ref: "#/definitions/Period"
        },
        assigner: {
          description: "Organization that issued/manages the identifier.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    CodeableConcept: {
      description: "A concept that may be defined by a formal reference to a terminology or ontology or may be provided by text.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        coding: {
          description: "A reference to a code defined by a terminology system.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        text: {
          description: "A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Coding: {
      description: "A reference to a code defined by a terminology system.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        system: {
          description: "The identification of the code system that defines the meaning of the symbol in the code.",
          $ref: "#/definitions/uri"
        },
        _system: {
          description: "Extensions for system",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The version of the code system which was used when choosing this code. Note that a well-maintained code system does not need the version reported, because the meaning of codes is consistent across versions. However this cannot consistently be assured, and when the meaning is not guaranteed to be consistent, the version SHOULD be exchanged.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        display: {
          description: "A representation of the meaning of the code in the system, following the rules of the system.",
          $ref: "#/definitions/string"
        },
        _display: {
          description: "Extensions for display",
          $ref: "#/definitions/Element"
        },
        userSelected: {
          description: "Indicates that this coding was chosen by a user directly - e.g. off a pick list of available items (codes or displays).",
          $ref: "#/definitions/boolean"
        },
        _userSelected: {
          description: "Extensions for userSelected",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Quantity: {
      description: "A measured amount (or an amount that can potentially be measured). Note that measured amounts include amounts that are not precisely quantified, including amounts involving arbitrary units and floating currencies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        value: {
          description: "The value of the measured amount. The value includes an implicit precision in the presentation of the value.",
          $ref: "#/definitions/decimal"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        comparator: {
          description: 'How the value should be understood and represented - whether the actual value is greater or less than the stated value due to measurement issues; e.g. if the comparator is "<" , then the real value is < stated value.',
          enum: ["<", "<=", ">=", ">"]
        },
        _comparator: {
          description: "Extensions for comparator",
          $ref: "#/definitions/Element"
        },
        unit: {
          description: "A human-readable form of the unit.",
          $ref: "#/definitions/string"
        },
        _unit: {
          description: "Extensions for unit",
          $ref: "#/definitions/Element"
        },
        system: {
          description: "The identification of the system that provides the coded form of the unit.",
          $ref: "#/definitions/uri"
        },
        _system: {
          description: "Extensions for system",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A computer processable form of the unit in some unit representation system.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Duration: {
      description: "A length of time.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        value: {
          description: "The value of the measured amount. The value includes an implicit precision in the presentation of the value.",
          $ref: "#/definitions/decimal"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        comparator: {
          description: 'How the value should be understood and represented - whether the actual value is greater or less than the stated value due to measurement issues; e.g. if the comparator is "<" , then the real value is < stated value.',
          enum: ["<", "<=", ">=", ">"]
        },
        _comparator: {
          description: "Extensions for comparator",
          $ref: "#/definitions/Element"
        },
        unit: {
          description: "A human-readable form of the unit.",
          $ref: "#/definitions/string"
        },
        _unit: {
          description: "Extensions for unit",
          $ref: "#/definitions/Element"
        },
        system: {
          description: "The identification of the system that provides the coded form of the unit.",
          $ref: "#/definitions/uri"
        },
        _system: {
          description: "Extensions for system",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A computer processable form of the unit in some unit representation system.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Distance: {
      description: "A length - a value with a unit that is a physical distance.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        value: {
          description: "The value of the measured amount. The value includes an implicit precision in the presentation of the value.",
          $ref: "#/definitions/decimal"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        comparator: {
          description: 'How the value should be understood and represented - whether the actual value is greater or less than the stated value due to measurement issues; e.g. if the comparator is "<" , then the real value is < stated value.',
          enum: ["<", "<=", ">=", ">"]
        },
        _comparator: {
          description: "Extensions for comparator",
          $ref: "#/definitions/Element"
        },
        unit: {
          description: "A human-readable form of the unit.",
          $ref: "#/definitions/string"
        },
        _unit: {
          description: "Extensions for unit",
          $ref: "#/definitions/Element"
        },
        system: {
          description: "The identification of the system that provides the coded form of the unit.",
          $ref: "#/definitions/uri"
        },
        _system: {
          description: "Extensions for system",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A computer processable form of the unit in some unit representation system.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Count: {
      description: "A measured amount (or an amount that can potentially be measured). Note that measured amounts include amounts that are not precisely quantified, including amounts involving arbitrary units and floating currencies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        value: {
          description: "The value of the measured amount. The value includes an implicit precision in the presentation of the value.",
          $ref: "#/definitions/decimal"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        comparator: {
          description: 'How the value should be understood and represented - whether the actual value is greater or less than the stated value due to measurement issues; e.g. if the comparator is "<" , then the real value is < stated value.',
          enum: ["<", "<=", ">=", ">"]
        },
        _comparator: {
          description: "Extensions for comparator",
          $ref: "#/definitions/Element"
        },
        unit: {
          description: "A human-readable form of the unit.",
          $ref: "#/definitions/string"
        },
        _unit: {
          description: "Extensions for unit",
          $ref: "#/definitions/Element"
        },
        system: {
          description: "The identification of the system that provides the coded form of the unit.",
          $ref: "#/definitions/uri"
        },
        _system: {
          description: "Extensions for system",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A computer processable form of the unit in some unit representation system.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Money: {
      description: "An amount of economic utility in some recognized currency.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        value: {
          description: "Numerical value (with implicit precision).",
          $ref: "#/definitions/decimal"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        currency: {
          description: "ISO 4217 Currency Code.",
          $ref: "#/definitions/code"
        },
        _currency: {
          description: "Extensions for currency",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Age: {
      description: "A duration of time during which an organism (or a process) has existed.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        value: {
          description: "The value of the measured amount. The value includes an implicit precision in the presentation of the value.",
          $ref: "#/definitions/decimal"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        comparator: {
          description: 'How the value should be understood and represented - whether the actual value is greater or less than the stated value due to measurement issues; e.g. if the comparator is "<" , then the real value is < stated value.',
          enum: ["<", "<=", ">=", ">"]
        },
        _comparator: {
          description: "Extensions for comparator",
          $ref: "#/definitions/Element"
        },
        unit: {
          description: "A human-readable form of the unit.",
          $ref: "#/definitions/string"
        },
        _unit: {
          description: "Extensions for unit",
          $ref: "#/definitions/Element"
        },
        system: {
          description: "The identification of the system that provides the coded form of the unit.",
          $ref: "#/definitions/uri"
        },
        _system: {
          description: "Extensions for system",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A computer processable form of the unit in some unit representation system.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Range: {
      description: "A set of ordered Quantities defined by a low and high limit.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        low: {
          description: "The low limit. The boundary is inclusive.",
          $ref: "#/definitions/Quantity"
        },
        high: {
          description: "The high limit. The boundary is inclusive.",
          $ref: "#/definitions/Quantity"
        }
      },
      additionalProperties: false
    },
    Period: {
      description: "A time period defined by a start and end date and optionally time.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        start: {
          description: "The start of the period. The boundary is inclusive.",
          $ref: "#/definitions/dateTime"
        },
        _start: {
          description: "Extensions for start",
          $ref: "#/definitions/Element"
        },
        end: {
          description: "The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time.",
          $ref: "#/definitions/dateTime"
        },
        _end: {
          description: "Extensions for end",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Ratio: {
      description: "A relationship of two Quantity values - expressed as a numerator and a denominator.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        numerator: {
          description: "The value of the numerator.",
          $ref: "#/definitions/Quantity"
        },
        denominator: {
          description: "The value of the denominator.",
          $ref: "#/definitions/Quantity"
        }
      },
      additionalProperties: false
    },
    Reference: {
      description: "A reference from one resource to another.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        reference: {
          description: "A reference to a location at which the other resource is found. The reference may be a relative reference, in which case it is relative to the service base URL, or an absolute URL that resolves to the location where the resource is found. The reference may be version specific or not. If the reference is not to a FHIR RESTful server, then it should be assumed to be version specific. Internal fragment references (start with '#') refer to contained resources.",
          $ref: "#/definitions/string"
        },
        _reference: {
          description: "Extensions for reference",
          $ref: "#/definitions/Element"
        },
        type: {
          description: 'The expected type of the target of the reference. If both Reference.type and Reference.reference are populated and Reference.reference is a FHIR URL, both SHALL be consistent.\n\nThe type is the Canonical URL of Resource Definition that is the type this reference refers to. References are URLs that are relative to http://hl7.org/fhir/StructureDefinition/ e.g. "Patient" is a reference to http://hl7.org/fhir/StructureDefinition/Patient. Absolute URLs are only allowed for logical models (and can only be used in references in logical models, not resources).',
          $ref: "#/definitions/uri"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "An identifier for the target resource. This is used when there is no way to reference the other resource directly, either because the entity it represents is not available through a FHIR server, or because there is no way for the author of the resource to convert a known identifier to an actual location. There is no requirement that a Reference.identifier point to something that is actually exposed as a FHIR instance, but it SHALL point to a business concept that would be expected to be exposed as a FHIR instance, and that instance would need to be of a FHIR resource type allowed by the reference.",
          $ref: "#/definitions/Identifier"
        },
        display: {
          description: "Plain text narrative that identifies the resource in addition to the resource reference.",
          $ref: "#/definitions/string"
        },
        _display: {
          description: "Extensions for display",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    SampledData: {
      description: "A series of measurements taken by a device, with upper and lower limits. There may be more than one dimension in the data.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        origin: {
          description: "The base quantity that a measured value of zero represents. In addition, this provides the units of the entire measurement series.",
          $ref: "#/definitions/Quantity"
        },
        period: {
          description: "The length of time between sampling times, measured in milliseconds.",
          $ref: "#/definitions/decimal"
        },
        _period: {
          description: "Extensions for period",
          $ref: "#/definitions/Element"
        },
        factor: {
          description: "A correction factor that is applied to the sampled data points before they are added to the origin.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        lowerLimit: {
          description: 'The lower limit of detection of the measured points. This is needed if any of the data points have the value "L" (lower than detection limit).',
          $ref: "#/definitions/decimal"
        },
        _lowerLimit: {
          description: "Extensions for lowerLimit",
          $ref: "#/definitions/Element"
        },
        upperLimit: {
          description: 'The upper limit of detection of the measured points. This is needed if any of the data points have the value "U" (higher than detection limit).',
          $ref: "#/definitions/decimal"
        },
        _upperLimit: {
          description: "Extensions for upperLimit",
          $ref: "#/definitions/Element"
        },
        dimensions: {
          description: "The number of sample points at each time point. If this value is greater than one, then the dimensions will be interlaced - all the sample points for a point in time will be recorded at once.",
          $ref: "#/definitions/positiveInt"
        },
        _dimensions: {
          description: "Extensions for dimensions",
          $ref: "#/definitions/Element"
        },
        data: {
          description: 'A series of data points which are decimal values separated by a single space (character u20). The special values "E" (error), "L" (below detection limit) and "U" (above detection limit) can also be used in place of a decimal value.',
          $ref: "#/definitions/string"
        },
        _data: {
          description: "Extensions for data",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["origin"]
    },
    Signature: {
      description: "A signature along with supporting context. The signature may be a digital signature that is cryptographic in nature, or some other signature acceptable to the domain. This other signature may be as simple as a graphical image representing a hand-written signature, or a signature ceremony Different signature approaches have different utilities.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "An indication of the reason that the entity signed this document. This may be explicitly included as part of the signature information and can be used when determining accountability for various actions concerning the document.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        when: {
          description: "When the digital signature was signed.",
          $ref: "#/definitions/instant"
        },
        _when: {
          description: "Extensions for when",
          $ref: "#/definitions/Element"
        },
        who: {
          description: "A reference to an application-usable description of the identity that signed  (e.g. the signature used their private key).",
          $ref: "#/definitions/Reference"
        },
        onBehalfOf: {
          description: "A reference to an application-usable description of the identity that is represented by the signature.",
          $ref: "#/definitions/Reference"
        },
        targetFormat: {
          description: "A mime type that indicates the technical format of the target resources signed by the signature.",
          $ref: "#/definitions/code"
        },
        _targetFormat: {
          description: "Extensions for targetFormat",
          $ref: "#/definitions/Element"
        },
        sigFormat: {
          description: "A mime type that indicates the technical format of the signature. Important mime types are application/signature+xml for X ML DigSig, application/jose for JWS, and image/* for a graphical image of a signature, etc.",
          $ref: "#/definitions/code"
        },
        _sigFormat: {
          description: "Extensions for sigFormat",
          $ref: "#/definitions/Element"
        },
        data: {
          description: "The base64 encoding of the Signature content. When signature is not recorded electronically this element would be empty.",
          $ref: "#/definitions/base64Binary"
        },
        _data: {
          description: "Extensions for data",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["type", "who"]
    },
    HumanName: {
      description: "A human's name with the ability to identify parts and usage.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        use: {
          description: "Identifies the purpose for this name.",
          enum: ["usual", "official", "temp", "nickname", "anonymous", "old", "maiden"]
        },
        _use: {
          description: "Extensions for use",
          $ref: "#/definitions/Element"
        },
        text: {
          description: "Specifies the entire name as it should be displayed e.g. on an application UI. This may be provided instead of or as well as the specific parts.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        },
        family: {
          description: "The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father.",
          $ref: "#/definitions/string"
        },
        _family: {
          description: "Extensions for family",
          $ref: "#/definitions/Element"
        },
        given: {
          description: "Given name.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _given: {
          description: "Extensions for given",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        prefix: {
          description: "Part of the name that is acquired as a title due to academic, legal, employment or nobility status, etc. and that appears at the start of the name.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _prefix: {
          description: "Extensions for prefix",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        suffix: {
          description: "Part of the name that is acquired as a title due to academic, legal, employment or nobility status, etc. and that appears at the end of the name.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _suffix: {
          description: "Extensions for suffix",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        period: {
          description: "Indicates the period of time when this name was valid for the named person.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    Address: {
      description: "An address expressed using postal conventions (as opposed to GPS or other location definition formats).  This data type may be used to convey addresses for use in delivering mail as well as for visiting locations which might not be valid for mail delivery.  There are a variety of postal address formats defined around the world.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        use: {
          description: "The purpose of this address.",
          enum: ["home", "work", "temp", "old", "billing"]
        },
        _use: {
          description: "Extensions for use",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Distinguishes between physical addresses (those you can visit) and mailing addresses (e.g. PO Boxes and care-of addresses). Most addresses are both.",
          enum: ["postal", "physical", "both"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        text: {
          description: "Specifies the entire address as it should be displayed e.g. on a postal label. This may be provided instead of or as well as the specific parts.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        },
        line: {
          description: "This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _line: {
          description: "Extensions for line",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        city: {
          description: "The name of the city, town, suburb, village or other community or delivery center.",
          $ref: "#/definitions/string"
        },
        _city: {
          description: "Extensions for city",
          $ref: "#/definitions/Element"
        },
        district: {
          description: "The name of the administrative area (county).",
          $ref: "#/definitions/string"
        },
        _district: {
          description: "Extensions for district",
          $ref: "#/definitions/Element"
        },
        state: {
          description: "Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes).",
          $ref: "#/definitions/string"
        },
        _state: {
          description: "Extensions for state",
          $ref: "#/definitions/Element"
        },
        postalCode: {
          description: "A postal code designating a region defined by the postal service.",
          $ref: "#/definitions/string"
        },
        _postalCode: {
          description: "Extensions for postalCode",
          $ref: "#/definitions/Element"
        },
        country: {
          description: "Country - a nation as commonly understood or generally accepted.",
          $ref: "#/definitions/string"
        },
        _country: {
          description: "Extensions for country",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "Time period when address was/is in use.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    ContactPoint: {
      description: "Details for all kinds of technology mediated contact points for a person or organization, including telephone, email, etc.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        system: {
          description: "Telecommunications form for contact point - what communications system is required to make use of the contact.",
          enum: ["phone", "fax", "email", "pager", "url", "sms", "other"]
        },
        _system: {
          description: "Extensions for system",
          $ref: "#/definitions/Element"
        },
        value: {
          description: "The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address).",
          $ref: "#/definitions/string"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        use: {
          description: "Identifies the purpose for the contact point.",
          enum: ["home", "work", "temp", "old", "mobile"]
        },
        _use: {
          description: "Extensions for use",
          $ref: "#/definitions/Element"
        },
        rank: {
          description: "Specifies a preferred order in which to use a set of contacts. ContactPoints with lower rank values are more preferred than those with higher rank values.",
          $ref: "#/definitions/positiveInt"
        },
        _rank: {
          description: "Extensions for rank",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "Time period when the contact point was/is in use.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    Timing: {
      description: "Specifies an event that may occur multiple times. Timing schedules are used to record when things are planned, expected or requested to occur. The most common usage is in dosage instructions for medications. They are also used when planning care of various kinds, and may be used for reporting the schedule to which past regular activities were carried out.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        event: {
          description: "Identifies specific times when the event occurs.",
          items: {
            $ref: "#/definitions/dateTime"
          },
          type: "array"
        },
        _event: {
          description: "Extensions for event",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        repeat: {
          description: "A set of rules that describe when the event is scheduled.",
          $ref: "#/definitions/Timing_Repeat"
        },
        code: {
          description: "A code for the timing schedule (or just text in code.text). Some codes such as BID are ubiquitous, but many institutions define their own additional codes. If a code is provided, the code is understood to be a complete statement of whatever is specified in the structured timing data, and either the code or the data may be used to interpret the Timing, with the exception that .repeat.bounds still applies over the code (and is not contained in the code).",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    Timing_Repeat: {
      description: "Specifies an event that may occur multiple times. Timing schedules are used to record when things are planned, expected or requested to occur. The most common usage is in dosage instructions for medications. They are also used when planning care of various kinds, and may be used for reporting the schedule to which past regular activities were carried out.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        boundsDuration: {
          description: "Either a duration for the length of the timing schedule, a range of possible length, or outer bounds for start and/or end limits of the timing schedule.",
          $ref: "#/definitions/Duration"
        },
        boundsRange: {
          description: "Either a duration for the length of the timing schedule, a range of possible length, or outer bounds for start and/or end limits of the timing schedule.",
          $ref: "#/definitions/Range"
        },
        boundsPeriod: {
          description: "Either a duration for the length of the timing schedule, a range of possible length, or outer bounds for start and/or end limits of the timing schedule.",
          $ref: "#/definitions/Period"
        },
        count: {
          description: "A total count of the desired number of repetitions across the duration of the entire timing specification. If countMax is present, this element indicates the lower bound of the allowed range of count values.",
          $ref: "#/definitions/positiveInt"
        },
        _count: {
          description: "Extensions for count",
          $ref: "#/definitions/Element"
        },
        countMax: {
          description: "If present, indicates that the count is a range - so to perform the action between [count] and [countMax] times.",
          $ref: "#/definitions/positiveInt"
        },
        _countMax: {
          description: "Extensions for countMax",
          $ref: "#/definitions/Element"
        },
        duration: {
          description: "How long this thing happens for when it happens. If durationMax is present, this element indicates the lower bound of the allowed range of the duration.",
          $ref: "#/definitions/decimal"
        },
        _duration: {
          description: "Extensions for duration",
          $ref: "#/definitions/Element"
        },
        durationMax: {
          description: "If present, indicates that the duration is a range - so to perform the action between [duration] and [durationMax] time length.",
          $ref: "#/definitions/decimal"
        },
        _durationMax: {
          description: "Extensions for durationMax",
          $ref: "#/definitions/Element"
        },
        durationUnit: {
          description: "The units of time for the duration, in UCUM units.",
          enum: ["s", "min", "h", "d", "wk", "mo", "a"]
        },
        _durationUnit: {
          description: "Extensions for durationUnit",
          $ref: "#/definitions/Element"
        },
        frequency: {
          description: "The number of times to repeat the action within the specified period. If frequencyMax is present, this element indicates the lower bound of the allowed range of the frequency.",
          $ref: "#/definitions/positiveInt"
        },
        _frequency: {
          description: "Extensions for frequency",
          $ref: "#/definitions/Element"
        },
        frequencyMax: {
          description: "If present, indicates that the frequency is a range - so to repeat between [frequency] and [frequencyMax] times within the period or period range.",
          $ref: "#/definitions/positiveInt"
        },
        _frequencyMax: {
          description: "Extensions for frequencyMax",
          $ref: "#/definitions/Element"
        },
        period: {
          description: 'Indicates the duration of time over which repetitions are to occur; e.g. to express "3 times per day", 3 would be the frequency and "1 day" would be the period. If periodMax is present, this element indicates the lower bound of the allowed range of the period length.',
          $ref: "#/definitions/decimal"
        },
        _period: {
          description: "Extensions for period",
          $ref: "#/definitions/Element"
        },
        periodMax: {
          description: 'If present, indicates that the period is a range from [period] to [periodMax], allowing expressing concepts such as "do this once every 3-5 days.',
          $ref: "#/definitions/decimal"
        },
        _periodMax: {
          description: "Extensions for periodMax",
          $ref: "#/definitions/Element"
        },
        periodUnit: {
          description: "The units of time for the period in UCUM units.",
          enum: ["s", "min", "h", "d", "wk", "mo", "a"]
        },
        _periodUnit: {
          description: "Extensions for periodUnit",
          $ref: "#/definitions/Element"
        },
        dayOfWeek: {
          description: "If one or more days of week is provided, then the action happens only on the specified day(s).",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _dayOfWeek: {
          description: "Extensions for dayOfWeek",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        timeOfDay: {
          description: "Specified time of day for action to take place.",
          items: {
            $ref: "#/definitions/time"
          },
          type: "array"
        },
        _timeOfDay: {
          description: "Extensions for timeOfDay",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        when: {
          description: "An approximate time period during the day, potentially linked to an event of daily living that indicates when the action should occur.",
          items: {
            enum: [
              "MORN",
              "MORN.early",
              "MORN.late",
              "NOON",
              "AFT",
              "AFT.early",
              "AFT.late",
              "EVE",
              "EVE.early",
              "EVE.late",
              "NIGHT",
              "PHS",
              "HS",
              "WAKE",
              "C",
              "CM",
              "CD",
              "CV",
              "AC",
              "ACM",
              "ACD",
              "ACV",
              "PC",
              "PCM",
              "PCD",
              "PCV"
            ]
          },
          type: "array"
        },
        _when: {
          description: "Extensions for when",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        offset: {
          description: "The number of minutes from the event. If the event code does not indicate whether the minutes is before or after the event, then the offset is assumed to be after the event.",
          $ref: "#/definitions/unsignedInt"
        },
        _offset: {
          description: "Extensions for offset",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Meta: {
      description: "The metadata about a resource. This is content in the resource that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        versionId: {
          description: "The version specific identifier, as it appears in the version portion of the URL. This value changes when the resource is created, updated, or deleted.",
          $ref: "#/definitions/id"
        },
        _versionId: {
          description: "Extensions for versionId",
          $ref: "#/definitions/Element"
        },
        lastUpdated: {
          description: "When the resource last changed - e.g. when the version changed.",
          $ref: "#/definitions/instant"
        },
        _lastUpdated: {
          description: "Extensions for lastUpdated",
          $ref: "#/definitions/Element"
        },
        source: {
          description: "A uri that identifies the source system of the resource. This provides a minimal amount of [[[Provenance]]] information that can be used to track or differentiate the source of information in the resource. The source may identify another FHIR server, document, message, database, etc.",
          $ref: "#/definitions/uri"
        },
        _source: {
          description: "Extensions for source",
          $ref: "#/definitions/Element"
        },
        profile: {
          description: "A list of profiles (references to [[[StructureDefinition]]] resources) that this resource claims to conform to. The URL is a reference to [[[StructureDefinition.url]]].",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        security: {
          description: "Security labels applied to this resource. These tags connect specific resources to the overall security policy and infrastructure.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        tag: {
          description: "Tags applied to this resource. Tags are intended to be used to identify and relate resources to process and workflow, and applications are not required to consider the tags when interpreting the meaning of a resource.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ContactDetail: {
      description: "Specifies contact information for a person or organization.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "The name of an individual to contact.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        telecom: {
          description: "The contact details for the individual (if a name was provided) or the organization.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Contributor: {
      description: "A contributor to the content of a knowledge asset, including authors, editors, reviewers, and endorsers.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of contributor.",
          enum: ["author", "editor", "reviewer", "endorser"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "The name of the individual or organization responsible for the contribution.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the contributor.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    DataRequirement: {
      description: "Describes a required data item for evaluation in terms of the type of data, and optional code or date-based filters of the data.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of the required data, specified as the type name of a resource. For profiles, this value is set to the type of the base resource of the profile.",
          $ref: "#/definitions/code"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        profile: {
          description: "The profile of the required data, specified as the uri of the profile definition.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        subjectCodeableConcept: {
          description: "The intended subjects of the data requirement. If this element is not provided, a Patient subject is assumed.",
          $ref: "#/definitions/CodeableConcept"
        },
        subjectReference: {
          description: "The intended subjects of the data requirement. If this element is not provided, a Patient subject is assumed.",
          $ref: "#/definitions/Reference"
        },
        mustSupport: {
          description: "Indicates that specific elements of the type are referenced by the knowledge module and must be supported by the consumer in order to obtain an effective evaluation. This does not mean that a value is required for this element, only that the consuming system must understand the element and be able to provide values for it if they are available. \n\nThe value of mustSupport SHALL be a FHIRPath resolveable on the type of the DataRequirement. The path SHALL consist only of identifiers, constant indexers, and .resolve() (see the [Simple FHIRPath Profile](fhirpath.html#simple) for full details).",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _mustSupport: {
          description: "Extensions for mustSupport",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        codeFilter: {
          description: "Code filters specify additional constraints on the data, specifying the value set of interest for a particular element of the data. Each code filter defines an additional constraint on the data, i.e. code filters are AND'ed, not OR'ed.",
          items: {
            $ref: "#/definitions/DataRequirement_CodeFilter"
          },
          type: "array"
        },
        dateFilter: {
          description: "Date filters specify additional constraints on the data in terms of the applicable date range for specific elements. Each date filter specifies an additional constraint on the data, i.e. date filters are AND'ed, not OR'ed.",
          items: {
            $ref: "#/definitions/DataRequirement_DateFilter"
          },
          type: "array"
        },
        limit: {
          description: "Specifies a maximum number of results that are required (uses the _count search parameter).",
          $ref: "#/definitions/positiveInt"
        },
        _limit: {
          description: "Extensions for limit",
          $ref: "#/definitions/Element"
        },
        sort: {
          description: "Specifies the order of the results to be returned.",
          items: {
            $ref: "#/definitions/DataRequirement_Sort"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    DataRequirement_CodeFilter: {
      description: "Describes a required data item for evaluation in terms of the type of data, and optional code or date-based filters of the data.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        path: {
          description: "The code-valued attribute of the filter. The specified path SHALL be a FHIRPath resolveable on the specified type of the DataRequirement, and SHALL consist only of identifiers, constant indexers, and .resolve(). The path is allowed to contain qualifiers (.) to traverse sub-elements, as well as indexers ([x]) to traverse multiple-cardinality sub-elements (see the [Simple FHIRPath Profile](fhirpath.html#simple) for full details). Note that the index must be an integer constant. The path must resolve to an element of type code, Coding, or CodeableConcept.",
          $ref: "#/definitions/string"
        },
        _path: {
          description: "Extensions for path",
          $ref: "#/definitions/Element"
        },
        searchParam: {
          description: "A token parameter that refers to a search parameter defined on the specified type of the DataRequirement, and which searches on elements of type code, Coding, or CodeableConcept.",
          $ref: "#/definitions/string"
        },
        _searchParam: {
          description: "Extensions for searchParam",
          $ref: "#/definitions/Element"
        },
        valueSet: {
          description: "The valueset for the code filter. The valueSet and code elements are additive. If valueSet is specified, the filter will return only those data items for which the value of the code-valued element specified in the path is a member of the specified valueset.",
          $ref: "#/definitions/canonical"
        },
        code: {
          description: "The codes for the code filter. If values are given, the filter will return only those data items for which the code-valued attribute specified by the path has a value that is one of the specified codes. If codes are specified in addition to a value set, the filter returns items matching a code in the value set or one of the specified codes.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    DataRequirement_DateFilter: {
      description: "Describes a required data item for evaluation in terms of the type of data, and optional code or date-based filters of the data.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        path: {
          description: "The date-valued attribute of the filter. The specified path SHALL be a FHIRPath resolveable on the specified type of the DataRequirement, and SHALL consist only of identifiers, constant indexers, and .resolve(). The path is allowed to contain qualifiers (.) to traverse sub-elements, as well as indexers ([x]) to traverse multiple-cardinality sub-elements (see the [Simple FHIRPath Profile](fhirpath.html#simple) for full details). Note that the index must be an integer constant. The path must resolve to an element of type date, dateTime, Period, Schedule, or Timing.",
          $ref: "#/definitions/string"
        },
        _path: {
          description: "Extensions for path",
          $ref: "#/definitions/Element"
        },
        searchParam: {
          description: "A date parameter that refers to a search parameter defined on the specified type of the DataRequirement, and which searches on elements of type date, dateTime, Period, Schedule, or Timing.",
          $ref: "#/definitions/string"
        },
        _searchParam: {
          description: "Extensions for searchParam",
          $ref: "#/definitions/Element"
        },
        valueDateTime: {
          description: "The value of the filter. If period is specified, the filter will return only those data items that fall within the bounds determined by the Period, inclusive of the period boundaries. If dateTime is specified, the filter will return only those data items that are equal to the specified dateTime. If a Duration is specified, the filter will return only those data items that fall within Duration before now.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _valueDateTime: {
          description: "Extensions for valueDateTime",
          $ref: "#/definitions/Element"
        },
        valuePeriod: {
          description: "The value of the filter. If period is specified, the filter will return only those data items that fall within the bounds determined by the Period, inclusive of the period boundaries. If dateTime is specified, the filter will return only those data items that are equal to the specified dateTime. If a Duration is specified, the filter will return only those data items that fall within Duration before now.",
          $ref: "#/definitions/Period"
        },
        valueDuration: {
          description: "The value of the filter. If period is specified, the filter will return only those data items that fall within the bounds determined by the Period, inclusive of the period boundaries. If dateTime is specified, the filter will return only those data items that are equal to the specified dateTime. If a Duration is specified, the filter will return only those data items that fall within Duration before now.",
          $ref: "#/definitions/Duration"
        }
      },
      additionalProperties: false
    },
    DataRequirement_Sort: {
      description: "Describes a required data item for evaluation in terms of the type of data, and optional code or date-based filters of the data.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        path: {
          description: "The attribute of the sort. The specified path must be resolvable from the type of the required data. The path is allowed to contain qualifiers (.) to traverse sub-elements, as well as indexers ([x]) to traverse multiple-cardinality sub-elements. Note that the index must be an integer constant.",
          $ref: "#/definitions/string"
        },
        _path: {
          description: "Extensions for path",
          $ref: "#/definitions/Element"
        },
        direction: {
          description: "The direction of the sort, ascending or descending.",
          enum: ["ascending", "descending"]
        },
        _direction: {
          description: "Extensions for direction",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ParameterDefinition: {
      description: "The parameters to the module. This collection specifies both the input and output parameters. Input parameters are provided by the caller as part of the $evaluate operation. Output parameters are included in the GuidanceResponse.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "The name of the parameter used to allow access to the value of the parameter in evaluation contexts.",
          $ref: "#/definitions/code"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        use: {
          description: "Whether the parameter is input or output for the module.",
          $ref: "#/definitions/code"
        },
        _use: {
          description: "Extensions for use",
          $ref: "#/definitions/Element"
        },
        min: {
          description: "The minimum number of times this parameter SHALL appear in the request or response.",
          $ref: "#/definitions/integer"
        },
        _min: {
          description: "Extensions for min",
          $ref: "#/definitions/Element"
        },
        max: {
          description: "The maximum number of times this element is permitted to appear in the request or response.",
          $ref: "#/definitions/string"
        },
        _max: {
          description: "Extensions for max",
          $ref: "#/definitions/Element"
        },
        documentation: {
          description: "A brief discussion of what the parameter is for and how it is used by the module.",
          $ref: "#/definitions/string"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The type of the parameter.",
          $ref: "#/definitions/code"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        profile: {
          description: "If specified, this indicates a profile that the input data must conform to, or that the output data will conform to.",
          $ref: "#/definitions/canonical"
        }
      },
      additionalProperties: false
    },
    RelatedArtifact: {
      description: "Related artifacts such as additional documentation, justification, or bibliographic references.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of relationship to the related artifact.",
          enum: [
            "documentation",
            "justification",
            "citation",
            "predecessor",
            "successor",
            "derived-from",
            "depends-on",
            "composed-of"
          ]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        label: {
          description: "A short label that can be used to reference the citation from elsewhere in the containing artifact, such as a footnote index.",
          $ref: "#/definitions/string"
        },
        _label: {
          description: "Extensions for label",
          $ref: "#/definitions/Element"
        },
        display: {
          description: "A brief description of the document or knowledge resource being referenced, suitable for display to a consumer.",
          $ref: "#/definitions/string"
        },
        _display: {
          description: "Extensions for display",
          $ref: "#/definitions/Element"
        },
        citation: {
          description: "A bibliographic citation for the related artifact. This text SHOULD be formatted according to an accepted citation format.",
          $ref: "#/definitions/markdown"
        },
        _citation: {
          description: "Extensions for citation",
          $ref: "#/definitions/Element"
        },
        url: {
          description: "A url for the artifact that can be followed to access the actual content.",
          $ref: "#/definitions/url"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        document: {
          description: "The document being referenced, represented as an attachment. This is exclusive with the resource element.",
          $ref: "#/definitions/Attachment"
        },
        resource: {
          description: "The related resource, such as a library, value set, profile, or other knowledge resource.",
          $ref: "#/definitions/canonical"
        }
      },
      additionalProperties: false
    },
    TriggerDefinition: {
      description: "A description of a triggering event. Triggering events can be named events, data events, or periodic, as determined by the type element.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of triggering event.",
          enum: [
            "named-event",
            "periodic",
            "data-changed",
            "data-added",
            "data-modified",
            "data-removed",
            "data-accessed",
            "data-access-ended"
          ]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A formal name for the event. This may be an absolute URI that identifies the event formally (e.g. from a trigger registry), or a simple relative URI that identifies the event in a local context.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        timingTiming: {
          description: "The timing of the event (if this is a periodic trigger).",
          $ref: "#/definitions/Timing"
        },
        timingReference: {
          description: "The timing of the event (if this is a periodic trigger).",
          $ref: "#/definitions/Reference"
        },
        timingDate: {
          description: "The timing of the event (if this is a periodic trigger).",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _timingDate: {
          description: "Extensions for timingDate",
          $ref: "#/definitions/Element"
        },
        timingDateTime: {
          description: "The timing of the event (if this is a periodic trigger).",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _timingDateTime: {
          description: "Extensions for timingDateTime",
          $ref: "#/definitions/Element"
        },
        data: {
          description: "The triggering data of the event (if this is a data trigger). If more than one data is requirement is specified, then all the data requirements must be true.",
          items: {
            $ref: "#/definitions/DataRequirement"
          },
          type: "array"
        },
        condition: {
          description: "A boolean-valued expression that is evaluated in the context of the container of the trigger definition and returns whether or not the trigger fires.",
          $ref: "#/definitions/Expression"
        }
      },
      additionalProperties: false
    },
    UsageContext: {
      description: "Specifies clinical/business/etc. metadata that can be used to retrieve, index and/or categorize an artifact. This metadata can either be specific to the applicable population (e.g., age category, DRG) or the specific context of care (e.g., venue, care setting, provider of care).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "A code that identifies the type of context being specified by this usage context.",
          $ref: "#/definitions/Coding"
        },
        valueCodeableConcept: {
          description: "A value that defines the context specified in this context of use. The interpretation of the value is defined by the code.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueQuantity: {
          description: "A value that defines the context specified in this context of use. The interpretation of the value is defined by the code.",
          $ref: "#/definitions/Quantity"
        },
        valueRange: {
          description: "A value that defines the context specified in this context of use. The interpretation of the value is defined by the code.",
          $ref: "#/definitions/Range"
        },
        valueReference: {
          description: "A value that defines the context specified in this context of use. The interpretation of the value is defined by the code.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["code"]
    },
    Dosage: {
      description: "Indicates how the medication is/was taken or should be taken by the patient.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "Indicates the order in which the dosage instructions should be applied or interpreted.",
          $ref: "#/definitions/integer"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        text: {
          description: "Free text dosage instructions e.g. SIG.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        },
        additionalInstruction: {
          description: 'Supplemental instructions to the patient on how to take the medication  (e.g. "with meals" or"take half to one hour before food") or warnings for the patient about the medication (e.g. "may cause drowsiness" or "avoid exposure of skin to direct sunlight or sunlamps").',
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        patientInstruction: {
          description: "Instructions in terms that are understood by the patient or consumer.",
          $ref: "#/definitions/string"
        },
        _patientInstruction: {
          description: "Extensions for patientInstruction",
          $ref: "#/definitions/Element"
        },
        timing: {
          description: "When medication should be administered.",
          $ref: "#/definitions/Timing"
        },
        asNeededBoolean: {
          description: "Indicates whether the Medication is only taken when needed within a specific dosing schedule (Boolean option), or it indicates the precondition for taking the Medication (CodeableConcept).",
          pattern: "^true|false$",
          type: "boolean"
        },
        _asNeededBoolean: {
          description: "Extensions for asNeededBoolean",
          $ref: "#/definitions/Element"
        },
        asNeededCodeableConcept: {
          description: "Indicates whether the Medication is only taken when needed within a specific dosing schedule (Boolean option), or it indicates the precondition for taking the Medication (CodeableConcept).",
          $ref: "#/definitions/CodeableConcept"
        },
        site: {
          description: "Body site to administer to.",
          $ref: "#/definitions/CodeableConcept"
        },
        route: {
          description: "How drug should enter body.",
          $ref: "#/definitions/CodeableConcept"
        },
        method: {
          description: "Technique for administering medication.",
          $ref: "#/definitions/CodeableConcept"
        },
        doseAndRate: {
          description: "The amount of medication administered.",
          items: {
            $ref: "#/definitions/Dosage_DoseAndRate"
          },
          type: "array"
        },
        maxDosePerPeriod: {
          description: "Upper limit on medication per unit of time.",
          $ref: "#/definitions/Ratio"
        },
        maxDosePerAdministration: {
          description: "Upper limit on medication per administration.",
          $ref: "#/definitions/Quantity"
        },
        maxDosePerLifetime: {
          description: "Upper limit on medication per lifetime of the patient.",
          $ref: "#/definitions/Quantity"
        }
      },
      additionalProperties: false
    },
    Dosage_DoseAndRate: {
      description: "Indicates how the medication is/was taken or should be taken by the patient.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The kind of dose or rate specified, for example, ordered or calculated.",
          $ref: "#/definitions/CodeableConcept"
        },
        doseRange: {
          description: "Amount of medication per dose.",
          $ref: "#/definitions/Range"
        },
        doseQuantity: {
          description: "Amount of medication per dose.",
          $ref: "#/definitions/Quantity"
        },
        rateRatio: {
          description: "Amount of medication per unit of time.",
          $ref: "#/definitions/Ratio"
        },
        rateRange: {
          description: "Amount of medication per unit of time.",
          $ref: "#/definitions/Range"
        },
        rateQuantity: {
          description: "Amount of medication per unit of time.",
          $ref: "#/definitions/Quantity"
        }
      },
      additionalProperties: false
    },
    Population: {
      description: "A populatioof people with some set of grouping criteria.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        ageRange: {
          description: "The age of the specific population.",
          $ref: "#/definitions/Range"
        },
        ageCodeableConcept: {
          description: "The age of the specific population.",
          $ref: "#/definitions/CodeableConcept"
        },
        gender: {
          description: "The gender of the specific population.",
          $ref: "#/definitions/CodeableConcept"
        },
        race: {
          description: "Race of the specific population.",
          $ref: "#/definitions/CodeableConcept"
        },
        physiologicalCondition: {
          description: "The existing physiological conditions of the specific population to which this applies.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    ProductShelfLife: {
      description: "The shelf-life and storage information for a medicinal product item or container can be described using this class.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Unique identifier for the packaged Medicinal Product.",
          $ref: "#/definitions/Identifier"
        },
        type: {
          description: "This describes the shelf life, taking into account various scenarios such as shelf life of the packaged Medicinal Product itself, shelf life after transformation where necessary and shelf life after the first opening of a bottle, etc. The shelf life type shall be specified using an appropriate controlled vocabulary The controlled term and the controlled term identifier shall be specified.",
          $ref: "#/definitions/CodeableConcept"
        },
        period: {
          description: "The shelf life time period can be specified using a numerical value for the period of time and its unit of time measurement The unit of measurement shall be specified in accordance with ISO 11240 and the resulting terminology The symbol and the symbol identifier shall be used.",
          $ref: "#/definitions/Quantity"
        },
        specialPrecautionsForStorage: {
          description: "Special precautions for storage, if any, can be specified using an appropriate controlled vocabulary The controlled term and the controlled term identifier shall be specified.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["period", "type"]
    },
    ProdCharacteristic: {
      description: "The marketing status describes the date when a medicinal product is actually put on the market or the date as of which it is no longer available.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        height: {
          description: "Where applicable, the height can be specified using a numerical value and its unit of measurement The unit of measurement shall be specified in accordance with ISO 11240 and the resulting terminology The symbol and the symbol identifier shall be used.",
          $ref: "#/definitions/Quantity"
        },
        width: {
          description: "Where applicable, the width can be specified using a numerical value and its unit of measurement The unit of measurement shall be specified in accordance with ISO 11240 and the resulting terminology The symbol and the symbol identifier shall be used.",
          $ref: "#/definitions/Quantity"
        },
        depth: {
          description: "Where applicable, the depth can be specified using a numerical value and its unit of measurement The unit of measurement shall be specified in accordance with ISO 11240 and the resulting terminology The symbol and the symbol identifier shall be used.",
          $ref: "#/definitions/Quantity"
        },
        weight: {
          description: "Where applicable, the weight can be specified using a numerical value and its unit of measurement The unit of measurement shall be specified in accordance with ISO 11240 and the resulting terminology The symbol and the symbol identifier shall be used.",
          $ref: "#/definitions/Quantity"
        },
        nominalVolume: {
          description: "Where applicable, the nominal volume can be specified using a numerical value and its unit of measurement The unit of measurement shall be specified in accordance with ISO 11240 and the resulting terminology The symbol and the symbol identifier shall be used.",
          $ref: "#/definitions/Quantity"
        },
        externalDiameter: {
          description: "Where applicable, the external diameter can be specified using a numerical value and its unit of measurement The unit of measurement shall be specified in accordance with ISO 11240 and the resulting terminology The symbol and the symbol identifier shall be used.",
          $ref: "#/definitions/Quantity"
        },
        shape: {
          description: "Where applicable, the shape can be specified An appropriate controlled vocabulary shall be used The term and the term identifier shall be used.",
          $ref: "#/definitions/string"
        },
        _shape: {
          description: "Extensions for shape",
          $ref: "#/definitions/Element"
        },
        color: {
          description: "Where applicable, the color can be specified An appropriate controlled vocabulary shall be used The term and the term identifier shall be used.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _color: {
          description: "Extensions for color",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        imprint: {
          description: "Where applicable, the imprint can be specified as text.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _imprint: {
          description: "Extensions for imprint",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        image: {
          description: "Where applicable, the image can be provided The format of the image attachment shall be specified by regional implementations.",
          items: {
            $ref: "#/definitions/Attachment"
          },
          type: "array"
        },
        scoring: {
          description: "Where applicable, the scoring can be specified An appropriate controlled vocabulary shall be used The term and the term identifier shall be used.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    MarketingStatus: {
      description: "The marketing status describes the date when a medicinal product is actually put on the market or the date as of which it is no longer available.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        country: {
          description: "The country in which the marketing authorisation has been granted shall be specified It should be specified using the ISO 3166 \u2011 1 alpha-2 code elements.",
          $ref: "#/definitions/CodeableConcept"
        },
        jurisdiction: {
          description: "Where a Medicines Regulatory Agency has granted a marketing authorisation for which specific provisions within a jurisdiction apply, the jurisdiction can be specified using an appropriate controlled terminology The controlled term and the controlled term identifier shall be specified.",
          $ref: "#/definitions/CodeableConcept"
        },
        status: {
          description: "This attribute provides information on the status of the marketing of the medicinal product See ISO/TS 20443 for more information and examples.",
          $ref: "#/definitions/CodeableConcept"
        },
        dateRange: {
          description: "The date when the Medicinal Product is placed on the market by the Marketing Authorisation Holder (or where applicable, the manufacturer/distributor) in a country and/or jurisdiction shall be provided A complete date consisting of day, month and year shall be specified using the ISO 8601 date format NOTE \u201CPlaced on the market\u201D refers to the release of the Medicinal Product into the distribution chain.",
          $ref: "#/definitions/Period"
        },
        restoreDate: {
          description: "The date when the Medicinal Product is placed on the market by the Marketing Authorisation Holder (or where applicable, the manufacturer/distributor) in a country and/or jurisdiction shall be provided A complete date consisting of day, month and year shall be specified using the ISO 8601 date format NOTE \u201CPlaced on the market\u201D refers to the release of the Medicinal Product into the distribution chain.",
          $ref: "#/definitions/dateTime"
        },
        _restoreDate: {
          description: "Extensions for restoreDate",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["country", "dateRange", "status"]
    },
    SubstanceAmount: {
      description: "Chemical substances are a single substance type whose primary defining element is the molecular structure. Chemical substances shall be defined on the basis of their complete covalent molecular structure; the presence of a salt (counter-ion) and/or solvates (water, alcohols) is also captured. Purity, grade, physical form or particle size are not taken into account in the definition of a chemical substance or in the assignment of a Substance ID.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        amountQuantity: {
          description: "Used to capture quantitative values for a variety of elements. If only limits are given, the arithmetic mean would be the average. If only a single definite value for a given element is given, it would be captured in this field.",
          $ref: "#/definitions/Quantity"
        },
        amountRange: {
          description: "Used to capture quantitative values for a variety of elements. If only limits are given, the arithmetic mean would be the average. If only a single definite value for a given element is given, it would be captured in this field.",
          $ref: "#/definitions/Range"
        },
        amountString: {
          description: "Used to capture quantitative values for a variety of elements. If only limits are given, the arithmetic mean would be the average. If only a single definite value for a given element is given, it would be captured in this field.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _amountString: {
          description: "Extensions for amountString",
          $ref: "#/definitions/Element"
        },
        amountType: {
          description: "Most elements that require a quantitative value will also have a field called amount type. Amount type should always be specified because the actual value of the amount is often dependent on it. EXAMPLE: In capturing the actual relative amounts of substances or molecular fragments it is essential to indicate whether the amount refers to a mole ratio or weight ratio. For any given element an effort should be made to use same the amount type for all related definitional elements.",
          $ref: "#/definitions/CodeableConcept"
        },
        amountText: {
          description: "A textual comment on a numeric value.",
          $ref: "#/definitions/string"
        },
        _amountText: {
          description: "Extensions for amountText",
          $ref: "#/definitions/Element"
        },
        referenceRange: {
          description: "Reference range of possible or expected values.",
          $ref: "#/definitions/SubstanceAmount_ReferenceRange"
        }
      },
      additionalProperties: false
    },
    SubstanceAmount_ReferenceRange: {
      description: "Chemical substances are a single substance type whose primary defining element is the molecular structure. Chemical substances shall be defined on the basis of their complete covalent molecular structure; the presence of a salt (counter-ion) and/or solvates (water, alcohols) is also captured. Purity, grade, physical form or particle size are not taken into account in the definition of a chemical substance or in the assignment of a Substance ID.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        lowLimit: {
          description: "Lower limit possible or expected.",
          $ref: "#/definitions/Quantity"
        },
        highLimit: {
          description: "Upper limit possible or expected.",
          $ref: "#/definitions/Quantity"
        }
      },
      additionalProperties: false
    },
    Expression: {
      description: "A expression that is evaluated in a specified context and returns a value. The context of use of the expression must specify the context in which the expression is evaluated, and how the result of the expression is used.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "A brief, natural language description of the condition that effectively communicates the intended semantics.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A short name assigned to the expression to allow for multiple reuse of the expression in the context where it is defined.",
          $ref: "#/definitions/id"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The media type of the language for the expression.",
          enum: ["text/cql", "text/fhirpath", "application/x-fhir-query"]
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        expression: {
          description: "An expression in the specified language that returns a value.",
          $ref: "#/definitions/string"
        },
        _expression: {
          description: "Extensions for expression",
          $ref: "#/definitions/Element"
        },
        reference: {
          description: "A URI that defines where the expression is found.",
          $ref: "#/definitions/uri"
        },
        _reference: {
          description: "Extensions for reference",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ElementDefinition: {
      description: "Captures constraints on each element within the resource, profile, or extension.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        path: {
          description: 'The path identifies the element and is expressed as a "."-separated list of ancestor elements, beginning with the name of the resource or extension.',
          $ref: "#/definitions/string"
        },
        _path: {
          description: "Extensions for path",
          $ref: "#/definitions/Element"
        },
        representation: {
          description: "Codes that define how this element is represented in instances, when the deviation varies from the normal case.",
          items: {
            enum: ["xmlAttr", "xmlText", "typeAttr", "cdaText", "xhtml"]
          },
          type: "array"
        },
        _representation: {
          description: "Extensions for representation",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        sliceName: {
          description: "The name of this element definition slice, when slicing is working. The name must be a token with no dots or spaces. This is a unique name referring to a specific set of constraints applied to this element, used to provide a name to different slices of the same element.",
          $ref: "#/definitions/string"
        },
        _sliceName: {
          description: "Extensions for sliceName",
          $ref: "#/definitions/Element"
        },
        sliceIsConstraining: {
          description: "If true, indicates that this slice definition is constraining a slice definition with the same name in an inherited profile. If false, the slice is not overriding any slice in an inherited profile. If missing, the slice might or might not be overriding a slice in an inherited profile, depending on the sliceName.",
          $ref: "#/definitions/boolean"
        },
        _sliceIsConstraining: {
          description: "Extensions for sliceIsConstraining",
          $ref: "#/definitions/Element"
        },
        label: {
          description: "A single preferred label which is the text to display beside the element indicating its meaning or to use to prompt for the element in a user display or form.",
          $ref: "#/definitions/string"
        },
        _label: {
          description: "Extensions for label",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A code that has the same meaning as the element in a particular terminology.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        slicing: {
          description: "Indicates that the element is sliced into a set of alternative definitions (i.e. in a structure definition, there are multiple different constraints on a single element in the base resource). Slicing can be used in any resource that has cardinality ..* on the base resource, or any resource with a choice of types. The set of slices is any elements that come after this in the element sequence that have the same path, until a shorter path occurs (the shorter path terminates the set).",
          $ref: "#/definitions/ElementDefinition_Slicing"
        },
        short: {
          description: "A concise description of what this element means (e.g. for use in autogenerated summaries).",
          $ref: "#/definitions/string"
        },
        _short: {
          description: "Extensions for short",
          $ref: "#/definitions/Element"
        },
        definition: {
          description: "Provides a complete explanation of the meaning of the data element for human readability.  For the case of elements derived from existing elements (e.g. constraints), the definition SHALL be consistent with the base definition, but convey the meaning of the element in the particular context of use of the resource. (Note: The text you are reading is specified in ElementDefinition.definition).",
          $ref: "#/definitions/markdown"
        },
        _definition: {
          description: "Extensions for definition",
          $ref: "#/definitions/Element"
        },
        comment: {
          description: "Explanatory notes and implementation guidance about the data element, including notes about how to use the data properly, exceptions to proper use, etc. (Note: The text you are reading is specified in ElementDefinition.comment).",
          $ref: "#/definitions/markdown"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        },
        requirements: {
          description: "This element is for traceability of why the element was created and why the constraints exist as they do. This may be used to point to source materials or specifications that drove the structure of this element.",
          $ref: "#/definitions/markdown"
        },
        _requirements: {
          description: "Extensions for requirements",
          $ref: "#/definitions/Element"
        },
        alias: {
          description: "Identifies additional names by which this element might also be known.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _alias: {
          description: "Extensions for alias",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        min: {
          description: "The minimum number of times this element SHALL appear in the instance.",
          $ref: "#/definitions/unsignedInt"
        },
        _min: {
          description: "Extensions for min",
          $ref: "#/definitions/Element"
        },
        max: {
          description: "The maximum number of times this element is permitted to appear in the instance.",
          $ref: "#/definitions/string"
        },
        _max: {
          description: "Extensions for max",
          $ref: "#/definitions/Element"
        },
        base: {
          description: "Information about the base definition of the element, provided to make it unnecessary for tools to trace the deviation of the element through the derived and related profiles. When the element definition is not the original definition of an element - i.g. either in a constraint on another type, or for elements from a super type in a snap shot - then the information in provided in the element definition may be different to the base definition. On the original definition of the element, it will be same.",
          $ref: "#/definitions/ElementDefinition_Base"
        },
        contentReference: {
          description: "Identifies an element defined elsewhere in the definition whose content rules should be applied to the current element. ContentReferences bring across all the rules that are in the ElementDefinition for the element, including definitions, cardinality constraints, bindings, invariants etc.",
          $ref: "#/definitions/uri"
        },
        _contentReference: {
          description: "Extensions for contentReference",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The data type or resource that the value of this element is permitted to be.",
          items: {
            $ref: "#/definitions/ElementDefinition_Type"
          },
          type: "array"
        },
        defaultValueBase64Binary: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^(\\s*([0-9a-zA-Z\\+/=]){4}\\s*)+$",
          type: "string"
        },
        _defaultValueBase64Binary: {
          description: "Extensions for defaultValueBase64Binary",
          $ref: "#/definitions/Element"
        },
        defaultValueBoolean: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^true|false$",
          type: "boolean"
        },
        _defaultValueBoolean: {
          description: "Extensions for defaultValueBoolean",
          $ref: "#/definitions/Element"
        },
        defaultValueCanonical: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^\\S*$",
          type: "string"
        },
        _defaultValueCanonical: {
          description: "Extensions for defaultValueCanonical",
          $ref: "#/definitions/Element"
        },
        defaultValueCode: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^[^\\s]+(\\s[^\\s]+)*$",
          type: "string"
        },
        _defaultValueCode: {
          description: "Extensions for defaultValueCode",
          $ref: "#/definitions/Element"
        },
        defaultValueDate: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _defaultValueDate: {
          description: "Extensions for defaultValueDate",
          $ref: "#/definitions/Element"
        },
        defaultValueDateTime: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _defaultValueDateTime: {
          description: "Extensions for defaultValueDateTime",
          $ref: "#/definitions/Element"
        },
        defaultValueDecimal: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _defaultValueDecimal: {
          description: "Extensions for defaultValueDecimal",
          $ref: "#/definitions/Element"
        },
        defaultValueId: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^[A-Za-z0-9\\-\\.]{1,64}$",
          type: "string"
        },
        _defaultValueId: {
          description: "Extensions for defaultValueId",
          $ref: "#/definitions/Element"
        },
        defaultValueInstant: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))$",
          type: "string"
        },
        _defaultValueInstant: {
          description: "Extensions for defaultValueInstant",
          $ref: "#/definitions/Element"
        },
        defaultValueInteger: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _defaultValueInteger: {
          description: "Extensions for defaultValueInteger",
          $ref: "#/definitions/Element"
        },
        defaultValueMarkdown: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _defaultValueMarkdown: {
          description: "Extensions for defaultValueMarkdown",
          $ref: "#/definitions/Element"
        },
        defaultValueOid: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^urn:oid:[0-2](\\.(0|[1-9][0-9]*))+$",
          type: "string"
        },
        _defaultValueOid: {
          description: "Extensions for defaultValueOid",
          $ref: "#/definitions/Element"
        },
        defaultValuePositiveInt: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _defaultValuePositiveInt: {
          description: "Extensions for defaultValuePositiveInt",
          $ref: "#/definitions/Element"
        },
        defaultValueString: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _defaultValueString: {
          description: "Extensions for defaultValueString",
          $ref: "#/definitions/Element"
        },
        defaultValueTime: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _defaultValueTime: {
          description: "Extensions for defaultValueTime",
          $ref: "#/definitions/Element"
        },
        defaultValueUnsignedInt: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _defaultValueUnsignedInt: {
          description: "Extensions for defaultValueUnsignedInt",
          $ref: "#/definitions/Element"
        },
        defaultValueUri: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^\\S*$",
          type: "string"
        },
        _defaultValueUri: {
          description: "Extensions for defaultValueUri",
          $ref: "#/definitions/Element"
        },
        defaultValueUrl: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^\\S*$",
          type: "string"
        },
        _defaultValueUrl: {
          description: "Extensions for defaultValueUrl",
          $ref: "#/definitions/Element"
        },
        defaultValueUuid: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          pattern: "^urn:uuid:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$",
          type: "string"
        },
        _defaultValueUuid: {
          description: "Extensions for defaultValueUuid",
          $ref: "#/definitions/Element"
        },
        defaultValueAddress: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Address"
        },
        defaultValueAge: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Age"
        },
        defaultValueAnnotation: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Annotation"
        },
        defaultValueAttachment: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Attachment"
        },
        defaultValueCodeableConcept: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/CodeableConcept"
        },
        defaultValueCoding: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Coding"
        },
        defaultValueContactPoint: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/ContactPoint"
        },
        defaultValueCount: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Count"
        },
        defaultValueDistance: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Distance"
        },
        defaultValueDuration: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Duration"
        },
        defaultValueHumanName: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/HumanName"
        },
        defaultValueIdentifier: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Identifier"
        },
        defaultValueMoney: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Money"
        },
        defaultValuePeriod: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Period"
        },
        defaultValueQuantity: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Quantity"
        },
        defaultValueRange: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Range"
        },
        defaultValueRatio: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Ratio"
        },
        defaultValueReference: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Reference"
        },
        defaultValueSampledData: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/SampledData"
        },
        defaultValueSignature: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Signature"
        },
        defaultValueTiming: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Timing"
        },
        defaultValueContactDetail: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/ContactDetail"
        },
        defaultValueContributor: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Contributor"
        },
        defaultValueDataRequirement: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/DataRequirement"
        },
        defaultValueExpression: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Expression"
        },
        defaultValueParameterDefinition: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/ParameterDefinition"
        },
        defaultValueRelatedArtifact: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/RelatedArtifact"
        },
        defaultValueTriggerDefinition: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/TriggerDefinition"
        },
        defaultValueUsageContext: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/UsageContext"
        },
        defaultValueDosage: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Dosage"
        },
        defaultValueMeta: {
          description: "The value that should be used if there is no value stated in the instance (e.g. 'if not otherwise specified, the abstract is false').",
          $ref: "#/definitions/Meta"
        },
        meaningWhenMissing: {
          description: "The Implicit meaning that is to be understood when this element is missing (e.g. 'when this element is missing, the period is ongoing').",
          $ref: "#/definitions/markdown"
        },
        _meaningWhenMissing: {
          description: "Extensions for meaningWhenMissing",
          $ref: "#/definitions/Element"
        },
        orderMeaning: {
          description: "If present, indicates that the order of the repeating element has meaning and describes what that meaning is.  If absent, it means that the order of the element has no meaning.",
          $ref: "#/definitions/string"
        },
        _orderMeaning: {
          description: "Extensions for orderMeaning",
          $ref: "#/definitions/Element"
        },
        fixedBase64Binary: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^(\\s*([0-9a-zA-Z\\+/=]){4}\\s*)+$",
          type: "string"
        },
        _fixedBase64Binary: {
          description: "Extensions for fixedBase64Binary",
          $ref: "#/definitions/Element"
        },
        fixedBoolean: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _fixedBoolean: {
          description: "Extensions for fixedBoolean",
          $ref: "#/definitions/Element"
        },
        fixedCanonical: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^\\S*$",
          type: "string"
        },
        _fixedCanonical: {
          description: "Extensions for fixedCanonical",
          $ref: "#/definitions/Element"
        },
        fixedCode: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^[^\\s]+(\\s[^\\s]+)*$",
          type: "string"
        },
        _fixedCode: {
          description: "Extensions for fixedCode",
          $ref: "#/definitions/Element"
        },
        fixedDate: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _fixedDate: {
          description: "Extensions for fixedDate",
          $ref: "#/definitions/Element"
        },
        fixedDateTime: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _fixedDateTime: {
          description: "Extensions for fixedDateTime",
          $ref: "#/definitions/Element"
        },
        fixedDecimal: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _fixedDecimal: {
          description: "Extensions for fixedDecimal",
          $ref: "#/definitions/Element"
        },
        fixedId: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^[A-Za-z0-9\\-\\.]{1,64}$",
          type: "string"
        },
        _fixedId: {
          description: "Extensions for fixedId",
          $ref: "#/definitions/Element"
        },
        fixedInstant: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))$",
          type: "string"
        },
        _fixedInstant: {
          description: "Extensions for fixedInstant",
          $ref: "#/definitions/Element"
        },
        fixedInteger: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _fixedInteger: {
          description: "Extensions for fixedInteger",
          $ref: "#/definitions/Element"
        },
        fixedMarkdown: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _fixedMarkdown: {
          description: "Extensions for fixedMarkdown",
          $ref: "#/definitions/Element"
        },
        fixedOid: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^urn:oid:[0-2](\\.(0|[1-9][0-9]*))+$",
          type: "string"
        },
        _fixedOid: {
          description: "Extensions for fixedOid",
          $ref: "#/definitions/Element"
        },
        fixedPositiveInt: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _fixedPositiveInt: {
          description: "Extensions for fixedPositiveInt",
          $ref: "#/definitions/Element"
        },
        fixedString: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _fixedString: {
          description: "Extensions for fixedString",
          $ref: "#/definitions/Element"
        },
        fixedTime: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _fixedTime: {
          description: "Extensions for fixedTime",
          $ref: "#/definitions/Element"
        },
        fixedUnsignedInt: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _fixedUnsignedInt: {
          description: "Extensions for fixedUnsignedInt",
          $ref: "#/definitions/Element"
        },
        fixedUri: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^\\S*$",
          type: "string"
        },
        _fixedUri: {
          description: "Extensions for fixedUri",
          $ref: "#/definitions/Element"
        },
        fixedUrl: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^\\S*$",
          type: "string"
        },
        _fixedUrl: {
          description: "Extensions for fixedUrl",
          $ref: "#/definitions/Element"
        },
        fixedUuid: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          pattern: "^urn:uuid:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$",
          type: "string"
        },
        _fixedUuid: {
          description: "Extensions for fixedUuid",
          $ref: "#/definitions/Element"
        },
        fixedAddress: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Address"
        },
        fixedAge: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Age"
        },
        fixedAnnotation: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Annotation"
        },
        fixedAttachment: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Attachment"
        },
        fixedCodeableConcept: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/CodeableConcept"
        },
        fixedCoding: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Coding"
        },
        fixedContactPoint: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/ContactPoint"
        },
        fixedCount: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Count"
        },
        fixedDistance: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Distance"
        },
        fixedDuration: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Duration"
        },
        fixedHumanName: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/HumanName"
        },
        fixedIdentifier: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Identifier"
        },
        fixedMoney: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Money"
        },
        fixedPeriod: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Period"
        },
        fixedQuantity: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Quantity"
        },
        fixedRange: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Range"
        },
        fixedRatio: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Ratio"
        },
        fixedReference: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Reference"
        },
        fixedSampledData: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/SampledData"
        },
        fixedSignature: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Signature"
        },
        fixedTiming: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Timing"
        },
        fixedContactDetail: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/ContactDetail"
        },
        fixedContributor: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Contributor"
        },
        fixedDataRequirement: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/DataRequirement"
        },
        fixedExpression: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Expression"
        },
        fixedParameterDefinition: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/ParameterDefinition"
        },
        fixedRelatedArtifact: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/RelatedArtifact"
        },
        fixedTriggerDefinition: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/TriggerDefinition"
        },
        fixedUsageContext: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/UsageContext"
        },
        fixedDosage: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Dosage"
        },
        fixedMeta: {
          description: "Specifies a value that SHALL be exactly the value  for this element in the instance. For purposes of comparison, non-significant whitespace is ignored, and all values must be an exact match (case and accent sensitive). Missing elements/attributes must also be missing.",
          $ref: "#/definitions/Meta"
        },
        patternBase64Binary: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^(\\s*([0-9a-zA-Z\\+/=]){4}\\s*)+$",
          type: "string"
        },
        _patternBase64Binary: {
          description: "Extensions for patternBase64Binary",
          $ref: "#/definitions/Element"
        },
        patternBoolean: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _patternBoolean: {
          description: "Extensions for patternBoolean",
          $ref: "#/definitions/Element"
        },
        patternCanonical: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^\\S*$",
          type: "string"
        },
        _patternCanonical: {
          description: "Extensions for patternCanonical",
          $ref: "#/definitions/Element"
        },
        patternCode: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^[^\\s]+(\\s[^\\s]+)*$",
          type: "string"
        },
        _patternCode: {
          description: "Extensions for patternCode",
          $ref: "#/definitions/Element"
        },
        patternDate: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _patternDate: {
          description: "Extensions for patternDate",
          $ref: "#/definitions/Element"
        },
        patternDateTime: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _patternDateTime: {
          description: "Extensions for patternDateTime",
          $ref: "#/definitions/Element"
        },
        patternDecimal: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _patternDecimal: {
          description: "Extensions for patternDecimal",
          $ref: "#/definitions/Element"
        },
        patternId: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^[A-Za-z0-9\\-\\.]{1,64}$",
          type: "string"
        },
        _patternId: {
          description: "Extensions for patternId",
          $ref: "#/definitions/Element"
        },
        patternInstant: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))$",
          type: "string"
        },
        _patternInstant: {
          description: "Extensions for patternInstant",
          $ref: "#/definitions/Element"
        },
        patternInteger: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _patternInteger: {
          description: "Extensions for patternInteger",
          $ref: "#/definitions/Element"
        },
        patternMarkdown: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _patternMarkdown: {
          description: "Extensions for patternMarkdown",
          $ref: "#/definitions/Element"
        },
        patternOid: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^urn:oid:[0-2](\\.(0|[1-9][0-9]*))+$",
          type: "string"
        },
        _patternOid: {
          description: "Extensions for patternOid",
          $ref: "#/definitions/Element"
        },
        patternPositiveInt: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _patternPositiveInt: {
          description: "Extensions for patternPositiveInt",
          $ref: "#/definitions/Element"
        },
        patternString: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _patternString: {
          description: "Extensions for patternString",
          $ref: "#/definitions/Element"
        },
        patternTime: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _patternTime: {
          description: "Extensions for patternTime",
          $ref: "#/definitions/Element"
        },
        patternUnsignedInt: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _patternUnsignedInt: {
          description: "Extensions for patternUnsignedInt",
          $ref: "#/definitions/Element"
        },
        patternUri: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^\\S*$",
          type: "string"
        },
        _patternUri: {
          description: "Extensions for patternUri",
          $ref: "#/definitions/Element"
        },
        patternUrl: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^\\S*$",
          type: "string"
        },
        _patternUrl: {
          description: "Extensions for patternUrl",
          $ref: "#/definitions/Element"
        },
        patternUuid: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          pattern: "^urn:uuid:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$",
          type: "string"
        },
        _patternUuid: {
          description: "Extensions for patternUuid",
          $ref: "#/definitions/Element"
        },
        patternAddress: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Address"
        },
        patternAge: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Age"
        },
        patternAnnotation: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Annotation"
        },
        patternAttachment: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Attachment"
        },
        patternCodeableConcept: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/CodeableConcept"
        },
        patternCoding: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Coding"
        },
        patternContactPoint: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/ContactPoint"
        },
        patternCount: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Count"
        },
        patternDistance: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Distance"
        },
        patternDuration: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Duration"
        },
        patternHumanName: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/HumanName"
        },
        patternIdentifier: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Identifier"
        },
        patternMoney: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Money"
        },
        patternPeriod: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Period"
        },
        patternQuantity: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Quantity"
        },
        patternRange: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Range"
        },
        patternRatio: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Ratio"
        },
        patternReference: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Reference"
        },
        patternSampledData: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/SampledData"
        },
        patternSignature: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Signature"
        },
        patternTiming: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Timing"
        },
        patternContactDetail: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/ContactDetail"
        },
        patternContributor: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Contributor"
        },
        patternDataRequirement: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/DataRequirement"
        },
        patternExpression: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Expression"
        },
        patternParameterDefinition: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/ParameterDefinition"
        },
        patternRelatedArtifact: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/RelatedArtifact"
        },
        patternTriggerDefinition: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/TriggerDefinition"
        },
        patternUsageContext: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/UsageContext"
        },
        patternDosage: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Dosage"
        },
        patternMeta: {
          description: "Specifies a value that the value in the instance SHALL follow - that is, any value in the pattern must be found in the instance. Other additional values may be found too. This is effectively constraint by example.  \n\nWhen pattern[x] is used to constrain a primitive, it means that the value provided in the pattern[x] must match the instance value exactly.\n\nWhen pattern[x] is used to constrain an array, it means that each element provided in the pattern[x] array must (recursively) match at least one element from the instance array.\n\nWhen pattern[x] is used to constrain a complex object, it means that each property in the pattern must be present in the complex object, and its value must recursively match -- i.e.,\n\n1. If primitive: it must match exactly the pattern value\n2. If a complex object: it must match (recursively) the pattern value\n3. If an array: it must match (recursively) the pattern value.",
          $ref: "#/definitions/Meta"
        },
        example: {
          description: "A sample value for this element demonstrating the type of information that would typically be found in the element.",
          items: {
            $ref: "#/definitions/ElementDefinition_Example"
          },
          type: "array"
        },
        minValueDate: {
          description: "The minimum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _minValueDate: {
          description: "Extensions for minValueDate",
          $ref: "#/definitions/Element"
        },
        minValueDateTime: {
          description: "The minimum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _minValueDateTime: {
          description: "Extensions for minValueDateTime",
          $ref: "#/definitions/Element"
        },
        minValueInstant: {
          description: "The minimum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))$",
          type: "string"
        },
        _minValueInstant: {
          description: "Extensions for minValueInstant",
          $ref: "#/definitions/Element"
        },
        minValueTime: {
          description: "The minimum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _minValueTime: {
          description: "Extensions for minValueTime",
          $ref: "#/definitions/Element"
        },
        minValueDecimal: {
          description: "The minimum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _minValueDecimal: {
          description: "Extensions for minValueDecimal",
          $ref: "#/definitions/Element"
        },
        minValueInteger: {
          description: "The minimum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _minValueInteger: {
          description: "Extensions for minValueInteger",
          $ref: "#/definitions/Element"
        },
        minValuePositiveInt: {
          description: "The minimum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _minValuePositiveInt: {
          description: "Extensions for minValuePositiveInt",
          $ref: "#/definitions/Element"
        },
        minValueUnsignedInt: {
          description: "The minimum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _minValueUnsignedInt: {
          description: "Extensions for minValueUnsignedInt",
          $ref: "#/definitions/Element"
        },
        minValueQuantity: {
          description: "The minimum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          $ref: "#/definitions/Quantity"
        },
        maxValueDate: {
          description: "The maximum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _maxValueDate: {
          description: "Extensions for maxValueDate",
          $ref: "#/definitions/Element"
        },
        maxValueDateTime: {
          description: "The maximum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _maxValueDateTime: {
          description: "Extensions for maxValueDateTime",
          $ref: "#/definitions/Element"
        },
        maxValueInstant: {
          description: "The maximum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))$",
          type: "string"
        },
        _maxValueInstant: {
          description: "Extensions for maxValueInstant",
          $ref: "#/definitions/Element"
        },
        maxValueTime: {
          description: "The maximum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _maxValueTime: {
          description: "Extensions for maxValueTime",
          $ref: "#/definitions/Element"
        },
        maxValueDecimal: {
          description: "The maximum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _maxValueDecimal: {
          description: "Extensions for maxValueDecimal",
          $ref: "#/definitions/Element"
        },
        maxValueInteger: {
          description: "The maximum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _maxValueInteger: {
          description: "Extensions for maxValueInteger",
          $ref: "#/definitions/Element"
        },
        maxValuePositiveInt: {
          description: "The maximum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _maxValuePositiveInt: {
          description: "Extensions for maxValuePositiveInt",
          $ref: "#/definitions/Element"
        },
        maxValueUnsignedInt: {
          description: "The maximum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _maxValueUnsignedInt: {
          description: "Extensions for maxValueUnsignedInt",
          $ref: "#/definitions/Element"
        },
        maxValueQuantity: {
          description: "The maximum allowed value for the element. The value is inclusive. This is allowed for the types date, dateTime, instant, time, decimal, integer, and Quantity.",
          $ref: "#/definitions/Quantity"
        },
        maxLength: {
          description: "Indicates the maximum length in characters that is permitted to be present in conformant instances and which is expected to be supported by conformant consumers that support the element.",
          $ref: "#/definitions/integer"
        },
        _maxLength: {
          description: "Extensions for maxLength",
          $ref: "#/definitions/Element"
        },
        condition: {
          description: "A reference to an invariant that may make additional statements about the cardinality or value in the instance.",
          items: {
            $ref: "#/definitions/id"
          },
          type: "array"
        },
        _condition: {
          description: "Extensions for condition",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        constraint: {
          description: "Formal constraints such as co-occurrence and other constraints that can be computationally evaluated within the context of the instance.",
          items: {
            $ref: "#/definitions/ElementDefinition_Constraint"
          },
          type: "array"
        },
        mustSupport: {
          description: 'If true, implementations that produce or consume resources SHALL provide "support" for the element in some meaningful way.  If false, the element may be ignored and not supported. If false, whether to populate or use the data element in any way is at the discretion of the implementation.',
          $ref: "#/definitions/boolean"
        },
        _mustSupport: {
          description: "Extensions for mustSupport",
          $ref: "#/definitions/Element"
        },
        isModifier: {
          description: "If true, the value of this element affects the interpretation of the element or resource that contains it, and the value of the element cannot be ignored. Typically, this is used for status, negation and qualification codes. The effect of this is that the element cannot be ignored by systems: they SHALL either recognize the element and process it, and/or a pre-determination has been made that it is not relevant to their particular system.",
          $ref: "#/definitions/boolean"
        },
        _isModifier: {
          description: "Extensions for isModifier",
          $ref: "#/definitions/Element"
        },
        isModifierReason: {
          description: "Explains how that element affects the interpretation of the resource or element that contains it.",
          $ref: "#/definitions/string"
        },
        _isModifierReason: {
          description: "Extensions for isModifierReason",
          $ref: "#/definitions/Element"
        },
        isSummary: {
          description: "Whether the element should be included if a client requests a search with the parameter _summary=true.",
          $ref: "#/definitions/boolean"
        },
        _isSummary: {
          description: "Extensions for isSummary",
          $ref: "#/definitions/Element"
        },
        binding: {
          description: "Binds to a value set if this element is coded (code, Coding, CodeableConcept, Quantity), or the data types (string, uri).",
          $ref: "#/definitions/ElementDefinition_Binding"
        },
        mapping: {
          description: "Identifies a concept from an external specification that roughly corresponds to this element.",
          items: {
            $ref: "#/definitions/ElementDefinition_Mapping"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ElementDefinition_Slicing: {
      description: "Captures constraints on each element within the resource, profile, or extension.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        discriminator: {
          description: "Designates which child elements are used to discriminate between the slices when processing an instance. If one or more discriminators are provided, the value of the child elements in the instance data SHALL completely distinguish which slice the element in the resource matches based on the allowed values for those elements in each of the slices.",
          items: {
            $ref: "#/definitions/ElementDefinition_Discriminator"
          },
          type: "array"
        },
        description: {
          description: "A human-readable text description of how the slicing works. If there is no discriminator, this is required to be present to provide whatever information is possible about how the slices can be differentiated.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        ordered: {
          description: "If the matching elements have to occur in the same order as defined in the profile.",
          $ref: "#/definitions/boolean"
        },
        _ordered: {
          description: "Extensions for ordered",
          $ref: "#/definitions/Element"
        },
        rules: {
          description: "Whether additional slices are allowed or not. When the slices are ordered, profile authors can also say that additional slices are only allowed at the end.",
          enum: ["closed", "open", "openAtEnd"]
        },
        _rules: {
          description: "Extensions for rules",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ElementDefinition_Discriminator: {
      description: "Captures constraints on each element within the resource, profile, or extension.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "How the element value is interpreted when discrimination is evaluated.",
          enum: ["value", "exists", "pattern", "type", "profile"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        path: {
          description: "A FHIRPath expression, using [the simple subset of FHIRPath](fhirpath.html#simple), that is used to identify the element on which discrimination is based.",
          $ref: "#/definitions/string"
        },
        _path: {
          description: "Extensions for path",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ElementDefinition_Base: {
      description: "Captures constraints on each element within the resource, profile, or extension.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        path: {
          description: "The Path that identifies the base element - this matches the ElementDefinition.path for that element. Across FHIR, there is only one base definition of any element - that is, an element definition on a [[[StructureDefinition]]] without a StructureDefinition.base.",
          $ref: "#/definitions/string"
        },
        _path: {
          description: "Extensions for path",
          $ref: "#/definitions/Element"
        },
        min: {
          description: "Minimum cardinality of the base element identified by the path.",
          $ref: "#/definitions/unsignedInt"
        },
        _min: {
          description: "Extensions for min",
          $ref: "#/definitions/Element"
        },
        max: {
          description: "Maximum cardinality of the base element identified by the path.",
          $ref: "#/definitions/string"
        },
        _max: {
          description: "Extensions for max",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ElementDefinition_Type: {
      description: "Captures constraints on each element within the resource, profile, or extension.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: 'URL of Data type or Resource that is a(or the) type used for this element. References are URLs that are relative to http://hl7.org/fhir/StructureDefinition e.g. "string" is a reference to http://hl7.org/fhir/StructureDefinition/string. Absolute URLs are only allowed in logical models.',
          $ref: "#/definitions/uri"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        profile: {
          description: "Identifies a profile structure or implementation Guide that applies to the datatype this element refers to. If any profiles are specified, then the content must conform to at least one of them. The URL can be a local reference - to a contained StructureDefinition, or a reference to another StructureDefinition or Implementation Guide by a canonical URL. When an implementation guide is specified, the type SHALL conform to at least one profile defined in the implementation guide.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        targetProfile: {
          description: 'Used when the type is "Reference" or "canonical", and identifies a profile structure or implementation Guide that applies to the target of the reference this element refers to. If any profiles are specified, then the content must conform to at least one of them. The URL can be a local reference - to a contained StructureDefinition, or a reference to another StructureDefinition or Implementation Guide by a canonical URL. When an implementation guide is specified, the target resource SHALL conform to at least one profile defined in the implementation guide.',
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        aggregation: {
          description: "If the type is a reference to another resource, how the resource is or can be aggregated - is it a contained resource, or a reference, and if the context is a bundle, is it included in the bundle.",
          items: {
            enum: ["contained", "referenced", "bundled"]
          },
          type: "array"
        },
        _aggregation: {
          description: "Extensions for aggregation",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        versioning: {
          description: "Whether this reference needs to be version specific or version independent, or whether either can be used.",
          enum: ["either", "independent", "specific"]
        },
        _versioning: {
          description: "Extensions for versioning",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ElementDefinition_Example: {
      description: "Captures constraints on each element within the resource, profile, or extension.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        label: {
          description: "Describes the purpose of this example amoung the set of examples.",
          $ref: "#/definitions/string"
        },
        _label: {
          description: "Extensions for label",
          $ref: "#/definitions/Element"
        },
        valueBase64Binary: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^(\\s*([0-9a-zA-Z\\+/=]){4}\\s*)+$",
          type: "string"
        },
        _valueBase64Binary: {
          description: "Extensions for valueBase64Binary",
          $ref: "#/definitions/Element"
        },
        valueBoolean: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueCanonical: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueCanonical: {
          description: "Extensions for valueCanonical",
          $ref: "#/definitions/Element"
        },
        valueCode: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^[^\\s]+(\\s[^\\s]+)*$",
          type: "string"
        },
        _valueCode: {
          description: "Extensions for valueCode",
          $ref: "#/definitions/Element"
        },
        valueDate: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _valueDate: {
          description: "Extensions for valueDate",
          $ref: "#/definitions/Element"
        },
        valueDateTime: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _valueDateTime: {
          description: "Extensions for valueDateTime",
          $ref: "#/definitions/Element"
        },
        valueDecimal: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _valueDecimal: {
          description: "Extensions for valueDecimal",
          $ref: "#/definitions/Element"
        },
        valueId: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^[A-Za-z0-9\\-\\.]{1,64}$",
          type: "string"
        },
        _valueId: {
          description: "Extensions for valueId",
          $ref: "#/definitions/Element"
        },
        valueInstant: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))$",
          type: "string"
        },
        _valueInstant: {
          description: "Extensions for valueInstant",
          $ref: "#/definitions/Element"
        },
        valueInteger: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueMarkdown: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueMarkdown: {
          description: "Extensions for valueMarkdown",
          $ref: "#/definitions/Element"
        },
        valueOid: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^urn:oid:[0-2](\\.(0|[1-9][0-9]*))+$",
          type: "string"
        },
        _valueOid: {
          description: "Extensions for valueOid",
          $ref: "#/definitions/Element"
        },
        valuePositiveInt: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _valuePositiveInt: {
          description: "Extensions for valuePositiveInt",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueTime: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _valueTime: {
          description: "Extensions for valueTime",
          $ref: "#/definitions/Element"
        },
        valueUnsignedInt: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _valueUnsignedInt: {
          description: "Extensions for valueUnsignedInt",
          $ref: "#/definitions/Element"
        },
        valueUri: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUri: {
          description: "Extensions for valueUri",
          $ref: "#/definitions/Element"
        },
        valueUrl: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUrl: {
          description: "Extensions for valueUrl",
          $ref: "#/definitions/Element"
        },
        valueUuid: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          pattern: "^urn:uuid:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$",
          type: "string"
        },
        _valueUuid: {
          description: "Extensions for valueUuid",
          $ref: "#/definitions/Element"
        },
        valueAddress: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Address"
        },
        valueAge: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Age"
        },
        valueAnnotation: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Annotation"
        },
        valueAttachment: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Attachment"
        },
        valueCodeableConcept: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueCoding: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Coding"
        },
        valueContactPoint: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/ContactPoint"
        },
        valueCount: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Count"
        },
        valueDistance: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Distance"
        },
        valueDuration: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Duration"
        },
        valueHumanName: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/HumanName"
        },
        valueIdentifier: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Identifier"
        },
        valueMoney: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Money"
        },
        valuePeriod: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Period"
        },
        valueQuantity: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Quantity"
        },
        valueRange: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Range"
        },
        valueRatio: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Ratio"
        },
        valueReference: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Reference"
        },
        valueSampledData: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/SampledData"
        },
        valueSignature: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Signature"
        },
        valueTiming: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Timing"
        },
        valueContactDetail: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/ContactDetail"
        },
        valueContributor: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Contributor"
        },
        valueDataRequirement: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/DataRequirement"
        },
        valueExpression: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Expression"
        },
        valueParameterDefinition: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/ParameterDefinition"
        },
        valueRelatedArtifact: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/RelatedArtifact"
        },
        valueTriggerDefinition: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/TriggerDefinition"
        },
        valueUsageContext: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/UsageContext"
        },
        valueDosage: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Dosage"
        },
        valueMeta: {
          description: "The actual value for the element, which must be one of the types allowed for this element.",
          $ref: "#/definitions/Meta"
        }
      },
      additionalProperties: false
    },
    ElementDefinition_Constraint: {
      description: "Captures constraints on each element within the resource, profile, or extension.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        key: {
          description: "Allows identification of which elements have their cardinalities impacted by the constraint.  Will not be referenced for constraints that do not affect cardinality.",
          $ref: "#/definitions/id"
        },
        _key: {
          description: "Extensions for key",
          $ref: "#/definitions/Element"
        },
        requirements: {
          description: "Description of why this constraint is necessary or appropriate.",
          $ref: "#/definitions/string"
        },
        _requirements: {
          description: "Extensions for requirements",
          $ref: "#/definitions/Element"
        },
        severity: {
          description: "Identifies the impact constraint violation has on the conformance of the instance.",
          enum: ["error", "warning"]
        },
        _severity: {
          description: "Extensions for severity",
          $ref: "#/definitions/Element"
        },
        human: {
          description: "Text that can be used to describe the constraint in messages identifying that the constraint has been violated.",
          $ref: "#/definitions/string"
        },
        _human: {
          description: "Extensions for human",
          $ref: "#/definitions/Element"
        },
        expression: {
          description: "A [FHIRPath](fhirpath.html) expression of constraint that can be executed to see if this constraint is met.",
          $ref: "#/definitions/string"
        },
        _expression: {
          description: "Extensions for expression",
          $ref: "#/definitions/Element"
        },
        xpath: {
          description: "An XPath expression of constraint that can be executed to see if this constraint is met.",
          $ref: "#/definitions/string"
        },
        _xpath: {
          description: "Extensions for xpath",
          $ref: "#/definitions/Element"
        },
        source: {
          description: "A reference to the original source of the constraint, for traceability purposes.",
          $ref: "#/definitions/canonical"
        }
      },
      additionalProperties: false
    },
    ElementDefinition_Binding: {
      description: "Captures constraints on each element within the resource, profile, or extension.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        strength: {
          description: "Indicates the degree of conformance expectations associated with this binding - that is, the degree to which the provided value set must be adhered to in the instances.",
          enum: ["required", "extensible", "preferred", "example"]
        },
        _strength: {
          description: "Extensions for strength",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "Describes the intended use of this particular set of codes.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        valueSet: {
          description: "Refers to the value set that identifies the set of codes the binding refers to.",
          $ref: "#/definitions/canonical"
        }
      },
      additionalProperties: false
    },
    ElementDefinition_Mapping: {
      description: "Captures constraints on each element within the resource, profile, or extension.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identity: {
          description: "An internal reference to the definition of a mapping.",
          $ref: "#/definitions/id"
        },
        _identity: {
          description: "Extensions for identity",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "Identifies the computable language in which mapping.map is expressed.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        map: {
          description: "Expresses what part of the target specification corresponds to this element.",
          $ref: "#/definitions/string"
        },
        _map: {
          description: "Extensions for map",
          $ref: "#/definitions/Element"
        },
        comment: {
          description: "Comments that provide information about the mapping or its use.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Account: {
      description: "A financial tool for tracking value accrued for a particular purpose.  In the healthcare field, used to track charges for a patient, cost centers, etc.",
      properties: {
        resourceType: {
          description: "This is a Account resource",
          const: "Account"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Unique identifier used to reference the account.  Might or might not be intended for human use (e.g. credit card number).",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "Indicates whether the account is presently used/usable or not.",
          enum: ["active", "inactive", "entered-in-error", "on-hold", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Categorizes the account for reporting and searching purposes.",
          $ref: "#/definitions/CodeableConcept"
        },
        name: {
          description: "Name used for the account when displaying it to humans in reports, etc.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        subject: {
          description: "Identifies the entity which incurs the expenses. While the immediate recipients of services or goods might be entities related to the subject, the expenses were ultimately incurred by the subject of the Account.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        servicePeriod: {
          description: "The date range of services associated with this account.",
          $ref: "#/definitions/Period"
        },
        coverage: {
          description: "The party(s) that are responsible for covering the payment of this account, and what order should they be applied to the account.",
          items: {
            $ref: "#/definitions/Account_Coverage"
          },
          type: "array"
        },
        owner: {
          description: "Indicates the service area, hospital, department, etc. with responsibility for managing the Account.",
          $ref: "#/definitions/Reference"
        },
        description: {
          description: "Provides additional information about what the account tracks and how it is used.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        guarantor: {
          description: "The parties responsible for balancing the account if other payment options fall short.",
          items: {
            $ref: "#/definitions/Account_Guarantor"
          },
          type: "array"
        },
        partOf: {
          description: "Reference to a parent Account.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Account_Coverage: {
      description: "A financial tool for tracking value accrued for a particular purpose.  In the healthcare field, used to track charges for a patient, cost centers, etc.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        coverage: {
          description: "The party(s) that contribute to payment (or part of) of the charges applied to this account (including self-pay).\n\nA coverage may only be responsible for specific types of charges, and the sequence of the coverages in the account could be important when processing billing.",
          $ref: "#/definitions/Reference"
        },
        priority: {
          description: "The priority of the coverage in the context of this account.",
          $ref: "#/definitions/positiveInt"
        },
        _priority: {
          description: "Extensions for priority",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["coverage"]
    },
    Account_Guarantor: {
      description: "A financial tool for tracking value accrued for a particular purpose.  In the healthcare field, used to track charges for a patient, cost centers, etc.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        party: {
          description: "The entity who is responsible.",
          $ref: "#/definitions/Reference"
        },
        onHold: {
          description: "A guarantor may be placed on credit hold or otherwise have their role temporarily suspended.",
          $ref: "#/definitions/boolean"
        },
        _onHold: {
          description: "Extensions for onHold",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "The timeframe during which the guarantor accepts responsibility for the account.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false,
      required: ["party"]
    },
    ActivityDefinition: {
      description: "This resource allows for the definition of some activity to be performed, independent of a particular patient, practitioner, or other performance context.",
      properties: {
        resourceType: {
          description: "This is a ActivityDefinition resource",
          const: "ActivityDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this activity definition when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this activity definition is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the activity definition is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this activity definition when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the activity definition when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the activity definition author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence. To provide a version consistent with the Decision Support Service specification, use the format Major.Minor.Revision (e.g. 1.0.0). For more information on versioning knowledge assets, refer to the Decision Support Service specification. Note that a version is required for non-experimental active assets.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the activity definition. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the activity definition.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        subtitle: {
          description: "An explanatory or alternate title for the activity definition giving additional information about its content.",
          $ref: "#/definitions/string"
        },
        _subtitle: {
          description: "Extensions for subtitle",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this activity definition. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this activity definition is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        subjectCodeableConcept: {
          description: "A code or group definition that describes the intended subject of the activity being defined.",
          $ref: "#/definitions/CodeableConcept"
        },
        subjectReference: {
          description: "A code or group definition that describes the intended subject of the activity being defined.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date  (and optionally time) when the activity definition was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the activity definition changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the activity definition.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the activity definition from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate activity definition instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the activity definition is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this activity definition is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        usage: {
          description: "A detailed description of how the activity definition is used from a clinical perspective.",
          $ref: "#/definitions/string"
        },
        _usage: {
          description: "Extensions for usage",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the activity definition and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the activity definition.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        approvalDate: {
          description: "The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage.",
          $ref: "#/definitions/date"
        },
        _approvalDate: {
          description: "Extensions for approvalDate",
          $ref: "#/definitions/Element"
        },
        lastReviewDate: {
          description: "The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date.",
          $ref: "#/definitions/date"
        },
        _lastReviewDate: {
          description: "Extensions for lastReviewDate",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The period during which the activity definition content was or is planned to be in active use.",
          $ref: "#/definitions/Period"
        },
        topic: {
          description: "Descriptive topics related to the content of the activity. Topics provide a high-level categorization of the activity that can be useful for filtering and searching.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        author: {
          description: "An individiual or organization primarily involved in the creation and maintenance of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        editor: {
          description: "An individual or organization primarily responsible for internal coherence of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        reviewer: {
          description: "An individual or organization primarily responsible for review of some aspect of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        endorser: {
          description: "An individual or organization responsible for officially endorsing the content for use in some setting.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        relatedArtifact: {
          description: "Related artifacts such as additional documentation, justification, or bibliographic references.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        library: {
          description: "A reference to a Library resource containing any formal logic used by the activity definition.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        kind: {
          description: "A description of the kind of resource the activity definition is representing. For example, a MedicationRequest, a ServiceRequest, or a CommunicationRequest. Typically, but not always, this is a Request resource.",
          $ref: "#/definitions/code"
        },
        _kind: {
          description: "Extensions for kind",
          $ref: "#/definitions/Element"
        },
        profile: {
          description: "A profile to which the target of the activity definition is expected to conform.",
          $ref: "#/definitions/canonical"
        },
        code: {
          description: "Detailed description of the type of activity; e.g. What lab test, what procedure, what kind of encounter.",
          $ref: "#/definitions/CodeableConcept"
        },
        intent: {
          description: "Indicates the level of authority/intentionality associated with the activity and where the request should fit into the workflow chain.",
          $ref: "#/definitions/code"
        },
        _intent: {
          description: "Extensions for intent",
          $ref: "#/definitions/Element"
        },
        priority: {
          description: "Indicates how quickly the activity  should be addressed with respect to other requests.",
          $ref: "#/definitions/code"
        },
        _priority: {
          description: "Extensions for priority",
          $ref: "#/definitions/Element"
        },
        doNotPerform: {
          description: "Set this to true if the definition is to indicate that a particular activity should NOT be performed. If true, this element should be interpreted to reinforce a negative coding. For example NPO as a code with a doNotPerform of true would still indicate to NOT perform the action.",
          $ref: "#/definitions/boolean"
        },
        _doNotPerform: {
          description: "Extensions for doNotPerform",
          $ref: "#/definitions/Element"
        },
        timingTiming: {
          description: "The period, timing or frequency upon which the described activity is to occur.",
          $ref: "#/definitions/Timing"
        },
        timingDateTime: {
          description: "The period, timing or frequency upon which the described activity is to occur.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _timingDateTime: {
          description: "Extensions for timingDateTime",
          $ref: "#/definitions/Element"
        },
        timingAge: {
          description: "The period, timing or frequency upon which the described activity is to occur.",
          $ref: "#/definitions/Age"
        },
        timingPeriod: {
          description: "The period, timing or frequency upon which the described activity is to occur.",
          $ref: "#/definitions/Period"
        },
        timingRange: {
          description: "The period, timing or frequency upon which the described activity is to occur.",
          $ref: "#/definitions/Range"
        },
        timingDuration: {
          description: "The period, timing or frequency upon which the described activity is to occur.",
          $ref: "#/definitions/Duration"
        },
        location: {
          description: "Identifies the facility where the activity will occur; e.g. home, hospital, specific clinic, etc.",
          $ref: "#/definitions/Reference"
        },
        participant: {
          description: "Indicates who should participate in performing the action described.",
          items: {
            $ref: "#/definitions/ActivityDefinition_Participant"
          },
          type: "array"
        },
        productReference: {
          description: "Identifies the food, drug or other product being consumed or supplied in the activity.",
          $ref: "#/definitions/Reference"
        },
        productCodeableConcept: {
          description: "Identifies the food, drug or other product being consumed or supplied in the activity.",
          $ref: "#/definitions/CodeableConcept"
        },
        quantity: {
          description: "Identifies the quantity expected to be consumed at once (per dose, per meal, etc.).",
          $ref: "#/definitions/Quantity"
        },
        dosage: {
          description: "Provides detailed dosage instructions in the same way that they are described for MedicationRequest resources.",
          items: {
            $ref: "#/definitions/Dosage"
          },
          type: "array"
        },
        bodySite: {
          description: "Indicates the sites on the subject's body where the procedure should be performed (I.e. the target sites).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        specimenRequirement: {
          description: "Defines specimen requirements for the action to be performed, such as required specimens for a lab test.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        observationRequirement: {
          description: "Defines observation requirements for the action to be performed, such as body weight or surface area.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        observationResultRequirement: {
          description: "Defines the observations that are expected to be produced by the action.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        transform: {
          description: "A reference to a StructureMap resource that defines a transform that can be executed to produce the intent resource using the ActivityDefinition instance as the input.",
          $ref: "#/definitions/canonical"
        },
        dynamicValue: {
          description: "Dynamic values that will be evaluated to produce values for elements of the resulting resource. For example, if the dosage of a medication must be computed based on the patient's weight, a dynamic value would be used to specify an expression that calculated the weight, and the path on the request resource that would contain the result.",
          items: {
            $ref: "#/definitions/ActivityDefinition_DynamicValue"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    ActivityDefinition_Participant: {
      description: "This resource allows for the definition of some activity to be performed, independent of a particular patient, practitioner, or other performance context.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of participant in the action.",
          $ref: "#/definitions/code"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        role: {
          description: "The role the participant should play in performing the described action.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    ActivityDefinition_DynamicValue: {
      description: "This resource allows for the definition of some activity to be performed, independent of a particular patient, practitioner, or other performance context.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        path: {
          description: "The path to the element to be customized. This is the path on the resource that will hold the result of the calculation defined by the expression. The specified path SHALL be a FHIRPath resolveable on the specified target type of the ActivityDefinition, and SHALL consist only of identifiers, constant indexers, and a restricted subset of functions. The path is allowed to contain qualifiers (.) to traverse sub-elements, as well as indexers ([x]) to traverse multiple-cardinality sub-elements (see the [Simple FHIRPath Profile](fhirpath.html#simple) for full details).",
          $ref: "#/definitions/string"
        },
        _path: {
          description: "Extensions for path",
          $ref: "#/definitions/Element"
        },
        expression: {
          description: "An expression specifying the value of the customized element.",
          $ref: "#/definitions/Expression"
        }
      },
      additionalProperties: false,
      required: ["expression"]
    },
    AdverseEvent: {
      description: "Actual or  potential/avoided event causing unintended physical injury resulting from or contributed to by medical care, a research study or other healthcare setting factors that requires additional monitoring, treatment, or hospitalization, or that results in death.",
      properties: {
        resourceType: {
          description: "This is a AdverseEvent resource",
          const: "AdverseEvent"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this adverse event by the performer or other systems which remain constant as the resource is updated and propagates from server to server.",
          $ref: "#/definitions/Identifier"
        },
        actuality: {
          description: "Whether the event actually happened, or just had the potential to. Note that this is independent of whether anyone was affected or harmed or how severely.",
          enum: ["actual", "potential"]
        },
        _actuality: {
          description: "Extensions for actuality",
          $ref: "#/definitions/Element"
        },
        category: {
          description: "The overall type of event, intended for search and filtering purposes.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        event: {
          description: "This element defines the specific type of event that occurred or that was prevented from occurring.",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "This subject or group impacted by the event.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The Encounter during which AdverseEvent was created or to which the creation of this record is tightly associated.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date (and perhaps time) when the adverse event occurred.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        detected: {
          description: "Estimated or actual date the AdverseEvent began, in the opinion of the reporter.",
          $ref: "#/definitions/dateTime"
        },
        _detected: {
          description: "Extensions for detected",
          $ref: "#/definitions/Element"
        },
        recordedDate: {
          description: "The date on which the existence of the AdverseEvent was first recorded.",
          $ref: "#/definitions/dateTime"
        },
        _recordedDate: {
          description: "Extensions for recordedDate",
          $ref: "#/definitions/Element"
        },
        resultingCondition: {
          description: "Includes information about the reaction that occurred as a result of exposure to a substance (for example, a drug or a chemical).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        location: {
          description: "The information about where the adverse event occurred.",
          $ref: "#/definitions/Reference"
        },
        seriousness: {
          description: "Assessment whether this event was of real importance.",
          $ref: "#/definitions/CodeableConcept"
        },
        severity: {
          description: "Describes the severity of the adverse event, in relation to the subject. Contrast to AdverseEvent.seriousness - a severe rash might not be serious, but a mild heart problem is.",
          $ref: "#/definitions/CodeableConcept"
        },
        outcome: {
          description: "Describes the type of outcome from the adverse event.",
          $ref: "#/definitions/CodeableConcept"
        },
        recorder: {
          description: "Information on who recorded the adverse event.  May be the patient or a practitioner.",
          $ref: "#/definitions/Reference"
        },
        contributor: {
          description: "Parties that may or should contribute or have contributed information to the adverse event, which can consist of one or more activities.  Such information includes information leading to the decision to perform the activity and how to perform the activity (e.g. consultant), information that the activity itself seeks to reveal (e.g. informant of clinical history), or information about what activity was performed (e.g. informant witness).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        suspectEntity: {
          description: "Describes the entity that is suspected to have caused the adverse event.",
          items: {
            $ref: "#/definitions/AdverseEvent_SuspectEntity"
          },
          type: "array"
        },
        subjectMedicalHistory: {
          description: "AdverseEvent.subjectMedicalHistory.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        referenceDocument: {
          description: "AdverseEvent.referenceDocument.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        study: {
          description: "AdverseEvent.study.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "resourceType"]
    },
    AdverseEvent_SuspectEntity: {
      description: "Actual or  potential/avoided event causing unintended physical injury resulting from or contributed to by medical care, a research study or other healthcare setting factors that requires additional monitoring, treatment, or hospitalization, or that results in death.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        instance: {
          description: "Identifies the actual instance of what caused the adverse event.  May be a substance, medication, medication administration, medication statement or a device.",
          $ref: "#/definitions/Reference"
        },
        causality: {
          description: "Information on the possible cause of the event.",
          items: {
            $ref: "#/definitions/AdverseEvent_Causality"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["instance"]
    },
    AdverseEvent_Causality: {
      description: "Actual or  potential/avoided event causing unintended physical injury resulting from or contributed to by medical care, a research study or other healthcare setting factors that requires additional monitoring, treatment, or hospitalization, or that results in death.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        assessment: {
          description: "Assessment of if the entity caused the event.",
          $ref: "#/definitions/CodeableConcept"
        },
        productRelatedness: {
          description: "AdverseEvent.suspectEntity.causalityProductRelatedness.",
          $ref: "#/definitions/string"
        },
        _productRelatedness: {
          description: "Extensions for productRelatedness",
          $ref: "#/definitions/Element"
        },
        author: {
          description: "AdverseEvent.suspectEntity.causalityAuthor.",
          $ref: "#/definitions/Reference"
        },
        method: {
          description: "ProbabilityScale | Bayesian | Checklist.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    AllergyIntolerance: {
      description: "Risk of harmful or undesirable, physiological response which is unique to an individual and associated with exposure to a substance.",
      properties: {
        resourceType: {
          description: "This is a AllergyIntolerance resource",
          const: "AllergyIntolerance"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this AllergyIntolerance by the performer or other systems which remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        clinicalStatus: {
          description: "The clinical status of the allergy or intolerance.",
          $ref: "#/definitions/CodeableConcept"
        },
        verificationStatus: {
          description: "Assertion about certainty associated with the propensity, or potential risk, of a reaction to the identified substance (including pharmaceutical product).",
          $ref: "#/definitions/CodeableConcept"
        },
        type: {
          description: "Identification of the underlying physiological mechanism for the reaction risk.",
          enum: ["allergy", "intolerance"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        category: {
          description: "Category of the identified substance.",
          items: {
            enum: ["food", "medication", "environment", "biologic"]
          },
          type: "array"
        },
        _category: {
          description: "Extensions for category",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        criticality: {
          description: "Estimate of the potential clinical harm, or seriousness, of the reaction to the identified substance.",
          enum: ["low", "high", "unable-to-assess"]
        },
        _criticality: {
          description: "Extensions for criticality",
          $ref: "#/definitions/Element"
        },
        code: {
          description: `Code for an allergy or intolerance statement (either a positive or a negated/excluded statement).  This may be a code for a substance or pharmaceutical product that is considered to be responsible for the adverse reaction risk (e.g., "Latex"), an allergy or intolerance condition (e.g., "Latex allergy"), or a negated/excluded code for a specific substance or class (e.g., "No latex allergy") or a general or categorical negated statement (e.g.,  "No known allergy", "No known drug allergies").  Note: the substance for a specific reaction may be different from the substance identified as the cause of the risk, but it must be consistent with it. For instance, it may be a more specific substance (e.g. a brand medication) or a composite product that includes the identified substance. It must be clinically safe to only process the 'code' and ignore the 'reaction.substance'.  If a receiving system is unable to confirm that AllergyIntolerance.reaction.substance falls within the semantic scope of AllergyIntolerance.code, then the receiving system should ignore AllergyIntolerance.reaction.substance.`,
          $ref: "#/definitions/CodeableConcept"
        },
        patient: {
          description: "The patient who has the allergy or intolerance.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The encounter when the allergy or intolerance was asserted.",
          $ref: "#/definitions/Reference"
        },
        onsetDateTime: {
          description: "Estimated or actual date,  date-time, or age when allergy or intolerance was identified.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _onsetDateTime: {
          description: "Extensions for onsetDateTime",
          $ref: "#/definitions/Element"
        },
        onsetAge: {
          description: "Estimated or actual date,  date-time, or age when allergy or intolerance was identified.",
          $ref: "#/definitions/Age"
        },
        onsetPeriod: {
          description: "Estimated or actual date,  date-time, or age when allergy or intolerance was identified.",
          $ref: "#/definitions/Period"
        },
        onsetRange: {
          description: "Estimated or actual date,  date-time, or age when allergy or intolerance was identified.",
          $ref: "#/definitions/Range"
        },
        onsetString: {
          description: "Estimated or actual date,  date-time, or age when allergy or intolerance was identified.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _onsetString: {
          description: "Extensions for onsetString",
          $ref: "#/definitions/Element"
        },
        recordedDate: {
          description: "The recordedDate represents when this particular AllergyIntolerance record was created in the system, which is often a system-generated date.",
          $ref: "#/definitions/dateTime"
        },
        _recordedDate: {
          description: "Extensions for recordedDate",
          $ref: "#/definitions/Element"
        },
        recorder: {
          description: "Individual who recorded the record and takes responsibility for its content.",
          $ref: "#/definitions/Reference"
        },
        asserter: {
          description: "The source of the information about the allergy that is recorded.",
          $ref: "#/definitions/Reference"
        },
        lastOccurrence: {
          description: "Represents the date and/or time of the last known occurrence of a reaction event.",
          $ref: "#/definitions/dateTime"
        },
        _lastOccurrence: {
          description: "Extensions for lastOccurrence",
          $ref: "#/definitions/Element"
        },
        note: {
          description: "Additional narrative about the propensity for the Adverse Reaction, not captured in other fields.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        reaction: {
          description: "Details about each adverse reaction event linked to exposure to the identified substance.",
          items: {
            $ref: "#/definitions/AllergyIntolerance_Reaction"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["patient", "resourceType"]
    },
    AllergyIntolerance_Reaction: {
      description: "Risk of harmful or undesirable, physiological response which is unique to an individual and associated with exposure to a substance.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        substance: {
          description: "Identification of the specific substance (or pharmaceutical product) considered to be responsible for the Adverse Reaction event. Note: the substance for a specific reaction may be different from the substance identified as the cause of the risk, but it must be consistent with it. For instance, it may be a more specific substance (e.g. a brand medication) or a composite product that includes the identified substance. It must be clinically safe to only process the 'code' and ignore the 'reaction.substance'.  If a receiving system is unable to confirm that AllergyIntolerance.reaction.substance falls within the semantic scope of AllergyIntolerance.code, then the receiving system should ignore AllergyIntolerance.reaction.substance.",
          $ref: "#/definitions/CodeableConcept"
        },
        manifestation: {
          description: "Clinical symptoms and/or signs that are observed or associated with the adverse reaction event.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        description: {
          description: "Text description about the reaction as a whole, including details of the manifestation if required.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        onset: {
          description: "Record of the date and/or time of the onset of the Reaction.",
          $ref: "#/definitions/dateTime"
        },
        _onset: {
          description: "Extensions for onset",
          $ref: "#/definitions/Element"
        },
        severity: {
          description: "Clinical assessment of the severity of the reaction event as a whole, potentially considering multiple different manifestations.",
          enum: ["mild", "moderate", "severe"]
        },
        _severity: {
          description: "Extensions for severity",
          $ref: "#/definitions/Element"
        },
        exposureRoute: {
          description: "Identification of the route by which the subject was exposed to the substance.",
          $ref: "#/definitions/CodeableConcept"
        },
        note: {
          description: "Additional text about the adverse reaction event not captured in other fields.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["manifestation"]
    },
    Appointment: {
      description: "A booking of a healthcare event among patient(s), practitioner(s), related person(s) and/or device(s) for a specific date/time. This may result in one or more Encounter(s).",
      properties: {
        resourceType: {
          description: "This is a Appointment resource",
          const: "Appointment"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "This records identifiers associated with this appointment concern that are defined by business processes and/or used to refer to it when a direct URL reference to the resource itself is not appropriate (e.g. in CDA documents, or in written / printed documentation).",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The overall status of the Appointment. Each of the participants has their own participation status which indicates their involvement in the process, however this status indicates the shared status.",
          enum: [
            "proposed",
            "pending",
            "booked",
            "arrived",
            "fulfilled",
            "cancelled",
            "noshow",
            "entered-in-error",
            "checked-in",
            "waitlist"
          ]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        cancelationReason: {
          description: "The coded reason for the appointment being cancelled. This is often used in reporting/billing/futher processing to determine if further actions are required, or specific fees apply.",
          $ref: "#/definitions/CodeableConcept"
        },
        serviceCategory: {
          description: "A broad categorization of the service that is to be performed during this appointment.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        serviceType: {
          description: "The specific service that is to be performed during this appointment.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        specialty: {
          description: "The specialty of a practitioner that would be required to perform the service requested in this appointment.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        appointmentType: {
          description: "The style of appointment or patient that has been booked in the slot (not service type).",
          $ref: "#/definitions/CodeableConcept"
        },
        reasonCode: {
          description: "The coded reason that this appointment is being scheduled. This is more clinical than administrative.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Reason the appointment has been scheduled to take place, as specified using information from another resource. When the patient arrives and the encounter begins it may be used as the admission diagnosis. The indication will typically be a Condition (with other resources referenced in the evidence.detail), or a Procedure.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        priority: {
          description: "The priority of the appointment. Can be used to make informed decisions if needing to re-prioritize appointments. (The iCal Standard specifies 0 as undefined, 1 as highest, 9 as lowest priority).",
          $ref: "#/definitions/unsignedInt"
        },
        _priority: {
          description: "Extensions for priority",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "The brief description of the appointment as would be shown on a subject line in a meeting request, or appointment list. Detailed or expanded information should be put in the comment field.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        supportingInformation: {
          description: "Additional information to support the appointment provided when making the appointment.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        start: {
          description: "Date/Time that the appointment is to take place.",
          $ref: "#/definitions/instant"
        },
        _start: {
          description: "Extensions for start",
          $ref: "#/definitions/Element"
        },
        end: {
          description: "Date/Time that the appointment is to conclude.",
          $ref: "#/definitions/instant"
        },
        _end: {
          description: "Extensions for end",
          $ref: "#/definitions/Element"
        },
        minutesDuration: {
          description: "Number of minutes that the appointment is to take. This can be less than the duration between the start and end times.  For example, where the actual time of appointment is only an estimate or if a 30 minute appointment is being requested, but any time would work.  Also, if there is, for example, a planned 15 minute break in the middle of a long appointment, the duration may be 15 minutes less than the difference between the start and end.",
          $ref: "#/definitions/positiveInt"
        },
        _minutesDuration: {
          description: "Extensions for minutesDuration",
          $ref: "#/definitions/Element"
        },
        slot: {
          description: "The slots from the participants' schedules that will be filled by the appointment.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        created: {
          description: "The date that this appointment was initially created. This could be different to the meta.lastModified value on the initial entry, as this could have been before the resource was created on the FHIR server, and should remain unchanged over the lifespan of the appointment.",
          $ref: "#/definitions/dateTime"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        comment: {
          description: "Additional comments about the appointment.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        },
        patientInstruction: {
          description: "While Appointment.comment contains information for internal use, Appointment.patientInstructions is used to capture patient facing information about the Appointment (e.g. please bring your referral or fast from 8pm night before).",
          $ref: "#/definitions/string"
        },
        _patientInstruction: {
          description: "Extensions for patientInstruction",
          $ref: "#/definitions/Element"
        },
        basedOn: {
          description: "The service request this appointment is allocated to assess (e.g. incoming referral or procedure request).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        participant: {
          description: "List of participants involved in the appointment.",
          items: {
            $ref: "#/definitions/Appointment_Participant"
          },
          type: "array"
        },
        requestedPeriod: {
          description: "A set of date ranges (potentially including times) that the appointment is preferred to be scheduled within.\n\nThe duration (usually in minutes) could also be provided to indicate the length of the appointment to fill and populate the start/end times for the actual allocated time. However, in other situations the duration may be calculated by the scheduling system.",
          items: {
            $ref: "#/definitions/Period"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["participant", "resourceType"]
    },
    Appointment_Participant: {
      description: "A booking of a healthcare event among patient(s), practitioner(s), related person(s) and/or device(s) for a specific date/time. This may result in one or more Encounter(s).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Role of participant in the appointment.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        actor: {
          description: "A Person, Location/HealthcareService or Device that is participating in the appointment.",
          $ref: "#/definitions/Reference"
        },
        required: {
          description: "Whether this participant is required to be present at the meeting. This covers a use-case where two doctors need to meet to discuss the results for a specific patient, and the patient is not required to be present.",
          enum: ["required", "optional", "information-only"]
        },
        _required: {
          description: "Extensions for required",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "Participation status of the actor.",
          enum: ["accepted", "declined", "tentative", "needs-action"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "Participation period of the actor.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    AppointmentResponse: {
      description: "A reply to an appointment request for a patient and/or practitioner(s), such as a confirmation or rejection.",
      properties: {
        resourceType: {
          description: "This is a AppointmentResponse resource",
          const: "AppointmentResponse"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "This records identifiers associated with this appointment response concern that are defined by business processes and/ or used to refer to it when a direct URL reference to the resource itself is not appropriate.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        appointment: {
          description: "Appointment that this response is replying to.",
          $ref: "#/definitions/Reference"
        },
        start: {
          description: "Date/Time that the appointment is to take place, or requested new start time.",
          $ref: "#/definitions/instant"
        },
        _start: {
          description: "Extensions for start",
          $ref: "#/definitions/Element"
        },
        end: {
          description: "This may be either the same as the appointment request to confirm the details of the appointment, or alternately a new time to request a re-negotiation of the end time.",
          $ref: "#/definitions/instant"
        },
        _end: {
          description: "Extensions for end",
          $ref: "#/definitions/Element"
        },
        participantType: {
          description: "Role of participant in the appointment.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        actor: {
          description: "A Person, Location, HealthcareService, or Device that is participating in the appointment.",
          $ref: "#/definitions/Reference"
        },
        participantStatus: {
          description: "Participation status of the participant. When the status is declined or tentative if the start/end times are different to the appointment, then these times should be interpreted as a requested time change. When the status is accepted, the times can either be the time of the appointment (as a confirmation of the time) or can be empty.",
          $ref: "#/definitions/code"
        },
        _participantStatus: {
          description: "Extensions for participantStatus",
          $ref: "#/definitions/Element"
        },
        comment: {
          description: "Additional comments about the appointment.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["appointment", "resourceType"]
    },
    AuditEvent: {
      description: "A record of an event made for purposes of maintaining a security log. Typical uses include detection of intrusion attempts and monitoring for inappropriate usage.",
      properties: {
        resourceType: {
          description: "This is a AuditEvent resource",
          const: "AuditEvent"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Identifier for a family of the event.  For example, a menu item, program, rule, policy, function code, application name or URL. It identifies the performed function.",
          $ref: "#/definitions/Coding"
        },
        subtype: {
          description: "Identifier for the category of event.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        action: {
          description: "Indicator for type of action performed during the event that generated the audit.",
          enum: ["C", "R", "U", "D", "E"]
        },
        _action: {
          description: "Extensions for action",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "The period during which the activity occurred.",
          $ref: "#/definitions/Period"
        },
        recorded: {
          description: "The time when the event was recorded.",
          $ref: "#/definitions/instant"
        },
        _recorded: {
          description: "Extensions for recorded",
          $ref: "#/definitions/Element"
        },
        outcome: {
          description: "Indicates whether the event succeeded or failed.",
          enum: ["0", "4", "8", "12"]
        },
        _outcome: {
          description: "Extensions for outcome",
          $ref: "#/definitions/Element"
        },
        outcomeDesc: {
          description: "A free text description of the outcome of the event.",
          $ref: "#/definitions/string"
        },
        _outcomeDesc: {
          description: "Extensions for outcomeDesc",
          $ref: "#/definitions/Element"
        },
        purposeOfEvent: {
          description: "The purposeOfUse (reason) that was used during the event being recorded.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        agent: {
          description: "An actor taking an active role in the event or activity that is logged.",
          items: {
            $ref: "#/definitions/AuditEvent_Agent"
          },
          type: "array"
        },
        source: {
          description: "The system that is reporting the event.",
          $ref: "#/definitions/AuditEvent_Source"
        },
        entity: {
          description: "Specific instances of data or objects that have been accessed.",
          items: {
            $ref: "#/definitions/AuditEvent_Entity"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["agent", "source", "type", "resourceType"]
    },
    AuditEvent_Agent: {
      description: "A record of an event made for purposes of maintaining a security log. Typical uses include detection of intrusion attempts and monitoring for inappropriate usage.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Specification of the participation type the user plays when performing the event.",
          $ref: "#/definitions/CodeableConcept"
        },
        role: {
          description: "The security role that the user was acting under, that come from local codes defined by the access control security system (e.g. RBAC, ABAC) used in the local context.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        who: {
          description: "Reference to who this agent is that was involved in the event.",
          $ref: "#/definitions/Reference"
        },
        altId: {
          description: "Alternative agent Identifier. For a human, this should be a user identifier text string from authentication system. This identifier would be one known to a common authentication system (e.g. single sign-on), if available.",
          $ref: "#/definitions/string"
        },
        _altId: {
          description: "Extensions for altId",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "Human-meaningful name for the agent.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        requestor: {
          description: "Indicator that the user is or is not the requestor, or initiator, for the event being audited.",
          $ref: "#/definitions/boolean"
        },
        _requestor: {
          description: "Extensions for requestor",
          $ref: "#/definitions/Element"
        },
        location: {
          description: "Where the event occurred.",
          $ref: "#/definitions/Reference"
        },
        policy: {
          description: "The policy or plan that authorized the activity being recorded. Typically, a single activity may have multiple applicable policies, such as patient consent, guarantor funding, etc. The policy would also indicate the security token used.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _policy: {
          description: "Extensions for policy",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        media: {
          description: "Type of media involved. Used when the event is about exporting/importing onto media.",
          $ref: "#/definitions/Coding"
        },
        network: {
          description: "Logical network location for application activity, if the activity has a network location.",
          $ref: "#/definitions/AuditEvent_Network"
        },
        purposeOfUse: {
          description: "The reason (purpose of use), specific to this agent, that was used during the event being recorded.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    AuditEvent_Network: {
      description: "A record of an event made for purposes of maintaining a security log. Typical uses include detection of intrusion attempts and monitoring for inappropriate usage.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        address: {
          description: "An identifier for the network access point of the user device for the audit event.",
          $ref: "#/definitions/string"
        },
        _address: {
          description: "Extensions for address",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "An identifier for the type of network access point that originated the audit event.",
          enum: ["1", "2", "3", "4", "5"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    AuditEvent_Source: {
      description: "A record of an event made for purposes of maintaining a security log. Typical uses include detection of intrusion attempts and monitoring for inappropriate usage.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        site: {
          description: "Logical source location within the healthcare enterprise network.  For example, a hospital or other provider location within a multi-entity provider group.",
          $ref: "#/definitions/string"
        },
        _site: {
          description: "Extensions for site",
          $ref: "#/definitions/Element"
        },
        observer: {
          description: "Identifier of the source where the event was detected.",
          $ref: "#/definitions/Reference"
        },
        type: {
          description: "Code specifying the type of source where event originated.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["observer"]
    },
    AuditEvent_Entity: {
      description: "A record of an event made for purposes of maintaining a security log. Typical uses include detection of intrusion attempts and monitoring for inappropriate usage.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        what: {
          description: "Identifies a specific instance of the entity. The reference should be version specific.",
          $ref: "#/definitions/Reference"
        },
        type: {
          description: "The type of the object that was involved in this audit event.",
          $ref: "#/definitions/Coding"
        },
        role: {
          description: "Code representing the role the entity played in the event being audited.",
          $ref: "#/definitions/Coding"
        },
        lifecycle: {
          description: "Identifier for the data life-cycle stage for the entity.",
          $ref: "#/definitions/Coding"
        },
        securityLabel: {
          description: "Security labels for the identified entity.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        name: {
          description: "A name of the entity in the audit event.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "Text that describes the entity in more detail.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        query: {
          description: "The query parameters for a query-type entities.",
          $ref: "#/definitions/base64Binary"
        },
        _query: {
          description: "Extensions for query",
          $ref: "#/definitions/Element"
        },
        detail: {
          description: "Tagged value pairs for conveying additional information about the entity.",
          items: {
            $ref: "#/definitions/AuditEvent_Detail"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    AuditEvent_Detail: {
      description: "A record of an event made for purposes of maintaining a security log. Typical uses include detection of intrusion attempts and monitoring for inappropriate usage.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of extra detail provided in the value.",
          $ref: "#/definitions/string"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "The  value of the extra detail.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueBase64Binary: {
          description: "The  value of the extra detail.",
          pattern: "^(\\s*([0-9a-zA-Z\\+/=]){4}\\s*)+$",
          type: "string"
        },
        _valueBase64Binary: {
          description: "Extensions for valueBase64Binary",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Basic: {
      description: "Basic is used for handling concepts not yet defined in FHIR, narrative-only resources that don't map to an existing resource, and custom resources not appropriate for inclusion in the FHIR specification.",
      properties: {
        resourceType: {
          description: "This is a Basic resource",
          const: "Basic"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier assigned to the resource for business purposes, outside the context of FHIR.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        code: {
          description: "Identifies the 'type' of resource - equivalent to the resource name for other resources.",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: 'Identifies the patient, practitioner, device or any other resource that is the "focus" of this resource.',
          $ref: "#/definitions/Reference"
        },
        created: {
          description: "Identifies when the resource was first created.",
          $ref: "#/definitions/date"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        author: {
          description: "Indicates who was responsible for creating the resource instance.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["code", "resourceType"]
    },
    Binary: {
      description: "A resource that represents the data of a single raw artifact as digital content accessible in its native format.  A Binary resource can contain any content, whether text, image, pdf, zip archive, etc.",
      properties: {
        resourceType: {
          description: "This is a Binary resource",
          const: "Binary"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        contentType: {
          description: "MimeType of the binary content represented as a standard MimeType (BCP 13).",
          $ref: "#/definitions/code"
        },
        _contentType: {
          description: "Extensions for contentType",
          $ref: "#/definitions/Element"
        },
        securityContext: {
          description: "This element identifies another resource that can be used as a proxy of the security sensitivity to use when deciding and enforcing access control rules for the Binary resource. Given that the Binary resource contains very few elements that can be used to determine the sensitivity of the data and relationships to individuals, the referenced resource stands in as a proxy equivalent for this purpose. This referenced resource may be related to the Binary (e.g. Media, DocumentReference), or may be some non-related Resource purely as a security proxy. E.g. to identify that the binary resource relates to a patient, and access should only be granted to applications that have access to the patient.",
          $ref: "#/definitions/Reference"
        },
        data: {
          description: "The actual content, base64 encoded.",
          $ref: "#/definitions/base64Binary"
        },
        _data: {
          description: "Extensions for data",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    BiologicallyDerivedProduct: {
      description: "A material substance originating from a biological entity intended to be transplanted or infused\ninto another (possibly the same) biological entity.",
      properties: {
        resourceType: {
          description: "This is a BiologicallyDerivedProduct resource",
          const: "BiologicallyDerivedProduct"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "This records identifiers associated with this biologically derived product instance that are defined by business processes and/or used to refer to it when a direct URL reference to the resource itself is not appropriate (e.g. in CDA documents, or in written / printed documentation).",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        productCategory: {
          description: "Broad category of this product.",
          enum: ["organ", "tissue", "fluid", "cells", "biologicalAgent"]
        },
        _productCategory: {
          description: "Extensions for productCategory",
          $ref: "#/definitions/Element"
        },
        productCode: {
          description: "A code that identifies the kind of this biologically derived product (SNOMED Ctcode).",
          $ref: "#/definitions/CodeableConcept"
        },
        status: {
          description: "Whether the product is currently available.",
          enum: ["available", "unavailable"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        request: {
          description: "Procedure request to obtain this biologically derived product.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        quantity: {
          description: "Number of discrete units within this product.",
          $ref: "#/definitions/integer"
        },
        _quantity: {
          description: "Extensions for quantity",
          $ref: "#/definitions/Element"
        },
        parent: {
          description: "Parent product (if any).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        collection: {
          description: "How this product was collected.",
          $ref: "#/definitions/BiologicallyDerivedProduct_Collection"
        },
        processing: {
          description: "Any processing of the product during collection that does not change the fundamental nature of the product. For example adding anti-coagulants during the collection of Peripheral Blood Stem Cells.",
          items: {
            $ref: "#/definitions/BiologicallyDerivedProduct_Processing"
          },
          type: "array"
        },
        manipulation: {
          description: "Any manipulation of product post-collection that is intended to alter the product.  For example a buffy-coat enrichment or CD8 reduction of Peripheral Blood Stem Cells to make it more suitable for infusion.",
          $ref: "#/definitions/BiologicallyDerivedProduct_Manipulation"
        },
        storage: {
          description: "Product storage.",
          items: {
            $ref: "#/definitions/BiologicallyDerivedProduct_Storage"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    BiologicallyDerivedProduct_Collection: {
      description: "A material substance originating from a biological entity intended to be transplanted or infused\ninto another (possibly the same) biological entity.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        collector: {
          description: "Healthcare professional who is performing the collection.",
          $ref: "#/definitions/Reference"
        },
        source: {
          description: "The patient or entity, such as a hospital or vendor in the case of a processed/manipulated/manufactured product, providing the product.",
          $ref: "#/definitions/Reference"
        },
        collectedDateTime: {
          description: "Time of product collection.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _collectedDateTime: {
          description: "Extensions for collectedDateTime",
          $ref: "#/definitions/Element"
        },
        collectedPeriod: {
          description: "Time of product collection.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    BiologicallyDerivedProduct_Processing: {
      description: "A material substance originating from a biological entity intended to be transplanted or infused\ninto another (possibly the same) biological entity.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "Description of of processing.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        procedure: {
          description: "Procesing code.",
          $ref: "#/definitions/CodeableConcept"
        },
        additive: {
          description: "Substance added during processing.",
          $ref: "#/definitions/Reference"
        },
        timeDateTime: {
          description: "Time of processing.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _timeDateTime: {
          description: "Extensions for timeDateTime",
          $ref: "#/definitions/Element"
        },
        timePeriod: {
          description: "Time of processing.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    BiologicallyDerivedProduct_Manipulation: {
      description: "A material substance originating from a biological entity intended to be transplanted or infused\ninto another (possibly the same) biological entity.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "Description of manipulation.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        timeDateTime: {
          description: "Time of manipulation.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _timeDateTime: {
          description: "Extensions for timeDateTime",
          $ref: "#/definitions/Element"
        },
        timePeriod: {
          description: "Time of manipulation.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    BiologicallyDerivedProduct_Storage: {
      description: "A material substance originating from a biological entity intended to be transplanted or infused\ninto another (possibly the same) biological entity.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "Description of storage.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        temperature: {
          description: "Storage temperature.",
          $ref: "#/definitions/decimal"
        },
        _temperature: {
          description: "Extensions for temperature",
          $ref: "#/definitions/Element"
        },
        scale: {
          description: "Temperature scale used.",
          enum: ["farenheit", "celsius", "kelvin"]
        },
        _scale: {
          description: "Extensions for scale",
          $ref: "#/definitions/Element"
        },
        duration: {
          description: "Storage timeperiod.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    BodyStructure: {
      description: "Record details about an anatomical structure.  This resource may be used when a coded concept does not provide the necessary detail needed for the use case.",
      properties: {
        resourceType: {
          description: "This is a BodyStructure resource",
          const: "BodyStructure"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier for this instance of the anatomical structure.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        active: {
          description: "Whether this body site is in active use.",
          $ref: "#/definitions/boolean"
        },
        _active: {
          description: "Extensions for active",
          $ref: "#/definitions/Element"
        },
        morphology: {
          description: "The kind of structure being represented by the body structure at `BodyStructure.location`.  This can define both normal and abnormal morphologies.",
          $ref: "#/definitions/CodeableConcept"
        },
        location: {
          description: "The anatomical location or region of the specimen, lesion, or body structure.",
          $ref: "#/definitions/CodeableConcept"
        },
        locationQualifier: {
          description: "Qualifier to refine the anatomical location.  These include qualifiers for laterality, relative location, directionality, number, and plane.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        description: {
          description: "A summary, characterization or explanation of the body structure.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        image: {
          description: "Image or images used to identify a location.",
          items: {
            $ref: "#/definitions/Attachment"
          },
          type: "array"
        },
        patient: {
          description: "The person to which the body site belongs.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["patient", "resourceType"]
    },
    Bundle: {
      description: "A container for a collection of resources.",
      properties: {
        resourceType: {
          description: "This is a Bundle resource",
          const: "Bundle"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A persistent identifier for the bundle that won't change as a bundle is copied from server to server.",
          $ref: "#/definitions/Identifier"
        },
        type: {
          description: "Indicates the purpose of this bundle - how it is intended to be used.",
          enum: [
            "document",
            "message",
            "transaction",
            "transaction-response",
            "batch",
            "batch-response",
            "history",
            "searchset",
            "collection"
          ]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        timestamp: {
          description: "The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.",
          $ref: "#/definitions/instant"
        },
        _timestamp: {
          description: "Extensions for timestamp",
          $ref: "#/definitions/Element"
        },
        total: {
          description: "If a set of search matches, this is the total number of entries of type 'match' across all pages in the search.  It does not include search.mode = 'include' or 'outcome' entries and it does not provide a count of the number of entries in the Bundle.",
          $ref: "#/definitions/unsignedInt"
        },
        _total: {
          description: "Extensions for total",
          $ref: "#/definitions/Element"
        },
        link: {
          description: "A series of links that provide context to this bundle.",
          items: {
            $ref: "#/definitions/Bundle_Link"
          },
          type: "array"
        },
        entry: {
          description: "An entry in a bundle resource - will either contain a resource or information about a resource (transactions and history only).",
          items: {
            $ref: "#/definitions/Bundle_Entry"
          },
          type: "array"
        },
        signature: {
          description: "Digital Signature - base64 encoded. XML-DSig or a JWT.",
          $ref: "#/definitions/Signature"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Bundle_Link: {
      description: "A container for a collection of resources.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        relation: {
          description: "A name which details the functional use for this link - see [http://www.iana.org/assignments/link-relations/link-relations.xhtml#link-relations-1](http://www.iana.org/assignments/link-relations/link-relations.xhtml#link-relations-1).",
          $ref: "#/definitions/string"
        },
        _relation: {
          description: "Extensions for relation",
          $ref: "#/definitions/Element"
        },
        url: {
          description: "The reference details for the link.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Bundle_Entry: {
      description: "A container for a collection of resources.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        link: {
          description: "A series of links that provide context to this entry.",
          items: {
            $ref: "#/definitions/Bundle_Link"
          },
          type: "array"
        },
        fullUrl: {
          description: "The Absolute URL for the resource.  The fullUrl SHALL NOT disagree with the id in the resource - i.e. if the fullUrl is not a urn:uuid, the URL shall be version-independent URL consistent with the Resource.id. The fullUrl is a version independent reference to the resource. The fullUrl element SHALL have a value except that: \n* fullUrl can be empty on a POST (although it does not need to when specifying a temporary id for reference in the bundle)\n* Results from operations might involve resources that are not identified.",
          $ref: "#/definitions/uri"
        },
        _fullUrl: {
          description: "Extensions for fullUrl",
          $ref: "#/definitions/Element"
        },
        resource: {
          description: "The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type.",
          $ref: "#/definitions/ResourceList"
        },
        search: {
          description: "Information about the search process that lead to the creation of this entry.",
          $ref: "#/definitions/Bundle_Search"
        },
        request: {
          description: "Additional information about how this entry should be processed as part of a transaction or batch.  For history, it shows how the entry was processed to create the version contained in the entry.",
          $ref: "#/definitions/Bundle_Request"
        },
        response: {
          description: "Indicates the results of processing the corresponding 'request' entry in the batch or transaction being responded to or what the results of an operation where when returning history.",
          $ref: "#/definitions/Bundle_Response"
        }
      },
      additionalProperties: false
    },
    Bundle_Search: {
      description: "A container for a collection of resources.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        mode: {
          description: "Why this entry is in the result set - whether it's included as a match or because of an _include requirement, or to convey information or warning information about the search process.",
          enum: ["match", "include", "outcome"]
        },
        _mode: {
          description: "Extensions for mode",
          $ref: "#/definitions/Element"
        },
        score: {
          description: "When searching, the server's search ranking score for the entry.",
          $ref: "#/definitions/decimal"
        },
        _score: {
          description: "Extensions for score",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Bundle_Request: {
      description: "A container for a collection of resources.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        method: {
          description: "In a transaction or batch, this is the HTTP action to be executed for this entry. In a history bundle, this indicates the HTTP action that occurred.",
          enum: ["GET", "HEAD", "POST", "PUT", "DELETE", "PATCH"]
        },
        _method: {
          description: "Extensions for method",
          $ref: "#/definitions/Element"
        },
        url: {
          description: "The URL for this entry, relative to the root (the address to which the request is posted).",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        ifNoneMatch: {
          description: 'If the ETag values match, return a 304 Not Modified status. See the API documentation for ["Conditional Read"](http.html#cread).',
          $ref: "#/definitions/string"
        },
        _ifNoneMatch: {
          description: "Extensions for ifNoneMatch",
          $ref: "#/definitions/Element"
        },
        ifModifiedSince: {
          description: 'Only perform the operation if the last updated date matches. See the API documentation for ["Conditional Read"](http.html#cread).',
          $ref: "#/definitions/instant"
        },
        _ifModifiedSince: {
          description: "Extensions for ifModifiedSince",
          $ref: "#/definitions/Element"
        },
        ifMatch: {
          description: 'Only perform the operation if the Etag value matches. For more information, see the API section ["Managing Resource Contention"](http.html#concurrency).',
          $ref: "#/definitions/string"
        },
        _ifMatch: {
          description: "Extensions for ifMatch",
          $ref: "#/definitions/Element"
        },
        ifNoneExist: {
          description: 'Instruct the server not to perform the create if a specified resource already exists. For further information, see the API documentation for ["Conditional Create"](http.html#ccreate). This is just the query portion of the URL - what follows the "?" (not including the "?").',
          $ref: "#/definitions/string"
        },
        _ifNoneExist: {
          description: "Extensions for ifNoneExist",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Bundle_Response: {
      description: "A container for a collection of resources.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        status: {
          description: "The status code returned by processing this entry. The status SHALL start with a 3 digit HTTP code (e.g. 404) and may contain the standard HTTP description associated with the status code.",
          $ref: "#/definitions/string"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        location: {
          description: "The location header created by processing this operation, populated if the operation returns a location.",
          $ref: "#/definitions/uri"
        },
        _location: {
          description: "Extensions for location",
          $ref: "#/definitions/Element"
        },
        etag: {
          description: "The Etag for the resource, if the operation for the entry produced a versioned resource (see [Resource Metadata and Versioning](http.html#versioning) and [Managing Resource Contention](http.html#concurrency)).",
          $ref: "#/definitions/string"
        },
        _etag: {
          description: "Extensions for etag",
          $ref: "#/definitions/Element"
        },
        lastModified: {
          description: "The date/time that the resource was modified on the server.",
          $ref: "#/definitions/instant"
        },
        _lastModified: {
          description: "Extensions for lastModified",
          $ref: "#/definitions/Element"
        },
        outcome: {
          description: "An OperationOutcome containing hints and warnings produced as part of processing this entry in a batch or transaction.",
          $ref: "#/definitions/ResourceList"
        }
      },
      additionalProperties: false
    },
    CapabilityStatement: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        resourceType: {
          description: "This is a CapabilityStatement resource",
          const: "CapabilityStatement"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this capability statement when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this capability statement is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the capability statement is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The identifier that is used to identify this version of the capability statement when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the capability statement author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the capability statement. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the capability statement.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this capability statement. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this capability statement is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the capability statement was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the capability statement changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the capability statement.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the capability statement from a consumer's perspective. Typically, this is used when the capability statement describes a desired rather than an actual solution, for example as a formal expression of requirements as part of an RFP.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate capability statement instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the capability statement is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this capability statement is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the capability statement and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the capability statement.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        kind: {
          description: "The way that this statement is intended to be used, to describe an actual running instance of software, a particular product (kind, not instance of software) or a class of implementation (e.g. a desired purchase).",
          enum: ["instance", "capability", "requirements"]
        },
        _kind: {
          description: "Extensions for kind",
          $ref: "#/definitions/Element"
        },
        instantiates: {
          description: "Reference to a canonical URL of another CapabilityStatement that this software implements. This capability statement is a published API description that corresponds to a business service. The server may actually implement a subset of the capability statement it claims to implement, so the capability statement must specify the full capability details.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        imports: {
          description: "Reference to a canonical URL of another CapabilityStatement that this software adds to. The capability statement automatically includes everything in the other statement, and it is not duplicated, though the server may repeat the same resources, interactions and operations to add additional details to them.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        software: {
          description: "Software that is covered by this capability statement.  It is used when the capability statement describes the capabilities of a particular software version, independent of an installation.",
          $ref: "#/definitions/CapabilityStatement_Software"
        },
        implementation: {
          description: "Identifies a specific implementation instance that is described by the capability statement - i.e. a particular installation, rather than the capabilities of a software program.",
          $ref: "#/definitions/CapabilityStatement_Implementation"
        },
        fhirVersion: {
          description: "The version of the FHIR specification that this CapabilityStatement describes (which SHALL be the same as the FHIR version of the CapabilityStatement itself). There is no default value.",
          enum: [
            "0.01",
            "0.05",
            "0.06",
            "0.11",
            "0.0.80",
            "0.0.81",
            "0.0.82",
            "0.4.0",
            "0.5.0",
            "1.0.0",
            "1.0.1",
            "1.0.2",
            "1.1.0",
            "1.4.0",
            "1.6.0",
            "1.8.0",
            "3.0.0",
            "3.0.1",
            "3.3.0",
            "3.5.0",
            "4.0.0",
            "4.0.1"
          ]
        },
        _fhirVersion: {
          description: "Extensions for fhirVersion",
          $ref: "#/definitions/Element"
        },
        format: {
          description: "A list of the formats supported by this implementation using their content types.",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _format: {
          description: "Extensions for format",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        patchFormat: {
          description: "A list of the patch formats supported by this implementation using their content types.",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _patchFormat: {
          description: "Extensions for patchFormat",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        implementationGuide: {
          description: "A list of implementation guides that the server does (or should) support in their entirety.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        rest: {
          description: "A definition of the restful capabilities of the solution, if any.",
          items: {
            $ref: "#/definitions/CapabilityStatement_Rest"
          },
          type: "array"
        },
        messaging: {
          description: "A description of the messaging capabilities of the solution.",
          items: {
            $ref: "#/definitions/CapabilityStatement_Messaging"
          },
          type: "array"
        },
        document: {
          description: "A document definition.",
          items: {
            $ref: "#/definitions/CapabilityStatement_Document"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    CapabilityStatement_Software: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "Name the software is known by.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The version identifier for the software covered by this statement.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        releaseDate: {
          description: "Date this version of the software was released.",
          $ref: "#/definitions/dateTime"
        },
        _releaseDate: {
          description: "Extensions for releaseDate",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    CapabilityStatement_Implementation: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "Information about the specific installation that this capability statement relates to.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        url: {
          description: "An absolute base URL for the implementation.  This forms the base for REST interfaces as well as the mailbox and document interfaces.",
          $ref: "#/definitions/url"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        custodian: {
          description: "The organization responsible for the management of the instance and oversight of the data on the server at the specified URL.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    CapabilityStatement_Rest: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        mode: {
          description: "Identifies whether this portion of the statement is describing the ability to initiate or receive restful operations.",
          enum: ["client", "server"]
        },
        _mode: {
          description: "Extensions for mode",
          $ref: "#/definitions/Element"
        },
        documentation: {
          description: "Information about the system's restful capabilities that apply across all applications, such as security.",
          $ref: "#/definitions/markdown"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        },
        security: {
          description: "Information about security implementation from an interface perspective - what a client needs to know.",
          $ref: "#/definitions/CapabilityStatement_Security"
        },
        resource: {
          description: "A specification of the restful capabilities of the solution for a specific resource type.",
          items: {
            $ref: "#/definitions/CapabilityStatement_Resource"
          },
          type: "array"
        },
        interaction: {
          description: "A specification of restful operations supported by the system.",
          items: {
            $ref: "#/definitions/CapabilityStatement_Interaction1"
          },
          type: "array"
        },
        searchParam: {
          description: "Search parameters that are supported for searching all resources for implementations to support and/or make use of - either references to ones defined in the specification, or additional ones defined for/by the implementation.",
          items: {
            $ref: "#/definitions/CapabilityStatement_SearchParam"
          },
          type: "array"
        },
        operation: {
          description: "Definition of an operation or a named query together with its parameters and their meaning and type.",
          items: {
            $ref: "#/definitions/CapabilityStatement_Operation"
          },
          type: "array"
        },
        compartment: {
          description: "An absolute URI which is a reference to the definition of a compartment that the system supports. The reference is to a CompartmentDefinition resource by its canonical URL .",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    CapabilityStatement_Security: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        cors: {
          description: "Server adds CORS headers when responding to requests - this enables Javascript applications to use the server.",
          $ref: "#/definitions/boolean"
        },
        _cors: {
          description: "Extensions for cors",
          $ref: "#/definitions/Element"
        },
        service: {
          description: "Types of security services that are supported/required by the system.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        description: {
          description: "General description of how security works.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    CapabilityStatement_Resource: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "A type of resource exposed via the restful interface.",
          $ref: "#/definitions/code"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        profile: {
          description: "A specification of the profile that describes the solution's overall support for the resource, including any constraints on cardinality, bindings, lengths or other limitations. See further discussion in [Using Profiles](profiling.html#profile-uses).",
          $ref: "#/definitions/canonical"
        },
        supportedProfile: {
          description: 'A list of profiles that represent different use cases supported by the system. For a server, "supported by the system" means the system hosts/produces a set of resources that are conformant to a particular profile, and allows clients that use its services to search using this profile and to find appropriate data. For a client, it means the system will search by this profile and process data according to the guidance implicit in the profile. See further discussion in [Using Profiles](profiling.html#profile-uses).',
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        documentation: {
          description: "Additional information about the resource type used by the system.",
          $ref: "#/definitions/markdown"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        },
        interaction: {
          description: "Identifies a restful operation supported by the solution.",
          items: {
            $ref: "#/definitions/CapabilityStatement_Interaction"
          },
          type: "array"
        },
        versioning: {
          description: "This field is set to no-version to specify that the system does not support (server) or use (client) versioning for this resource type. If this has some other value, the server must at least correctly track and populate the versionId meta-property on resources. If the value is 'versioned-update', then the server supports all the versioning features, including using e-tags for version integrity in the API.",
          enum: ["no-version", "versioned", "versioned-update"]
        },
        _versioning: {
          description: "Extensions for versioning",
          $ref: "#/definitions/Element"
        },
        readHistory: {
          description: "A flag for whether the server is able to return past versions as part of the vRead operation.",
          $ref: "#/definitions/boolean"
        },
        _readHistory: {
          description: "Extensions for readHistory",
          $ref: "#/definitions/Element"
        },
        updateCreate: {
          description: "A flag to indicate that the server allows or needs to allow the client to create new identities on the server (that is, the client PUTs to a location where there is no existing resource). Allowing this operation means that the server allows the client to create new identities on the server.",
          $ref: "#/definitions/boolean"
        },
        _updateCreate: {
          description: "Extensions for updateCreate",
          $ref: "#/definitions/Element"
        },
        conditionalCreate: {
          description: "A flag that indicates that the server supports conditional create.",
          $ref: "#/definitions/boolean"
        },
        _conditionalCreate: {
          description: "Extensions for conditionalCreate",
          $ref: "#/definitions/Element"
        },
        conditionalRead: {
          description: "A code that indicates how the server supports conditional read.",
          enum: ["not-supported", "modified-since", "not-match", "full-support"]
        },
        _conditionalRead: {
          description: "Extensions for conditionalRead",
          $ref: "#/definitions/Element"
        },
        conditionalUpdate: {
          description: "A flag that indicates that the server supports conditional update.",
          $ref: "#/definitions/boolean"
        },
        _conditionalUpdate: {
          description: "Extensions for conditionalUpdate",
          $ref: "#/definitions/Element"
        },
        conditionalDelete: {
          description: "A code that indicates how the server supports conditional delete.",
          enum: ["not-supported", "single", "multiple"]
        },
        _conditionalDelete: {
          description: "Extensions for conditionalDelete",
          $ref: "#/definitions/Element"
        },
        referencePolicy: {
          description: "A set of flags that defines how references are supported.",
          items: {
            enum: ["literal", "logical", "resolves", "enforced", "local"]
          },
          type: "array"
        },
        _referencePolicy: {
          description: "Extensions for referencePolicy",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        searchInclude: {
          description: "A list of _include values supported by the server.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _searchInclude: {
          description: "Extensions for searchInclude",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        searchRevInclude: {
          description: "A list of _revinclude (reverse include) values supported by the server.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _searchRevInclude: {
          description: "Extensions for searchRevInclude",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        searchParam: {
          description: "Search parameters for implementations to support and/or make use of - either references to ones defined in the specification, or additional ones defined for/by the implementation.",
          items: {
            $ref: "#/definitions/CapabilityStatement_SearchParam"
          },
          type: "array"
        },
        operation: {
          description: "Definition of an operation or a named query together with its parameters and their meaning and type. Consult the definition of the operation for details about how to invoke the operation, and the parameters.",
          items: {
            $ref: "#/definitions/CapabilityStatement_Operation"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    CapabilityStatement_Interaction: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Coded identifier of the operation, supported by the system resource.",
          enum: [
            "read",
            "vread",
            "update",
            "patch",
            "delete",
            "history-instance",
            "history-type",
            "create",
            "search-type"
          ]
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        documentation: {
          description: "Guidance specific to the implementation of this operation, such as 'delete is a logical delete' or 'updates are only allowed with version id' or 'creates permitted from pre-authorized certificates only'.",
          $ref: "#/definitions/markdown"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    CapabilityStatement_SearchParam: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "The name of the search parameter used in the interface.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        definition: {
          description: "An absolute URI that is a formal reference to where this parameter was first defined, so that a client can be confident of the meaning of the search parameter (a reference to [[[SearchParameter.url]]]). This element SHALL be populated if the search parameter refers to a SearchParameter defined by the FHIR core specification or externally defined IGs.",
          $ref: "#/definitions/canonical"
        },
        type: {
          description: "The type of value a search parameter refers to, and how the content is interpreted.",
          enum: ["number", "date", "string", "token", "reference", "composite", "quantity", "uri", "special"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        documentation: {
          description: "This allows documentation of any distinct behaviors about how the search parameter is used.  For example, text matching algorithms.",
          $ref: "#/definitions/markdown"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    CapabilityStatement_Operation: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "The name of the operation or query. For an operation, this is the name  prefixed with $ and used in the URL. For a query, this is the name used in the _query parameter when the query is called.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        definition: {
          description: "Where the formal definition can be found. If a server references the base definition of an Operation (i.e. from the specification itself such as ```http://hl7.org/fhir/OperationDefinition/ValueSet-expand```), that means it supports the full capabilities of the operation - e.g. both GET and POST invocation.  If it only supports a subset, it must define its own custom [[[OperationDefinition]]] with a 'base' of the original OperationDefinition.  The custom definition would describe the specific subset of functionality supported.",
          $ref: "#/definitions/canonical"
        },
        documentation: {
          description: "Documentation that describes anything special about the operation behavior, possibly detailing different behavior for system, type and instance-level invocation of the operation.",
          $ref: "#/definitions/markdown"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["definition"]
    },
    CapabilityStatement_Interaction1: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "A coded identifier of the operation, supported by the system.",
          enum: ["transaction", "batch", "search-system", "history-system"]
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        documentation: {
          description: "Guidance specific to the implementation of this operation, such as limitations on the kind of transactions allowed, or information about system wide search is implemented.",
          $ref: "#/definitions/markdown"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    CapabilityStatement_Messaging: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        endpoint: {
          description: "An endpoint (network accessible address) to which messages and/or replies are to be sent.",
          items: {
            $ref: "#/definitions/CapabilityStatement_Endpoint"
          },
          type: "array"
        },
        reliableCache: {
          description: "Length if the receiver's reliable messaging cache in minutes (if a receiver) or how long the cache length on the receiver should be (if a sender).",
          $ref: "#/definitions/unsignedInt"
        },
        _reliableCache: {
          description: "Extensions for reliableCache",
          $ref: "#/definitions/Element"
        },
        documentation: {
          description: "Documentation about the system's messaging capabilities for this endpoint not otherwise documented by the capability statement.  For example, the process for becoming an authorized messaging exchange partner.",
          $ref: "#/definitions/markdown"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        },
        supportedMessage: {
          description: "References to message definitions for messages this system can send or receive.",
          items: {
            $ref: "#/definitions/CapabilityStatement_SupportedMessage"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    CapabilityStatement_Endpoint: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        protocol: {
          description: "A list of the messaging transport protocol(s) identifiers, supported by this endpoint.",
          $ref: "#/definitions/Coding"
        },
        address: {
          description: "The network address of the endpoint. For solutions that do not use network addresses for routing, it can be just an identifier.",
          $ref: "#/definitions/url"
        },
        _address: {
          description: "Extensions for address",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["protocol"]
    },
    CapabilityStatement_SupportedMessage: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        mode: {
          description: "The mode of this event declaration - whether application is sender or receiver.",
          enum: ["sender", "receiver"]
        },
        _mode: {
          description: "Extensions for mode",
          $ref: "#/definitions/Element"
        },
        definition: {
          description: "Points to a message definition that identifies the messaging event, message structure, allowed responses, etc.",
          $ref: "#/definitions/canonical"
        }
      },
      additionalProperties: false,
      required: ["definition"]
    },
    CapabilityStatement_Document: {
      description: "A Capability Statement documents a set of capabilities (behaviors) of a FHIR Server for a particular version of FHIR that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        mode: {
          description: "Mode of this document declaration - whether an application is a producer or consumer.",
          enum: ["producer", "consumer"]
        },
        _mode: {
          description: "Extensions for mode",
          $ref: "#/definitions/Element"
        },
        documentation: {
          description: "A description of how the application supports or uses the specified document profile.  For example, when documents are created, what action is taken with consumed documents, etc.",
          $ref: "#/definitions/markdown"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        },
        profile: {
          description: "A profile on the document Bundle that constrains which resources are present, and their contents.",
          $ref: "#/definitions/canonical"
        }
      },
      additionalProperties: false,
      required: ["profile"]
    },
    CarePlan: {
      description: "Describes the intention of how one or more practitioners intend to deliver care for a particular patient, group or community for a period of time, possibly limited to care for a specific condition or set of conditions.",
      properties: {
        resourceType: {
          description: "This is a CarePlan resource",
          const: "CarePlan"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this care plan by the performer or other systems which remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        instantiatesCanonical: {
          description: "The URL pointing to a FHIR-defined protocol, guideline, questionnaire or other definition that is adhered to in whole or in part by this CarePlan.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        instantiatesUri: {
          description: "The URL pointing to an externally maintained protocol, guideline, questionnaire or other definition that is adhered to in whole or in part by this CarePlan.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _instantiatesUri: {
          description: "Extensions for instantiatesUri",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        basedOn: {
          description: "A care plan that is fulfilled in whole or in part by this care plan.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        replaces: {
          description: "Completed or terminated care plan whose function is taken by this new care plan.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        partOf: {
          description: "A larger care plan of which this particular care plan is a component or step.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "Indicates whether the plan is currently being acted upon, represents future intentions or is now a historical record.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        intent: {
          description: "Indicates the level of authority/intentionality associated with the care plan and where the care plan fits into the workflow chain.",
          $ref: "#/definitions/code"
        },
        _intent: {
          description: "Extensions for intent",
          $ref: "#/definitions/Element"
        },
        category: {
          description: 'Identifies what "kind" of plan this is to support differentiation between multiple co-existing plans; e.g. "Home health", "psychiatric", "asthma", "disease management", "wellness plan", etc.',
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        title: {
          description: "Human-friendly name for the care plan.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A description of the scope and nature of the plan.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        subject: {
          description: "Identifies the patient or group whose intended care is described by the plan.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The Encounter during which this CarePlan was created or to which the creation of this record is tightly associated.",
          $ref: "#/definitions/Reference"
        },
        period: {
          description: "Indicates when the plan did (or is intended to) come into effect and end.",
          $ref: "#/definitions/Period"
        },
        created: {
          description: "Represents when this particular CarePlan record was created in the system, which is often a system-generated date.",
          $ref: "#/definitions/dateTime"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        author: {
          description: "When populated, the author is responsible for the care plan.  The care plan is attributed to the author.",
          $ref: "#/definitions/Reference"
        },
        contributor: {
          description: "Identifies the individual(s) or organization who provided the contents of the care plan.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        careTeam: {
          description: "Identifies all people and organizations who are expected to be involved in the care envisioned by this plan.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        addresses: {
          description: "Identifies the conditions/problems/concerns/diagnoses/etc. whose management and/or mitigation are handled by this plan.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        supportingInfo: {
          description: "Identifies portions of the patient's record that specifically influenced the formation of the plan.  These might include comorbidities, recent procedures, limitations, recent assessments, etc.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        goal: {
          description: "Describes the intended objective(s) of carrying out the care plan.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        activity: {
          description: "Identifies a planned action to occur as part of the plan.  For example, a medication to be used, lab tests to perform, self-monitoring, education, etc.",
          items: {
            $ref: "#/definitions/CarePlan_Activity"
          },
          type: "array"
        },
        note: {
          description: "General notes about the care plan not covered elsewhere.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "resourceType"]
    },
    CarePlan_Activity: {
      description: "Describes the intention of how one or more practitioners intend to deliver care for a particular patient, group or community for a period of time, possibly limited to care for a specific condition or set of conditions.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        outcomeCodeableConcept: {
          description: "Identifies the outcome at the point when the status of the activity is assessed.  For example, the outcome of an education activity could be patient understands (or not).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        outcomeReference: {
          description: 'Details of the outcome or action resulting from the activity.  The reference to an "event" resource, such as Procedure or Encounter or Observation, is the result/outcome of the activity itself.  The activity can be conveyed using CarePlan.activity.detail OR using the CarePlan.activity.reference (a reference to a \u201Crequest\u201D resource).',
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        progress: {
          description: "Notes about the adherence/status/progress of the activity.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        reference: {
          description: "The details of the proposed activity represented in a specific resource.",
          $ref: "#/definitions/Reference"
        },
        detail: {
          description: "A simple summary of a planned activity suitable for a general care plan system (e.g. form driven) that doesn't know about specific resources such as procedure etc.",
          $ref: "#/definitions/CarePlan_Detail"
        }
      },
      additionalProperties: false
    },
    CarePlan_Detail: {
      description: "Describes the intention of how one or more practitioners intend to deliver care for a particular patient, group or community for a period of time, possibly limited to care for a specific condition or set of conditions.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        kind: {
          description: "A description of the kind of resource the in-line definition of a care plan activity is representing.  The CarePlan.activity.detail is an in-line definition when a resource is not referenced using CarePlan.activity.reference.  For example, a MedicationRequest, a ServiceRequest, or a CommunicationRequest.",
          $ref: "#/definitions/code"
        },
        _kind: {
          description: "Extensions for kind",
          $ref: "#/definitions/Element"
        },
        instantiatesCanonical: {
          description: "The URL pointing to a FHIR-defined protocol, guideline, questionnaire or other definition that is adhered to in whole or in part by this CarePlan activity.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        instantiatesUri: {
          description: "The URL pointing to an externally maintained protocol, guideline, questionnaire or other definition that is adhered to in whole or in part by this CarePlan activity.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _instantiatesUri: {
          description: "Extensions for instantiatesUri",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        code: {
          description: "Detailed description of the type of planned activity; e.g. what lab test, what procedure, what kind of encounter.",
          $ref: "#/definitions/CodeableConcept"
        },
        reasonCode: {
          description: "Provides the rationale that drove the inclusion of this particular activity as part of the plan or the reason why the activity was prohibited.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Indicates another resource, such as the health condition(s), whose existence justifies this request and drove the inclusion of this particular activity as part of the plan.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        goal: {
          description: "Internal reference that identifies the goals that this activity is intended to contribute towards meeting.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "Identifies what progress is being made for the specific activity.",
          enum: [
            "not-started",
            "scheduled",
            "in-progress",
            "on-hold",
            "completed",
            "cancelled",
            "stopped",
            "unknown",
            "entered-in-error"
          ]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusReason: {
          description: "Provides reason why the activity isn't yet started, is on hold, was cancelled, etc.",
          $ref: "#/definitions/CodeableConcept"
        },
        doNotPerform: {
          description: "If true, indicates that the described activity is one that must NOT be engaged in when following the plan.  If false, or missing, indicates that the described activity is one that should be engaged in when following the plan.",
          $ref: "#/definitions/boolean"
        },
        _doNotPerform: {
          description: "Extensions for doNotPerform",
          $ref: "#/definitions/Element"
        },
        scheduledTiming: {
          description: "The period, timing or frequency upon which the described activity is to occur.",
          $ref: "#/definitions/Timing"
        },
        scheduledPeriod: {
          description: "The period, timing or frequency upon which the described activity is to occur.",
          $ref: "#/definitions/Period"
        },
        scheduledString: {
          description: "The period, timing or frequency upon which the described activity is to occur.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _scheduledString: {
          description: "Extensions for scheduledString",
          $ref: "#/definitions/Element"
        },
        location: {
          description: "Identifies the facility where the activity will occur; e.g. home, hospital, specific clinic, etc.",
          $ref: "#/definitions/Reference"
        },
        performer: {
          description: "Identifies who's expected to be involved in the activity.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        productCodeableConcept: {
          description: "Identifies the food, drug or other product to be consumed or supplied in the activity.",
          $ref: "#/definitions/CodeableConcept"
        },
        productReference: {
          description: "Identifies the food, drug or other product to be consumed or supplied in the activity.",
          $ref: "#/definitions/Reference"
        },
        dailyAmount: {
          description: "Identifies the quantity expected to be consumed in a given day.",
          $ref: "#/definitions/Quantity"
        },
        quantity: {
          description: "Identifies the quantity expected to be supplied, administered or consumed by the subject.",
          $ref: "#/definitions/Quantity"
        },
        description: {
          description: "This provides a textual description of constraints on the intended activity occurrence, including relation to other activities.  It may also include objectives, pre-conditions and end-conditions.  Finally, it may convey specifics about the activity such as body site, method, route, etc.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    CareTeam: {
      description: "The Care Team includes all the people and organizations who plan to participate in the coordination and delivery of care for a patient.",
      properties: {
        resourceType: {
          description: "This is a CareTeam resource",
          const: "CareTeam"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this care team by the performer or other systems which remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "Indicates the current state of the care team.",
          enum: ["proposed", "active", "suspended", "inactive", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        category: {
          description: "Identifies what kind of team.  This is to support differentiation between multiple co-existing teams, such as care plan team, episode of care team, longitudinal care team.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        name: {
          description: 'A label for human use intended to distinguish like teams.  E.g. the "red" vs. "green" trauma teams.',
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        subject: {
          description: "Identifies the patient or group whose intended care is handled by the team.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The Encounter during which this CareTeam was created or to which the creation of this record is tightly associated.",
          $ref: "#/definitions/Reference"
        },
        period: {
          description: "Indicates when the team did (or is intended to) come into effect and end.",
          $ref: "#/definitions/Period"
        },
        participant: {
          description: "Identifies all people and organizations who are expected to be involved in the care team.",
          items: {
            $ref: "#/definitions/CareTeam_Participant"
          },
          type: "array"
        },
        reasonCode: {
          description: "Describes why the care team exists.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Condition(s) that this care team addresses.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        managingOrganization: {
          description: "The organization responsible for the care team.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        telecom: {
          description: "A central contact detail for the care team (that applies to all members).",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        note: {
          description: "Comments made about the CareTeam.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    CareTeam_Participant: {
      description: "The Care Team includes all the people and organizations who plan to participate in the coordination and delivery of care for a patient.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        role: {
          description: 'Indicates specific responsibility of an individual within the care team, such as "Primary care physician", "Trained social worker counselor", "Caregiver", etc.',
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        member: {
          description: "The specific person or organization who is participating/expected to participate in the care team.",
          $ref: "#/definitions/Reference"
        },
        onBehalfOf: {
          description: "The organization of the practitioner.",
          $ref: "#/definitions/Reference"
        },
        period: {
          description: "Indicates when the specific member or organization did (or is intended to) come into effect and end.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    CatalogEntry: {
      description: "Catalog entries are wrappers that contextualize items included in a catalog.",
      properties: {
        resourceType: {
          description: "This is a CatalogEntry resource",
          const: "CatalogEntry"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Used in supporting different identifiers for the same product, e.g. manufacturer code and retailer code.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        type: {
          description: "The type of item - medication, device, service, protocol or other.",
          $ref: "#/definitions/CodeableConcept"
        },
        orderable: {
          description: "Whether the entry represents an orderable item.",
          $ref: "#/definitions/boolean"
        },
        _orderable: {
          description: "Extensions for orderable",
          $ref: "#/definitions/Element"
        },
        referencedItem: {
          description: "The item in a catalog or definition.",
          $ref: "#/definitions/Reference"
        },
        additionalIdentifier: {
          description: "Used in supporting related concepts, e.g. NDC to RxNorm.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        classification: {
          description: "Classes of devices, or ATC for medication.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        status: {
          description: "Used to support catalog exchange even for unsupported products, e.g. getting list of medications even if not prescribable.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        validityPeriod: {
          description: "The time period in which this catalog entry is expected to be active.",
          $ref: "#/definitions/Period"
        },
        validTo: {
          description: "The date until which this catalog entry is expected to be active.",
          $ref: "#/definitions/dateTime"
        },
        _validTo: {
          description: "Extensions for validTo",
          $ref: "#/definitions/Element"
        },
        lastUpdated: {
          description: "Typically date of issue is different from the beginning of the validity. This can be used to see when an item was last updated.",
          $ref: "#/definitions/dateTime"
        },
        _lastUpdated: {
          description: "Extensions for lastUpdated",
          $ref: "#/definitions/Element"
        },
        additionalCharacteristic: {
          description: "Used for examplefor Out of Formulary, or any specifics.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        additionalClassification: {
          description: "User for example for ATC classification, or.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        relatedEntry: {
          description: "Used for example, to point to a substance, or to a device used to administer a medication.",
          items: {
            $ref: "#/definitions/CatalogEntry_RelatedEntry"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType", "referencedItem"]
    },
    CatalogEntry_RelatedEntry: {
      description: "Catalog entries are wrappers that contextualize items included in a catalog.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        relationtype: {
          description: "The type of relation to the related item: child, parent, packageContent, containerPackage, usedIn, uses, requires, etc.",
          enum: ["triggers", "is-replaced-by"]
        },
        _relationtype: {
          description: "Extensions for relationtype",
          $ref: "#/definitions/Element"
        },
        item: {
          description: "The reference to the related item.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["item"]
    },
    ChargeItem: {
      description: "The resource ChargeItem describes the provision of healthcare provider products for a certain patient, therefore referring not only to the product, but containing in addition details of the provision, like date, time, amounts and participating organizations and persons. Main Usage of the ChargeItem is to enable the billing process and internal cost allocation.",
      properties: {
        resourceType: {
          description: "This is a ChargeItem resource",
          const: "ChargeItem"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifiers assigned to this event performer or other systems.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        definitionUri: {
          description: "References the (external) source of pricing information, rules of application for the code this ChargeItem uses.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _definitionUri: {
          description: "Extensions for definitionUri",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        definitionCanonical: {
          description: "References the source of pricing information, rules of application for the code this ChargeItem uses.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        status: {
          description: "The current state of the ChargeItem.",
          enum: ["planned", "billable", "not-billable", "aborted", "billed", "entered-in-error", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        partOf: {
          description: "ChargeItems can be grouped to larger ChargeItems covering the whole set.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        code: {
          description: "A code that identifies the charge, like a billing code.",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "The individual or set of individuals the action is being or was performed on.",
          $ref: "#/definitions/Reference"
        },
        context: {
          description: "The encounter or episode of care that establishes the context for this event.",
          $ref: "#/definitions/Reference"
        },
        occurrenceDateTime: {
          description: "Date/time(s) or duration when the charged service was applied.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _occurrenceDateTime: {
          description: "Extensions for occurrenceDateTime",
          $ref: "#/definitions/Element"
        },
        occurrencePeriod: {
          description: "Date/time(s) or duration when the charged service was applied.",
          $ref: "#/definitions/Period"
        },
        occurrenceTiming: {
          description: "Date/time(s) or duration when the charged service was applied.",
          $ref: "#/definitions/Timing"
        },
        performer: {
          description: "Indicates who or what performed or participated in the charged service.",
          items: {
            $ref: "#/definitions/ChargeItem_Performer"
          },
          type: "array"
        },
        performingOrganization: {
          description: "The organization requesting the service.",
          $ref: "#/definitions/Reference"
        },
        requestingOrganization: {
          description: "The organization performing the service.",
          $ref: "#/definitions/Reference"
        },
        costCenter: {
          description: "The financial cost center permits the tracking of charge attribution.",
          $ref: "#/definitions/Reference"
        },
        quantity: {
          description: "Quantity of which the charge item has been serviced.",
          $ref: "#/definitions/Quantity"
        },
        bodysite: {
          description: "The anatomical location where the related service has been applied.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        factorOverride: {
          description: "Factor overriding the factor determined by the rules associated with the code.",
          $ref: "#/definitions/decimal"
        },
        _factorOverride: {
          description: "Extensions for factorOverride",
          $ref: "#/definitions/Element"
        },
        priceOverride: {
          description: "Total price of the charge overriding the list price associated with the code.",
          $ref: "#/definitions/Money"
        },
        overrideReason: {
          description: "If the list price or the rule-based factor associated with the code is overridden, this attribute can capture a text to indicate the  reason for this action.",
          $ref: "#/definitions/string"
        },
        _overrideReason: {
          description: "Extensions for overrideReason",
          $ref: "#/definitions/Element"
        },
        enterer: {
          description: "The device, practitioner, etc. who entered the charge item.",
          $ref: "#/definitions/Reference"
        },
        enteredDate: {
          description: "Date the charge item was entered.",
          $ref: "#/definitions/dateTime"
        },
        _enteredDate: {
          description: "Extensions for enteredDate",
          $ref: "#/definitions/Element"
        },
        reason: {
          description: "Describes why the event occurred in coded or textual form.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        service: {
          description: "Indicated the rendered service that caused this charge.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        productReference: {
          description: "Identifies the device, food, drug or other product being charged either by type code or reference to an instance.",
          $ref: "#/definitions/Reference"
        },
        productCodeableConcept: {
          description: "Identifies the device, food, drug or other product being charged either by type code or reference to an instance.",
          $ref: "#/definitions/CodeableConcept"
        },
        account: {
          description: "Account into which this ChargeItems belongs.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "Comments made about the event by the performer, subject or other participants.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        supportingInformation: {
          description: "Further information supporting this charge.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["code", "subject", "resourceType"]
    },
    ChargeItem_Performer: {
      description: "The resource ChargeItem describes the provision of healthcare provider products for a certain patient, therefore referring not only to the product, but containing in addition details of the provision, like date, time, amounts and participating organizations and persons. Main Usage of the ChargeItem is to enable the billing process and internal cost allocation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        function: {
          description: "Describes the type of performance or participation(e.g. primary surgeon, anesthesiologiest, etc.).",
          $ref: "#/definitions/CodeableConcept"
        },
        actor: {
          description: "The device, practitioner, etc. who performed or participated in the service.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["actor"]
    },
    ChargeItemDefinition: {
      description: "The ChargeItemDefinition resource provides the properties that apply to the (billing) codes necessary to calculate costs and prices. The properties may differ largely depending on type and realm, therefore this resource gives only a rough structure and requires profiling for each type of billing code system.",
      properties: {
        resourceType: {
          description: "This is a ChargeItemDefinition resource",
          const: "ChargeItemDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this charge item definition when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this charge item definition is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the charge item definition is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this charge item definition when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the charge item definition when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the charge item definition author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence. To provide a version consistent with the Decision Support Service specification, use the format Major.Minor.Revision (e.g. 1.0.0). For more information on versioning knowledge assets, refer to the Decision Support Service specification. Note that a version is required for non-experimental active assets.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the charge item definition.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        derivedFromUri: {
          description: "The URL pointing to an externally-defined charge item definition that is adhered to in whole or in part by this definition.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _derivedFromUri: {
          description: "Extensions for derivedFromUri",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        partOf: {
          description: "A larger definition of which this particular definition is a component or step.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        replaces: {
          description: "As new versions of a protocol or guideline are defined, allows identification of what versions are replaced by a new instance.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        status: {
          description: "The current state of the ChargeItemDefinition.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this charge item definition is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the charge item definition was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the charge item definition changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the charge item definition.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the charge item definition from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate charge item definition instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the charge item definition is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        copyright: {
          description: "A copyright statement relating to the charge item definition and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the charge item definition.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        approvalDate: {
          description: "The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage.",
          $ref: "#/definitions/date"
        },
        _approvalDate: {
          description: "Extensions for approvalDate",
          $ref: "#/definitions/Element"
        },
        lastReviewDate: {
          description: "The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date.",
          $ref: "#/definitions/date"
        },
        _lastReviewDate: {
          description: "Extensions for lastReviewDate",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The period during which the charge item definition content was or is planned to be in active use.",
          $ref: "#/definitions/Period"
        },
        code: {
          description: "The defined billing details in this resource pertain to the given billing code.",
          $ref: "#/definitions/CodeableConcept"
        },
        instance: {
          description: "The defined billing details in this resource pertain to the given product instance(s).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        applicability: {
          description: "Expressions that describe applicability criteria for the billing code.",
          items: {
            $ref: "#/definitions/ChargeItemDefinition_Applicability"
          },
          type: "array"
        },
        propertyGroup: {
          description: "Group of properties which are applicable under the same conditions. If no applicability rules are established for the group, then all properties always apply.",
          items: {
            $ref: "#/definitions/ChargeItemDefinition_PropertyGroup"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    ChargeItemDefinition_Applicability: {
      description: "The ChargeItemDefinition resource provides the properties that apply to the (billing) codes necessary to calculate costs and prices. The properties may differ largely depending on type and realm, therefore this resource gives only a rough structure and requires profiling for each type of billing code system.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "A brief, natural language description of the condition that effectively communicates the intended semantics.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        language: {
          description: 'The media type of the language for the expression, e.g. "text/cql" for Clinical Query Language expressions or "text/fhirpath" for FHIRPath expressions.',
          $ref: "#/definitions/string"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        expression: {
          description: "An expression that returns true or false, indicating whether the condition is satisfied. When using FHIRPath expressions, the %context environment variable must be replaced at runtime with the ChargeItem resource to which this definition is applied.",
          $ref: "#/definitions/string"
        },
        _expression: {
          description: "Extensions for expression",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ChargeItemDefinition_PropertyGroup: {
      description: "The ChargeItemDefinition resource provides the properties that apply to the (billing) codes necessary to calculate costs and prices. The properties may differ largely depending on type and realm, therefore this resource gives only a rough structure and requires profiling for each type of billing code system.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        applicability: {
          description: "Expressions that describe applicability criteria for the priceComponent.",
          items: {
            $ref: "#/definitions/ChargeItemDefinition_Applicability"
          },
          type: "array"
        },
        priceComponent: {
          description: "The price for a ChargeItem may be calculated as a base price with surcharges/deductions that apply in certain conditions. A ChargeItemDefinition resource that defines the prices, factors and conditions that apply to a billing code is currently under development. The priceComponent element can be used to offer transparency to the recipient of the Invoice of how the prices have been calculated.",
          items: {
            $ref: "#/definitions/ChargeItemDefinition_PriceComponent"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ChargeItemDefinition_PriceComponent: {
      description: "The ChargeItemDefinition resource provides the properties that apply to the (billing) codes necessary to calculate costs and prices. The properties may differ largely depending on type and realm, therefore this resource gives only a rough structure and requires profiling for each type of billing code system.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "This code identifies the type of the component.",
          $ref: "#/definitions/code"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A code that identifies the component. Codes may be used to differentiate between kinds of taxes, surcharges, discounts etc.",
          $ref: "#/definitions/CodeableConcept"
        },
        factor: {
          description: "The factor that has been applied on the base price for calculating this component.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        amount: {
          description: "The amount calculated for this component.",
          $ref: "#/definitions/Money"
        }
      },
      additionalProperties: false
    },
    Claim: {
      description: "A provider issued list of professional services and products which have been provided, or are to be provided, to a patient which is sent to an insurer for reimbursement.",
      properties: {
        resourceType: {
          description: "This is a Claim resource",
          const: "Claim"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier assigned to this claim.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status of the resource instance.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The category of claim, e.g. oral, pharmacy, vision, institutional, professional.",
          $ref: "#/definitions/CodeableConcept"
        },
        subType: {
          description: "A finer grained suite of claim type codes which may convey additional information such as Inpatient vs Outpatient and/or a specialty service.",
          $ref: "#/definitions/CodeableConcept"
        },
        use: {
          description: "A code to indicate whether the nature of the request is: to request adjudication of products and services previously rendered; or requesting authorization and adjudication for provision in the future; or requesting the non-binding adjudication of the listed products and services which could be provided in the future.",
          enum: ["claim", "preauthorization", "predetermination"]
        },
        _use: {
          description: "Extensions for use",
          $ref: "#/definitions/Element"
        },
        patient: {
          description: "The party to whom the professional services and/or products have been supplied or are being considered and for whom actual or forecast reimbursement is sought.",
          $ref: "#/definitions/Reference"
        },
        billablePeriod: {
          description: "The period for which charges are being submitted.",
          $ref: "#/definitions/Period"
        },
        created: {
          description: "The date this resource was created.",
          $ref: "#/definitions/dateTime"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        enterer: {
          description: "Individual who created the claim, predetermination or preauthorization.",
          $ref: "#/definitions/Reference"
        },
        insurer: {
          description: "The Insurer who is target of the request.",
          $ref: "#/definitions/Reference"
        },
        provider: {
          description: "The provider which is responsible for the claim, predetermination or preauthorization.",
          $ref: "#/definitions/Reference"
        },
        priority: {
          description: "The provider-required urgency of processing the request. Typical values include: stat, routine deferred.",
          $ref: "#/definitions/CodeableConcept"
        },
        fundsReserve: {
          description: "A code to indicate whether and for whom funds are to be reserved for future claims.",
          $ref: "#/definitions/CodeableConcept"
        },
        related: {
          description: "Other claims which are related to this claim such as prior submissions or claims for related services or for the same event.",
          items: {
            $ref: "#/definitions/Claim_Related"
          },
          type: "array"
        },
        prescription: {
          description: "Prescription to support the dispensing of pharmacy, device or vision products.",
          $ref: "#/definitions/Reference"
        },
        originalPrescription: {
          description: "Original prescription which has been superseded by this prescription to support the dispensing of pharmacy services, medications or products.",
          $ref: "#/definitions/Reference"
        },
        payee: {
          description: "The party to be reimbursed for cost of the products and services according to the terms of the policy.",
          $ref: "#/definitions/Claim_Payee"
        },
        referral: {
          description: "A reference to a referral resource.",
          $ref: "#/definitions/Reference"
        },
        facility: {
          description: "Facility where the services were provided.",
          $ref: "#/definitions/Reference"
        },
        careTeam: {
          description: "The members of the team who provided the products and services.",
          items: {
            $ref: "#/definitions/Claim_CareTeam"
          },
          type: "array"
        },
        supportingInfo: {
          description: "Additional information codes regarding exceptions, special considerations, the condition, situation, prior or concurrent issues.",
          items: {
            $ref: "#/definitions/Claim_SupportingInfo"
          },
          type: "array"
        },
        diagnosis: {
          description: "Information about diagnoses relevant to the claim items.",
          items: {
            $ref: "#/definitions/Claim_Diagnosis"
          },
          type: "array"
        },
        procedure: {
          description: "Procedures performed on the patient relevant to the billing items with the claim.",
          items: {
            $ref: "#/definitions/Claim_Procedure"
          },
          type: "array"
        },
        insurance: {
          description: "Financial instruments for reimbursement for the health care products and services specified on the claim.",
          items: {
            $ref: "#/definitions/Claim_Insurance"
          },
          type: "array"
        },
        accident: {
          description: "Details of an accident which resulted in injuries which required the products and services listed in the claim.",
          $ref: "#/definitions/Claim_Accident"
        },
        item: {
          description: "A claim line. Either a simple  product or service or a 'group' of details which can each be a simple items or groups of sub-details.",
          items: {
            $ref: "#/definitions/Claim_Item"
          },
          type: "array"
        },
        total: {
          description: "The total value of the all the items in the claim.",
          $ref: "#/definitions/Money"
        }
      },
      additionalProperties: false,
      required: ["insurance", "provider", "patient", "type", "priority", "resourceType"]
    },
    Claim_Related: {
      description: "A provider issued list of professional services and products which have been provided, or are to be provided, to a patient which is sent to an insurer for reimbursement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        claim: {
          description: "Reference to a related claim.",
          $ref: "#/definitions/Reference"
        },
        relationship: {
          description: "A code to convey how the claims are related.",
          $ref: "#/definitions/CodeableConcept"
        },
        reference: {
          description: "An alternate organizational reference to the case or file to which this particular claim pertains.",
          $ref: "#/definitions/Identifier"
        }
      },
      additionalProperties: false
    },
    Claim_Payee: {
      description: "A provider issued list of professional services and products which have been provided, or are to be provided, to a patient which is sent to an insurer for reimbursement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Type of Party to be reimbursed: subscriber, provider, other.",
          $ref: "#/definitions/CodeableConcept"
        },
        party: {
          description: "Reference to the individual or organization to whom any payment will be made.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    Claim_CareTeam: {
      description: "A provider issued list of professional services and products which have been provided, or are to be provided, to a patient which is sent to an insurer for reimbursement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify care team entries.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        provider: {
          description: "Member of the team who provided the product or service.",
          $ref: "#/definitions/Reference"
        },
        responsible: {
          description: "The party who is billing and/or responsible for the claimed products or services.",
          $ref: "#/definitions/boolean"
        },
        _responsible: {
          description: "Extensions for responsible",
          $ref: "#/definitions/Element"
        },
        role: {
          description: "The lead, assisting or supervising practitioner and their discipline if a multidisciplinary team.",
          $ref: "#/definitions/CodeableConcept"
        },
        qualification: {
          description: "The qualification of the practitioner which is applicable for this service.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["provider"]
    },
    Claim_SupportingInfo: {
      description: "A provider issued list of professional services and products which have been provided, or are to be provided, to a patient which is sent to an insurer for reimbursement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify supporting information entries.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        category: {
          description: "The general class of the information supplied: information; exception; accident, employment; onset, etc.",
          $ref: "#/definitions/CodeableConcept"
        },
        code: {
          description: "System and code pertaining to the specific information regarding special conditions relating to the setting, treatment or patient  for which care is sought.",
          $ref: "#/definitions/CodeableConcept"
        },
        timingDate: {
          description: "The date when or period to which this information refers.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _timingDate: {
          description: "Extensions for timingDate",
          $ref: "#/definitions/Element"
        },
        timingPeriod: {
          description: "The date when or period to which this information refers.",
          $ref: "#/definitions/Period"
        },
        valueBoolean: {
          description: "Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueQuantity: {
          description: "Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data.",
          $ref: "#/definitions/Quantity"
        },
        valueAttachment: {
          description: "Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data.",
          $ref: "#/definitions/Attachment"
        },
        valueReference: {
          description: "Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data.",
          $ref: "#/definitions/Reference"
        },
        reason: {
          description: "Provides the reason in the situation where a reason code is required in addition to the content.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["category"]
    },
    Claim_Diagnosis: {
      description: "A provider issued list of professional services and products which have been provided, or are to be provided, to a patient which is sent to an insurer for reimbursement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify diagnosis entries.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        diagnosisCodeableConcept: {
          description: "The nature of illness or problem in a coded form or as a reference to an external defined Condition.",
          $ref: "#/definitions/CodeableConcept"
        },
        diagnosisReference: {
          description: "The nature of illness or problem in a coded form or as a reference to an external defined Condition.",
          $ref: "#/definitions/Reference"
        },
        type: {
          description: "When the condition was observed or the relative ranking.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        onAdmission: {
          description: "Indication of whether the diagnosis was present on admission to a facility.",
          $ref: "#/definitions/CodeableConcept"
        },
        packageCode: {
          description: "A package billing code or bundle code used to group products and services to a particular health condition (such as heart attack) which is based on a predetermined grouping code system.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    Claim_Procedure: {
      description: "A provider issued list of professional services and products which have been provided, or are to be provided, to a patient which is sent to an insurer for reimbursement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify procedure entries.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "When the condition was observed or the relative ranking.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        date: {
          description: "Date and optionally time the procedure was performed.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        procedureCodeableConcept: {
          description: "The code or reference to a Procedure resource which identifies the clinical intervention performed.",
          $ref: "#/definitions/CodeableConcept"
        },
        procedureReference: {
          description: "The code or reference to a Procedure resource which identifies the clinical intervention performed.",
          $ref: "#/definitions/Reference"
        },
        udi: {
          description: "Unique Device Identifiers associated with this line item.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Claim_Insurance: {
      description: "A provider issued list of professional services and products which have been provided, or are to be provided, to a patient which is sent to an insurer for reimbursement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify insurance entries and provide a sequence of coverages to convey coordination of benefit order.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        focal: {
          description: "A flag to indicate that this Coverage is to be used for adjudication of this claim when set to true.",
          $ref: "#/definitions/boolean"
        },
        _focal: {
          description: "Extensions for focal",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "The business identifier to be used when the claim is sent for adjudication against this insurance policy.",
          $ref: "#/definitions/Identifier"
        },
        coverage: {
          description: "Reference to the insurance card level information contained in the Coverage resource. The coverage issuing insurer will use these details to locate the patient's actual coverage within the insurer's information system.",
          $ref: "#/definitions/Reference"
        },
        businessArrangement: {
          description: "A business agreement number established between the provider and the insurer for special business processing purposes.",
          $ref: "#/definitions/string"
        },
        _businessArrangement: {
          description: "Extensions for businessArrangement",
          $ref: "#/definitions/Element"
        },
        preAuthRef: {
          description: "Reference numbers previously provided by the insurer to the provider to be quoted on subsequent claims containing services or products related to the prior authorization.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _preAuthRef: {
          description: "Extensions for preAuthRef",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        claimResponse: {
          description: "The result of the adjudication of the line items for the Coverage specified in this insurance.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["coverage"]
    },
    Claim_Accident: {
      description: "A provider issued list of professional services and products which have been provided, or are to be provided, to a patient which is sent to an insurer for reimbursement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        date: {
          description: "Date of an accident event  related to the products and services contained in the claim.",
          $ref: "#/definitions/date"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The type or context of the accident event for the purposes of selection of potential insurance coverages and determination of coordination between insurers.",
          $ref: "#/definitions/CodeableConcept"
        },
        locationAddress: {
          description: "The physical location of the accident event.",
          $ref: "#/definitions/Address"
        },
        locationReference: {
          description: "The physical location of the accident event.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    Claim_Item: {
      description: "A provider issued list of professional services and products which have been provided, or are to be provided, to a patient which is sent to an insurer for reimbursement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify item entries.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        careTeamSequence: {
          description: "CareTeam members related to this service or product.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _careTeamSequence: {
          description: "Extensions for careTeamSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        diagnosisSequence: {
          description: "Diagnosis applicable for this service or product.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _diagnosisSequence: {
          description: "Extensions for diagnosisSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        procedureSequence: {
          description: "Procedures applicable for this service or product.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _procedureSequence: {
          description: "Extensions for procedureSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        informationSequence: {
          description: "Exceptions, special conditions and supporting information applicable for this service or product.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _informationSequence: {
          description: "Extensions for informationSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        revenue: {
          description: "The type of revenue or cost center providing the product and/or service.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "Code to identify the general type of benefits under which products and services are provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        productOrService: {
          description: "When the value is a group code then this item collects a set of related claim details, otherwise this contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        programCode: {
          description: "Identifies the program under which this may be recovered.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        servicedDate: {
          description: "The date or dates when the service or product was supplied, performed or completed.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _servicedDate: {
          description: "Extensions for servicedDate",
          $ref: "#/definitions/Element"
        },
        servicedPeriod: {
          description: "The date or dates when the service or product was supplied, performed or completed.",
          $ref: "#/definitions/Period"
        },
        locationCodeableConcept: {
          description: "Where the product or service was provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        locationAddress: {
          description: "Where the product or service was provided.",
          $ref: "#/definitions/Address"
        },
        locationReference: {
          description: "Where the product or service was provided.",
          $ref: "#/definitions/Reference"
        },
        quantity: {
          description: "The number of repetitions of a service or product.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "If the item is not a group then this is the fee for the product or service, otherwise this is the total of the fees for the details of the group.",
          $ref: "#/definitions/Money"
        },
        factor: {
          description: "A real number that represents a multiplier used in determining the overall value of services delivered and/or goods received. The concept of a Factor allows for a discount or surcharge multiplier to be applied to a monetary amount.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        net: {
          description: "The quantity times the unit price for an additional service or product or charge.",
          $ref: "#/definitions/Money"
        },
        udi: {
          description: "Unique Device Identifiers associated with this line item.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        bodySite: {
          description: "Physical service site on the patient (limb, tooth, etc.).",
          $ref: "#/definitions/CodeableConcept"
        },
        subSite: {
          description: "A region or surface of the bodySite, e.g. limb region or tooth surface(s).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        encounter: {
          description: "The Encounters during which this Claim was created or to which the creation of this record is tightly associated.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        detail: {
          description: "A claim detail line. Either a simple (a product or service) or a 'group' of sub-details which are simple items.",
          items: {
            $ref: "#/definitions/Claim_Detail"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["productOrService"]
    },
    Claim_Detail: {
      description: "A provider issued list of professional services and products which have been provided, or are to be provided, to a patient which is sent to an insurer for reimbursement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify item entries.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        revenue: {
          description: "The type of revenue or cost center providing the product and/or service.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "Code to identify the general type of benefits under which products and services are provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        productOrService: {
          description: "When the value is a group code then this item collects a set of related claim details, otherwise this contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        programCode: {
          description: "Identifies the program under which this may be recovered.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        quantity: {
          description: "The number of repetitions of a service or product.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "If the item is not a group then this is the fee for the product or service, otherwise this is the total of the fees for the details of the group.",
          $ref: "#/definitions/Money"
        },
        factor: {
          description: "A real number that represents a multiplier used in determining the overall value of services delivered and/or goods received. The concept of a Factor allows for a discount or surcharge multiplier to be applied to a monetary amount.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        net: {
          description: "The quantity times the unit price for an additional service or product or charge.",
          $ref: "#/definitions/Money"
        },
        udi: {
          description: "Unique Device Identifiers associated with this line item.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        subDetail: {
          description: "A claim detail line. Either a simple (a product or service) or a 'group' of sub-details which are simple items.",
          items: {
            $ref: "#/definitions/Claim_SubDetail"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["productOrService"]
    },
    Claim_SubDetail: {
      description: "A provider issued list of professional services and products which have been provided, or are to be provided, to a patient which is sent to an insurer for reimbursement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify item entries.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        revenue: {
          description: "The type of revenue or cost center providing the product and/or service.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "Code to identify the general type of benefits under which products and services are provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        productOrService: {
          description: "When the value is a group code then this item collects a set of related claim details, otherwise this contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        programCode: {
          description: "Identifies the program under which this may be recovered.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        quantity: {
          description: "The number of repetitions of a service or product.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "If the item is not a group then this is the fee for the product or service, otherwise this is the total of the fees for the details of the group.",
          $ref: "#/definitions/Money"
        },
        factor: {
          description: "A real number that represents a multiplier used in determining the overall value of services delivered and/or goods received. The concept of a Factor allows for a discount or surcharge multiplier to be applied to a monetary amount.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        net: {
          description: "The quantity times the unit price for an additional service or product or charge.",
          $ref: "#/definitions/Money"
        },
        udi: {
          description: "Unique Device Identifiers associated with this line item.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["productOrService"]
    },
    ClaimResponse: {
      description: "This resource provides the adjudication details from the processing of a Claim resource.",
      properties: {
        resourceType: {
          description: "This is a ClaimResponse resource",
          const: "ClaimResponse"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier assigned to this claim response.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status of the resource instance.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "A finer grained suite of claim type codes which may convey additional information such as Inpatient vs Outpatient and/or a specialty service.",
          $ref: "#/definitions/CodeableConcept"
        },
        subType: {
          description: "A finer grained suite of claim type codes which may convey additional information such as Inpatient vs Outpatient and/or a specialty service.",
          $ref: "#/definitions/CodeableConcept"
        },
        use: {
          description: "A code to indicate whether the nature of the request is: to request adjudication of products and services previously rendered; or requesting authorization and adjudication for provision in the future; or requesting the non-binding adjudication of the listed products and services which could be provided in the future.",
          $ref: "#/definitions/code"
        },
        _use: {
          description: "Extensions for use",
          $ref: "#/definitions/Element"
        },
        patient: {
          description: "The party to whom the professional services and/or products have been supplied or are being considered and for whom actual for facast reimbursement is sought.",
          $ref: "#/definitions/Reference"
        },
        created: {
          description: "The date this resource was created.",
          $ref: "#/definitions/dateTime"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        insurer: {
          description: "The party responsible for authorization, adjudication and reimbursement.",
          $ref: "#/definitions/Reference"
        },
        requestor: {
          description: "The provider which is responsible for the claim, predetermination or preauthorization.",
          $ref: "#/definitions/Reference"
        },
        request: {
          description: "Original request resource reference.",
          $ref: "#/definitions/Reference"
        },
        outcome: {
          description: "The outcome of the claim, predetermination, or preauthorization processing.",
          $ref: "#/definitions/code"
        },
        _outcome: {
          description: "Extensions for outcome",
          $ref: "#/definitions/Element"
        },
        disposition: {
          description: "A human readable description of the status of the adjudication.",
          $ref: "#/definitions/string"
        },
        _disposition: {
          description: "Extensions for disposition",
          $ref: "#/definitions/Element"
        },
        preAuthRef: {
          description: "Reference from the Insurer which is used in later communications which refers to this adjudication.",
          $ref: "#/definitions/string"
        },
        _preAuthRef: {
          description: "Extensions for preAuthRef",
          $ref: "#/definitions/Element"
        },
        preAuthPeriod: {
          description: "The time frame during which this authorization is effective.",
          $ref: "#/definitions/Period"
        },
        payeeType: {
          description: "Type of Party to be reimbursed: subscriber, provider, other.",
          $ref: "#/definitions/CodeableConcept"
        },
        item: {
          description: "A claim line. Either a simple (a product or service) or a 'group' of details which can also be a simple items or groups of sub-details.",
          items: {
            $ref: "#/definitions/ClaimResponse_Item"
          },
          type: "array"
        },
        addItem: {
          description: "The first-tier service adjudications for payor added product or service lines.",
          items: {
            $ref: "#/definitions/ClaimResponse_AddItem"
          },
          type: "array"
        },
        adjudication: {
          description: "The adjudication results which are presented at the header level rather than at the line-item or add-item levels.",
          items: {
            $ref: "#/definitions/ClaimResponse_Adjudication"
          },
          type: "array"
        },
        total: {
          description: "Categorized monetary totals for the adjudication.",
          items: {
            $ref: "#/definitions/ClaimResponse_Total"
          },
          type: "array"
        },
        payment: {
          description: "Payment details for the adjudication of the claim.",
          $ref: "#/definitions/ClaimResponse_Payment"
        },
        fundsReserve: {
          description: "A code, used only on a response to a preauthorization, to indicate whether the benefits payable have been reserved and for whom.",
          $ref: "#/definitions/CodeableConcept"
        },
        formCode: {
          description: "A code for the form to be used for printing the content.",
          $ref: "#/definitions/CodeableConcept"
        },
        form: {
          description: "The actual form, by reference or inclusion, for printing the content or an EOB.",
          $ref: "#/definitions/Attachment"
        },
        processNote: {
          description: "A note that describes or explains adjudication results in a human readable form.",
          items: {
            $ref: "#/definitions/ClaimResponse_ProcessNote"
          },
          type: "array"
        },
        communicationRequest: {
          description: "Request for additional supporting or authorizing information.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        insurance: {
          description: "Financial instruments for reimbursement for the health care products and services specified on the claim.",
          items: {
            $ref: "#/definitions/ClaimResponse_Insurance"
          },
          type: "array"
        },
        error: {
          description: "Errors encountered during the processing of the adjudication.",
          items: {
            $ref: "#/definitions/ClaimResponse_Error"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["patient", "insurer", "type", "resourceType"]
    },
    ClaimResponse_Item: {
      description: "This resource provides the adjudication details from the processing of a Claim resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        itemSequence: {
          description: "A number to uniquely reference the claim item entries.",
          $ref: "#/definitions/positiveInt"
        },
        _itemSequence: {
          description: "Extensions for itemSequence",
          $ref: "#/definitions/Element"
        },
        noteNumber: {
          description: "The numbers associated with notes below which apply to the adjudication of this item.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _noteNumber: {
          description: "Extensions for noteNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        adjudication: {
          description: "If this item is a group then the values here are a summary of the adjudication of the detail items. If this item is a simple product or service then this is the result of the adjudication of this item.",
          items: {
            $ref: "#/definitions/ClaimResponse_Adjudication"
          },
          type: "array"
        },
        detail: {
          description: "A claim detail. Either a simple (a product or service) or a 'group' of sub-details which are simple items.",
          items: {
            $ref: "#/definitions/ClaimResponse_Detail"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["adjudication"]
    },
    ClaimResponse_Adjudication: {
      description: "This resource provides the adjudication details from the processing of a Claim resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        category: {
          description: "A code to indicate the information type of this adjudication record. Information types may include the value submitted, maximum values or percentages allowed or payable under the plan, amounts that: the patient is responsible for in aggregate or pertaining to this item; amounts paid by other coverages; and, the benefit payable for this item.",
          $ref: "#/definitions/CodeableConcept"
        },
        reason: {
          description: "A code supporting the understanding of the adjudication result and explaining variance from expected amount.",
          $ref: "#/definitions/CodeableConcept"
        },
        amount: {
          description: "Monetary amount associated with the category.",
          $ref: "#/definitions/Money"
        },
        value: {
          description: "A non-monetary value associated with the category. Mutually exclusive to the amount element above.",
          $ref: "#/definitions/decimal"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["category"]
    },
    ClaimResponse_Detail: {
      description: "This resource provides the adjudication details from the processing of a Claim resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        detailSequence: {
          description: "A number to uniquely reference the claim detail entry.",
          $ref: "#/definitions/positiveInt"
        },
        _detailSequence: {
          description: "Extensions for detailSequence",
          $ref: "#/definitions/Element"
        },
        noteNumber: {
          description: "The numbers associated with notes below which apply to the adjudication of this item.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _noteNumber: {
          description: "Extensions for noteNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        adjudication: {
          description: "The adjudication results.",
          items: {
            $ref: "#/definitions/ClaimResponse_Adjudication"
          },
          type: "array"
        },
        subDetail: {
          description: "A sub-detail adjudication of a simple product or service.",
          items: {
            $ref: "#/definitions/ClaimResponse_SubDetail"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["adjudication"]
    },
    ClaimResponse_SubDetail: {
      description: "This resource provides the adjudication details from the processing of a Claim resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        subDetailSequence: {
          description: "A number to uniquely reference the claim sub-detail entry.",
          $ref: "#/definitions/positiveInt"
        },
        _subDetailSequence: {
          description: "Extensions for subDetailSequence",
          $ref: "#/definitions/Element"
        },
        noteNumber: {
          description: "The numbers associated with notes below which apply to the adjudication of this item.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _noteNumber: {
          description: "Extensions for noteNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        adjudication: {
          description: "The adjudication results.",
          items: {
            $ref: "#/definitions/ClaimResponse_Adjudication"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ClaimResponse_AddItem: {
      description: "This resource provides the adjudication details from the processing of a Claim resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        itemSequence: {
          description: "Claim items which this service line is intended to replace.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _itemSequence: {
          description: "Extensions for itemSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        detailSequence: {
          description: "The sequence number of the details within the claim item which this line is intended to replace.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _detailSequence: {
          description: "Extensions for detailSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        subdetailSequence: {
          description: "The sequence number of the sub-details within the details within the claim item which this line is intended to replace.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _subdetailSequence: {
          description: "Extensions for subdetailSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        provider: {
          description: "The providers who are authorized for the services rendered to the patient.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        productOrService: {
          description: "When the value is a group code then this item collects a set of related claim details, otherwise this contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        programCode: {
          description: "Identifies the program under which this may be recovered.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        servicedDate: {
          description: "The date or dates when the service or product was supplied, performed or completed.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _servicedDate: {
          description: "Extensions for servicedDate",
          $ref: "#/definitions/Element"
        },
        servicedPeriod: {
          description: "The date or dates when the service or product was supplied, performed or completed.",
          $ref: "#/definitions/Period"
        },
        locationCodeableConcept: {
          description: "Where the product or service was provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        locationAddress: {
          description: "Where the product or service was provided.",
          $ref: "#/definitions/Address"
        },
        locationReference: {
          description: "Where the product or service was provided.",
          $ref: "#/definitions/Reference"
        },
        quantity: {
          description: "The number of repetitions of a service or product.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "If the item is not a group then this is the fee for the product or service, otherwise this is the total of the fees for the details of the group.",
          $ref: "#/definitions/Money"
        },
        factor: {
          description: "A real number that represents a multiplier used in determining the overall value of services delivered and/or goods received. The concept of a Factor allows for a discount or surcharge multiplier to be applied to a monetary amount.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        net: {
          description: "The quantity times the unit price for an additional service or product or charge.",
          $ref: "#/definitions/Money"
        },
        bodySite: {
          description: "Physical service site on the patient (limb, tooth, etc.).",
          $ref: "#/definitions/CodeableConcept"
        },
        subSite: {
          description: "A region or surface of the bodySite, e.g. limb region or tooth surface(s).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        noteNumber: {
          description: "The numbers associated with notes below which apply to the adjudication of this item.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _noteNumber: {
          description: "Extensions for noteNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        adjudication: {
          description: "The adjudication results.",
          items: {
            $ref: "#/definitions/ClaimResponse_Adjudication"
          },
          type: "array"
        },
        detail: {
          description: "The second-tier service adjudications for payor added services.",
          items: {
            $ref: "#/definitions/ClaimResponse_Detail1"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["adjudication", "productOrService"]
    },
    ClaimResponse_Detail1: {
      description: "This resource provides the adjudication details from the processing of a Claim resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        productOrService: {
          description: "When the value is a group code then this item collects a set of related claim details, otherwise this contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        quantity: {
          description: "The number of repetitions of a service or product.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "If the item is not a group then this is the fee for the product or service, otherwise this is the total of the fees for the details of the group.",
          $ref: "#/definitions/Money"
        },
        factor: {
          description: "A real number that represents a multiplier used in determining the overall value of services delivered and/or goods received. The concept of a Factor allows for a discount or surcharge multiplier to be applied to a monetary amount.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        net: {
          description: "The quantity times the unit price for an additional service or product or charge.",
          $ref: "#/definitions/Money"
        },
        noteNumber: {
          description: "The numbers associated with notes below which apply to the adjudication of this item.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _noteNumber: {
          description: "Extensions for noteNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        adjudication: {
          description: "The adjudication results.",
          items: {
            $ref: "#/definitions/ClaimResponse_Adjudication"
          },
          type: "array"
        },
        subDetail: {
          description: "The third-tier service adjudications for payor added services.",
          items: {
            $ref: "#/definitions/ClaimResponse_SubDetail1"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["adjudication", "productOrService"]
    },
    ClaimResponse_SubDetail1: {
      description: "This resource provides the adjudication details from the processing of a Claim resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        productOrService: {
          description: "When the value is a group code then this item collects a set of related claim details, otherwise this contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        quantity: {
          description: "The number of repetitions of a service or product.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "If the item is not a group then this is the fee for the product or service, otherwise this is the total of the fees for the details of the group.",
          $ref: "#/definitions/Money"
        },
        factor: {
          description: "A real number that represents a multiplier used in determining the overall value of services delivered and/or goods received. The concept of a Factor allows for a discount or surcharge multiplier to be applied to a monetary amount.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        net: {
          description: "The quantity times the unit price for an additional service or product or charge.",
          $ref: "#/definitions/Money"
        },
        noteNumber: {
          description: "The numbers associated with notes below which apply to the adjudication of this item.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _noteNumber: {
          description: "Extensions for noteNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        adjudication: {
          description: "The adjudication results.",
          items: {
            $ref: "#/definitions/ClaimResponse_Adjudication"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["adjudication", "productOrService"]
    },
    ClaimResponse_Total: {
      description: "This resource provides the adjudication details from the processing of a Claim resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        category: {
          description: "A code to indicate the information type of this adjudication record. Information types may include: the value submitted, maximum values or percentages allowed or payable under the plan, amounts that the patient is responsible for in aggregate or pertaining to this item, amounts paid by other coverages, and the benefit payable for this item.",
          $ref: "#/definitions/CodeableConcept"
        },
        amount: {
          description: "Monetary total amount associated with the category.",
          $ref: "#/definitions/Money"
        }
      },
      additionalProperties: false,
      required: ["amount", "category"]
    },
    ClaimResponse_Payment: {
      description: "This resource provides the adjudication details from the processing of a Claim resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Whether this represents partial or complete payment of the benefits payable.",
          $ref: "#/definitions/CodeableConcept"
        },
        adjustment: {
          description: "Total amount of all adjustments to this payment included in this transaction which are not related to this claim's adjudication.",
          $ref: "#/definitions/Money"
        },
        adjustmentReason: {
          description: "Reason for the payment adjustment.",
          $ref: "#/definitions/CodeableConcept"
        },
        date: {
          description: "Estimated date the payment will be issued or the actual issue date of payment.",
          $ref: "#/definitions/date"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        amount: {
          description: "Benefits payable less any payment adjustment.",
          $ref: "#/definitions/Money"
        },
        identifier: {
          description: "Issuer's unique identifier for the payment instrument.",
          $ref: "#/definitions/Identifier"
        }
      },
      additionalProperties: false,
      required: ["amount", "type"]
    },
    ClaimResponse_ProcessNote: {
      description: "This resource provides the adjudication details from the processing of a Claim resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        number: {
          description: "A number to uniquely identify a note entry.",
          $ref: "#/definitions/positiveInt"
        },
        _number: {
          description: "Extensions for number",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The business purpose of the note text.",
          enum: ["display", "print", "printoper"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        text: {
          description: "The explanation or description associated with the processing.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "A code to define the language used in the text of the note.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    ClaimResponse_Insurance: {
      description: "This resource provides the adjudication details from the processing of a Claim resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify insurance entries and provide a sequence of coverages to convey coordination of benefit order.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        focal: {
          description: "A flag to indicate that this Coverage is to be used for adjudication of this claim when set to true.",
          $ref: "#/definitions/boolean"
        },
        _focal: {
          description: "Extensions for focal",
          $ref: "#/definitions/Element"
        },
        coverage: {
          description: "Reference to the insurance card level information contained in the Coverage resource. The coverage issuing insurer will use these details to locate the patient's actual coverage within the insurer's information system.",
          $ref: "#/definitions/Reference"
        },
        businessArrangement: {
          description: "A business agreement number established between the provider and the insurer for special business processing purposes.",
          $ref: "#/definitions/string"
        },
        _businessArrangement: {
          description: "Extensions for businessArrangement",
          $ref: "#/definitions/Element"
        },
        claimResponse: {
          description: "The result of the adjudication of the line items for the Coverage specified in this insurance.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["coverage"]
    },
    ClaimResponse_Error: {
      description: "This resource provides the adjudication details from the processing of a Claim resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        itemSequence: {
          description: "The sequence number of the line item submitted which contains the error. This value is omitted when the error occurs outside of the item structure.",
          $ref: "#/definitions/positiveInt"
        },
        _itemSequence: {
          description: "Extensions for itemSequence",
          $ref: "#/definitions/Element"
        },
        detailSequence: {
          description: "The sequence number of the detail within the line item submitted which contains the error. This value is omitted when the error occurs outside of the item structure.",
          $ref: "#/definitions/positiveInt"
        },
        _detailSequence: {
          description: "Extensions for detailSequence",
          $ref: "#/definitions/Element"
        },
        subDetailSequence: {
          description: "The sequence number of the sub-detail within the detail within the line item submitted which contains the error. This value is omitted when the error occurs outside of the item structure.",
          $ref: "#/definitions/positiveInt"
        },
        _subDetailSequence: {
          description: "Extensions for subDetailSequence",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "An error code, from a specified code system, which details why the claim could not be adjudicated.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["code"]
    },
    ClinicalImpression: {
      description: `A record of a clinical assessment performed to determine what problem(s) may affect the patient and before planning the treatments or management strategies that are best to manage a patient's condition. Assessments are often 1:1 with a clinical consultation / encounter,  but this varies greatly depending on the clinical workflow. This resource is called "ClinicalImpression" rather than "ClinicalAssessment" to avoid confusion with the recording of assessment tools such as Apgar score.`,
      properties: {
        resourceType: {
          description: "This is a ClinicalImpression resource",
          const: "ClinicalImpression"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this clinical impression by the performer or other systems which remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "Identifies the workflow status of the assessment.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusReason: {
          description: "Captures the reason for the current state of the ClinicalImpression.",
          $ref: "#/definitions/CodeableConcept"
        },
        code: {
          description: "Categorizes the type of clinical assessment performed.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: "A summary of the context and/or cause of the assessment - why / where it was performed, and what patient events/status prompted it.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        subject: {
          description: "The patient or group of individuals assessed as part of this record.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The Encounter during which this ClinicalImpression was created or to which the creation of this record is tightly associated.",
          $ref: "#/definitions/Reference"
        },
        effectiveDateTime: {
          description: "The point in time or period over which the subject was assessed.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _effectiveDateTime: {
          description: "Extensions for effectiveDateTime",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The point in time or period over which the subject was assessed.",
          $ref: "#/definitions/Period"
        },
        date: {
          description: "Indicates when the documentation of the assessment was complete.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        assessor: {
          description: "The clinician performing the assessment.",
          $ref: "#/definitions/Reference"
        },
        previous: {
          description: "A reference to the last assessment that was conducted on this patient. Assessments are often/usually ongoing in nature; a care provider (practitioner or team) will make new assessments on an ongoing basis as new data arises or the patient's conditions changes.",
          $ref: "#/definitions/Reference"
        },
        problem: {
          description: "A list of the relevant problems/conditions for a patient.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        investigation: {
          description: "One or more sets of investigations (signs, symptoms, etc.). The actual grouping of investigations varies greatly depending on the type and context of the assessment. These investigations may include data generated during the assessment process, or data previously generated and recorded that is pertinent to the outcomes.",
          items: {
            $ref: "#/definitions/ClinicalImpression_Investigation"
          },
          type: "array"
        },
        protocol: {
          description: "Reference to a specific published clinical protocol that was followed during this assessment, and/or that provides evidence in support of the diagnosis.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _protocol: {
          description: "Extensions for protocol",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        summary: {
          description: "A text summary of the investigations and the diagnosis.",
          $ref: "#/definitions/string"
        },
        _summary: {
          description: "Extensions for summary",
          $ref: "#/definitions/Element"
        },
        finding: {
          description: "Specific findings or diagnoses that were considered likely or relevant to ongoing treatment.",
          items: {
            $ref: "#/definitions/ClinicalImpression_Finding"
          },
          type: "array"
        },
        prognosisCodeableConcept: {
          description: "Estimate of likely outcome.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        prognosisReference: {
          description: "RiskAssessment expressing likely outcome.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        supportingInfo: {
          description: "Information supporting the clinical impression.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "Commentary about the impression, typically recorded after the impression itself was made, though supplemental notes by the original author could also appear.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "resourceType"]
    },
    ClinicalImpression_Investigation: {
      description: `A record of a clinical assessment performed to determine what problem(s) may affect the patient and before planning the treatments or management strategies that are best to manage a patient's condition. Assessments are often 1:1 with a clinical consultation / encounter,  but this varies greatly depending on the clinical workflow. This resource is called "ClinicalImpression" rather than "ClinicalAssessment" to avoid confusion with the recording of assessment tools such as Apgar score.`,
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: 'A name/code for the group ("set") of investigations. Typically, this will be something like "signs", "symptoms", "clinical", "diagnostic", but the list is not constrained, and others such groups such as (exposure|family|travel|nutritional) history may be used.',
          $ref: "#/definitions/CodeableConcept"
        },
        item: {
          description: "A record of a specific investigation that was undertaken.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["code"]
    },
    ClinicalImpression_Finding: {
      description: `A record of a clinical assessment performed to determine what problem(s) may affect the patient and before planning the treatments or management strategies that are best to manage a patient's condition. Assessments are often 1:1 with a clinical consultation / encounter,  but this varies greatly depending on the clinical workflow. This resource is called "ClinicalImpression" rather than "ClinicalAssessment" to avoid confusion with the recording of assessment tools such as Apgar score.`,
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        itemCodeableConcept: {
          description: "Specific text or code for finding or diagnosis, which may include ruled-out or resolved conditions.",
          $ref: "#/definitions/CodeableConcept"
        },
        itemReference: {
          description: "Specific reference for finding or diagnosis, which may include ruled-out or resolved conditions.",
          $ref: "#/definitions/Reference"
        },
        basis: {
          description: "Which investigations support finding or diagnosis.",
          $ref: "#/definitions/string"
        },
        _basis: {
          description: "Extensions for basis",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    CodeSystem: {
      description: "The CodeSystem resource is used to declare the existence of and describe a code system or code system supplement and its key properties, and optionally define a part or all of its content.",
      properties: {
        resourceType: {
          description: "This is a CodeSystem resource",
          const: "CodeSystem"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this code system when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this code system is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the code system is stored on different servers. This is used in [Coding](datatypes.html#Coding).system.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this code system when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the code system when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the code system author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence. This is used in [Coding](datatypes.html#Coding).version.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the code system. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the code system.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The date (and optionally time) when the code system resource was created or revised.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this code system is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the code system was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the code system changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the code system.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the code system from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate code system instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the code system is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this code system is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the code system and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the code system.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        caseSensitive: {
          description: "If code comparison is case sensitive when codes within this system are compared to each other.",
          $ref: "#/definitions/boolean"
        },
        _caseSensitive: {
          description: "Extensions for caseSensitive",
          $ref: "#/definitions/Element"
        },
        valueSet: {
          description: "Canonical reference to the value set that contains the entire code system.",
          $ref: "#/definitions/canonical"
        },
        hierarchyMeaning: {
          description: "The meaning of the hierarchy of concepts as represented in this resource.",
          enum: ["grouped-by", "is-a", "part-of", "classified-with"]
        },
        _hierarchyMeaning: {
          description: "Extensions for hierarchyMeaning",
          $ref: "#/definitions/Element"
        },
        compositional: {
          description: "The code system defines a compositional (post-coordination) grammar.",
          $ref: "#/definitions/boolean"
        },
        _compositional: {
          description: "Extensions for compositional",
          $ref: "#/definitions/Element"
        },
        versionNeeded: {
          description: "This flag is used to signify that the code system does not commit to concept permanence across versions. If true, a version must be specified when referencing this code system.",
          $ref: "#/definitions/boolean"
        },
        _versionNeeded: {
          description: "Extensions for versionNeeded",
          $ref: "#/definitions/Element"
        },
        content: {
          description: "The extent of the content of the code system (the concepts and codes it defines) are represented in this resource instance.",
          enum: ["not-present", "example", "fragment", "complete", "supplement"]
        },
        _content: {
          description: "Extensions for content",
          $ref: "#/definitions/Element"
        },
        supplements: {
          description: "The canonical URL of the code system that this code system supplement is adding designations and properties to.",
          $ref: "#/definitions/canonical"
        },
        count: {
          description: "The total number of concepts defined by the code system. Where the code system has a compositional grammar, the basis of this count is defined by the system steward.",
          $ref: "#/definitions/unsignedInt"
        },
        _count: {
          description: "Extensions for count",
          $ref: "#/definitions/Element"
        },
        filter: {
          description: "A filter that can be used in a value set compose statement when selecting concepts using a filter.",
          items: {
            $ref: "#/definitions/CodeSystem_Filter"
          },
          type: "array"
        },
        property: {
          description: "A property defines an additional slot through which additional information can be provided about a concept.",
          items: {
            $ref: "#/definitions/CodeSystem_Property"
          },
          type: "array"
        },
        concept: {
          description: "Concepts that are in the code system. The concept definitions are inherently hierarchical, but the definitions must be consulted to determine what the meanings of the hierarchical relationships are.",
          items: {
            $ref: "#/definitions/CodeSystem_Concept"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    CodeSystem_Filter: {
      description: "The CodeSystem resource is used to declare the existence of and describe a code system or code system supplement and its key properties, and optionally define a part or all of its content.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The code that identifies this filter when it is used as a filter in [[[ValueSet]]].compose.include.filter.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A description of how or why the filter is used.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        operator: {
          description: "A list of operators that can be used with the filter.",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _operator: {
          description: "Extensions for operator",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        value: {
          description: "A description of what the value for the filter should be.",
          $ref: "#/definitions/string"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    CodeSystem_Property: {
      description: "The CodeSystem resource is used to declare the existence of and describe a code system or code system supplement and its key properties, and optionally define a part or all of its content.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "A code that is used to identify the property. The code is used internally (in CodeSystem.concept.property.code) and also externally, such as in property filters.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        uri: {
          description: "Reference to the formal meaning of the property. One possible source of meaning is the [Concept Properties](codesystem-concept-properties.html) code system.",
          $ref: "#/definitions/uri"
        },
        _uri: {
          description: "Extensions for uri",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A description of the property- why it is defined, and how its value might be used.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        type: {
          description: 'The type of the property value. Properties of type "code" contain a code defined by the code system (e.g. a reference to another defined concept).',
          enum: ["code", "Coding", "string", "integer", "boolean", "dateTime", "decimal"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    CodeSystem_Concept: {
      description: "The CodeSystem resource is used to declare the existence of and describe a code system or code system supplement and its key properties, and optionally define a part or all of its content.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "A code - a text symbol - that uniquely identifies the concept within the code system.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        display: {
          description: "A human readable string that is the recommended default way to present this concept to a user.",
          $ref: "#/definitions/string"
        },
        _display: {
          description: "Extensions for display",
          $ref: "#/definitions/Element"
        },
        definition: {
          description: "The formal definition of the concept. The code system resource does not make formal definitions required, because of the prevalence of legacy systems. However, they are highly recommended, as without them there is no formal meaning associated with the concept.",
          $ref: "#/definitions/string"
        },
        _definition: {
          description: "Extensions for definition",
          $ref: "#/definitions/Element"
        },
        designation: {
          description: "Additional representations for the concept - other languages, aliases, specialized purposes, used for particular purposes, etc.",
          items: {
            $ref: "#/definitions/CodeSystem_Designation"
          },
          type: "array"
        },
        property: {
          description: "A property value for this concept.",
          items: {
            $ref: "#/definitions/CodeSystem_Property1"
          },
          type: "array"
        },
        concept: {
          description: "Defines children of a concept to produce a hierarchy of concepts. The nature of the relationships is variable (is-a/contains/categorizes) - see hierarchyMeaning.",
          items: {
            $ref: "#/definitions/CodeSystem_Concept"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    CodeSystem_Designation: {
      description: "The CodeSystem resource is used to declare the existence of and describe a code system or code system supplement and its key properties, and optionally define a part or all of its content.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        language: {
          description: "The language this designation is defined for.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        use: {
          description: "A code that details how this designation would be used.",
          $ref: "#/definitions/Coding"
        },
        value: {
          description: "The text value for this designation.",
          $ref: "#/definitions/string"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    CodeSystem_Property1: {
      description: "The CodeSystem resource is used to declare the existence of and describe a code system or code system supplement and its key properties, and optionally define a part or all of its content.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "A code that is a reference to CodeSystem.property.code.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        valueCode: {
          description: "The value of this property.",
          pattern: "^[^\\s]+(\\s[^\\s]+)*$",
          type: "string"
        },
        _valueCode: {
          description: "Extensions for valueCode",
          $ref: "#/definitions/Element"
        },
        valueCoding: {
          description: "The value of this property.",
          $ref: "#/definitions/Coding"
        },
        valueString: {
          description: "The value of this property.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueInteger: {
          description: "The value of this property.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueBoolean: {
          description: "The value of this property.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueDateTime: {
          description: "The value of this property.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _valueDateTime: {
          description: "Extensions for valueDateTime",
          $ref: "#/definitions/Element"
        },
        valueDecimal: {
          description: "The value of this property.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _valueDecimal: {
          description: "Extensions for valueDecimal",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Communication: {
      description: "An occurrence of information being transmitted; e.g. an alert that was sent to a responsible provider, a public health agency that was notified about a reportable condition.",
      properties: {
        resourceType: {
          description: "This is a Communication resource",
          const: "Communication"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this communication by the performer or other systems which remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        instantiatesCanonical: {
          description: "The URL pointing to a FHIR-defined protocol, guideline, orderset or other definition that is adhered to in whole or in part by this Communication.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        instantiatesUri: {
          description: "The URL pointing to an externally maintained protocol, guideline, orderset or other definition that is adhered to in whole or in part by this Communication.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _instantiatesUri: {
          description: "Extensions for instantiatesUri",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        basedOn: {
          description: "An order, proposal or plan fulfilled in whole or in part by this Communication.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        partOf: {
          description: "Part of this action.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        inResponseTo: {
          description: "Prior communication that this communication is in response to.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "The status of the transmission.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusReason: {
          description: "Captures the reason for the current state of the Communication.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "The type of message conveyed such as alert, notification, reminder, instruction, etc.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        priority: {
          description: "Characterizes how quickly the planned or in progress communication must be addressed. Includes concepts such as stat, urgent, routine.",
          $ref: "#/definitions/code"
        },
        _priority: {
          description: "Extensions for priority",
          $ref: "#/definitions/Element"
        },
        medium: {
          description: "A channel that was used for this communication (e.g. email, fax).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        subject: {
          description: "The patient or group that was the focus of this communication.",
          $ref: "#/definitions/Reference"
        },
        topic: {
          description: "Description of the purpose/content, similar to a subject line in an email.",
          $ref: "#/definitions/CodeableConcept"
        },
        about: {
          description: "Other resources that pertain to this communication and to which this communication should be associated.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        encounter: {
          description: "The Encounter during which this Communication was created or to which the creation of this record is tightly associated.",
          $ref: "#/definitions/Reference"
        },
        sent: {
          description: "The time when this communication was sent.",
          $ref: "#/definitions/dateTime"
        },
        _sent: {
          description: "Extensions for sent",
          $ref: "#/definitions/Element"
        },
        received: {
          description: "The time when this communication arrived at the destination.",
          $ref: "#/definitions/dateTime"
        },
        _received: {
          description: "Extensions for received",
          $ref: "#/definitions/Element"
        },
        recipient: {
          description: "The entity (e.g. person, organization, clinical information system, care team or device) which was the target of the communication. If receipts need to be tracked by an individual, a separate resource instance will need to be created for each recipient.  Multiple recipient communications are intended where either receipts are not tracked (e.g. a mass mail-out) or a receipt is captured in aggregate (all emails confirmed received by a particular time).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        sender: {
          description: "The entity (e.g. person, organization, clinical information system, or device) which was the source of the communication.",
          $ref: "#/definitions/Reference"
        },
        reasonCode: {
          description: "The reason or justification for the communication.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Indicates another resource whose existence justifies this communication.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        payload: {
          description: "Text, attachment(s), or resource(s) that was communicated to the recipient.",
          items: {
            $ref: "#/definitions/Communication_Payload"
          },
          type: "array"
        },
        note: {
          description: "Additional notes or commentary about the communication by the sender, receiver or other interested parties.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Communication_Payload: {
      description: "An occurrence of information being transmitted; e.g. an alert that was sent to a responsible provider, a public health agency that was notified about a reportable condition.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        contentString: {
          description: "A communicated content (or for multi-part communications, one portion of the communication).",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _contentString: {
          description: "Extensions for contentString",
          $ref: "#/definitions/Element"
        },
        contentAttachment: {
          description: "A communicated content (or for multi-part communications, one portion of the communication).",
          $ref: "#/definitions/Attachment"
        },
        contentReference: {
          description: "A communicated content (or for multi-part communications, one portion of the communication).",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    CommunicationRequest: {
      description: "A request to convey information; e.g. the CDS system proposes that an alert be sent to a responsible provider, the CDS system proposes that the public health agency be notified about a reportable condition.",
      properties: {
        resourceType: {
          description: "This is a CommunicationRequest resource",
          const: "CommunicationRequest"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this communication request by the performer or other systems which remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        basedOn: {
          description: "A plan or proposal that is fulfilled in whole or in part by this request.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        replaces: {
          description: "Completed or terminated request(s) whose function is taken by this new request.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        groupIdentifier: {
          description: "A shared identifier common to all requests that were authorized more or less simultaneously by a single author, representing the identifier of the requisition, prescription or similar form.",
          $ref: "#/definitions/Identifier"
        },
        status: {
          description: "The status of the proposal or order.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusReason: {
          description: "Captures the reason for the current state of the CommunicationRequest.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "The type of message to be sent such as alert, notification, reminder, instruction, etc.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        priority: {
          description: "Characterizes how quickly the proposed act must be initiated. Includes concepts such as stat, urgent, routine.",
          $ref: "#/definitions/code"
        },
        _priority: {
          description: "Extensions for priority",
          $ref: "#/definitions/Element"
        },
        doNotPerform: {
          description: "If true indicates that the CommunicationRequest is asking for the specified action to *not* occur.",
          $ref: "#/definitions/boolean"
        },
        _doNotPerform: {
          description: "Extensions for doNotPerform",
          $ref: "#/definitions/Element"
        },
        medium: {
          description: "A channel that was used for this communication (e.g. email, fax).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        subject: {
          description: "The patient or group that is the focus of this communication request.",
          $ref: "#/definitions/Reference"
        },
        about: {
          description: "Other resources that pertain to this communication request and to which this communication request should be associated.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        encounter: {
          description: "The Encounter during which this CommunicationRequest was created or to which the creation of this record is tightly associated.",
          $ref: "#/definitions/Reference"
        },
        payload: {
          description: "Text, attachment(s), or resource(s) to be communicated to the recipient.",
          items: {
            $ref: "#/definitions/CommunicationRequest_Payload"
          },
          type: "array"
        },
        occurrenceDateTime: {
          description: "The time when this communication is to occur.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _occurrenceDateTime: {
          description: "Extensions for occurrenceDateTime",
          $ref: "#/definitions/Element"
        },
        occurrencePeriod: {
          description: "The time when this communication is to occur.",
          $ref: "#/definitions/Period"
        },
        authoredOn: {
          description: "For draft requests, indicates the date of initial creation.  For requests with other statuses, indicates the date of activation.",
          $ref: "#/definitions/dateTime"
        },
        _authoredOn: {
          description: "Extensions for authoredOn",
          $ref: "#/definitions/Element"
        },
        requester: {
          description: "The device, individual, or organization who initiated the request and has responsibility for its activation.",
          $ref: "#/definitions/Reference"
        },
        recipient: {
          description: "The entity (e.g. person, organization, clinical information system, device, group, or care team) which is the intended target of the communication.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        sender: {
          description: "The entity (e.g. person, organization, clinical information system, or device) which is to be the source of the communication.",
          $ref: "#/definitions/Reference"
        },
        reasonCode: {
          description: "Describes why the request is being made in coded or textual form.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Indicates another resource whose existence justifies this request.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "Comments made about the request by the requester, sender, recipient, subject or other participants.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    CommunicationRequest_Payload: {
      description: "A request to convey information; e.g. the CDS system proposes that an alert be sent to a responsible provider, the CDS system proposes that the public health agency be notified about a reportable condition.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        contentString: {
          description: "The communicated content (or for multi-part communications, one portion of the communication).",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _contentString: {
          description: "Extensions for contentString",
          $ref: "#/definitions/Element"
        },
        contentAttachment: {
          description: "The communicated content (or for multi-part communications, one portion of the communication).",
          $ref: "#/definitions/Attachment"
        },
        contentReference: {
          description: "The communicated content (or for multi-part communications, one portion of the communication).",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    CompartmentDefinition: {
      description: "A compartment definition that defines how resources are accessed on a server.",
      properties: {
        resourceType: {
          description: "This is a CompartmentDefinition resource",
          const: "CompartmentDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this compartment definition when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this compartment definition is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the compartment definition is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The identifier that is used to identify this version of the compartment definition when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the compartment definition author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the compartment definition. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this compartment definition. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this compartment definition is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the compartment definition was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the compartment definition changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the compartment definition.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the compartment definition from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate compartment definition instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this compartment definition is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "Which compartment this definition describes.",
          enum: ["Patient", "Encounter", "RelatedPerson", "Practitioner", "Device"]
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        search: {
          description: "Whether the search syntax is supported,.",
          $ref: "#/definitions/boolean"
        },
        _search: {
          description: "Extensions for search",
          $ref: "#/definitions/Element"
        },
        resource: {
          description: "Information about how a resource is related to the compartment.",
          items: {
            $ref: "#/definitions/CompartmentDefinition_Resource"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    CompartmentDefinition_Resource: {
      description: "A compartment definition that defines how resources are accessed on a server.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The name of a resource supported by the server.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        param: {
          description: "The name of a search parameter that represents the link to the compartment. More than one may be listed because a resource may be linked to a compartment in more than one way,.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _param: {
          description: "Extensions for param",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        documentation: {
          description: "Additional documentation about the resource and compartment.",
          $ref: "#/definitions/string"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Composition: {
      description: "A set of healthcare-related information that is assembled together into a single logical package that provides a single coherent statement of meaning, establishes its own context and that has clinical attestation with regard to who is making the statement. A Composition defines the structure and narrative content necessary for a document. However, a Composition alone does not constitute a document. Rather, the Composition must be the first entry in a Bundle where Bundle.type=document, and any other resources referenced from Composition must be included as subsequent entries in the Bundle (for example Patient, Practitioner, Encounter, etc.).",
      properties: {
        resourceType: {
          description: "This is a Composition resource",
          const: "Composition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A version-independent identifier for the Composition. This identifier stays constant as the composition is changed over time.",
          $ref: "#/definitions/Identifier"
        },
        status: {
          description: "The workflow/clinical status of this composition. The status is a marker for the clinical standing of the document.",
          enum: ["preliminary", "final", "amended", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Specifies the particular kind of composition (e.g. History and Physical, Discharge Summary, Progress Note). This usually equates to the purpose of making the composition.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "A categorization for the type of the composition - helps for indexing and searching. This may be implied by or derived from the code specified in the Composition Type.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        subject: {
          description: "Who or what the composition is about. The composition can be about a person, (patient or healthcare practitioner), a device (e.g. a machine) or even a group of subjects (such as a document about a herd of livestock, or a set of patients that share a common exposure).",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "Describes the clinical encounter or type of care this documentation is associated with.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The composition editing time, when the composition was last logically changed by the author.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        author: {
          description: "Identifies who is responsible for the information in the composition, not necessarily who typed it in.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        title: {
          description: "Official human-readable label for the composition.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        confidentiality: {
          description: "The code specifying the level of confidentiality of the Composition.",
          $ref: "#/definitions/code"
        },
        _confidentiality: {
          description: "Extensions for confidentiality",
          $ref: "#/definitions/Element"
        },
        attester: {
          description: "A participant who has attested to the accuracy of the composition/document.",
          items: {
            $ref: "#/definitions/Composition_Attester"
          },
          type: "array"
        },
        custodian: {
          description: "Identifies the organization or group who is responsible for ongoing maintenance of and access to the composition/document information.",
          $ref: "#/definitions/Reference"
        },
        relatesTo: {
          description: "Relationships that this composition has with other compositions or documents that already exist.",
          items: {
            $ref: "#/definitions/Composition_RelatesTo"
          },
          type: "array"
        },
        event: {
          description: "The clinical service, such as a colonoscopy or an appendectomy, being documented.",
          items: {
            $ref: "#/definitions/Composition_Event"
          },
          type: "array"
        },
        section: {
          description: "The root of the sections that make up the composition.",
          items: {
            $ref: "#/definitions/Composition_Section"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["author", "type", "resourceType"]
    },
    Composition_Attester: {
      description: "A set of healthcare-related information that is assembled together into a single logical package that provides a single coherent statement of meaning, establishes its own context and that has clinical attestation with regard to who is making the statement. A Composition defines the structure and narrative content necessary for a document. However, a Composition alone does not constitute a document. Rather, the Composition must be the first entry in a Bundle where Bundle.type=document, and any other resources referenced from Composition must be included as subsequent entries in the Bundle (for example Patient, Practitioner, Encounter, etc.).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        mode: {
          description: "The type of attestation the authenticator offers.",
          enum: ["personal", "professional", "legal", "official"]
        },
        _mode: {
          description: "Extensions for mode",
          $ref: "#/definitions/Element"
        },
        time: {
          description: "When the composition was attested by the party.",
          $ref: "#/definitions/dateTime"
        },
        _time: {
          description: "Extensions for time",
          $ref: "#/definitions/Element"
        },
        party: {
          description: "Who attested the composition in the specified way.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    Composition_RelatesTo: {
      description: "A set of healthcare-related information that is assembled together into a single logical package that provides a single coherent statement of meaning, establishes its own context and that has clinical attestation with regard to who is making the statement. A Composition defines the structure and narrative content necessary for a document. However, a Composition alone does not constitute a document. Rather, the Composition must be the first entry in a Bundle where Bundle.type=document, and any other resources referenced from Composition must be included as subsequent entries in the Bundle (for example Patient, Practitioner, Encounter, etc.).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The type of relationship that this composition has with anther composition or document.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        targetIdentifier: {
          description: "The target composition/document of this relationship.",
          $ref: "#/definitions/Identifier"
        },
        targetReference: {
          description: "The target composition/document of this relationship.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    Composition_Event: {
      description: "A set of healthcare-related information that is assembled together into a single logical package that provides a single coherent statement of meaning, establishes its own context and that has clinical attestation with regard to who is making the statement. A Composition defines the structure and narrative content necessary for a document. However, a Composition alone does not constitute a document. Rather, the Composition must be the first entry in a Bundle where Bundle.type=document, and any other resources referenced from Composition must be included as subsequent entries in the Bundle (for example Patient, Practitioner, Encounter, etc.).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: 'This list of codes represents the main clinical acts, such as a colonoscopy or an appendectomy, being documented. In some cases, the event is inherent in the typeCode, such as a "History and Physical Report" in which the procedure being documented is necessarily a "History and Physical" act.',
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        period: {
          description: "The period of time covered by the documentation. There is no assertion that the documentation is a complete representation for this period, only that it documents events during this time.",
          $ref: "#/definitions/Period"
        },
        detail: {
          description: "The description and/or reference of the event(s) being documented. For example, this could be used to document such a colonoscopy or an appendectomy.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Composition_Section: {
      description: "A set of healthcare-related information that is assembled together into a single logical package that provides a single coherent statement of meaning, establishes its own context and that has clinical attestation with regard to who is making the statement. A Composition defines the structure and narrative content necessary for a document. However, a Composition alone does not constitute a document. Rather, the Composition must be the first entry in a Bundle where Bundle.type=document, and any other resources referenced from Composition must be included as subsequent entries in the Bundle (for example Patient, Practitioner, Encounter, etc.).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        title: {
          description: "The label for this particular section.  This will be part of the rendered content for the document, and is often used to build a table of contents.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A code identifying the kind of content contained within the section. This must be consistent with the section title.",
          $ref: "#/definitions/CodeableConcept"
        },
        author: {
          description: "Identifies who is responsible for the information in this section, not necessarily who typed it in.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        focus: {
          description: "The actual focus of the section when it is not the subject of the composition, but instead represents something or someone associated with the subject such as (for a patient subject) a spouse, parent, fetus, or donor. If not focus is specified, the focus is assumed to be focus of the parent section, or, for a section in the Composition itself, the subject of the composition. Sections with a focus SHALL only include resources where the logical subject (patient, subject, focus, etc.) matches the section focus, or the resources have no logical subject (few resources).",
          $ref: "#/definitions/Reference"
        },
        text: {
          description: 'A human-readable narrative that contains the attested content of the section, used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative.',
          $ref: "#/definitions/Narrative"
        },
        mode: {
          description: "How the entry list was prepared - whether it is a working list that is suitable for being maintained on an ongoing basis, or if it represents a snapshot of a list of items from another source, or whether it is a prepared list where items may be marked as added, modified or deleted.",
          $ref: "#/definitions/code"
        },
        _mode: {
          description: "Extensions for mode",
          $ref: "#/definitions/Element"
        },
        orderedBy: {
          description: "Specifies the order applied to the items in the section entries.",
          $ref: "#/definitions/CodeableConcept"
        },
        entry: {
          description: "A reference to the actual resource from which the narrative in the section is derived.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        emptyReason: {
          description: "If the section is empty, why the list is empty. An empty section typically has some text explaining the empty reason.",
          $ref: "#/definitions/CodeableConcept"
        },
        section: {
          description: "A nested sub-section within this section.",
          items: {
            $ref: "#/definitions/Composition_Section"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ConceptMap: {
      description: "A statement of relationships from one set of concepts to one or more other concepts - either concepts in code systems, or data element/data element concepts, or classes in class models.",
      properties: {
        resourceType: {
          description: "This is a ConceptMap resource",
          const: "ConceptMap"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this concept map when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this concept map is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the concept map is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this concept map when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          $ref: "#/definitions/Identifier"
        },
        version: {
          description: "The identifier that is used to identify this version of the concept map when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the concept map author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the concept map. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the concept map.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this concept map. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this concept map is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the concept map was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the concept map changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the concept map.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the concept map from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate concept map instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the concept map is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this concept map is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the concept map and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the concept map.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        sourceUri: {
          description: "Identifier for the source value set that contains the concepts that are being mapped and provides context for the mappings.",
          pattern: "^\\S*$",
          type: "string"
        },
        _sourceUri: {
          description: "Extensions for sourceUri",
          $ref: "#/definitions/Element"
        },
        sourceCanonical: {
          description: "Identifier for the source value set that contains the concepts that are being mapped and provides context for the mappings.",
          pattern: "^\\S*$",
          type: "string"
        },
        _sourceCanonical: {
          description: "Extensions for sourceCanonical",
          $ref: "#/definitions/Element"
        },
        targetUri: {
          description: "The target value set provides context for the mappings. Note that the mapping is made between concepts, not between value sets, but the value set provides important context about how the concept mapping choices are made.",
          pattern: "^\\S*$",
          type: "string"
        },
        _targetUri: {
          description: "Extensions for targetUri",
          $ref: "#/definitions/Element"
        },
        targetCanonical: {
          description: "The target value set provides context for the mappings. Note that the mapping is made between concepts, not between value sets, but the value set provides important context about how the concept mapping choices are made.",
          pattern: "^\\S*$",
          type: "string"
        },
        _targetCanonical: {
          description: "Extensions for targetCanonical",
          $ref: "#/definitions/Element"
        },
        group: {
          description: "A group of mappings that all have the same source and target system.",
          items: {
            $ref: "#/definitions/ConceptMap_Group"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    ConceptMap_Group: {
      description: "A statement of relationships from one set of concepts to one or more other concepts - either concepts in code systems, or data element/data element concepts, or classes in class models.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        source: {
          description: "An absolute URI that identifies the source system where the concepts to be mapped are defined.",
          $ref: "#/definitions/uri"
        },
        _source: {
          description: "Extensions for source",
          $ref: "#/definitions/Element"
        },
        sourceVersion: {
          description: "The specific version of the code system, as determined by the code system authority.",
          $ref: "#/definitions/string"
        },
        _sourceVersion: {
          description: "Extensions for sourceVersion",
          $ref: "#/definitions/Element"
        },
        target: {
          description: "An absolute URI that identifies the target system that the concepts will be mapped to.",
          $ref: "#/definitions/uri"
        },
        _target: {
          description: "Extensions for target",
          $ref: "#/definitions/Element"
        },
        targetVersion: {
          description: "The specific version of the code system, as determined by the code system authority.",
          $ref: "#/definitions/string"
        },
        _targetVersion: {
          description: "Extensions for targetVersion",
          $ref: "#/definitions/Element"
        },
        element: {
          description: "Mappings for an individual concept in the source to one or more concepts in the target.",
          items: {
            $ref: "#/definitions/ConceptMap_Element"
          },
          type: "array"
        },
        unmapped: {
          description: 'What to do when there is no mapping for the source concept. "Unmapped" does not include codes that are unmatched, and the unmapped element is ignored in a code is specified to have equivalence = unmatched.',
          $ref: "#/definitions/ConceptMap_Unmapped"
        }
      },
      additionalProperties: false,
      required: ["element"]
    },
    ConceptMap_Element: {
      description: "A statement of relationships from one set of concepts to one or more other concepts - either concepts in code systems, or data element/data element concepts, or classes in class models.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Identity (code or path) or the element/item being mapped.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        display: {
          description: "The display for the code. The display is only provided to help editors when editing the concept map.",
          $ref: "#/definitions/string"
        },
        _display: {
          description: "Extensions for display",
          $ref: "#/definitions/Element"
        },
        target: {
          description: "A concept from the target value set that this concept maps to.",
          items: {
            $ref: "#/definitions/ConceptMap_Target"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ConceptMap_Target: {
      description: "A statement of relationships from one set of concepts to one or more other concepts - either concepts in code systems, or data element/data element concepts, or classes in class models.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Identity (code or path) or the element/item that the map refers to.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        display: {
          description: "The display for the code. The display is only provided to help editors when editing the concept map.",
          $ref: "#/definitions/string"
        },
        _display: {
          description: "Extensions for display",
          $ref: "#/definitions/Element"
        },
        equivalence: {
          description: "The equivalence between the source and target concepts (counting for the dependencies and products). The equivalence is read from target to source (e.g. the target is 'wider' than the source).",
          enum: [
            "relatedto",
            "equivalent",
            "equal",
            "wider",
            "subsumes",
            "narrower",
            "specializes",
            "inexact",
            "unmatched",
            "disjoint"
          ]
        },
        _equivalence: {
          description: "Extensions for equivalence",
          $ref: "#/definitions/Element"
        },
        comment: {
          description: "A description of status/issues in mapping that conveys additional information not represented in  the structured data.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        },
        dependsOn: {
          description: "A set of additional dependencies for this mapping to hold. This mapping is only applicable if the specified element can be resolved, and it has the specified value.",
          items: {
            $ref: "#/definitions/ConceptMap_DependsOn"
          },
          type: "array"
        },
        product: {
          description: "A set of additional outcomes from this mapping to other elements. To properly execute this mapping, the specified element must be mapped to some data element or source that is in context. The mapping may still be useful without a place for the additional data elements, but the equivalence cannot be relied on.",
          items: {
            $ref: "#/definitions/ConceptMap_DependsOn"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ConceptMap_DependsOn: {
      description: "A statement of relationships from one set of concepts to one or more other concepts - either concepts in code systems, or data element/data element concepts, or classes in class models.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        property: {
          description: "A reference to an element that holds a coded value that corresponds to a code system property. The idea is that the information model carries an element somewhere that is labeled to correspond with a code system property.",
          $ref: "#/definitions/uri"
        },
        _property: {
          description: "Extensions for property",
          $ref: "#/definitions/Element"
        },
        system: {
          description: "An absolute URI that identifies the code system of the dependency code (if the source/dependency is a value set that crosses code systems).",
          $ref: "#/definitions/canonical"
        },
        value: {
          description: "Identity (code or path) or the element/item/ValueSet/text that the map depends on / refers to.",
          $ref: "#/definitions/string"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        display: {
          description: "The display for the code. The display is only provided to help editors when editing the concept map.",
          $ref: "#/definitions/string"
        },
        _display: {
          description: "Extensions for display",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ConceptMap_Unmapped: {
      description: "A statement of relationships from one set of concepts to one or more other concepts - either concepts in code systems, or data element/data element concepts, or classes in class models.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        mode: {
          description: "Defines which action to take if there is no match for the source concept in the target system designated for the group. One of 3 actions are possible: use the unmapped code (this is useful when doing a mapping between versions, and only a few codes have changed), use a fixed code (a default code), or alternatively, a reference to a different concept map can be provided (by canonical URL).",
          enum: ["provided", "fixed", "other-map"]
        },
        _mode: {
          description: "Extensions for mode",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "The fixed code to use when the mode = 'fixed'  - all unmapped codes are mapped to a single fixed code.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        display: {
          description: "The display for the code. The display is only provided to help editors when editing the concept map.",
          $ref: "#/definitions/string"
        },
        _display: {
          description: "Extensions for display",
          $ref: "#/definitions/Element"
        },
        url: {
          description: "The canonical reference to an additional ConceptMap resource instance to use for mapping if this ConceptMap resource contains no matching mapping for the source concept.",
          $ref: "#/definitions/canonical"
        }
      },
      additionalProperties: false
    },
    Condition: {
      description: "A clinical condition, problem, diagnosis, or other event, situation, issue, or clinical concept that has risen to a level of concern.",
      properties: {
        resourceType: {
          description: "This is a Condition resource",
          const: "Condition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this condition by the performer or other systems which remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        clinicalStatus: {
          description: "The clinical status of the condition.",
          $ref: "#/definitions/CodeableConcept"
        },
        verificationStatus: {
          description: "The verification status to support the clinical status of the condition.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "A category assigned to the condition.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        severity: {
          description: "A subjective assessment of the severity of the condition as evaluated by the clinician.",
          $ref: "#/definitions/CodeableConcept"
        },
        code: {
          description: "Identification of the condition, problem or diagnosis.",
          $ref: "#/definitions/CodeableConcept"
        },
        bodySite: {
          description: "The anatomical location where this condition manifests itself.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        subject: {
          description: "Indicates the patient or group who the condition record is associated with.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The Encounter during which this Condition was created or to which the creation of this record is tightly associated.",
          $ref: "#/definitions/Reference"
        },
        onsetDateTime: {
          description: "Estimated or actual date or date-time  the condition began, in the opinion of the clinician.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _onsetDateTime: {
          description: "Extensions for onsetDateTime",
          $ref: "#/definitions/Element"
        },
        onsetAge: {
          description: "Estimated or actual date or date-time  the condition began, in the opinion of the clinician.",
          $ref: "#/definitions/Age"
        },
        onsetPeriod: {
          description: "Estimated or actual date or date-time  the condition began, in the opinion of the clinician.",
          $ref: "#/definitions/Period"
        },
        onsetRange: {
          description: "Estimated or actual date or date-time  the condition began, in the opinion of the clinician.",
          $ref: "#/definitions/Range"
        },
        onsetString: {
          description: "Estimated or actual date or date-time  the condition began, in the opinion of the clinician.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _onsetString: {
          description: "Extensions for onsetString",
          $ref: "#/definitions/Element"
        },
        abatementDateTime: {
          description: 'The date or estimated date that the condition resolved or went into remission. This is called "abatement" because of the many overloaded connotations associated with "remission" or "resolution" - Conditions are never really resolved, but they can abate.',
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _abatementDateTime: {
          description: "Extensions for abatementDateTime",
          $ref: "#/definitions/Element"
        },
        abatementAge: {
          description: 'The date or estimated date that the condition resolved or went into remission. This is called "abatement" because of the many overloaded connotations associated with "remission" or "resolution" - Conditions are never really resolved, but they can abate.',
          $ref: "#/definitions/Age"
        },
        abatementPeriod: {
          description: 'The date or estimated date that the condition resolved or went into remission. This is called "abatement" because of the many overloaded connotations associated with "remission" or "resolution" - Conditions are never really resolved, but they can abate.',
          $ref: "#/definitions/Period"
        },
        abatementRange: {
          description: 'The date or estimated date that the condition resolved or went into remission. This is called "abatement" because of the many overloaded connotations associated with "remission" or "resolution" - Conditions are never really resolved, but they can abate.',
          $ref: "#/definitions/Range"
        },
        abatementString: {
          description: 'The date or estimated date that the condition resolved or went into remission. This is called "abatement" because of the many overloaded connotations associated with "remission" or "resolution" - Conditions are never really resolved, but they can abate.',
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _abatementString: {
          description: "Extensions for abatementString",
          $ref: "#/definitions/Element"
        },
        recordedDate: {
          description: "The recordedDate represents when this particular Condition record was created in the system, which is often a system-generated date.",
          $ref: "#/definitions/dateTime"
        },
        _recordedDate: {
          description: "Extensions for recordedDate",
          $ref: "#/definitions/Element"
        },
        recorder: {
          description: "Individual who recorded the record and takes responsibility for its content.",
          $ref: "#/definitions/Reference"
        },
        asserter: {
          description: "Individual who is making the condition statement.",
          $ref: "#/definitions/Reference"
        },
        stage: {
          description: "Clinical stage or grade of a condition. May include formal severity assessments.",
          items: {
            $ref: "#/definitions/Condition_Stage"
          },
          type: "array"
        },
        evidence: {
          description: "Supporting evidence / manifestations that are the basis of the Condition's verification status, such as evidence that confirmed or refuted the condition.",
          items: {
            $ref: "#/definitions/Condition_Evidence"
          },
          type: "array"
        },
        note: {
          description: "Additional information about the Condition. This is a general notes/comments entry  for description of the Condition, its diagnosis and prognosis.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "resourceType"]
    },
    Condition_Stage: {
      description: "A clinical condition, problem, diagnosis, or other event, situation, issue, or clinical concept that has risen to a level of concern.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        summary: {
          description: 'A simple summary of the stage such as "Stage 3". The determination of the stage is disease-specific.',
          $ref: "#/definitions/CodeableConcept"
        },
        assessment: {
          description: "Reference to a formal record of the evidence on which the staging assessment is based.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        type: {
          description: "The kind of staging, such as pathological or clinical staging.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    Condition_Evidence: {
      description: "A clinical condition, problem, diagnosis, or other event, situation, issue, or clinical concept that has risen to a level of concern.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "A manifestation or symptom that led to the recording of this condition.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        detail: {
          description: "Links to other relevant information, including pathology reports.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Consent: {
      description: "A record of a healthcare consumer\u2019s  choices, which permits or denies identified recipient(s) or recipient role(s) to perform one or more actions within a given policy context, for specific purposes and periods of time.",
      properties: {
        resourceType: {
          description: "This is a Consent resource",
          const: "Consent"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Unique identifier for this copy of the Consent Statement.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "Indicates the current state of this consent.",
          enum: ["draft", "proposed", "active", "rejected", "inactive", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        scope: {
          description: "A selector of the type of consent being presented: ADR, Privacy, Treatment, Research.  This list is now extensible.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "A classification of the type of consents found in the statement. This element supports indexing and retrieval of consent statements.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        patient: {
          description: "The patient/healthcare consumer to whom this consent applies.",
          $ref: "#/definitions/Reference"
        },
        dateTime: {
          description: "When this  Consent was issued / created / indexed.",
          $ref: "#/definitions/dateTime"
        },
        _dateTime: {
          description: "Extensions for dateTime",
          $ref: "#/definitions/Element"
        },
        performer: {
          description: "Either the Grantor, which is the entity responsible for granting the rights listed in a Consent Directive or the Grantee, which is the entity responsible for complying with the Consent Directive, including any obligations or limitations on authorizations and enforcement of prohibitions.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        organization: {
          description: "The organization that manages the consent, and the framework within which it is executed.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        sourceAttachment: {
          description: "The source on which this consent statement is based. The source might be a scanned original paper form, or a reference to a consent that links back to such a source, a reference to a document repository (e.g. XDS) that stores the original consent document.",
          $ref: "#/definitions/Attachment"
        },
        sourceReference: {
          description: "The source on which this consent statement is based. The source might be a scanned original paper form, or a reference to a consent that links back to such a source, a reference to a document repository (e.g. XDS) that stores the original consent document.",
          $ref: "#/definitions/Reference"
        },
        policy: {
          description: "The references to the policies that are included in this consent scope. Policies may be organizational, but are often defined jurisdictionally, or in law.",
          items: {
            $ref: "#/definitions/Consent_Policy"
          },
          type: "array"
        },
        policyRule: {
          description: "A reference to the specific base computable regulation or policy.",
          $ref: "#/definitions/CodeableConcept"
        },
        verification: {
          description: "Whether a treatment instruction (e.g. artificial respiration yes or no) was verified with the patient, his/her family or another authorized person.",
          items: {
            $ref: "#/definitions/Consent_Verification"
          },
          type: "array"
        },
        provision: {
          description: "An exception to the base policy of this consent. An exception can be an addition or removal of access permissions.",
          $ref: "#/definitions/Consent_Provision"
        }
      },
      additionalProperties: false,
      required: ["scope", "category", "resourceType"]
    },
    Consent_Policy: {
      description: "A record of a healthcare consumer\u2019s  choices, which permits or denies identified recipient(s) or recipient role(s) to perform one or more actions within a given policy context, for specific purposes and periods of time.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        authority: {
          description: "Entity or Organization having regulatory jurisdiction or accountability for  enforcing policies pertaining to Consent Directives.",
          $ref: "#/definitions/uri"
        },
        _authority: {
          description: "Extensions for authority",
          $ref: "#/definitions/Element"
        },
        uri: {
          description: "The references to the policies that are included in this consent scope. Policies may be organizational, but are often defined jurisdictionally, or in law.",
          $ref: "#/definitions/uri"
        },
        _uri: {
          description: "Extensions for uri",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Consent_Verification: {
      description: "A record of a healthcare consumer\u2019s  choices, which permits or denies identified recipient(s) or recipient role(s) to perform one or more actions within a given policy context, for specific purposes and periods of time.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        verified: {
          description: "Has the instruction been verified.",
          $ref: "#/definitions/boolean"
        },
        _verified: {
          description: "Extensions for verified",
          $ref: "#/definitions/Element"
        },
        verifiedWith: {
          description: "Who verified the instruction (Patient, Relative or other Authorized Person).",
          $ref: "#/definitions/Reference"
        },
        verificationDate: {
          description: "Date verification was collected.",
          $ref: "#/definitions/dateTime"
        },
        _verificationDate: {
          description: "Extensions for verificationDate",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Consent_Provision: {
      description: "A record of a healthcare consumer\u2019s  choices, which permits or denies identified recipient(s) or recipient role(s) to perform one or more actions within a given policy context, for specific purposes and periods of time.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Action  to take - permit or deny - when the rule conditions are met.  Not permitted in root rule, required in all nested rules.",
          enum: ["deny", "permit"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "The timeframe in this rule is valid.",
          $ref: "#/definitions/Period"
        },
        actor: {
          description: "Who or what is controlled by this rule. Use group to identify a set of actors by some property they share (e.g. 'admitting officers').",
          items: {
            $ref: "#/definitions/Consent_Actor"
          },
          type: "array"
        },
        action: {
          description: "Actions controlled by this Rule.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        securityLabel: {
          description: "A security label, comprised of 0..* security label fields (Privacy tags), which define which resources are controlled by this exception.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        purpose: {
          description: "The context of the activities a user is taking - why the user is accessing the data - that are controlled by this rule.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        class: {
          description: "The class of information covered by this rule. The type can be a FHIR resource type, a profile on a type, or a CDA document, or some other type that indicates what sort of information the consent relates to.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        code: {
          description: "If this code is found in an instance, then the rule applies.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        dataPeriod: {
          description: "Clinical or Operational Relevant period of time that bounds the data controlled by this rule.",
          $ref: "#/definitions/Period"
        },
        data: {
          description: "The resources controlled by this rule if specific resources are referenced.",
          items: {
            $ref: "#/definitions/Consent_Data"
          },
          type: "array"
        },
        provision: {
          description: "Rules which provide exceptions to the base rule or subrules.",
          items: {
            $ref: "#/definitions/Consent_Provision"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Consent_Actor: {
      description: "A record of a healthcare consumer\u2019s  choices, which permits or denies identified recipient(s) or recipient role(s) to perform one or more actions within a given policy context, for specific purposes and periods of time.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        role: {
          description: "How the individual is involved in the resources content that is described in the exception.",
          $ref: "#/definitions/CodeableConcept"
        },
        reference: {
          description: "The resource that identifies the actor. To identify actors by type, use group to identify a set of actors by some property they share (e.g. 'admitting officers').",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["reference", "role"]
    },
    Consent_Data: {
      description: "A record of a healthcare consumer\u2019s  choices, which permits or denies identified recipient(s) or recipient role(s) to perform one or more actions within a given policy context, for specific purposes and periods of time.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        meaning: {
          description: "How the resource reference is interpreted when testing consent restrictions.",
          enum: ["instance", "related", "dependents", "authoredby"]
        },
        _meaning: {
          description: "Extensions for meaning",
          $ref: "#/definitions/Element"
        },
        reference: {
          description: "A reference to a specific resource that defines which resources are covered by this consent.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["reference"]
    },
    Contract: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        resourceType: {
          description: "This is a Contract resource",
          const: "Contract"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Unique identifier for this Contract or a derivative that references a Source Contract.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        url: {
          description: "Canonical identifier for this contract, represented as a URI (globally unique).",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "An edition identifier used for business purposes to label business significant variants.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of the resource instance.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        legalState: {
          description: "Legal states of the formation of a legal instrument, which is a formally executed written document that can be formally attributed to its author, records and formally expresses a legally enforceable act, process, or contractual duty, obligation, or right, and therefore evidences that act, process, or agreement.",
          $ref: "#/definitions/CodeableConcept"
        },
        instantiatesCanonical: {
          description: "The URL pointing to a FHIR-defined Contract Definition that is adhered to in whole or part by this Contract.",
          $ref: "#/definitions/Reference"
        },
        instantiatesUri: {
          description: "The URL pointing to an externally maintained definition that is adhered to in whole or in part by this Contract.",
          $ref: "#/definitions/uri"
        },
        _instantiatesUri: {
          description: "Extensions for instantiatesUri",
          $ref: "#/definitions/Element"
        },
        contentDerivative: {
          description: "The minimal content derived from the basal information source at a specific stage in its lifecycle.",
          $ref: "#/definitions/CodeableConcept"
        },
        issued: {
          description: "When this  Contract was issued.",
          $ref: "#/definitions/dateTime"
        },
        _issued: {
          description: "Extensions for issued",
          $ref: "#/definitions/Element"
        },
        applies: {
          description: "Relevant time or time-period when this Contract is applicable.",
          $ref: "#/definitions/Period"
        },
        expirationType: {
          description: "Event resulting in discontinuation or termination of this Contract instance by one or more parties to the contract.",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "The target entity impacted by or of interest to parties to the agreement.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        authority: {
          description: "A formally or informally recognized grouping of people, principals, organizations, or jurisdictions formed for the purpose of achieving some form of collective action such as the promulgation, administration and enforcement of contracts and policies.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        domain: {
          description: "Recognized governance framework or system operating with a circumscribed scope in accordance with specified principles, policies, processes or procedures for managing rights, actions, or behaviors of parties or principals relative to resources.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        site: {
          description: "Sites in which the contract is complied with,  exercised, or in force.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        name: {
          description: "A natural language name identifying this Contract definition, derivative, or instance in any legal state. Provides additional information about its content. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for this Contract definition, derivative, or instance in any legal state.t giving additional information about its content.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        subtitle: {
          description: "An explanatory or alternate user-friendly title for this Contract definition, derivative, or instance in any legal state.t giving additional information about its content.",
          $ref: "#/definitions/string"
        },
        _subtitle: {
          description: "Extensions for subtitle",
          $ref: "#/definitions/Element"
        },
        alias: {
          description: "Alternative representation of the title for this Contract definition, derivative, or instance in any legal state., e.g., a domain specific contract number related to legislation.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _alias: {
          description: "Extensions for alias",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        author: {
          description: "The individual or organization that authored the Contract definition, derivative, or instance in any legal state.",
          $ref: "#/definitions/Reference"
        },
        scope: {
          description: "A selector of legal concerns for this Contract definition, derivative, or instance in any legal state.",
          $ref: "#/definitions/CodeableConcept"
        },
        topicCodeableConcept: {
          description: "Narrows the range of legal concerns to focus on the achievement of specific contractual objectives.",
          $ref: "#/definitions/CodeableConcept"
        },
        topicReference: {
          description: "Narrows the range of legal concerns to focus on the achievement of specific contractual objectives.",
          $ref: "#/definitions/Reference"
        },
        type: {
          description: "A high-level category for the legal instrument, whether constructed as a Contract definition, derivative, or instance in any legal state.  Provides additional information about its content within the context of the Contract's scope to distinguish the kinds of systems that would be interested in the contract.",
          $ref: "#/definitions/CodeableConcept"
        },
        subType: {
          description: "Sub-category for the Contract that distinguishes the kinds of systems that would be interested in the Contract within the context of the Contract's scope.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        contentDefinition: {
          description: "Precusory content developed with a focus and intent of supporting the formation a Contract instance, which may be associated with and transformable into a Contract.",
          $ref: "#/definitions/Contract_ContentDefinition"
        },
        term: {
          description: "One or more Contract Provisions, which may be related and conveyed as a group, and may contain nested groups.",
          items: {
            $ref: "#/definitions/Contract_Term"
          },
          type: "array"
        },
        supportingInfo: {
          description: "Information that may be needed by/relevant to the performer in their execution of this term action.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        relevantHistory: {
          description: "Links to Provenance records for past versions of this Contract definition, derivative, or instance, which identify key state transitions or updates that are likely to be relevant to a user looking at the current version of the Contract.  The Provence.entity indicates the target that was changed in the update. http://build.fhir.org/provenance-definitions.html#Provenance.entity.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        signer: {
          description: "Parties with legal standing in the Contract, including the principal parties, the grantor(s) and grantee(s), which are any person or organization bound by the contract, and any ancillary parties, which facilitate the execution of the contract such as a notary or witness.",
          items: {
            $ref: "#/definitions/Contract_Signer"
          },
          type: "array"
        },
        friendly: {
          description: 'The "patient friendly language" versionof the Contract in whole or in parts. "Patient friendly language" means the representation of the Contract and Contract Provisions in a manner that is readily accessible and understandable by a layperson in accordance with best practices for communication styles that ensure that those agreeing to or signing the Contract understand the roles, actions, obligations, responsibilities, and implication of the agreement.',
          items: {
            $ref: "#/definitions/Contract_Friendly"
          },
          type: "array"
        },
        legal: {
          description: "List of Legal expressions or representations of this Contract.",
          items: {
            $ref: "#/definitions/Contract_Legal"
          },
          type: "array"
        },
        rule: {
          description: "List of Computable Policy Rule Language Representations of this Contract.",
          items: {
            $ref: "#/definitions/Contract_Rule"
          },
          type: "array"
        },
        legallyBindingAttachment: {
          description: 'Legally binding Contract: This is the signed and legally recognized representation of the Contract, which is considered the "source of truth" and which would be the basis for legal action related to enforcement of this Contract.',
          $ref: "#/definitions/Attachment"
        },
        legallyBindingReference: {
          description: 'Legally binding Contract: This is the signed and legally recognized representation of the Contract, which is considered the "source of truth" and which would be the basis for legal action related to enforcement of this Contract.',
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Contract_ContentDefinition: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Precusory content structure and use, i.e., a boilerplate, template, application for a contract such as an insurance policy or benefits under a program, e.g., workers compensation.",
          $ref: "#/definitions/CodeableConcept"
        },
        subType: {
          description: "Detailed Precusory content type.",
          $ref: "#/definitions/CodeableConcept"
        },
        publisher: {
          description: "The  individual or organization that published the Contract precursor content.",
          $ref: "#/definitions/Reference"
        },
        publicationDate: {
          description: "The date (and optionally time) when the contract was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the contract changes.",
          $ref: "#/definitions/dateTime"
        },
        _publicationDate: {
          description: "Extensions for publicationDate",
          $ref: "#/definitions/Element"
        },
        publicationStatus: {
          description: "amended | appended | cancelled | disputed | entered-in-error | executable | executed | negotiable | offered | policy | rejected | renewed | revoked | resolved | terminated.",
          $ref: "#/definitions/code"
        },
        _publicationStatus: {
          description: "Extensions for publicationStatus",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to Contract precursor content. Copyright statements are generally legal restrictions on the use and publishing of the Contract precursor content.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    Contract_Term: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Unique identifier for this particular Contract Provision.",
          $ref: "#/definitions/Identifier"
        },
        issued: {
          description: "When this Contract Provision was issued.",
          $ref: "#/definitions/dateTime"
        },
        _issued: {
          description: "Extensions for issued",
          $ref: "#/definitions/Element"
        },
        applies: {
          description: "Relevant time or time-period when this Contract Provision is applicable.",
          $ref: "#/definitions/Period"
        },
        topicCodeableConcept: {
          description: "The entity that the term applies to.",
          $ref: "#/definitions/CodeableConcept"
        },
        topicReference: {
          description: "The entity that the term applies to.",
          $ref: "#/definitions/Reference"
        },
        type: {
          description: "A legal clause or condition contained within a contract that requires one or both parties to perform a particular requirement by some specified time or prevents one or both parties from performing a particular requirement by some specified time.",
          $ref: "#/definitions/CodeableConcept"
        },
        subType: {
          description: "A specialized legal clause or condition based on overarching contract type.",
          $ref: "#/definitions/CodeableConcept"
        },
        text: {
          description: "Statement of a provision in a policy or a contract.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        },
        securityLabel: {
          description: "Security labels that protect the handling of information about the term and its elements, which may be specifically identified..",
          items: {
            $ref: "#/definitions/Contract_SecurityLabel"
          },
          type: "array"
        },
        offer: {
          description: "The matter of concern in the context of this provision of the agrement.",
          $ref: "#/definitions/Contract_Offer"
        },
        asset: {
          description: "Contract Term Asset List.",
          items: {
            $ref: "#/definitions/Contract_Asset"
          },
          type: "array"
        },
        action: {
          description: "An actor taking a role in an activity for which it can be assigned some degree of responsibility for the activity taking place.",
          items: {
            $ref: "#/definitions/Contract_Action"
          },
          type: "array"
        },
        group: {
          description: "Nested group of Contract Provisions.",
          items: {
            $ref: "#/definitions/Contract_Term"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["offer"]
    },
    Contract_SecurityLabel: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        number: {
          description: "Number used to link this term or term element to the applicable Security Label.",
          items: {
            $ref: "#/definitions/unsignedInt"
          },
          type: "array"
        },
        _number: {
          description: "Extensions for number",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        classification: {
          description: "Security label privacy tag that species the level of confidentiality protection required for this term and/or term elements.",
          $ref: "#/definitions/Coding"
        },
        category: {
          description: "Security label privacy tag that species the applicable privacy and security policies governing this term and/or term elements.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        control: {
          description: "Security label privacy tag that species the manner in which term and/or term elements are to be protected.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["classification"]
    },
    Contract_Offer: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Unique identifier for this particular Contract Provision.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        party: {
          description: "Offer Recipient.",
          items: {
            $ref: "#/definitions/Contract_Party"
          },
          type: "array"
        },
        topic: {
          description: "The owner of an asset has the residual control rights over the asset: the right to decide all usages of the asset in any way not inconsistent with a prior contract, custom, or law (Hart, 1995, p. 30).",
          $ref: "#/definitions/Reference"
        },
        type: {
          description: "Type of Contract Provision such as specific requirements, purposes for actions, obligations, prohibitions, e.g. life time maximum benefit.",
          $ref: "#/definitions/CodeableConcept"
        },
        decision: {
          description: "Type of choice made by accepting party with respect to an offer made by an offeror/ grantee.",
          $ref: "#/definitions/CodeableConcept"
        },
        decisionMode: {
          description: "How the decision about a Contract was conveyed.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        answer: {
          description: "Response to offer text.",
          items: {
            $ref: "#/definitions/Contract_Answer"
          },
          type: "array"
        },
        text: {
          description: "Human readable form of this Contract Offer.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        },
        linkId: {
          description: "The id of the clause or question text of the offer in the referenced questionnaire/response.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _linkId: {
          description: "Extensions for linkId",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        securityLabelNumber: {
          description: "Security labels that protects the offer.",
          items: {
            $ref: "#/definitions/unsignedInt"
          },
          type: "array"
        },
        _securityLabelNumber: {
          description: "Extensions for securityLabelNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Contract_Party: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        reference: {
          description: "Participant in the offer.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        role: {
          description: "How the party participates in the offer.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["reference", "role"]
    },
    Contract_Answer: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        valueBoolean: {
          description: "Response to an offer clause or question text,  which enables selection of values to be agreed to, e.g., the period of participation, the date of occupancy of a rental, warrently duration, or whether biospecimen may be used for further research.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueDecimal: {
          description: "Response to an offer clause or question text,  which enables selection of values to be agreed to, e.g., the period of participation, the date of occupancy of a rental, warrently duration, or whether biospecimen may be used for further research.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _valueDecimal: {
          description: "Extensions for valueDecimal",
          $ref: "#/definitions/Element"
        },
        valueInteger: {
          description: "Response to an offer clause or question text,  which enables selection of values to be agreed to, e.g., the period of participation, the date of occupancy of a rental, warrently duration, or whether biospecimen may be used for further research.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueDate: {
          description: "Response to an offer clause or question text,  which enables selection of values to be agreed to, e.g., the period of participation, the date of occupancy of a rental, warrently duration, or whether biospecimen may be used for further research.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _valueDate: {
          description: "Extensions for valueDate",
          $ref: "#/definitions/Element"
        },
        valueDateTime: {
          description: "Response to an offer clause or question text,  which enables selection of values to be agreed to, e.g., the period of participation, the date of occupancy of a rental, warrently duration, or whether biospecimen may be used for further research.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _valueDateTime: {
          description: "Extensions for valueDateTime",
          $ref: "#/definitions/Element"
        },
        valueTime: {
          description: "Response to an offer clause or question text,  which enables selection of values to be agreed to, e.g., the period of participation, the date of occupancy of a rental, warrently duration, or whether biospecimen may be used for further research.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _valueTime: {
          description: "Extensions for valueTime",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "Response to an offer clause or question text,  which enables selection of values to be agreed to, e.g., the period of participation, the date of occupancy of a rental, warrently duration, or whether biospecimen may be used for further research.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueUri: {
          description: "Response to an offer clause or question text,  which enables selection of values to be agreed to, e.g., the period of participation, the date of occupancy of a rental, warrently duration, or whether biospecimen may be used for further research.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUri: {
          description: "Extensions for valueUri",
          $ref: "#/definitions/Element"
        },
        valueAttachment: {
          description: "Response to an offer clause or question text,  which enables selection of values to be agreed to, e.g., the period of participation, the date of occupancy of a rental, warrently duration, or whether biospecimen may be used for further research.",
          $ref: "#/definitions/Attachment"
        },
        valueCoding: {
          description: "Response to an offer clause or question text,  which enables selection of values to be agreed to, e.g., the period of participation, the date of occupancy of a rental, warrently duration, or whether biospecimen may be used for further research.",
          $ref: "#/definitions/Coding"
        },
        valueQuantity: {
          description: "Response to an offer clause or question text,  which enables selection of values to be agreed to, e.g., the period of participation, the date of occupancy of a rental, warrently duration, or whether biospecimen may be used for further research.",
          $ref: "#/definitions/Quantity"
        },
        valueReference: {
          description: "Response to an offer clause or question text,  which enables selection of values to be agreed to, e.g., the period of participation, the date of occupancy of a rental, warrently duration, or whether biospecimen may be used for further research.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    Contract_Asset: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        scope: {
          description: "Differentiates the kind of the asset .",
          $ref: "#/definitions/CodeableConcept"
        },
        type: {
          description: "Target entity type about which the term may be concerned.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        typeReference: {
          description: "Associated entities.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        subtype: {
          description: "May be a subtype or part of an offered asset.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        relationship: {
          description: "Specifies the applicability of the term to an asset resource instance, and instances it refers to orinstances that refer to it, and/or are owned by the offeree.",
          $ref: "#/definitions/Coding"
        },
        context: {
          description: "Circumstance of the asset.",
          items: {
            $ref: "#/definitions/Contract_Context"
          },
          type: "array"
        },
        condition: {
          description: "Description of the quality and completeness of the asset that imay be a factor in its valuation.",
          $ref: "#/definitions/string"
        },
        _condition: {
          description: "Extensions for condition",
          $ref: "#/definitions/Element"
        },
        periodType: {
          description: "Type of Asset availability for use or ownership.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        period: {
          description: "Asset relevant contractual time period.",
          items: {
            $ref: "#/definitions/Period"
          },
          type: "array"
        },
        usePeriod: {
          description: "Time period of asset use.",
          items: {
            $ref: "#/definitions/Period"
          },
          type: "array"
        },
        text: {
          description: "Clause or question text (Prose Object) concerning the asset in a linked form, such as a QuestionnaireResponse used in the formation of the contract.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        },
        linkId: {
          description: "Id [identifier??] of the clause or question text about the asset in the referenced form or QuestionnaireResponse.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _linkId: {
          description: "Extensions for linkId",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        answer: {
          description: "Response to assets.",
          items: {
            $ref: "#/definitions/Contract_Answer"
          },
          type: "array"
        },
        securityLabelNumber: {
          description: "Security labels that protects the asset.",
          items: {
            $ref: "#/definitions/unsignedInt"
          },
          type: "array"
        },
        _securityLabelNumber: {
          description: "Extensions for securityLabelNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        valuedItem: {
          description: "Contract Valued Item List.",
          items: {
            $ref: "#/definitions/Contract_ValuedItem"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Contract_Context: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        reference: {
          description: "Asset context reference may include the creator, custodian, or owning Person or Organization (e.g., bank, repository),  location held, e.g., building,  jurisdiction.",
          $ref: "#/definitions/Reference"
        },
        code: {
          description: "Coded representation of the context generally or of the Referenced entity, such as the asset holder type or location.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        text: {
          description: "Context description.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Contract_ValuedItem: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        entityCodeableConcept: {
          description: "Specific type of Contract Valued Item that may be priced.",
          $ref: "#/definitions/CodeableConcept"
        },
        entityReference: {
          description: "Specific type of Contract Valued Item that may be priced.",
          $ref: "#/definitions/Reference"
        },
        identifier: {
          description: "Identifies a Contract Valued Item instance.",
          $ref: "#/definitions/Identifier"
        },
        effectiveTime: {
          description: "Indicates the time during which this Contract ValuedItem information is effective.",
          $ref: "#/definitions/dateTime"
        },
        _effectiveTime: {
          description: "Extensions for effectiveTime",
          $ref: "#/definitions/Element"
        },
        quantity: {
          description: "Specifies the units by which the Contract Valued Item is measured or counted, and quantifies the countable or measurable Contract Valued Item instances.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "A Contract Valued Item unit valuation measure.",
          $ref: "#/definitions/Money"
        },
        factor: {
          description: "A real number that represents a multiplier used in determining the overall value of the Contract Valued Item delivered. The concept of a Factor allows for a discount or surcharge multiplier to be applied to a monetary amount.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        points: {
          description: "An amount that expresses the weighting (based on difficulty, cost and/or resource intensiveness) associated with the Contract Valued Item delivered. The concept of Points allows for assignment of point values for a Contract Valued Item, such that a monetary amount can be assigned to each point.",
          $ref: "#/definitions/decimal"
        },
        _points: {
          description: "Extensions for points",
          $ref: "#/definitions/Element"
        },
        net: {
          description: "Expresses the product of the Contract Valued Item unitQuantity and the unitPriceAmt. For example, the formula: unit Quantity * unit Price (Cost per Point) * factor Number  * points = net Amount. Quantity, factor and points are assumed to be 1 if not supplied.",
          $ref: "#/definitions/Money"
        },
        payment: {
          description: "Terms of valuation.",
          $ref: "#/definitions/string"
        },
        _payment: {
          description: "Extensions for payment",
          $ref: "#/definitions/Element"
        },
        paymentDate: {
          description: "When payment is due.",
          $ref: "#/definitions/dateTime"
        },
        _paymentDate: {
          description: "Extensions for paymentDate",
          $ref: "#/definitions/Element"
        },
        responsible: {
          description: "Who will make payment.",
          $ref: "#/definitions/Reference"
        },
        recipient: {
          description: "Who will receive payment.",
          $ref: "#/definitions/Reference"
        },
        linkId: {
          description: "Id  of the clause or question text related to the context of this valuedItem in the referenced form or QuestionnaireResponse.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _linkId: {
          description: "Extensions for linkId",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        securityLabelNumber: {
          description: "A set of security labels that define which terms are controlled by this condition.",
          items: {
            $ref: "#/definitions/unsignedInt"
          },
          type: "array"
        },
        _securityLabelNumber: {
          description: "Extensions for securityLabelNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Contract_Action: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        doNotPerform: {
          description: "True if the term prohibits the  action.",
          $ref: "#/definitions/boolean"
        },
        _doNotPerform: {
          description: "Extensions for doNotPerform",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Activity or service obligation to be done or not done, performed or not performed, effectuated or not by this Contract term.",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "Entity of the action.",
          items: {
            $ref: "#/definitions/Contract_Subject"
          },
          type: "array"
        },
        intent: {
          description: "Reason or purpose for the action stipulated by this Contract Provision.",
          $ref: "#/definitions/CodeableConcept"
        },
        linkId: {
          description: "Id [identifier??] of the clause or question text related to this action in the referenced form or QuestionnaireResponse.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _linkId: {
          description: "Extensions for linkId",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        status: {
          description: "Current state of the term action.",
          $ref: "#/definitions/CodeableConcept"
        },
        context: {
          description: "Encounter or Episode with primary association to specified term activity.",
          $ref: "#/definitions/Reference"
        },
        contextLinkId: {
          description: "Id [identifier??] of the clause or question text related to the requester of this action in the referenced form or QuestionnaireResponse.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _contextLinkId: {
          description: "Extensions for contextLinkId",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        occurrenceDateTime: {
          description: "When action happens.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _occurrenceDateTime: {
          description: "Extensions for occurrenceDateTime",
          $ref: "#/definitions/Element"
        },
        occurrencePeriod: {
          description: "When action happens.",
          $ref: "#/definitions/Period"
        },
        occurrenceTiming: {
          description: "When action happens.",
          $ref: "#/definitions/Timing"
        },
        requester: {
          description: "Who or what initiated the action and has responsibility for its activation.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        requesterLinkId: {
          description: "Id [identifier??] of the clause or question text related to the requester of this action in the referenced form or QuestionnaireResponse.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _requesterLinkId: {
          description: "Extensions for requesterLinkId",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        performerType: {
          description: "The type of individual that is desired or required to perform or not perform the action.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        performerRole: {
          description: "The type of role or competency of an individual desired or required to perform or not perform the action.",
          $ref: "#/definitions/CodeableConcept"
        },
        performer: {
          description: "Indicates who or what is being asked to perform (or not perform) the ction.",
          $ref: "#/definitions/Reference"
        },
        performerLinkId: {
          description: "Id [identifier??] of the clause or question text related to the reason type or reference of this  action in the referenced form or QuestionnaireResponse.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _performerLinkId: {
          description: "Extensions for performerLinkId",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        reasonCode: {
          description: "Rationale for the action to be performed or not performed. Describes why the action is permitted or prohibited.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Indicates another resource whose existence justifies permitting or not permitting this action.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        reason: {
          description: "Describes why the action is to be performed or not performed in textual form.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _reason: {
          description: "Extensions for reason",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        reasonLinkId: {
          description: "Id [identifier??] of the clause or question text related to the reason type or reference of this  action in the referenced form or QuestionnaireResponse.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _reasonLinkId: {
          description: "Extensions for reasonLinkId",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        note: {
          description: "Comments made about the term action made by the requester, performer, subject or other participants.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        securityLabelNumber: {
          description: "Security labels that protects the action.",
          items: {
            $ref: "#/definitions/unsignedInt"
          },
          type: "array"
        },
        _securityLabelNumber: {
          description: "Extensions for securityLabelNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["type", "intent", "status"]
    },
    Contract_Subject: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        reference: {
          description: "The entity the action is performed or not performed on or for.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        role: {
          description: "Role type of agent assigned roles in this Contract.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["reference"]
    },
    Contract_Signer: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Role of this Contract signer, e.g. notary, grantee.",
          $ref: "#/definitions/Coding"
        },
        party: {
          description: "Party which is a signator to this Contract.",
          $ref: "#/definitions/Reference"
        },
        signature: {
          description: "Legally binding Contract DSIG signature contents in Base64.",
          items: {
            $ref: "#/definitions/Signature"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["signature", "type", "party"]
    },
    Contract_Friendly: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        contentAttachment: {
          description: "Human readable rendering of this Contract in a format and representation intended to enhance comprehension and ensure understandability.",
          $ref: "#/definitions/Attachment"
        },
        contentReference: {
          description: "Human readable rendering of this Contract in a format and representation intended to enhance comprehension and ensure understandability.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    Contract_Legal: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        contentAttachment: {
          description: "Contract legal text in human renderable form.",
          $ref: "#/definitions/Attachment"
        },
        contentReference: {
          description: "Contract legal text in human renderable form.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    Contract_Rule: {
      description: "Legally enforceable, formally recorded unilateral or bilateral directive i.e., a policy or agreement.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        contentAttachment: {
          description: "Computable Contract conveyed using a policy rule language (e.g. XACML, DKAL, SecPal).",
          $ref: "#/definitions/Attachment"
        },
        contentReference: {
          description: "Computable Contract conveyed using a policy rule language (e.g. XACML, DKAL, SecPal).",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    Coverage: {
      description: "Financial instrument which may be used to reimburse or pay for health care products and services. Includes both insurance and self-payment.",
      properties: {
        resourceType: {
          description: "This is a Coverage resource",
          const: "Coverage"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier assigned to this coverage.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status of the resource instance.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The type of coverage: social program, medical plan, accident coverage (workers compensation, auto), group health or payment by an individual or organization.",
          $ref: "#/definitions/CodeableConcept"
        },
        policyHolder: {
          description: "The party who 'owns' the insurance policy.",
          $ref: "#/definitions/Reference"
        },
        subscriber: {
          description: "The party who has signed-up for or 'owns' the contractual relationship to the policy or to whom the benefit of the policy for services rendered to them or their family is due.",
          $ref: "#/definitions/Reference"
        },
        subscriberId: {
          description: "The insurer assigned ID for the Subscriber.",
          $ref: "#/definitions/string"
        },
        _subscriberId: {
          description: "Extensions for subscriberId",
          $ref: "#/definitions/Element"
        },
        beneficiary: {
          description: "The party who benefits from the insurance coverage; the patient when products and/or services are provided.",
          $ref: "#/definitions/Reference"
        },
        dependent: {
          description: "A unique identifier for a dependent under the coverage.",
          $ref: "#/definitions/string"
        },
        _dependent: {
          description: "Extensions for dependent",
          $ref: "#/definitions/Element"
        },
        relationship: {
          description: "The relationship of beneficiary (patient) to the subscriber.",
          $ref: "#/definitions/CodeableConcept"
        },
        period: {
          description: "Time period during which the coverage is in force. A missing start date indicates the start date isn't known, a missing end date means the coverage is continuing to be in force.",
          $ref: "#/definitions/Period"
        },
        payor: {
          description: "The program or plan underwriter or payor including both insurance and non-insurance agreements, such as patient-pay agreements.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        class: {
          description: "A suite of underwriter specific classifiers.",
          items: {
            $ref: "#/definitions/Coverage_Class"
          },
          type: "array"
        },
        order: {
          description: "The order of applicability of this coverage relative to other coverages which are currently in force. Note, there may be gaps in the numbering and this does not imply primary, secondary etc. as the specific positioning of coverages depends upon the episode of care.",
          $ref: "#/definitions/positiveInt"
        },
        _order: {
          description: "Extensions for order",
          $ref: "#/definitions/Element"
        },
        network: {
          description: "The insurer-specific identifier for the insurer-defined network of providers to which the beneficiary may seek treatment which will be covered at the 'in-network' rate, otherwise 'out of network' terms and conditions apply.",
          $ref: "#/definitions/string"
        },
        _network: {
          description: "Extensions for network",
          $ref: "#/definitions/Element"
        },
        costToBeneficiary: {
          description: "A suite of codes indicating the cost category and associated amount which have been detailed in the policy and may have been  included on the health card.",
          items: {
            $ref: "#/definitions/Coverage_CostToBeneficiary"
          },
          type: "array"
        },
        subrogation: {
          description: "When 'subrogation=true' this insurance instance has been included not for adjudication but to provide insurers with the details to recover costs.",
          $ref: "#/definitions/boolean"
        },
        _subrogation: {
          description: "Extensions for subrogation",
          $ref: "#/definitions/Element"
        },
        contract: {
          description: "The policy(s) which constitute this insurance coverage.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["payor", "beneficiary", "resourceType"]
    },
    Coverage_Class: {
      description: "Financial instrument which may be used to reimburse or pay for health care products and services. Includes both insurance and self-payment.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of classification for which an insurer-specific class label or number and optional name is provided, for example may be used to identify a class of coverage or employer group, Policy, Plan.",
          $ref: "#/definitions/CodeableConcept"
        },
        value: {
          description: "The alphanumeric string value associated with the insurer issued label.",
          $ref: "#/definitions/string"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A short description for the class.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    Coverage_CostToBeneficiary: {
      description: "Financial instrument which may be used to reimburse or pay for health care products and services. Includes both insurance and self-payment.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The category of patient centric costs associated with treatment.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueQuantity: {
          description: "The amount due from the patient for the cost category.",
          $ref: "#/definitions/Quantity"
        },
        valueMoney: {
          description: "The amount due from the patient for the cost category.",
          $ref: "#/definitions/Money"
        },
        exception: {
          description: "A suite of codes indicating exceptions or reductions to patient costs and their effective periods.",
          items: {
            $ref: "#/definitions/Coverage_Exception"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Coverage_Exception: {
      description: "Financial instrument which may be used to reimburse or pay for health care products and services. Includes both insurance and self-payment.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The code for the specific exception.",
          $ref: "#/definitions/CodeableConcept"
        },
        period: {
          description: "The timeframe during when the exception is in force.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    CoverageEligibilityRequest: {
      description: "The CoverageEligibilityRequest provides patient and insurance coverage information to an insurer for them to respond, in the form of an CoverageEligibilityResponse, with information regarding whether the stated coverage is valid and in-force and optionally to provide the insurance details of the policy.",
      properties: {
        resourceType: {
          description: "This is a CoverageEligibilityRequest resource",
          const: "CoverageEligibilityRequest"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier assigned to this coverage eligiblity request.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status of the resource instance.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        priority: {
          description: "When the requestor expects the processor to complete processing.",
          $ref: "#/definitions/CodeableConcept"
        },
        purpose: {
          description: "Code to specify whether requesting: prior authorization requirements for some service categories or billing codes; benefits for coverages specified or discovered; discovery and return of coverages for the patient; and/or validation that the specified coverage is in-force at the date/period specified or 'now' if not specified.",
          items: {
            enum: ["auth-requirements", "benefits", "discovery", "validation"]
          },
          type: "array"
        },
        _purpose: {
          description: "Extensions for purpose",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        patient: {
          description: "The party who is the beneficiary of the supplied coverage and for whom eligibility is sought.",
          $ref: "#/definitions/Reference"
        },
        servicedDate: {
          description: "The date or dates when the enclosed suite of services were performed or completed.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _servicedDate: {
          description: "Extensions for servicedDate",
          $ref: "#/definitions/Element"
        },
        servicedPeriod: {
          description: "The date or dates when the enclosed suite of services were performed or completed.",
          $ref: "#/definitions/Period"
        },
        created: {
          description: "The date when this resource was created.",
          $ref: "#/definitions/dateTime"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        enterer: {
          description: "Person who created the request.",
          $ref: "#/definitions/Reference"
        },
        provider: {
          description: "The provider which is responsible for the request.",
          $ref: "#/definitions/Reference"
        },
        insurer: {
          description: "The Insurer who issued the coverage in question and is the recipient of the request.",
          $ref: "#/definitions/Reference"
        },
        facility: {
          description: "Facility where the services are intended to be provided.",
          $ref: "#/definitions/Reference"
        },
        supportingInfo: {
          description: "Additional information codes regarding exceptions, special considerations, the condition, situation, prior or concurrent issues.",
          items: {
            $ref: "#/definitions/CoverageEligibilityRequest_SupportingInfo"
          },
          type: "array"
        },
        insurance: {
          description: "Financial instruments for reimbursement for the health care products and services.",
          items: {
            $ref: "#/definitions/CoverageEligibilityRequest_Insurance"
          },
          type: "array"
        },
        item: {
          description: "Service categories or billable services for which benefit details and/or an authorization prior to service delivery may be required by the payor.",
          items: {
            $ref: "#/definitions/CoverageEligibilityRequest_Item"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["patient", "insurer", "resourceType"]
    },
    CoverageEligibilityRequest_SupportingInfo: {
      description: "The CoverageEligibilityRequest provides patient and insurance coverage information to an insurer for them to respond, in the form of an CoverageEligibilityResponse, with information regarding whether the stated coverage is valid and in-force and optionally to provide the insurance details of the policy.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify supporting information entries.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        information: {
          description: "Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data.",
          $ref: "#/definitions/Reference"
        },
        appliesToAll: {
          description: "The supporting materials are applicable for all detail items, product/servce categories and specific billing codes.",
          $ref: "#/definitions/boolean"
        },
        _appliesToAll: {
          description: "Extensions for appliesToAll",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["information"]
    },
    CoverageEligibilityRequest_Insurance: {
      description: "The CoverageEligibilityRequest provides patient and insurance coverage information to an insurer for them to respond, in the form of an CoverageEligibilityResponse, with information regarding whether the stated coverage is valid and in-force and optionally to provide the insurance details of the policy.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        focal: {
          description: "A flag to indicate that this Coverage is to be used for evaluation of this request when set to true.",
          $ref: "#/definitions/boolean"
        },
        _focal: {
          description: "Extensions for focal",
          $ref: "#/definitions/Element"
        },
        coverage: {
          description: "Reference to the insurance card level information contained in the Coverage resource. The coverage issuing insurer will use these details to locate the patient's actual coverage within the insurer's information system.",
          $ref: "#/definitions/Reference"
        },
        businessArrangement: {
          description: "A business agreement number established between the provider and the insurer for special business processing purposes.",
          $ref: "#/definitions/string"
        },
        _businessArrangement: {
          description: "Extensions for businessArrangement",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["coverage"]
    },
    CoverageEligibilityRequest_Item: {
      description: "The CoverageEligibilityRequest provides patient and insurance coverage information to an insurer for them to respond, in the form of an CoverageEligibilityResponse, with information regarding whether the stated coverage is valid and in-force and optionally to provide the insurance details of the policy.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        supportingInfoSequence: {
          description: "Exceptions, special conditions and supporting information applicable for this service or product line.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _supportingInfoSequence: {
          description: "Extensions for supportingInfoSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        category: {
          description: "Code to identify the general type of benefits under which products and services are provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        productOrService: {
          description: "This contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        provider: {
          description: "The practitioner who is responsible for the product or service to be rendered to the patient.",
          $ref: "#/definitions/Reference"
        },
        quantity: {
          description: "The number of repetitions of a service or product.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "The amount charged to the patient by the provider for a single unit.",
          $ref: "#/definitions/Money"
        },
        facility: {
          description: "Facility where the services will be provided.",
          $ref: "#/definitions/Reference"
        },
        diagnosis: {
          description: "Patient diagnosis for which care is sought.",
          items: {
            $ref: "#/definitions/CoverageEligibilityRequest_Diagnosis"
          },
          type: "array"
        },
        detail: {
          description: "The plan/proposal/order describing the proposed service in detail.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    CoverageEligibilityRequest_Diagnosis: {
      description: "The CoverageEligibilityRequest provides patient and insurance coverage information to an insurer for them to respond, in the form of an CoverageEligibilityResponse, with information regarding whether the stated coverage is valid and in-force and optionally to provide the insurance details of the policy.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        diagnosisCodeableConcept: {
          description: "The nature of illness or problem in a coded form or as a reference to an external defined Condition.",
          $ref: "#/definitions/CodeableConcept"
        },
        diagnosisReference: {
          description: "The nature of illness or problem in a coded form or as a reference to an external defined Condition.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    CoverageEligibilityResponse: {
      description: "This resource provides eligibility and plan details from the processing of an CoverageEligibilityRequest resource.",
      properties: {
        resourceType: {
          description: "This is a CoverageEligibilityResponse resource",
          const: "CoverageEligibilityResponse"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier assigned to this coverage eligiblity request.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status of the resource instance.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        purpose: {
          description: "Code to specify whether requesting: prior authorization requirements for some service categories or billing codes; benefits for coverages specified or discovered; discovery and return of coverages for the patient; and/or validation that the specified coverage is in-force at the date/period specified or 'now' if not specified.",
          items: {
            enum: ["auth-requirements", "benefits", "discovery", "validation"]
          },
          type: "array"
        },
        _purpose: {
          description: "Extensions for purpose",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        patient: {
          description: "The party who is the beneficiary of the supplied coverage and for whom eligibility is sought.",
          $ref: "#/definitions/Reference"
        },
        servicedDate: {
          description: "The date or dates when the enclosed suite of services were performed or completed.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _servicedDate: {
          description: "Extensions for servicedDate",
          $ref: "#/definitions/Element"
        },
        servicedPeriod: {
          description: "The date or dates when the enclosed suite of services were performed or completed.",
          $ref: "#/definitions/Period"
        },
        created: {
          description: "The date this resource was created.",
          $ref: "#/definitions/dateTime"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        requestor: {
          description: "The provider which is responsible for the request.",
          $ref: "#/definitions/Reference"
        },
        request: {
          description: "Reference to the original request resource.",
          $ref: "#/definitions/Reference"
        },
        outcome: {
          description: "The outcome of the request processing.",
          enum: ["queued", "complete", "error", "partial"]
        },
        _outcome: {
          description: "Extensions for outcome",
          $ref: "#/definitions/Element"
        },
        disposition: {
          description: "A human readable description of the status of the adjudication.",
          $ref: "#/definitions/string"
        },
        _disposition: {
          description: "Extensions for disposition",
          $ref: "#/definitions/Element"
        },
        insurer: {
          description: "The Insurer who issued the coverage in question and is the author of the response.",
          $ref: "#/definitions/Reference"
        },
        insurance: {
          description: "Financial instruments for reimbursement for the health care products and services.",
          items: {
            $ref: "#/definitions/CoverageEligibilityResponse_Insurance"
          },
          type: "array"
        },
        preAuthRef: {
          description: "A reference from the Insurer to which these services pertain to be used on further communication and as proof that the request occurred.",
          $ref: "#/definitions/string"
        },
        _preAuthRef: {
          description: "Extensions for preAuthRef",
          $ref: "#/definitions/Element"
        },
        form: {
          description: "A code for the form to be used for printing the content.",
          $ref: "#/definitions/CodeableConcept"
        },
        error: {
          description: "Errors encountered during the processing of the request.",
          items: {
            $ref: "#/definitions/CoverageEligibilityResponse_Error"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["request", "patient", "insurer", "resourceType"]
    },
    CoverageEligibilityResponse_Insurance: {
      description: "This resource provides eligibility and plan details from the processing of an CoverageEligibilityRequest resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        coverage: {
          description: "Reference to the insurance card level information contained in the Coverage resource. The coverage issuing insurer will use these details to locate the patient's actual coverage within the insurer's information system.",
          $ref: "#/definitions/Reference"
        },
        inforce: {
          description: "Flag indicating if the coverage provided is inforce currently if no service date(s) specified or for the whole duration of the service dates.",
          $ref: "#/definitions/boolean"
        },
        _inforce: {
          description: "Extensions for inforce",
          $ref: "#/definitions/Element"
        },
        benefitPeriod: {
          description: "The term of the benefits documented in this response.",
          $ref: "#/definitions/Period"
        },
        item: {
          description: "Benefits and optionally current balances, and authorization details by category or service.",
          items: {
            $ref: "#/definitions/CoverageEligibilityResponse_Item"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["coverage"]
    },
    CoverageEligibilityResponse_Item: {
      description: "This resource provides eligibility and plan details from the processing of an CoverageEligibilityRequest resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        category: {
          description: "Code to identify the general type of benefits under which products and services are provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        productOrService: {
          description: "This contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        provider: {
          description: "The practitioner who is eligible for the provision of the product or service.",
          $ref: "#/definitions/Reference"
        },
        excluded: {
          description: "True if the indicated class of service is excluded from the plan, missing or False indicates the product or service is included in the coverage.",
          $ref: "#/definitions/boolean"
        },
        _excluded: {
          description: "Extensions for excluded",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A short name or tag for the benefit.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A richer description of the benefit or services covered.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        network: {
          description: "Is a flag to indicate whether the benefits refer to in-network providers or out-of-network providers.",
          $ref: "#/definitions/CodeableConcept"
        },
        unit: {
          description: "Indicates if the benefits apply to an individual or to the family.",
          $ref: "#/definitions/CodeableConcept"
        },
        term: {
          description: "The term or period of the values such as 'maximum lifetime benefit' or 'maximum annual visits'.",
          $ref: "#/definitions/CodeableConcept"
        },
        benefit: {
          description: "Benefits used to date.",
          items: {
            $ref: "#/definitions/CoverageEligibilityResponse_Benefit"
          },
          type: "array"
        },
        authorizationRequired: {
          description: "A boolean flag indicating whether a preauthorization is required prior to actual service delivery.",
          $ref: "#/definitions/boolean"
        },
        _authorizationRequired: {
          description: "Extensions for authorizationRequired",
          $ref: "#/definitions/Element"
        },
        authorizationSupporting: {
          description: "Codes or comments regarding information or actions associated with the preauthorization.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        authorizationUrl: {
          description: "A web location for obtaining requirements or descriptive information regarding the preauthorization.",
          $ref: "#/definitions/uri"
        },
        _authorizationUrl: {
          description: "Extensions for authorizationUrl",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    CoverageEligibilityResponse_Benefit: {
      description: "This resource provides eligibility and plan details from the processing of an CoverageEligibilityRequest resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Classification of benefit being provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        allowedUnsignedInt: {
          description: "The quantity of the benefit which is permitted under the coverage.",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _allowedUnsignedInt: {
          description: "Extensions for allowedUnsignedInt",
          $ref: "#/definitions/Element"
        },
        allowedString: {
          description: "The quantity of the benefit which is permitted under the coverage.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _allowedString: {
          description: "Extensions for allowedString",
          $ref: "#/definitions/Element"
        },
        allowedMoney: {
          description: "The quantity of the benefit which is permitted under the coverage.",
          $ref: "#/definitions/Money"
        },
        usedUnsignedInt: {
          description: "The quantity of the benefit which have been consumed to date.",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _usedUnsignedInt: {
          description: "Extensions for usedUnsignedInt",
          $ref: "#/definitions/Element"
        },
        usedString: {
          description: "The quantity of the benefit which have been consumed to date.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _usedString: {
          description: "Extensions for usedString",
          $ref: "#/definitions/Element"
        },
        usedMoney: {
          description: "The quantity of the benefit which have been consumed to date.",
          $ref: "#/definitions/Money"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    CoverageEligibilityResponse_Error: {
      description: "This resource provides eligibility and plan details from the processing of an CoverageEligibilityRequest resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "An error code,from a specified code system, which details why the eligibility check could not be performed.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["code"]
    },
    DetectedIssue: {
      description: "Indicates an actual or potential clinical issue with or between one or more active or proposed clinical actions for a patient; e.g. Drug-drug interaction, Ineffective treatment frequency, Procedure-condition conflict, etc.",
      properties: {
        resourceType: {
          description: "This is a DetectedIssue resource",
          const: "DetectedIssue"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifier associated with the detected issue record.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "Indicates the status of the detected issue.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "Identifies the general type of issue identified.",
          $ref: "#/definitions/CodeableConcept"
        },
        severity: {
          description: "Indicates the degree of importance associated with the identified issue based on the potential impact on the patient.",
          enum: ["high", "moderate", "low"]
        },
        _severity: {
          description: "Extensions for severity",
          $ref: "#/definitions/Element"
        },
        patient: {
          description: "Indicates the patient whose record the detected issue is associated with.",
          $ref: "#/definitions/Reference"
        },
        identifiedDateTime: {
          description: "The date or period when the detected issue was initially identified.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _identifiedDateTime: {
          description: "Extensions for identifiedDateTime",
          $ref: "#/definitions/Element"
        },
        identifiedPeriod: {
          description: "The date or period when the detected issue was initially identified.",
          $ref: "#/definitions/Period"
        },
        author: {
          description: "Individual or device responsible for the issue being raised.  For example, a decision support application or a pharmacist conducting a medication review.",
          $ref: "#/definitions/Reference"
        },
        implicated: {
          description: "Indicates the resource representing the current activity or proposed activity that is potentially problematic.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        evidence: {
          description: "Supporting evidence or manifestations that provide the basis for identifying the detected issue such as a GuidanceResponse or MeasureReport.",
          items: {
            $ref: "#/definitions/DetectedIssue_Evidence"
          },
          type: "array"
        },
        detail: {
          description: "A textual explanation of the detected issue.",
          $ref: "#/definitions/string"
        },
        _detail: {
          description: "Extensions for detail",
          $ref: "#/definitions/Element"
        },
        reference: {
          description: "The literature, knowledge-base or similar reference that describes the propensity for the detected issue identified.",
          $ref: "#/definitions/uri"
        },
        _reference: {
          description: "Extensions for reference",
          $ref: "#/definitions/Element"
        },
        mitigation: {
          description: "Indicates an action that has been taken or is committed to reduce or eliminate the likelihood of the risk identified by the detected issue from manifesting.  Can also reflect an observation of known mitigating factors that may reduce/eliminate the need for any action.",
          items: {
            $ref: "#/definitions/DetectedIssue_Mitigation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    DetectedIssue_Evidence: {
      description: "Indicates an actual or potential clinical issue with or between one or more active or proposed clinical actions for a patient; e.g. Drug-drug interaction, Ineffective treatment frequency, Procedure-condition conflict, etc.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "A manifestation that led to the recording of this detected issue.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        detail: {
          description: "Links to resources that constitute evidence for the detected issue such as a GuidanceResponse or MeasureReport.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    DetectedIssue_Mitigation: {
      description: "Indicates an actual or potential clinical issue with or between one or more active or proposed clinical actions for a patient; e.g. Drug-drug interaction, Ineffective treatment frequency, Procedure-condition conflict, etc.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        action: {
          description: "Describes the action that was taken or the observation that was made that reduces/eliminates the risk associated with the identified issue.",
          $ref: "#/definitions/CodeableConcept"
        },
        date: {
          description: "Indicates when the mitigating action was documented.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        author: {
          description: "Identifies the practitioner who determined the mitigation and takes responsibility for the mitigation step occurring.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["action"]
    },
    Device: {
      description: "A type of a manufactured item that is used in the provision of healthcare without being substantially changed through that activity. The device may be a medical or non-medical device.",
      properties: {
        resourceType: {
          description: "This is a Device resource",
          const: "Device"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Unique instance identifiers assigned to a device by manufacturers other organizations or owners.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        definition: {
          description: "The reference to the definition for the device.",
          $ref: "#/definitions/Reference"
        },
        udiCarrier: {
          description: "Unique device identifier (UDI) assigned to device label or package.  Note that the Device may include multiple udiCarriers as it either may include just the udiCarrier for the jurisdiction it is sold, or for multiple jurisdictions it could have been sold.",
          items: {
            $ref: "#/definitions/Device_UdiCarrier"
          },
          type: "array"
        },
        status: {
          description: "Status of the Device availability.",
          enum: ["active", "inactive", "entered-in-error", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusReason: {
          description: "Reason for the dtatus of the Device availability.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        distinctIdentifier: {
          description: "The distinct identification string as required by regulation for a human cell, tissue, or cellular and tissue-based product.",
          $ref: "#/definitions/string"
        },
        _distinctIdentifier: {
          description: "Extensions for distinctIdentifier",
          $ref: "#/definitions/Element"
        },
        manufacturer: {
          description: "A name of the manufacturer.",
          $ref: "#/definitions/string"
        },
        _manufacturer: {
          description: "Extensions for manufacturer",
          $ref: "#/definitions/Element"
        },
        manufactureDate: {
          description: "The date and time when the device was manufactured.",
          $ref: "#/definitions/dateTime"
        },
        _manufactureDate: {
          description: "Extensions for manufactureDate",
          $ref: "#/definitions/Element"
        },
        expirationDate: {
          description: "The date and time beyond which this device is no longer valid or should not be used (if applicable).",
          $ref: "#/definitions/dateTime"
        },
        _expirationDate: {
          description: "Extensions for expirationDate",
          $ref: "#/definitions/Element"
        },
        lotNumber: {
          description: "Lot number assigned by the manufacturer.",
          $ref: "#/definitions/string"
        },
        _lotNumber: {
          description: "Extensions for lotNumber",
          $ref: "#/definitions/Element"
        },
        serialNumber: {
          description: "The serial number assigned by the organization when the device was manufactured.",
          $ref: "#/definitions/string"
        },
        _serialNumber: {
          description: "Extensions for serialNumber",
          $ref: "#/definitions/Element"
        },
        deviceName: {
          description: "This represents the manufacturer's name of the device as provided by the device, from a UDI label, or by a person describing the Device.  This typically would be used when a person provides the name(s) or when the device represents one of the names available from DeviceDefinition.",
          items: {
            $ref: "#/definitions/Device_DeviceName"
          },
          type: "array"
        },
        modelNumber: {
          description: "The model number for the device.",
          $ref: "#/definitions/string"
        },
        _modelNumber: {
          description: "Extensions for modelNumber",
          $ref: "#/definitions/Element"
        },
        partNumber: {
          description: "The part number of the device.",
          $ref: "#/definitions/string"
        },
        _partNumber: {
          description: "Extensions for partNumber",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The kind or type of device.",
          $ref: "#/definitions/CodeableConcept"
        },
        specialization: {
          description: "The capabilities supported on a  device, the standards to which the device conforms for a particular purpose, and used for the communication.",
          items: {
            $ref: "#/definitions/Device_Specialization"
          },
          type: "array"
        },
        version: {
          description: "The actual design of the device or software version running on the device.",
          items: {
            $ref: "#/definitions/Device_Version"
          },
          type: "array"
        },
        property: {
          description: "The actual configuration settings of a device as it actually operates, e.g., regulation status, time properties.",
          items: {
            $ref: "#/definitions/Device_Property"
          },
          type: "array"
        },
        patient: {
          description: "Patient information, If the device is affixed to a person.",
          $ref: "#/definitions/Reference"
        },
        owner: {
          description: "An organization that is responsible for the provision and ongoing maintenance of the device.",
          $ref: "#/definitions/Reference"
        },
        contact: {
          description: "Contact details for an organization or a particular human that is responsible for the device.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        location: {
          description: "The place where the device can be found.",
          $ref: "#/definitions/Reference"
        },
        url: {
          description: "A network address on which the device may be contacted directly.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        note: {
          description: "Descriptive information, usage information or implantation information that is not captured in an existing element.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        safety: {
          description: "Provides additional safety characteristics about a medical device.  For example devices containing latex.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        parent: {
          description: "The parent device.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Device_UdiCarrier: {
      description: "A type of a manufactured item that is used in the provision of healthcare without being substantially changed through that activity. The device may be a medical or non-medical device.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        deviceIdentifier: {
          description: "The device identifier (DI) is a mandatory, fixed portion of a UDI that identifies the labeler and the specific version or model of a device.",
          $ref: "#/definitions/string"
        },
        _deviceIdentifier: {
          description: "Extensions for deviceIdentifier",
          $ref: "#/definitions/Element"
        },
        issuer: {
          description: "Organization that is charged with issuing UDIs for devices.  For example, the US FDA issuers include :\n1) GS1: \nhttp://hl7.org/fhir/NamingSystem/gs1-di, \n2) HIBCC:\nhttp://hl7.org/fhir/NamingSystem/hibcc-dI, \n3) ICCBBA for blood containers:\nhttp://hl7.org/fhir/NamingSystem/iccbba-blood-di, \n4) ICCBA for other devices:\nhttp://hl7.org/fhir/NamingSystem/iccbba-other-di.",
          $ref: "#/definitions/uri"
        },
        _issuer: {
          description: "Extensions for issuer",
          $ref: "#/definitions/Element"
        },
        jurisdiction: {
          description: "The identity of the authoritative source for UDI generation within a  jurisdiction.  All UDIs are globally unique within a single namespace with the appropriate repository uri as the system.  For example,  UDIs of devices managed in the U.S. by the FDA, the value is  http://hl7.org/fhir/NamingSystem/fda-udi.",
          $ref: "#/definitions/uri"
        },
        _jurisdiction: {
          description: "Extensions for jurisdiction",
          $ref: "#/definitions/Element"
        },
        carrierAIDC: {
          description: "The full UDI carrier of the Automatic Identification and Data Capture (AIDC) technology representation of the barcode string as printed on the packaging of the device - e.g., a barcode or RFID.   Because of limitations on character sets in XML and the need to round-trip JSON data through XML, AIDC Formats *SHALL* be base64 encoded.",
          $ref: "#/definitions/base64Binary"
        },
        _carrierAIDC: {
          description: "Extensions for carrierAIDC",
          $ref: "#/definitions/Element"
        },
        carrierHRF: {
          description: "The full UDI carrier as the human readable form (HRF) representation of the barcode string as printed on the packaging of the device.",
          $ref: "#/definitions/string"
        },
        _carrierHRF: {
          description: "Extensions for carrierHRF",
          $ref: "#/definitions/Element"
        },
        entryType: {
          description: "A coded entry to indicate how the data was entered.",
          enum: ["barcode", "rfid", "manual", "card", "self-reported", "unknown"]
        },
        _entryType: {
          description: "Extensions for entryType",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Device_DeviceName: {
      description: "A type of a manufactured item that is used in the provision of healthcare without being substantially changed through that activity. The device may be a medical or non-medical device.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "The name of the device.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The type of deviceName.\nUDILabelName | UserFriendlyName | PatientReportedName | ManufactureDeviceName | ModelName.",
          enum: [
            "udi-label-name",
            "user-friendly-name",
            "patient-reported-name",
            "manufacturer-name",
            "model-name",
            "other"
          ]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Device_Specialization: {
      description: "A type of a manufactured item that is used in the provision of healthcare without being substantially changed through that activity. The device may be a medical or non-medical device.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        systemType: {
          description: "The standard that is used to operate and communicate.",
          $ref: "#/definitions/CodeableConcept"
        },
        version: {
          description: "The version of the standard that is used to operate and communicate.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["systemType"]
    },
    Device_Version: {
      description: "A type of a manufactured item that is used in the provision of healthcare without being substantially changed through that activity. The device may be a medical or non-medical device.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of the device version.",
          $ref: "#/definitions/CodeableConcept"
        },
        component: {
          description: "A single component of the device version.",
          $ref: "#/definitions/Identifier"
        },
        value: {
          description: "The version text.",
          $ref: "#/definitions/string"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Device_Property: {
      description: "A type of a manufactured item that is used in the provision of healthcare without being substantially changed through that activity. The device may be a medical or non-medical device.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Code that specifies the property DeviceDefinitionPropetyCode (Extensible).",
          $ref: "#/definitions/CodeableConcept"
        },
        valueQuantity: {
          description: "Property value as a quantity.",
          items: {
            $ref: "#/definitions/Quantity"
          },
          type: "array"
        },
        valueCode: {
          description: "Property value as a code, e.g., NTP4 (synced to NTP).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    DeviceDefinition: {
      description: "The characteristics, operational status and capabilities of a medical-related component of a medical device.",
      properties: {
        resourceType: {
          description: "This is a DeviceDefinition resource",
          const: "DeviceDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Unique instance identifiers assigned to a device by the software, manufacturers, other organizations or owners. For example: handle ID.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        udiDeviceIdentifier: {
          description: "Unique device identifier (UDI) assigned to device label or package.  Note that the Device may include multiple udiCarriers as it either may include just the udiCarrier for the jurisdiction it is sold, or for multiple jurisdictions it could have been sold.",
          items: {
            $ref: "#/definitions/DeviceDefinition_UdiDeviceIdentifier"
          },
          type: "array"
        },
        manufacturerString: {
          description: "A name of the manufacturer.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _manufacturerString: {
          description: "Extensions for manufacturerString",
          $ref: "#/definitions/Element"
        },
        manufacturerReference: {
          description: "A name of the manufacturer.",
          $ref: "#/definitions/Reference"
        },
        deviceName: {
          description: "A name given to the device to identify it.",
          items: {
            $ref: "#/definitions/DeviceDefinition_DeviceName"
          },
          type: "array"
        },
        modelNumber: {
          description: "The model number for the device.",
          $ref: "#/definitions/string"
        },
        _modelNumber: {
          description: "Extensions for modelNumber",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "What kind of device or device system this is.",
          $ref: "#/definitions/CodeableConcept"
        },
        specialization: {
          description: "The capabilities supported on a  device, the standards to which the device conforms for a particular purpose, and used for the communication.",
          items: {
            $ref: "#/definitions/DeviceDefinition_Specialization"
          },
          type: "array"
        },
        version: {
          description: "The available versions of the device, e.g., software versions.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _version: {
          description: "Extensions for version",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        safety: {
          description: "Safety characteristics of the device.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        shelfLifeStorage: {
          description: "Shelf Life and storage information.",
          items: {
            $ref: "#/definitions/ProductShelfLife"
          },
          type: "array"
        },
        physicalCharacteristics: {
          description: "Dimensions, color etc.",
          $ref: "#/definitions/ProdCharacteristic"
        },
        languageCode: {
          description: "Language code for the human-readable text strings produced by the device (all supported).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        capability: {
          description: "Device capabilities.",
          items: {
            $ref: "#/definitions/DeviceDefinition_Capability"
          },
          type: "array"
        },
        property: {
          description: "The actual configuration settings of a device as it actually operates, e.g., regulation status, time properties.",
          items: {
            $ref: "#/definitions/DeviceDefinition_Property"
          },
          type: "array"
        },
        owner: {
          description: "An organization that is responsible for the provision and ongoing maintenance of the device.",
          $ref: "#/definitions/Reference"
        },
        contact: {
          description: "Contact details for an organization or a particular human that is responsible for the device.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        url: {
          description: "A network address on which the device may be contacted directly.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        onlineInformation: {
          description: "Access to on-line information about the device.",
          $ref: "#/definitions/uri"
        },
        _onlineInformation: {
          description: "Extensions for onlineInformation",
          $ref: "#/definitions/Element"
        },
        note: {
          description: "Descriptive information, usage information or implantation information that is not captured in an existing element.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        quantity: {
          description: "The quantity of the device present in the packaging (e.g. the number of devices present in a pack, or the number of devices in the same package of the medicinal product).",
          $ref: "#/definitions/Quantity"
        },
        parentDevice: {
          description: "The parent device it can be part of.",
          $ref: "#/definitions/Reference"
        },
        material: {
          description: "A substance used to create the material(s) of which the device is made.",
          items: {
            $ref: "#/definitions/DeviceDefinition_Material"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    DeviceDefinition_UdiDeviceIdentifier: {
      description: "The characteristics, operational status and capabilities of a medical-related component of a medical device.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        deviceIdentifier: {
          description: "The identifier that is to be associated with every Device that references this DeviceDefintiion for the issuer and jurisdication porvided in the DeviceDefinition.udiDeviceIdentifier.",
          $ref: "#/definitions/string"
        },
        _deviceIdentifier: {
          description: "Extensions for deviceIdentifier",
          $ref: "#/definitions/Element"
        },
        issuer: {
          description: "The organization that assigns the identifier algorithm.",
          $ref: "#/definitions/uri"
        },
        _issuer: {
          description: "Extensions for issuer",
          $ref: "#/definitions/Element"
        },
        jurisdiction: {
          description: "The jurisdiction to which the deviceIdentifier applies.",
          $ref: "#/definitions/uri"
        },
        _jurisdiction: {
          description: "Extensions for jurisdiction",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    DeviceDefinition_DeviceName: {
      description: "The characteristics, operational status and capabilities of a medical-related component of a medical device.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "The name of the device.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The type of deviceName.\nUDILabelName | UserFriendlyName | PatientReportedName | ManufactureDeviceName | ModelName.",
          enum: [
            "udi-label-name",
            "user-friendly-name",
            "patient-reported-name",
            "manufacturer-name",
            "model-name",
            "other"
          ]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    DeviceDefinition_Specialization: {
      description: "The characteristics, operational status and capabilities of a medical-related component of a medical device.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        systemType: {
          description: "The standard that is used to operate and communicate.",
          $ref: "#/definitions/string"
        },
        _systemType: {
          description: "Extensions for systemType",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The version of the standard that is used to operate and communicate.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    DeviceDefinition_Capability: {
      description: "The characteristics, operational status and capabilities of a medical-related component of a medical device.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Type of capability.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: "Description of capability.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    DeviceDefinition_Property: {
      description: "The characteristics, operational status and capabilities of a medical-related component of a medical device.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Code that specifies the property DeviceDefinitionPropetyCode (Extensible).",
          $ref: "#/definitions/CodeableConcept"
        },
        valueQuantity: {
          description: "Property value as a quantity.",
          items: {
            $ref: "#/definitions/Quantity"
          },
          type: "array"
        },
        valueCode: {
          description: "Property value as a code, e.g., NTP4 (synced to NTP).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    DeviceDefinition_Material: {
      description: "The characteristics, operational status and capabilities of a medical-related component of a medical device.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        substance: {
          description: "The substance.",
          $ref: "#/definitions/CodeableConcept"
        },
        alternate: {
          description: "Indicates an alternative material of the device.",
          $ref: "#/definitions/boolean"
        },
        _alternate: {
          description: "Extensions for alternate",
          $ref: "#/definitions/Element"
        },
        allergenicIndicator: {
          description: "Whether the substance is a known or suspected allergen.",
          $ref: "#/definitions/boolean"
        },
        _allergenicIndicator: {
          description: "Extensions for allergenicIndicator",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["substance"]
    },
    DeviceMetric: {
      description: "Describes a measurement, calculation or setting capability of a medical device.",
      properties: {
        resourceType: {
          description: "This is a DeviceMetric resource",
          const: "DeviceMetric"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Unique instance identifiers assigned to a device by the device or gateway software, manufacturers, other organizations or owners. For example: handle ID.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        type: {
          description: "Describes the type of the metric. For example: Heart Rate, PEEP Setting, etc.",
          $ref: "#/definitions/CodeableConcept"
        },
        unit: {
          description: "Describes the unit that an observed value determined for this metric will have. For example: Percent, Seconds, etc.",
          $ref: "#/definitions/CodeableConcept"
        },
        source: {
          description: "Describes the link to the  Device that this DeviceMetric belongs to and that contains administrative device information such as manufacturer, serial number, etc.",
          $ref: "#/definitions/Reference"
        },
        parent: {
          description: "Describes the link to the  Device that this DeviceMetric belongs to and that provide information about the location of this DeviceMetric in the containment structure of the parent Device. An example would be a Device that represents a Channel. This reference can be used by a client application to distinguish DeviceMetrics that have the same type, but should be interpreted based on their containment location.",
          $ref: "#/definitions/Reference"
        },
        operationalStatus: {
          description: "Indicates current operational state of the device. For example: On, Off, Standby, etc.",
          enum: ["on", "off", "standby", "entered-in-error"]
        },
        _operationalStatus: {
          description: "Extensions for operationalStatus",
          $ref: "#/definitions/Element"
        },
        color: {
          description: "Describes the color representation for the metric. This is often used to aid clinicians to track and identify parameter types by color. In practice, consider a Patient Monitor that has ECG/HR and Pleth for example; the parameters are displayed in different characteristic colors, such as HR-blue, BP-green, and PR and SpO2- magenta.",
          enum: ["black", "red", "green", "yellow", "blue", "magenta", "cyan", "white"]
        },
        _color: {
          description: "Extensions for color",
          $ref: "#/definitions/Element"
        },
        category: {
          description: "Indicates the category of the observation generation process. A DeviceMetric can be for example a setting, measurement, or calculation.",
          enum: ["measurement", "setting", "calculation", "unspecified"]
        },
        _category: {
          description: "Extensions for category",
          $ref: "#/definitions/Element"
        },
        measurementPeriod: {
          description: "Describes the measurement repetition time. This is not necessarily the same as the update period. The measurement repetition time can range from milliseconds up to hours. An example for a measurement repetition time in the range of milliseconds is the sampling rate of an ECG. An example for a measurement repetition time in the range of hours is a NIBP that is triggered automatically every hour. The update period may be different than the measurement repetition time, if the device does not update the published observed value with the same frequency as it was measured.",
          $ref: "#/definitions/Timing"
        },
        calibration: {
          description: "Describes the calibrations that have been performed or that are required to be performed.",
          items: {
            $ref: "#/definitions/DeviceMetric_Calibration"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["type", "resourceType"]
    },
    DeviceMetric_Calibration: {
      description: "Describes a measurement, calculation or setting capability of a medical device.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Describes the type of the calibration method.",
          enum: ["unspecified", "offset", "gain", "two-point"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        state: {
          description: "Describes the state of the calibration.",
          enum: ["not-calibrated", "calibration-required", "calibrated", "unspecified"]
        },
        _state: {
          description: "Extensions for state",
          $ref: "#/definitions/Element"
        },
        time: {
          description: "Describes the time last calibration has been performed.",
          $ref: "#/definitions/instant"
        },
        _time: {
          description: "Extensions for time",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    DeviceRequest: {
      description: "Represents a request for a patient to employ a medical device. The device may be an implantable device, or an external assistive device, such as a walker.",
      properties: {
        resourceType: {
          description: "This is a DeviceRequest resource",
          const: "DeviceRequest"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifiers assigned to this order by the orderer or by the receiver.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        instantiatesCanonical: {
          description: "The URL pointing to a FHIR-defined protocol, guideline, orderset or other definition that is adhered to in whole or in part by this DeviceRequest.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        instantiatesUri: {
          description: "The URL pointing to an externally maintained protocol, guideline, orderset or other definition that is adhered to in whole or in part by this DeviceRequest.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _instantiatesUri: {
          description: "Extensions for instantiatesUri",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        basedOn: {
          description: "Plan/proposal/order fulfilled by this request.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        priorRequest: {
          description: "The request takes the place of the referenced completed or terminated request(s).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        groupIdentifier: {
          description: "Composite request this is part of.",
          $ref: "#/definitions/Identifier"
        },
        status: {
          description: "The status of the request.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        intent: {
          description: "Whether the request is a proposal, plan, an original order or a reflex order.",
          $ref: "#/definitions/code"
        },
        _intent: {
          description: "Extensions for intent",
          $ref: "#/definitions/Element"
        },
        priority: {
          description: "Indicates how quickly the {{title}} should be addressed with respect to other requests.",
          $ref: "#/definitions/code"
        },
        _priority: {
          description: "Extensions for priority",
          $ref: "#/definitions/Element"
        },
        codeReference: {
          description: "The details of the device to be used.",
          $ref: "#/definitions/Reference"
        },
        codeCodeableConcept: {
          description: "The details of the device to be used.",
          $ref: "#/definitions/CodeableConcept"
        },
        parameter: {
          description: "Specific parameters for the ordered item.  For example, the prism value for lenses.",
          items: {
            $ref: "#/definitions/DeviceRequest_Parameter"
          },
          type: "array"
        },
        subject: {
          description: "The patient who will use the device.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "An encounter that provides additional context in which this request is made.",
          $ref: "#/definitions/Reference"
        },
        occurrenceDateTime: {
          description: 'The timing schedule for the use of the device. The Schedule data type allows many different expressions, for example. "Every 8 hours"; "Three times a day"; "1/2 an hour before breakfast for 10 days from 23-Dec 2011:"; "15 Oct 2013, 17 Oct 2013 and 1 Nov 2013".',
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _occurrenceDateTime: {
          description: "Extensions for occurrenceDateTime",
          $ref: "#/definitions/Element"
        },
        occurrencePeriod: {
          description: 'The timing schedule for the use of the device. The Schedule data type allows many different expressions, for example. "Every 8 hours"; "Three times a day"; "1/2 an hour before breakfast for 10 days from 23-Dec 2011:"; "15 Oct 2013, 17 Oct 2013 and 1 Nov 2013".',
          $ref: "#/definitions/Period"
        },
        occurrenceTiming: {
          description: 'The timing schedule for the use of the device. The Schedule data type allows many different expressions, for example. "Every 8 hours"; "Three times a day"; "1/2 an hour before breakfast for 10 days from 23-Dec 2011:"; "15 Oct 2013, 17 Oct 2013 and 1 Nov 2013".',
          $ref: "#/definitions/Timing"
        },
        authoredOn: {
          description: "When the request transitioned to being actionable.",
          $ref: "#/definitions/dateTime"
        },
        _authoredOn: {
          description: "Extensions for authoredOn",
          $ref: "#/definitions/Element"
        },
        requester: {
          description: "The individual who initiated the request and has responsibility for its activation.",
          $ref: "#/definitions/Reference"
        },
        performerType: {
          description: "Desired type of performer for doing the diagnostic testing.",
          $ref: "#/definitions/CodeableConcept"
        },
        performer: {
          description: "The desired performer for doing the diagnostic testing.",
          $ref: "#/definitions/Reference"
        },
        reasonCode: {
          description: "Reason or justification for the use of this device.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Reason or justification for the use of this device.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        insurance: {
          description: "Insurance plans, coverage extensions, pre-authorizations and/or pre-determinations that may be required for delivering the requested service.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        supportingInfo: {
          description: "Additional clinical information about the patient that may influence the request fulfilment.  For example, this may include where on the subject's body the device will be used (i.e. the target site).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "Details about this request that were not represented at all or sufficiently in one of the attributes provided in a class. These may include for example a comment, an instruction, or a note associated with the statement.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        relevantHistory: {
          description: "Key events in the history of the request.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "resourceType"]
    },
    DeviceRequest_Parameter: {
      description: "Represents a request for a patient to employ a medical device. The device may be an implantable device, or an external assistive device, such as a walker.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "A code or string that identifies the device detail being asserted.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueCodeableConcept: {
          description: "The value of the device detail.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueQuantity: {
          description: "The value of the device detail.",
          $ref: "#/definitions/Quantity"
        },
        valueRange: {
          description: "The value of the device detail.",
          $ref: "#/definitions/Range"
        },
        valueBoolean: {
          description: "The value of the device detail.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    DeviceUseStatement: {
      description: "A record of a device being used by a patient where the record is the result of a report from the patient or another clinician.",
      properties: {
        resourceType: {
          description: "This is a DeviceUseStatement resource",
          const: "DeviceUseStatement"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "An external identifier for this statement such as an IRI.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        basedOn: {
          description: "A plan, proposal or order that is fulfilled in whole or in part by this DeviceUseStatement.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "A code representing the patient or other source's judgment about the state of the device used that this statement is about.  Generally this will be active or completed.",
          enum: ["active", "completed", "entered-in-error", "intended", "stopped", "on-hold"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        subject: {
          description: "The patient who used the device.",
          $ref: "#/definitions/Reference"
        },
        derivedFrom: {
          description: "Allows linking the DeviceUseStatement to the underlying Request, or to other information that supports or is used to derive the DeviceUseStatement.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        timingTiming: {
          description: "How often the device was used.",
          $ref: "#/definitions/Timing"
        },
        timingPeriod: {
          description: "How often the device was used.",
          $ref: "#/definitions/Period"
        },
        timingDateTime: {
          description: "How often the device was used.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _timingDateTime: {
          description: "Extensions for timingDateTime",
          $ref: "#/definitions/Element"
        },
        recordedOn: {
          description: "The time at which the statement was made/recorded.",
          $ref: "#/definitions/dateTime"
        },
        _recordedOn: {
          description: "Extensions for recordedOn",
          $ref: "#/definitions/Element"
        },
        source: {
          description: "Who reported the device was being used by the patient.",
          $ref: "#/definitions/Reference"
        },
        device: {
          description: "The details of the device used.",
          $ref: "#/definitions/Reference"
        },
        reasonCode: {
          description: "Reason or justification for the use of the device.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Indicates another resource whose existence justifies this DeviceUseStatement.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        bodySite: {
          description: "Indicates the anotomic location on the subject's body where the device was used ( i.e. the target).",
          $ref: "#/definitions/CodeableConcept"
        },
        note: {
          description: "Details about the device statement that were not represented at all or sufficiently in one of the attributes provided in a class. These may include for example a comment, an instruction, or a note associated with the statement.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "device", "resourceType"]
    },
    DiagnosticReport: {
      description: "The findings and interpretation of diagnostic  tests performed on patients, groups of patients, devices, and locations, and/or specimens derived from these. The report includes clinical context such as requesting and provider information, and some mix of atomic results, images, textual and coded interpretations, and formatted representation of diagnostic reports.",
      properties: {
        resourceType: {
          description: "This is a DiagnosticReport resource",
          const: "DiagnosticReport"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifiers assigned to this report by the performer or other systems.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        basedOn: {
          description: "Details concerning a service requested.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "The status of the diagnostic report.",
          enum: [
            "registered",
            "partial",
            "preliminary",
            "final",
            "amended",
            "corrected",
            "appended",
            "cancelled",
            "entered-in-error",
            "unknown"
          ]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        category: {
          description: "A code that classifies the clinical discipline, department or diagnostic service that created the report (e.g. cardiology, biochemistry, hematology, MRI). This is used for searching, sorting and display purposes.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        code: {
          description: "A code or name that describes this diagnostic report.",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "The subject of the report. Usually, but not always, this is a patient. However, diagnostic services also perform analyses on specimens collected from a variety of other sources.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The healthcare event  (e.g. a patient and healthcare provider interaction) which this DiagnosticReport is about.",
          $ref: "#/definitions/Reference"
        },
        effectiveDateTime: {
          description: "The time or time-period the observed values are related to. When the subject of the report is a patient, this is usually either the time of the procedure or of specimen collection(s), but very often the source of the date/time is not known, only the date/time itself.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _effectiveDateTime: {
          description: "Extensions for effectiveDateTime",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The time or time-period the observed values are related to. When the subject of the report is a patient, this is usually either the time of the procedure or of specimen collection(s), but very often the source of the date/time is not known, only the date/time itself.",
          $ref: "#/definitions/Period"
        },
        issued: {
          description: "The date and time that this version of the report was made available to providers, typically after the report was reviewed and verified.",
          $ref: "#/definitions/instant"
        },
        _issued: {
          description: "Extensions for issued",
          $ref: "#/definitions/Element"
        },
        performer: {
          description: "The diagnostic service that is responsible for issuing the report.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        resultsInterpreter: {
          description: "The practitioner or organization that is responsible for the report's conclusions and interpretations.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        specimen: {
          description: "Details about the specimens on which this diagnostic report is based.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        result: {
          description: "[Observations](observation.html)  that are part of this diagnostic report.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        imagingStudy: {
          description: "One or more links to full details of any imaging performed during the diagnostic investigation. Typically, this is imaging performed by DICOM enabled modalities, but this is not required. A fully enabled PACS viewer can use this information to provide views of the source images.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        media: {
          description: "A list of key images associated with this report. The images are generally created during the diagnostic process, and may be directly of the patient, or of treated specimens (i.e. slides of interest).",
          items: {
            $ref: "#/definitions/DiagnosticReport_Media"
          },
          type: "array"
        },
        conclusion: {
          description: "Concise and clinically contextualized summary conclusion (interpretation/impression) of the diagnostic report.",
          $ref: "#/definitions/string"
        },
        _conclusion: {
          description: "Extensions for conclusion",
          $ref: "#/definitions/Element"
        },
        conclusionCode: {
          description: "One or more codes that represent the summary conclusion (interpretation/impression) of the diagnostic report.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        presentedForm: {
          description: "Rich text representation of the entire result as issued by the diagnostic service. Multiple formats are allowed but they SHALL be semantically equivalent.",
          items: {
            $ref: "#/definitions/Attachment"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["code", "resourceType"]
    },
    DiagnosticReport_Media: {
      description: "The findings and interpretation of diagnostic  tests performed on patients, groups of patients, devices, and locations, and/or specimens derived from these. The report includes clinical context such as requesting and provider information, and some mix of atomic results, images, textual and coded interpretations, and formatted representation of diagnostic reports.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        comment: {
          description: "A comment about the image. Typically, this is used to provide an explanation for why the image is included, or to draw the viewer's attention to important features.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        },
        link: {
          description: "Reference to the image source.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["link"]
    },
    DocumentManifest: {
      description: "A collection of documents compiled for a purpose together with metadata that applies to the collection.",
      properties: {
        resourceType: {
          description: "This is a DocumentManifest resource",
          const: "DocumentManifest"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        masterIdentifier: {
          description: "A single identifier that uniquely identifies this manifest. Principally used to refer to the manifest in non-FHIR contexts.",
          $ref: "#/definitions/Identifier"
        },
        identifier: {
          description: "Other identifiers associated with the document manifest, including version independent  identifiers.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status of this document manifest.",
          enum: ["current", "superseded", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The code specifying the type of clinical activity that resulted in placing the associated content into the DocumentManifest.",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "Who or what the set of documents is about. The documents can be about a person, (patient or healthcare practitioner), a device (i.e. machine) or even a group of subjects (such as a document about a herd of farm animals, or a set of patients that share a common exposure). If the documents cross more than one subject, then more than one subject is allowed here (unusual use case).",
          $ref: "#/definitions/Reference"
        },
        created: {
          description: "When the document manifest was created for submission to the server (not necessarily the same thing as the actual resource last modified time, since it may be modified, replicated, etc.).",
          $ref: "#/definitions/dateTime"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        author: {
          description: "Identifies who is the author of the manifest. Manifest author is not necessarly the author of the references included.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        recipient: {
          description: "A patient, practitioner, or organization for which this set of documents is intended.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        source: {
          description: "Identifies the source system, application, or software that produced the document manifest.",
          $ref: "#/definitions/uri"
        },
        _source: {
          description: "Extensions for source",
          $ref: "#/definitions/Element"
        },
        description: {
          description: 'Human-readable description of the source document. This is sometimes known as the "title".',
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        content: {
          description: "The list of Resources that consist of the parts of this manifest.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        related: {
          description: "Related identifiers or resources associated with the DocumentManifest.",
          items: {
            $ref: "#/definitions/DocumentManifest_Related"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["content", "resourceType"]
    },
    DocumentManifest_Related: {
      description: "A collection of documents compiled for a purpose together with metadata that applies to the collection.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Related identifier to this DocumentManifest.  For example, Order numbers, accession numbers, XDW workflow numbers.",
          $ref: "#/definitions/Identifier"
        },
        ref: {
          description: "Related Resource to this DocumentManifest. For example, Order, ServiceRequest,  Procedure, EligibilityRequest, etc.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    DocumentReference: {
      description: "A reference to a document of any kind for any purpose. Provides metadata about the document so that the document can be discovered and managed. The scope of a document is any seralized object with a mime-type, so includes formal patient centric documents (CDA), cliical notes, scanned paper, and non-patient specific documents like policy text.",
      properties: {
        resourceType: {
          description: "This is a DocumentReference resource",
          const: "DocumentReference"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        masterIdentifier: {
          description: "Document identifier as assigned by the source of the document. This identifier is specific to this version of the document. This unique identifier may be used elsewhere to identify this version of the document.",
          $ref: "#/definitions/Identifier"
        },
        identifier: {
          description: "Other identifiers associated with the document, including version independent identifiers.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status of this document reference.",
          enum: ["current", "superseded", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        docStatus: {
          description: "The status of the underlying document.",
          $ref: "#/definitions/code"
        },
        _docStatus: {
          description: "Extensions for docStatus",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Specifies the particular kind of document referenced  (e.g. History and Physical, Discharge Summary, Progress Note). This usually equates to the purpose of making the document referenced.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "A categorization for the type of document referenced - helps for indexing and searching. This may be implied by or derived from the code specified in the DocumentReference.type.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        subject: {
          description: "Who or what the document is about. The document can be about a person, (patient or healthcare practitioner), a device (e.g. a machine) or even a group of subjects (such as a document about a herd of farm animals, or a set of patients that share a common exposure).",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "When the document reference was created.",
          $ref: "#/definitions/instant"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        author: {
          description: "Identifies who is responsible for adding the information to the document.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        authenticator: {
          description: "Which person or organization authenticates that this document is valid.",
          $ref: "#/definitions/Reference"
        },
        custodian: {
          description: "Identifies the organization or group who is responsible for ongoing maintenance of and access to the document.",
          $ref: "#/definitions/Reference"
        },
        relatesTo: {
          description: "Relationships that this document has with other document references that already exist.",
          items: {
            $ref: "#/definitions/DocumentReference_RelatesTo"
          },
          type: "array"
        },
        description: {
          description: "Human-readable description of the source document.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        securityLabel: {
          description: 'A set of Security-Tag codes specifying the level of privacy/security of the Document. Note that DocumentReference.meta.security contains the security labels of the "reference" to the document, while DocumentReference.securityLabel contains a snapshot of the security labels on the document the reference refers to.',
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        content: {
          description: "The document and format referenced. There may be multiple content element repetitions, each with a different format.",
          items: {
            $ref: "#/definitions/DocumentReference_Content"
          },
          type: "array"
        },
        context: {
          description: "The clinical context in which the document was prepared.",
          $ref: "#/definitions/DocumentReference_Context"
        }
      },
      additionalProperties: false,
      required: ["content", "resourceType"]
    },
    DocumentReference_RelatesTo: {
      description: "A reference to a document of any kind for any purpose. Provides metadata about the document so that the document can be discovered and managed. The scope of a document is any seralized object with a mime-type, so includes formal patient centric documents (CDA), cliical notes, scanned paper, and non-patient specific documents like policy text.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The type of relationship that this document has with anther document.",
          enum: ["replaces", "transforms", "signs", "appends"]
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        target: {
          description: "The target document of this relationship.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["target"]
    },
    DocumentReference_Content: {
      description: "A reference to a document of any kind for any purpose. Provides metadata about the document so that the document can be discovered and managed. The scope of a document is any seralized object with a mime-type, so includes formal patient centric documents (CDA), cliical notes, scanned paper, and non-patient specific documents like policy text.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        attachment: {
          description: "The document or URL of the document along with critical metadata to prove content has integrity.",
          $ref: "#/definitions/Attachment"
        },
        format: {
          description: "An identifier of the document encoding, structure, and template that the document conforms to beyond the base format indicated in the mimeType.",
          $ref: "#/definitions/Coding"
        }
      },
      additionalProperties: false,
      required: ["attachment"]
    },
    DocumentReference_Context: {
      description: "A reference to a document of any kind for any purpose. Provides metadata about the document so that the document can be discovered and managed. The scope of a document is any seralized object with a mime-type, so includes formal patient centric documents (CDA), cliical notes, scanned paper, and non-patient specific documents like policy text.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        encounter: {
          description: "Describes the clinical encounter or type of care that the document content is associated with.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        event: {
          description: 'This list of codes represents the main clinical acts, such as a colonoscopy or an appendectomy, being documented. In some cases, the event is inherent in the type Code, such as a "History and Physical Report" in which the procedure being documented is necessarily a "History and Physical" act.',
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        period: {
          description: "The time period over which the service that is described by the document was provided.",
          $ref: "#/definitions/Period"
        },
        facilityType: {
          description: "The kind of facility where the patient was seen.",
          $ref: "#/definitions/CodeableConcept"
        },
        practiceSetting: {
          description: "This property may convey specifics about the practice setting where the content was created, often reflecting the clinical specialty.",
          $ref: "#/definitions/CodeableConcept"
        },
        sourcePatientInfo: {
          description: "The Patient Information as known when the document was published. May be a reference to a version specific, or contained.",
          $ref: "#/definitions/Reference"
        },
        related: {
          description: "Related identifiers or resources associated with the DocumentReference.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    EffectEvidenceSynthesis: {
      description: "The EffectEvidenceSynthesis resource describes the difference in an outcome between exposures states in a population where the effect estimate is derived from a combination of research studies.",
      properties: {
        resourceType: {
          description: "This is a EffectEvidenceSynthesis resource",
          const: "EffectEvidenceSynthesis"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this effect evidence synthesis when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this effect evidence synthesis is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the effect evidence synthesis is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this effect evidence synthesis when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the effect evidence synthesis when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the effect evidence synthesis author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the effect evidence synthesis. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the effect evidence synthesis.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this effect evidence synthesis. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the effect evidence synthesis was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the effect evidence synthesis changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the effect evidence synthesis.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the effect evidence synthesis from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        note: {
          description: "A human-readable string to clarify or explain concepts about the resource.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate effect evidence synthesis instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the effect evidence synthesis is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        copyright: {
          description: "A copyright statement relating to the effect evidence synthesis and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the effect evidence synthesis.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        approvalDate: {
          description: "The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage.",
          $ref: "#/definitions/date"
        },
        _approvalDate: {
          description: "Extensions for approvalDate",
          $ref: "#/definitions/Element"
        },
        lastReviewDate: {
          description: "The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date.",
          $ref: "#/definitions/date"
        },
        _lastReviewDate: {
          description: "Extensions for lastReviewDate",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The period during which the effect evidence synthesis content was or is planned to be in active use.",
          $ref: "#/definitions/Period"
        },
        topic: {
          description: "Descriptive topics related to the content of the EffectEvidenceSynthesis. Topics provide a high-level categorization grouping types of EffectEvidenceSynthesiss that can be useful for filtering and searching.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        author: {
          description: "An individiual or organization primarily involved in the creation and maintenance of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        editor: {
          description: "An individual or organization primarily responsible for internal coherence of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        reviewer: {
          description: "An individual or organization primarily responsible for review of some aspect of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        endorser: {
          description: "An individual or organization responsible for officially endorsing the content for use in some setting.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        relatedArtifact: {
          description: "Related artifacts such as additional documentation, justification, or bibliographic references.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        synthesisType: {
          description: "Type of synthesis eg meta-analysis.",
          $ref: "#/definitions/CodeableConcept"
        },
        studyType: {
          description: "Type of study eg randomized trial.",
          $ref: "#/definitions/CodeableConcept"
        },
        population: {
          description: "A reference to a EvidenceVariable resource that defines the population for the research.",
          $ref: "#/definitions/Reference"
        },
        exposure: {
          description: "A reference to a EvidenceVariable resource that defines the exposure for the research.",
          $ref: "#/definitions/Reference"
        },
        exposureAlternative: {
          description: "A reference to a EvidenceVariable resource that defines the comparison exposure for the research.",
          $ref: "#/definitions/Reference"
        },
        outcome: {
          description: "A reference to a EvidenceVariable resomece that defines the outcome for the research.",
          $ref: "#/definitions/Reference"
        },
        sampleSize: {
          description: "A description of the size of the sample involved in the synthesis.",
          $ref: "#/definitions/EffectEvidenceSynthesis_SampleSize"
        },
        resultsByExposure: {
          description: "A description of the results for each exposure considered in the effect estimate.",
          items: {
            $ref: "#/definitions/EffectEvidenceSynthesis_ResultsByExposure"
          },
          type: "array"
        },
        effectEstimate: {
          description: "The estimated effect of the exposure variant.",
          items: {
            $ref: "#/definitions/EffectEvidenceSynthesis_EffectEstimate"
          },
          type: "array"
        },
        certainty: {
          description: "A description of the certainty of the effect estimate.",
          items: {
            $ref: "#/definitions/EffectEvidenceSynthesis_Certainty"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["exposureAlternative", "exposure", "outcome", "resourceType", "population"]
    },
    EffectEvidenceSynthesis_SampleSize: {
      description: "The EffectEvidenceSynthesis resource describes the difference in an outcome between exposures states in a population where the effect estimate is derived from a combination of research studies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "Human-readable summary of sample size.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        numberOfStudies: {
          description: "Number of studies included in this evidence synthesis.",
          $ref: "#/definitions/integer"
        },
        _numberOfStudies: {
          description: "Extensions for numberOfStudies",
          $ref: "#/definitions/Element"
        },
        numberOfParticipants: {
          description: "Number of participants included in this evidence synthesis.",
          $ref: "#/definitions/integer"
        },
        _numberOfParticipants: {
          description: "Extensions for numberOfParticipants",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    EffectEvidenceSynthesis_ResultsByExposure: {
      description: "The EffectEvidenceSynthesis resource describes the difference in an outcome between exposures states in a population where the effect estimate is derived from a combination of research studies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "Human-readable summary of results by exposure state.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        exposureState: {
          description: "Whether these results are for the exposure state or alternative exposure state.",
          enum: ["exposure", "exposure-alternative"]
        },
        _exposureState: {
          description: "Extensions for exposureState",
          $ref: "#/definitions/Element"
        },
        variantState: {
          description: "Used to define variant exposure states such as low-risk state.",
          $ref: "#/definitions/CodeableConcept"
        },
        riskEvidenceSynthesis: {
          description: "Reference to a RiskEvidenceSynthesis resource.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["riskEvidenceSynthesis"]
    },
    EffectEvidenceSynthesis_EffectEstimate: {
      description: "The EffectEvidenceSynthesis resource describes the difference in an outcome between exposures states in a population where the effect estimate is derived from a combination of research studies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "Human-readable summary of effect estimate.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Examples include relative risk and mean difference.",
          $ref: "#/definitions/CodeableConcept"
        },
        variantState: {
          description: "Used to define variant exposure states such as low-risk state.",
          $ref: "#/definitions/CodeableConcept"
        },
        value: {
          description: "The point estimate of the effect estimate.",
          $ref: "#/definitions/decimal"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        unitOfMeasure: {
          description: "Specifies the UCUM unit for the outcome.",
          $ref: "#/definitions/CodeableConcept"
        },
        precisionEstimate: {
          description: "A description of the precision of the estimate for the effect.",
          items: {
            $ref: "#/definitions/EffectEvidenceSynthesis_PrecisionEstimate"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    EffectEvidenceSynthesis_PrecisionEstimate: {
      description: "The EffectEvidenceSynthesis resource describes the difference in an outcome between exposures states in a population where the effect estimate is derived from a combination of research studies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Examples include confidence interval and interquartile range.",
          $ref: "#/definitions/CodeableConcept"
        },
        level: {
          description: "Use 95 for a 95% confidence interval.",
          $ref: "#/definitions/decimal"
        },
        _level: {
          description: "Extensions for level",
          $ref: "#/definitions/Element"
        },
        from: {
          description: "Lower bound of confidence interval.",
          $ref: "#/definitions/decimal"
        },
        _from: {
          description: "Extensions for from",
          $ref: "#/definitions/Element"
        },
        to: {
          description: "Upper bound of confidence interval.",
          $ref: "#/definitions/decimal"
        },
        _to: {
          description: "Extensions for to",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    EffectEvidenceSynthesis_Certainty: {
      description: "The EffectEvidenceSynthesis resource describes the difference in an outcome between exposures states in a population where the effect estimate is derived from a combination of research studies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        rating: {
          description: "A rating of the certainty of the effect estimate.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        note: {
          description: "A human-readable string to clarify or explain concepts about the resource.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        certaintySubcomponent: {
          description: "A description of a component of the overall certainty.",
          items: {
            $ref: "#/definitions/EffectEvidenceSynthesis_CertaintySubcomponent"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    EffectEvidenceSynthesis_CertaintySubcomponent: {
      description: "The EffectEvidenceSynthesis resource describes the difference in an outcome between exposures states in a population where the effect estimate is derived from a combination of research studies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Type of subcomponent of certainty rating.",
          $ref: "#/definitions/CodeableConcept"
        },
        rating: {
          description: "A rating of a subcomponent of rating certainty.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        note: {
          description: "A human-readable string to clarify or explain concepts about the resource.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Encounter: {
      description: "An interaction between a patient and healthcare provider(s) for the purpose of providing healthcare service(s) or assessing the health status of a patient.",
      properties: {
        resourceType: {
          description: "This is a Encounter resource",
          const: "Encounter"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier(s) by which this encounter is known.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "planned | arrived | triaged | in-progress | onleave | finished | cancelled +.",
          enum: [
            "planned",
            "arrived",
            "triaged",
            "in-progress",
            "onleave",
            "finished",
            "cancelled",
            "entered-in-error",
            "unknown"
          ]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusHistory: {
          description: "The status history permits the encounter resource to contain the status history without needing to read through the historical versions of the resource, or even have the server store them.",
          items: {
            $ref: "#/definitions/Encounter_StatusHistory"
          },
          type: "array"
        },
        class: {
          description: "Concepts representing classification of patient encounter such as ambulatory (outpatient), inpatient, emergency, home health or others due to local variations.",
          $ref: "#/definitions/Coding"
        },
        classHistory: {
          description: "The class history permits the tracking of the encounters transitions without needing to go  through the resource history.  This would be used for a case where an admission starts of as an emergency encounter, then transitions into an inpatient scenario. Doing this and not restarting a new encounter ensures that any lab/diagnostic results can more easily follow the patient and not require re-processing and not get lost or cancelled during a kind of discharge from emergency to inpatient.",
          items: {
            $ref: "#/definitions/Encounter_ClassHistory"
          },
          type: "array"
        },
        type: {
          description: "Specific type of encounter (e.g. e-mail consultation, surgical day-care, skilled nursing, rehabilitation).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        serviceType: {
          description: "Broad categorization of the service that is to be provided (e.g. cardiology).",
          $ref: "#/definitions/CodeableConcept"
        },
        priority: {
          description: "Indicates the urgency of the encounter.",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "The patient or group present at the encounter.",
          $ref: "#/definitions/Reference"
        },
        episodeOfCare: {
          description: "Where a specific encounter should be classified as a part of a specific episode(s) of care this field should be used. This association can facilitate grouping of related encounters together for a specific purpose, such as government reporting, issue tracking, association via a common problem.  The association is recorded on the encounter as these are typically created after the episode of care and grouped on entry rather than editing the episode of care to append another encounter to it (the episode of care could span years).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        basedOn: {
          description: "The request this encounter satisfies (e.g. incoming referral or procedure request).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        participant: {
          description: "The list of people responsible for providing the service.",
          items: {
            $ref: "#/definitions/Encounter_Participant"
          },
          type: "array"
        },
        appointment: {
          description: "The appointment that scheduled this encounter.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        period: {
          description: "The start and end time of the encounter.",
          $ref: "#/definitions/Period"
        },
        length: {
          description: "Quantity of time the encounter lasted. This excludes the time during leaves of absence.",
          $ref: "#/definitions/Duration"
        },
        reasonCode: {
          description: "Reason the encounter takes place, expressed as a code. For admissions, this can be used for a coded admission diagnosis.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Reason the encounter takes place, expressed as a code. For admissions, this can be used for a coded admission diagnosis.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        diagnosis: {
          description: "The list of diagnosis relevant to this encounter.",
          items: {
            $ref: "#/definitions/Encounter_Diagnosis"
          },
          type: "array"
        },
        account: {
          description: "The set of accounts that may be used for billing for this Encounter.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        hospitalization: {
          description: "Details about the admission to a healthcare service.",
          $ref: "#/definitions/Encounter_Hospitalization"
        },
        location: {
          description: "List of locations where  the patient has been during this encounter.",
          items: {
            $ref: "#/definitions/Encounter_Location"
          },
          type: "array"
        },
        serviceProvider: {
          description: "The organization that is primarily responsible for this Encounter's services. This MAY be the same as the organization on the Patient record, however it could be different, such as if the actor performing the services was from an external organization (which may be billed seperately) for an external consultation.  Refer to the example bundle showing an abbreviated set of Encounters for a colonoscopy.",
          $ref: "#/definitions/Reference"
        },
        partOf: {
          description: "Another Encounter of which this encounter is a part of (administratively or in time).",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["class", "resourceType"]
    },
    Encounter_StatusHistory: {
      description: "An interaction between a patient and healthcare provider(s) for the purpose of providing healthcare service(s) or assessing the health status of a patient.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        status: {
          description: "planned | arrived | triaged | in-progress | onleave | finished | cancelled +.",
          enum: [
            "planned",
            "arrived",
            "triaged",
            "in-progress",
            "onleave",
            "finished",
            "cancelled",
            "entered-in-error",
            "unknown"
          ]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "The time that the episode was in the specified status.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false,
      required: ["period"]
    },
    Encounter_ClassHistory: {
      description: "An interaction between a patient and healthcare provider(s) for the purpose of providing healthcare service(s) or assessing the health status of a patient.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        class: {
          description: "inpatient | outpatient | ambulatory | emergency +.",
          $ref: "#/definitions/Coding"
        },
        period: {
          description: "The time that the episode was in the specified class.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false,
      required: ["period", "class"]
    },
    Encounter_Participant: {
      description: "An interaction between a patient and healthcare provider(s) for the purpose of providing healthcare service(s) or assessing the health status of a patient.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Role of participant in encounter.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        period: {
          description: "The period of time that the specified participant participated in the encounter. These can overlap or be sub-sets of the overall encounter's period.",
          $ref: "#/definitions/Period"
        },
        individual: {
          description: "Persons involved in the encounter other than the patient.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    Encounter_Diagnosis: {
      description: "An interaction between a patient and healthcare provider(s) for the purpose of providing healthcare service(s) or assessing the health status of a patient.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        condition: {
          description: "Reason the encounter takes place, as specified using information from another resource. For admissions, this is the admission diagnosis. The indication will typically be a Condition (with other resources referenced in the evidence.detail), or a Procedure.",
          $ref: "#/definitions/Reference"
        },
        use: {
          description: "Role that this diagnosis has within the encounter (e.g. admission, billing, discharge \u2026).",
          $ref: "#/definitions/CodeableConcept"
        },
        rank: {
          description: "Ranking of the diagnosis (for each role type).",
          $ref: "#/definitions/positiveInt"
        },
        _rank: {
          description: "Extensions for rank",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["condition"]
    },
    Encounter_Hospitalization: {
      description: "An interaction between a patient and healthcare provider(s) for the purpose of providing healthcare service(s) or assessing the health status of a patient.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        preAdmissionIdentifier: {
          description: "Pre-admission identifier.",
          $ref: "#/definitions/Identifier"
        },
        origin: {
          description: "The location/organization from which the patient came before admission.",
          $ref: "#/definitions/Reference"
        },
        admitSource: {
          description: "From where patient was admitted (physician referral, transfer).",
          $ref: "#/definitions/CodeableConcept"
        },
        reAdmission: {
          description: "Whether this hospitalization is a readmission and why if known.",
          $ref: "#/definitions/CodeableConcept"
        },
        dietPreference: {
          description: "Diet preferences reported by the patient.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        specialCourtesy: {
          description: "Special courtesies (VIP, board member).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        specialArrangement: {
          description: "Any special requests that have been made for this hospitalization encounter, such as the provision of specific equipment or other things.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        destination: {
          description: "Location/organization to which the patient is discharged.",
          $ref: "#/definitions/Reference"
        },
        dischargeDisposition: {
          description: "Category or kind of location after discharge.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    Encounter_Location: {
      description: "An interaction between a patient and healthcare provider(s) for the purpose of providing healthcare service(s) or assessing the health status of a patient.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        location: {
          description: "The location where the encounter takes place.",
          $ref: "#/definitions/Reference"
        },
        status: {
          description: "The status of the participants' presence at the specified location during the period specified. If the participant is no longer at the location, then the period will have an end date/time.",
          enum: ["planned", "active", "reserved", "completed"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        physicalType: {
          description: "This will be used to specify the required levels (bed/ward/room/etc.) desired to be recorded to simplify either messaging or query.",
          $ref: "#/definitions/CodeableConcept"
        },
        period: {
          description: "Time period during which the patient was present at the location.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false,
      required: ["location"]
    },
    Endpoint: {
      description: "The technical details of an endpoint that can be used for electronic services, such as for web services providing XDS.b or a REST endpoint for another FHIR server. This may include any security context information.",
      properties: {
        resourceType: {
          description: "This is a Endpoint resource",
          const: "Endpoint"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier for the organization that is used to identify the endpoint across multiple disparate systems.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "active | suspended | error | off | test.",
          enum: ["active", "suspended", "error", "off", "entered-in-error", "test"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        connectionType: {
          description: "A coded value that represents the technical details of the usage of this endpoint, such as what WSDLs should be used in what way. (e.g. XDS.b/DICOM/cds-hook).",
          $ref: "#/definitions/Coding"
        },
        name: {
          description: "A friendly name that this endpoint can be referred to with.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        managingOrganization: {
          description: "The organization that manages this endpoint (even if technically another organization is hosting this in the cloud, it is the organization associated with the data).",
          $ref: "#/definitions/Reference"
        },
        contact: {
          description: "Contact details for a human to contact about the subscription. The primary use of this for system administrator troubleshooting.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        period: {
          description: "The interval during which the endpoint is expected to be operational.",
          $ref: "#/definitions/Period"
        },
        payloadType: {
          description: "The payload type describes the acceptable content that can be communicated on the endpoint.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        payloadMimeType: {
          description: "The mime type to send the payload in - e.g. application/fhir+xml, application/fhir+json. If the mime type is not specified, then the sender could send any content (including no content depending on the connectionType).",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _payloadMimeType: {
          description: "Extensions for payloadMimeType",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        address: {
          description: "The uri that describes the actual end-point to connect to.",
          $ref: "#/definitions/url"
        },
        _address: {
          description: "Extensions for address",
          $ref: "#/definitions/Element"
        },
        header: {
          description: "Additional headers / information to send as part of the notification.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _header: {
          description: "Extensions for header",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["payloadType", "connectionType", "resourceType"]
    },
    EnrollmentRequest: {
      description: "This resource provides the insurance enrollment details to the insurer regarding a specified coverage.",
      properties: {
        resourceType: {
          description: "This is a EnrollmentRequest resource",
          const: "EnrollmentRequest"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "The Response business identifier.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status of the resource instance.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        created: {
          description: "The date when this resource was created.",
          $ref: "#/definitions/dateTime"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        insurer: {
          description: "The Insurer who is target  of the request.",
          $ref: "#/definitions/Reference"
        },
        provider: {
          description: "The practitioner who is responsible for the services rendered to the patient.",
          $ref: "#/definitions/Reference"
        },
        candidate: {
          description: "Patient Resource.",
          $ref: "#/definitions/Reference"
        },
        coverage: {
          description: "Reference to the program or plan identification, underwriter or payor.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    EnrollmentResponse: {
      description: "This resource provides enrollment and plan details from the processing of an EnrollmentRequest resource.",
      properties: {
        resourceType: {
          description: "This is a EnrollmentResponse resource",
          const: "EnrollmentResponse"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "The Response business identifier.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status of the resource instance.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        request: {
          description: "Original request resource reference.",
          $ref: "#/definitions/Reference"
        },
        outcome: {
          description: "Processing status: error, complete.",
          enum: ["queued", "complete", "error", "partial"]
        },
        _outcome: {
          description: "Extensions for outcome",
          $ref: "#/definitions/Element"
        },
        disposition: {
          description: "A description of the status of the adjudication.",
          $ref: "#/definitions/string"
        },
        _disposition: {
          description: "Extensions for disposition",
          $ref: "#/definitions/Element"
        },
        created: {
          description: "The date when the enclosed suite of services were performed or completed.",
          $ref: "#/definitions/dateTime"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        organization: {
          description: "The Insurer who produced this adjudicated response.",
          $ref: "#/definitions/Reference"
        },
        requestProvider: {
          description: "The practitioner who is responsible for the services rendered to the patient.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    EpisodeOfCare: {
      description: "An association between a patient and an organization / healthcare provider(s) during which time encounters may occur. The managing organization assumes a level of responsibility for the patient during this time.",
      properties: {
        resourceType: {
          description: "This is a EpisodeOfCare resource",
          const: "EpisodeOfCare"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "The EpisodeOfCare may be known by different identifiers for different contexts of use, such as when an external agency is tracking the Episode for funding purposes.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "planned | waitlist | active | onhold | finished | cancelled.",
          enum: ["planned", "waitlist", "active", "onhold", "finished", "cancelled", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusHistory: {
          description: "The history of statuses that the EpisodeOfCare has been through (without requiring processing the history of the resource).",
          items: {
            $ref: "#/definitions/EpisodeOfCare_StatusHistory"
          },
          type: "array"
        },
        type: {
          description: "A classification of the type of episode of care; e.g. specialist referral, disease management, type of funded care.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        diagnosis: {
          description: "The list of diagnosis relevant to this episode of care.",
          items: {
            $ref: "#/definitions/EpisodeOfCare_Diagnosis"
          },
          type: "array"
        },
        patient: {
          description: "The patient who is the focus of this episode of care.",
          $ref: "#/definitions/Reference"
        },
        managingOrganization: {
          description: "The organization that has assumed the specific responsibilities for the specified duration.",
          $ref: "#/definitions/Reference"
        },
        period: {
          description: "The interval during which the managing organization assumes the defined responsibility.",
          $ref: "#/definitions/Period"
        },
        referralRequest: {
          description: "Referral Request(s) that are fulfilled by this EpisodeOfCare, incoming referrals.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        careManager: {
          description: "The practitioner that is the care manager/care coordinator for this patient.",
          $ref: "#/definitions/Reference"
        },
        team: {
          description: "The list of practitioners that may be facilitating this episode of care for specific purposes.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        account: {
          description: "The set of accounts that may be used for billing for this EpisodeOfCare.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["patient", "resourceType"]
    },
    EpisodeOfCare_StatusHistory: {
      description: "An association between a patient and an organization / healthcare provider(s) during which time encounters may occur. The managing organization assumes a level of responsibility for the patient during this time.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        status: {
          description: "planned | waitlist | active | onhold | finished | cancelled.",
          enum: ["planned", "waitlist", "active", "onhold", "finished", "cancelled", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "The period during this EpisodeOfCare that the specific status applied.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false,
      required: ["period"]
    },
    EpisodeOfCare_Diagnosis: {
      description: "An association between a patient and an organization / healthcare provider(s) during which time encounters may occur. The managing organization assumes a level of responsibility for the patient during this time.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        condition: {
          description: "A list of conditions/problems/diagnoses that this episode of care is intended to be providing care for.",
          $ref: "#/definitions/Reference"
        },
        role: {
          description: "Role that this diagnosis has within the episode of care (e.g. admission, billing, discharge \u2026).",
          $ref: "#/definitions/CodeableConcept"
        },
        rank: {
          description: "Ranking of the diagnosis (for each role type).",
          $ref: "#/definitions/positiveInt"
        },
        _rank: {
          description: "Extensions for rank",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["condition"]
    },
    EventDefinition: {
      description: "The EventDefinition resource provides a reusable description of when a particular event can occur.",
      properties: {
        resourceType: {
          description: "This is a EventDefinition resource",
          const: "EventDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this event definition when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this event definition is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the event definition is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this event definition when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the event definition when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the event definition author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the event definition. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the event definition.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        subtitle: {
          description: "An explanatory or alternate title for the event definition giving additional information about its content.",
          $ref: "#/definitions/string"
        },
        _subtitle: {
          description: "Extensions for subtitle",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this event definition. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this event definition is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        subjectCodeableConcept: {
          description: "A code or group definition that describes the intended subject of the event definition.",
          $ref: "#/definitions/CodeableConcept"
        },
        subjectReference: {
          description: "A code or group definition that describes the intended subject of the event definition.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date  (and optionally time) when the event definition was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the event definition changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the event definition.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the event definition from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate event definition instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the event definition is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this event definition is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        usage: {
          description: "A detailed description of how the event definition is used from a clinical perspective.",
          $ref: "#/definitions/string"
        },
        _usage: {
          description: "Extensions for usage",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the event definition and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the event definition.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        approvalDate: {
          description: "The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage.",
          $ref: "#/definitions/date"
        },
        _approvalDate: {
          description: "Extensions for approvalDate",
          $ref: "#/definitions/Element"
        },
        lastReviewDate: {
          description: "The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date.",
          $ref: "#/definitions/date"
        },
        _lastReviewDate: {
          description: "Extensions for lastReviewDate",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The period during which the event definition content was or is planned to be in active use.",
          $ref: "#/definitions/Period"
        },
        topic: {
          description: "Descriptive topics related to the module. Topics provide a high-level categorization of the module that can be useful for filtering and searching.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        author: {
          description: "An individiual or organization primarily involved in the creation and maintenance of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        editor: {
          description: "An individual or organization primarily responsible for internal coherence of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        reviewer: {
          description: "An individual or organization primarily responsible for review of some aspect of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        endorser: {
          description: "An individual or organization responsible for officially endorsing the content for use in some setting.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        relatedArtifact: {
          description: "Related resources such as additional documentation, justification, or bibliographic references.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        trigger: {
          description: "The trigger element defines when the event occurs. If more than one trigger condition is specified, the event fires whenever any one of the trigger conditions is met.",
          items: {
            $ref: "#/definitions/TriggerDefinition"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["trigger", "resourceType"]
    },
    Evidence: {
      description: "The Evidence resource describes the conditional state (population and any exposures being compared within the population) and outcome (if specified) that the knowledge (evidence, assertion, recommendation) is about.",
      properties: {
        resourceType: {
          description: "This is a Evidence resource",
          const: "Evidence"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this evidence when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this evidence is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the evidence is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this evidence when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the evidence when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the evidence author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence. To provide a version consistent with the Decision Support Service specification, use the format Major.Minor.Revision (e.g. 1.0.0). For more information on versioning knowledge assets, refer to the Decision Support Service specification. Note that a version is required for non-experimental active artifacts.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the evidence. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the evidence.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        shortTitle: {
          description: "The short title provides an alternate title for use in informal descriptive contexts where the full, formal title is not necessary.",
          $ref: "#/definitions/string"
        },
        _shortTitle: {
          description: "Extensions for shortTitle",
          $ref: "#/definitions/Element"
        },
        subtitle: {
          description: "An explanatory or alternate title for the Evidence giving additional information about its content.",
          $ref: "#/definitions/string"
        },
        _subtitle: {
          description: "Extensions for subtitle",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this evidence. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the evidence was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the evidence changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the evidence.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the evidence from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        note: {
          description: "A human-readable string to clarify or explain concepts about the resource.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate evidence instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the evidence is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        copyright: {
          description: "A copyright statement relating to the evidence and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the evidence.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        approvalDate: {
          description: "The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage.",
          $ref: "#/definitions/date"
        },
        _approvalDate: {
          description: "Extensions for approvalDate",
          $ref: "#/definitions/Element"
        },
        lastReviewDate: {
          description: "The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date.",
          $ref: "#/definitions/date"
        },
        _lastReviewDate: {
          description: "Extensions for lastReviewDate",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The period during which the evidence content was or is planned to be in active use.",
          $ref: "#/definitions/Period"
        },
        topic: {
          description: "Descriptive topics related to the content of the Evidence. Topics provide a high-level categorization grouping types of Evidences that can be useful for filtering and searching.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        author: {
          description: "An individiual or organization primarily involved in the creation and maintenance of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        editor: {
          description: "An individual or organization primarily responsible for internal coherence of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        reviewer: {
          description: "An individual or organization primarily responsible for review of some aspect of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        endorser: {
          description: "An individual or organization responsible for officially endorsing the content for use in some setting.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        relatedArtifact: {
          description: "Related artifacts such as additional documentation, justification, or bibliographic references.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        exposureBackground: {
          description: "A reference to a EvidenceVariable resource that defines the population for the research.",
          $ref: "#/definitions/Reference"
        },
        exposureVariant: {
          description: "A reference to a EvidenceVariable resource that defines the exposure for the research.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        outcome: {
          description: "A reference to a EvidenceVariable resomece that defines the outcome for the research.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["exposureBackground", "resourceType"]
    },
    EvidenceVariable: {
      description: 'The EvidenceVariable resource describes a "PICO" element that knowledge (evidence, assertion, recommendation) is about.',
      properties: {
        resourceType: {
          description: "This is a EvidenceVariable resource",
          const: "EvidenceVariable"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this evidence variable when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this evidence variable is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the evidence variable is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this evidence variable when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the evidence variable when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the evidence variable author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence. To provide a version consistent with the Decision Support Service specification, use the format Major.Minor.Revision (e.g. 1.0.0). For more information on versioning knowledge assets, refer to the Decision Support Service specification. Note that a version is required for non-experimental active artifacts.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the evidence variable. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the evidence variable.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        shortTitle: {
          description: "The short title provides an alternate title for use in informal descriptive contexts where the full, formal title is not necessary.",
          $ref: "#/definitions/string"
        },
        _shortTitle: {
          description: "Extensions for shortTitle",
          $ref: "#/definitions/Element"
        },
        subtitle: {
          description: "An explanatory or alternate title for the EvidenceVariable giving additional information about its content.",
          $ref: "#/definitions/string"
        },
        _subtitle: {
          description: "Extensions for subtitle",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this evidence variable. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the evidence variable was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the evidence variable changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the evidence variable.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the evidence variable from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        note: {
          description: "A human-readable string to clarify or explain concepts about the resource.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate evidence variable instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the evidence variable is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        copyright: {
          description: "A copyright statement relating to the evidence variable and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the evidence variable.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        approvalDate: {
          description: "The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage.",
          $ref: "#/definitions/date"
        },
        _approvalDate: {
          description: "Extensions for approvalDate",
          $ref: "#/definitions/Element"
        },
        lastReviewDate: {
          description: "The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date.",
          $ref: "#/definitions/date"
        },
        _lastReviewDate: {
          description: "Extensions for lastReviewDate",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The period during which the evidence variable content was or is planned to be in active use.",
          $ref: "#/definitions/Period"
        },
        topic: {
          description: "Descriptive topics related to the content of the EvidenceVariable. Topics provide a high-level categorization grouping types of EvidenceVariables that can be useful for filtering and searching.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        author: {
          description: "An individiual or organization primarily involved in the creation and maintenance of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        editor: {
          description: "An individual or organization primarily responsible for internal coherence of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        reviewer: {
          description: "An individual or organization primarily responsible for review of some aspect of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        endorser: {
          description: "An individual or organization responsible for officially endorsing the content for use in some setting.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        relatedArtifact: {
          description: "Related artifacts such as additional documentation, justification, or bibliographic references.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        type: {
          description: "The type of evidence element, a population, an exposure, or an outcome.",
          enum: ["dichotomous", "continuous", "descriptive"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        characteristic: {
          description: 'A characteristic that defines the members of the evidence element. Multiple characteristics are applied with "and" semantics.',
          items: {
            $ref: "#/definitions/EvidenceVariable_Characteristic"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["characteristic", "resourceType"]
    },
    EvidenceVariable_Characteristic: {
      description: 'The EvidenceVariable resource describes a "PICO" element that knowledge (evidence, assertion, recommendation) is about.',
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "A short, natural language description of the characteristic that could be used to communicate the criteria to an end-user.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        definitionReference: {
          description: "Define members of the evidence element using Codes (such as condition, medication, or observation), Expressions ( using an expression language such as FHIRPath or CQL) or DataRequirements (such as Diabetes diagnosis onset in the last year).",
          $ref: "#/definitions/Reference"
        },
        definitionCanonical: {
          description: "Define members of the evidence element using Codes (such as condition, medication, or observation), Expressions ( using an expression language such as FHIRPath or CQL) or DataRequirements (such as Diabetes diagnosis onset in the last year).",
          pattern: "^\\S*$",
          type: "string"
        },
        _definitionCanonical: {
          description: "Extensions for definitionCanonical",
          $ref: "#/definitions/Element"
        },
        definitionCodeableConcept: {
          description: "Define members of the evidence element using Codes (such as condition, medication, or observation), Expressions ( using an expression language such as FHIRPath or CQL) or DataRequirements (such as Diabetes diagnosis onset in the last year).",
          $ref: "#/definitions/CodeableConcept"
        },
        definitionExpression: {
          description: "Define members of the evidence element using Codes (such as condition, medication, or observation), Expressions ( using an expression language such as FHIRPath or CQL) or DataRequirements (such as Diabetes diagnosis onset in the last year).",
          $ref: "#/definitions/Expression"
        },
        definitionDataRequirement: {
          description: "Define members of the evidence element using Codes (such as condition, medication, or observation), Expressions ( using an expression language such as FHIRPath or CQL) or DataRequirements (such as Diabetes diagnosis onset in the last year).",
          $ref: "#/definitions/DataRequirement"
        },
        definitionTriggerDefinition: {
          description: "Define members of the evidence element using Codes (such as condition, medication, or observation), Expressions ( using an expression language such as FHIRPath or CQL) or DataRequirements (such as Diabetes diagnosis onset in the last year).",
          $ref: "#/definitions/TriggerDefinition"
        },
        usageContext: {
          description: "Use UsageContext to define the members of the population, such as Age Ranges, Genders, Settings.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        exclude: {
          description: "When true, members with this characteristic are excluded from the element.",
          $ref: "#/definitions/boolean"
        },
        _exclude: {
          description: "Extensions for exclude",
          $ref: "#/definitions/Element"
        },
        participantEffectiveDateTime: {
          description: "Indicates what effective period the study covers.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _participantEffectiveDateTime: {
          description: "Extensions for participantEffectiveDateTime",
          $ref: "#/definitions/Element"
        },
        participantEffectivePeriod: {
          description: "Indicates what effective period the study covers.",
          $ref: "#/definitions/Period"
        },
        participantEffectiveDuration: {
          description: "Indicates what effective period the study covers.",
          $ref: "#/definitions/Duration"
        },
        participantEffectiveTiming: {
          description: "Indicates what effective period the study covers.",
          $ref: "#/definitions/Timing"
        },
        timeFromStart: {
          description: "Indicates duration from the participant's study entry.",
          $ref: "#/definitions/Duration"
        },
        groupMeasure: {
          description: "Indicates how elements are aggregated within the study effective period.",
          enum: ["mean", "median", "mean-of-mean", "mean-of-median", "median-of-mean", "median-of-median"]
        },
        _groupMeasure: {
          description: "Extensions for groupMeasure",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ExampleScenario: {
      description: "Example of workflow instance.",
      properties: {
        resourceType: {
          description: "This is a ExampleScenario resource",
          const: "ExampleScenario"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this example scenario when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this example scenario is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the example scenario is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this example scenario when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the example scenario when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the example scenario author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the example scenario. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this example scenario. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this example scenario is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the example scenario was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the example scenario changes. (e.g. the 'content logical definition').",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the example scenario.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate example scenario instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the example scenario is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        copyright: {
          description: "A copyright statement relating to the example scenario and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the example scenario.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        purpose: {
          description: "What the example scenario resource is created for. This should not be used to show the business purpose of the scenario itself, but the purpose of documenting a scenario.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        actor: {
          description: "Actor participating in the resource.",
          items: {
            $ref: "#/definitions/ExampleScenario_Actor"
          },
          type: "array"
        },
        instance: {
          description: "Each resource and each version that is present in the workflow.",
          items: {
            $ref: "#/definitions/ExampleScenario_Instance"
          },
          type: "array"
        },
        process: {
          description: "Each major process - a group of operations.",
          items: {
            $ref: "#/definitions/ExampleScenario_Process"
          },
          type: "array"
        },
        workflow: {
          description: "Another nested workflow.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    ExampleScenario_Actor: {
      description: "Example of workflow instance.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        actorId: {
          description: "ID or acronym of actor.",
          $ref: "#/definitions/string"
        },
        _actorId: {
          description: "Extensions for actorId",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The type of actor - person or system.",
          enum: ["person", "entity"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "The name of the actor as shown in the page.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "The description of the actor.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ExampleScenario_Instance: {
      description: "Example of workflow instance.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        resourceId: {
          description: "The id of the resource for referencing.",
          $ref: "#/definitions/string"
        },
        _resourceId: {
          description: "Extensions for resourceId",
          $ref: "#/definitions/Element"
        },
        resourceType: {
          description: "The type of the resource.",
          $ref: "#/definitions/code"
        },
        _resourceType: {
          description: "Extensions for resourceType",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A short name for the resource instance.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "Human-friendly description of the resource instance.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "A specific version of the resource.",
          items: {
            $ref: "#/definitions/ExampleScenario_Version"
          },
          type: "array"
        },
        containedInstance: {
          description: "Resources contained in the instance (e.g. the observations contained in a bundle).",
          items: {
            $ref: "#/definitions/ExampleScenario_ContainedInstance"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ExampleScenario_Version: {
      description: "Example of workflow instance.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        versionId: {
          description: "The identifier of a specific version of a resource.",
          $ref: "#/definitions/string"
        },
        _versionId: {
          description: "Extensions for versionId",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "The description of the resource version.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ExampleScenario_ContainedInstance: {
      description: "Example of workflow instance.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        resourceId: {
          description: "Each resource contained in the instance.",
          $ref: "#/definitions/string"
        },
        _resourceId: {
          description: "Extensions for resourceId",
          $ref: "#/definitions/Element"
        },
        versionId: {
          description: "A specific version of a resource contained in the instance.",
          $ref: "#/definitions/string"
        },
        _versionId: {
          description: "Extensions for versionId",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ExampleScenario_Process: {
      description: "Example of workflow instance.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        title: {
          description: "The diagram title of the group of operations.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A longer description of the group of operations.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        preConditions: {
          description: "Description of initial status before the process starts.",
          $ref: "#/definitions/markdown"
        },
        _preConditions: {
          description: "Extensions for preConditions",
          $ref: "#/definitions/Element"
        },
        postConditions: {
          description: "Description of final status after the process ends.",
          $ref: "#/definitions/markdown"
        },
        _postConditions: {
          description: "Extensions for postConditions",
          $ref: "#/definitions/Element"
        },
        step: {
          description: "Each step of the process.",
          items: {
            $ref: "#/definitions/ExampleScenario_Step"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ExampleScenario_Step: {
      description: "Example of workflow instance.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        process: {
          description: "Nested process.",
          items: {
            $ref: "#/definitions/ExampleScenario_Process"
          },
          type: "array"
        },
        pause: {
          description: "If there is a pause in the flow.",
          $ref: "#/definitions/boolean"
        },
        _pause: {
          description: "Extensions for pause",
          $ref: "#/definitions/Element"
        },
        operation: {
          description: "Each interaction or action.",
          $ref: "#/definitions/ExampleScenario_Operation"
        },
        alternative: {
          description: "Indicates an alternative step that can be taken instead of the operations on the base step in exceptional/atypical circumstances.",
          items: {
            $ref: "#/definitions/ExampleScenario_Alternative"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ExampleScenario_Operation: {
      description: "Example of workflow instance.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        number: {
          description: "The sequential number of the interaction, e.g. 1.2.5.",
          $ref: "#/definitions/string"
        },
        _number: {
          description: "Extensions for number",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The type of operation - CRUD.",
          $ref: "#/definitions/string"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "The human-friendly name of the interaction.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        initiator: {
          description: "Who starts the transaction.",
          $ref: "#/definitions/string"
        },
        _initiator: {
          description: "Extensions for initiator",
          $ref: "#/definitions/Element"
        },
        receiver: {
          description: "Who receives the transaction.",
          $ref: "#/definitions/string"
        },
        _receiver: {
          description: "Extensions for receiver",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A comment to be inserted in the diagram.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        initiatorActive: {
          description: "Whether the initiator is deactivated right after the transaction.",
          $ref: "#/definitions/boolean"
        },
        _initiatorActive: {
          description: "Extensions for initiatorActive",
          $ref: "#/definitions/Element"
        },
        receiverActive: {
          description: "Whether the receiver is deactivated right after the transaction.",
          $ref: "#/definitions/boolean"
        },
        _receiverActive: {
          description: "Extensions for receiverActive",
          $ref: "#/definitions/Element"
        },
        request: {
          description: "Each resource instance used by the initiator.",
          $ref: "#/definitions/ExampleScenario_ContainedInstance"
        },
        response: {
          description: "Each resource instance used by the responder.",
          $ref: "#/definitions/ExampleScenario_ContainedInstance"
        }
      },
      additionalProperties: false
    },
    ExampleScenario_Alternative: {
      description: "Example of workflow instance.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        title: {
          description: "The label to display for the alternative that gives a sense of the circumstance in which the alternative should be invoked.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A human-readable description of the alternative explaining when the alternative should occur rather than the base step.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        step: {
          description: "What happens in each alternative option.",
          items: {
            $ref: "#/definitions/ExampleScenario_Step"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ExplanationOfBenefit: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        resourceType: {
          description: "This is a ExplanationOfBenefit resource",
          const: "ExplanationOfBenefit"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier assigned to this explanation of benefit.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status of the resource instance.",
          enum: ["active", "cancelled", "draft", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The category of claim, e.g. oral, pharmacy, vision, institutional, professional.",
          $ref: "#/definitions/CodeableConcept"
        },
        subType: {
          description: "A finer grained suite of claim type codes which may convey additional information such as Inpatient vs Outpatient and/or a specialty service.",
          $ref: "#/definitions/CodeableConcept"
        },
        use: {
          description: "A code to indicate whether the nature of the request is: to request adjudication of products and services previously rendered; or requesting authorization and adjudication for provision in the future; or requesting the non-binding adjudication of the listed products and services which could be provided in the future.",
          $ref: "#/definitions/code"
        },
        _use: {
          description: "Extensions for use",
          $ref: "#/definitions/Element"
        },
        patient: {
          description: "The party to whom the professional services and/or products have been supplied or are being considered and for whom actual for forecast reimbursement is sought.",
          $ref: "#/definitions/Reference"
        },
        billablePeriod: {
          description: "The period for which charges are being submitted.",
          $ref: "#/definitions/Period"
        },
        created: {
          description: "The date this resource was created.",
          $ref: "#/definitions/dateTime"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        enterer: {
          description: "Individual who created the claim, predetermination or preauthorization.",
          $ref: "#/definitions/Reference"
        },
        insurer: {
          description: "The party responsible for authorization, adjudication and reimbursement.",
          $ref: "#/definitions/Reference"
        },
        provider: {
          description: "The provider which is responsible for the claim, predetermination or preauthorization.",
          $ref: "#/definitions/Reference"
        },
        priority: {
          description: "The provider-required urgency of processing the request. Typical values include: stat, routine deferred.",
          $ref: "#/definitions/CodeableConcept"
        },
        fundsReserveRequested: {
          description: "A code to indicate whether and for whom funds are to be reserved for future claims.",
          $ref: "#/definitions/CodeableConcept"
        },
        fundsReserve: {
          description: "A code, used only on a response to a preauthorization, to indicate whether the benefits payable have been reserved and for whom.",
          $ref: "#/definitions/CodeableConcept"
        },
        related: {
          description: "Other claims which are related to this claim such as prior submissions or claims for related services or for the same event.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Related"
          },
          type: "array"
        },
        prescription: {
          description: "Prescription to support the dispensing of pharmacy, device or vision products.",
          $ref: "#/definitions/Reference"
        },
        originalPrescription: {
          description: "Original prescription which has been superseded by this prescription to support the dispensing of pharmacy services, medications or products.",
          $ref: "#/definitions/Reference"
        },
        payee: {
          description: "The party to be reimbursed for cost of the products and services according to the terms of the policy.",
          $ref: "#/definitions/ExplanationOfBenefit_Payee"
        },
        referral: {
          description: "A reference to a referral resource.",
          $ref: "#/definitions/Reference"
        },
        facility: {
          description: "Facility where the services were provided.",
          $ref: "#/definitions/Reference"
        },
        claim: {
          description: "The business identifier for the instance of the adjudication request: claim predetermination or preauthorization.",
          $ref: "#/definitions/Reference"
        },
        claimResponse: {
          description: "The business identifier for the instance of the adjudication response: claim, predetermination or preauthorization response.",
          $ref: "#/definitions/Reference"
        },
        outcome: {
          description: "The outcome of the claim, predetermination, or preauthorization processing.",
          $ref: "#/definitions/code"
        },
        _outcome: {
          description: "Extensions for outcome",
          $ref: "#/definitions/Element"
        },
        disposition: {
          description: "A human readable description of the status of the adjudication.",
          $ref: "#/definitions/string"
        },
        _disposition: {
          description: "Extensions for disposition",
          $ref: "#/definitions/Element"
        },
        preAuthRef: {
          description: "Reference from the Insurer which is used in later communications which refers to this adjudication.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _preAuthRef: {
          description: "Extensions for preAuthRef",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        preAuthRefPeriod: {
          description: "The timeframe during which the supplied preauthorization reference may be quoted on claims to obtain the adjudication as provided.",
          items: {
            $ref: "#/definitions/Period"
          },
          type: "array"
        },
        careTeam: {
          description: "The members of the team who provided the products and services.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_CareTeam"
          },
          type: "array"
        },
        supportingInfo: {
          description: "Additional information codes regarding exceptions, special considerations, the condition, situation, prior or concurrent issues.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_SupportingInfo"
          },
          type: "array"
        },
        diagnosis: {
          description: "Information about diagnoses relevant to the claim items.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Diagnosis"
          },
          type: "array"
        },
        procedure: {
          description: "Procedures performed on the patient relevant to the billing items with the claim.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Procedure"
          },
          type: "array"
        },
        precedence: {
          description: "This indicates the relative order of a series of EOBs related to different coverages for the same suite of services.",
          $ref: "#/definitions/positiveInt"
        },
        _precedence: {
          description: "Extensions for precedence",
          $ref: "#/definitions/Element"
        },
        insurance: {
          description: "Financial instruments for reimbursement for the health care products and services specified on the claim.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Insurance"
          },
          type: "array"
        },
        accident: {
          description: "Details of a accident which resulted in injuries which required the products and services listed in the claim.",
          $ref: "#/definitions/ExplanationOfBenefit_Accident"
        },
        item: {
          description: "A claim line. Either a simple (a product or service) or a 'group' of details which can also be a simple items or groups of sub-details.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Item"
          },
          type: "array"
        },
        addItem: {
          description: "The first-tier service adjudications for payor added product or service lines.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_AddItem"
          },
          type: "array"
        },
        adjudication: {
          description: "The adjudication results which are presented at the header level rather than at the line-item or add-item levels.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Adjudication"
          },
          type: "array"
        },
        total: {
          description: "Categorized monetary totals for the adjudication.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Total"
          },
          type: "array"
        },
        payment: {
          description: "Payment details for the adjudication of the claim.",
          $ref: "#/definitions/ExplanationOfBenefit_Payment"
        },
        formCode: {
          description: "A code for the form to be used for printing the content.",
          $ref: "#/definitions/CodeableConcept"
        },
        form: {
          description: "The actual form, by reference or inclusion, for printing the content or an EOB.",
          $ref: "#/definitions/Attachment"
        },
        processNote: {
          description: "A note that describes or explains adjudication results in a human readable form.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_ProcessNote"
          },
          type: "array"
        },
        benefitPeriod: {
          description: "The term of the benefits documented in this response.",
          $ref: "#/definitions/Period"
        },
        benefitBalance: {
          description: "Balance by Benefit Category.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_BenefitBalance"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["insurance", "provider", "patient", "insurer", "type", "resourceType"]
    },
    ExplanationOfBenefit_Related: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        claim: {
          description: "Reference to a related claim.",
          $ref: "#/definitions/Reference"
        },
        relationship: {
          description: "A code to convey how the claims are related.",
          $ref: "#/definitions/CodeableConcept"
        },
        reference: {
          description: "An alternate organizational reference to the case or file to which this particular claim pertains.",
          $ref: "#/definitions/Identifier"
        }
      },
      additionalProperties: false
    },
    ExplanationOfBenefit_Payee: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Type of Party to be reimbursed: Subscriber, provider, other.",
          $ref: "#/definitions/CodeableConcept"
        },
        party: {
          description: "Reference to the individual or organization to whom any payment will be made.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    ExplanationOfBenefit_CareTeam: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify care team entries.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        provider: {
          description: "Member of the team who provided the product or service.",
          $ref: "#/definitions/Reference"
        },
        responsible: {
          description: "The party who is billing and/or responsible for the claimed products or services.",
          $ref: "#/definitions/boolean"
        },
        _responsible: {
          description: "Extensions for responsible",
          $ref: "#/definitions/Element"
        },
        role: {
          description: "The lead, assisting or supervising practitioner and their discipline if a multidisciplinary team.",
          $ref: "#/definitions/CodeableConcept"
        },
        qualification: {
          description: "The qualification of the practitioner which is applicable for this service.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["provider"]
    },
    ExplanationOfBenefit_SupportingInfo: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify supporting information entries.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        category: {
          description: "The general class of the information supplied: information; exception; accident, employment; onset, etc.",
          $ref: "#/definitions/CodeableConcept"
        },
        code: {
          description: "System and code pertaining to the specific information regarding special conditions relating to the setting, treatment or patient  for which care is sought.",
          $ref: "#/definitions/CodeableConcept"
        },
        timingDate: {
          description: "The date when or period to which this information refers.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _timingDate: {
          description: "Extensions for timingDate",
          $ref: "#/definitions/Element"
        },
        timingPeriod: {
          description: "The date when or period to which this information refers.",
          $ref: "#/definitions/Period"
        },
        valueBoolean: {
          description: "Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueQuantity: {
          description: "Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data.",
          $ref: "#/definitions/Quantity"
        },
        valueAttachment: {
          description: "Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data.",
          $ref: "#/definitions/Attachment"
        },
        valueReference: {
          description: "Additional data or information such as resources, documents, images etc. including references to the data or the actual inclusion of the data.",
          $ref: "#/definitions/Reference"
        },
        reason: {
          description: "Provides the reason in the situation where a reason code is required in addition to the content.",
          $ref: "#/definitions/Coding"
        }
      },
      additionalProperties: false,
      required: ["category"]
    },
    ExplanationOfBenefit_Diagnosis: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify diagnosis entries.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        diagnosisCodeableConcept: {
          description: "The nature of illness or problem in a coded form or as a reference to an external defined Condition.",
          $ref: "#/definitions/CodeableConcept"
        },
        diagnosisReference: {
          description: "The nature of illness or problem in a coded form or as a reference to an external defined Condition.",
          $ref: "#/definitions/Reference"
        },
        type: {
          description: "When the condition was observed or the relative ranking.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        onAdmission: {
          description: "Indication of whether the diagnosis was present on admission to a facility.",
          $ref: "#/definitions/CodeableConcept"
        },
        packageCode: {
          description: "A package billing code or bundle code used to group products and services to a particular health condition (such as heart attack) which is based on a predetermined grouping code system.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    ExplanationOfBenefit_Procedure: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify procedure entries.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "When the condition was observed or the relative ranking.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        date: {
          description: "Date and optionally time the procedure was performed.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        procedureCodeableConcept: {
          description: "The code or reference to a Procedure resource which identifies the clinical intervention performed.",
          $ref: "#/definitions/CodeableConcept"
        },
        procedureReference: {
          description: "The code or reference to a Procedure resource which identifies the clinical intervention performed.",
          $ref: "#/definitions/Reference"
        },
        udi: {
          description: "Unique Device Identifiers associated with this line item.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ExplanationOfBenefit_Insurance: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        focal: {
          description: "A flag to indicate that this Coverage is to be used for adjudication of this claim when set to true.",
          $ref: "#/definitions/boolean"
        },
        _focal: {
          description: "Extensions for focal",
          $ref: "#/definitions/Element"
        },
        coverage: {
          description: "Reference to the insurance card level information contained in the Coverage resource. The coverage issuing insurer will use these details to locate the patient's actual coverage within the insurer's information system.",
          $ref: "#/definitions/Reference"
        },
        preAuthRef: {
          description: "Reference numbers previously provided by the insurer to the provider to be quoted on subsequent claims containing services or products related to the prior authorization.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _preAuthRef: {
          description: "Extensions for preAuthRef",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["coverage"]
    },
    ExplanationOfBenefit_Accident: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        date: {
          description: "Date of an accident event  related to the products and services contained in the claim.",
          $ref: "#/definitions/date"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The type or context of the accident event for the purposes of selection of potential insurance coverages and determination of coordination between insurers.",
          $ref: "#/definitions/CodeableConcept"
        },
        locationAddress: {
          description: "The physical location of the accident event.",
          $ref: "#/definitions/Address"
        },
        locationReference: {
          description: "The physical location of the accident event.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    ExplanationOfBenefit_Item: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A number to uniquely identify item entries.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        careTeamSequence: {
          description: "Care team members related to this service or product.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _careTeamSequence: {
          description: "Extensions for careTeamSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        diagnosisSequence: {
          description: "Diagnoses applicable for this service or product.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _diagnosisSequence: {
          description: "Extensions for diagnosisSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        procedureSequence: {
          description: "Procedures applicable for this service or product.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _procedureSequence: {
          description: "Extensions for procedureSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        informationSequence: {
          description: "Exceptions, special conditions and supporting information applicable for this service or product.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _informationSequence: {
          description: "Extensions for informationSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        revenue: {
          description: "The type of revenue or cost center providing the product and/or service.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "Code to identify the general type of benefits under which products and services are provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        productOrService: {
          description: "When the value is a group code then this item collects a set of related claim details, otherwise this contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        programCode: {
          description: "Identifies the program under which this may be recovered.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        servicedDate: {
          description: "The date or dates when the service or product was supplied, performed or completed.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _servicedDate: {
          description: "Extensions for servicedDate",
          $ref: "#/definitions/Element"
        },
        servicedPeriod: {
          description: "The date or dates when the service or product was supplied, performed or completed.",
          $ref: "#/definitions/Period"
        },
        locationCodeableConcept: {
          description: "Where the product or service was provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        locationAddress: {
          description: "Where the product or service was provided.",
          $ref: "#/definitions/Address"
        },
        locationReference: {
          description: "Where the product or service was provided.",
          $ref: "#/definitions/Reference"
        },
        quantity: {
          description: "The number of repetitions of a service or product.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "If the item is not a group then this is the fee for the product or service, otherwise this is the total of the fees for the details of the group.",
          $ref: "#/definitions/Money"
        },
        factor: {
          description: "A real number that represents a multiplier used in determining the overall value of services delivered and/or goods received. The concept of a Factor allows for a discount or surcharge multiplier to be applied to a monetary amount.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        net: {
          description: "The quantity times the unit price for an additional service or product or charge.",
          $ref: "#/definitions/Money"
        },
        udi: {
          description: "Unique Device Identifiers associated with this line item.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        bodySite: {
          description: "Physical service site on the patient (limb, tooth, etc.).",
          $ref: "#/definitions/CodeableConcept"
        },
        subSite: {
          description: "A region or surface of the bodySite, e.g. limb region or tooth surface(s).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        encounter: {
          description: "A billed item may include goods or services provided in multiple encounters.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        noteNumber: {
          description: "The numbers associated with notes below which apply to the adjudication of this item.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _noteNumber: {
          description: "Extensions for noteNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        adjudication: {
          description: "If this item is a group then the values here are a summary of the adjudication of the detail items. If this item is a simple product or service then this is the result of the adjudication of this item.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Adjudication"
          },
          type: "array"
        },
        detail: {
          description: "Second-tier of goods and services.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Detail"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["productOrService"]
    },
    ExplanationOfBenefit_Adjudication: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        category: {
          description: "A code to indicate the information type of this adjudication record. Information types may include: the value submitted, maximum values or percentages allowed or payable under the plan, amounts that the patient is responsible for in-aggregate or pertaining to this item, amounts paid by other coverages, and the benefit payable for this item.",
          $ref: "#/definitions/CodeableConcept"
        },
        reason: {
          description: "A code supporting the understanding of the adjudication result and explaining variance from expected amount.",
          $ref: "#/definitions/CodeableConcept"
        },
        amount: {
          description: "Monetary amount associated with the category.",
          $ref: "#/definitions/Money"
        },
        value: {
          description: "A non-monetary value associated with the category. Mutually exclusive to the amount element above.",
          $ref: "#/definitions/decimal"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["category"]
    },
    ExplanationOfBenefit_Detail: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A claim detail line. Either a simple (a product or service) or a 'group' of sub-details which are simple items.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        revenue: {
          description: "The type of revenue or cost center providing the product and/or service.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "Code to identify the general type of benefits under which products and services are provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        productOrService: {
          description: "When the value is a group code then this item collects a set of related claim details, otherwise this contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        programCode: {
          description: "Identifies the program under which this may be recovered.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        quantity: {
          description: "The number of repetitions of a service or product.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "If the item is not a group then this is the fee for the product or service, otherwise this is the total of the fees for the details of the group.",
          $ref: "#/definitions/Money"
        },
        factor: {
          description: "A real number that represents a multiplier used in determining the overall value of services delivered and/or goods received. The concept of a Factor allows for a discount or surcharge multiplier to be applied to a monetary amount.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        net: {
          description: "The quantity times the unit price for an additional service or product or charge.",
          $ref: "#/definitions/Money"
        },
        udi: {
          description: "Unique Device Identifiers associated with this line item.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        noteNumber: {
          description: "The numbers associated with notes below which apply to the adjudication of this item.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _noteNumber: {
          description: "Extensions for noteNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        adjudication: {
          description: "The adjudication results.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Adjudication"
          },
          type: "array"
        },
        subDetail: {
          description: "Third-tier of goods and services.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_SubDetail"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["productOrService"]
    },
    ExplanationOfBenefit_SubDetail: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "A claim detail line. Either a simple (a product or service) or a 'group' of sub-details which are simple items.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        revenue: {
          description: "The type of revenue or cost center providing the product and/or service.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "Code to identify the general type of benefits under which products and services are provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        productOrService: {
          description: "When the value is a group code then this item collects a set of related claim details, otherwise this contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        programCode: {
          description: "Identifies the program under which this may be recovered.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        quantity: {
          description: "The number of repetitions of a service or product.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "If the item is not a group then this is the fee for the product or service, otherwise this is the total of the fees for the details of the group.",
          $ref: "#/definitions/Money"
        },
        factor: {
          description: "A real number that represents a multiplier used in determining the overall value of services delivered and/or goods received. The concept of a Factor allows for a discount or surcharge multiplier to be applied to a monetary amount.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        net: {
          description: "The quantity times the unit price for an additional service or product or charge.",
          $ref: "#/definitions/Money"
        },
        udi: {
          description: "Unique Device Identifiers associated with this line item.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        noteNumber: {
          description: "The numbers associated with notes below which apply to the adjudication of this item.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _noteNumber: {
          description: "Extensions for noteNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        adjudication: {
          description: "The adjudication results.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Adjudication"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["productOrService"]
    },
    ExplanationOfBenefit_AddItem: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        itemSequence: {
          description: "Claim items which this service line is intended to replace.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _itemSequence: {
          description: "Extensions for itemSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        detailSequence: {
          description: "The sequence number of the details within the claim item which this line is intended to replace.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _detailSequence: {
          description: "Extensions for detailSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        subDetailSequence: {
          description: "The sequence number of the sub-details woithin the details within the claim item which this line is intended to replace.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _subDetailSequence: {
          description: "Extensions for subDetailSequence",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        provider: {
          description: "The providers who are authorized for the services rendered to the patient.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        productOrService: {
          description: "When the value is a group code then this item collects a set of related claim details, otherwise this contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        programCode: {
          description: "Identifies the program under which this may be recovered.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        servicedDate: {
          description: "The date or dates when the service or product was supplied, performed or completed.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _servicedDate: {
          description: "Extensions for servicedDate",
          $ref: "#/definitions/Element"
        },
        servicedPeriod: {
          description: "The date or dates when the service or product was supplied, performed or completed.",
          $ref: "#/definitions/Period"
        },
        locationCodeableConcept: {
          description: "Where the product or service was provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        locationAddress: {
          description: "Where the product or service was provided.",
          $ref: "#/definitions/Address"
        },
        locationReference: {
          description: "Where the product or service was provided.",
          $ref: "#/definitions/Reference"
        },
        quantity: {
          description: "The number of repetitions of a service or product.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "If the item is not a group then this is the fee for the product or service, otherwise this is the total of the fees for the details of the group.",
          $ref: "#/definitions/Money"
        },
        factor: {
          description: "A real number that represents a multiplier used in determining the overall value of services delivered and/or goods received. The concept of a Factor allows for a discount or surcharge multiplier to be applied to a monetary amount.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        net: {
          description: "The quantity times the unit price for an additional service or product or charge.",
          $ref: "#/definitions/Money"
        },
        bodySite: {
          description: "Physical service site on the patient (limb, tooth, etc.).",
          $ref: "#/definitions/CodeableConcept"
        },
        subSite: {
          description: "A region or surface of the bodySite, e.g. limb region or tooth surface(s).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        noteNumber: {
          description: "The numbers associated with notes below which apply to the adjudication of this item.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _noteNumber: {
          description: "Extensions for noteNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        adjudication: {
          description: "The adjudication results.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Adjudication"
          },
          type: "array"
        },
        detail: {
          description: "The second-tier service adjudications for payor added services.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Detail1"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["productOrService"]
    },
    ExplanationOfBenefit_Detail1: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        productOrService: {
          description: "When the value is a group code then this item collects a set of related claim details, otherwise this contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        quantity: {
          description: "The number of repetitions of a service or product.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "If the item is not a group then this is the fee for the product or service, otherwise this is the total of the fees for the details of the group.",
          $ref: "#/definitions/Money"
        },
        factor: {
          description: "A real number that represents a multiplier used in determining the overall value of services delivered and/or goods received. The concept of a Factor allows for a discount or surcharge multiplier to be applied to a monetary amount.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        net: {
          description: "The quantity times the unit price for an additional service or product or charge.",
          $ref: "#/definitions/Money"
        },
        noteNumber: {
          description: "The numbers associated with notes below which apply to the adjudication of this item.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _noteNumber: {
          description: "Extensions for noteNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        adjudication: {
          description: "The adjudication results.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Adjudication"
          },
          type: "array"
        },
        subDetail: {
          description: "The third-tier service adjudications for payor added services.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_SubDetail1"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["productOrService"]
    },
    ExplanationOfBenefit_SubDetail1: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        productOrService: {
          description: "When the value is a group code then this item collects a set of related claim details, otherwise this contains the product, service, drug or other billing code for the item.",
          $ref: "#/definitions/CodeableConcept"
        },
        modifier: {
          description: "Item typification or modifiers codes to convey additional context for the product or service.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        quantity: {
          description: "The number of repetitions of a service or product.",
          $ref: "#/definitions/Quantity"
        },
        unitPrice: {
          description: "If the item is not a group then this is the fee for the product or service, otherwise this is the total of the fees for the details of the group.",
          $ref: "#/definitions/Money"
        },
        factor: {
          description: "A real number that represents a multiplier used in determining the overall value of services delivered and/or goods received. The concept of a Factor allows for a discount or surcharge multiplier to be applied to a monetary amount.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        net: {
          description: "The quantity times the unit price for an additional service or product or charge.",
          $ref: "#/definitions/Money"
        },
        noteNumber: {
          description: "The numbers associated with notes below which apply to the adjudication of this item.",
          items: {
            $ref: "#/definitions/positiveInt"
          },
          type: "array"
        },
        _noteNumber: {
          description: "Extensions for noteNumber",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        adjudication: {
          description: "The adjudication results.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Adjudication"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["productOrService"]
    },
    ExplanationOfBenefit_Total: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        category: {
          description: "A code to indicate the information type of this adjudication record. Information types may include: the value submitted, maximum values or percentages allowed or payable under the plan, amounts that the patient is responsible for in aggregate or pertaining to this item, amounts paid by other coverages, and the benefit payable for this item.",
          $ref: "#/definitions/CodeableConcept"
        },
        amount: {
          description: "Monetary total amount associated with the category.",
          $ref: "#/definitions/Money"
        }
      },
      additionalProperties: false,
      required: ["amount", "category"]
    },
    ExplanationOfBenefit_Payment: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Whether this represents partial or complete payment of the benefits payable.",
          $ref: "#/definitions/CodeableConcept"
        },
        adjustment: {
          description: "Total amount of all adjustments to this payment included in this transaction which are not related to this claim's adjudication.",
          $ref: "#/definitions/Money"
        },
        adjustmentReason: {
          description: "Reason for the payment adjustment.",
          $ref: "#/definitions/CodeableConcept"
        },
        date: {
          description: "Estimated date the payment will be issued or the actual issue date of payment.",
          $ref: "#/definitions/date"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        amount: {
          description: "Benefits payable less any payment adjustment.",
          $ref: "#/definitions/Money"
        },
        identifier: {
          description: "Issuer's unique identifier for the payment instrument.",
          $ref: "#/definitions/Identifier"
        }
      },
      additionalProperties: false
    },
    ExplanationOfBenefit_ProcessNote: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        number: {
          description: "A number to uniquely identify a note entry.",
          $ref: "#/definitions/positiveInt"
        },
        _number: {
          description: "Extensions for number",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The business purpose of the note text.",
          enum: ["display", "print", "printoper"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        text: {
          description: "The explanation or description associated with the processing.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "A code to define the language used in the text of the note.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    ExplanationOfBenefit_BenefitBalance: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        category: {
          description: "Code to identify the general type of benefits under which products and services are provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        excluded: {
          description: "True if the indicated class of service is excluded from the plan, missing or False indicates the product or service is included in the coverage.",
          $ref: "#/definitions/boolean"
        },
        _excluded: {
          description: "Extensions for excluded",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A short name or tag for the benefit.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A richer description of the benefit or services covered.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        network: {
          description: "Is a flag to indicate whether the benefits refer to in-network providers or out-of-network providers.",
          $ref: "#/definitions/CodeableConcept"
        },
        unit: {
          description: "Indicates if the benefits apply to an individual or to the family.",
          $ref: "#/definitions/CodeableConcept"
        },
        term: {
          description: "The term or period of the values such as 'maximum lifetime benefit' or 'maximum annual visits'.",
          $ref: "#/definitions/CodeableConcept"
        },
        financial: {
          description: "Benefits Used to date.",
          items: {
            $ref: "#/definitions/ExplanationOfBenefit_Financial"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["category"]
    },
    ExplanationOfBenefit_Financial: {
      description: "This resource provides: the claim details; adjudication details from the processing of a Claim; and optionally account balance information, for informing the subscriber of the benefits provided.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Classification of benefit being provided.",
          $ref: "#/definitions/CodeableConcept"
        },
        allowedUnsignedInt: {
          description: "The quantity of the benefit which is permitted under the coverage.",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _allowedUnsignedInt: {
          description: "Extensions for allowedUnsignedInt",
          $ref: "#/definitions/Element"
        },
        allowedString: {
          description: "The quantity of the benefit which is permitted under the coverage.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _allowedString: {
          description: "Extensions for allowedString",
          $ref: "#/definitions/Element"
        },
        allowedMoney: {
          description: "The quantity of the benefit which is permitted under the coverage.",
          $ref: "#/definitions/Money"
        },
        usedUnsignedInt: {
          description: "The quantity of the benefit which have been consumed to date.",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _usedUnsignedInt: {
          description: "Extensions for usedUnsignedInt",
          $ref: "#/definitions/Element"
        },
        usedMoney: {
          description: "The quantity of the benefit which have been consumed to date.",
          $ref: "#/definitions/Money"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    FamilyMemberHistory: {
      description: "Significant health conditions for a person related to the patient relevant in the context of care for the patient.",
      properties: {
        resourceType: {
          description: "This is a FamilyMemberHistory resource",
          const: "FamilyMemberHistory"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this family member history by the performer or other systems which remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        instantiatesCanonical: {
          description: "The URL pointing to a FHIR-defined protocol, guideline, orderset or other definition that is adhered to in whole or in part by this FamilyMemberHistory.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        instantiatesUri: {
          description: "The URL pointing to an externally maintained protocol, guideline, orderset or other definition that is adhered to in whole or in part by this FamilyMemberHistory.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _instantiatesUri: {
          description: "Extensions for instantiatesUri",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        status: {
          description: "A code specifying the status of the record of the family history of a specific family member.",
          enum: ["partial", "completed", "entered-in-error", "health-unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        dataAbsentReason: {
          description: "Describes why the family member's history is not available.",
          $ref: "#/definitions/CodeableConcept"
        },
        patient: {
          description: "The person who this history concerns.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date (and possibly time) when the family member history was recorded or last updated.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        name: {
          description: 'This will either be a name or a description; e.g. "Aunt Susan", "my cousin with the red hair".',
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        relationship: {
          description: "The type of relationship this person has to the patient (father, mother, brother etc.).",
          $ref: "#/definitions/CodeableConcept"
        },
        sex: {
          description: "The birth sex of the family member.",
          $ref: "#/definitions/CodeableConcept"
        },
        bornPeriod: {
          description: "The actual or approximate date of birth of the relative.",
          $ref: "#/definitions/Period"
        },
        bornDate: {
          description: "The actual or approximate date of birth of the relative.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _bornDate: {
          description: "Extensions for bornDate",
          $ref: "#/definitions/Element"
        },
        bornString: {
          description: "The actual or approximate date of birth of the relative.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _bornString: {
          description: "Extensions for bornString",
          $ref: "#/definitions/Element"
        },
        ageAge: {
          description: "The age of the relative at the time the family member history is recorded.",
          $ref: "#/definitions/Age"
        },
        ageRange: {
          description: "The age of the relative at the time the family member history is recorded.",
          $ref: "#/definitions/Range"
        },
        ageString: {
          description: "The age of the relative at the time the family member history is recorded.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _ageString: {
          description: "Extensions for ageString",
          $ref: "#/definitions/Element"
        },
        estimatedAge: {
          description: "If true, indicates that the age value specified is an estimated value.",
          $ref: "#/definitions/boolean"
        },
        _estimatedAge: {
          description: "Extensions for estimatedAge",
          $ref: "#/definitions/Element"
        },
        deceasedBoolean: {
          description: "Deceased flag or the actual or approximate age of the relative at the time of death for the family member history record.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _deceasedBoolean: {
          description: "Extensions for deceasedBoolean",
          $ref: "#/definitions/Element"
        },
        deceasedAge: {
          description: "Deceased flag or the actual or approximate age of the relative at the time of death for the family member history record.",
          $ref: "#/definitions/Age"
        },
        deceasedRange: {
          description: "Deceased flag or the actual or approximate age of the relative at the time of death for the family member history record.",
          $ref: "#/definitions/Range"
        },
        deceasedDate: {
          description: "Deceased flag or the actual or approximate age of the relative at the time of death for the family member history record.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _deceasedDate: {
          description: "Extensions for deceasedDate",
          $ref: "#/definitions/Element"
        },
        deceasedString: {
          description: "Deceased flag or the actual or approximate age of the relative at the time of death for the family member history record.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _deceasedString: {
          description: "Extensions for deceasedString",
          $ref: "#/definitions/Element"
        },
        reasonCode: {
          description: "Describes why the family member history occurred in coded or textual form.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Indicates a Condition, Observation, AllergyIntolerance, or QuestionnaireResponse that justifies this family member history event.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "This property allows a non condition-specific note to the made about the related person. Ideally, the note would be in the condition property, but this is not always possible.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        condition: {
          description: "The significant Conditions (or condition) that the family member had. This is a repeating section to allow a system to represent more than one condition per resource, though there is nothing stopping multiple resources - one per condition.",
          items: {
            $ref: "#/definitions/FamilyMemberHistory_Condition"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["patient", "relationship", "resourceType"]
    },
    FamilyMemberHistory_Condition: {
      description: "Significant health conditions for a person related to the patient relevant in the context of care for the patient.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The actual condition specified. Could be a coded condition (like MI or Diabetes) or a less specific string like 'cancer' depending on how much is known about the condition and the capabilities of the creating system.",
          $ref: "#/definitions/CodeableConcept"
        },
        outcome: {
          description: "Indicates what happened following the condition.  If the condition resulted in death, deceased date is captured on the relation.",
          $ref: "#/definitions/CodeableConcept"
        },
        contributedToDeath: {
          description: "This condition contributed to the cause of death of the related person. If contributedToDeath is not populated, then it is unknown.",
          $ref: "#/definitions/boolean"
        },
        _contributedToDeath: {
          description: "Extensions for contributedToDeath",
          $ref: "#/definitions/Element"
        },
        onsetAge: {
          description: "Either the age of onset, range of approximate age or descriptive string can be recorded.  For conditions with multiple occurrences, this describes the first known occurrence.",
          $ref: "#/definitions/Age"
        },
        onsetRange: {
          description: "Either the age of onset, range of approximate age or descriptive string can be recorded.  For conditions with multiple occurrences, this describes the first known occurrence.",
          $ref: "#/definitions/Range"
        },
        onsetPeriod: {
          description: "Either the age of onset, range of approximate age or descriptive string can be recorded.  For conditions with multiple occurrences, this describes the first known occurrence.",
          $ref: "#/definitions/Period"
        },
        onsetString: {
          description: "Either the age of onset, range of approximate age or descriptive string can be recorded.  For conditions with multiple occurrences, this describes the first known occurrence.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _onsetString: {
          description: "Extensions for onsetString",
          $ref: "#/definitions/Element"
        },
        note: {
          description: "An area where general notes can be placed about this specific condition.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["code"]
    },
    Flag: {
      description: "Prospective warnings of potential issues when providing care to the patient.",
      properties: {
        resourceType: {
          description: "This is a Flag resource",
          const: "Flag"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this flag by the performer or other systems which remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "Supports basic workflow.",
          enum: ["active", "inactive", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        category: {
          description: "Allows a flag to be divided into different categories like clinical, administrative etc. Intended to be used as a means of filtering which flags are displayed to particular user or in a given context.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        code: {
          description: "The coded value or textual component of the flag to display to the user.",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "The patient, location, group, organization, or practitioner etc. this is about record this flag is associated with.",
          $ref: "#/definitions/Reference"
        },
        period: {
          description: "The period of time from the activation of the flag to inactivation of the flag. If the flag is active, the end of the period should be unspecified.",
          $ref: "#/definitions/Period"
        },
        encounter: {
          description: "This alert is only relevant during the encounter.",
          $ref: "#/definitions/Reference"
        },
        author: {
          description: "The person, organization or device that created the flag.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["code", "subject", "resourceType"]
    },
    Goal: {
      description: "Describes the intended objective(s) for a patient, group or organization care, for example, weight loss, restoring an activity of daily living, obtaining herd immunity via immunization, meeting a process improvement objective, etc.",
      properties: {
        resourceType: {
          description: "This is a Goal resource",
          const: "Goal"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this goal by the performer or other systems which remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        lifecycleStatus: {
          description: "The state of the goal throughout its lifecycle.",
          enum: [
            "proposed",
            "planned",
            "accepted",
            "active",
            "on-hold",
            "completed",
            "cancelled",
            "entered-in-error",
            "rejected"
          ]
        },
        _lifecycleStatus: {
          description: "Extensions for lifecycleStatus",
          $ref: "#/definitions/Element"
        },
        achievementStatus: {
          description: "Describes the progression, or lack thereof, towards the goal against the target.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "Indicates a category the goal falls within.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        priority: {
          description: "Identifies the mutually agreed level of importance associated with reaching/sustaining the goal.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: 'Human-readable and/or coded description of a specific desired objective of care, such as "control blood pressure" or "negotiate an obstacle course" or "dance with child at wedding".',
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "Identifies the patient, group or organization for whom the goal is being established.",
          $ref: "#/definitions/Reference"
        },
        startDate: {
          description: "The date or event after which the goal should begin being pursued.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _startDate: {
          description: "Extensions for startDate",
          $ref: "#/definitions/Element"
        },
        startCodeableConcept: {
          description: "The date or event after which the goal should begin being pursued.",
          $ref: "#/definitions/CodeableConcept"
        },
        target: {
          description: "Indicates what should be done by when.",
          items: {
            $ref: "#/definitions/Goal_Target"
          },
          type: "array"
        },
        statusDate: {
          description: "Identifies when the current status.  I.e. When initially created, when achieved, when cancelled, etc.",
          $ref: "#/definitions/date"
        },
        _statusDate: {
          description: "Extensions for statusDate",
          $ref: "#/definitions/Element"
        },
        statusReason: {
          description: "Captures the reason for the current status.",
          $ref: "#/definitions/string"
        },
        _statusReason: {
          description: "Extensions for statusReason",
          $ref: "#/definitions/Element"
        },
        expressedBy: {
          description: "Indicates whose goal this is - patient goal, practitioner goal, etc.",
          $ref: "#/definitions/Reference"
        },
        addresses: {
          description: "The identified conditions and other health record elements that are intended to be addressed by the goal.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "Any comments related to the goal.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        outcomeCode: {
          description: "Identifies the change (or lack of change) at the point when the status of the goal is assessed.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        outcomeReference: {
          description: "Details of what's changed (or not changed).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "description", "resourceType"]
    },
    Goal_Target: {
      description: "Describes the intended objective(s) for a patient, group or organization care, for example, weight loss, restoring an activity of daily living, obtaining herd immunity via immunization, meeting a process improvement objective, etc.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        measure: {
          description: "The parameter whose value is being tracked, e.g. body weight, blood pressure, or hemoglobin A1c level.",
          $ref: "#/definitions/CodeableConcept"
        },
        detailQuantity: {
          description: "The target value of the focus to be achieved to signify the fulfillment of the goal, e.g. 150 pounds, 7.0%. Either the high or low or both values of the range can be specified. When a low value is missing, it indicates that the goal is achieved at any focus value at or below the high value. Similarly, if the high value is missing, it indicates that the goal is achieved at any focus value at or above the low value.",
          $ref: "#/definitions/Quantity"
        },
        detailRange: {
          description: "The target value of the focus to be achieved to signify the fulfillment of the goal, e.g. 150 pounds, 7.0%. Either the high or low or both values of the range can be specified. When a low value is missing, it indicates that the goal is achieved at any focus value at or below the high value. Similarly, if the high value is missing, it indicates that the goal is achieved at any focus value at or above the low value.",
          $ref: "#/definitions/Range"
        },
        detailCodeableConcept: {
          description: "The target value of the focus to be achieved to signify the fulfillment of the goal, e.g. 150 pounds, 7.0%. Either the high or low or both values of the range can be specified. When a low value is missing, it indicates that the goal is achieved at any focus value at or below the high value. Similarly, if the high value is missing, it indicates that the goal is achieved at any focus value at or above the low value.",
          $ref: "#/definitions/CodeableConcept"
        },
        detailString: {
          description: "The target value of the focus to be achieved to signify the fulfillment of the goal, e.g. 150 pounds, 7.0%. Either the high or low or both values of the range can be specified. When a low value is missing, it indicates that the goal is achieved at any focus value at or below the high value. Similarly, if the high value is missing, it indicates that the goal is achieved at any focus value at or above the low value.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _detailString: {
          description: "Extensions for detailString",
          $ref: "#/definitions/Element"
        },
        detailBoolean: {
          description: "The target value of the focus to be achieved to signify the fulfillment of the goal, e.g. 150 pounds, 7.0%. Either the high or low or both values of the range can be specified. When a low value is missing, it indicates that the goal is achieved at any focus value at or below the high value. Similarly, if the high value is missing, it indicates that the goal is achieved at any focus value at or above the low value.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _detailBoolean: {
          description: "Extensions for detailBoolean",
          $ref: "#/definitions/Element"
        },
        detailInteger: {
          description: "The target value of the focus to be achieved to signify the fulfillment of the goal, e.g. 150 pounds, 7.0%. Either the high or low or both values of the range can be specified. When a low value is missing, it indicates that the goal is achieved at any focus value at or below the high value. Similarly, if the high value is missing, it indicates that the goal is achieved at any focus value at or above the low value.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _detailInteger: {
          description: "Extensions for detailInteger",
          $ref: "#/definitions/Element"
        },
        detailRatio: {
          description: "The target value of the focus to be achieved to signify the fulfillment of the goal, e.g. 150 pounds, 7.0%. Either the high or low or both values of the range can be specified. When a low value is missing, it indicates that the goal is achieved at any focus value at or below the high value. Similarly, if the high value is missing, it indicates that the goal is achieved at any focus value at or above the low value.",
          $ref: "#/definitions/Ratio"
        },
        dueDate: {
          description: "Indicates either the date or the duration after start by which the goal should be met.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _dueDate: {
          description: "Extensions for dueDate",
          $ref: "#/definitions/Element"
        },
        dueDuration: {
          description: "Indicates either the date or the duration after start by which the goal should be met.",
          $ref: "#/definitions/Duration"
        }
      },
      additionalProperties: false
    },
    GraphDefinition: {
      description: "A formal computable definition of a graph of resources - that is, a coherent set of resources that form a graph by following references. The Graph Definition resource defines a set and makes rules about the set.",
      properties: {
        resourceType: {
          description: "This is a GraphDefinition resource",
          const: "GraphDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this graph definition when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this graph definition is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the graph definition is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The identifier that is used to identify this version of the graph definition when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the graph definition author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the graph definition. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this graph definition. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this graph definition is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the graph definition was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the graph definition changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the graph definition.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the graph definition from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate graph definition instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the graph definition is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this graph definition is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        start: {
          description: "The type of FHIR resource at which instances of this graph start.",
          $ref: "#/definitions/code"
        },
        _start: {
          description: "Extensions for start",
          $ref: "#/definitions/Element"
        },
        profile: {
          description: "The profile that describes the use of the base resource.",
          $ref: "#/definitions/canonical"
        },
        link: {
          description: "Links this graph makes rules about.",
          items: {
            $ref: "#/definitions/GraphDefinition_Link"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    GraphDefinition_Link: {
      description: "A formal computable definition of a graph of resources - that is, a coherent set of resources that form a graph by following references. The Graph Definition resource defines a set and makes rules about the set.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        path: {
          description: "A FHIR expression that identifies one of FHIR References to other resources.",
          $ref: "#/definitions/string"
        },
        _path: {
          description: "Extensions for path",
          $ref: "#/definitions/Element"
        },
        sliceName: {
          description: "Which slice (if profiled).",
          $ref: "#/definitions/string"
        },
        _sliceName: {
          description: "Extensions for sliceName",
          $ref: "#/definitions/Element"
        },
        min: {
          description: "Minimum occurrences for this link.",
          $ref: "#/definitions/integer"
        },
        _min: {
          description: "Extensions for min",
          $ref: "#/definitions/Element"
        },
        max: {
          description: "Maximum occurrences for this link.",
          $ref: "#/definitions/string"
        },
        _max: {
          description: "Extensions for max",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "Information about why this link is of interest in this graph definition.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        target: {
          description: "Potential target for the link.",
          items: {
            $ref: "#/definitions/GraphDefinition_Target"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    GraphDefinition_Target: {
      description: "A formal computable definition of a graph of resources - that is, a coherent set of resources that form a graph by following references. The Graph Definition resource defines a set and makes rules about the set.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Type of resource this link refers to.",
          $ref: "#/definitions/code"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        params: {
          description: "A set of parameters to look up.",
          $ref: "#/definitions/string"
        },
        _params: {
          description: "Extensions for params",
          $ref: "#/definitions/Element"
        },
        profile: {
          description: "Profile for the target resource.",
          $ref: "#/definitions/canonical"
        },
        compartment: {
          description: "Compartment Consistency Rules.",
          items: {
            $ref: "#/definitions/GraphDefinition_Compartment"
          },
          type: "array"
        },
        link: {
          description: "Additional links from target resource.",
          items: {
            $ref: "#/definitions/GraphDefinition_Link"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    GraphDefinition_Compartment: {
      description: "A formal computable definition of a graph of resources - that is, a coherent set of resources that form a graph by following references. The Graph Definition resource defines a set and makes rules about the set.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        use: {
          description: "Defines how the compartment rule is used - whether it it is used to test whether resources are subject to the rule, or whether it is a rule that must be followed.",
          enum: ["condition", "requirement"]
        },
        _use: {
          description: "Extensions for use",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "Identifies the compartment.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        rule: {
          description: "identical | matching | different | no-rule | custom.",
          enum: ["identical", "matching", "different", "custom"]
        },
        _rule: {
          description: "Extensions for rule",
          $ref: "#/definitions/Element"
        },
        expression: {
          description: "Custom rule, as a FHIRPath expression.",
          $ref: "#/definitions/string"
        },
        _expression: {
          description: "Extensions for expression",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "Documentation for FHIRPath expression.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Group: {
      description: "Represents a defined collection of entities that may be discussed or acted upon collectively but which are not expected to act collectively, and are not formally or legally recognized; i.e. a collection of entities that isn't an Organization.",
      properties: {
        resourceType: {
          description: "This is a Group resource",
          const: "Group"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique business identifier for this group.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        active: {
          description: "Indicates whether the record for the group is available for use or is merely being retained for historical purposes.",
          $ref: "#/definitions/boolean"
        },
        _active: {
          description: "Extensions for active",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Identifies the broad classification of the kind of resources the group includes.",
          enum: ["person", "animal", "practitioner", "device", "medication", "substance"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        actual: {
          description: "If true, indicates that the resource refers to a specific group of real individuals.  If false, the group defines a set of intended individuals.",
          $ref: "#/definitions/boolean"
        },
        _actual: {
          description: "Extensions for actual",
          $ref: "#/definitions/Element"
        },
        code: {
          description: 'Provides a specific type of resource the group includes; e.g. "cow", "syringe", etc.',
          $ref: "#/definitions/CodeableConcept"
        },
        name: {
          description: "A label assigned to the group for human identification and communication.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        quantity: {
          description: "A count of the number of resource instances that are part of the group.",
          $ref: "#/definitions/unsignedInt"
        },
        _quantity: {
          description: "Extensions for quantity",
          $ref: "#/definitions/Element"
        },
        managingEntity: {
          description: "Entity responsible for defining and maintaining Group characteristics and/or registered members.",
          $ref: "#/definitions/Reference"
        },
        characteristic: {
          description: "Identifies traits whose presence r absence is shared by members of the group.",
          items: {
            $ref: "#/definitions/Group_Characteristic"
          },
          type: "array"
        },
        member: {
          description: "Identifies the resource instances that are members of the group.",
          items: {
            $ref: "#/definitions/Group_Member"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Group_Characteristic: {
      description: "Represents a defined collection of entities that may be discussed or acted upon collectively but which are not expected to act collectively, and are not formally or legally recognized; i.e. a collection of entities that isn't an Organization.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "A code that identifies the kind of trait being asserted.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueCodeableConcept: {
          description: "The value of the trait that holds (or does not hold - see 'exclude') for members of the group.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueBoolean: {
          description: "The value of the trait that holds (or does not hold - see 'exclude') for members of the group.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueQuantity: {
          description: "The value of the trait that holds (or does not hold - see 'exclude') for members of the group.",
          $ref: "#/definitions/Quantity"
        },
        valueRange: {
          description: "The value of the trait that holds (or does not hold - see 'exclude') for members of the group.",
          $ref: "#/definitions/Range"
        },
        valueReference: {
          description: "The value of the trait that holds (or does not hold - see 'exclude') for members of the group.",
          $ref: "#/definitions/Reference"
        },
        exclude: {
          description: "If true, indicates the characteristic is one that is NOT held by members of the group.",
          $ref: "#/definitions/boolean"
        },
        _exclude: {
          description: "Extensions for exclude",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "The period over which the characteristic is tested; e.g. the patient had an operation during the month of June.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false,
      required: ["code"]
    },
    Group_Member: {
      description: "Represents a defined collection of entities that may be discussed or acted upon collectively but which are not expected to act collectively, and are not formally or legally recognized; i.e. a collection of entities that isn't an Organization.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        entity: {
          description: "A reference to the entity that is a member of the group. Must be consistent with Group.type. If the entity is another group, then the type must be the same.",
          $ref: "#/definitions/Reference"
        },
        period: {
          description: "The period that the member was in the group, if known.",
          $ref: "#/definitions/Period"
        },
        inactive: {
          description: "A flag to indicate that the member is no longer in the group, but previously may have been a member.",
          $ref: "#/definitions/boolean"
        },
        _inactive: {
          description: "Extensions for inactive",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["entity"]
    },
    GuidanceResponse: {
      description: "A guidance response is the formal response to a guidance request, including any output parameters returned by the evaluation, as well as the description of any proposed actions to be taken.",
      properties: {
        resourceType: {
          description: "This is a GuidanceResponse resource",
          const: "GuidanceResponse"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        requestIdentifier: {
          description: "The identifier of the request associated with this response. If an identifier was given as part of the request, it will be reproduced here to enable the requester to more easily identify the response in a multi-request scenario.",
          $ref: "#/definitions/Identifier"
        },
        identifier: {
          description: "Allows a service to provide  unique, business identifiers for the response.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        moduleUri: {
          description: "An identifier, CodeableConcept or canonical reference to the guidance that was requested.",
          pattern: "^\\S*$",
          type: "string"
        },
        _moduleUri: {
          description: "Extensions for moduleUri",
          $ref: "#/definitions/Element"
        },
        moduleCanonical: {
          description: "An identifier, CodeableConcept or canonical reference to the guidance that was requested.",
          pattern: "^\\S*$",
          type: "string"
        },
        _moduleCanonical: {
          description: "Extensions for moduleCanonical",
          $ref: "#/definitions/Element"
        },
        moduleCodeableConcept: {
          description: "An identifier, CodeableConcept or canonical reference to the guidance that was requested.",
          $ref: "#/definitions/CodeableConcept"
        },
        status: {
          description: "The status of the response. If the evaluation is completed successfully, the status will indicate success. However, in order to complete the evaluation, the engine may require more information. In this case, the status will be data-required, and the response will contain a description of the additional required information. If the evaluation completed successfully, but the engine determines that a potentially more accurate response could be provided if more data was available, the status will be data-requested, and the response will contain a description of the additional requested information.",
          enum: ["success", "data-requested", "data-required", "in-progress", "failure", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        subject: {
          description: "The patient for which the request was processed.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The encounter during which this response was created or to which the creation of this record is tightly associated.",
          $ref: "#/definitions/Reference"
        },
        occurrenceDateTime: {
          description: "Indicates when the guidance response was processed.",
          $ref: "#/definitions/dateTime"
        },
        _occurrenceDateTime: {
          description: "Extensions for occurrenceDateTime",
          $ref: "#/definitions/Element"
        },
        performer: {
          description: "Provides a reference to the device that performed the guidance.",
          $ref: "#/definitions/Reference"
        },
        reasonCode: {
          description: "Describes the reason for the guidance response in coded or textual form.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Indicates the reason the request was initiated. This is typically provided as a parameter to the evaluation and echoed by the service, although for some use cases, such as subscription- or event-based scenarios, it may provide an indication of the cause for the response.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "Provides a mechanism to communicate additional information about the response.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        evaluationMessage: {
          description: "Messages resulting from the evaluation of the artifact or artifacts. As part of evaluating the request, the engine may produce informational or warning messages. These messages will be provided by this element.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        outputParameters: {
          description: "The output parameters of the evaluation, if any. Many modules will result in the return of specific resources such as procedure or communication requests that are returned as part of the operation result. However, modules may define specific outputs that would be returned as the result of the evaluation, and these would be returned in this element.",
          $ref: "#/definitions/Reference"
        },
        result: {
          description: "The actions, if any, produced by the evaluation of the artifact.",
          $ref: "#/definitions/Reference"
        },
        dataRequirement: {
          description: "If the evaluation could not be completed due to lack of information, or additional information would potentially result in a more accurate response, this element will a description of the data required in order to proceed with the evaluation. A subsequent request to the service should include this data.",
          items: {
            $ref: "#/definitions/DataRequirement"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    HealthcareService: {
      description: "The details of a healthcare service available at a location.",
      properties: {
        resourceType: {
          description: "This is a HealthcareService resource",
          const: "HealthcareService"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "External identifiers for this item.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        active: {
          description: "This flag is used to mark the record to not be used. This is not used when a center is closed for maintenance, or for holidays, the notAvailable period is to be used for this.",
          $ref: "#/definitions/boolean"
        },
        _active: {
          description: "Extensions for active",
          $ref: "#/definitions/Element"
        },
        providedBy: {
          description: "The organization that provides this healthcare service.",
          $ref: "#/definitions/Reference"
        },
        category: {
          description: "Identifies the broad category of service being performed or delivered.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        type: {
          description: "The specific type of service that may be delivered or performed.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        specialty: {
          description: "Collection of specialties handled by the service site. This is more of a medical term.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        location: {
          description: "The location(s) where this healthcare service may be provided.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        name: {
          description: "Further description of the service as it would be presented to a consumer while searching.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        comment: {
          description: "Any additional description of the service and/or any specific issues not covered by the other attributes, which can be displayed as further detail under the serviceName.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        },
        extraDetails: {
          description: "Extra details about the service that can't be placed in the other fields.",
          $ref: "#/definitions/markdown"
        },
        _extraDetails: {
          description: "Extensions for extraDetails",
          $ref: "#/definitions/Element"
        },
        photo: {
          description: "If there is a photo/symbol associated with this HealthcareService, it may be included here to facilitate quick identification of the service in a list.",
          $ref: "#/definitions/Attachment"
        },
        telecom: {
          description: "List of contacts related to this specific healthcare service.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        coverageArea: {
          description: "The location(s) that this service is available to (not where the service is provided).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        serviceProvisionCode: {
          description: "The code(s) that detail the conditions under which the healthcare service is available/offered.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        eligibility: {
          description: "Does this service have specific eligibility requirements that need to be met in order to use the service?",
          items: {
            $ref: "#/definitions/HealthcareService_Eligibility"
          },
          type: "array"
        },
        program: {
          description: "Programs that this service is applicable to.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        characteristic: {
          description: "Collection of characteristics (attributes).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        communication: {
          description: "Some services are specifically made available in multiple languages, this property permits a directory to declare the languages this is offered in. Typically this is only provided where a service operates in communities with mixed languages used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        referralMethod: {
          description: "Ways that the service accepts referrals, if this is not provided then it is implied that no referral is required.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        appointmentRequired: {
          description: "Indicates whether or not a prospective consumer will require an appointment for a particular service at a site to be provided by the Organization. Indicates if an appointment is required for access to this service.",
          $ref: "#/definitions/boolean"
        },
        _appointmentRequired: {
          description: "Extensions for appointmentRequired",
          $ref: "#/definitions/Element"
        },
        availableTime: {
          description: "A collection of times that the Service Site is available.",
          items: {
            $ref: "#/definitions/HealthcareService_AvailableTime"
          },
          type: "array"
        },
        notAvailable: {
          description: "The HealthcareService is not available during this period of time due to the provided reason.",
          items: {
            $ref: "#/definitions/HealthcareService_NotAvailable"
          },
          type: "array"
        },
        availabilityExceptions: {
          description: "A description of site availability exceptions, e.g. public holiday availability. Succinctly describing all possible exceptions to normal site availability as details in the available Times and not available Times.",
          $ref: "#/definitions/string"
        },
        _availabilityExceptions: {
          description: "Extensions for availabilityExceptions",
          $ref: "#/definitions/Element"
        },
        endpoint: {
          description: "Technical endpoints providing access to services operated for the specific healthcare services defined at this resource.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    HealthcareService_Eligibility: {
      description: "The details of a healthcare service available at a location.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Coded value for the eligibility.",
          $ref: "#/definitions/CodeableConcept"
        },
        comment: {
          description: "Describes the eligibility conditions for the service.",
          $ref: "#/definitions/markdown"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    HealthcareService_AvailableTime: {
      description: "The details of a healthcare service available at a location.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        daysOfWeek: {
          description: "Indicates which days of the week are available between the start and end Times.",
          items: {
            enum: ["mon", "tue", "wed", "thu", "fri", "sat", "sun"]
          },
          type: "array"
        },
        _daysOfWeek: {
          description: "Extensions for daysOfWeek",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        allDay: {
          description: "Is this always available? (hence times are irrelevant) e.g. 24 hour service.",
          $ref: "#/definitions/boolean"
        },
        _allDay: {
          description: "Extensions for allDay",
          $ref: "#/definitions/Element"
        },
        availableStartTime: {
          description: "The opening time of day. Note: If the AllDay flag is set, then this time is ignored.",
          $ref: "#/definitions/time"
        },
        _availableStartTime: {
          description: "Extensions for availableStartTime",
          $ref: "#/definitions/Element"
        },
        availableEndTime: {
          description: "The closing time of day. Note: If the AllDay flag is set, then this time is ignored.",
          $ref: "#/definitions/time"
        },
        _availableEndTime: {
          description: "Extensions for availableEndTime",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    HealthcareService_NotAvailable: {
      description: "The details of a healthcare service available at a location.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "The reason that can be presented to the user as to why this time is not available.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        during: {
          description: "Service is not available (seasonally or for a public holiday) from this date.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    ImagingStudy: {
      description: "Representation of the content produced in a DICOM imaging study. A study comprises a set of series, each of which includes a set of Service-Object Pair Instances (SOP Instances - images or other data) acquired or produced in a common context.  A series is of only one modality (e.g. X-ray, CT, MR, ultrasound), but a study may have multiple series of different modalities.",
      properties: {
        resourceType: {
          description: "This is a ImagingStudy resource",
          const: "ImagingStudy"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifiers for the ImagingStudy such as DICOM Study Instance UID, and Accession Number.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The current state of the ImagingStudy.",
          enum: ["registered", "available", "cancelled", "entered-in-error", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        modality: {
          description: "A list of all the series.modality values that are actual acquisition modalities, i.e. those in the DICOM Context Group 29 (value set OID 1.2.840.10008.6.1.19).",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        subject: {
          description: "The subject, typically a patient, of the imaging study.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The healthcare event (e.g. a patient and healthcare provider interaction) during which this ImagingStudy is made.",
          $ref: "#/definitions/Reference"
        },
        started: {
          description: "Date and time the study started.",
          $ref: "#/definitions/dateTime"
        },
        _started: {
          description: "Extensions for started",
          $ref: "#/definitions/Element"
        },
        basedOn: {
          description: "A list of the diagnostic requests that resulted in this imaging study being performed.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        referrer: {
          description: "The requesting/referring physician.",
          $ref: "#/definitions/Reference"
        },
        interpreter: {
          description: "Who read the study and interpreted the images or other content.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        endpoint: {
          description: "The network service providing access (e.g., query, view, or retrieval) for the study. See implementation notes for information about using DICOM endpoints. A study-level endpoint applies to each series in the study, unless overridden by a series-level endpoint with the same Endpoint.connectionType.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        numberOfSeries: {
          description: "Number of Series in the Study. This value given may be larger than the number of series elements this Resource contains due to resource availability, security, or other factors. This element should be present if any series elements are present.",
          $ref: "#/definitions/unsignedInt"
        },
        _numberOfSeries: {
          description: "Extensions for numberOfSeries",
          $ref: "#/definitions/Element"
        },
        numberOfInstances: {
          description: "Number of SOP Instances in Study. This value given may be larger than the number of instance elements this resource contains due to resource availability, security, or other factors. This element should be present if any instance elements are present.",
          $ref: "#/definitions/unsignedInt"
        },
        _numberOfInstances: {
          description: "Extensions for numberOfInstances",
          $ref: "#/definitions/Element"
        },
        procedureReference: {
          description: "The procedure which this ImagingStudy was part of.",
          $ref: "#/definitions/Reference"
        },
        procedureCode: {
          description: "The code for the performed procedure type.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        location: {
          description: "The principal physical location where the ImagingStudy was performed.",
          $ref: "#/definitions/Reference"
        },
        reasonCode: {
          description: "Description of clinical condition indicating why the ImagingStudy was requested.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Indicates another resource whose existence justifies this Study.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "Per the recommended DICOM mapping, this element is derived from the Study Description attribute (0008,1030). Observations or findings about the imaging study should be recorded in another resource, e.g. Observation, and not in this element.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        description: {
          description: "The Imaging Manager description of the study. Institution-generated description or classification of the Study (component) performed.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        series: {
          description: "Each study has one or more series of images or other content.",
          items: {
            $ref: "#/definitions/ImagingStudy_Series"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "resourceType"]
    },
    ImagingStudy_Series: {
      description: "Representation of the content produced in a DICOM imaging study. A study comprises a set of series, each of which includes a set of Service-Object Pair Instances (SOP Instances - images or other data) acquired or produced in a common context.  A series is of only one modality (e.g. X-ray, CT, MR, ultrasound), but a study may have multiple series of different modalities.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        uid: {
          description: "The DICOM Series Instance UID for the series.",
          $ref: "#/definitions/id"
        },
        _uid: {
          description: "Extensions for uid",
          $ref: "#/definitions/Element"
        },
        number: {
          description: "The numeric identifier of this series in the study.",
          $ref: "#/definitions/unsignedInt"
        },
        _number: {
          description: "Extensions for number",
          $ref: "#/definitions/Element"
        },
        modality: {
          description: "The modality of this series sequence.",
          $ref: "#/definitions/Coding"
        },
        description: {
          description: "A description of the series.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        numberOfInstances: {
          description: "Number of SOP Instances in the Study. The value given may be larger than the number of instance elements this resource contains due to resource availability, security, or other factors. This element should be present if any instance elements are present.",
          $ref: "#/definitions/unsignedInt"
        },
        _numberOfInstances: {
          description: "Extensions for numberOfInstances",
          $ref: "#/definitions/Element"
        },
        endpoint: {
          description: "The network service providing access (e.g., query, view, or retrieval) for this series. See implementation notes for information about using DICOM endpoints. A series-level endpoint, if present, has precedence over a study-level endpoint with the same Endpoint.connectionType.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        bodySite: {
          description: "The anatomic structures examined. See DICOM Part 16 Annex L (http://dicom.nema.org/medical/dicom/current/output/chtml/part16/chapter_L.html) for DICOM to SNOMED-CT mappings. The bodySite may indicate the laterality of body part imaged; if so, it shall be consistent with any content of ImagingStudy.series.laterality.",
          $ref: "#/definitions/Coding"
        },
        laterality: {
          description: "The laterality of the (possibly paired) anatomic structures examined. E.g., the left knee, both lungs, or unpaired abdomen. If present, shall be consistent with any laterality information indicated in ImagingStudy.series.bodySite.",
          $ref: "#/definitions/Coding"
        },
        specimen: {
          description: "The specimen imaged, e.g., for whole slide imaging of a biopsy.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        started: {
          description: "The date and time the series was started.",
          $ref: "#/definitions/dateTime"
        },
        _started: {
          description: "Extensions for started",
          $ref: "#/definitions/Element"
        },
        performer: {
          description: "Indicates who or what performed the series and how they were involved.",
          items: {
            $ref: "#/definitions/ImagingStudy_Performer"
          },
          type: "array"
        },
        instance: {
          description: "A single SOP instance within the series, e.g. an image, or presentation state.",
          items: {
            $ref: "#/definitions/ImagingStudy_Instance"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["modality"]
    },
    ImagingStudy_Performer: {
      description: "Representation of the content produced in a DICOM imaging study. A study comprises a set of series, each of which includes a set of Service-Object Pair Instances (SOP Instances - images or other data) acquired or produced in a common context.  A series is of only one modality (e.g. X-ray, CT, MR, ultrasound), but a study may have multiple series of different modalities.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        function: {
          description: "Distinguishes the type of involvement of the performer in the series.",
          $ref: "#/definitions/CodeableConcept"
        },
        actor: {
          description: "Indicates who or what performed the series.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["actor"]
    },
    ImagingStudy_Instance: {
      description: "Representation of the content produced in a DICOM imaging study. A study comprises a set of series, each of which includes a set of Service-Object Pair Instances (SOP Instances - images or other data) acquired or produced in a common context.  A series is of only one modality (e.g. X-ray, CT, MR, ultrasound), but a study may have multiple series of different modalities.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        uid: {
          description: "The DICOM SOP Instance UID for this image or other DICOM content.",
          $ref: "#/definitions/id"
        },
        _uid: {
          description: "Extensions for uid",
          $ref: "#/definitions/Element"
        },
        sopClass: {
          description: "DICOM instance  type.",
          $ref: "#/definitions/Coding"
        },
        number: {
          description: "The number of instance in the series.",
          $ref: "#/definitions/unsignedInt"
        },
        _number: {
          description: "Extensions for number",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "The description of the instance.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["sopClass"]
    },
    Immunization: {
      description: "Describes the event of a patient being administered a vaccine or a record of an immunization as reported by a patient, a clinician or another party.",
      properties: {
        resourceType: {
          description: "This is a Immunization resource",
          const: "Immunization"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier assigned to this immunization record.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "Indicates the current status of the immunization event.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusReason: {
          description: "Indicates the reason the immunization event was not performed.",
          $ref: "#/definitions/CodeableConcept"
        },
        vaccineCode: {
          description: "Vaccine that was administered or was to be administered.",
          $ref: "#/definitions/CodeableConcept"
        },
        patient: {
          description: "The patient who either received or did not receive the immunization.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The visit or admission or other contact between patient and health care provider the immunization was performed as part of.",
          $ref: "#/definitions/Reference"
        },
        occurrenceDateTime: {
          description: "Date vaccine administered or was to be administered.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _occurrenceDateTime: {
          description: "Extensions for occurrenceDateTime",
          $ref: "#/definitions/Element"
        },
        occurrenceString: {
          description: "Date vaccine administered or was to be administered.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _occurrenceString: {
          description: "Extensions for occurrenceString",
          $ref: "#/definitions/Element"
        },
        recorded: {
          description: "The date the occurrence of the immunization was first captured in the record - potentially significantly after the occurrence of the event.",
          $ref: "#/definitions/dateTime"
        },
        _recorded: {
          description: "Extensions for recorded",
          $ref: "#/definitions/Element"
        },
        primarySource: {
          description: "An indication that the content of the record is based on information from the person who administered the vaccine. This reflects the context under which the data was originally recorded.",
          $ref: "#/definitions/boolean"
        },
        _primarySource: {
          description: "Extensions for primarySource",
          $ref: "#/definitions/Element"
        },
        reportOrigin: {
          description: "The source of the data when the report of the immunization event is not based on information from the person who administered the vaccine.",
          $ref: "#/definitions/CodeableConcept"
        },
        location: {
          description: "The service delivery location where the vaccine administration occurred.",
          $ref: "#/definitions/Reference"
        },
        manufacturer: {
          description: "Name of vaccine manufacturer.",
          $ref: "#/definitions/Reference"
        },
        lotNumber: {
          description: "Lot number of the  vaccine product.",
          $ref: "#/definitions/string"
        },
        _lotNumber: {
          description: "Extensions for lotNumber",
          $ref: "#/definitions/Element"
        },
        expirationDate: {
          description: "Date vaccine batch expires.",
          $ref: "#/definitions/date"
        },
        _expirationDate: {
          description: "Extensions for expirationDate",
          $ref: "#/definitions/Element"
        },
        site: {
          description: "Body site where vaccine was administered.",
          $ref: "#/definitions/CodeableConcept"
        },
        route: {
          description: "The path by which the vaccine product is taken into the body.",
          $ref: "#/definitions/CodeableConcept"
        },
        doseQuantity: {
          description: "The quantity of vaccine product that was administered.",
          $ref: "#/definitions/Quantity"
        },
        performer: {
          description: "Indicates who performed the immunization event.",
          items: {
            $ref: "#/definitions/Immunization_Performer"
          },
          type: "array"
        },
        note: {
          description: "Extra information about the immunization that is not conveyed by the other attributes.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        reasonCode: {
          description: "Reasons why the vaccine was administered.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Condition, Observation or DiagnosticReport that supports why the immunization was administered.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        isSubpotent: {
          description: "Indication if a dose is considered to be subpotent. By default, a dose should be considered to be potent.",
          $ref: "#/definitions/boolean"
        },
        _isSubpotent: {
          description: "Extensions for isSubpotent",
          $ref: "#/definitions/Element"
        },
        subpotentReason: {
          description: "Reason why a dose is considered to be subpotent.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        education: {
          description: "Educational material presented to the patient (or guardian) at the time of vaccine administration.",
          items: {
            $ref: "#/definitions/Immunization_Education"
          },
          type: "array"
        },
        programEligibility: {
          description: "Indicates a patient's eligibility for a funding program.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        fundingSource: {
          description: "Indicates the source of the vaccine actually administered. This may be different than the patient eligibility (e.g. the patient may be eligible for a publically purchased vaccine but due to inventory issues, vaccine purchased with private funds was actually administered).",
          $ref: "#/definitions/CodeableConcept"
        },
        reaction: {
          description: "Categorical data indicating that an adverse event is associated in time to an immunization.",
          items: {
            $ref: "#/definitions/Immunization_Reaction"
          },
          type: "array"
        },
        protocolApplied: {
          description: "The protocol (set of recommendations) being followed by the provider who administered the dose.",
          items: {
            $ref: "#/definitions/Immunization_ProtocolApplied"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["patient", "vaccineCode", "resourceType"]
    },
    Immunization_Performer: {
      description: "Describes the event of a patient being administered a vaccine or a record of an immunization as reported by a patient, a clinician or another party.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        function: {
          description: "Describes the type of performance (e.g. ordering provider, administering provider, etc.).",
          $ref: "#/definitions/CodeableConcept"
        },
        actor: {
          description: "The practitioner or organization who performed the action.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["actor"]
    },
    Immunization_Education: {
      description: "Describes the event of a patient being administered a vaccine or a record of an immunization as reported by a patient, a clinician or another party.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        documentType: {
          description: "Identifier of the material presented to the patient.",
          $ref: "#/definitions/string"
        },
        _documentType: {
          description: "Extensions for documentType",
          $ref: "#/definitions/Element"
        },
        reference: {
          description: "Reference pointer to the educational material given to the patient if the information was on line.",
          $ref: "#/definitions/uri"
        },
        _reference: {
          description: "Extensions for reference",
          $ref: "#/definitions/Element"
        },
        publicationDate: {
          description: "Date the educational material was published.",
          $ref: "#/definitions/dateTime"
        },
        _publicationDate: {
          description: "Extensions for publicationDate",
          $ref: "#/definitions/Element"
        },
        presentationDate: {
          description: "Date the educational material was given to the patient.",
          $ref: "#/definitions/dateTime"
        },
        _presentationDate: {
          description: "Extensions for presentationDate",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Immunization_Reaction: {
      description: "Describes the event of a patient being administered a vaccine or a record of an immunization as reported by a patient, a clinician or another party.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        date: {
          description: "Date of reaction to the immunization.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        detail: {
          description: "Details of the reaction.",
          $ref: "#/definitions/Reference"
        },
        reported: {
          description: "Self-reported indicator.",
          $ref: "#/definitions/boolean"
        },
        _reported: {
          description: "Extensions for reported",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Immunization_ProtocolApplied: {
      description: "Describes the event of a patient being administered a vaccine or a record of an immunization as reported by a patient, a clinician or another party.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        series: {
          description: "One possible path to achieve presumed immunity against a disease - within the context of an authority.",
          $ref: "#/definitions/string"
        },
        _series: {
          description: "Extensions for series",
          $ref: "#/definitions/Element"
        },
        authority: {
          description: "Indicates the authority who published the protocol (e.g. ACIP) that is being followed.",
          $ref: "#/definitions/Reference"
        },
        targetDisease: {
          description: "The vaccine preventable disease the dose is being administered against.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        doseNumberPositiveInt: {
          description: "Nominal position in a series.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _doseNumberPositiveInt: {
          description: "Extensions for doseNumberPositiveInt",
          $ref: "#/definitions/Element"
        },
        doseNumberString: {
          description: "Nominal position in a series.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _doseNumberString: {
          description: "Extensions for doseNumberString",
          $ref: "#/definitions/Element"
        },
        seriesDosesPositiveInt: {
          description: "The recommended number of doses to achieve immunity.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _seriesDosesPositiveInt: {
          description: "Extensions for seriesDosesPositiveInt",
          $ref: "#/definitions/Element"
        },
        seriesDosesString: {
          description: "The recommended number of doses to achieve immunity.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _seriesDosesString: {
          description: "Extensions for seriesDosesString",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ImmunizationEvaluation: {
      description: 'Describes a comparison of an immunization event against published recommendations to determine if the administration is "valid" in relation to those  recommendations.',
      properties: {
        resourceType: {
          description: "This is a ImmunizationEvaluation resource",
          const: "ImmunizationEvaluation"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier assigned to this immunization evaluation record.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "Indicates the current status of the evaluation of the vaccination administration event.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        patient: {
          description: "The individual for whom the evaluation is being done.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date the evaluation of the vaccine administration event was performed.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        authority: {
          description: "Indicates the authority who published the protocol (e.g. ACIP).",
          $ref: "#/definitions/Reference"
        },
        targetDisease: {
          description: "The vaccine preventable disease the dose is being evaluated against.",
          $ref: "#/definitions/CodeableConcept"
        },
        immunizationEvent: {
          description: "The vaccine administration event being evaluated.",
          $ref: "#/definitions/Reference"
        },
        doseStatus: {
          description: "Indicates if the dose is valid or not valid with respect to the published recommendations.",
          $ref: "#/definitions/CodeableConcept"
        },
        doseStatusReason: {
          description: "Provides an explanation as to why the vaccine administration event is valid or not relative to the published recommendations.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        description: {
          description: "Additional information about the evaluation.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        series: {
          description: "One possible path to achieve presumed immunity against a disease - within the context of an authority.",
          $ref: "#/definitions/string"
        },
        _series: {
          description: "Extensions for series",
          $ref: "#/definitions/Element"
        },
        doseNumberPositiveInt: {
          description: "Nominal position in a series.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _doseNumberPositiveInt: {
          description: "Extensions for doseNumberPositiveInt",
          $ref: "#/definitions/Element"
        },
        doseNumberString: {
          description: "Nominal position in a series.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _doseNumberString: {
          description: "Extensions for doseNumberString",
          $ref: "#/definitions/Element"
        },
        seriesDosesPositiveInt: {
          description: "The recommended number of doses to achieve immunity.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _seriesDosesPositiveInt: {
          description: "Extensions for seriesDosesPositiveInt",
          $ref: "#/definitions/Element"
        },
        seriesDosesString: {
          description: "The recommended number of doses to achieve immunity.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _seriesDosesString: {
          description: "Extensions for seriesDosesString",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["doseStatus", "patient", "targetDisease", "immunizationEvent", "resourceType"]
    },
    ImmunizationRecommendation: {
      description: "A patient's point-in-time set of recommendations (i.e. forecasting) according to a published schedule with optional supporting justification.",
      properties: {
        resourceType: {
          description: "This is a ImmunizationRecommendation resource",
          const: "ImmunizationRecommendation"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier assigned to this particular recommendation record.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        patient: {
          description: "The patient the recommendation(s) are for.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date the immunization recommendation(s) were created.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        authority: {
          description: "Indicates the authority who published the protocol (e.g. ACIP).",
          $ref: "#/definitions/Reference"
        },
        recommendation: {
          description: "Vaccine administration recommendations.",
          items: {
            $ref: "#/definitions/ImmunizationRecommendation_Recommendation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["patient", "recommendation", "resourceType"]
    },
    ImmunizationRecommendation_Recommendation: {
      description: "A patient's point-in-time set of recommendations (i.e. forecasting) according to a published schedule with optional supporting justification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        vaccineCode: {
          description: "Vaccine(s) or vaccine group that pertain to the recommendation.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        targetDisease: {
          description: "The targeted disease for the recommendation.",
          $ref: "#/definitions/CodeableConcept"
        },
        contraindicatedVaccineCode: {
          description: "Vaccine(s) which should not be used to fulfill the recommendation.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        forecastStatus: {
          description: "Indicates the patient status with respect to the path to immunity for the target disease.",
          $ref: "#/definitions/CodeableConcept"
        },
        forecastReason: {
          description: "The reason for the assigned forecast status.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        dateCriterion: {
          description: "Vaccine date recommendations.  For example, earliest date to administer, latest date to administer, etc.",
          items: {
            $ref: "#/definitions/ImmunizationRecommendation_DateCriterion"
          },
          type: "array"
        },
        description: {
          description: "Contains the description about the protocol under which the vaccine was administered.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        series: {
          description: "One possible path to achieve presumed immunity against a disease - within the context of an authority.",
          $ref: "#/definitions/string"
        },
        _series: {
          description: "Extensions for series",
          $ref: "#/definitions/Element"
        },
        doseNumberPositiveInt: {
          description: "Nominal position of the recommended dose in a series (e.g. dose 2 is the next recommended dose).",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _doseNumberPositiveInt: {
          description: "Extensions for doseNumberPositiveInt",
          $ref: "#/definitions/Element"
        },
        doseNumberString: {
          description: "Nominal position of the recommended dose in a series (e.g. dose 2 is the next recommended dose).",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _doseNumberString: {
          description: "Extensions for doseNumberString",
          $ref: "#/definitions/Element"
        },
        seriesDosesPositiveInt: {
          description: "The recommended number of doses to achieve immunity.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _seriesDosesPositiveInt: {
          description: "Extensions for seriesDosesPositiveInt",
          $ref: "#/definitions/Element"
        },
        seriesDosesString: {
          description: "The recommended number of doses to achieve immunity.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _seriesDosesString: {
          description: "Extensions for seriesDosesString",
          $ref: "#/definitions/Element"
        },
        supportingImmunization: {
          description: "Immunization event history and/or evaluation that supports the status and recommendation.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        supportingPatientInformation: {
          description: "Patient Information that supports the status and recommendation.  This includes patient observations, adverse reactions and allergy/intolerance information.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["forecastStatus"]
    },
    ImmunizationRecommendation_DateCriterion: {
      description: "A patient's point-in-time set of recommendations (i.e. forecasting) according to a published schedule with optional supporting justification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Date classification of recommendation.  For example, earliest date to give, latest date to give, etc.",
          $ref: "#/definitions/CodeableConcept"
        },
        value: {
          description: "The date whose meaning is specified by dateCriterion.code.",
          $ref: "#/definitions/dateTime"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["code"]
    },
    ImplementationGuide: {
      description: "A set of rules of how a particular interoperability or standards problem is solved - typically through the use of FHIR resources. This resource is used to gather all the parts of an implementation guide into a logical whole and to publish a computable definition of all the parts.",
      properties: {
        resourceType: {
          description: "This is a ImplementationGuide resource",
          const: "ImplementationGuide"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this implementation guide when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this implementation guide is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the implementation guide is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The identifier that is used to identify this version of the implementation guide when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the implementation guide author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the implementation guide. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the implementation guide.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this implementation guide. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this implementation guide is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the implementation guide was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the implementation guide changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the implementation guide.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the implementation guide from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate implementation guide instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the implementation guide is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        copyright: {
          description: "A copyright statement relating to the implementation guide and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the implementation guide.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        packageId: {
          description: "The NPM package name for this Implementation Guide, used in the NPM package distribution, which is the primary mechanism by which FHIR based tooling manages IG dependencies. This value must be globally unique, and should be assigned with care.",
          $ref: "#/definitions/id"
        },
        _packageId: {
          description: "Extensions for packageId",
          $ref: "#/definitions/Element"
        },
        license: {
          description: "The license that applies to this Implementation Guide, using an SPDX license code, or 'not-open-source'.",
          enum: [
            "not-open-source",
            "0BSD",
            "AAL",
            "Abstyles",
            "Adobe-2006",
            "Adobe-Glyph",
            "ADSL",
            "AFL-1.1",
            "AFL-1.2",
            "AFL-2.0",
            "AFL-2.1",
            "AFL-3.0",
            "Afmparse",
            "AGPL-1.0-only",
            "AGPL-1.0-or-later",
            "AGPL-3.0-only",
            "AGPL-3.0-or-later",
            "Aladdin",
            "AMDPLPA",
            "AML",
            "AMPAS",
            "ANTLR-PD",
            "Apache-1.0",
            "Apache-1.1",
            "Apache-2.0",
            "APAFML",
            "APL-1.0",
            "APSL-1.0",
            "APSL-1.1",
            "APSL-1.2",
            "APSL-2.0",
            "Artistic-1.0-cl8",
            "Artistic-1.0-Perl",
            "Artistic-1.0",
            "Artistic-2.0",
            "Bahyph",
            "Barr",
            "Beerware",
            "BitTorrent-1.0",
            "BitTorrent-1.1",
            "Borceux",
            "BSD-1-Clause",
            "BSD-2-Clause-FreeBSD",
            "BSD-2-Clause-NetBSD",
            "BSD-2-Clause-Patent",
            "BSD-2-Clause",
            "BSD-3-Clause-Attribution",
            "BSD-3-Clause-Clear",
            "BSD-3-Clause-LBNL",
            "BSD-3-Clause-No-Nuclear-License-2014",
            "BSD-3-Clause-No-Nuclear-License",
            "BSD-3-Clause-No-Nuclear-Warranty",
            "BSD-3-Clause",
            "BSD-4-Clause-UC",
            "BSD-4-Clause",
            "BSD-Protection",
            "BSD-Source-Code",
            "BSL-1.0",
            "bzip2-1.0.5",
            "bzip2-1.0.6",
            "Caldera",
            "CATOSL-1.1",
            "CC-BY-1.0",
            "CC-BY-2.0",
            "CC-BY-2.5",
            "CC-BY-3.0",
            "CC-BY-4.0",
            "CC-BY-NC-1.0",
            "CC-BY-NC-2.0",
            "CC-BY-NC-2.5",
            "CC-BY-NC-3.0",
            "CC-BY-NC-4.0",
            "CC-BY-NC-ND-1.0",
            "CC-BY-NC-ND-2.0",
            "CC-BY-NC-ND-2.5",
            "CC-BY-NC-ND-3.0",
            "CC-BY-NC-ND-4.0",
            "CC-BY-NC-SA-1.0",
            "CC-BY-NC-SA-2.0",
            "CC-BY-NC-SA-2.5",
            "CC-BY-NC-SA-3.0",
            "CC-BY-NC-SA-4.0",
            "CC-BY-ND-1.0",
            "CC-BY-ND-2.0",
            "CC-BY-ND-2.5",
            "CC-BY-ND-3.0",
            "CC-BY-ND-4.0",
            "CC-BY-SA-1.0",
            "CC-BY-SA-2.0",
            "CC-BY-SA-2.5",
            "CC-BY-SA-3.0",
            "CC-BY-SA-4.0",
            "CC0-1.0",
            "CDDL-1.0",
            "CDDL-1.1",
            "CDLA-Permissive-1.0",
            "CDLA-Sharing-1.0",
            "CECILL-1.0",
            "CECILL-1.1",
            "CECILL-2.0",
            "CECILL-2.1",
            "CECILL-B",
            "CECILL-C",
            "ClArtistic",
            "CNRI-Jython",
            "CNRI-Python-GPL-Compatible",
            "CNRI-Python",
            "Condor-1.1",
            "CPAL-1.0",
            "CPL-1.0",
            "CPOL-1.02",
            "Crossword",
            "CrystalStacker",
            "CUA-OPL-1.0",
            "Cube",
            "curl",
            "D-FSL-1.0",
            "diffmark",
            "DOC",
            "Dotseqn",
            "DSDP",
            "dvipdfm",
            "ECL-1.0",
            "ECL-2.0",
            "EFL-1.0",
            "EFL-2.0",
            "eGenix",
            "Entessa",
            "EPL-1.0",
            "EPL-2.0",
            "ErlPL-1.1",
            "EUDatagrid",
            "EUPL-1.0",
            "EUPL-1.1",
            "EUPL-1.2",
            "Eurosym",
            "Fair",
            "Frameworx-1.0",
            "FreeImage",
            "FSFAP",
            "FSFUL",
            "FSFULLR",
            "FTL",
            "GFDL-1.1-only",
            "GFDL-1.1-or-later",
            "GFDL-1.2-only",
            "GFDL-1.2-or-later",
            "GFDL-1.3-only",
            "GFDL-1.3-or-later",
            "Giftware",
            "GL2PS",
            "Glide",
            "Glulxe",
            "gnuplot",
            "GPL-1.0-only",
            "GPL-1.0-or-later",
            "GPL-2.0-only",
            "GPL-2.0-or-later",
            "GPL-3.0-only",
            "GPL-3.0-or-later",
            "gSOAP-1.3b",
            "HaskellReport",
            "HPND",
            "IBM-pibs",
            "ICU",
            "IJG",
            "ImageMagick",
            "iMatix",
            "Imlib2",
            "Info-ZIP",
            "Intel-ACPI",
            "Intel",
            "Interbase-1.0",
            "IPA",
            "IPL-1.0",
            "ISC",
            "JasPer-2.0",
            "JSON",
            "LAL-1.2",
            "LAL-1.3",
            "Latex2e",
            "Leptonica",
            "LGPL-2.0-only",
            "LGPL-2.0-or-later",
            "LGPL-2.1-only",
            "LGPL-2.1-or-later",
            "LGPL-3.0-only",
            "LGPL-3.0-or-later",
            "LGPLLR",
            "Libpng",
            "libtiff",
            "LiLiQ-P-1.1",
            "LiLiQ-R-1.1",
            "LiLiQ-Rplus-1.1",
            "Linux-OpenIB",
            "LPL-1.0",
            "LPL-1.02",
            "LPPL-1.0",
            "LPPL-1.1",
            "LPPL-1.2",
            "LPPL-1.3a",
            "LPPL-1.3c",
            "MakeIndex",
            "MirOS",
            "MIT-0",
            "MIT-advertising",
            "MIT-CMU",
            "MIT-enna",
            "MIT-feh",
            "MIT",
            "MITNFA",
            "Motosoto",
            "mpich2",
            "MPL-1.0",
            "MPL-1.1",
            "MPL-2.0-no-copyleft-exception",
            "MPL-2.0",
            "MS-PL",
            "MS-RL",
            "MTLL",
            "Multics",
            "Mup",
            "NASA-1.3",
            "Naumen",
            "NBPL-1.0",
            "NCSA",
            "Net-SNMP",
            "NetCDF",
            "Newsletr",
            "NGPL",
            "NLOD-1.0",
            "NLPL",
            "Nokia",
            "NOSL",
            "Noweb",
            "NPL-1.0",
            "NPL-1.1",
            "NPOSL-3.0",
            "NRL",
            "NTP",
            "OCCT-PL",
            "OCLC-2.0",
            "ODbL-1.0",
            "OFL-1.0",
            "OFL-1.1",
            "OGTSL",
            "OLDAP-1.1",
            "OLDAP-1.2",
            "OLDAP-1.3",
            "OLDAP-1.4",
            "OLDAP-2.0.1",
            "OLDAP-2.0",
            "OLDAP-2.1",
            "OLDAP-2.2.1",
            "OLDAP-2.2.2",
            "OLDAP-2.2",
            "OLDAP-2.3",
            "OLDAP-2.4",
            "OLDAP-2.5",
            "OLDAP-2.6",
            "OLDAP-2.7",
            "OLDAP-2.8",
            "OML",
            "OpenSSL",
            "OPL-1.0",
            "OSET-PL-2.1",
            "OSL-1.0",
            "OSL-1.1",
            "OSL-2.0",
            "OSL-2.1",
            "OSL-3.0",
            "PDDL-1.0",
            "PHP-3.0",
            "PHP-3.01",
            "Plexus",
            "PostgreSQL",
            "psfrag",
            "psutils",
            "Python-2.0",
            "Qhull",
            "QPL-1.0",
            "Rdisc",
            "RHeCos-1.1",
            "RPL-1.1",
            "RPL-1.5",
            "RPSL-1.0",
            "RSA-MD",
            "RSCPL",
            "Ruby",
            "SAX-PD",
            "Saxpath",
            "SCEA",
            "Sendmail",
            "SGI-B-1.0",
            "SGI-B-1.1",
            "SGI-B-2.0",
            "SimPL-2.0",
            "SISSL-1.2",
            "SISSL",
            "Sleepycat",
            "SMLNJ",
            "SMPPL",
            "SNIA",
            "Spencer-86",
            "Spencer-94",
            "Spencer-99",
            "SPL-1.0",
            "SugarCRM-1.1.3",
            "SWL",
            "TCL",
            "TCP-wrappers",
            "TMate",
            "TORQUE-1.1",
            "TOSL",
            "Unicode-DFS-2015",
            "Unicode-DFS-2016",
            "Unicode-TOU",
            "Unlicense",
            "UPL-1.0",
            "Vim",
            "VOSTROM",
            "VSL-1.0",
            "W3C-19980720",
            "W3C-20150513",
            "W3C",
            "Watcom-1.0",
            "Wsuipa",
            "WTFPL",
            "X11",
            "Xerox",
            "XFree86-1.1",
            "xinetd",
            "Xnet",
            "xpp",
            "XSkat",
            "YPL-1.0",
            "YPL-1.1",
            "Zed",
            "Zend-2.0",
            "Zimbra-1.3",
            "Zimbra-1.4",
            "zlib-acknowledgement",
            "Zlib",
            "ZPL-1.1",
            "ZPL-2.0",
            "ZPL-2.1"
          ]
        },
        _license: {
          description: "Extensions for license",
          $ref: "#/definitions/Element"
        },
        fhirVersion: {
          description: "The version(s) of the FHIR specification that this ImplementationGuide targets - e.g. describes how to use. The value of this element is the formal version of the specification, without the revision number, e.g. [publication].[major].[minor], which is 4.0.1. for this version.",
          items: {
            enum: [
              "0.01",
              "0.05",
              "0.06",
              "0.11",
              "0.0.80",
              "0.0.81",
              "0.0.82",
              "0.4.0",
              "0.5.0",
              "1.0.0",
              "1.0.1",
              "1.0.2",
              "1.1.0",
              "1.4.0",
              "1.6.0",
              "1.8.0",
              "3.0.0",
              "3.0.1",
              "3.3.0",
              "3.5.0",
              "4.0.0",
              "4.0.1"
            ]
          },
          type: "array"
        },
        _fhirVersion: {
          description: "Extensions for fhirVersion",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        dependsOn: {
          description: "Another implementation guide that this implementation depends on. Typically, an implementation guide uses value sets, profiles etc.defined in other implementation guides.",
          items: {
            $ref: "#/definitions/ImplementationGuide_DependsOn"
          },
          type: "array"
        },
        global: {
          description: "A set of profiles that all resources covered by this implementation guide must conform to.",
          items: {
            $ref: "#/definitions/ImplementationGuide_Global"
          },
          type: "array"
        },
        definition: {
          description: "The information needed by an IG publisher tool to publish the whole implementation guide.",
          $ref: "#/definitions/ImplementationGuide_Definition"
        },
        manifest: {
          description: "Information about an assembled implementation guide, created by the publication tooling.",
          $ref: "#/definitions/ImplementationGuide_Manifest"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    ImplementationGuide_DependsOn: {
      description: "A set of rules of how a particular interoperability or standards problem is solved - typically through the use of FHIR resources. This resource is used to gather all the parts of an implementation guide into a logical whole and to publish a computable definition of all the parts.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        uri: {
          description: "A canonical reference to the Implementation guide for the dependency.",
          $ref: "#/definitions/canonical"
        },
        packageId: {
          description: "The NPM package name for the Implementation Guide that this IG depends on.",
          $ref: "#/definitions/id"
        },
        _packageId: {
          description: "Extensions for packageId",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The version of the IG that is depended on, when the correct version is required to understand the IG correctly.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["uri"]
    },
    ImplementationGuide_Global: {
      description: "A set of rules of how a particular interoperability or standards problem is solved - typically through the use of FHIR resources. This resource is used to gather all the parts of an implementation guide into a logical whole and to publish a computable definition of all the parts.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of resource that all instances must conform to.",
          $ref: "#/definitions/code"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        profile: {
          description: "A reference to the profile that all instances must conform to.",
          $ref: "#/definitions/canonical"
        }
      },
      additionalProperties: false,
      required: ["profile"]
    },
    ImplementationGuide_Definition: {
      description: "A set of rules of how a particular interoperability or standards problem is solved - typically through the use of FHIR resources. This resource is used to gather all the parts of an implementation guide into a logical whole and to publish a computable definition of all the parts.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        grouping: {
          description: "A logical group of resources. Logical groups can be used when building pages.",
          items: {
            $ref: "#/definitions/ImplementationGuide_Grouping"
          },
          type: "array"
        },
        resource: {
          description: "A resource that is part of the implementation guide. Conformance resources (value set, structure definition, capability statements etc.) are obvious candidates for inclusion, but any kind of resource can be included as an example resource.",
          items: {
            $ref: "#/definitions/ImplementationGuide_Resource"
          },
          type: "array"
        },
        page: {
          description: "A page / section in the implementation guide. The root page is the implementation guide home page.",
          $ref: "#/definitions/ImplementationGuide_Page"
        },
        parameter: {
          description: "Defines how IG is built by tools.",
          items: {
            $ref: "#/definitions/ImplementationGuide_Parameter"
          },
          type: "array"
        },
        template: {
          description: "A template for building resources.",
          items: {
            $ref: "#/definitions/ImplementationGuide_Template"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resource"]
    },
    ImplementationGuide_Grouping: {
      description: "A set of rules of how a particular interoperability or standards problem is solved - typically through the use of FHIR resources. This resource is used to gather all the parts of an implementation guide into a logical whole and to publish a computable definition of all the parts.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "The human-readable title to display for the package of resources when rendering the implementation guide.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "Human readable text describing the package.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ImplementationGuide_Resource: {
      description: "A set of rules of how a particular interoperability or standards problem is solved - typically through the use of FHIR resources. This resource is used to gather all the parts of an implementation guide into a logical whole and to publish a computable definition of all the parts.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        reference: {
          description: "Where this resource is found.",
          $ref: "#/definitions/Reference"
        },
        fhirVersion: {
          description: "Indicates the FHIR Version(s) this artifact is intended to apply to. If no versions are specified, the resource is assumed to apply to all the versions stated in ImplementationGuide.fhirVersion.",
          items: {
            enum: [
              "0.01",
              "0.05",
              "0.06",
              "0.11",
              "0.0.80",
              "0.0.81",
              "0.0.82",
              "0.4.0",
              "0.5.0",
              "1.0.0",
              "1.0.1",
              "1.0.2",
              "1.1.0",
              "1.4.0",
              "1.6.0",
              "1.8.0",
              "3.0.0",
              "3.0.1",
              "3.3.0",
              "3.5.0",
              "4.0.0",
              "4.0.1"
            ]
          },
          type: "array"
        },
        _fhirVersion: {
          description: "Extensions for fhirVersion",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        name: {
          description: "A human assigned name for the resource. All resources SHOULD have a name, but the name may be extracted from the resource (e.g. ValueSet.name).",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A description of the reason that a resource has been included in the implementation guide.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        exampleBoolean: {
          description: "If true or a reference, indicates the resource is an example instance.  If a reference is present, indicates that the example is an example of the specified profile.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _exampleBoolean: {
          description: "Extensions for exampleBoolean",
          $ref: "#/definitions/Element"
        },
        exampleCanonical: {
          description: "If true or a reference, indicates the resource is an example instance.  If a reference is present, indicates that the example is an example of the specified profile.",
          pattern: "^\\S*$",
          type: "string"
        },
        _exampleCanonical: {
          description: "Extensions for exampleCanonical",
          $ref: "#/definitions/Element"
        },
        groupingId: {
          description: "Reference to the id of the grouping this resource appears in.",
          $ref: "#/definitions/id"
        },
        _groupingId: {
          description: "Extensions for groupingId",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["reference"]
    },
    ImplementationGuide_Page: {
      description: "A set of rules of how a particular interoperability or standards problem is solved - typically through the use of FHIR resources. This resource is used to gather all the parts of an implementation guide into a logical whole and to publish a computable definition of all the parts.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        nameUrl: {
          description: "The source address for the page.",
          pattern: "^\\S*$",
          type: "string"
        },
        _nameUrl: {
          description: "Extensions for nameUrl",
          $ref: "#/definitions/Element"
        },
        nameReference: {
          description: "The source address for the page.",
          $ref: "#/definitions/Reference"
        },
        title: {
          description: "A short title used to represent this page in navigational structures such as table of contents, bread crumbs, etc.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        generation: {
          description: "A code that indicates how the page is generated.",
          enum: ["html", "markdown", "xml", "generated"]
        },
        _generation: {
          description: "Extensions for generation",
          $ref: "#/definitions/Element"
        },
        page: {
          description: "Nested Pages/Sections under this page.",
          items: {
            $ref: "#/definitions/ImplementationGuide_Page"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ImplementationGuide_Parameter: {
      description: "A set of rules of how a particular interoperability or standards problem is solved - typically through the use of FHIR resources. This resource is used to gather all the parts of an implementation guide into a logical whole and to publish a computable definition of all the parts.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "apply | path-resource | path-pages | path-tx-cache | expansion-parameter | rule-broken-links | generate-xml | generate-json | generate-turtle | html-template.",
          enum: [
            "apply",
            "path-resource",
            "path-pages",
            "path-tx-cache",
            "expansion-parameter",
            "rule-broken-links",
            "generate-xml",
            "generate-json",
            "generate-turtle",
            "html-template"
          ]
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        value: {
          description: "Value for named type.",
          $ref: "#/definitions/string"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ImplementationGuide_Template: {
      description: "A set of rules of how a particular interoperability or standards problem is solved - typically through the use of FHIR resources. This resource is used to gather all the parts of an implementation guide into a logical whole and to publish a computable definition of all the parts.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Type of template specified.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        source: {
          description: "The source location for the template.",
          $ref: "#/definitions/string"
        },
        _source: {
          description: "Extensions for source",
          $ref: "#/definitions/Element"
        },
        scope: {
          description: "The scope in which the template applies.",
          $ref: "#/definitions/string"
        },
        _scope: {
          description: "Extensions for scope",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ImplementationGuide_Manifest: {
      description: "A set of rules of how a particular interoperability or standards problem is solved - typically through the use of FHIR resources. This resource is used to gather all the parts of an implementation guide into a logical whole and to publish a computable definition of all the parts.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        rendering: {
          description: "A pointer to official web page, PDF or other rendering of the implementation guide.",
          $ref: "#/definitions/url"
        },
        _rendering: {
          description: "Extensions for rendering",
          $ref: "#/definitions/Element"
        },
        resource: {
          description: "A resource that is part of the implementation guide. Conformance resources (value set, structure definition, capability statements etc.) are obvious candidates for inclusion, but any kind of resource can be included as an example resource.",
          items: {
            $ref: "#/definitions/ImplementationGuide_Resource1"
          },
          type: "array"
        },
        page: {
          description: "Information about a page within the IG.",
          items: {
            $ref: "#/definitions/ImplementationGuide_Page1"
          },
          type: "array"
        },
        image: {
          description: "Indicates a relative path to an image that exists within the IG.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _image: {
          description: "Extensions for image",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        other: {
          description: "Indicates the relative path of an additional non-page, non-image file that is part of the IG - e.g. zip, jar and similar files that could be the target of a hyperlink in a derived IG.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _other: {
          description: "Extensions for other",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resource"]
    },
    ImplementationGuide_Resource1: {
      description: "A set of rules of how a particular interoperability or standards problem is solved - typically through the use of FHIR resources. This resource is used to gather all the parts of an implementation guide into a logical whole and to publish a computable definition of all the parts.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        reference: {
          description: "Where this resource is found.",
          $ref: "#/definitions/Reference"
        },
        exampleBoolean: {
          description: "If true or a reference, indicates the resource is an example instance.  If a reference is present, indicates that the example is an example of the specified profile.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _exampleBoolean: {
          description: "Extensions for exampleBoolean",
          $ref: "#/definitions/Element"
        },
        exampleCanonical: {
          description: "If true or a reference, indicates the resource is an example instance.  If a reference is present, indicates that the example is an example of the specified profile.",
          pattern: "^\\S*$",
          type: "string"
        },
        _exampleCanonical: {
          description: "Extensions for exampleCanonical",
          $ref: "#/definitions/Element"
        },
        relativePath: {
          description: "The relative path for primary page for this resource within the IG.",
          $ref: "#/definitions/url"
        },
        _relativePath: {
          description: "Extensions for relativePath",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["reference"]
    },
    ImplementationGuide_Page1: {
      description: "A set of rules of how a particular interoperability or standards problem is solved - typically through the use of FHIR resources. This resource is used to gather all the parts of an implementation guide into a logical whole and to publish a computable definition of all the parts.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "Relative path to the page.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "Label for the page intended for human display.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        anchor: {
          description: "The name of an anchor available on the page.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _anchor: {
          description: "Extensions for anchor",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    InsurancePlan: {
      description: "Details of a Health Insurance product/plan provided by an organization.",
      properties: {
        resourceType: {
          description: "This is a InsurancePlan resource",
          const: "InsurancePlan"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this health insurance product which remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The current state of the health insurance product.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The kind of health insurance product.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        name: {
          description: "Official name of the health insurance product as designated by the owner.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        alias: {
          description: "A list of alternate names that the product is known as, or was known as in the past.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _alias: {
          description: "Extensions for alias",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        period: {
          description: "The period of time that the health insurance product is available.",
          $ref: "#/definitions/Period"
        },
        ownedBy: {
          description: "The entity that is providing  the health insurance product and underwriting the risk.  This is typically an insurance carriers, other third-party payers, or health plan sponsors comonly referred to as 'payers'.",
          $ref: "#/definitions/Reference"
        },
        administeredBy: {
          description: "An organization which administer other services such as underwriting, customer service and/or claims processing on behalf of the health insurance product owner.",
          $ref: "#/definitions/Reference"
        },
        coverageArea: {
          description: "The geographic region in which a health insurance product's benefits apply.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        contact: {
          description: "The contact for the health insurance product for a certain purpose.",
          items: {
            $ref: "#/definitions/InsurancePlan_Contact"
          },
          type: "array"
        },
        endpoint: {
          description: "The technical endpoints providing access to services operated for the health insurance product.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        network: {
          description: "Reference to the network included in the health insurance product.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        coverage: {
          description: "Details about the coverage offered by the insurance product.",
          items: {
            $ref: "#/definitions/InsurancePlan_Coverage"
          },
          type: "array"
        },
        plan: {
          description: "Details about an insurance plan.",
          items: {
            $ref: "#/definitions/InsurancePlan_Plan"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    InsurancePlan_Contact: {
      description: "Details of a Health Insurance product/plan provided by an organization.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        purpose: {
          description: "Indicates a purpose for which the contact can be reached.",
          $ref: "#/definitions/CodeableConcept"
        },
        name: {
          description: "A name associated with the contact.",
          $ref: "#/definitions/HumanName"
        },
        telecom: {
          description: "A contact detail (e.g. a telephone number or an email address) by which the party may be contacted.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        address: {
          description: "Visiting or postal addresses for the contact.",
          $ref: "#/definitions/Address"
        }
      },
      additionalProperties: false
    },
    InsurancePlan_Coverage: {
      description: "Details of a Health Insurance product/plan provided by an organization.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Type of coverage  (Medical; Dental; Mental Health; Substance Abuse; Vision; Drug; Short Term; Long Term Care; Hospice; Home Health).",
          $ref: "#/definitions/CodeableConcept"
        },
        network: {
          description: "Reference to the network that providing the type of coverage.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        benefit: {
          description: "Specific benefits under this type of coverage.",
          items: {
            $ref: "#/definitions/InsurancePlan_Benefit"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["type", "benefit"]
    },
    InsurancePlan_Benefit: {
      description: "Details of a Health Insurance product/plan provided by an organization.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Type of benefit (primary care; speciality care; inpatient; outpatient).",
          $ref: "#/definitions/CodeableConcept"
        },
        requirement: {
          description: "The referral requirements to have access/coverage for this benefit.",
          $ref: "#/definitions/string"
        },
        _requirement: {
          description: "Extensions for requirement",
          $ref: "#/definitions/Element"
        },
        limit: {
          description: "The specific limits on the benefit.",
          items: {
            $ref: "#/definitions/InsurancePlan_Limit"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    InsurancePlan_Limit: {
      description: "Details of a Health Insurance product/plan provided by an organization.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        value: {
          description: "The maximum amount of a service item a plan will pay for a covered benefit.  For examples. wellness visits, or eyeglasses.",
          $ref: "#/definitions/Quantity"
        },
        code: {
          description: "The specific limit on the benefit.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    InsurancePlan_Plan: {
      description: "Details of a Health Insurance product/plan provided by an organization.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this health insurance plan which remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        type: {
          description: 'Type of plan. For example, "Platinum" or "High Deductable".',
          $ref: "#/definitions/CodeableConcept"
        },
        coverageArea: {
          description: "The geographic region in which a health insurance plan's benefits apply.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        network: {
          description: "Reference to the network that providing the type of coverage.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        generalCost: {
          description: "Overall costs associated with the plan.",
          items: {
            $ref: "#/definitions/InsurancePlan_GeneralCost"
          },
          type: "array"
        },
        specificCost: {
          description: "Costs associated with the coverage provided by the product.",
          items: {
            $ref: "#/definitions/InsurancePlan_SpecificCost"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    InsurancePlan_GeneralCost: {
      description: "Details of a Health Insurance product/plan provided by an organization.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Type of cost.",
          $ref: "#/definitions/CodeableConcept"
        },
        groupSize: {
          description: "Number of participants enrolled in the plan.",
          $ref: "#/definitions/positiveInt"
        },
        _groupSize: {
          description: "Extensions for groupSize",
          $ref: "#/definitions/Element"
        },
        cost: {
          description: "Value of the cost.",
          $ref: "#/definitions/Money"
        },
        comment: {
          description: "Additional information about the general costs associated with this plan.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    InsurancePlan_SpecificCost: {
      description: "Details of a Health Insurance product/plan provided by an organization.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        category: {
          description: "General category of benefit (Medical; Dental; Vision; Drug; Mental Health; Substance Abuse; Hospice, Home Health).",
          $ref: "#/definitions/CodeableConcept"
        },
        benefit: {
          description: "List of the specific benefits under this category of benefit.",
          items: {
            $ref: "#/definitions/InsurancePlan_Benefit1"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["category"]
    },
    InsurancePlan_Benefit1: {
      description: "Details of a Health Insurance product/plan provided by an organization.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Type of specific benefit (preventative; primary care office visit; speciality office visit; hospitalization; emergency room; urgent care).",
          $ref: "#/definitions/CodeableConcept"
        },
        cost: {
          description: "List of the costs associated with a specific benefit.",
          items: {
            $ref: "#/definitions/InsurancePlan_Cost"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    InsurancePlan_Cost: {
      description: "Details of a Health Insurance product/plan provided by an organization.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Type of cost (copay; individual cap; family cap; coinsurance; deductible).",
          $ref: "#/definitions/CodeableConcept"
        },
        applicability: {
          description: "Whether the cost applies to in-network or out-of-network providers (in-network; out-of-network; other).",
          $ref: "#/definitions/CodeableConcept"
        },
        qualifiers: {
          description: "Additional information about the cost, such as information about funding sources (e.g. HSA, HRA, FSA, RRA).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        value: {
          description: "The actual cost value. (some of the costs may be represented as percentages rather than currency, e.g. 10% coinsurance).",
          $ref: "#/definitions/Quantity"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    Invoice: {
      description: "Invoice containing collected ChargeItems from an Account with calculated individual and total price for Billing purpose.",
      properties: {
        resourceType: {
          description: "This is a Invoice resource",
          const: "Invoice"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier of this Invoice, often used for reference in correspondence about this invoice or for tracking of payments.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The current state of the Invoice.",
          enum: ["draft", "issued", "balanced", "cancelled", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        cancelledReason: {
          description: "In case of Invoice cancellation a reason must be given (entered in error, superseded by corrected invoice etc.).",
          $ref: "#/definitions/string"
        },
        _cancelledReason: {
          description: "Extensions for cancelledReason",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Type of Invoice depending on domain, realm an usage (e.g. internal/external, dental, preliminary).",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "The individual or set of individuals receiving the goods and services billed in this invoice.",
          $ref: "#/definitions/Reference"
        },
        recipient: {
          description: "The individual or Organization responsible for balancing of this invoice.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "Date/time(s) of when this Invoice was posted.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        participant: {
          description: "Indicates who or what performed or participated in the charged service.",
          items: {
            $ref: "#/definitions/Invoice_Participant"
          },
          type: "array"
        },
        issuer: {
          description: "The organizationissuing the Invoice.",
          $ref: "#/definitions/Reference"
        },
        account: {
          description: "Account which is supposed to be balanced with this Invoice.",
          $ref: "#/definitions/Reference"
        },
        lineItem: {
          description: "Each line item represents one charge for goods and services rendered. Details such as date, code and amount are found in the referenced ChargeItem resource.",
          items: {
            $ref: "#/definitions/Invoice_LineItem"
          },
          type: "array"
        },
        totalPriceComponent: {
          description: "The total amount for the Invoice may be calculated as the sum of the line items with surcharges/deductions that apply in certain conditions.  The priceComponent element can be used to offer transparency to the recipient of the Invoice of how the total price was calculated.",
          items: {
            $ref: "#/definitions/Invoice_PriceComponent"
          },
          type: "array"
        },
        totalNet: {
          description: "Invoice total , taxes excluded.",
          $ref: "#/definitions/Money"
        },
        totalGross: {
          description: "Invoice total, tax included.",
          $ref: "#/definitions/Money"
        },
        paymentTerms: {
          description: "Payment details such as banking details, period of payment, deductibles, methods of payment.",
          $ref: "#/definitions/markdown"
        },
        _paymentTerms: {
          description: "Extensions for paymentTerms",
          $ref: "#/definitions/Element"
        },
        note: {
          description: "Comments made about the invoice by the issuer, subject, or other participants.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Invoice_Participant: {
      description: "Invoice containing collected ChargeItems from an Account with calculated individual and total price for Billing purpose.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        role: {
          description: "Describes the type of involvement (e.g. transcriptionist, creator etc.). If the invoice has been created automatically, the Participant may be a billing engine or another kind of device.",
          $ref: "#/definitions/CodeableConcept"
        },
        actor: {
          description: "The device, practitioner, etc. who performed or participated in the service.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["actor"]
    },
    Invoice_LineItem: {
      description: "Invoice containing collected ChargeItems from an Account with calculated individual and total price for Billing purpose.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequence: {
          description: "Sequence in which the items appear on the invoice.",
          $ref: "#/definitions/positiveInt"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        chargeItemReference: {
          description: "The ChargeItem contains information such as the billing code, date, amount etc. If no further details are required for the lineItem, inline billing codes can be added using the CodeableConcept data type instead of the Reference.",
          $ref: "#/definitions/Reference"
        },
        chargeItemCodeableConcept: {
          description: "The ChargeItem contains information such as the billing code, date, amount etc. If no further details are required for the lineItem, inline billing codes can be added using the CodeableConcept data type instead of the Reference.",
          $ref: "#/definitions/CodeableConcept"
        },
        priceComponent: {
          description: "The price for a ChargeItem may be calculated as a base price with surcharges/deductions that apply in certain conditions. A ChargeItemDefinition resource that defines the prices, factors and conditions that apply to a billing code is currently under development. The priceComponent element can be used to offer transparency to the recipient of the Invoice as to how the prices have been calculated.",
          items: {
            $ref: "#/definitions/Invoice_PriceComponent"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Invoice_PriceComponent: {
      description: "Invoice containing collected ChargeItems from an Account with calculated individual and total price for Billing purpose.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "This code identifies the type of the component.",
          enum: ["base", "surcharge", "deduction", "discount", "tax", "informational"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A code that identifies the component. Codes may be used to differentiate between kinds of taxes, surcharges, discounts etc.",
          $ref: "#/definitions/CodeableConcept"
        },
        factor: {
          description: "The factor that has been applied on the base price for calculating this component.",
          $ref: "#/definitions/decimal"
        },
        _factor: {
          description: "Extensions for factor",
          $ref: "#/definitions/Element"
        },
        amount: {
          description: "The amount calculated for this component.",
          $ref: "#/definitions/Money"
        }
      },
      additionalProperties: false
    },
    Library: {
      description: "The Library resource is a general-purpose container for knowledge asset definitions. It can be used to describe and expose existing knowledge assets such as logic libraries and information model descriptions, as well as to describe a collection of knowledge assets.",
      properties: {
        resourceType: {
          description: "This is a Library resource",
          const: "Library"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this library when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this library is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the library is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this library when it is represented in other formats, or referenced in a specification, model, design or an instance. e.g. CMS or NQF identifiers for a measure artifact. Note that at least one identifier is required for non-experimental active artifacts.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the library when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the library author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence. To provide a version consistent with the Decision Support Service specification, use the format Major.Minor.Revision (e.g. 1.0.0). For more information on versioning knowledge assets, refer to the Decision Support Service specification. Note that a version is required for non-experimental active artifacts.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the library. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the library.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        subtitle: {
          description: "An explanatory or alternate title for the library giving additional information about its content.",
          $ref: "#/definitions/string"
        },
        _subtitle: {
          description: "Extensions for subtitle",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this library. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this library is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Identifies the type of library such as a Logic Library, Model Definition, Asset Collection, or Module Definition.",
          $ref: "#/definitions/CodeableConcept"
        },
        subjectCodeableConcept: {
          description: "A code or group definition that describes the intended subject of the contents of the library.",
          $ref: "#/definitions/CodeableConcept"
        },
        subjectReference: {
          description: "A code or group definition that describes the intended subject of the contents of the library.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date  (and optionally time) when the library was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the library changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the library.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the library from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate library instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the library is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this library is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        usage: {
          description: "A detailed description of how the library is used from a clinical perspective.",
          $ref: "#/definitions/string"
        },
        _usage: {
          description: "Extensions for usage",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the library and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the library.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        approvalDate: {
          description: "The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage.",
          $ref: "#/definitions/date"
        },
        _approvalDate: {
          description: "Extensions for approvalDate",
          $ref: "#/definitions/Element"
        },
        lastReviewDate: {
          description: "The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date.",
          $ref: "#/definitions/date"
        },
        _lastReviewDate: {
          description: "Extensions for lastReviewDate",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The period during which the library content was or is planned to be in active use.",
          $ref: "#/definitions/Period"
        },
        topic: {
          description: "Descriptive topics related to the content of the library. Topics provide a high-level categorization of the library that can be useful for filtering and searching.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        author: {
          description: "An individiual or organization primarily involved in the creation and maintenance of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        editor: {
          description: "An individual or organization primarily responsible for internal coherence of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        reviewer: {
          description: "An individual or organization primarily responsible for review of some aspect of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        endorser: {
          description: "An individual or organization responsible for officially endorsing the content for use in some setting.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        relatedArtifact: {
          description: "Related artifacts such as additional documentation, justification, or bibliographic references.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        parameter: {
          description: "The parameter element defines parameters used by the library.",
          items: {
            $ref: "#/definitions/ParameterDefinition"
          },
          type: "array"
        },
        dataRequirement: {
          description: "Describes a set of data that must be provided in order to be able to successfully perform the computations defined by the library.",
          items: {
            $ref: "#/definitions/DataRequirement"
          },
          type: "array"
        },
        content: {
          description: "The content of the library as an Attachment. The content may be a reference to a url, or may be directly embedded as a base-64 string. Either way, the contentType of the attachment determines how to interpret the content.",
          items: {
            $ref: "#/definitions/Attachment"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["type", "resourceType"]
    },
    Linkage: {
      description: 'Identifies two or more records (resource instances) that refer to the same real-world "occurrence".',
      properties: {
        resourceType: {
          description: "This is a Linkage resource",
          const: "Linkage"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        active: {
          description: 'Indicates whether the asserted set of linkages are considered to be "in effect".',
          $ref: "#/definitions/boolean"
        },
        _active: {
          description: "Extensions for active",
          $ref: "#/definitions/Element"
        },
        author: {
          description: "Identifies the user or organization responsible for asserting the linkages as well as the user or organization who establishes the context in which the nature of each linkage is evaluated.",
          $ref: "#/definitions/Reference"
        },
        item: {
          description: "Identifies which record considered as the reference to the same real-world occurrence as well as how the items should be evaluated within the collection of linked items.",
          items: {
            $ref: "#/definitions/Linkage_Item"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["item", "resourceType"]
    },
    Linkage_Item: {
      description: 'Identifies two or more records (resource instances) that refer to the same real-world "occurrence".',
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: 'Distinguishes which item is "source of truth" (if any) and which items are no longer considered to be current representations.',
          enum: ["source", "alternate", "historical"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        resource: {
          description: "The resource instance being linked as part of the group.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["resource"]
    },
    List: {
      description: "A list is a curated collection of resources.",
      properties: {
        resourceType: {
          description: "This is a List resource",
          const: "List"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier for the List assigned for business purposes outside the context of FHIR.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "Indicates the current state of this list.",
          enum: ["current", "retired", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        mode: {
          description: "How this list was prepared - whether it is a working list that is suitable for being maintained on an ongoing basis, or if it represents a snapshot of a list of items from another source, or whether it is a prepared list where items may be marked as added, modified or deleted.",
          enum: ["working", "snapshot", "changes"]
        },
        _mode: {
          description: "Extensions for mode",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A label for the list assigned by the author.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "This code defines the purpose of the list - why it was created.",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "The common subject (or patient) of the resources that are in the list if there is one.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The encounter that is the context in which this list was created.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date that the list was prepared.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        source: {
          description: "The entity responsible for deciding what the contents of the list were. Where the list was created by a human, this is the same as the author of the list.",
          $ref: "#/definitions/Reference"
        },
        orderedBy: {
          description: "What order applies to the items in the list.",
          $ref: "#/definitions/CodeableConcept"
        },
        note: {
          description: "Comments that apply to the overall list.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        entry: {
          description: "Entries in this list.",
          items: {
            $ref: "#/definitions/List_Entry"
          },
          type: "array"
        },
        emptyReason: {
          description: "If the list is empty, why the list is empty.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    List_Entry: {
      description: "A list is a curated collection of resources.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        flag: {
          description: "The flag allows the system constructing the list to indicate the role and significance of the item in the list.",
          $ref: "#/definitions/CodeableConcept"
        },
        deleted: {
          description: "True if this item is marked as deleted in the list.",
          $ref: "#/definitions/boolean"
        },
        _deleted: {
          description: "Extensions for deleted",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "When this item was added to the list.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        item: {
          description: "A reference to the actual resource from which data was derived.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["item"]
    },
    Location: {
      description: "Details and position information for a physical place where services are provided and resources and participants may be stored, found, contained, or accommodated.",
      properties: {
        resourceType: {
          description: "This is a Location resource",
          const: "Location"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Unique code or number identifying the location to its users.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status property covers the general availability of the resource, not the current value which may be covered by the operationStatus, or by a schedule/slots if they are configured for the location.",
          enum: ["active", "suspended", "inactive"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        operationalStatus: {
          description: "The operational status covers operation values most relevant to beds (but can also apply to rooms/units/chairs/etc. such as an isolation unit/dialysis chair). This typically covers concepts such as contamination, housekeeping, and other activities like maintenance.",
          $ref: "#/definitions/Coding"
        },
        name: {
          description: "Name of the location as used by humans. Does not need to be unique.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        alias: {
          description: "A list of alternate names that the location is known as, or was known as, in the past.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _alias: {
          description: "Extensions for alias",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        description: {
          description: "Description of the Location, which helps in finding or referencing the place.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        mode: {
          description: "Indicates whether a resource instance represents a specific location or a class of locations.",
          enum: ["instance", "kind"]
        },
        _mode: {
          description: "Extensions for mode",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Indicates the type of function performed at the location.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        telecom: {
          description: "The contact details of communication devices available at the location. This can include phone numbers, fax numbers, mobile numbers, email addresses and web sites.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        address: {
          description: "Physical location.",
          $ref: "#/definitions/Address"
        },
        physicalType: {
          description: "Physical form of the location, e.g. building, room, vehicle, road.",
          $ref: "#/definitions/CodeableConcept"
        },
        position: {
          description: "The absolute geographic location of the Location, expressed using the WGS84 datum (This is the same co-ordinate system used in KML).",
          $ref: "#/definitions/Location_Position"
        },
        managingOrganization: {
          description: "The organization responsible for the provisioning and upkeep of the location.",
          $ref: "#/definitions/Reference"
        },
        partOf: {
          description: "Another Location of which this Location is physically a part of.",
          $ref: "#/definitions/Reference"
        },
        hoursOfOperation: {
          description: "What days/times during a week is this location usually open.",
          items: {
            $ref: "#/definitions/Location_HoursOfOperation"
          },
          type: "array"
        },
        availabilityExceptions: {
          description: "A description of when the locations opening ours are different to normal, e.g. public holiday availability. Succinctly describing all possible exceptions to normal site availability as detailed in the opening hours Times.",
          $ref: "#/definitions/string"
        },
        _availabilityExceptions: {
          description: "Extensions for availabilityExceptions",
          $ref: "#/definitions/Element"
        },
        endpoint: {
          description: "Technical endpoints providing access to services operated for the location.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Location_Position: {
      description: "Details and position information for a physical place where services are provided and resources and participants may be stored, found, contained, or accommodated.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        longitude: {
          description: "Longitude. The value domain and the interpretation are the same as for the text of the longitude element in KML (see notes below).",
          $ref: "#/definitions/decimal"
        },
        _longitude: {
          description: "Extensions for longitude",
          $ref: "#/definitions/Element"
        },
        latitude: {
          description: "Latitude. The value domain and the interpretation are the same as for the text of the latitude element in KML (see notes below).",
          $ref: "#/definitions/decimal"
        },
        _latitude: {
          description: "Extensions for latitude",
          $ref: "#/definitions/Element"
        },
        altitude: {
          description: "Altitude. The value domain and the interpretation are the same as for the text of the altitude element in KML (see notes below).",
          $ref: "#/definitions/decimal"
        },
        _altitude: {
          description: "Extensions for altitude",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Location_HoursOfOperation: {
      description: "Details and position information for a physical place where services are provided and resources and participants may be stored, found, contained, or accommodated.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        daysOfWeek: {
          description: "Indicates which days of the week are available between the start and end Times.",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _daysOfWeek: {
          description: "Extensions for daysOfWeek",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        allDay: {
          description: "The Location is open all day.",
          $ref: "#/definitions/boolean"
        },
        _allDay: {
          description: "Extensions for allDay",
          $ref: "#/definitions/Element"
        },
        openingTime: {
          description: "Time that the Location opens.",
          $ref: "#/definitions/time"
        },
        _openingTime: {
          description: "Extensions for openingTime",
          $ref: "#/definitions/Element"
        },
        closingTime: {
          description: "Time that the Location closes.",
          $ref: "#/definitions/time"
        },
        _closingTime: {
          description: "Extensions for closingTime",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Measure: {
      description: "The Measure resource provides the definition of a quality measure.",
      properties: {
        resourceType: {
          description: "This is a Measure resource",
          const: "Measure"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this measure when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this measure is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the measure is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this measure when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the measure when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the measure author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence. To provide a version consistent with the Decision Support Service specification, use the format Major.Minor.Revision (e.g. 1.0.0). For more information on versioning knowledge assets, refer to the Decision Support Service specification. Note that a version is required for non-experimental active artifacts.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the measure. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the measure.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        subtitle: {
          description: "An explanatory or alternate title for the measure giving additional information about its content.",
          $ref: "#/definitions/string"
        },
        _subtitle: {
          description: "Extensions for subtitle",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this measure. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this measure is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        subjectCodeableConcept: {
          description: "The intended subjects for the measure. If this element is not provided, a Patient subject is assumed, but the subject of the measure can be anything.",
          $ref: "#/definitions/CodeableConcept"
        },
        subjectReference: {
          description: "The intended subjects for the measure. If this element is not provided, a Patient subject is assumed, but the subject of the measure can be anything.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date  (and optionally time) when the measure was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the measure changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the measure.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the measure from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate measure instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the measure is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this measure is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        usage: {
          description: "A detailed description, from a clinical perspective, of how the measure is used.",
          $ref: "#/definitions/string"
        },
        _usage: {
          description: "Extensions for usage",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the measure and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the measure.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        approvalDate: {
          description: "The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage.",
          $ref: "#/definitions/date"
        },
        _approvalDate: {
          description: "Extensions for approvalDate",
          $ref: "#/definitions/Element"
        },
        lastReviewDate: {
          description: "The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date.",
          $ref: "#/definitions/date"
        },
        _lastReviewDate: {
          description: "Extensions for lastReviewDate",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The period during which the measure content was or is planned to be in active use.",
          $ref: "#/definitions/Period"
        },
        topic: {
          description: "Descriptive topics related to the content of the measure. Topics provide a high-level categorization grouping types of measures that can be useful for filtering and searching.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        author: {
          description: "An individiual or organization primarily involved in the creation and maintenance of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        editor: {
          description: "An individual or organization primarily responsible for internal coherence of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        reviewer: {
          description: "An individual or organization primarily responsible for review of some aspect of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        endorser: {
          description: "An individual or organization responsible for officially endorsing the content for use in some setting.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        relatedArtifact: {
          description: "Related artifacts such as additional documentation, justification, or bibliographic references.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        library: {
          description: "A reference to a Library resource containing the formal logic used by the measure.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        disclaimer: {
          description: "Notices and disclaimers regarding the use of the measure or related to intellectual property (such as code systems) referenced by the measure.",
          $ref: "#/definitions/markdown"
        },
        _disclaimer: {
          description: "Extensions for disclaimer",
          $ref: "#/definitions/Element"
        },
        scoring: {
          description: "Indicates how the calculation is performed for the measure, including proportion, ratio, continuous-variable, and cohort. The value set is extensible, allowing additional measure scoring types to be represented.",
          $ref: "#/definitions/CodeableConcept"
        },
        compositeScoring: {
          description: "If this is a composite measure, the scoring method used to combine the component measures to determine the composite score.",
          $ref: "#/definitions/CodeableConcept"
        },
        type: {
          description: "Indicates whether the measure is used to examine a process, an outcome over time, a patient-reported outcome, or a structure measure such as utilization.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        riskAdjustment: {
          description: "A description of the risk adjustment factors that may impact the resulting score for the measure and how they may be accounted for when computing and reporting measure results.",
          $ref: "#/definitions/string"
        },
        _riskAdjustment: {
          description: "Extensions for riskAdjustment",
          $ref: "#/definitions/Element"
        },
        rateAggregation: {
          description: "Describes how to combine the information calculated, based on logic in each of several populations, into one summarized result.",
          $ref: "#/definitions/string"
        },
        _rateAggregation: {
          description: "Extensions for rateAggregation",
          $ref: "#/definitions/Element"
        },
        rationale: {
          description: "Provides a succinct statement of the need for the measure. Usually includes statements pertaining to importance criterion: impact, gap in care, and evidence.",
          $ref: "#/definitions/markdown"
        },
        _rationale: {
          description: "Extensions for rationale",
          $ref: "#/definitions/Element"
        },
        clinicalRecommendationStatement: {
          description: "Provides a summary of relevant clinical guidelines or other clinical recommendations supporting the measure.",
          $ref: "#/definitions/markdown"
        },
        _clinicalRecommendationStatement: {
          description: "Extensions for clinicalRecommendationStatement",
          $ref: "#/definitions/Element"
        },
        improvementNotation: {
          description: "Information on whether an increase or decrease in score is the preferred result (e.g., a higher score indicates better quality OR a lower score indicates better quality OR quality is within a range).",
          $ref: "#/definitions/CodeableConcept"
        },
        definition: {
          description: "Provides a description of an individual term used within the measure.",
          items: {
            $ref: "#/definitions/markdown"
          },
          type: "array"
        },
        _definition: {
          description: "Extensions for definition",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        guidance: {
          description: "Additional guidance for the measure including how it can be used in a clinical context, and the intent of the measure.",
          $ref: "#/definitions/markdown"
        },
        _guidance: {
          description: "Extensions for guidance",
          $ref: "#/definitions/Element"
        },
        group: {
          description: "A group of population criteria for the measure.",
          items: {
            $ref: "#/definitions/Measure_Group"
          },
          type: "array"
        },
        supplementalData: {
          description: "The supplemental data criteria for the measure report, specified as either the name of a valid CQL expression within a referenced library, or a valid FHIR Resource Path.",
          items: {
            $ref: "#/definitions/Measure_SupplementalData"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Measure_Group: {
      description: "The Measure resource provides the definition of a quality measure.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Indicates a meaning for the group. This can be as simple as a unique identifier, or it can establish meaning in a broader context by drawing from a terminology, allowing groups to be correlated across measures.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: "The human readable description of this population group.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        population: {
          description: "A population criteria for the measure.",
          items: {
            $ref: "#/definitions/Measure_Population"
          },
          type: "array"
        },
        stratifier: {
          description: "The stratifier criteria for the measure report, specified as either the name of a valid CQL expression defined within a referenced library or a valid FHIR Resource Path.",
          items: {
            $ref: "#/definitions/Measure_Stratifier"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Measure_Population: {
      description: "The Measure resource provides the definition of a quality measure.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The type of population criteria.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: "The human readable description of this population criteria.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        criteria: {
          description: "An expression that specifies the criteria for the population, typically the name of an expression in a library.",
          $ref: "#/definitions/Expression"
        }
      },
      additionalProperties: false,
      required: ["criteria"]
    },
    Measure_Stratifier: {
      description: "The Measure resource provides the definition of a quality measure.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Indicates a meaning for the stratifier. This can be as simple as a unique identifier, or it can establish meaning in a broader context by drawing from a terminology, allowing stratifiers to be correlated across measures.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: "The human readable description of this stratifier criteria.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        criteria: {
          description: "An expression that specifies the criteria for the stratifier. This is typically the name of an expression defined within a referenced library, but it may also be a path to a stratifier element.",
          $ref: "#/definitions/Expression"
        },
        component: {
          description: "A component of the stratifier criteria for the measure report, specified as either the name of a valid CQL expression defined within a referenced library or a valid FHIR Resource Path.",
          items: {
            $ref: "#/definitions/Measure_Component"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Measure_Component: {
      description: "The Measure resource provides the definition of a quality measure.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Indicates a meaning for the stratifier component. This can be as simple as a unique identifier, or it can establish meaning in a broader context by drawing from a terminology, allowing stratifiers to be correlated across measures.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: "The human readable description of this stratifier criteria component.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        criteria: {
          description: "An expression that specifies the criteria for this component of the stratifier. This is typically the name of an expression defined within a referenced library, but it may also be a path to a stratifier element.",
          $ref: "#/definitions/Expression"
        }
      },
      additionalProperties: false,
      required: ["criteria"]
    },
    Measure_SupplementalData: {
      description: "The Measure resource provides the definition of a quality measure.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Indicates a meaning for the supplemental data. This can be as simple as a unique identifier, or it can establish meaning in a broader context by drawing from a terminology, allowing supplemental data to be correlated across measures.",
          $ref: "#/definitions/CodeableConcept"
        },
        usage: {
          description: "An indicator of the intended usage for the supplemental data element. Supplemental data indicates the data is additional information requested to augment the measure information. Risk adjustment factor indicates the data is additional information used to calculate risk adjustment factors when applying a risk model to the measure calculation.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        description: {
          description: "The human readable description of this supplemental data.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        criteria: {
          description: "The criteria for the supplemental data. This is typically the name of a valid expression defined within a referenced library, but it may also be a path to a specific data element. The criteria defines the data to be returned for this element.",
          $ref: "#/definitions/Expression"
        }
      },
      additionalProperties: false,
      required: ["criteria"]
    },
    MeasureReport: {
      description: "The MeasureReport resource contains the results of the calculation of a measure; and optionally a reference to the resources involved in that calculation.",
      properties: {
        resourceType: {
          description: "This is a MeasureReport resource",
          const: "MeasureReport"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A formal identifier that is used to identify this MeasureReport when it is represented in other formats or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The MeasureReport status. No data will be available until the MeasureReport status is complete.",
          enum: ["complete", "pending", "error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The type of measure report. This may be an individual report, which provides the score for the measure for an individual member of the population; a subject-listing, which returns the list of members that meet the various criteria in the measure; a summary report, which returns a population count for each of the criteria in the measure; or a data-collection, which enables the MeasureReport to be used to exchange the data-of-interest for a quality measure.",
          enum: ["individual", "subject-list", "summary", "data-collection"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        measure: {
          description: "A reference to the Measure that was calculated to produce this report.",
          $ref: "#/definitions/canonical"
        },
        subject: {
          description: "Optional subject identifying the individual or individuals the report is for.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date this measure report was generated.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        reporter: {
          description: "The individual, location, or organization that is reporting the data.",
          $ref: "#/definitions/Reference"
        },
        period: {
          description: "The reporting period for which the report was calculated.",
          $ref: "#/definitions/Period"
        },
        improvementNotation: {
          description: "Whether improvement in the measure is noted by an increase or decrease in the measure score.",
          $ref: "#/definitions/CodeableConcept"
        },
        group: {
          description: "The results of the calculation, one for each population group in the measure.",
          items: {
            $ref: "#/definitions/MeasureReport_Group"
          },
          type: "array"
        },
        evaluatedResource: {
          description: "A reference to a Bundle containing the Resources that were used in the calculation of this measure.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["period", "measure", "resourceType"]
    },
    MeasureReport_Group: {
      description: "The MeasureReport resource contains the results of the calculation of a measure; and optionally a reference to the resources involved in that calculation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The meaning of the population group as defined in the measure definition.",
          $ref: "#/definitions/CodeableConcept"
        },
        population: {
          description: "The populations that make up the population group, one for each type of population appropriate for the measure.",
          items: {
            $ref: "#/definitions/MeasureReport_Population"
          },
          type: "array"
        },
        measureScore: {
          description: "The measure score for this population group, calculated as appropriate for the measure type and scoring method, and based on the contents of the populations defined in the group.",
          $ref: "#/definitions/Quantity"
        },
        stratifier: {
          description: "When a measure includes multiple stratifiers, there will be a stratifier group for each stratifier defined by the measure.",
          items: {
            $ref: "#/definitions/MeasureReport_Stratifier"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    MeasureReport_Population: {
      description: "The MeasureReport resource contains the results of the calculation of a measure; and optionally a reference to the resources involved in that calculation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The type of the population.",
          $ref: "#/definitions/CodeableConcept"
        },
        count: {
          description: "The number of members of the population.",
          $ref: "#/definitions/integer"
        },
        _count: {
          description: "Extensions for count",
          $ref: "#/definitions/Element"
        },
        subjectResults: {
          description: "This element refers to a List of subject level MeasureReport resources, one for each subject in this population.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    MeasureReport_Stratifier: {
      description: "The MeasureReport resource contains the results of the calculation of a measure; and optionally a reference to the resources involved in that calculation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The meaning of this stratifier, as defined in the measure definition.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        stratum: {
          description: "This element contains the results for a single stratum within the stratifier. For example, when stratifying on administrative gender, there will be four strata, one for each possible gender value.",
          items: {
            $ref: "#/definitions/MeasureReport_Stratum"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    MeasureReport_Stratum: {
      description: "The MeasureReport resource contains the results of the calculation of a measure; and optionally a reference to the resources involved in that calculation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        value: {
          description: "The value for this stratum, expressed as a CodeableConcept. When defining stratifiers on complex values, the value must be rendered such that the value for each stratum within the stratifier is unique.",
          $ref: "#/definitions/CodeableConcept"
        },
        component: {
          description: "A stratifier component value.",
          items: {
            $ref: "#/definitions/MeasureReport_Component"
          },
          type: "array"
        },
        population: {
          description: "The populations that make up the stratum, one for each type of population appropriate to the measure.",
          items: {
            $ref: "#/definitions/MeasureReport_Population1"
          },
          type: "array"
        },
        measureScore: {
          description: "The measure score for this stratum, calculated as appropriate for the measure type and scoring method, and based on only the members of this stratum.",
          $ref: "#/definitions/Quantity"
        }
      },
      additionalProperties: false
    },
    MeasureReport_Component: {
      description: "The MeasureReport resource contains the results of the calculation of a measure; and optionally a reference to the resources involved in that calculation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The code for the stratum component value.",
          $ref: "#/definitions/CodeableConcept"
        },
        value: {
          description: "The stratum component value.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["code", "value"]
    },
    MeasureReport_Population1: {
      description: "The MeasureReport resource contains the results of the calculation of a measure; and optionally a reference to the resources involved in that calculation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The type of the population.",
          $ref: "#/definitions/CodeableConcept"
        },
        count: {
          description: "The number of members of the population in this stratum.",
          $ref: "#/definitions/integer"
        },
        _count: {
          description: "Extensions for count",
          $ref: "#/definitions/Element"
        },
        subjectResults: {
          description: "This element refers to a List of subject level MeasureReport resources, one for each subject in this population in this stratum.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    Media: {
      description: "A photo, video, or audio recording acquired or used in healthcare. The actual content may be inline or provided by direct reference.",
      properties: {
        resourceType: {
          description: "This is a Media resource",
          const: "Media"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifiers associated with the image - these may include identifiers for the image itself, identifiers for the context of its collection (e.g. series ids) and context ids such as accession numbers or other workflow identifiers.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        basedOn: {
          description: "A procedure that is fulfilled in whole or in part by the creation of this media.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        partOf: {
          description: "A larger event of which this particular event is a component or step.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "The current state of the {{title}}.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "A code that classifies whether the media is an image, video or audio recording or some other media category.",
          $ref: "#/definitions/CodeableConcept"
        },
        modality: {
          description: "Details of the type of the media - usually, how it was acquired (what type of device). If images sourced from a DICOM system, are wrapped in a Media resource, then this is the modality.",
          $ref: "#/definitions/CodeableConcept"
        },
        view: {
          description: "The name of the imaging view e.g. Lateral or Antero-posterior (AP).",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "Who/What this Media is a record of.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The encounter that establishes the context for this media.",
          $ref: "#/definitions/Reference"
        },
        createdDateTime: {
          description: "The date and time(s) at which the media was collected.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _createdDateTime: {
          description: "Extensions for createdDateTime",
          $ref: "#/definitions/Element"
        },
        createdPeriod: {
          description: "The date and time(s) at which the media was collected.",
          $ref: "#/definitions/Period"
        },
        issued: {
          description: "The date and time this version of the media was made available to providers, typically after having been reviewed.",
          $ref: "#/definitions/instant"
        },
        _issued: {
          description: "Extensions for issued",
          $ref: "#/definitions/Element"
        },
        operator: {
          description: "The person who administered the collection of the image.",
          $ref: "#/definitions/Reference"
        },
        reasonCode: {
          description: "Describes why the event occurred in coded or textual form.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        bodySite: {
          description: "Indicates the site on the subject's body where the observation was made (i.e. the target site).",
          $ref: "#/definitions/CodeableConcept"
        },
        deviceName: {
          description: "The name of the device / manufacturer of the device  that was used to make the recording.",
          $ref: "#/definitions/string"
        },
        _deviceName: {
          description: "Extensions for deviceName",
          $ref: "#/definitions/Element"
        },
        device: {
          description: "The device used to collect the media.",
          $ref: "#/definitions/Reference"
        },
        height: {
          description: "Height of the image in pixels (photo/video).",
          $ref: "#/definitions/positiveInt"
        },
        _height: {
          description: "Extensions for height",
          $ref: "#/definitions/Element"
        },
        width: {
          description: "Width of the image in pixels (photo/video).",
          $ref: "#/definitions/positiveInt"
        },
        _width: {
          description: "Extensions for width",
          $ref: "#/definitions/Element"
        },
        frames: {
          description: "The number of frames in a photo. This is used with a multi-page fax, or an imaging acquisition context that takes multiple slices in a single image, or an animated gif. If there is more than one frame, this SHALL have a value in order to alert interface software that a multi-frame capable rendering widget is required.",
          $ref: "#/definitions/positiveInt"
        },
        _frames: {
          description: "Extensions for frames",
          $ref: "#/definitions/Element"
        },
        duration: {
          description: "The duration of the recording in seconds - for audio and video.",
          $ref: "#/definitions/decimal"
        },
        _duration: {
          description: "Extensions for duration",
          $ref: "#/definitions/Element"
        },
        content: {
          description: "The actual content of the media - inline or by direct reference to the media source file.",
          $ref: "#/definitions/Attachment"
        },
        note: {
          description: "Comments made about the media by the performer, subject or other participants.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["content", "resourceType"]
    },
    Medication: {
      description: "This resource is primarily used for the identification and definition of a medication for the purposes of prescribing, dispensing, and administering a medication as well as for making statements about medication use.",
      properties: {
        resourceType: {
          description: "This is a Medication resource",
          const: "Medication"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifier for this medication.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        code: {
          description: "A code (or set of codes) that specify this medication, or a textual description if no code is available. Usage note: This could be a standard medication code such as a code from RxNorm, SNOMED CT, IDMP etc. It could also be a national or local formulary code, optionally with translations to other code systems.",
          $ref: "#/definitions/CodeableConcept"
        },
        status: {
          description: "A code to indicate if the medication is in active use.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        manufacturer: {
          description: "Describes the details of the manufacturer of the medication product.  This is not intended to represent the distributor of a medication product.",
          $ref: "#/definitions/Reference"
        },
        form: {
          description: "Describes the form of the item.  Powder; tablets; capsule.",
          $ref: "#/definitions/CodeableConcept"
        },
        amount: {
          description: "Specific amount of the drug in the packaged product.  For example, when specifying a product that has the same strength (For example, Insulin glargine 100 unit per mL solution for injection), this attribute provides additional clarification of the package amount (For example, 3 mL, 10mL, etc.).",
          $ref: "#/definitions/Ratio"
        },
        ingredient: {
          description: "Identifies a particular constituent of interest in the product.",
          items: {
            $ref: "#/definitions/Medication_Ingredient"
          },
          type: "array"
        },
        batch: {
          description: "Information that only applies to packages (not products).",
          $ref: "#/definitions/Medication_Batch"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Medication_Ingredient: {
      description: "This resource is primarily used for the identification and definition of a medication for the purposes of prescribing, dispensing, and administering a medication as well as for making statements about medication use.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        itemCodeableConcept: {
          description: "The actual ingredient - either a substance (simple ingredient) or another medication of a medication.",
          $ref: "#/definitions/CodeableConcept"
        },
        itemReference: {
          description: "The actual ingredient - either a substance (simple ingredient) or another medication of a medication.",
          $ref: "#/definitions/Reference"
        },
        isActive: {
          description: "Indication of whether this ingredient affects the therapeutic action of the drug.",
          $ref: "#/definitions/boolean"
        },
        _isActive: {
          description: "Extensions for isActive",
          $ref: "#/definitions/Element"
        },
        strength: {
          description: "Specifies how many (or how much) of the items there are in this Medication.  For example, 250 mg per tablet.  This is expressed as a ratio where the numerator is 250mg and the denominator is 1 tablet.",
          $ref: "#/definitions/Ratio"
        }
      },
      additionalProperties: false
    },
    Medication_Batch: {
      description: "This resource is primarily used for the identification and definition of a medication for the purposes of prescribing, dispensing, and administering a medication as well as for making statements about medication use.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        lotNumber: {
          description: "The assigned lot number of a batch of the specified product.",
          $ref: "#/definitions/string"
        },
        _lotNumber: {
          description: "Extensions for lotNumber",
          $ref: "#/definitions/Element"
        },
        expirationDate: {
          description: "When this specific batch of product will expire.",
          $ref: "#/definitions/dateTime"
        },
        _expirationDate: {
          description: "Extensions for expirationDate",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    MedicationAdministration: {
      description: "Describes the event of a patient consuming or otherwise being administered a medication.  This may be as simple as swallowing a tablet or it may be a long running infusion.  Related resources tie this event to the authorizing prescription, and the specific encounter between patient and health care practitioner.",
      properties: {
        resourceType: {
          description: "This is a MedicationAdministration resource",
          const: "MedicationAdministration"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifiers associated with this Medication Administration that are defined by business processes and/or used to refer to it when a direct URL reference to the resource itself is not appropriate. They are business identifiers assigned to this resource by the performer or other systems and remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        instantiates: {
          description: "A protocol, guideline, orderset, or other definition that was adhered to in whole or in part by this event.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _instantiates: {
          description: "Extensions for instantiates",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        partOf: {
          description: "A larger event of which this particular event is a component or step.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "Will generally be set to show that the administration has been completed.  For some long running administrations such as infusions, it is possible for an administration to be started but not completed or it may be paused while some other process is under way.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusReason: {
          description: "A code indicating why the administration was not performed.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        category: {
          description: "Indicates where the medication is expected to be consumed or administered.",
          $ref: "#/definitions/CodeableConcept"
        },
        medicationCodeableConcept: {
          description: "Identifies the medication that was administered. This is either a link to a resource representing the details of the medication or a simple attribute carrying a code that identifies the medication from a known list of medications.",
          $ref: "#/definitions/CodeableConcept"
        },
        medicationReference: {
          description: "Identifies the medication that was administered. This is either a link to a resource representing the details of the medication or a simple attribute carrying a code that identifies the medication from a known list of medications.",
          $ref: "#/definitions/Reference"
        },
        subject: {
          description: "The person or animal or group receiving the medication.",
          $ref: "#/definitions/Reference"
        },
        context: {
          description: "The visit, admission, or other contact between patient and health care provider during which the medication administration was performed.",
          $ref: "#/definitions/Reference"
        },
        supportingInformation: {
          description: "Additional information (for example, patient height and weight) that supports the administration of the medication.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        effectiveDateTime: {
          description: "A specific date/time or interval of time during which the administration took place (or did not take place, when the 'notGiven' attribute is true). For many administrations, such as swallowing a tablet the use of dateTime is more appropriate.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _effectiveDateTime: {
          description: "Extensions for effectiveDateTime",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "A specific date/time or interval of time during which the administration took place (or did not take place, when the 'notGiven' attribute is true). For many administrations, such as swallowing a tablet the use of dateTime is more appropriate.",
          $ref: "#/definitions/Period"
        },
        performer: {
          description: "Indicates who or what performed the medication administration and how they were involved.",
          items: {
            $ref: "#/definitions/MedicationAdministration_Performer"
          },
          type: "array"
        },
        reasonCode: {
          description: "A code indicating why the medication was given.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Condition or observation that supports why the medication was administered.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        request: {
          description: "The original request, instruction or authority to perform the administration.",
          $ref: "#/definitions/Reference"
        },
        device: {
          description: "The device used in administering the medication to the patient.  For example, a particular infusion pump.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "Extra information about the medication administration that is not conveyed by the other attributes.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        dosage: {
          description: "Describes the medication dosage information details e.g. dose, rate, site, route, etc.",
          $ref: "#/definitions/MedicationAdministration_Dosage"
        },
        eventHistory: {
          description: "A summary of the events of interest that have occurred, such as when the administration was verified.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "resourceType"]
    },
    MedicationAdministration_Performer: {
      description: "Describes the event of a patient consuming or otherwise being administered a medication.  This may be as simple as swallowing a tablet or it may be a long running infusion.  Related resources tie this event to the authorizing prescription, and the specific encounter between patient and health care practitioner.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        function: {
          description: "Distinguishes the type of involvement of the performer in the medication administration.",
          $ref: "#/definitions/CodeableConcept"
        },
        actor: {
          description: "Indicates who or what performed the medication administration.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["actor"]
    },
    MedicationAdministration_Dosage: {
      description: "Describes the event of a patient consuming or otherwise being administered a medication.  This may be as simple as swallowing a tablet or it may be a long running infusion.  Related resources tie this event to the authorizing prescription, and the specific encounter between patient and health care practitioner.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        text: {
          description: "Free text dosage can be used for cases where the dosage administered is too complex to code. When coded dosage is present, the free text dosage may still be present for display to humans.\r\rThe dosage instructions should reflect the dosage of the medication that was administered.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        },
        site: {
          description: 'A coded specification of the anatomic site where the medication first entered the body.  For example, "left arm".',
          $ref: "#/definitions/CodeableConcept"
        },
        route: {
          description: "A code specifying the route or physiological path of administration of a therapeutic agent into or onto the patient.  For example, topical, intravenous, etc.",
          $ref: "#/definitions/CodeableConcept"
        },
        method: {
          description: "A coded value indicating the method by which the medication is intended to be or was introduced into or on the body.  This attribute will most often NOT be populated.  It is most commonly used for injections.  For example, Slow Push, Deep IV.",
          $ref: "#/definitions/CodeableConcept"
        },
        dose: {
          description: "The amount of the medication given at one administration event.   Use this value when the administration is essentially an instantaneous event such as a swallowing a tablet or giving an injection.",
          $ref: "#/definitions/Quantity"
        },
        rateRatio: {
          description: "Identifies the speed with which the medication was or will be introduced into the patient.  Typically, the rate for an infusion e.g. 100 ml per 1 hour or 100 ml/hr.  May also be expressed as a rate per unit of time, e.g. 500 ml per 2 hours.  Other examples:  200 mcg/min or 200 mcg/1 minute; 1 liter/8 hours.",
          $ref: "#/definitions/Ratio"
        },
        rateQuantity: {
          description: "Identifies the speed with which the medication was or will be introduced into the patient.  Typically, the rate for an infusion e.g. 100 ml per 1 hour or 100 ml/hr.  May also be expressed as a rate per unit of time, e.g. 500 ml per 2 hours.  Other examples:  200 mcg/min or 200 mcg/1 minute; 1 liter/8 hours.",
          $ref: "#/definitions/Quantity"
        }
      },
      additionalProperties: false
    },
    MedicationDispense: {
      description: "Indicates that a medication product is to be or has been dispensed for a named person/patient.  This includes a description of the medication product (supply) provided and the instructions for administering the medication.  The medication dispense is the result of a pharmacy system responding to a medication order.",
      properties: {
        resourceType: {
          description: "This is a MedicationDispense resource",
          const: "MedicationDispense"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifiers associated with this Medication Dispense that are defined by business processes and/or used to refer to it when a direct URL reference to the resource itself is not appropriate. They are business identifiers assigned to this resource by the performer or other systems and remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        partOf: {
          description: "The procedure that trigger the dispense.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "A code specifying the state of the set of dispense events.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusReasonCodeableConcept: {
          description: "Indicates the reason why a dispense was not performed.",
          $ref: "#/definitions/CodeableConcept"
        },
        statusReasonReference: {
          description: "Indicates the reason why a dispense was not performed.",
          $ref: "#/definitions/Reference"
        },
        category: {
          description: "Indicates the type of medication dispense (for example, where the medication is expected to be consumed or administered (i.e. inpatient or outpatient)).",
          $ref: "#/definitions/CodeableConcept"
        },
        medicationCodeableConcept: {
          description: "Identifies the medication being administered. This is either a link to a resource representing the details of the medication or a simple attribute carrying a code that identifies the medication from a known list of medications.",
          $ref: "#/definitions/CodeableConcept"
        },
        medicationReference: {
          description: "Identifies the medication being administered. This is either a link to a resource representing the details of the medication or a simple attribute carrying a code that identifies the medication from a known list of medications.",
          $ref: "#/definitions/Reference"
        },
        subject: {
          description: "A link to a resource representing the person or the group to whom the medication will be given.",
          $ref: "#/definitions/Reference"
        },
        context: {
          description: "The encounter or episode of care that establishes the context for this event.",
          $ref: "#/definitions/Reference"
        },
        supportingInformation: {
          description: "Additional information that supports the medication being dispensed.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        performer: {
          description: "Indicates who or what performed the event.",
          items: {
            $ref: "#/definitions/MedicationDispense_Performer"
          },
          type: "array"
        },
        location: {
          description: "The principal physical location where the dispense was performed.",
          $ref: "#/definitions/Reference"
        },
        authorizingPrescription: {
          description: "Indicates the medication order that is being dispensed against.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        type: {
          description: "Indicates the type of dispensing event that is performed. For example, Trial Fill, Completion of Trial, Partial Fill, Emergency Fill, Samples, etc.",
          $ref: "#/definitions/CodeableConcept"
        },
        quantity: {
          description: "The amount of medication that has been dispensed. Includes unit of measure.",
          $ref: "#/definitions/Quantity"
        },
        daysSupply: {
          description: "The amount of medication expressed as a timing amount.",
          $ref: "#/definitions/Quantity"
        },
        whenPrepared: {
          description: "The time when the dispensed product was packaged and reviewed.",
          $ref: "#/definitions/dateTime"
        },
        _whenPrepared: {
          description: "Extensions for whenPrepared",
          $ref: "#/definitions/Element"
        },
        whenHandedOver: {
          description: "The time the dispensed product was provided to the patient or their representative.",
          $ref: "#/definitions/dateTime"
        },
        _whenHandedOver: {
          description: "Extensions for whenHandedOver",
          $ref: "#/definitions/Element"
        },
        destination: {
          description: "Identification of the facility/location where the medication was shipped to, as part of the dispense event.",
          $ref: "#/definitions/Reference"
        },
        receiver: {
          description: "Identifies the person who picked up the medication.  This will usually be a patient or their caregiver, but some cases exist where it can be a healthcare professional.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "Extra information about the dispense that could not be conveyed in the other attributes.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        dosageInstruction: {
          description: "Indicates how the medication is to be used by the patient.",
          items: {
            $ref: "#/definitions/Dosage"
          },
          type: "array"
        },
        substitution: {
          description: "Indicates whether or not substitution was made as part of the dispense.  In some cases, substitution will be expected but does not happen, in other cases substitution is not expected but does happen.  This block explains what substitution did or did not happen and why.  If nothing is specified, substitution was not done.",
          $ref: "#/definitions/MedicationDispense_Substitution"
        },
        detectedIssue: {
          description: "Indicates an actual or potential clinical issue with or between one or more active or proposed clinical actions for a patient; e.g. drug-drug interaction, duplicate therapy, dosage alert etc.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        eventHistory: {
          description: "A summary of the events of interest that have occurred, such as when the dispense was verified.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    MedicationDispense_Performer: {
      description: "Indicates that a medication product is to be or has been dispensed for a named person/patient.  This includes a description of the medication product (supply) provided and the instructions for administering the medication.  The medication dispense is the result of a pharmacy system responding to a medication order.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        function: {
          description: "Distinguishes the type of performer in the dispense.  For example, date enterer, packager, final checker.",
          $ref: "#/definitions/CodeableConcept"
        },
        actor: {
          description: "The device, practitioner, etc. who performed the action.  It should be assumed that the actor is the dispenser of the medication.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["actor"]
    },
    MedicationDispense_Substitution: {
      description: "Indicates that a medication product is to be or has been dispensed for a named person/patient.  This includes a description of the medication product (supply) provided and the instructions for administering the medication.  The medication dispense is the result of a pharmacy system responding to a medication order.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        wasSubstituted: {
          description: "True if the dispenser dispensed a different drug or product from what was prescribed.",
          $ref: "#/definitions/boolean"
        },
        _wasSubstituted: {
          description: "Extensions for wasSubstituted",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "A code signifying whether a different drug was dispensed from what was prescribed.",
          $ref: "#/definitions/CodeableConcept"
        },
        reason: {
          description: "Indicates the reason for the substitution (or lack of substitution) from what was prescribed.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        responsibleParty: {
          description: "The person or organization that has primary responsibility for the substitution.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    MedicationKnowledge: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        resourceType: {
          description: "This is a MedicationKnowledge resource",
          const: "MedicationKnowledge"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "A code that specifies this medication, or a textual description if no code is available. Usage note: This could be a standard medication code such as a code from RxNorm, SNOMED CT, IDMP etc. It could also be a national or local formulary code, optionally with translations to other code systems.",
          $ref: "#/definitions/CodeableConcept"
        },
        status: {
          description: "A code to indicate if the medication is in active use.  The status refers to the validity about the information of the medication and not to its medicinal properties.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        manufacturer: {
          description: "Describes the details of the manufacturer of the medication product.  This is not intended to represent the distributor of a medication product.",
          $ref: "#/definitions/Reference"
        },
        doseForm: {
          description: "Describes the form of the item.  Powder; tablets; capsule.",
          $ref: "#/definitions/CodeableConcept"
        },
        amount: {
          description: "Specific amount of the drug in the packaged product.  For example, when specifying a product that has the same strength (For example, Insulin glargine 100 unit per mL solution for injection), this attribute provides additional clarification of the package amount (For example, 3 mL, 10mL, etc.).",
          $ref: "#/definitions/Quantity"
        },
        synonym: {
          description: "Additional names for a medication, for example, the name(s) given to a medication in different countries.  For example, acetaminophen and paracetamol or salbutamol and albuterol.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _synonym: {
          description: "Extensions for synonym",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        relatedMedicationKnowledge: {
          description: "Associated or related knowledge about a medication.",
          items: {
            $ref: "#/definitions/MedicationKnowledge_RelatedMedicationKnowledge"
          },
          type: "array"
        },
        associatedMedication: {
          description: "Associated or related medications.  For example, if the medication is a branded product (e.g. Crestor), this is the Therapeutic Moeity (e.g. Rosuvastatin) or if this is a generic medication (e.g. Rosuvastatin), this would link to a branded product (e.g. Crestor).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        productType: {
          description: "Category of the medication or product (e.g. branded product, therapeutic moeity, generic product, innovator product, etc.).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        monograph: {
          description: "Associated documentation about the medication.",
          items: {
            $ref: "#/definitions/MedicationKnowledge_Monograph"
          },
          type: "array"
        },
        ingredient: {
          description: "Identifies a particular constituent of interest in the product.",
          items: {
            $ref: "#/definitions/MedicationKnowledge_Ingredient"
          },
          type: "array"
        },
        preparationInstruction: {
          description: "The instructions for preparing the medication.",
          $ref: "#/definitions/markdown"
        },
        _preparationInstruction: {
          description: "Extensions for preparationInstruction",
          $ref: "#/definitions/Element"
        },
        intendedRoute: {
          description: "The intended or approved route of administration.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        cost: {
          description: "The price of the medication.",
          items: {
            $ref: "#/definitions/MedicationKnowledge_Cost"
          },
          type: "array"
        },
        monitoringProgram: {
          description: "The program under which the medication is reviewed.",
          items: {
            $ref: "#/definitions/MedicationKnowledge_MonitoringProgram"
          },
          type: "array"
        },
        administrationGuidelines: {
          description: "Guidelines for the administration of the medication.",
          items: {
            $ref: "#/definitions/MedicationKnowledge_AdministrationGuidelines"
          },
          type: "array"
        },
        medicineClassification: {
          description: "Categorization of the medication within a formulary or classification system.",
          items: {
            $ref: "#/definitions/MedicationKnowledge_MedicineClassification"
          },
          type: "array"
        },
        packaging: {
          description: "Information that only applies to packages (not products).",
          $ref: "#/definitions/MedicationKnowledge_Packaging"
        },
        drugCharacteristic: {
          description: "Specifies descriptive properties of the medicine, such as color, shape, imprints, etc.",
          items: {
            $ref: "#/definitions/MedicationKnowledge_DrugCharacteristic"
          },
          type: "array"
        },
        contraindication: {
          description: "Potential clinical issue with or between medication(s) (for example, drug-drug interaction, drug-disease contraindication, drug-allergy interaction, etc.).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        regulatory: {
          description: "Regulatory information about a medication.",
          items: {
            $ref: "#/definitions/MedicationKnowledge_Regulatory"
          },
          type: "array"
        },
        kinetics: {
          description: "The time course of drug absorption, distribution, metabolism and excretion of a medication from the body.",
          items: {
            $ref: "#/definitions/MedicationKnowledge_Kinetics"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    MedicationKnowledge_RelatedMedicationKnowledge: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The category of the associated medication knowledge reference.",
          $ref: "#/definitions/CodeableConcept"
        },
        reference: {
          description: "Associated documentation about the associated medication knowledge.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["reference", "type"]
    },
    MedicationKnowledge_Monograph: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The category of documentation about the medication. (e.g. professional monograph, patient education monograph).",
          $ref: "#/definitions/CodeableConcept"
        },
        source: {
          description: "Associated documentation about the medication.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    MedicationKnowledge_Ingredient: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        itemCodeableConcept: {
          description: "The actual ingredient - either a substance (simple ingredient) or another medication.",
          $ref: "#/definitions/CodeableConcept"
        },
        itemReference: {
          description: "The actual ingredient - either a substance (simple ingredient) or another medication.",
          $ref: "#/definitions/Reference"
        },
        isActive: {
          description: "Indication of whether this ingredient affects the therapeutic action of the drug.",
          $ref: "#/definitions/boolean"
        },
        _isActive: {
          description: "Extensions for isActive",
          $ref: "#/definitions/Element"
        },
        strength: {
          description: "Specifies how many (or how much) of the items there are in this Medication.  For example, 250 mg per tablet.  This is expressed as a ratio where the numerator is 250mg and the denominator is 1 tablet.",
          $ref: "#/definitions/Ratio"
        }
      },
      additionalProperties: false
    },
    MedicationKnowledge_Cost: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The category of the cost information.  For example, manufacturers' cost, patient cost, claim reimbursement cost, actual acquisition cost.",
          $ref: "#/definitions/CodeableConcept"
        },
        source: {
          description: "The source or owner that assigns the price to the medication.",
          $ref: "#/definitions/string"
        },
        _source: {
          description: "Extensions for source",
          $ref: "#/definitions/Element"
        },
        cost: {
          description: "The price of the medication.",
          $ref: "#/definitions/Money"
        }
      },
      additionalProperties: false,
      required: ["cost", "type"]
    },
    MedicationKnowledge_MonitoringProgram: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Type of program under which the medication is monitored.",
          $ref: "#/definitions/CodeableConcept"
        },
        name: {
          description: "Name of the reviewing program.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    MedicationKnowledge_AdministrationGuidelines: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        dosage: {
          description: "Dosage for the medication for the specific guidelines.",
          items: {
            $ref: "#/definitions/MedicationKnowledge_Dosage"
          },
          type: "array"
        },
        indicationCodeableConcept: {
          description: "Indication for use that apply to the specific administration guidelines.",
          $ref: "#/definitions/CodeableConcept"
        },
        indicationReference: {
          description: "Indication for use that apply to the specific administration guidelines.",
          $ref: "#/definitions/Reference"
        },
        patientCharacteristics: {
          description: "Characteristics of the patient that are relevant to the administration guidelines (for example, height, weight, gender, etc.).",
          items: {
            $ref: "#/definitions/MedicationKnowledge_PatientCharacteristics"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    MedicationKnowledge_Dosage: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of dosage (for example, prophylaxis, maintenance, therapeutic, etc.).",
          $ref: "#/definitions/CodeableConcept"
        },
        dosage: {
          description: "Dosage for the medication for the specific guidelines.",
          items: {
            $ref: "#/definitions/Dosage"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["dosage", "type"]
    },
    MedicationKnowledge_PatientCharacteristics: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        characteristicCodeableConcept: {
          description: "Specific characteristic that is relevant to the administration guideline (e.g. height, weight, gender).",
          $ref: "#/definitions/CodeableConcept"
        },
        characteristicQuantity: {
          description: "Specific characteristic that is relevant to the administration guideline (e.g. height, weight, gender).",
          $ref: "#/definitions/Quantity"
        },
        value: {
          description: "The specific characteristic (e.g. height, weight, gender, etc.).",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _value: {
          description: "Extensions for value",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    MedicationKnowledge_MedicineClassification: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of category for the medication (for example, therapeutic classification, therapeutic sub-classification).",
          $ref: "#/definitions/CodeableConcept"
        },
        classification: {
          description: "Specific category assigned to the medication (e.g. anti-infective, anti-hypertensive, antibiotic, etc.).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    MedicationKnowledge_Packaging: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "A code that defines the specific type of packaging that the medication can be found in (e.g. blister sleeve, tube, bottle).",
          $ref: "#/definitions/CodeableConcept"
        },
        quantity: {
          description: "The number of product units the package would contain if fully loaded.",
          $ref: "#/definitions/Quantity"
        }
      },
      additionalProperties: false
    },
    MedicationKnowledge_DrugCharacteristic: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "A code specifying which characteristic of the medicine is being described (for example, colour, shape, imprint).",
          $ref: "#/definitions/CodeableConcept"
        },
        valueCodeableConcept: {
          description: "Description of the characteristic.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueString: {
          description: "Description of the characteristic.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueQuantity: {
          description: "Description of the characteristic.",
          $ref: "#/definitions/Quantity"
        },
        valueBase64Binary: {
          description: "Description of the characteristic.",
          pattern: "^(\\s*([0-9a-zA-Z\\+/=]){4}\\s*)+$",
          type: "string"
        },
        _valueBase64Binary: {
          description: "Extensions for valueBase64Binary",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    MedicationKnowledge_Regulatory: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        regulatoryAuthority: {
          description: "The authority that is specifying the regulations.",
          $ref: "#/definitions/Reference"
        },
        substitution: {
          description: "Specifies if changes are allowed when dispensing a medication from a regulatory perspective.",
          items: {
            $ref: "#/definitions/MedicationKnowledge_Substitution"
          },
          type: "array"
        },
        schedule: {
          description: "Specifies the schedule of a medication in jurisdiction.",
          items: {
            $ref: "#/definitions/MedicationKnowledge_Schedule"
          },
          type: "array"
        },
        maxDispense: {
          description: "The maximum number of units of the medication that can be dispensed in a period.",
          $ref: "#/definitions/MedicationKnowledge_MaxDispense"
        }
      },
      additionalProperties: false,
      required: ["regulatoryAuthority"]
    },
    MedicationKnowledge_Substitution: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Specifies the type of substitution allowed.",
          $ref: "#/definitions/CodeableConcept"
        },
        allowed: {
          description: "Specifies if regulation allows for changes in the medication when dispensing.",
          $ref: "#/definitions/boolean"
        },
        _allowed: {
          description: "Extensions for allowed",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    MedicationKnowledge_Schedule: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        schedule: {
          description: "Specifies the specific drug schedule.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["schedule"]
    },
    MedicationKnowledge_MaxDispense: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        quantity: {
          description: "The maximum number of units of the medication that can be dispensed.",
          $ref: "#/definitions/Quantity"
        },
        period: {
          description: "The period that applies to the maximum number of units.",
          $ref: "#/definitions/Duration"
        }
      },
      additionalProperties: false,
      required: ["quantity"]
    },
    MedicationKnowledge_Kinetics: {
      description: "Information about a medication that is used to support knowledge.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        areaUnderCurve: {
          description: "The drug concentration measured at certain discrete points in time.",
          items: {
            $ref: "#/definitions/Quantity"
          },
          type: "array"
        },
        lethalDose50: {
          description: "The median lethal dose of a drug.",
          items: {
            $ref: "#/definitions/Quantity"
          },
          type: "array"
        },
        halfLifePeriod: {
          description: "The time required for any specified property (e.g., the concentration of a substance in the body) to decrease by half.",
          $ref: "#/definitions/Duration"
        }
      },
      additionalProperties: false
    },
    MedicationRequest: {
      description: 'An order or request for both supply of the medication and the instructions for administration of the medication to a patient. The resource is called "MedicationRequest" rather than "MedicationPrescription" or "MedicationOrder" to generalize the use across inpatient and outpatient settings, including care plans, etc., and to harmonize with workflow patterns.',
      properties: {
        resourceType: {
          description: "This is a MedicationRequest resource",
          const: "MedicationRequest"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifiers associated with this medication request that are defined by business processes and/or used to refer to it when a direct URL reference to the resource itself is not appropriate. They are business identifiers assigned to this resource by the performer or other systems and remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "A code specifying the current state of the order.  Generally, this will be active or completed state.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusReason: {
          description: "Captures the reason for the current state of the MedicationRequest.",
          $ref: "#/definitions/CodeableConcept"
        },
        intent: {
          description: "Whether the request is a proposal, plan, or an original order.",
          $ref: "#/definitions/code"
        },
        _intent: {
          description: "Extensions for intent",
          $ref: "#/definitions/Element"
        },
        category: {
          description: "Indicates the type of medication request (for example, where the medication is expected to be consumed or administered (i.e. inpatient or outpatient)).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        priority: {
          description: "Indicates how quickly the Medication Request should be addressed with respect to other requests.",
          $ref: "#/definitions/code"
        },
        _priority: {
          description: "Extensions for priority",
          $ref: "#/definitions/Element"
        },
        doNotPerform: {
          description: "If true indicates that the provider is asking for the medication request not to occur.",
          $ref: "#/definitions/boolean"
        },
        _doNotPerform: {
          description: "Extensions for doNotPerform",
          $ref: "#/definitions/Element"
        },
        reportedBoolean: {
          description: "Indicates if this record was captured as a secondary 'reported' record rather than as an original primary source-of-truth record.  It may also indicate the source of the report.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _reportedBoolean: {
          description: "Extensions for reportedBoolean",
          $ref: "#/definitions/Element"
        },
        reportedReference: {
          description: "Indicates if this record was captured as a secondary 'reported' record rather than as an original primary source-of-truth record.  It may also indicate the source of the report.",
          $ref: "#/definitions/Reference"
        },
        medicationCodeableConcept: {
          description: "Identifies the medication being requested. This is a link to a resource that represents the medication which may be the details of the medication or simply an attribute carrying a code that identifies the medication from a known list of medications.",
          $ref: "#/definitions/CodeableConcept"
        },
        medicationReference: {
          description: "Identifies the medication being requested. This is a link to a resource that represents the medication which may be the details of the medication or simply an attribute carrying a code that identifies the medication from a known list of medications.",
          $ref: "#/definitions/Reference"
        },
        subject: {
          description: "A link to a resource representing the person or set of individuals to whom the medication will be given.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The Encounter during which this [x] was created or to which the creation of this record is tightly associated.",
          $ref: "#/definitions/Reference"
        },
        supportingInformation: {
          description: "Include additional information (for example, patient height and weight) that supports the ordering of the medication.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        authoredOn: {
          description: "The date (and perhaps time) when the prescription was initially written or authored on.",
          $ref: "#/definitions/dateTime"
        },
        _authoredOn: {
          description: "Extensions for authoredOn",
          $ref: "#/definitions/Element"
        },
        requester: {
          description: "The individual, organization, or device that initiated the request and has responsibility for its activation.",
          $ref: "#/definitions/Reference"
        },
        performer: {
          description: "The specified desired performer of the medication treatment (e.g. the performer of the medication administration).",
          $ref: "#/definitions/Reference"
        },
        performerType: {
          description: "Indicates the type of performer of the administration of the medication.",
          $ref: "#/definitions/CodeableConcept"
        },
        recorder: {
          description: "The person who entered the order on behalf of another individual for example in the case of a verbal or a telephone order.",
          $ref: "#/definitions/Reference"
        },
        reasonCode: {
          description: "The reason or the indication for ordering or not ordering the medication.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Condition or observation that supports why the medication was ordered.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        instantiatesCanonical: {
          description: "The URL pointing to a protocol, guideline, orderset, or other definition that is adhered to in whole or in part by this MedicationRequest.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        _instantiatesCanonical: {
          description: "Extensions for instantiatesCanonical",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        instantiatesUri: {
          description: "The URL pointing to an externally maintained protocol, guideline, orderset or other definition that is adhered to in whole or in part by this MedicationRequest.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _instantiatesUri: {
          description: "Extensions for instantiatesUri",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        basedOn: {
          description: "A plan or request that is fulfilled in whole or in part by this medication request.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        groupIdentifier: {
          description: "A shared identifier common to all requests that were authorized more or less simultaneously by a single author, representing the identifier of the requisition or prescription.",
          $ref: "#/definitions/Identifier"
        },
        courseOfTherapyType: {
          description: "The description of the overall patte3rn of the administration of the medication to the patient.",
          $ref: "#/definitions/CodeableConcept"
        },
        insurance: {
          description: "Insurance plans, coverage extensions, pre-authorizations and/or pre-determinations that may be required for delivering the requested service.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "Extra information about the prescription that could not be conveyed by the other attributes.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        dosageInstruction: {
          description: "Indicates how the medication is to be used by the patient.",
          items: {
            $ref: "#/definitions/Dosage"
          },
          type: "array"
        },
        dispenseRequest: {
          description: "Indicates the specific details for the dispense or medication supply part of a medication request (also known as a Medication Prescription or Medication Order).  Note that this information is not always sent with the order.  There may be in some settings (e.g. hospitals) institutional or system support for completing the dispense details in the pharmacy department.",
          $ref: "#/definitions/MedicationRequest_DispenseRequest"
        },
        substitution: {
          description: "Indicates whether or not substitution can or should be part of the dispense. In some cases, substitution must happen, in other cases substitution must not happen. This block explains the prescriber's intent. If nothing is specified substitution may be done.",
          $ref: "#/definitions/MedicationRequest_Substitution"
        },
        priorPrescription: {
          description: "A link to a resource representing an earlier order related order or prescription.",
          $ref: "#/definitions/Reference"
        },
        detectedIssue: {
          description: "Indicates an actual or potential clinical issue with or between one or more active or proposed clinical actions for a patient; e.g. Drug-drug interaction, duplicate therapy, dosage alert etc.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        eventHistory: {
          description: "Links to Provenance records for past versions of this resource or fulfilling request or event resources that identify key state transitions or updates that are likely to be relevant to a user looking at the current version of the resource.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "resourceType"]
    },
    MedicationRequest_DispenseRequest: {
      description: 'An order or request for both supply of the medication and the instructions for administration of the medication to a patient. The resource is called "MedicationRequest" rather than "MedicationPrescription" or "MedicationOrder" to generalize the use across inpatient and outpatient settings, including care plans, etc., and to harmonize with workflow patterns.',
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        initialFill: {
          description: "Indicates the quantity or duration for the first dispense of the medication.",
          $ref: "#/definitions/MedicationRequest_InitialFill"
        },
        dispenseInterval: {
          description: "The minimum period of time that must occur between dispenses of the medication.",
          $ref: "#/definitions/Duration"
        },
        validityPeriod: {
          description: "This indicates the validity period of a prescription (stale dating the Prescription).",
          $ref: "#/definitions/Period"
        },
        numberOfRepeatsAllowed: {
          description: 'An integer indicating the number of times, in addition to the original dispense, (aka refills or repeats) that the patient can receive the prescribed medication. Usage Notes: This integer does not include the original order dispense. This means that if an order indicates dispense 30 tablets plus "3 repeats", then the order can be dispensed a total of 4 times and the patient can receive a total of 120 tablets.  A prescriber may explicitly say that zero refills are permitted after the initial dispense.',
          $ref: "#/definitions/unsignedInt"
        },
        _numberOfRepeatsAllowed: {
          description: "Extensions for numberOfRepeatsAllowed",
          $ref: "#/definitions/Element"
        },
        quantity: {
          description: "The amount that is to be dispensed for one fill.",
          $ref: "#/definitions/Quantity"
        },
        expectedSupplyDuration: {
          description: "Identifies the period time over which the supplied product is expected to be used, or the length of time the dispense is expected to last.",
          $ref: "#/definitions/Duration"
        },
        performer: {
          description: "Indicates the intended dispensing Organization specified by the prescriber.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    MedicationRequest_InitialFill: {
      description: 'An order or request for both supply of the medication and the instructions for administration of the medication to a patient. The resource is called "MedicationRequest" rather than "MedicationPrescription" or "MedicationOrder" to generalize the use across inpatient and outpatient settings, including care plans, etc., and to harmonize with workflow patterns.',
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        quantity: {
          description: "The amount or quantity to provide as part of the first dispense.",
          $ref: "#/definitions/Quantity"
        },
        duration: {
          description: "The length of time that the first dispense is expected to last.",
          $ref: "#/definitions/Duration"
        }
      },
      additionalProperties: false
    },
    MedicationRequest_Substitution: {
      description: 'An order or request for both supply of the medication and the instructions for administration of the medication to a patient. The resource is called "MedicationRequest" rather than "MedicationPrescription" or "MedicationOrder" to generalize the use across inpatient and outpatient settings, including care plans, etc., and to harmonize with workflow patterns.',
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        allowedBoolean: {
          description: "True if the prescriber allows a different drug to be dispensed from what was prescribed.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _allowedBoolean: {
          description: "Extensions for allowedBoolean",
          $ref: "#/definitions/Element"
        },
        allowedCodeableConcept: {
          description: "True if the prescriber allows a different drug to be dispensed from what was prescribed.",
          $ref: "#/definitions/CodeableConcept"
        },
        reason: {
          description: "Indicates the reason for the substitution, or why substitution must or must not be performed.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    MedicationStatement: {
      description: "A record of a medication that is being consumed by a patient.   A MedicationStatement may indicate that the patient may be taking the medication now or has taken the medication in the past or will be taking the medication in the future.  The source of this information can be the patient, significant other (such as a family member or spouse), or a clinician.  A common scenario where this information is captured is during the history taking process during a patient visit or stay.   The medication information may come from sources such as the patient's memory, from a prescription bottle,  or from a list of medications the patient, clinician or other party maintains. \n\nThe primary difference between a medication statement and a medication administration is that the medication administration has complete administration information and is based on actual administration information from the person who administered the medication.  A medication statement is often, if not always, less specific.  There is no required date/time when the medication was administered, in fact we only know that a source has reported the patient is taking this medication, where details such as time, quantity, or rate or even medication product may be incomplete or missing or less precise.  As stated earlier, the medication statement information may come from the patient's memory, from a prescription bottle or from a list of medications the patient, clinician or other party maintains.  Medication administration is more formal and is not missing detailed information.",
      properties: {
        resourceType: {
          description: "This is a MedicationStatement resource",
          const: "MedicationStatement"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifiers associated with this Medication Statement that are defined by business processes and/or used to refer to it when a direct URL reference to the resource itself is not appropriate. They are business identifiers assigned to this resource by the performer or other systems and remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        basedOn: {
          description: "A plan, proposal or order that is fulfilled in whole or in part by this event.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        partOf: {
          description: "A larger event of which this particular event is a component or step.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "A code representing the patient or other source's judgment about the state of the medication used that this statement is about.  Generally, this will be active or completed.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusReason: {
          description: "Captures the reason for the current state of the MedicationStatement.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        category: {
          description: "Indicates where the medication is expected to be consumed or administered.",
          $ref: "#/definitions/CodeableConcept"
        },
        medicationCodeableConcept: {
          description: "Identifies the medication being administered. This is either a link to a resource representing the details of the medication or a simple attribute carrying a code that identifies the medication from a known list of medications.",
          $ref: "#/definitions/CodeableConcept"
        },
        medicationReference: {
          description: "Identifies the medication being administered. This is either a link to a resource representing the details of the medication or a simple attribute carrying a code that identifies the medication from a known list of medications.",
          $ref: "#/definitions/Reference"
        },
        subject: {
          description: "The person, animal or group who is/was taking the medication.",
          $ref: "#/definitions/Reference"
        },
        context: {
          description: "The encounter or episode of care that establishes the context for this MedicationStatement.",
          $ref: "#/definitions/Reference"
        },
        effectiveDateTime: {
          description: "The interval of time during which it is being asserted that the patient is/was/will be taking the medication (or was not taking, when the MedicationStatement.taken element is No).",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _effectiveDateTime: {
          description: "Extensions for effectiveDateTime",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The interval of time during which it is being asserted that the patient is/was/will be taking the medication (or was not taking, when the MedicationStatement.taken element is No).",
          $ref: "#/definitions/Period"
        },
        dateAsserted: {
          description: "The date when the medication statement was asserted by the information source.",
          $ref: "#/definitions/dateTime"
        },
        _dateAsserted: {
          description: "Extensions for dateAsserted",
          $ref: "#/definitions/Element"
        },
        informationSource: {
          description: "The person or organization that provided the information about the taking of this medication. Note: Use derivedFrom when a MedicationStatement is derived from other resources, e.g. Claim or MedicationRequest.",
          $ref: "#/definitions/Reference"
        },
        derivedFrom: {
          description: "Allows linking the MedicationStatement to the underlying MedicationRequest, or to other information that supports or is used to derive the MedicationStatement.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        reasonCode: {
          description: "A reason for why the medication is being/was taken.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Condition or observation that supports why the medication is being/was taken.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "Provides extra information about the medication statement that is not conveyed by the other attributes.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        dosage: {
          description: "Indicates how the medication is/was or should be taken by the patient.",
          items: {
            $ref: "#/definitions/Dosage"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "resourceType"]
    },
    MedicinalProduct: {
      description: "Detailed definition of a medicinal product, typically for uses other than direct patient care (e.g. regulatory use).",
      properties: {
        resourceType: {
          description: "This is a MedicinalProduct resource",
          const: "MedicinalProduct"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifier for this product. Could be an MPID.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        type: {
          description: "Regulatory type, e.g. Investigational or Authorized.",
          $ref: "#/definitions/CodeableConcept"
        },
        domain: {
          description: "If this medicine applies to human or veterinary uses.",
          $ref: "#/definitions/Coding"
        },
        combinedPharmaceuticalDoseForm: {
          description: "The dose form for a single part product, or combined form of a multiple part product.",
          $ref: "#/definitions/CodeableConcept"
        },
        legalStatusOfSupply: {
          description: "The legal status of supply of the medicinal product as classified by the regulator.",
          $ref: "#/definitions/CodeableConcept"
        },
        additionalMonitoringIndicator: {
          description: "Whether the Medicinal Product is subject to additional monitoring for regulatory reasons.",
          $ref: "#/definitions/CodeableConcept"
        },
        specialMeasures: {
          description: "Whether the Medicinal Product is subject to special measures for regulatory reasons.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _specialMeasures: {
          description: "Extensions for specialMeasures",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        paediatricUseIndicator: {
          description: "If authorised for use in children.",
          $ref: "#/definitions/CodeableConcept"
        },
        productClassification: {
          description: "Allows the product to be classified by various systems.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        marketingStatus: {
          description: "Marketing status of the medicinal product, in contrast to marketing authorizaton.",
          items: {
            $ref: "#/definitions/MarketingStatus"
          },
          type: "array"
        },
        pharmaceuticalProduct: {
          description: "Pharmaceutical aspects of product.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        packagedMedicinalProduct: {
          description: "Package representation for the product.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        attachedDocument: {
          description: "Supporting documentation, typically for regulatory submission.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        masterFile: {
          description: "A master file for to the medicinal product (e.g. Pharmacovigilance System Master File).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        contact: {
          description: "A product specific contact, person (in a role), or an organization.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        clinicalTrial: {
          description: "Clinical trials or studies that this product is involved in.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        name: {
          description: "The product's name, including full name and possibly coded parts.",
          items: {
            $ref: "#/definitions/MedicinalProduct_Name"
          },
          type: "array"
        },
        crossReference: {
          description: "Reference to another product, e.g. for linking authorised to investigational product.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        manufacturingBusinessOperation: {
          description: "An operation applied to the product, for manufacturing or adminsitrative purpose.",
          items: {
            $ref: "#/definitions/MedicinalProduct_ManufacturingBusinessOperation"
          },
          type: "array"
        },
        specialDesignation: {
          description: "Indicates if the medicinal product has an orphan designation for the treatment of a rare disease.",
          items: {
            $ref: "#/definitions/MedicinalProduct_SpecialDesignation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["name", "resourceType"]
    },
    MedicinalProduct_Name: {
      description: "Detailed definition of a medicinal product, typically for uses other than direct patient care (e.g. regulatory use).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        productName: {
          description: "The full product name.",
          $ref: "#/definitions/string"
        },
        _productName: {
          description: "Extensions for productName",
          $ref: "#/definitions/Element"
        },
        namePart: {
          description: "Coding words or phrases of the name.",
          items: {
            $ref: "#/definitions/MedicinalProduct_NamePart"
          },
          type: "array"
        },
        countryLanguage: {
          description: "Country where the name applies.",
          items: {
            $ref: "#/definitions/MedicinalProduct_CountryLanguage"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    MedicinalProduct_NamePart: {
      description: "Detailed definition of a medicinal product, typically for uses other than direct patient care (e.g. regulatory use).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        part: {
          description: "A fragment of a product name.",
          $ref: "#/definitions/string"
        },
        _part: {
          description: "Extensions for part",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Idenifying type for this part of the name (e.g. strength part).",
          $ref: "#/definitions/Coding"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    MedicinalProduct_CountryLanguage: {
      description: "Detailed definition of a medicinal product, typically for uses other than direct patient care (e.g. regulatory use).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        country: {
          description: "Country code for where this name applies.",
          $ref: "#/definitions/CodeableConcept"
        },
        jurisdiction: {
          description: "Jurisdiction code for where this name applies.",
          $ref: "#/definitions/CodeableConcept"
        },
        language: {
          description: "Language code for this name.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["country", "language"]
    },
    MedicinalProduct_ManufacturingBusinessOperation: {
      description: "Detailed definition of a medicinal product, typically for uses other than direct patient care (e.g. regulatory use).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        operationType: {
          description: "The type of manufacturing operation.",
          $ref: "#/definitions/CodeableConcept"
        },
        authorisationReferenceNumber: {
          description: "Regulatory authorization reference number.",
          $ref: "#/definitions/Identifier"
        },
        effectiveDate: {
          description: "Regulatory authorization date.",
          $ref: "#/definitions/dateTime"
        },
        _effectiveDate: {
          description: "Extensions for effectiveDate",
          $ref: "#/definitions/Element"
        },
        confidentialityIndicator: {
          description: "To indicate if this proces is commercially confidential.",
          $ref: "#/definitions/CodeableConcept"
        },
        manufacturer: {
          description: "The manufacturer or establishment associated with the process.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        regulator: {
          description: "A regulator which oversees the operation.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    MedicinalProduct_SpecialDesignation: {
      description: "Detailed definition of a medicinal product, typically for uses other than direct patient care (e.g. regulatory use).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier for the designation, or procedure number.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        type: {
          description: "The type of special designation, e.g. orphan drug, minor use.",
          $ref: "#/definitions/CodeableConcept"
        },
        intendedUse: {
          description: "The intended use of the product, e.g. prevention, treatment.",
          $ref: "#/definitions/CodeableConcept"
        },
        indicationCodeableConcept: {
          description: "Condition for which the medicinal use applies.",
          $ref: "#/definitions/CodeableConcept"
        },
        indicationReference: {
          description: "Condition for which the medicinal use applies.",
          $ref: "#/definitions/Reference"
        },
        status: {
          description: "For example granted, pending, expired or withdrawn.",
          $ref: "#/definitions/CodeableConcept"
        },
        date: {
          description: "Date when the designation was granted.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        species: {
          description: "Animal species for which this applies.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    MedicinalProductAuthorization: {
      description: "The regulatory authorization of a medicinal product.",
      properties: {
        resourceType: {
          description: "This is a MedicinalProductAuthorization resource",
          const: "MedicinalProductAuthorization"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifier for the marketing authorization, as assigned by a regulator.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        subject: {
          description: "The medicinal product that is being authorized.",
          $ref: "#/definitions/Reference"
        },
        country: {
          description: "The country in which the marketing authorization has been granted.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        jurisdiction: {
          description: "Jurisdiction within a country.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        status: {
          description: "The status of the marketing authorization.",
          $ref: "#/definitions/CodeableConcept"
        },
        statusDate: {
          description: "The date at which the given status has become applicable.",
          $ref: "#/definitions/dateTime"
        },
        _statusDate: {
          description: "Extensions for statusDate",
          $ref: "#/definitions/Element"
        },
        restoreDate: {
          description: "The date when a suspended the marketing or the marketing authorization of the product is anticipated to be restored.",
          $ref: "#/definitions/dateTime"
        },
        _restoreDate: {
          description: "Extensions for restoreDate",
          $ref: "#/definitions/Element"
        },
        validityPeriod: {
          description: "The beginning of the time period in which the marketing authorization is in the specific status shall be specified A complete date consisting of day, month and year shall be specified using the ISO 8601 date format.",
          $ref: "#/definitions/Period"
        },
        dataExclusivityPeriod: {
          description: "A period of time after authorization before generic product applicatiosn can be submitted.",
          $ref: "#/definitions/Period"
        },
        dateOfFirstAuthorization: {
          description: "The date when the first authorization was granted by a Medicines Regulatory Agency.",
          $ref: "#/definitions/dateTime"
        },
        _dateOfFirstAuthorization: {
          description: "Extensions for dateOfFirstAuthorization",
          $ref: "#/definitions/Element"
        },
        internationalBirthDate: {
          description: "Date of first marketing authorization for a company's new medicinal product in any country in the World.",
          $ref: "#/definitions/dateTime"
        },
        _internationalBirthDate: {
          description: "Extensions for internationalBirthDate",
          $ref: "#/definitions/Element"
        },
        legalBasis: {
          description: "The legal framework against which this authorization is granted.",
          $ref: "#/definitions/CodeableConcept"
        },
        jurisdictionalAuthorization: {
          description: "Authorization in areas within a country.",
          items: {
            $ref: "#/definitions/MedicinalProductAuthorization_JurisdictionalAuthorization"
          },
          type: "array"
        },
        holder: {
          description: "Marketing Authorization Holder.",
          $ref: "#/definitions/Reference"
        },
        regulator: {
          description: "Medicines Regulatory Agency.",
          $ref: "#/definitions/Reference"
        },
        procedure: {
          description: "The regulatory procedure for granting or amending a marketing authorization.",
          $ref: "#/definitions/MedicinalProductAuthorization_Procedure"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    MedicinalProductAuthorization_JurisdictionalAuthorization: {
      description: "The regulatory authorization of a medicinal product.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "The assigned number for the marketing authorization.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        country: {
          description: "Country of authorization.",
          $ref: "#/definitions/CodeableConcept"
        },
        jurisdiction: {
          description: "Jurisdiction within a country.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        legalStatusOfSupply: {
          description: "The legal status of supply in a jurisdiction or region.",
          $ref: "#/definitions/CodeableConcept"
        },
        validityPeriod: {
          description: "The start and expected end date of the authorization.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    MedicinalProductAuthorization_Procedure: {
      description: "The regulatory authorization of a medicinal product.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier for this procedure.",
          $ref: "#/definitions/Identifier"
        },
        type: {
          description: "Type of procedure.",
          $ref: "#/definitions/CodeableConcept"
        },
        datePeriod: {
          description: "Date of procedure.",
          $ref: "#/definitions/Period"
        },
        dateDateTime: {
          description: "Date of procedure.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _dateDateTime: {
          description: "Extensions for dateDateTime",
          $ref: "#/definitions/Element"
        },
        application: {
          description: "Applcations submitted to obtain a marketing authorization.",
          items: {
            $ref: "#/definitions/MedicinalProductAuthorization_Procedure"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    MedicinalProductContraindication: {
      description: "The clinical particulars - indications, contraindications etc. of a medicinal product, including for regulatory purposes.",
      properties: {
        resourceType: {
          description: "This is a MedicinalProductContraindication resource",
          const: "MedicinalProductContraindication"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        subject: {
          description: "The medication for which this is an indication.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        disease: {
          description: "The disease, symptom or procedure for the contraindication.",
          $ref: "#/definitions/CodeableConcept"
        },
        diseaseStatus: {
          description: "The status of the disease or symptom for the contraindication.",
          $ref: "#/definitions/CodeableConcept"
        },
        comorbidity: {
          description: "A comorbidity (concurrent condition) or coinfection.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        therapeuticIndication: {
          description: "Information about the use of the medicinal product in relation to other therapies as part of the indication.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        otherTherapy: {
          description: "Information about the use of the medicinal product in relation to other therapies described as part of the indication.",
          items: {
            $ref: "#/definitions/MedicinalProductContraindication_OtherTherapy"
          },
          type: "array"
        },
        population: {
          description: "The population group to which this applies.",
          items: {
            $ref: "#/definitions/Population"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    MedicinalProductContraindication_OtherTherapy: {
      description: "The clinical particulars - indications, contraindications etc. of a medicinal product, including for regulatory purposes.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        therapyRelationshipType: {
          description: "The type of relationship between the medicinal product indication or contraindication and another therapy.",
          $ref: "#/definitions/CodeableConcept"
        },
        medicationCodeableConcept: {
          description: "Reference to a specific medication (active substance, medicinal product or class of products) as part of an indication or contraindication.",
          $ref: "#/definitions/CodeableConcept"
        },
        medicationReference: {
          description: "Reference to a specific medication (active substance, medicinal product or class of products) as part of an indication or contraindication.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["therapyRelationshipType"]
    },
    MedicinalProductIndication: {
      description: "Indication for the Medicinal Product.",
      properties: {
        resourceType: {
          description: "This is a MedicinalProductIndication resource",
          const: "MedicinalProductIndication"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        subject: {
          description: "The medication for which this is an indication.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        diseaseSymptomProcedure: {
          description: "The disease, symptom or procedure that is the indication for treatment.",
          $ref: "#/definitions/CodeableConcept"
        },
        diseaseStatus: {
          description: "The status of the disease or symptom for which the indication applies.",
          $ref: "#/definitions/CodeableConcept"
        },
        comorbidity: {
          description: "Comorbidity (concurrent condition) or co-infection as part of the indication.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        intendedEffect: {
          description: "The intended effect, aim or strategy to be achieved by the indication.",
          $ref: "#/definitions/CodeableConcept"
        },
        duration: {
          description: "Timing or duration information as part of the indication.",
          $ref: "#/definitions/Quantity"
        },
        otherTherapy: {
          description: "Information about the use of the medicinal product in relation to other therapies described as part of the indication.",
          items: {
            $ref: "#/definitions/MedicinalProductIndication_OtherTherapy"
          },
          type: "array"
        },
        undesirableEffect: {
          description: "Describe the undesirable effects of the medicinal product.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        population: {
          description: "The population group to which this applies.",
          items: {
            $ref: "#/definitions/Population"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    MedicinalProductIndication_OtherTherapy: {
      description: "Indication for the Medicinal Product.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        therapyRelationshipType: {
          description: "The type of relationship between the medicinal product indication or contraindication and another therapy.",
          $ref: "#/definitions/CodeableConcept"
        },
        medicationCodeableConcept: {
          description: "Reference to a specific medication (active substance, medicinal product or class of products) as part of an indication or contraindication.",
          $ref: "#/definitions/CodeableConcept"
        },
        medicationReference: {
          description: "Reference to a specific medication (active substance, medicinal product or class of products) as part of an indication or contraindication.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["therapyRelationshipType"]
    },
    MedicinalProductIngredient: {
      description: "An ingredient of a manufactured item or pharmaceutical product.",
      properties: {
        resourceType: {
          description: "This is a MedicinalProductIngredient resource",
          const: "MedicinalProductIngredient"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "The identifier(s) of this Ingredient that are assigned by business processes and/or used to refer to it when a direct URL reference to the resource itself is not appropriate.",
          $ref: "#/definitions/Identifier"
        },
        role: {
          description: "Ingredient role e.g. Active ingredient, excipient.",
          $ref: "#/definitions/CodeableConcept"
        },
        allergenicIndicator: {
          description: "If the ingredient is a known or suspected allergen.",
          $ref: "#/definitions/boolean"
        },
        _allergenicIndicator: {
          description: "Extensions for allergenicIndicator",
          $ref: "#/definitions/Element"
        },
        manufacturer: {
          description: "Manufacturer of this Ingredient.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        specifiedSubstance: {
          description: "A specified substance that comprises this ingredient.",
          items: {
            $ref: "#/definitions/MedicinalProductIngredient_SpecifiedSubstance"
          },
          type: "array"
        },
        substance: {
          description: "The ingredient substance.",
          $ref: "#/definitions/MedicinalProductIngredient_Substance"
        }
      },
      additionalProperties: false,
      required: ["role", "resourceType"]
    },
    MedicinalProductIngredient_SpecifiedSubstance: {
      description: "An ingredient of a manufactured item or pharmaceutical product.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The specified substance.",
          $ref: "#/definitions/CodeableConcept"
        },
        group: {
          description: "The group of specified substance, e.g. group 1 to 4.",
          $ref: "#/definitions/CodeableConcept"
        },
        confidentiality: {
          description: "Confidentiality level of the specified substance as the ingredient.",
          $ref: "#/definitions/CodeableConcept"
        },
        strength: {
          description: "Quantity of the substance or specified substance present in the manufactured item or pharmaceutical product.",
          items: {
            $ref: "#/definitions/MedicinalProductIngredient_Strength"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["code", "group"]
    },
    MedicinalProductIngredient_Strength: {
      description: "An ingredient of a manufactured item or pharmaceutical product.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        presentation: {
          description: "The quantity of substance in the unit of presentation, or in the volume (or mass) of the single pharmaceutical product or manufactured item.",
          $ref: "#/definitions/Ratio"
        },
        presentationLowLimit: {
          description: "A lower limit for the quantity of substance in the unit of presentation. For use when there is a range of strengths, this is the lower limit, with the presentation attribute becoming the upper limit.",
          $ref: "#/definitions/Ratio"
        },
        concentration: {
          description: "The strength per unitary volume (or mass).",
          $ref: "#/definitions/Ratio"
        },
        concentrationLowLimit: {
          description: "A lower limit for the strength per unitary volume (or mass), for when there is a range. The concentration attribute then becomes the upper limit.",
          $ref: "#/definitions/Ratio"
        },
        measurementPoint: {
          description: "For when strength is measured at a particular point or distance.",
          $ref: "#/definitions/string"
        },
        _measurementPoint: {
          description: "Extensions for measurementPoint",
          $ref: "#/definitions/Element"
        },
        country: {
          description: "The country or countries for which the strength range applies.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        referenceStrength: {
          description: "Strength expressed in terms of a reference substance.",
          items: {
            $ref: "#/definitions/MedicinalProductIngredient_ReferenceStrength"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["presentation"]
    },
    MedicinalProductIngredient_ReferenceStrength: {
      description: "An ingredient of a manufactured item or pharmaceutical product.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        substance: {
          description: "Relevant reference substance.",
          $ref: "#/definitions/CodeableConcept"
        },
        strength: {
          description: "Strength expressed in terms of a reference substance.",
          $ref: "#/definitions/Ratio"
        },
        strengthLowLimit: {
          description: "Strength expressed in terms of a reference substance.",
          $ref: "#/definitions/Ratio"
        },
        measurementPoint: {
          description: "For when strength is measured at a particular point or distance.",
          $ref: "#/definitions/string"
        },
        _measurementPoint: {
          description: "Extensions for measurementPoint",
          $ref: "#/definitions/Element"
        },
        country: {
          description: "The country or countries for which the strength range applies.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["strength"]
    },
    MedicinalProductIngredient_Substance: {
      description: "An ingredient of a manufactured item or pharmaceutical product.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The ingredient substance.",
          $ref: "#/definitions/CodeableConcept"
        },
        strength: {
          description: "Quantity of the substance or specified substance present in the manufactured item or pharmaceutical product.",
          items: {
            $ref: "#/definitions/MedicinalProductIngredient_Strength"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["code"]
    },
    MedicinalProductInteraction: {
      description: "The interactions of the medicinal product with other medicinal products, or other forms of interactions.",
      properties: {
        resourceType: {
          description: "This is a MedicinalProductInteraction resource",
          const: "MedicinalProductInteraction"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        subject: {
          description: "The medication for which this is a described interaction.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        description: {
          description: "The interaction described.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        interactant: {
          description: "The specific medication, food or laboratory test that interacts.",
          items: {
            $ref: "#/definitions/MedicinalProductInteraction_Interactant"
          },
          type: "array"
        },
        type: {
          description: "The type of the interaction e.g. drug-drug interaction, drug-food interaction, drug-lab test interaction.",
          $ref: "#/definitions/CodeableConcept"
        },
        effect: {
          description: 'The effect of the interaction, for example "reduced gastric absorption of primary medication".',
          $ref: "#/definitions/CodeableConcept"
        },
        incidence: {
          description: "The incidence of the interaction, e.g. theoretical, observed.",
          $ref: "#/definitions/CodeableConcept"
        },
        management: {
          description: "Actions for managing the interaction.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    MedicinalProductInteraction_Interactant: {
      description: "The interactions of the medicinal product with other medicinal products, or other forms of interactions.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        itemReference: {
          description: "The specific medication, food or laboratory test that interacts.",
          $ref: "#/definitions/Reference"
        },
        itemCodeableConcept: {
          description: "The specific medication, food or laboratory test that interacts.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    MedicinalProductManufactured: {
      description: "The manufactured item as contained in the packaged medicinal product.",
      properties: {
        resourceType: {
          description: "This is a MedicinalProductManufactured resource",
          const: "MedicinalProductManufactured"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        manufacturedDoseForm: {
          description: "Dose form as manufactured and before any transformation into the pharmaceutical product.",
          $ref: "#/definitions/CodeableConcept"
        },
        unitOfPresentation: {
          description: "The \u201Creal world\u201D units in which the quantity of the manufactured item is described.",
          $ref: "#/definitions/CodeableConcept"
        },
        quantity: {
          description: 'The quantity or "count number" of the manufactured item.',
          $ref: "#/definitions/Quantity"
        },
        manufacturer: {
          description: 'Manufacturer of the item (Note that this should be named "manufacturer" but it currently causes technical issues).',
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        ingredient: {
          description: "Ingredient.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        physicalCharacteristics: {
          description: "Dimensions, color etc.",
          $ref: "#/definitions/ProdCharacteristic"
        },
        otherCharacteristics: {
          description: "Other codeable characteristics.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["quantity", "manufacturedDoseForm", "resourceType"]
    },
    MedicinalProductPackaged: {
      description: "A medicinal product in a container or package.",
      properties: {
        resourceType: {
          description: "This is a MedicinalProductPackaged resource",
          const: "MedicinalProductPackaged"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Unique identifier.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        subject: {
          description: "The product with this is a pack for.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        description: {
          description: "Textual description.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        legalStatusOfSupply: {
          description: "The legal status of supply of the medicinal product as classified by the regulator.",
          $ref: "#/definitions/CodeableConcept"
        },
        marketingStatus: {
          description: "Marketing information.",
          items: {
            $ref: "#/definitions/MarketingStatus"
          },
          type: "array"
        },
        marketingAuthorization: {
          description: "Manufacturer of this Package Item.",
          $ref: "#/definitions/Reference"
        },
        manufacturer: {
          description: "Manufacturer of this Package Item.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        batchIdentifier: {
          description: "Batch numbering.",
          items: {
            $ref: "#/definitions/MedicinalProductPackaged_BatchIdentifier"
          },
          type: "array"
        },
        packageItem: {
          description: "A packaging item, as a contained for medicine, possibly with other packaging items within.",
          items: {
            $ref: "#/definitions/MedicinalProductPackaged_PackageItem"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["packageItem", "resourceType"]
    },
    MedicinalProductPackaged_BatchIdentifier: {
      description: "A medicinal product in a container or package.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        outerPackaging: {
          description: "A number appearing on the outer packaging of a specific batch.",
          $ref: "#/definitions/Identifier"
        },
        immediatePackaging: {
          description: "A number appearing on the immediate packaging (and not the outer packaging).",
          $ref: "#/definitions/Identifier"
        }
      },
      additionalProperties: false,
      required: ["outerPackaging"]
    },
    MedicinalProductPackaged_PackageItem: {
      description: "A medicinal product in a container or package.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Including possibly Data Carrier Identifier.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        type: {
          description: "The physical type of the container of the medicine.",
          $ref: "#/definitions/CodeableConcept"
        },
        quantity: {
          description: "The quantity of this package in the medicinal product, at the current level of packaging. The outermost is always 1.",
          $ref: "#/definitions/Quantity"
        },
        material: {
          description: "Material type of the package item.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        alternateMaterial: {
          description: "A possible alternate material for the packaging.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        device: {
          description: "A device accompanying a medicinal product.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        manufacturedItem: {
          description: "The manufactured item as contained in the packaged medicinal product.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        packageItem: {
          description: "Allows containers within containers.",
          items: {
            $ref: "#/definitions/MedicinalProductPackaged_PackageItem"
          },
          type: "array"
        },
        physicalCharacteristics: {
          description: "Dimensions, color etc.",
          $ref: "#/definitions/ProdCharacteristic"
        },
        otherCharacteristics: {
          description: "Other codeable characteristics.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        shelfLifeStorage: {
          description: "Shelf Life and storage information.",
          items: {
            $ref: "#/definitions/ProductShelfLife"
          },
          type: "array"
        },
        manufacturer: {
          description: "Manufacturer of this Package Item.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["quantity", "type"]
    },
    MedicinalProductPharmaceutical: {
      description: "A pharmaceutical product described in terms of its composition and dose form.",
      properties: {
        resourceType: {
          description: "This is a MedicinalProductPharmaceutical resource",
          const: "MedicinalProductPharmaceutical"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "An identifier for the pharmaceutical medicinal product.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        administrableDoseForm: {
          description: "The administrable dose form, after necessary reconstitution.",
          $ref: "#/definitions/CodeableConcept"
        },
        unitOfPresentation: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        ingredient: {
          description: "Ingredient.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        device: {
          description: "Accompanying device.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        characteristics: {
          description: "Characteristics e.g. a products onset of action.",
          items: {
            $ref: "#/definitions/MedicinalProductPharmaceutical_Characteristics"
          },
          type: "array"
        },
        routeOfAdministration: {
          description: "The path by which the pharmaceutical product is taken into or makes contact with the body.",
          items: {
            $ref: "#/definitions/MedicinalProductPharmaceutical_RouteOfAdministration"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["administrableDoseForm", "routeOfAdministration", "resourceType"]
    },
    MedicinalProductPharmaceutical_Characteristics: {
      description: "A pharmaceutical product described in terms of its composition and dose form.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "A coded characteristic.",
          $ref: "#/definitions/CodeableConcept"
        },
        status: {
          description: "The status of characteristic e.g. assigned or pending.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["code"]
    },
    MedicinalProductPharmaceutical_RouteOfAdministration: {
      description: "A pharmaceutical product described in terms of its composition and dose form.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Coded expression for the route.",
          $ref: "#/definitions/CodeableConcept"
        },
        firstDose: {
          description: "The first dose (dose quantity) administered in humans can be specified, for a product under investigation, using a numerical value and its unit of measurement.",
          $ref: "#/definitions/Quantity"
        },
        maxSingleDose: {
          description: "The maximum single dose that can be administered as per the protocol of a clinical trial can be specified using a numerical value and its unit of measurement.",
          $ref: "#/definitions/Quantity"
        },
        maxDosePerDay: {
          description: "The maximum dose per day (maximum dose quantity to be administered in any one 24-h period) that can be administered as per the protocol referenced in the clinical trial authorisation.",
          $ref: "#/definitions/Quantity"
        },
        maxDosePerTreatmentPeriod: {
          description: "The maximum dose per treatment period that can be administered as per the protocol referenced in the clinical trial authorisation.",
          $ref: "#/definitions/Ratio"
        },
        maxTreatmentPeriod: {
          description: "The maximum treatment period during which an Investigational Medicinal Product can be administered as per the protocol referenced in the clinical trial authorisation.",
          $ref: "#/definitions/Duration"
        },
        targetSpecies: {
          description: "A species for which this route applies.",
          items: {
            $ref: "#/definitions/MedicinalProductPharmaceutical_TargetSpecies"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["code"]
    },
    MedicinalProductPharmaceutical_TargetSpecies: {
      description: "A pharmaceutical product described in terms of its composition and dose form.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Coded expression for the species.",
          $ref: "#/definitions/CodeableConcept"
        },
        withdrawalPeriod: {
          description: "A species specific time during which consumption of animal product is not appropriate.",
          items: {
            $ref: "#/definitions/MedicinalProductPharmaceutical_WithdrawalPeriod"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["code"]
    },
    MedicinalProductPharmaceutical_WithdrawalPeriod: {
      description: "A pharmaceutical product described in terms of its composition and dose form.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        tissue: {
          description: "Coded expression for the type of tissue for which the withdrawal period applues, e.g. meat, milk.",
          $ref: "#/definitions/CodeableConcept"
        },
        value: {
          description: "A value for the time.",
          $ref: "#/definitions/Quantity"
        },
        supportingInformation: {
          description: "Extra information about the withdrawal period.",
          $ref: "#/definitions/string"
        },
        _supportingInformation: {
          description: "Extensions for supportingInformation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["tissue", "value"]
    },
    MedicinalProductUndesirableEffect: {
      description: "Describe the undesirable effects of the medicinal product.",
      properties: {
        resourceType: {
          description: "This is a MedicinalProductUndesirableEffect resource",
          const: "MedicinalProductUndesirableEffect"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        subject: {
          description: "The medication for which this is an indication.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        symptomConditionEffect: {
          description: "The symptom, condition or undesirable effect.",
          $ref: "#/definitions/CodeableConcept"
        },
        classification: {
          description: "Classification of the effect.",
          $ref: "#/definitions/CodeableConcept"
        },
        frequencyOfOccurrence: {
          description: "The frequency of occurrence of the effect.",
          $ref: "#/definitions/CodeableConcept"
        },
        population: {
          description: "The population group to which this applies.",
          items: {
            $ref: "#/definitions/Population"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    MessageDefinition: {
      description: "Defines the characteristics of a message that can be shared between systems, including the type of event that initiates the message, the content to be transmitted and what response(s), if any, are permitted.",
      properties: {
        resourceType: {
          description: "This is a MessageDefinition resource",
          const: "MessageDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "The business identifier that is used to reference the MessageDefinition and *is* expected to be consistent from server to server.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this message definition when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the message definition when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the message definition author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the message definition. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the message definition.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        replaces: {
          description: "A MessageDefinition that is superseded by this definition.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        status: {
          description: "The status of this message definition. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this message definition is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the message definition was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the message definition changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the message definition.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the message definition from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate message definition instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the message definition is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this message definition is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the message definition and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the message definition.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        base: {
          description: "The MessageDefinition that is the basis for the contents of this resource.",
          $ref: "#/definitions/canonical"
        },
        parent: {
          description: "Identifies a protocol or workflow that this MessageDefinition represents a step in.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        eventCoding: {
          description: "Event code or link to the EventDefinition.",
          $ref: "#/definitions/Coding"
        },
        eventUri: {
          description: "Event code or link to the EventDefinition.",
          pattern: "^\\S*$",
          type: "string"
        },
        _eventUri: {
          description: "Extensions for eventUri",
          $ref: "#/definitions/Element"
        },
        category: {
          description: "The impact of the content of the message.",
          enum: ["consequence", "currency", "notification"]
        },
        _category: {
          description: "Extensions for category",
          $ref: "#/definitions/Element"
        },
        focus: {
          description: "Identifies the resource (or resources) that are being addressed by the event.  For example, the Encounter for an admit message or two Account records for a merge.",
          items: {
            $ref: "#/definitions/MessageDefinition_Focus"
          },
          type: "array"
        },
        responseRequired: {
          description: "Declare at a message definition level whether a response is required or only upon error or success, or never.",
          enum: ["always", "on-error", "never", "on-success"]
        },
        _responseRequired: {
          description: "Extensions for responseRequired",
          $ref: "#/definitions/Element"
        },
        allowedResponse: {
          description: "Indicates what types of messages may be sent as an application-level response to this message.",
          items: {
            $ref: "#/definitions/MessageDefinition_AllowedResponse"
          },
          type: "array"
        },
        graph: {
          description: "Canonical reference to a GraphDefinition. If a URL is provided, it is the canonical reference to a [[[GraphDefinition]]] that it controls what resources are to be added to the bundle when building the document. The GraphDefinition can also specify profiles that apply to the various resources.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    MessageDefinition_Focus: {
      description: "Defines the characteristics of a message that can be shared between systems, including the type of event that initiates the message, the content to be transmitted and what response(s), if any, are permitted.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The kind of resource that must be the focus for this message.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        profile: {
          description: "A profile that reflects constraints for the focal resource (and potentially for related resources).",
          $ref: "#/definitions/canonical"
        },
        min: {
          description: "Identifies the minimum number of resources of this type that must be pointed to by a message in order for it to be valid against this MessageDefinition.",
          $ref: "#/definitions/unsignedInt"
        },
        _min: {
          description: "Extensions for min",
          $ref: "#/definitions/Element"
        },
        max: {
          description: "Identifies the maximum number of resources of this type that must be pointed to by a message in order for it to be valid against this MessageDefinition.",
          $ref: "#/definitions/string"
        },
        _max: {
          description: "Extensions for max",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    MessageDefinition_AllowedResponse: {
      description: "Defines the characteristics of a message that can be shared between systems, including the type of event that initiates the message, the content to be transmitted and what response(s), if any, are permitted.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        message: {
          description: "A reference to the message definition that must be adhered to by this supported response.",
          $ref: "#/definitions/canonical"
        },
        situation: {
          description: "Provides a description of the circumstances in which this response should be used (as opposed to one of the alternative responses).",
          $ref: "#/definitions/markdown"
        },
        _situation: {
          description: "Extensions for situation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["message"]
    },
    MessageHeader: {
      description: "The header for a message exchange that is either requesting or responding to an action.  The reference(s) that are the subject of the action as well as other information related to the action are typically transmitted in a bundle in which the MessageHeader resource instance is the first resource in the bundle.",
      properties: {
        resourceType: {
          description: "This is a MessageHeader resource",
          const: "MessageHeader"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        eventCoding: {
          description: 'Code that identifies the event this message represents and connects it with its definition. Events defined as part of the FHIR specification have the system value "http://terminology.hl7.org/CodeSystem/message-events".  Alternatively uri to the EventDefinition.',
          $ref: "#/definitions/Coding"
        },
        eventUri: {
          description: 'Code that identifies the event this message represents and connects it with its definition. Events defined as part of the FHIR specification have the system value "http://terminology.hl7.org/CodeSystem/message-events".  Alternatively uri to the EventDefinition.',
          pattern: "^\\S*$",
          type: "string"
        },
        _eventUri: {
          description: "Extensions for eventUri",
          $ref: "#/definitions/Element"
        },
        destination: {
          description: "The destination application which the message is intended for.",
          items: {
            $ref: "#/definitions/MessageHeader_Destination"
          },
          type: "array"
        },
        sender: {
          description: "Identifies the sending system to allow the use of a trust relationship.",
          $ref: "#/definitions/Reference"
        },
        enterer: {
          description: "The person or device that performed the data entry leading to this message. When there is more than one candidate, pick the most proximal to the message. Can provide other enterers in extensions.",
          $ref: "#/definitions/Reference"
        },
        author: {
          description: "The logical author of the message - the person or device that decided the described event should happen. When there is more than one candidate, pick the most proximal to the MessageHeader. Can provide other authors in extensions.",
          $ref: "#/definitions/Reference"
        },
        source: {
          description: "The source application from which this message originated.",
          $ref: "#/definitions/MessageHeader_Source"
        },
        responsible: {
          description: "The person or organization that accepts overall responsibility for the contents of the message. The implication is that the message event happened under the policies of the responsible party.",
          $ref: "#/definitions/Reference"
        },
        reason: {
          description: "Coded indication of the cause for the event - indicates  a reason for the occurrence of the event that is a focus of this message.",
          $ref: "#/definitions/CodeableConcept"
        },
        response: {
          description: "Information about the message that this message is a response to.  Only present if this message is a response.",
          $ref: "#/definitions/MessageHeader_Response"
        },
        focus: {
          description: "The actual data of the message - a reference to the root/focus class of the event.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        definition: {
          description: "Permanent link to the MessageDefinition for this message.",
          $ref: "#/definitions/canonical"
        }
      },
      additionalProperties: false,
      required: ["source", "resourceType"]
    },
    MessageHeader_Destination: {
      description: "The header for a message exchange that is either requesting or responding to an action.  The reference(s) that are the subject of the action as well as other information related to the action are typically transmitted in a bundle in which the MessageHeader resource instance is the first resource in the bundle.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "Human-readable name for the target system.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        target: {
          description: "Identifies the target end system in situations where the initial message transmission is to an intermediary system.",
          $ref: "#/definitions/Reference"
        },
        endpoint: {
          description: "Indicates where the message should be routed to.",
          $ref: "#/definitions/url"
        },
        _endpoint: {
          description: "Extensions for endpoint",
          $ref: "#/definitions/Element"
        },
        receiver: {
          description: "Allows data conveyed by a message to be addressed to a particular person or department when routing to a specific application isn't sufficient.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    MessageHeader_Source: {
      description: "The header for a message exchange that is either requesting or responding to an action.  The reference(s) that are the subject of the action as well as other information related to the action are typically transmitted in a bundle in which the MessageHeader resource instance is the first resource in the bundle.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "Human-readable name for the source system.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        software: {
          description: "May include configuration or other information useful in debugging.",
          $ref: "#/definitions/string"
        },
        _software: {
          description: "Extensions for software",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "Can convey versions of multiple systems in situations where a message passes through multiple hands.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "An e-mail, phone, website or other contact point to use to resolve issues with message communications.",
          $ref: "#/definitions/ContactPoint"
        },
        endpoint: {
          description: "Identifies the routing target to send acknowledgements to.",
          $ref: "#/definitions/url"
        },
        _endpoint: {
          description: "Extensions for endpoint",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    MessageHeader_Response: {
      description: "The header for a message exchange that is either requesting or responding to an action.  The reference(s) that are the subject of the action as well as other information related to the action are typically transmitted in a bundle in which the MessageHeader resource instance is the first resource in the bundle.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "The MessageHeader.id of the message to which this message is a response.",
          $ref: "#/definitions/id"
        },
        _identifier: {
          description: "Extensions for identifier",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "Code that identifies the type of response to the message - whether it was successful or not, and whether it should be resent or not.",
          enum: ["ok", "transient-error", "fatal-error"]
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        details: {
          description: "Full details of any issues found in the message.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    MolecularSequence: {
      description: "Raw data describing a biological sequence.",
      properties: {
        resourceType: {
          description: "This is a MolecularSequence resource",
          const: "MolecularSequence"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier for this particular sequence instance. This is a FHIR-defined id.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        type: {
          description: "Amino Acid Sequence/ DNA Sequence / RNA Sequence.",
          enum: ["aa", "dna", "rna"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        coordinateSystem: {
          description: "Whether the sequence is numbered starting at 0 (0-based numbering or coordinates, inclusive start, exclusive end) or starting at 1 (1-based numbering, inclusive start and inclusive end).",
          $ref: "#/definitions/integer"
        },
        _coordinateSystem: {
          description: "Extensions for coordinateSystem",
          $ref: "#/definitions/Element"
        },
        patient: {
          description: "The patient whose sequencing results are described by this resource.",
          $ref: "#/definitions/Reference"
        },
        specimen: {
          description: "Specimen used for sequencing.",
          $ref: "#/definitions/Reference"
        },
        device: {
          description: "The method for sequencing, for example, chip information.",
          $ref: "#/definitions/Reference"
        },
        performer: {
          description: "The organization or lab that should be responsible for this result.",
          $ref: "#/definitions/Reference"
        },
        quantity: {
          description: "The number of copies of the sequence of interest. (RNASeq).",
          $ref: "#/definitions/Quantity"
        },
        referenceSeq: {
          description: "A sequence that is used as a reference to describe variants that are present in a sequence analyzed.",
          $ref: "#/definitions/MolecularSequence_ReferenceSeq"
        },
        variant: {
          description: "The definition of variant here originates from Sequence ontology ([variant_of](http://www.sequenceontology.org/browser/current_svn/term/variant_of)). This element can represent amino acid or nucleic sequence change(including insertion,deletion,SNP,etc.)  It can represent some complex mutation or segment variation with the assist of CIGAR string.",
          items: {
            $ref: "#/definitions/MolecularSequence_Variant"
          },
          type: "array"
        },
        observedSeq: {
          description: "Sequence that was observed. It is the result marked by referenceSeq along with variant records on referenceSeq. This shall start from referenceSeq.windowStart and end by referenceSeq.windowEnd.",
          $ref: "#/definitions/string"
        },
        _observedSeq: {
          description: "Extensions for observedSeq",
          $ref: "#/definitions/Element"
        },
        quality: {
          description: "An experimental feature attribute that defines the quality of the feature in a quantitative way, such as a phred quality score ([SO:0001686](http://www.sequenceontology.org/browser/current_svn/term/SO:0001686)).",
          items: {
            $ref: "#/definitions/MolecularSequence_Quality"
          },
          type: "array"
        },
        readCoverage: {
          description: "Coverage (read depth or depth) is the average number of reads representing a given nucleotide in the reconstructed sequence.",
          $ref: "#/definitions/integer"
        },
        _readCoverage: {
          description: "Extensions for readCoverage",
          $ref: "#/definitions/Element"
        },
        repository: {
          description: "Configurations of the external repository. The repository shall store target's observedSeq or records related with target's observedSeq.",
          items: {
            $ref: "#/definitions/MolecularSequence_Repository"
          },
          type: "array"
        },
        pointer: {
          description: "Pointer to next atomic sequence which at most contains one variant.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        structureVariant: {
          description: "Information about chromosome structure variation.",
          items: {
            $ref: "#/definitions/MolecularSequence_StructureVariant"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    MolecularSequence_ReferenceSeq: {
      description: "Raw data describing a biological sequence.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        chromosome: {
          description: "Structural unit composed of a nucleic acid molecule which controls its own replication through the interaction of specific proteins at one or more origins of replication ([SO:0000340](http://www.sequenceontology.org/browser/current_svn/term/SO:0000340)).",
          $ref: "#/definitions/CodeableConcept"
        },
        genomeBuild: {
          description: "The Genome Build used for reference, following GRCh build versions e.g. 'GRCh 37'.  Version number must be included if a versioned release of a primary build was used.",
          $ref: "#/definitions/string"
        },
        _genomeBuild: {
          description: "Extensions for genomeBuild",
          $ref: "#/definitions/Element"
        },
        orientation: {
          description: 'A relative reference to a DNA strand based on gene orientation. The strand that contains the open reading frame of the gene is the "sense" strand, and the opposite complementary strand is the "antisense" strand.',
          enum: ["sense", "antisense"]
        },
        _orientation: {
          description: "Extensions for orientation",
          $ref: "#/definitions/Element"
        },
        referenceSeqId: {
          description: "Reference identifier of reference sequence submitted to NCBI. It must match the type in the MolecularSequence.type field. For example, the prefix, \u201CNG_\u201D identifies reference sequence for genes, \u201CNM_\u201D for messenger RNA transcripts, and \u201CNP_\u201D for amino acid sequences.",
          $ref: "#/definitions/CodeableConcept"
        },
        referenceSeqPointer: {
          description: "A pointer to another MolecularSequence entity as reference sequence.",
          $ref: "#/definitions/Reference"
        },
        referenceSeqString: {
          description: 'A string like "ACGT".',
          $ref: "#/definitions/string"
        },
        _referenceSeqString: {
          description: "Extensions for referenceSeqString",
          $ref: "#/definitions/Element"
        },
        strand: {
          description: "An absolute reference to a strand. The Watson strand is the strand whose 5'-end is on the short arm of the chromosome, and the Crick strand as the one whose 5'-end is on the long arm.",
          enum: ["watson", "crick"]
        },
        _strand: {
          description: "Extensions for strand",
          $ref: "#/definitions/Element"
        },
        windowStart: {
          description: "Start position of the window on the reference sequence. If the coordinate system is either 0-based or 1-based, then start position is inclusive.",
          $ref: "#/definitions/integer"
        },
        _windowStart: {
          description: "Extensions for windowStart",
          $ref: "#/definitions/Element"
        },
        windowEnd: {
          description: "End position of the window on the reference sequence. If the coordinate system is 0-based then end is exclusive and does not include the last position. If the coordinate system is 1-base, then end is inclusive and includes the last position.",
          $ref: "#/definitions/integer"
        },
        _windowEnd: {
          description: "Extensions for windowEnd",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    MolecularSequence_Variant: {
      description: "Raw data describing a biological sequence.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        start: {
          description: "Start position of the variant on the  reference sequence. If the coordinate system is either 0-based or 1-based, then start position is inclusive.",
          $ref: "#/definitions/integer"
        },
        _start: {
          description: "Extensions for start",
          $ref: "#/definitions/Element"
        },
        end: {
          description: "End position of the variant on the reference sequence. If the coordinate system is 0-based then end is exclusive and does not include the last position. If the coordinate system is 1-base, then end is inclusive and includes the last position.",
          $ref: "#/definitions/integer"
        },
        _end: {
          description: "Extensions for end",
          $ref: "#/definitions/Element"
        },
        observedAllele: {
          description: "An allele is one of a set of coexisting sequence variants of a gene ([SO:0001023](http://www.sequenceontology.org/browser/current_svn/term/SO:0001023)).  Nucleotide(s)/amino acids from start position of sequence to stop position of sequence on the positive (+) strand of the observed  sequence. When the sequence  type is DNA, it should be the sequence on the positive (+) strand. This will lay in the range between variant.start and variant.end.",
          $ref: "#/definitions/string"
        },
        _observedAllele: {
          description: "Extensions for observedAllele",
          $ref: "#/definitions/Element"
        },
        referenceAllele: {
          description: "An allele is one of a set of coexisting sequence variants of a gene ([SO:0001023](http://www.sequenceontology.org/browser/current_svn/term/SO:0001023)). Nucleotide(s)/amino acids from start position of sequence to stop position of sequence on the positive (+) strand of the reference sequence. When the sequence  type is DNA, it should be the sequence on the positive (+) strand. This will lay in the range between variant.start and variant.end.",
          $ref: "#/definitions/string"
        },
        _referenceAllele: {
          description: "Extensions for referenceAllele",
          $ref: "#/definitions/Element"
        },
        cigar: {
          description: "Extended CIGAR string for aligning the sequence with reference bases. See detailed documentation [here](http://support.illumina.com/help/SequencingAnalysisWorkflow/Content/Vault/Informatics/Sequencing_Analysis/CASAVA/swSEQ_mCA_ExtendedCIGARFormat.htm).",
          $ref: "#/definitions/string"
        },
        _cigar: {
          description: "Extensions for cigar",
          $ref: "#/definitions/Element"
        },
        variantPointer: {
          description: "A pointer to an Observation containing variant information.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    MolecularSequence_Quality: {
      description: "Raw data describing a biological sequence.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "INDEL / SNP / Undefined variant.",
          enum: ["indel", "snp", "unknown"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        standardSequence: {
          description: "Gold standard sequence used for comparing against.",
          $ref: "#/definitions/CodeableConcept"
        },
        start: {
          description: "Start position of the sequence. If the coordinate system is either 0-based or 1-based, then start position is inclusive.",
          $ref: "#/definitions/integer"
        },
        _start: {
          description: "Extensions for start",
          $ref: "#/definitions/Element"
        },
        end: {
          description: "End position of the sequence. If the coordinate system is 0-based then end is exclusive and does not include the last position. If the coordinate system is 1-base, then end is inclusive and includes the last position.",
          $ref: "#/definitions/integer"
        },
        _end: {
          description: "Extensions for end",
          $ref: "#/definitions/Element"
        },
        score: {
          description: "The score of an experimentally derived feature such as a p-value ([SO:0001685](http://www.sequenceontology.org/browser/current_svn/term/SO:0001685)).",
          $ref: "#/definitions/Quantity"
        },
        method: {
          description: "Which method is used to get sequence quality.",
          $ref: "#/definitions/CodeableConcept"
        },
        truthTP: {
          description: "True positives, from the perspective of the truth data, i.e. the number of sites in the Truth Call Set for which there are paths through the Query Call Set that are consistent with all of the alleles at this site, and for which there is an accurate genotype call for the event.",
          $ref: "#/definitions/decimal"
        },
        _truthTP: {
          description: "Extensions for truthTP",
          $ref: "#/definitions/Element"
        },
        queryTP: {
          description: "True positives, from the perspective of the query data, i.e. the number of sites in the Query Call Set for which there are paths through the Truth Call Set that are consistent with all of the alleles at this site, and for which there is an accurate genotype call for the event.",
          $ref: "#/definitions/decimal"
        },
        _queryTP: {
          description: "Extensions for queryTP",
          $ref: "#/definitions/Element"
        },
        truthFN: {
          description: "False negatives, i.e. the number of sites in the Truth Call Set for which there is no path through the Query Call Set that is consistent with all of the alleles at this site, or sites for which there is an inaccurate genotype call for the event. Sites with correct variant but incorrect genotype are counted here.",
          $ref: "#/definitions/decimal"
        },
        _truthFN: {
          description: "Extensions for truthFN",
          $ref: "#/definitions/Element"
        },
        queryFP: {
          description: "False positives, i.e. the number of sites in the Query Call Set for which there is no path through the Truth Call Set that is consistent with this site. Sites with correct variant but incorrect genotype are counted here.",
          $ref: "#/definitions/decimal"
        },
        _queryFP: {
          description: "Extensions for queryFP",
          $ref: "#/definitions/Element"
        },
        gtFP: {
          description: "The number of false positives where the non-REF alleles in the Truth and Query Call Sets match (i.e. cases where the truth is 1/1 and the query is 0/1 or similar).",
          $ref: "#/definitions/decimal"
        },
        _gtFP: {
          description: "Extensions for gtFP",
          $ref: "#/definitions/Element"
        },
        precision: {
          description: "QUERY.TP / (QUERY.TP + QUERY.FP).",
          $ref: "#/definitions/decimal"
        },
        _precision: {
          description: "Extensions for precision",
          $ref: "#/definitions/Element"
        },
        recall: {
          description: "TRUTH.TP / (TRUTH.TP + TRUTH.FN).",
          $ref: "#/definitions/decimal"
        },
        _recall: {
          description: "Extensions for recall",
          $ref: "#/definitions/Element"
        },
        fScore: {
          description: "Harmonic mean of Recall and Precision, computed as: 2 * precision * recall / (precision + recall).",
          $ref: "#/definitions/decimal"
        },
        _fScore: {
          description: "Extensions for fScore",
          $ref: "#/definitions/Element"
        },
        roc: {
          description: "Receiver Operator Characteristic (ROC) Curve  to give sensitivity/specificity tradeoff.",
          $ref: "#/definitions/MolecularSequence_Roc"
        }
      },
      additionalProperties: false
    },
    MolecularSequence_Roc: {
      description: "Raw data describing a biological sequence.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        score: {
          description: "Invidual data point representing the GQ (genotype quality) score threshold.",
          items: {
            $ref: "#/definitions/integer"
          },
          type: "array"
        },
        _score: {
          description: "Extensions for score",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        numTP: {
          description: 'The number of true positives if the GQ score threshold was set to "score" field value.',
          items: {
            $ref: "#/definitions/integer"
          },
          type: "array"
        },
        _numTP: {
          description: "Extensions for numTP",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        numFP: {
          description: 'The number of false positives if the GQ score threshold was set to "score" field value.',
          items: {
            $ref: "#/definitions/integer"
          },
          type: "array"
        },
        _numFP: {
          description: "Extensions for numFP",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        numFN: {
          description: 'The number of false negatives if the GQ score threshold was set to "score" field value.',
          items: {
            $ref: "#/definitions/integer"
          },
          type: "array"
        },
        _numFN: {
          description: "Extensions for numFN",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        precision: {
          description: 'Calculated precision if the GQ score threshold was set to "score" field value.',
          items: {
            $ref: "#/definitions/decimal"
          },
          type: "array"
        },
        _precision: {
          description: "Extensions for precision",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        sensitivity: {
          description: 'Calculated sensitivity if the GQ score threshold was set to "score" field value.',
          items: {
            $ref: "#/definitions/decimal"
          },
          type: "array"
        },
        _sensitivity: {
          description: "Extensions for sensitivity",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        fMeasure: {
          description: 'Calculated fScore if the GQ score threshold was set to "score" field value.',
          items: {
            $ref: "#/definitions/decimal"
          },
          type: "array"
        },
        _fMeasure: {
          description: "Extensions for fMeasure",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    MolecularSequence_Repository: {
      description: "Raw data describing a biological sequence.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Click and see / RESTful API / Need login to see / RESTful API with authentication / Other ways to see resource.",
          enum: ["directlink", "openapi", "login", "oauth", "other"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        url: {
          description: "URI of an external repository which contains further details about the genetics data.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "URI of an external repository which contains further details about the genetics data.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        datasetId: {
          description: "Id of the variant in this external repository. The server will understand how to use this id to call for more info about datasets in external repository.",
          $ref: "#/definitions/string"
        },
        _datasetId: {
          description: "Extensions for datasetId",
          $ref: "#/definitions/Element"
        },
        variantsetId: {
          description: "Id of the variantset in this external repository. The server will understand how to use this id to call for more info about variantsets in external repository.",
          $ref: "#/definitions/string"
        },
        _variantsetId: {
          description: "Extensions for variantsetId",
          $ref: "#/definitions/Element"
        },
        readsetId: {
          description: "Id of the read in this external repository.",
          $ref: "#/definitions/string"
        },
        _readsetId: {
          description: "Extensions for readsetId",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    MolecularSequence_StructureVariant: {
      description: "Raw data describing a biological sequence.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        variantType: {
          description: "Information about chromosome structure variation DNA change type.",
          $ref: "#/definitions/CodeableConcept"
        },
        exact: {
          description: "Used to indicate if the outer and inner start-end values have the same meaning.",
          $ref: "#/definitions/boolean"
        },
        _exact: {
          description: "Extensions for exact",
          $ref: "#/definitions/Element"
        },
        length: {
          description: "Length of the variant chromosome.",
          $ref: "#/definitions/integer"
        },
        _length: {
          description: "Extensions for length",
          $ref: "#/definitions/Element"
        },
        outer: {
          description: "Structural variant outer.",
          $ref: "#/definitions/MolecularSequence_Outer"
        },
        inner: {
          description: "Structural variant inner.",
          $ref: "#/definitions/MolecularSequence_Inner"
        }
      },
      additionalProperties: false
    },
    MolecularSequence_Outer: {
      description: "Raw data describing a biological sequence.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        start: {
          description: "Structural variant outer start. If the coordinate system is either 0-based or 1-based, then start position is inclusive.",
          $ref: "#/definitions/integer"
        },
        _start: {
          description: "Extensions for start",
          $ref: "#/definitions/Element"
        },
        end: {
          description: "Structural variant outer end. If the coordinate system is 0-based then end is exclusive and does not include the last position. If the coordinate system is 1-base, then end is inclusive and includes the last position.",
          $ref: "#/definitions/integer"
        },
        _end: {
          description: "Extensions for end",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    MolecularSequence_Inner: {
      description: "Raw data describing a biological sequence.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        start: {
          description: "Structural variant inner start. If the coordinate system is either 0-based or 1-based, then start position is inclusive.",
          $ref: "#/definitions/integer"
        },
        _start: {
          description: "Extensions for start",
          $ref: "#/definitions/Element"
        },
        end: {
          description: "Structural variant inner end. If the coordinate system is 0-based then end is exclusive and does not include the last position. If the coordinate system is 1-base, then end is inclusive and includes the last position.",
          $ref: "#/definitions/integer"
        },
        _end: {
          description: "Extensions for end",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    NamingSystem: {
      description: 'A curated namespace that issues unique symbols within that namespace for the identification of concepts, people, devices, etc.  Represents a "System" used within the Identifier and Coding data types.',
      properties: {
        resourceType: {
          description: "This is a NamingSystem resource",
          const: "NamingSystem"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "A natural language name identifying the naming system. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this naming system. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        kind: {
          description: "Indicates the purpose for the naming system - what kinds of things does it make unique?",
          enum: ["codesystem", "identifier", "root"]
        },
        _kind: {
          description: "Extensions for kind",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the naming system was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the naming system changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the naming system.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        responsible: {
          description: "The name of the organization that is responsible for issuing identifiers or codes for this namespace and ensuring their non-collision.",
          $ref: "#/definitions/string"
        },
        _responsible: {
          description: "Extensions for responsible",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Categorizes a naming system for easier search by grouping related naming systems.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: "A free text natural language description of the naming system from a consumer's perspective. Details about what the namespace identifies including scope, granularity, version labeling, etc.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate naming system instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the naming system is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        usage: {
          description: "Provides guidance on the use of the namespace, including the handling of formatting characters, use of upper vs. lower case, etc.",
          $ref: "#/definitions/string"
        },
        _usage: {
          description: "Extensions for usage",
          $ref: "#/definitions/Element"
        },
        uniqueId: {
          description: "Indicates how the system may be identified when referenced in electronic exchange.",
          items: {
            $ref: "#/definitions/NamingSystem_UniqueId"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["uniqueId", "resourceType"]
    },
    NamingSystem_UniqueId: {
      description: 'A curated namespace that issues unique symbols within that namespace for the identification of concepts, people, devices, etc.  Represents a "System" used within the Identifier and Coding data types.',
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Identifies the unique identifier scheme used for this particular identifier.",
          enum: ["oid", "uuid", "uri", "other"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        value: {
          description: "The string that should be sent over the wire to identify the code system or identifier system.",
          $ref: "#/definitions/string"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        preferred: {
          description: 'Indicates whether this identifier is the "preferred" identifier of this type.',
          $ref: "#/definitions/boolean"
        },
        _preferred: {
          description: "Extensions for preferred",
          $ref: "#/definitions/Element"
        },
        comment: {
          description: "Notes about the past or intended usage of this identifier.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "Identifies the period of time over which this identifier is considered appropriate to refer to the naming system.  Outside of this window, the identifier might be non-deterministic.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    NutritionOrder: {
      description: "A request to supply a diet, formula feeding (enteral) or oral nutritional supplement to a patient/resident.",
      properties: {
        resourceType: {
          description: "This is a NutritionOrder resource",
          const: "NutritionOrder"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifiers assigned to this order by the order sender or by the order receiver.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        instantiatesCanonical: {
          description: "The URL pointing to a FHIR-defined protocol, guideline, orderset or other definition that is adhered to in whole or in part by this NutritionOrder.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        instantiatesUri: {
          description: "The URL pointing to an externally maintained protocol, guideline, orderset or other definition that is adhered to in whole or in part by this NutritionOrder.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _instantiatesUri: {
          description: "Extensions for instantiatesUri",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        instantiates: {
          description: "The URL pointing to a protocol, guideline, orderset or other definition that is adhered to in whole or in part by this NutritionOrder.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _instantiates: {
          description: "Extensions for instantiates",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        status: {
          description: "The workflow status of the nutrition order/request.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        intent: {
          description: "Indicates the level of authority/intentionality associated with the NutrionOrder and where the request fits into the workflow chain.",
          $ref: "#/definitions/code"
        },
        _intent: {
          description: "Extensions for intent",
          $ref: "#/definitions/Element"
        },
        patient: {
          description: "The person (patient) who needs the nutrition order for an oral diet, nutritional supplement and/or enteral or formula feeding.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "An encounter that provides additional information about the healthcare context in which this request is made.",
          $ref: "#/definitions/Reference"
        },
        dateTime: {
          description: "The date and time that this nutrition order was requested.",
          $ref: "#/definitions/dateTime"
        },
        _dateTime: {
          description: "Extensions for dateTime",
          $ref: "#/definitions/Element"
        },
        orderer: {
          description: "The practitioner that holds legal responsibility for ordering the diet, nutritional supplement, or formula feedings.",
          $ref: "#/definitions/Reference"
        },
        allergyIntolerance: {
          description: "A link to a record of allergies or intolerances  which should be included in the nutrition order.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        foodPreferenceModifier: {
          description: "This modifier is used to convey order-specific modifiers about the type of food that should be given. These can be derived from patient allergies, intolerances, or preferences such as Halal, Vegan or Kosher. This modifier applies to the entire nutrition order inclusive of the oral diet, nutritional supplements and enteral formula feedings.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        excludeFoodModifier: {
          description: "This modifier is used to convey Order-specific modifier about the type of oral food or oral fluids that should not be given. These can be derived from patient allergies, intolerances, or preferences such as No Red Meat, No Soy or No Wheat or  Gluten-Free.  While it should not be necessary to repeat allergy or intolerance information captured in the referenced AllergyIntolerance resource in the excludeFoodModifier, this element may be used to convey additional specificity related to foods that should be eliminated from the patient\u2019s diet for any reason.  This modifier applies to the entire nutrition order inclusive of the oral diet, nutritional supplements and enteral formula feedings.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        oralDiet: {
          description: "Diet given orally in contrast to enteral (tube) feeding.",
          $ref: "#/definitions/NutritionOrder_OralDiet"
        },
        supplement: {
          description: "Oral nutritional products given in order to add further nutritional value to the patient's diet.",
          items: {
            $ref: "#/definitions/NutritionOrder_Supplement"
          },
          type: "array"
        },
        enteralFormula: {
          description: "Feeding provided through the gastrointestinal tract via a tube, catheter, or stoma that delivers nutrition distal to the oral cavity.",
          $ref: "#/definitions/NutritionOrder_EnteralFormula"
        },
        note: {
          description: "Comments made about the {{title}} by the requester, performer, subject or other participants.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["patient", "resourceType"]
    },
    NutritionOrder_OralDiet: {
      description: "A request to supply a diet, formula feeding (enteral) or oral nutritional supplement to a patient/resident.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The kind of diet or dietary restriction such as fiber restricted diet or diabetic diet.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        schedule: {
          description: "The time period and frequency at which the diet should be given.  The diet should be given for the combination of all schedules if more than one schedule is present.",
          items: {
            $ref: "#/definitions/Timing"
          },
          type: "array"
        },
        nutrient: {
          description: "Class that defines the quantity and type of nutrient modifications (for example carbohydrate, fiber or sodium) required for the oral diet.",
          items: {
            $ref: "#/definitions/NutritionOrder_Nutrient"
          },
          type: "array"
        },
        texture: {
          description: "Class that describes any texture modifications required for the patient to safely consume various types of solid foods.",
          items: {
            $ref: "#/definitions/NutritionOrder_Texture"
          },
          type: "array"
        },
        fluidConsistencyType: {
          description: "The required consistency (e.g. honey-thick, nectar-thick, thin, thickened.) of liquids or fluids served to the patient.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        instruction: {
          description: "Free text or additional instructions or information pertaining to the oral diet.",
          $ref: "#/definitions/string"
        },
        _instruction: {
          description: "Extensions for instruction",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    NutritionOrder_Nutrient: {
      description: "A request to supply a diet, formula feeding (enteral) or oral nutritional supplement to a patient/resident.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifier: {
          description: "The nutrient that is being modified such as carbohydrate or sodium.",
          $ref: "#/definitions/CodeableConcept"
        },
        amount: {
          description: "The quantity of the specified nutrient to include in diet.",
          $ref: "#/definitions/Quantity"
        }
      },
      additionalProperties: false
    },
    NutritionOrder_Texture: {
      description: "A request to supply a diet, formula feeding (enteral) or oral nutritional supplement to a patient/resident.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifier: {
          description: "Any texture modifications (for solid foods) that should be made, e.g. easy to chew, chopped, ground, and pureed.",
          $ref: "#/definitions/CodeableConcept"
        },
        foodType: {
          description: "The food type(s) (e.g. meats, all foods)  that the texture modification applies to.  This could be all foods types.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    NutritionOrder_Supplement: {
      description: "A request to supply a diet, formula feeding (enteral) or oral nutritional supplement to a patient/resident.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The kind of nutritional supplement product required such as a high protein or pediatric clear liquid supplement.",
          $ref: "#/definitions/CodeableConcept"
        },
        productName: {
          description: 'The product or brand name of the nutritional supplement such as "Acme Protein Shake".',
          $ref: "#/definitions/string"
        },
        _productName: {
          description: "Extensions for productName",
          $ref: "#/definitions/Element"
        },
        schedule: {
          description: "The time period and frequency at which the supplement(s) should be given.  The supplement should be given for the combination of all schedules if more than one schedule is present.",
          items: {
            $ref: "#/definitions/Timing"
          },
          type: "array"
        },
        quantity: {
          description: "The amount of the nutritional supplement to be given.",
          $ref: "#/definitions/Quantity"
        },
        instruction: {
          description: "Free text or additional instructions or information pertaining to the oral supplement.",
          $ref: "#/definitions/string"
        },
        _instruction: {
          description: "Extensions for instruction",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    NutritionOrder_EnteralFormula: {
      description: "A request to supply a diet, formula feeding (enteral) or oral nutritional supplement to a patient/resident.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        baseFormulaType: {
          description: "The type of enteral or infant formula such as an adult standard formula with fiber or a soy-based infant formula.",
          $ref: "#/definitions/CodeableConcept"
        },
        baseFormulaProductName: {
          description: 'The product or brand name of the enteral or infant formula product such as "ACME Adult Standard Formula".',
          $ref: "#/definitions/string"
        },
        _baseFormulaProductName: {
          description: "Extensions for baseFormulaProductName",
          $ref: "#/definitions/Element"
        },
        additiveType: {
          description: "Indicates the type of modular component such as protein, carbohydrate, fat or fiber to be provided in addition to or mixed with the base formula.",
          $ref: "#/definitions/CodeableConcept"
        },
        additiveProductName: {
          description: "The product or brand name of the type of modular component to be added to the formula.",
          $ref: "#/definitions/string"
        },
        _additiveProductName: {
          description: "Extensions for additiveProductName",
          $ref: "#/definitions/Element"
        },
        caloricDensity: {
          description: "The amount of energy (calories) that the formula should provide per specified volume, typically per mL or fluid oz.  For example, an infant may require a formula that provides 24 calories per fluid ounce or an adult may require an enteral formula that provides 1.5 calorie/mL.",
          $ref: "#/definitions/Quantity"
        },
        routeofAdministration: {
          description: "The route or physiological path of administration into the patient's gastrointestinal  tract for purposes of providing the formula feeding, e.g. nasogastric tube.",
          $ref: "#/definitions/CodeableConcept"
        },
        administration: {
          description: "Formula administration instructions as structured data.  This repeating structure allows for changing the administration rate or volume over time for both bolus and continuous feeding.  An example of this would be an instruction to increase the rate of continuous feeding every 2 hours.",
          items: {
            $ref: "#/definitions/NutritionOrder_Administration"
          },
          type: "array"
        },
        maxVolumeToDeliver: {
          description: "The maximum total quantity of formula that may be administered to a subject over the period of time, e.g. 1440 mL over 24 hours.",
          $ref: "#/definitions/Quantity"
        },
        administrationInstruction: {
          description: "Free text formula administration, feeding instructions or additional instructions or information.",
          $ref: "#/definitions/string"
        },
        _administrationInstruction: {
          description: "Extensions for administrationInstruction",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    NutritionOrder_Administration: {
      description: "A request to supply a diet, formula feeding (enteral) or oral nutritional supplement to a patient/resident.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        schedule: {
          description: "The time period and frequency at which the enteral formula should be delivered to the patient.",
          $ref: "#/definitions/Timing"
        },
        quantity: {
          description: "The volume of formula to provide to the patient per the specified administration schedule.",
          $ref: "#/definitions/Quantity"
        },
        rateQuantity: {
          description: "The rate of administration of formula via a feeding pump, e.g. 60 mL per hour, according to the specified schedule.",
          $ref: "#/definitions/Quantity"
        },
        rateRatio: {
          description: "The rate of administration of formula via a feeding pump, e.g. 60 mL per hour, according to the specified schedule.",
          $ref: "#/definitions/Ratio"
        }
      },
      additionalProperties: false
    },
    Observation: {
      description: "Measurements and simple assertions made about a patient, device or other subject.",
      properties: {
        resourceType: {
          description: "This is a Observation resource",
          const: "Observation"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier assigned to this observation.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        basedOn: {
          description: "A plan, proposal or order that is fulfilled in whole or in part by this event.  For example, a MedicationRequest may require a patient to have laboratory test performed before  it is dispensed.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        partOf: {
          description: "A larger event of which this particular Observation is a component or step.  For example,  an observation as part of a procedure.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "The status of the result value.",
          enum: [
            "registered",
            "preliminary",
            "final",
            "amended",
            "corrected",
            "cancelled",
            "entered-in-error",
            "unknown"
          ]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        category: {
          description: "A code that classifies the general type of observation being made.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        code: {
          description: 'Describes what was observed. Sometimes this is called the observation "name".',
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "The patient, or group of patients, location, or device this observation is about and into whose record the observation is placed. If the actual focus of the observation is different from the subject (or a sample of, part, or region of the subject), the `focus` element or the `code` itself specifies the actual focus of the observation.",
          $ref: "#/definitions/Reference"
        },
        focus: {
          description: "The actual focus of an observation when it is not the patient of record representing something or someone associated with the patient such as a spouse, parent, fetus, or donor. For example, fetus observations in a mother's record.  The focus of an observation could also be an existing condition,  an intervention, the subject's diet,  another observation of the subject,  or a body structure such as tumor or implanted device.   An example use case would be using the Observation resource to capture whether the mother is trained to change her child's tracheostomy tube. In this example, the child is the patient of record and the mother is the focus.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        encounter: {
          description: "The healthcare event  (e.g. a patient and healthcare provider interaction) during which this observation is made.",
          $ref: "#/definitions/Reference"
        },
        effectiveDateTime: {
          description: 'The time or time-period the observed value is asserted as being true. For biological subjects - e.g. human patients - this is usually called the "physiologically relevant time". This is usually either the time of the procedure or of specimen collection, but very often the source of the date/time is not known, only the date/time itself.',
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _effectiveDateTime: {
          description: "Extensions for effectiveDateTime",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: 'The time or time-period the observed value is asserted as being true. For biological subjects - e.g. human patients - this is usually called the "physiologically relevant time". This is usually either the time of the procedure or of specimen collection, but very often the source of the date/time is not known, only the date/time itself.',
          $ref: "#/definitions/Period"
        },
        effectiveTiming: {
          description: 'The time or time-period the observed value is asserted as being true. For biological subjects - e.g. human patients - this is usually called the "physiologically relevant time". This is usually either the time of the procedure or of specimen collection, but very often the source of the date/time is not known, only the date/time itself.',
          $ref: "#/definitions/Timing"
        },
        effectiveInstant: {
          description: 'The time or time-period the observed value is asserted as being true. For biological subjects - e.g. human patients - this is usually called the "physiologically relevant time". This is usually either the time of the procedure or of specimen collection, but very often the source of the date/time is not known, only the date/time itself.',
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))$",
          type: "string"
        },
        _effectiveInstant: {
          description: "Extensions for effectiveInstant",
          $ref: "#/definitions/Element"
        },
        issued: {
          description: "The date and time this version of the observation was made available to providers, typically after the results have been reviewed and verified.",
          $ref: "#/definitions/instant"
        },
        _issued: {
          description: "Extensions for issued",
          $ref: "#/definitions/Element"
        },
        performer: {
          description: 'Who was responsible for asserting the observed value as "true".',
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        valueQuantity: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          $ref: "#/definitions/Quantity"
        },
        valueCodeableConcept: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueString: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueBoolean: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueInteger: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueRange: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          $ref: "#/definitions/Range"
        },
        valueRatio: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          $ref: "#/definitions/Ratio"
        },
        valueSampledData: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          $ref: "#/definitions/SampledData"
        },
        valueTime: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _valueTime: {
          description: "Extensions for valueTime",
          $ref: "#/definitions/Element"
        },
        valueDateTime: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _valueDateTime: {
          description: "Extensions for valueDateTime",
          $ref: "#/definitions/Element"
        },
        valuePeriod: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          $ref: "#/definitions/Period"
        },
        dataAbsentReason: {
          description: "Provides a reason why the expected value in the element Observation.value[x] is missing.",
          $ref: "#/definitions/CodeableConcept"
        },
        interpretation: {
          description: "A categorical assessment of an observation value.  For example, high, low, normal.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        note: {
          description: "Comments about the observation or the results.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        bodySite: {
          description: "Indicates the site on the subject's body where the observation was made (i.e. the target site).",
          $ref: "#/definitions/CodeableConcept"
        },
        method: {
          description: "Indicates the mechanism used to perform the observation.",
          $ref: "#/definitions/CodeableConcept"
        },
        specimen: {
          description: "The specimen that was used when this observation was made.",
          $ref: "#/definitions/Reference"
        },
        device: {
          description: "The device used to generate the observation data.",
          $ref: "#/definitions/Reference"
        },
        referenceRange: {
          description: 'Guidance on how to interpret the value by comparison to a normal or recommended range.  Multiple reference ranges are interpreted as an "OR".   In other words, to represent two distinct target populations, two `referenceRange` elements would be used.',
          items: {
            $ref: "#/definitions/Observation_ReferenceRange"
          },
          type: "array"
        },
        hasMember: {
          description: "This observation is a group observation (e.g. a battery, a panel of tests, a set of vital sign measurements) that includes the target as a member of the group.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        derivedFrom: {
          description: "The target resource that represents a measurement from which this observation value is derived. For example, a calculated anion gap or a fetal measurement based on an ultrasound image.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        component: {
          description: "Some observations have multiple component observations.  These component observations are expressed as separate code value pairs that share the same attributes.  Examples include systolic and diastolic component observations for blood pressure measurement and multiple component observations for genetics observations.",
          items: {
            $ref: "#/definitions/Observation_Component"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["code", "resourceType"]
    },
    Observation_ReferenceRange: {
      description: "Measurements and simple assertions made about a patient, device or other subject.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        low: {
          description: "The value of the low bound of the reference range.  The low bound of the reference range endpoint is inclusive of the value (e.g.  reference range is >=5 - <=9). If the low bound is omitted,  it is assumed to be meaningless (e.g. reference range is <=2.3).",
          $ref: "#/definitions/Quantity"
        },
        high: {
          description: "The value of the high bound of the reference range.  The high bound of the reference range endpoint is inclusive of the value (e.g.  reference range is >=5 - <=9). If the high bound is omitted,  it is assumed to be meaningless (e.g. reference range is >= 2.3).",
          $ref: "#/definitions/Quantity"
        },
        type: {
          description: "Codes to indicate the what part of the targeted reference population it applies to. For example, the normal or therapeutic range.",
          $ref: "#/definitions/CodeableConcept"
        },
        appliesTo: {
          description: 'Codes to indicate the target population this reference range applies to.  For example, a reference range may be based on the normal population or a particular sex or race.  Multiple `appliesTo`  are interpreted as an "AND" of the target populations.  For example, to represent a target population of African American females, both a code of female and a code for African American would be used.',
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        age: {
          description: "The age at which this reference range is applicable. This is a neonatal age (e.g. number of weeks at term) if the meaning says so.",
          $ref: "#/definitions/Range"
        },
        text: {
          description: 'Text based reference range in an observation which may be used when a quantitative range is not appropriate for an observation.  An example would be a reference value of "Negative" or a list or table of "normals".',
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Observation_Component: {
      description: "Measurements and simple assertions made about a patient, device or other subject.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: 'Describes what was observed. Sometimes this is called the observation "code".',
          $ref: "#/definitions/CodeableConcept"
        },
        valueQuantity: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          $ref: "#/definitions/Quantity"
        },
        valueCodeableConcept: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueString: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueBoolean: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueInteger: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueRange: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          $ref: "#/definitions/Range"
        },
        valueRatio: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          $ref: "#/definitions/Ratio"
        },
        valueSampledData: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          $ref: "#/definitions/SampledData"
        },
        valueTime: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _valueTime: {
          description: "Extensions for valueTime",
          $ref: "#/definitions/Element"
        },
        valueDateTime: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _valueDateTime: {
          description: "Extensions for valueDateTime",
          $ref: "#/definitions/Element"
        },
        valuePeriod: {
          description: "The information determined as a result of making the observation, if the information has a simple value.",
          $ref: "#/definitions/Period"
        },
        dataAbsentReason: {
          description: "Provides a reason why the expected value in the element Observation.component.value[x] is missing.",
          $ref: "#/definitions/CodeableConcept"
        },
        interpretation: {
          description: "A categorical assessment of an observation value.  For example, high, low, normal.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        referenceRange: {
          description: "Guidance on how to interpret the value by comparison to a normal or recommended range.",
          items: {
            $ref: "#/definitions/Observation_ReferenceRange"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["code"]
    },
    ObservationDefinition: {
      description: "Set of definitional characteristics for a kind of observation or measurement produced or consumed by an orderable health care service.",
      properties: {
        resourceType: {
          description: "This is a ObservationDefinition resource",
          const: "ObservationDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        category: {
          description: "A code that classifies the general type of observation.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        code: {
          description: 'Describes what will be observed. Sometimes this is called the observation "name".',
          $ref: "#/definitions/CodeableConcept"
        },
        identifier: {
          description: "A unique identifier assigned to this ObservationDefinition artifact.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        permittedDataType: {
          description: "The data types allowed for the value element of the instance observations conforming to this ObservationDefinition.",
          items: {
            enum: [
              "Quantity",
              "CodeableConcept",
              "string",
              "boolean",
              "integer",
              "Range",
              "Ratio",
              "SampledData",
              "time",
              "dateTime",
              "Period"
            ]
          },
          type: "array"
        },
        _permittedDataType: {
          description: "Extensions for permittedDataType",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        multipleResultsAllowed: {
          description: "Multiple results allowed for observations conforming to this ObservationDefinition.",
          $ref: "#/definitions/boolean"
        },
        _multipleResultsAllowed: {
          description: "Extensions for multipleResultsAllowed",
          $ref: "#/definitions/Element"
        },
        method: {
          description: "The method or technique used to perform the observation.",
          $ref: "#/definitions/CodeableConcept"
        },
        preferredReportName: {
          description: "The preferred name to be used when reporting the results of observations conforming to this ObservationDefinition.",
          $ref: "#/definitions/string"
        },
        _preferredReportName: {
          description: "Extensions for preferredReportName",
          $ref: "#/definitions/Element"
        },
        quantitativeDetails: {
          description: "Characteristics for quantitative results of this observation.",
          $ref: "#/definitions/ObservationDefinition_QuantitativeDetails"
        },
        qualifiedInterval: {
          description: "Multiple  ranges of results qualified by different contexts for ordinal or continuous observations conforming to this ObservationDefinition.",
          items: {
            $ref: "#/definitions/ObservationDefinition_QualifiedInterval"
          },
          type: "array"
        },
        validCodedValueSet: {
          description: "The set of valid coded results for the observations  conforming to this ObservationDefinition.",
          $ref: "#/definitions/Reference"
        },
        normalCodedValueSet: {
          description: "The set of normal coded results for the observations conforming to this ObservationDefinition.",
          $ref: "#/definitions/Reference"
        },
        abnormalCodedValueSet: {
          description: "The set of abnormal coded results for the observation conforming to this ObservationDefinition.",
          $ref: "#/definitions/Reference"
        },
        criticalCodedValueSet: {
          description: "The set of critical coded results for the observation conforming to this ObservationDefinition.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["code", "resourceType"]
    },
    ObservationDefinition_QuantitativeDetails: {
      description: "Set of definitional characteristics for a kind of observation or measurement produced or consumed by an orderable health care service.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        customaryUnit: {
          description: "Customary unit used to report quantitative results of observations conforming to this ObservationDefinition.",
          $ref: "#/definitions/CodeableConcept"
        },
        unit: {
          description: "SI unit used to report quantitative results of observations conforming to this ObservationDefinition.",
          $ref: "#/definitions/CodeableConcept"
        },
        conversionFactor: {
          description: "Factor for converting value expressed with SI unit to value expressed with customary unit.",
          $ref: "#/definitions/decimal"
        },
        _conversionFactor: {
          description: "Extensions for conversionFactor",
          $ref: "#/definitions/Element"
        },
        decimalPrecision: {
          description: "Number of digits after decimal separator when the results of such observations are of type Quantity.",
          $ref: "#/definitions/integer"
        },
        _decimalPrecision: {
          description: "Extensions for decimalPrecision",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ObservationDefinition_QualifiedInterval: {
      description: "Set of definitional characteristics for a kind of observation or measurement produced or consumed by an orderable health care service.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        category: {
          description: "The category of interval of values for continuous or ordinal observations conforming to this ObservationDefinition.",
          enum: ["reference", "critical", "absolute"]
        },
        _category: {
          description: "Extensions for category",
          $ref: "#/definitions/Element"
        },
        range: {
          description: "The low and high values determining the interval. There may be only one of the two.",
          $ref: "#/definitions/Range"
        },
        context: {
          description: "Codes to indicate the health context the range applies to. For example, the normal or therapeutic range.",
          $ref: "#/definitions/CodeableConcept"
        },
        appliesTo: {
          description: "Codes to indicate the target population this reference range applies to.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        gender: {
          description: "Sex of the population the range applies to.",
          enum: ["male", "female", "other", "unknown"]
        },
        _gender: {
          description: "Extensions for gender",
          $ref: "#/definitions/Element"
        },
        age: {
          description: "The age at which this reference range is applicable. This is a neonatal age (e.g. number of weeks at term) if the meaning says so.",
          $ref: "#/definitions/Range"
        },
        gestationalAge: {
          description: "The gestational age to which this reference range is applicable, in the context of pregnancy.",
          $ref: "#/definitions/Range"
        },
        condition: {
          description: "Text based condition for which the reference range is valid.",
          $ref: "#/definitions/string"
        },
        _condition: {
          description: "Extensions for condition",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    OperationDefinition: {
      description: "A formal computable definition of an operation (on the RESTful interface) or a named query (using the search interaction).",
      properties: {
        resourceType: {
          description: "This is a OperationDefinition resource",
          const: "OperationDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this operation definition when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this operation definition is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the operation definition is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The identifier that is used to identify this version of the operation definition when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the operation definition author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the operation definition. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the operation definition.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this operation definition. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        kind: {
          description: "Whether this is an operation or a named query.",
          enum: ["operation", "query"]
        },
        _kind: {
          description: "Extensions for kind",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this operation definition is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the operation definition was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the operation definition changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the operation definition.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the operation definition from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate operation definition instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the operation definition is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this operation definition is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        affectsState: {
          description: "Whether the operation affects state. Side effects such as producing audit trail entries do not count as 'affecting  state'.",
          $ref: "#/definitions/boolean"
        },
        _affectsState: {
          description: "Extensions for affectsState",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "The name used to invoke the operation.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        comment: {
          description: "Additional information about how to use this operation or named query.",
          $ref: "#/definitions/markdown"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        },
        base: {
          description: "Indicates that this operation definition is a constraining profile on the base.",
          $ref: "#/definitions/canonical"
        },
        resource: {
          description: "The types on which this operation can be executed.",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _resource: {
          description: "Extensions for resource",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        system: {
          description: "Indicates whether this operation or named query can be invoked at the system level (e.g. without needing to choose a resource type for the context).",
          $ref: "#/definitions/boolean"
        },
        _system: {
          description: "Extensions for system",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Indicates whether this operation or named query can be invoked at the resource type level for any given resource type level (e.g. without needing to choose a specific resource id for the context).",
          $ref: "#/definitions/boolean"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        instance: {
          description: "Indicates whether this operation can be invoked on a particular instance of one of the given types.",
          $ref: "#/definitions/boolean"
        },
        _instance: {
          description: "Extensions for instance",
          $ref: "#/definitions/Element"
        },
        inputProfile: {
          description: "Additional validation information for the in parameters - a single profile that covers all the parameters. The profile is a constraint on the parameters resource as a whole.",
          $ref: "#/definitions/canonical"
        },
        outputProfile: {
          description: "Additional validation information for the out parameters - a single profile that covers all the parameters. The profile is a constraint on the parameters resource.",
          $ref: "#/definitions/canonical"
        },
        parameter: {
          description: "The parameters for the operation/query.",
          items: {
            $ref: "#/definitions/OperationDefinition_Parameter"
          },
          type: "array"
        },
        overload: {
          description: "Defines an appropriate combination of parameters to use when invoking this operation, to help code generators when generating overloaded parameter sets for this operation.",
          items: {
            $ref: "#/definitions/OperationDefinition_Overload"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    OperationDefinition_Parameter: {
      description: "A formal computable definition of an operation (on the RESTful interface) or a named query (using the search interaction).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "The name of used to identify the parameter.",
          $ref: "#/definitions/code"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        use: {
          description: "Whether this is an input or an output parameter.",
          enum: ["in", "out"]
        },
        _use: {
          description: "Extensions for use",
          $ref: "#/definitions/Element"
        },
        min: {
          description: "The minimum number of times this parameter SHALL appear in the request or response.",
          $ref: "#/definitions/integer"
        },
        _min: {
          description: "Extensions for min",
          $ref: "#/definitions/Element"
        },
        max: {
          description: "The maximum number of times this element is permitted to appear in the request or response.",
          $ref: "#/definitions/string"
        },
        _max: {
          description: "Extensions for max",
          $ref: "#/definitions/Element"
        },
        documentation: {
          description: "Describes the meaning or use of this parameter.",
          $ref: "#/definitions/string"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The type for this parameter.",
          $ref: "#/definitions/code"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        targetProfile: {
          description: 'Used when the type is "Reference" or "canonical", and identifies a profile structure or implementation Guide that applies to the target of the reference this parameter refers to. If any profiles are specified, then the content must conform to at least one of them. The URL can be a local reference - to a contained StructureDefinition, or a reference to another StructureDefinition or Implementation Guide by a canonical URL. When an implementation guide is specified, the target resource SHALL conform to at least one profile defined in the implementation guide.',
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        searchType: {
          description: "How the parameter is understood as a search parameter. This is only used if the parameter type is 'string'.",
          enum: ["number", "date", "string", "token", "reference", "composite", "quantity", "uri", "special"]
        },
        _searchType: {
          description: "Extensions for searchType",
          $ref: "#/definitions/Element"
        },
        binding: {
          description: "Binds to a value set if this parameter is coded (code, Coding, CodeableConcept).",
          $ref: "#/definitions/OperationDefinition_Binding"
        },
        referencedFrom: {
          description: "Identifies other resource parameters within the operation invocation that are expected to resolve to this resource.",
          items: {
            $ref: "#/definitions/OperationDefinition_ReferencedFrom"
          },
          type: "array"
        },
        part: {
          description: "The parts of a nested Parameter.",
          items: {
            $ref: "#/definitions/OperationDefinition_Parameter"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    OperationDefinition_Binding: {
      description: "A formal computable definition of an operation (on the RESTful interface) or a named query (using the search interaction).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        strength: {
          description: "Indicates the degree of conformance expectations associated with this binding - that is, the degree to which the provided value set must be adhered to in the instances.",
          enum: ["required", "extensible", "preferred", "example"]
        },
        _strength: {
          description: "Extensions for strength",
          $ref: "#/definitions/Element"
        },
        valueSet: {
          description: "Points to the value set or external definition (e.g. implicit value set) that identifies the set of codes to be used.",
          $ref: "#/definitions/canonical"
        }
      },
      additionalProperties: false,
      required: ["valueSet"]
    },
    OperationDefinition_ReferencedFrom: {
      description: "A formal computable definition of an operation (on the RESTful interface) or a named query (using the search interaction).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        source: {
          description: "The name of the parameter or dot-separated path of parameter names pointing to the resource parameter that is expected to contain a reference to this resource.",
          $ref: "#/definitions/string"
        },
        _source: {
          description: "Extensions for source",
          $ref: "#/definitions/Element"
        },
        sourceId: {
          description: "The id of the element in the referencing resource that is expected to resolve to this resource.",
          $ref: "#/definitions/string"
        },
        _sourceId: {
          description: "Extensions for sourceId",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    OperationDefinition_Overload: {
      description: "A formal computable definition of an operation (on the RESTful interface) or a named query (using the search interaction).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        parameterName: {
          description: "Name of parameter to include in overload.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _parameterName: {
          description: "Extensions for parameterName",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        comment: {
          description: "Comments to go on overload.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    OperationOutcome: {
      description: "A collection of error, warning, or information messages that result from a system action.",
      properties: {
        resourceType: {
          description: "This is a OperationOutcome resource",
          const: "OperationOutcome"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        issue: {
          description: "An error, warning, or information message that results from a system action.",
          items: {
            $ref: "#/definitions/OperationOutcome_Issue"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["issue", "resourceType"]
    },
    OperationOutcome_Issue: {
      description: "A collection of error, warning, or information messages that result from a system action.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        severity: {
          description: "Indicates whether the issue indicates a variation from successful processing.",
          enum: ["fatal", "error", "warning", "information"]
        },
        _severity: {
          description: "Extensions for severity",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "Describes the type of the issue. The system that creates an OperationOutcome SHALL choose the most applicable code from the IssueType value set, and may additional provide its own code for the error in the details element.",
          enum: [
            "invalid",
            "structure",
            "required",
            "value",
            "invariant",
            "security",
            "login",
            "unknown",
            "expired",
            "forbidden",
            "suppressed",
            "processing",
            "not-supported",
            "duplicate",
            "multiple-matches",
            "not-found",
            "deleted",
            "too-long",
            "code-invalid",
            "extension",
            "too-costly",
            "business-rule",
            "conflict",
            "transient",
            "lock-error",
            "no-store",
            "exception",
            "timeout",
            "incomplete",
            "throttled",
            "informational"
          ]
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        details: {
          description: "Additional details about the error. This may be a text description of the error or a system code that identifies the error.",
          $ref: "#/definitions/CodeableConcept"
        },
        diagnostics: {
          description: "Additional diagnostic information about the issue.",
          $ref: "#/definitions/string"
        },
        _diagnostics: {
          description: "Extensions for diagnostics",
          $ref: "#/definitions/Element"
        },
        location: {
          description: 'This element is deprecated because it is XML specific. It is replaced by issue.expression, which is format independent, and simpler to parse. \n\nFor resource issues, this will be a simple XPath limited to element names, repetition indicators and the default child accessor that identifies one of the elements in the resource that caused this issue to be raised.  For HTTP errors, will be "http." + the parameter name.',
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _location: {
          description: "Extensions for location",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        expression: {
          description: "A [simple subset of FHIRPath](fhirpath.html#simple) limited to element names, repetition indicators and the default child accessor that identifies one of the elements in the resource that caused this issue to be raised.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _expression: {
          description: "Extensions for expression",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Organization: {
      description: "A formally or informally recognized grouping of people or organizations formed for the purpose of achieving some form of collective action.  Includes companies, institutions, corporations, departments, community groups, healthcare practice groups, payer/insurer, etc.",
      properties: {
        resourceType: {
          description: "This is a Organization resource",
          const: "Organization"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier for the organization that is used to identify the organization across multiple disparate systems.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        active: {
          description: "Whether the organization's record is still in active use.",
          $ref: "#/definitions/boolean"
        },
        _active: {
          description: "Extensions for active",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The kind(s) of organization that this is.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        name: {
          description: "A name associated with the organization.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        alias: {
          description: "A list of alternate names that the organization is known as, or was known as in the past.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _alias: {
          description: "Extensions for alias",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        telecom: {
          description: "A contact detail for the organization.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        address: {
          description: "An address for the organization.",
          items: {
            $ref: "#/definitions/Address"
          },
          type: "array"
        },
        partOf: {
          description: "The organization of which this organization forms a part.",
          $ref: "#/definitions/Reference"
        },
        contact: {
          description: "Contact for the organization for a certain purpose.",
          items: {
            $ref: "#/definitions/Organization_Contact"
          },
          type: "array"
        },
        endpoint: {
          description: "Technical endpoints providing access to services operated for the organization.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Organization_Contact: {
      description: "A formally or informally recognized grouping of people or organizations formed for the purpose of achieving some form of collective action.  Includes companies, institutions, corporations, departments, community groups, healthcare practice groups, payer/insurer, etc.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        purpose: {
          description: "Indicates a purpose for which the contact can be reached.",
          $ref: "#/definitions/CodeableConcept"
        },
        name: {
          description: "A name associated with the contact.",
          $ref: "#/definitions/HumanName"
        },
        telecom: {
          description: "A contact detail (e.g. a telephone number or an email address) by which the party may be contacted.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        address: {
          description: "Visiting or postal addresses for the contact.",
          $ref: "#/definitions/Address"
        }
      },
      additionalProperties: false
    },
    OrganizationAffiliation: {
      description: "Defines an affiliation/assotiation/relationship between 2 distinct oganizations, that is not a part-of relationship/sub-division relationship.",
      properties: {
        resourceType: {
          description: "This is a OrganizationAffiliation resource",
          const: "OrganizationAffiliation"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers that are specific to this role.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        active: {
          description: "Whether this organization affiliation record is in active use.",
          $ref: "#/definitions/boolean"
        },
        _active: {
          description: "Extensions for active",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "The period during which the participatingOrganization is affiliated with the primary organization.",
          $ref: "#/definitions/Period"
        },
        organization: {
          description: "Organization where the role is available (primary organization/has members).",
          $ref: "#/definitions/Reference"
        },
        participatingOrganization: {
          description: "The Participating Organization provides/performs the role(s) defined by the code to the Primary Organization (e.g. providing services or is a member of).",
          $ref: "#/definitions/Reference"
        },
        network: {
          description: "Health insurance provider network in which the participatingOrganization provides the role's services (if defined) at the indicated locations (if defined).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        code: {
          description: "Definition of the role the participatingOrganization plays in the association.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        specialty: {
          description: "Specific specialty of the participatingOrganization in the context of the role.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        location: {
          description: "The location(s) at which the role occurs.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        healthcareService: {
          description: "Healthcare services provided through the role.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        telecom: {
          description: "Contact details at the participatingOrganization relevant to this Affiliation.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        endpoint: {
          description: "Technical endpoints providing access to services operated for this role.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Parameters: {
      description: "This resource is a non-persisted resource used to pass information into and back from an [operation](operations.html). It has no other use, and there is no RESTful endpoint associated with it.",
      properties: {
        resourceType: {
          description: "This is a Parameters resource",
          const: "Parameters"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        parameter: {
          description: "A parameter passed to or received from the operation.",
          items: {
            $ref: "#/definitions/Parameters_Parameter"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Parameters_Parameter: {
      description: "This resource is a non-persisted resource used to pass information into and back from an [operation](operations.html). It has no other use, and there is no RESTful endpoint associated with it.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "The name of the parameter (reference to the operation definition).",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        valueBase64Binary: {
          description: "If the parameter is a data type.",
          pattern: "^(\\s*([0-9a-zA-Z\\+/=]){4}\\s*)+$",
          type: "string"
        },
        _valueBase64Binary: {
          description: "Extensions for valueBase64Binary",
          $ref: "#/definitions/Element"
        },
        valueBoolean: {
          description: "If the parameter is a data type.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueCanonical: {
          description: "If the parameter is a data type.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueCanonical: {
          description: "Extensions for valueCanonical",
          $ref: "#/definitions/Element"
        },
        valueCode: {
          description: "If the parameter is a data type.",
          pattern: "^[^\\s]+(\\s[^\\s]+)*$",
          type: "string"
        },
        _valueCode: {
          description: "Extensions for valueCode",
          $ref: "#/definitions/Element"
        },
        valueDate: {
          description: "If the parameter is a data type.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _valueDate: {
          description: "Extensions for valueDate",
          $ref: "#/definitions/Element"
        },
        valueDateTime: {
          description: "If the parameter is a data type.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _valueDateTime: {
          description: "Extensions for valueDateTime",
          $ref: "#/definitions/Element"
        },
        valueDecimal: {
          description: "If the parameter is a data type.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _valueDecimal: {
          description: "Extensions for valueDecimal",
          $ref: "#/definitions/Element"
        },
        valueId: {
          description: "If the parameter is a data type.",
          pattern: "^[A-Za-z0-9\\-\\.]{1,64}$",
          type: "string"
        },
        _valueId: {
          description: "Extensions for valueId",
          $ref: "#/definitions/Element"
        },
        valueInstant: {
          description: "If the parameter is a data type.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))$",
          type: "string"
        },
        _valueInstant: {
          description: "Extensions for valueInstant",
          $ref: "#/definitions/Element"
        },
        valueInteger: {
          description: "If the parameter is a data type.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueMarkdown: {
          description: "If the parameter is a data type.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueMarkdown: {
          description: "Extensions for valueMarkdown",
          $ref: "#/definitions/Element"
        },
        valueOid: {
          description: "If the parameter is a data type.",
          pattern: "^urn:oid:[0-2](\\.(0|[1-9][0-9]*))+$",
          type: "string"
        },
        _valueOid: {
          description: "Extensions for valueOid",
          $ref: "#/definitions/Element"
        },
        valuePositiveInt: {
          description: "If the parameter is a data type.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _valuePositiveInt: {
          description: "Extensions for valuePositiveInt",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "If the parameter is a data type.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueTime: {
          description: "If the parameter is a data type.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _valueTime: {
          description: "Extensions for valueTime",
          $ref: "#/definitions/Element"
        },
        valueUnsignedInt: {
          description: "If the parameter is a data type.",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _valueUnsignedInt: {
          description: "Extensions for valueUnsignedInt",
          $ref: "#/definitions/Element"
        },
        valueUri: {
          description: "If the parameter is a data type.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUri: {
          description: "Extensions for valueUri",
          $ref: "#/definitions/Element"
        },
        valueUrl: {
          description: "If the parameter is a data type.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUrl: {
          description: "Extensions for valueUrl",
          $ref: "#/definitions/Element"
        },
        valueUuid: {
          description: "If the parameter is a data type.",
          pattern: "^urn:uuid:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$",
          type: "string"
        },
        _valueUuid: {
          description: "Extensions for valueUuid",
          $ref: "#/definitions/Element"
        },
        valueAddress: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Address"
        },
        valueAge: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Age"
        },
        valueAnnotation: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Annotation"
        },
        valueAttachment: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Attachment"
        },
        valueCodeableConcept: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueCoding: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Coding"
        },
        valueContactPoint: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/ContactPoint"
        },
        valueCount: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Count"
        },
        valueDistance: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Distance"
        },
        valueDuration: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Duration"
        },
        valueHumanName: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/HumanName"
        },
        valueIdentifier: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Identifier"
        },
        valueMoney: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Money"
        },
        valuePeriod: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Period"
        },
        valueQuantity: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Quantity"
        },
        valueRange: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Range"
        },
        valueRatio: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Ratio"
        },
        valueReference: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Reference"
        },
        valueSampledData: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/SampledData"
        },
        valueSignature: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Signature"
        },
        valueTiming: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Timing"
        },
        valueContactDetail: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/ContactDetail"
        },
        valueContributor: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Contributor"
        },
        valueDataRequirement: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/DataRequirement"
        },
        valueExpression: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Expression"
        },
        valueParameterDefinition: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/ParameterDefinition"
        },
        valueRelatedArtifact: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/RelatedArtifact"
        },
        valueTriggerDefinition: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/TriggerDefinition"
        },
        valueUsageContext: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/UsageContext"
        },
        valueDosage: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Dosage"
        },
        valueMeta: {
          description: "If the parameter is a data type.",
          $ref: "#/definitions/Meta"
        },
        resource: {
          description: "If the parameter is a whole resource.",
          $ref: "#/definitions/ResourceList"
        },
        part: {
          description: "A named part of a multi-part parameter.",
          items: {
            $ref: "#/definitions/Parameters_Parameter"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Patient: {
      description: "Demographics and other administrative information about an individual or animal receiving care or other health-related services.",
      properties: {
        resourceType: {
          description: "This is a Patient resource",
          const: "Patient"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "An identifier for this patient.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        active: {
          description: "Whether this patient record is in active use. \nMany systems use this property to mark as non-current patients, such as those that have not been seen for a period of time based on an organization's business rules.\n\nIt is often used to filter patient lists to exclude inactive patients\n\nDeceased patients may also be marked as inactive for the same reasons, but may be active for some time after death.",
          $ref: "#/definitions/boolean"
        },
        _active: {
          description: "Extensions for active",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A name associated with the individual.",
          items: {
            $ref: "#/definitions/HumanName"
          },
          type: "array"
        },
        telecom: {
          description: "A contact detail (e.g. a telephone number or an email address) by which the individual may be contacted.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        gender: {
          description: "Administrative Gender - the gender that the patient is considered to have for administration and record keeping purposes.",
          enum: ["male", "female", "other", "unknown"]
        },
        _gender: {
          description: "Extensions for gender",
          $ref: "#/definitions/Element"
        },
        birthDate: {
          description: "The date of birth for the individual.",
          $ref: "#/definitions/date"
        },
        _birthDate: {
          description: "Extensions for birthDate",
          $ref: "#/definitions/Element"
        },
        deceasedBoolean: {
          description: "Indicates if the individual is deceased or not.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _deceasedBoolean: {
          description: "Extensions for deceasedBoolean",
          $ref: "#/definitions/Element"
        },
        deceasedDateTime: {
          description: "Indicates if the individual is deceased or not.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _deceasedDateTime: {
          description: "Extensions for deceasedDateTime",
          $ref: "#/definitions/Element"
        },
        address: {
          description: "An address for the individual.",
          items: {
            $ref: "#/definitions/Address"
          },
          type: "array"
        },
        maritalStatus: {
          description: "This field contains a patient's most recent marital (civil) status.",
          $ref: "#/definitions/CodeableConcept"
        },
        multipleBirthBoolean: {
          description: "Indicates whether the patient is part of a multiple (boolean) or indicates the actual birth order (integer).",
          pattern: "^true|false$",
          type: "boolean"
        },
        _multipleBirthBoolean: {
          description: "Extensions for multipleBirthBoolean",
          $ref: "#/definitions/Element"
        },
        multipleBirthInteger: {
          description: "Indicates whether the patient is part of a multiple (boolean) or indicates the actual birth order (integer).",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _multipleBirthInteger: {
          description: "Extensions for multipleBirthInteger",
          $ref: "#/definitions/Element"
        },
        photo: {
          description: "Image of the patient.",
          items: {
            $ref: "#/definitions/Attachment"
          },
          type: "array"
        },
        contact: {
          description: "A contact party (e.g. guardian, partner, friend) for the patient.",
          items: {
            $ref: "#/definitions/Patient_Contact"
          },
          type: "array"
        },
        communication: {
          description: "A language which may be used to communicate with the patient about his or her health.",
          items: {
            $ref: "#/definitions/Patient_Communication"
          },
          type: "array"
        },
        generalPractitioner: {
          description: "Patient's nominated care provider.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        managingOrganization: {
          description: "Organization that is the custodian of the patient record.",
          $ref: "#/definitions/Reference"
        },
        link: {
          description: "Link to another patient resource that concerns the same actual patient.",
          items: {
            $ref: "#/definitions/Patient_Link"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Patient_Contact: {
      description: "Demographics and other administrative information about an individual or animal receiving care or other health-related services.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        relationship: {
          description: "The nature of the relationship between the patient and the contact person.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        name: {
          description: "A name associated with the contact person.",
          $ref: "#/definitions/HumanName"
        },
        telecom: {
          description: "A contact detail for the person, e.g. a telephone number or an email address.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        address: {
          description: "Address for the contact person.",
          $ref: "#/definitions/Address"
        },
        gender: {
          description: "Administrative Gender - the gender that the contact person is considered to have for administration and record keeping purposes.",
          enum: ["male", "female", "other", "unknown"]
        },
        _gender: {
          description: "Extensions for gender",
          $ref: "#/definitions/Element"
        },
        organization: {
          description: "Organization on behalf of which the contact is acting or for which the contact is working.",
          $ref: "#/definitions/Reference"
        },
        period: {
          description: "The period during which this contact person or organization is valid to be contacted relating to this patient.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    Patient_Communication: {
      description: "Demographics and other administrative information about an individual or animal receiving care or other health-related services.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        language: {
          description: 'The ISO-639-1 alpha 2 code in lower case for the language, optionally followed by a hyphen and the ISO-3166-1 alpha 2 code for the region in upper case; e.g. "en" for English, or "en-US" for American English versus "en-EN" for England English.',
          $ref: "#/definitions/CodeableConcept"
        },
        preferred: {
          description: "Indicates whether or not the patient prefers this language (over other languages he masters up a certain level).",
          $ref: "#/definitions/boolean"
        },
        _preferred: {
          description: "Extensions for preferred",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["language"]
    },
    Patient_Link: {
      description: "Demographics and other administrative information about an individual or animal receiving care or other health-related services.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        other: {
          description: "The other patient resource that the link refers to.",
          $ref: "#/definitions/Reference"
        },
        type: {
          description: "The type of link between this patient resource and another patient resource.",
          enum: ["replaced-by", "replaces", "refer", "seealso"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["other"]
    },
    PaymentNotice: {
      description: "This resource provides the status of the payment for goods and services rendered, and the request and response resource references.",
      properties: {
        resourceType: {
          description: "This is a PaymentNotice resource",
          const: "PaymentNotice"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier assigned to this payment notice.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status of the resource instance.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        request: {
          description: "Reference of resource for which payment is being made.",
          $ref: "#/definitions/Reference"
        },
        response: {
          description: "Reference of response to resource for which payment is being made.",
          $ref: "#/definitions/Reference"
        },
        created: {
          description: "The date when this resource was created.",
          $ref: "#/definitions/dateTime"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        provider: {
          description: "The practitioner who is responsible for the services rendered to the patient.",
          $ref: "#/definitions/Reference"
        },
        payment: {
          description: "A reference to the payment which is the subject of this notice.",
          $ref: "#/definitions/Reference"
        },
        paymentDate: {
          description: "The date when the above payment action occurred.",
          $ref: "#/definitions/date"
        },
        _paymentDate: {
          description: "Extensions for paymentDate",
          $ref: "#/definitions/Element"
        },
        payee: {
          description: "The party who will receive or has received payment that is the subject of this notification.",
          $ref: "#/definitions/Reference"
        },
        recipient: {
          description: "The party who is notified of the payment status.",
          $ref: "#/definitions/Reference"
        },
        amount: {
          description: "The amount sent to the payee.",
          $ref: "#/definitions/Money"
        },
        paymentStatus: {
          description: "A code indicating whether payment has been sent or cleared.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false,
      required: ["amount", "recipient", "payment", "resourceType"]
    },
    PaymentReconciliation: {
      description: "This resource provides the details including amount of a payment and allocates the payment items being paid.",
      properties: {
        resourceType: {
          description: "This is a PaymentReconciliation resource",
          const: "PaymentReconciliation"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier assigned to this payment reconciliation.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status of the resource instance.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "The period of time for which payments have been gathered into this bulk payment for settlement.",
          $ref: "#/definitions/Period"
        },
        created: {
          description: "The date when the resource was created.",
          $ref: "#/definitions/dateTime"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        paymentIssuer: {
          description: "The party who generated the payment.",
          $ref: "#/definitions/Reference"
        },
        request: {
          description: "Original request resource reference.",
          $ref: "#/definitions/Reference"
        },
        requestor: {
          description: "The practitioner who is responsible for the services rendered to the patient.",
          $ref: "#/definitions/Reference"
        },
        outcome: {
          description: "The outcome of a request for a reconciliation.",
          enum: ["queued", "complete", "error", "partial"]
        },
        _outcome: {
          description: "Extensions for outcome",
          $ref: "#/definitions/Element"
        },
        disposition: {
          description: "A human readable description of the status of the request for the reconciliation.",
          $ref: "#/definitions/string"
        },
        _disposition: {
          description: "Extensions for disposition",
          $ref: "#/definitions/Element"
        },
        paymentDate: {
          description: "The date of payment as indicated on the financial instrument.",
          $ref: "#/definitions/date"
        },
        _paymentDate: {
          description: "Extensions for paymentDate",
          $ref: "#/definitions/Element"
        },
        paymentAmount: {
          description: "Total payment amount as indicated on the financial instrument.",
          $ref: "#/definitions/Money"
        },
        paymentIdentifier: {
          description: "Issuer's unique identifier for the payment instrument.",
          $ref: "#/definitions/Identifier"
        },
        detail: {
          description: "Distribution of the payment amount for a previously acknowledged payable.",
          items: {
            $ref: "#/definitions/PaymentReconciliation_Detail"
          },
          type: "array"
        },
        formCode: {
          description: "A code for the form to be used for printing the content.",
          $ref: "#/definitions/CodeableConcept"
        },
        processNote: {
          description: "A note that describes or explains the processing in a human readable form.",
          items: {
            $ref: "#/definitions/PaymentReconciliation_ProcessNote"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["paymentAmount", "resourceType"]
    },
    PaymentReconciliation_Detail: {
      description: "This resource provides the details including amount of a payment and allocates the payment items being paid.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Unique identifier for the current payment item for the referenced payable.",
          $ref: "#/definitions/Identifier"
        },
        predecessor: {
          description: "Unique identifier for the prior payment item for the referenced payable.",
          $ref: "#/definitions/Identifier"
        },
        type: {
          description: "Code to indicate the nature of the payment.",
          $ref: "#/definitions/CodeableConcept"
        },
        request: {
          description: "A resource, such as a Claim, the evaluation of which could lead to payment.",
          $ref: "#/definitions/Reference"
        },
        submitter: {
          description: "The party which submitted the claim or financial transaction.",
          $ref: "#/definitions/Reference"
        },
        response: {
          description: "A resource, such as a ClaimResponse, which contains a commitment to payment.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date from the response resource containing a commitment to pay.",
          $ref: "#/definitions/date"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        responsible: {
          description: "A reference to the individual who is responsible for inquiries regarding the response and its payment.",
          $ref: "#/definitions/Reference"
        },
        payee: {
          description: "The party which is receiving the payment.",
          $ref: "#/definitions/Reference"
        },
        amount: {
          description: "The monetary amount allocated from the total payment to the payable.",
          $ref: "#/definitions/Money"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    PaymentReconciliation_ProcessNote: {
      description: "This resource provides the details including amount of a payment and allocates the payment items being paid.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The business purpose of the note text.",
          enum: ["display", "print", "printoper"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        text: {
          description: "The explanation or description associated with the processing.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Person: {
      description: "Demographics and administrative information about a person independent of a specific health-related context.",
      properties: {
        resourceType: {
          description: "This is a Person resource",
          const: "Person"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier for a person within a particular scope.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        name: {
          description: "A name associated with the person.",
          items: {
            $ref: "#/definitions/HumanName"
          },
          type: "array"
        },
        telecom: {
          description: "A contact detail for the person, e.g. a telephone number or an email address.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        gender: {
          description: "Administrative Gender.",
          enum: ["male", "female", "other", "unknown"]
        },
        _gender: {
          description: "Extensions for gender",
          $ref: "#/definitions/Element"
        },
        birthDate: {
          description: "The birth date for the person.",
          $ref: "#/definitions/date"
        },
        _birthDate: {
          description: "Extensions for birthDate",
          $ref: "#/definitions/Element"
        },
        address: {
          description: "One or more addresses for the person.",
          items: {
            $ref: "#/definitions/Address"
          },
          type: "array"
        },
        photo: {
          description: "An image that can be displayed as a thumbnail of the person to enhance the identification of the individual.",
          $ref: "#/definitions/Attachment"
        },
        managingOrganization: {
          description: "The organization that is the custodian of the person record.",
          $ref: "#/definitions/Reference"
        },
        active: {
          description: "Whether this person's record is in active use.",
          $ref: "#/definitions/boolean"
        },
        _active: {
          description: "Extensions for active",
          $ref: "#/definitions/Element"
        },
        link: {
          description: "Link to a resource that concerns the same actual person.",
          items: {
            $ref: "#/definitions/Person_Link"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Person_Link: {
      description: "Demographics and administrative information about a person independent of a specific health-related context.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        target: {
          description: "The resource to which this actual person is associated.",
          $ref: "#/definitions/Reference"
        },
        assurance: {
          description: "Level of assurance that this link is associated with the target resource.",
          enum: ["level1", "level2", "level3", "level4"]
        },
        _assurance: {
          description: "Extensions for assurance",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["target"]
    },
    PlanDefinition: {
      description: "This resource allows for the definition of various types of plans as a sharable, consumable, and executable artifact. The resource is general enough to support the description of a broad range of clinical artifacts such as clinical decision support rules, order sets and protocols.",
      properties: {
        resourceType: {
          description: "This is a PlanDefinition resource",
          const: "PlanDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this plan definition when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this plan definition is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the plan definition is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this plan definition when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the plan definition when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the plan definition author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence. To provide a version consistent with the Decision Support Service specification, use the format Major.Minor.Revision (e.g. 1.0.0). For more information on versioning knowledge assets, refer to the Decision Support Service specification. Note that a version is required for non-experimental active artifacts.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the plan definition. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the plan definition.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        subtitle: {
          description: "An explanatory or alternate title for the plan definition giving additional information about its content.",
          $ref: "#/definitions/string"
        },
        _subtitle: {
          description: "Extensions for subtitle",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "A high-level category for the plan definition that distinguishes the kinds of systems that would be interested in the plan definition.",
          $ref: "#/definitions/CodeableConcept"
        },
        status: {
          description: "The status of this plan definition. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this plan definition is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        subjectCodeableConcept: {
          description: "A code or group definition that describes the intended subject of the plan definition.",
          $ref: "#/definitions/CodeableConcept"
        },
        subjectReference: {
          description: "A code or group definition that describes the intended subject of the plan definition.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date  (and optionally time) when the plan definition was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the plan definition changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the plan definition.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the plan definition from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate plan definition instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the plan definition is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this plan definition is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        usage: {
          description: "A detailed description of how the plan definition is used from a clinical perspective.",
          $ref: "#/definitions/string"
        },
        _usage: {
          description: "Extensions for usage",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the plan definition and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the plan definition.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        approvalDate: {
          description: "The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage.",
          $ref: "#/definitions/date"
        },
        _approvalDate: {
          description: "Extensions for approvalDate",
          $ref: "#/definitions/Element"
        },
        lastReviewDate: {
          description: "The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date.",
          $ref: "#/definitions/date"
        },
        _lastReviewDate: {
          description: "Extensions for lastReviewDate",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The period during which the plan definition content was or is planned to be in active use.",
          $ref: "#/definitions/Period"
        },
        topic: {
          description: "Descriptive topics related to the content of the plan definition. Topics provide a high-level categorization of the definition that can be useful for filtering and searching.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        author: {
          description: "An individiual or organization primarily involved in the creation and maintenance of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        editor: {
          description: "An individual or organization primarily responsible for internal coherence of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        reviewer: {
          description: "An individual or organization primarily responsible for review of some aspect of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        endorser: {
          description: "An individual or organization responsible for officially endorsing the content for use in some setting.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        relatedArtifact: {
          description: "Related artifacts such as additional documentation, justification, or bibliographic references.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        library: {
          description: "A reference to a Library resource containing any formal logic used by the plan definition.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        goal: {
          description: "Goals that describe what the activities within the plan are intended to achieve. For example, weight loss, restoring an activity of daily living, obtaining herd immunity via immunization, meeting a process improvement objective, etc.",
          items: {
            $ref: "#/definitions/PlanDefinition_Goal"
          },
          type: "array"
        },
        action: {
          description: "An action or group of actions to be taken as part of the plan.",
          items: {
            $ref: "#/definitions/PlanDefinition_Action"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    PlanDefinition_Goal: {
      description: "This resource allows for the definition of various types of plans as a sharable, consumable, and executable artifact. The resource is general enough to support the description of a broad range of clinical artifacts such as clinical decision support rules, order sets and protocols.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        category: {
          description: "Indicates a category the goal falls within.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: 'Human-readable and/or coded description of a specific desired objective of care, such as "control blood pressure" or "negotiate an obstacle course" or "dance with child at wedding".',
          $ref: "#/definitions/CodeableConcept"
        },
        priority: {
          description: "Identifies the expected level of importance associated with reaching/sustaining the defined goal.",
          $ref: "#/definitions/CodeableConcept"
        },
        start: {
          description: "The event after which the goal should begin being pursued.",
          $ref: "#/definitions/CodeableConcept"
        },
        addresses: {
          description: "Identifies problems, conditions, issues, or concerns the goal is intended to address.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        documentation: {
          description: "Didactic or other informational resources associated with the goal that provide further supporting information about the goal. Information resources can include inline text commentary and links to web resources.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        target: {
          description: "Indicates what should be done and within what timeframe.",
          items: {
            $ref: "#/definitions/PlanDefinition_Target"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["description"]
    },
    PlanDefinition_Target: {
      description: "This resource allows for the definition of various types of plans as a sharable, consumable, and executable artifact. The resource is general enough to support the description of a broad range of clinical artifacts such as clinical decision support rules, order sets and protocols.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        measure: {
          description: "The parameter whose value is to be tracked, e.g. body weight, blood pressure, or hemoglobin A1c level.",
          $ref: "#/definitions/CodeableConcept"
        },
        detailQuantity: {
          description: "The target value of the measure to be achieved to signify fulfillment of the goal, e.g. 150 pounds or 7.0%. Either the high or low or both values of the range can be specified. When a low value is missing, it indicates that the goal is achieved at any value at or below the high value. Similarly, if the high value is missing, it indicates that the goal is achieved at any value at or above the low value.",
          $ref: "#/definitions/Quantity"
        },
        detailRange: {
          description: "The target value of the measure to be achieved to signify fulfillment of the goal, e.g. 150 pounds or 7.0%. Either the high or low or both values of the range can be specified. When a low value is missing, it indicates that the goal is achieved at any value at or below the high value. Similarly, if the high value is missing, it indicates that the goal is achieved at any value at or above the low value.",
          $ref: "#/definitions/Range"
        },
        detailCodeableConcept: {
          description: "The target value of the measure to be achieved to signify fulfillment of the goal, e.g. 150 pounds or 7.0%. Either the high or low or both values of the range can be specified. When a low value is missing, it indicates that the goal is achieved at any value at or below the high value. Similarly, if the high value is missing, it indicates that the goal is achieved at any value at or above the low value.",
          $ref: "#/definitions/CodeableConcept"
        },
        due: {
          description: "Indicates the timeframe after the start of the goal in which the goal should be met.",
          $ref: "#/definitions/Duration"
        }
      },
      additionalProperties: false
    },
    PlanDefinition_Action: {
      description: "This resource allows for the definition of various types of plans as a sharable, consumable, and executable artifact. The resource is general enough to support the description of a broad range of clinical artifacts such as clinical decision support rules, order sets and protocols.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        prefix: {
          description: "A user-visible prefix for the action.",
          $ref: "#/definitions/string"
        },
        _prefix: {
          description: "Extensions for prefix",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "The title of the action displayed to a user.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A brief description of the action used to provide a summary to display to the user.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        textEquivalent: {
          description: "A text equivalent of the action to be performed. This provides a human-interpretable description of the action when the definition is consumed by a system that might not be capable of interpreting it dynamically.",
          $ref: "#/definitions/string"
        },
        _textEquivalent: {
          description: "Extensions for textEquivalent",
          $ref: "#/definitions/Element"
        },
        priority: {
          description: "Indicates how quickly the action should be addressed with respect to other actions.",
          $ref: "#/definitions/code"
        },
        _priority: {
          description: "Extensions for priority",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A code that provides meaning for the action or action group. For example, a section may have a LOINC code for the section of a documentation template.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reason: {
          description: "A description of why this action is necessary or appropriate.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        documentation: {
          description: "Didactic or other informational resources associated with the action that can be provided to the CDS recipient. Information resources can include inline text commentary and links to web resources.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        goalId: {
          description: "Identifies goals that this action supports. The reference must be to a goal element defined within this plan definition.",
          items: {
            $ref: "#/definitions/id"
          },
          type: "array"
        },
        _goalId: {
          description: "Extensions for goalId",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        subjectCodeableConcept: {
          description: "A code or group definition that describes the intended subject of the action and its children, if any.",
          $ref: "#/definitions/CodeableConcept"
        },
        subjectReference: {
          description: "A code or group definition that describes the intended subject of the action and its children, if any.",
          $ref: "#/definitions/Reference"
        },
        trigger: {
          description: "A description of when the action should be triggered.",
          items: {
            $ref: "#/definitions/TriggerDefinition"
          },
          type: "array"
        },
        condition: {
          description: "An expression that describes applicability criteria or start/stop conditions for the action.",
          items: {
            $ref: "#/definitions/PlanDefinition_Condition"
          },
          type: "array"
        },
        input: {
          description: "Defines input data requirements for the action.",
          items: {
            $ref: "#/definitions/DataRequirement"
          },
          type: "array"
        },
        output: {
          description: "Defines the outputs of the action, if any.",
          items: {
            $ref: "#/definitions/DataRequirement"
          },
          type: "array"
        },
        relatedAction: {
          description: 'A relationship to another action such as "before" or "30-60 minutes after start of".',
          items: {
            $ref: "#/definitions/PlanDefinition_RelatedAction"
          },
          type: "array"
        },
        timingDateTime: {
          description: "An optional value describing when the action should be performed.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _timingDateTime: {
          description: "Extensions for timingDateTime",
          $ref: "#/definitions/Element"
        },
        timingAge: {
          description: "An optional value describing when the action should be performed.",
          $ref: "#/definitions/Age"
        },
        timingPeriod: {
          description: "An optional value describing when the action should be performed.",
          $ref: "#/definitions/Period"
        },
        timingDuration: {
          description: "An optional value describing when the action should be performed.",
          $ref: "#/definitions/Duration"
        },
        timingRange: {
          description: "An optional value describing when the action should be performed.",
          $ref: "#/definitions/Range"
        },
        timingTiming: {
          description: "An optional value describing when the action should be performed.",
          $ref: "#/definitions/Timing"
        },
        participant: {
          description: "Indicates who should participate in performing the action described.",
          items: {
            $ref: "#/definitions/PlanDefinition_Participant"
          },
          type: "array"
        },
        type: {
          description: "The type of action to perform (create, update, remove).",
          $ref: "#/definitions/CodeableConcept"
        },
        groupingBehavior: {
          description: "Defines the grouping behavior for the action and its children.",
          enum: ["visual-group", "logical-group", "sentence-group"]
        },
        _groupingBehavior: {
          description: "Extensions for groupingBehavior",
          $ref: "#/definitions/Element"
        },
        selectionBehavior: {
          description: "Defines the selection behavior for the action and its children.",
          enum: ["any", "all", "all-or-none", "exactly-one", "at-most-one", "one-or-more"]
        },
        _selectionBehavior: {
          description: "Extensions for selectionBehavior",
          $ref: "#/definitions/Element"
        },
        requiredBehavior: {
          description: "Defines the required behavior for the action.",
          enum: ["must", "could", "must-unless-documented"]
        },
        _requiredBehavior: {
          description: "Extensions for requiredBehavior",
          $ref: "#/definitions/Element"
        },
        precheckBehavior: {
          description: "Defines whether the action should usually be preselected.",
          enum: ["yes", "no"]
        },
        _precheckBehavior: {
          description: "Extensions for precheckBehavior",
          $ref: "#/definitions/Element"
        },
        cardinalityBehavior: {
          description: "Defines whether the action can be selected multiple times.",
          enum: ["single", "multiple"]
        },
        _cardinalityBehavior: {
          description: "Extensions for cardinalityBehavior",
          $ref: "#/definitions/Element"
        },
        definitionCanonical: {
          description: "A reference to an ActivityDefinition that describes the action to be taken in detail, or a PlanDefinition that describes a series of actions to be taken.",
          pattern: "^\\S*$",
          type: "string"
        },
        _definitionCanonical: {
          description: "Extensions for definitionCanonical",
          $ref: "#/definitions/Element"
        },
        definitionUri: {
          description: "A reference to an ActivityDefinition that describes the action to be taken in detail, or a PlanDefinition that describes a series of actions to be taken.",
          pattern: "^\\S*$",
          type: "string"
        },
        _definitionUri: {
          description: "Extensions for definitionUri",
          $ref: "#/definitions/Element"
        },
        transform: {
          description: "A reference to a StructureMap resource that defines a transform that can be executed to produce the intent resource using the ActivityDefinition instance as the input.",
          $ref: "#/definitions/canonical"
        },
        dynamicValue: {
          description: "Customizations that should be applied to the statically defined resource. For example, if the dosage of a medication must be computed based on the patient's weight, a customization would be used to specify an expression that calculated the weight, and the path on the resource that would contain the result.",
          items: {
            $ref: "#/definitions/PlanDefinition_DynamicValue"
          },
          type: "array"
        },
        action: {
          description: "Sub actions that are contained within the action. The behavior of this action determines the functionality of the sub-actions. For example, a selection behavior of at-most-one indicates that of the sub-actions, at most one may be chosen as part of realizing the action definition.",
          items: {
            $ref: "#/definitions/PlanDefinition_Action"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    PlanDefinition_Condition: {
      description: "This resource allows for the definition of various types of plans as a sharable, consumable, and executable artifact. The resource is general enough to support the description of a broad range of clinical artifacts such as clinical decision support rules, order sets and protocols.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        kind: {
          description: "The kind of condition.",
          enum: ["applicability", "start", "stop"]
        },
        _kind: {
          description: "Extensions for kind",
          $ref: "#/definitions/Element"
        },
        expression: {
          description: "An expression that returns true or false, indicating whether the condition is satisfied.",
          $ref: "#/definitions/Expression"
        }
      },
      additionalProperties: false
    },
    PlanDefinition_RelatedAction: {
      description: "This resource allows for the definition of various types of plans as a sharable, consumable, and executable artifact. The resource is general enough to support the description of a broad range of clinical artifacts such as clinical decision support rules, order sets and protocols.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        actionId: {
          description: "The element id of the related action.",
          $ref: "#/definitions/id"
        },
        _actionId: {
          description: "Extensions for actionId",
          $ref: "#/definitions/Element"
        },
        relationship: {
          description: "The relationship of this action to the related action.",
          enum: [
            "before-start",
            "before",
            "before-end",
            "concurrent-with-start",
            "concurrent",
            "concurrent-with-end",
            "after-start",
            "after",
            "after-end"
          ]
        },
        _relationship: {
          description: "Extensions for relationship",
          $ref: "#/definitions/Element"
        },
        offsetDuration: {
          description: "A duration or range of durations to apply to the relationship. For example, 30-60 minutes before.",
          $ref: "#/definitions/Duration"
        },
        offsetRange: {
          description: "A duration or range of durations to apply to the relationship. For example, 30-60 minutes before.",
          $ref: "#/definitions/Range"
        }
      },
      additionalProperties: false
    },
    PlanDefinition_Participant: {
      description: "This resource allows for the definition of various types of plans as a sharable, consumable, and executable artifact. The resource is general enough to support the description of a broad range of clinical artifacts such as clinical decision support rules, order sets and protocols.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of participant in the action.",
          enum: ["patient", "practitioner", "related-person", "device"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        role: {
          description: "The role the participant should play in performing the described action.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    PlanDefinition_DynamicValue: {
      description: "This resource allows for the definition of various types of plans as a sharable, consumable, and executable artifact. The resource is general enough to support the description of a broad range of clinical artifacts such as clinical decision support rules, order sets and protocols.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        path: {
          description: "The path to the element to be customized. This is the path on the resource that will hold the result of the calculation defined by the expression. The specified path SHALL be a FHIRPath resolveable on the specified target type of the ActivityDefinition, and SHALL consist only of identifiers, constant indexers, and a restricted subset of functions. The path is allowed to contain qualifiers (.) to traverse sub-elements, as well as indexers ([x]) to traverse multiple-cardinality sub-elements (see the [Simple FHIRPath Profile](fhirpath.html#simple) for full details).",
          $ref: "#/definitions/string"
        },
        _path: {
          description: "Extensions for path",
          $ref: "#/definitions/Element"
        },
        expression: {
          description: "An expression specifying the value of the customized element.",
          $ref: "#/definitions/Expression"
        }
      },
      additionalProperties: false
    },
    Practitioner: {
      description: "A person who is directly or indirectly involved in the provisioning of healthcare.",
      properties: {
        resourceType: {
          description: "This is a Practitioner resource",
          const: "Practitioner"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "An identifier that applies to this person in this role.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        active: {
          description: "Whether this practitioner's record is in active use.",
          $ref: "#/definitions/boolean"
        },
        _active: {
          description: "Extensions for active",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "The name(s) associated with the practitioner.",
          items: {
            $ref: "#/definitions/HumanName"
          },
          type: "array"
        },
        telecom: {
          description: "A contact detail for the practitioner, e.g. a telephone number or an email address.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        address: {
          description: "Address(es) of the practitioner that are not role specific (typically home address). \rWork addresses are not typically entered in this property as they are usually role dependent.",
          items: {
            $ref: "#/definitions/Address"
          },
          type: "array"
        },
        gender: {
          description: "Administrative Gender - the gender that the person is considered to have for administration and record keeping purposes.",
          enum: ["male", "female", "other", "unknown"]
        },
        _gender: {
          description: "Extensions for gender",
          $ref: "#/definitions/Element"
        },
        birthDate: {
          description: "The date of birth for the practitioner.",
          $ref: "#/definitions/date"
        },
        _birthDate: {
          description: "Extensions for birthDate",
          $ref: "#/definitions/Element"
        },
        photo: {
          description: "Image of the person.",
          items: {
            $ref: "#/definitions/Attachment"
          },
          type: "array"
        },
        qualification: {
          description: "The official certifications, training, and licenses that authorize or otherwise pertain to the provision of care by the practitioner.  For example, a medical license issued by a medical board authorizing the practitioner to practice medicine within a certian locality.",
          items: {
            $ref: "#/definitions/Practitioner_Qualification"
          },
          type: "array"
        },
        communication: {
          description: "A language the practitioner can use in patient communication.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Practitioner_Qualification: {
      description: "A person who is directly or indirectly involved in the provisioning of healthcare.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "An identifier that applies to this person's qualification in this role.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        code: {
          description: "Coded representation of the qualification.",
          $ref: "#/definitions/CodeableConcept"
        },
        period: {
          description: "Period during which the qualification is valid.",
          $ref: "#/definitions/Period"
        },
        issuer: {
          description: "Organization that regulates and issues the qualification.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["code"]
    },
    PractitionerRole: {
      description: "A specific set of Roles/Locations/specialties/services that a practitioner may perform at an organization for a period of time.",
      properties: {
        resourceType: {
          description: "This is a PractitionerRole resource",
          const: "PractitionerRole"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business Identifiers that are specific to a role/location.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        active: {
          description: "Whether this practitioner role record is in active use.",
          $ref: "#/definitions/boolean"
        },
        _active: {
          description: "Extensions for active",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "The period during which the person is authorized to act as a practitioner in these role(s) for the organization.",
          $ref: "#/definitions/Period"
        },
        practitioner: {
          description: "Practitioner that is able to provide the defined services for the organization.",
          $ref: "#/definitions/Reference"
        },
        organization: {
          description: "The organization where the Practitioner performs the roles associated.",
          $ref: "#/definitions/Reference"
        },
        code: {
          description: "Roles which this practitioner is authorized to perform for the organization.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        specialty: {
          description: "Specific specialty of the practitioner.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        location: {
          description: "The location(s) at which this practitioner provides care.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        healthcareService: {
          description: "The list of healthcare services that this worker provides for this role's Organization/Location(s).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        telecom: {
          description: "Contact details that are specific to the role/location/service.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        availableTime: {
          description: "A collection of times the practitioner is available or performing this role at the location and/or healthcareservice.",
          items: {
            $ref: "#/definitions/PractitionerRole_AvailableTime"
          },
          type: "array"
        },
        notAvailable: {
          description: "The practitioner is not available or performing this role during this period of time due to the provided reason.",
          items: {
            $ref: "#/definitions/PractitionerRole_NotAvailable"
          },
          type: "array"
        },
        availabilityExceptions: {
          description: "A description of site availability exceptions, e.g. public holiday availability. Succinctly describing all possible exceptions to normal site availability as details in the available Times and not available Times.",
          $ref: "#/definitions/string"
        },
        _availabilityExceptions: {
          description: "Extensions for availabilityExceptions",
          $ref: "#/definitions/Element"
        },
        endpoint: {
          description: "Technical endpoints providing access to services operated for the practitioner with this role.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    PractitionerRole_AvailableTime: {
      description: "A specific set of Roles/Locations/specialties/services that a practitioner may perform at an organization for a period of time.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        daysOfWeek: {
          description: "Indicates which days of the week are available between the start and end Times.",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _daysOfWeek: {
          description: "Extensions for daysOfWeek",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        allDay: {
          description: "Is this always available? (hence times are irrelevant) e.g. 24 hour service.",
          $ref: "#/definitions/boolean"
        },
        _allDay: {
          description: "Extensions for allDay",
          $ref: "#/definitions/Element"
        },
        availableStartTime: {
          description: "The opening time of day. Note: If the AllDay flag is set, then this time is ignored.",
          $ref: "#/definitions/time"
        },
        _availableStartTime: {
          description: "Extensions for availableStartTime",
          $ref: "#/definitions/Element"
        },
        availableEndTime: {
          description: "The closing time of day. Note: If the AllDay flag is set, then this time is ignored.",
          $ref: "#/definitions/time"
        },
        _availableEndTime: {
          description: "Extensions for availableEndTime",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    PractitionerRole_NotAvailable: {
      description: "A specific set of Roles/Locations/specialties/services that a practitioner may perform at an organization for a period of time.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "The reason that can be presented to the user as to why this time is not available.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        during: {
          description: "Service is not available (seasonally or for a public holiday) from this date.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    Procedure: {
      description: "An action that is or was performed on or for a patient. This can be a physical intervention like an operation, or less invasive like long term services, counseling, or hypnotherapy.",
      properties: {
        resourceType: {
          description: "This is a Procedure resource",
          const: "Procedure"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this procedure by the performer or other systems which remain constant as the resource is updated and is propagated from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        instantiatesCanonical: {
          description: "The URL pointing to a FHIR-defined protocol, guideline, order set or other definition that is adhered to in whole or in part by this Procedure.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        instantiatesUri: {
          description: "The URL pointing to an externally maintained protocol, guideline, order set or other definition that is adhered to in whole or in part by this Procedure.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _instantiatesUri: {
          description: "Extensions for instantiatesUri",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        basedOn: {
          description: "A reference to a resource that contains details of the request for this procedure.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        partOf: {
          description: "A larger event of which this particular procedure is a component or step.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "A code specifying the state of the procedure. Generally, this will be the in-progress or completed state.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusReason: {
          description: "Captures the reason for the current state of the procedure.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: 'A code that classifies the procedure for searching, sorting and display purposes (e.g. "Surgical Procedure").',
          $ref: "#/definitions/CodeableConcept"
        },
        code: {
          description: 'The specific procedure that is performed. Use text if the exact nature of the procedure cannot be coded (e.g. "Laparoscopic Appendectomy").',
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "The person, animal or group on which the procedure was performed.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The Encounter during which this Procedure was created or performed or to which the creation of this record is tightly associated.",
          $ref: "#/definitions/Reference"
        },
        performedDateTime: {
          description: "Estimated or actual date, date-time, period, or age when the procedure was performed.  Allows a period to support complex procedures that span more than one date, and also allows for the length of the procedure to be captured.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _performedDateTime: {
          description: "Extensions for performedDateTime",
          $ref: "#/definitions/Element"
        },
        performedPeriod: {
          description: "Estimated or actual date, date-time, period, or age when the procedure was performed.  Allows a period to support complex procedures that span more than one date, and also allows for the length of the procedure to be captured.",
          $ref: "#/definitions/Period"
        },
        performedString: {
          description: "Estimated or actual date, date-time, period, or age when the procedure was performed.  Allows a period to support complex procedures that span more than one date, and also allows for the length of the procedure to be captured.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _performedString: {
          description: "Extensions for performedString",
          $ref: "#/definitions/Element"
        },
        performedAge: {
          description: "Estimated or actual date, date-time, period, or age when the procedure was performed.  Allows a period to support complex procedures that span more than one date, and also allows for the length of the procedure to be captured.",
          $ref: "#/definitions/Age"
        },
        performedRange: {
          description: "Estimated or actual date, date-time, period, or age when the procedure was performed.  Allows a period to support complex procedures that span more than one date, and also allows for the length of the procedure to be captured.",
          $ref: "#/definitions/Range"
        },
        recorder: {
          description: "Individual who recorded the record and takes responsibility for its content.",
          $ref: "#/definitions/Reference"
        },
        asserter: {
          description: "Individual who is making the procedure statement.",
          $ref: "#/definitions/Reference"
        },
        performer: {
          description: 'Limited to "real" people rather than equipment.',
          items: {
            $ref: "#/definitions/Procedure_Performer"
          },
          type: "array"
        },
        location: {
          description: "The location where the procedure actually happened.  E.g. a newborn at home, a tracheostomy at a restaurant.",
          $ref: "#/definitions/Reference"
        },
        reasonCode: {
          description: "The coded reason why the procedure was performed. This may be a coded entity of some type, or may simply be present as text.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "The justification of why the procedure was performed.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        bodySite: {
          description: "Detailed and structured anatomical location information. Multiple locations are allowed - e.g. multiple punch biopsies of a lesion.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        outcome: {
          description: "The outcome of the procedure - did it resolve the reasons for the procedure being performed?",
          $ref: "#/definitions/CodeableConcept"
        },
        report: {
          description: "This could be a histology result, pathology report, surgical report, etc.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        complication: {
          description: "Any complications that occurred during the procedure, or in the immediate post-performance period. These are generally tracked separately from the notes, which will typically describe the procedure itself rather than any 'post procedure' issues.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        complicationDetail: {
          description: "Any complications that occurred during the procedure, or in the immediate post-performance period.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        followUp: {
          description: "If the procedure required specific follow up - e.g. removal of sutures. The follow up may be represented as a simple note or could potentially be more complex, in which case the CarePlan resource can be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        note: {
          description: "Any other notes and comments about the procedure.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        focalDevice: {
          description: "A device that is implanted, removed or otherwise manipulated (calibration, battery replacement, fitting a prosthesis, attaching a wound-vac, etc.) as a focal portion of the Procedure.",
          items: {
            $ref: "#/definitions/Procedure_FocalDevice"
          },
          type: "array"
        },
        usedReference: {
          description: "Identifies medications, devices and any other substance used as part of the procedure.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        usedCode: {
          description: "Identifies coded items that were used as part of the procedure.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "resourceType"]
    },
    Procedure_Performer: {
      description: "An action that is or was performed on or for a patient. This can be a physical intervention like an operation, or less invasive like long term services, counseling, or hypnotherapy.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        function: {
          description: "Distinguishes the type of involvement of the performer in the procedure. For example, surgeon, anaesthetist, endoscopist.",
          $ref: "#/definitions/CodeableConcept"
        },
        actor: {
          description: "The practitioner who was involved in the procedure.",
          $ref: "#/definitions/Reference"
        },
        onBehalfOf: {
          description: "The organization the device or practitioner was acting on behalf of.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["actor"]
    },
    Procedure_FocalDevice: {
      description: "An action that is or was performed on or for a patient. This can be a physical intervention like an operation, or less invasive like long term services, counseling, or hypnotherapy.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        action: {
          description: "The kind of change that happened to the device during the procedure.",
          $ref: "#/definitions/CodeableConcept"
        },
        manipulated: {
          description: "The device that was manipulated (changed) during the procedure.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["manipulated"]
    },
    Provenance: {
      description: "Provenance of a resource is a record that describes entities and processes involved in producing and delivering or otherwise influencing that resource. Provenance provides a critical foundation for assessing authenticity, enabling trust, and allowing reproducibility. Provenance assertions are a form of contextual metadata and can themselves become important records with their own provenance. Provenance statement indicates clinical significance in terms of confidence in authenticity, reliability, and trustworthiness, integrity, and stage in lifecycle (e.g. Document Completion - has the artifact been legally authenticated), all of which may impact security, privacy, and trust policies.",
      properties: {
        resourceType: {
          description: "This is a Provenance resource",
          const: "Provenance"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        target: {
          description: "The Reference(s) that were generated or updated by  the activity described in this resource. A provenance can point to more than one target if multiple resources were created/updated by the same activity.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        occurredPeriod: {
          description: "The period during which the activity occurred.",
          $ref: "#/definitions/Period"
        },
        occurredDateTime: {
          description: "The period during which the activity occurred.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _occurredDateTime: {
          description: "Extensions for occurredDateTime",
          $ref: "#/definitions/Element"
        },
        recorded: {
          description: "The instant of time at which the activity was recorded.",
          $ref: "#/definitions/instant"
        },
        _recorded: {
          description: "Extensions for recorded",
          $ref: "#/definitions/Element"
        },
        policy: {
          description: "Policy or plan the activity was defined by. Typically, a single activity may have multiple applicable policy documents, such as patient consent, guarantor funding, etc.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _policy: {
          description: "Extensions for policy",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        location: {
          description: "Where the activity occurred, if relevant.",
          $ref: "#/definitions/Reference"
        },
        reason: {
          description: "The reason that the activity was taking place.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        activity: {
          description: "An activity is something that occurs over a period of time and acts upon or with entities; it may include consuming, processing, transforming, modifying, relocating, using, or generating entities.",
          $ref: "#/definitions/CodeableConcept"
        },
        agent: {
          description: "An actor taking a role in an activity  for which it can be assigned some degree of responsibility for the activity taking place.",
          items: {
            $ref: "#/definitions/Provenance_Agent"
          },
          type: "array"
        },
        entity: {
          description: "An entity used in this activity.",
          items: {
            $ref: "#/definitions/Provenance_Entity"
          },
          type: "array"
        },
        signature: {
          description: "A digital signature on the target Reference(s). The signer should match a Provenance.agent. The purpose of the signature is indicated.",
          items: {
            $ref: "#/definitions/Signature"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["agent", "resourceType", "target"]
    },
    Provenance_Agent: {
      description: "Provenance of a resource is a record that describes entities and processes involved in producing and delivering or otherwise influencing that resource. Provenance provides a critical foundation for assessing authenticity, enabling trust, and allowing reproducibility. Provenance assertions are a form of contextual metadata and can themselves become important records with their own provenance. Provenance statement indicates clinical significance in terms of confidence in authenticity, reliability, and trustworthiness, integrity, and stage in lifecycle (e.g. Document Completion - has the artifact been legally authenticated), all of which may impact security, privacy, and trust policies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The participation the agent had with respect to the activity.",
          $ref: "#/definitions/CodeableConcept"
        },
        role: {
          description: "The function of the agent with respect to the activity. The security role enabling the agent with respect to the activity.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        who: {
          description: "The individual, device or organization that participated in the event.",
          $ref: "#/definitions/Reference"
        },
        onBehalfOf: {
          description: "The individual, device, or organization for whom the change was made.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["who"]
    },
    Provenance_Entity: {
      description: "Provenance of a resource is a record that describes entities and processes involved in producing and delivering or otherwise influencing that resource. Provenance provides a critical foundation for assessing authenticity, enabling trust, and allowing reproducibility. Provenance assertions are a form of contextual metadata and can themselves become important records with their own provenance. Provenance statement indicates clinical significance in terms of confidence in authenticity, reliability, and trustworthiness, integrity, and stage in lifecycle (e.g. Document Completion - has the artifact been legally authenticated), all of which may impact security, privacy, and trust policies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        role: {
          description: "How the entity was used during the activity.",
          enum: ["derivation", "revision", "quotation", "source", "removal"]
        },
        _role: {
          description: "Extensions for role",
          $ref: "#/definitions/Element"
        },
        what: {
          description: "Identity of the  Entity used. May be a logical or physical uri and maybe absolute or relative.",
          $ref: "#/definitions/Reference"
        },
        agent: {
          description: "The entity is attributed to an agent to express the agent's responsibility for that entity, possibly along with other agents. This description can be understood as shorthand for saying that the agent was responsible for the activity which generated the entity.",
          items: {
            $ref: "#/definitions/Provenance_Agent"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["what"]
    },
    Questionnaire: {
      description: "A structured set of questions intended to guide the collection of answers from end-users. Questionnaires provide detailed control over order, presentation, phraseology and grouping to allow coherent, consistent data collection.",
      properties: {
        resourceType: {
          description: "This is a Questionnaire resource",
          const: "Questionnaire"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this questionnaire when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this questionnaire is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the questionnaire is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this questionnaire when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the questionnaire when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the questionnaire author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the questionnaire. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the questionnaire.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        derivedFrom: {
          description: "The URL of a Questionnaire that this Questionnaire is based on.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        status: {
          description: "The status of this questionnaire. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this questionnaire is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        subjectType: {
          description: "The types of subjects that can be the subject of responses created for the questionnaire.",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _subjectType: {
          description: "Extensions for subjectType",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        date: {
          description: "The date  (and optionally time) when the questionnaire was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the questionnaire changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the questionnaire.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the questionnaire from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate questionnaire instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the questionnaire is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this questionnaire is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the questionnaire and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the questionnaire.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        approvalDate: {
          description: "The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage.",
          $ref: "#/definitions/date"
        },
        _approvalDate: {
          description: "Extensions for approvalDate",
          $ref: "#/definitions/Element"
        },
        lastReviewDate: {
          description: "The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date.",
          $ref: "#/definitions/date"
        },
        _lastReviewDate: {
          description: "Extensions for lastReviewDate",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The period during which the questionnaire content was or is planned to be in active use.",
          $ref: "#/definitions/Period"
        },
        code: {
          description: "An identifier for this question or group of questions in a particular terminology such as LOINC.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        item: {
          description: "A particular question, question grouping or display text that is part of the questionnaire.",
          items: {
            $ref: "#/definitions/Questionnaire_Item"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Questionnaire_Item: {
      description: "A structured set of questions intended to guide the collection of answers from end-users. Questionnaires provide detailed control over order, presentation, phraseology and grouping to allow coherent, consistent data collection.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        linkId: {
          description: "An identifier that is unique within the Questionnaire allowing linkage to the equivalent item in a QuestionnaireResponse resource.",
          $ref: "#/definitions/string"
        },
        _linkId: {
          description: "Extensions for linkId",
          $ref: "#/definitions/Element"
        },
        definition: {
          description: "This element is a URI that refers to an [[[ElementDefinition]]] that provides information about this item, including information that might otherwise be included in the instance of the Questionnaire resource. A detailed description of the construction of the URI is shown in Comments, below. If this element is present then the following element values MAY be derived from the Element Definition if the corresponding elements of this Questionnaire resource instance have no value:\n\n* code (ElementDefinition.code) \n* type (ElementDefinition.type) \n* required (ElementDefinition.min) \n* repeats (ElementDefinition.max) \n* maxLength (ElementDefinition.maxLength) \n* answerValueSet (ElementDefinition.binding)\n* options (ElementDefinition.binding).",
          $ref: "#/definitions/uri"
        },
        _definition: {
          description: "Extensions for definition",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A terminology code that corresponds to this group or question (e.g. a code from LOINC, which defines many questions and answers).",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        prefix: {
          description: "A short label for a particular group, question or set of display text within the questionnaire used for reference by the individual completing the questionnaire.",
          $ref: "#/definitions/string"
        },
        _prefix: {
          description: "Extensions for prefix",
          $ref: "#/definitions/Element"
        },
        text: {
          description: "The name of a section, the text of a question or text content for a display item.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The type of questionnaire item this is - whether text for display, a grouping of other items or a particular type of data to be captured (string, integer, coded choice, etc.).",
          enum: [
            "group",
            "display",
            "boolean",
            "decimal",
            "integer",
            "date",
            "dateTime",
            "time",
            "string",
            "text",
            "url",
            "choice",
            "open-choice",
            "attachment",
            "reference",
            "quantity"
          ]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        enableWhen: {
          description: "A constraint indicating that this item should only be enabled (displayed/allow answers to be captured) when the specified condition is true.",
          items: {
            $ref: "#/definitions/Questionnaire_EnableWhen"
          },
          type: "array"
        },
        enableBehavior: {
          description: "Controls how multiple enableWhen values are interpreted -  whether all or any must be true.",
          enum: ["all", "any"]
        },
        _enableBehavior: {
          description: "Extensions for enableBehavior",
          $ref: "#/definitions/Element"
        },
        required: {
          description: 'An indication, if true, that the item must be present in a "completed" QuestionnaireResponse.  If false, the item may be skipped when answering the questionnaire.',
          $ref: "#/definitions/boolean"
        },
        _required: {
          description: "Extensions for required",
          $ref: "#/definitions/Element"
        },
        repeats: {
          description: "An indication, if true, that the item may occur multiple times in the response, collecting multiple answers for questions or multiple sets of answers for groups.",
          $ref: "#/definitions/boolean"
        },
        _repeats: {
          description: "Extensions for repeats",
          $ref: "#/definitions/Element"
        },
        readOnly: {
          description: "An indication, when true, that the value cannot be changed by a human respondent to the Questionnaire.",
          $ref: "#/definitions/boolean"
        },
        _readOnly: {
          description: "Extensions for readOnly",
          $ref: "#/definitions/Element"
        },
        maxLength: {
          description: 'The maximum number of characters that are permitted in the answer to be considered a "valid" QuestionnaireResponse.',
          $ref: "#/definitions/integer"
        },
        _maxLength: {
          description: "Extensions for maxLength",
          $ref: "#/definitions/Element"
        },
        answerValueSet: {
          description: 'A reference to a value set containing a list of codes representing permitted answers for a "choice" or "open-choice" question.',
          $ref: "#/definitions/canonical"
        },
        answerOption: {
          description: 'One of the permitted answers for a "choice" or "open-choice" question.',
          items: {
            $ref: "#/definitions/Questionnaire_AnswerOption"
          },
          type: "array"
        },
        initial: {
          description: "One or more values that should be pre-populated in the answer when initially rendering the questionnaire for user input.",
          items: {
            $ref: "#/definitions/Questionnaire_Initial"
          },
          type: "array"
        },
        item: {
          description: "Text, questions and other groups to be nested beneath a question or group.",
          items: {
            $ref: "#/definitions/Questionnaire_Item"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Questionnaire_EnableWhen: {
      description: "A structured set of questions intended to guide the collection of answers from end-users. Questionnaires provide detailed control over order, presentation, phraseology and grouping to allow coherent, consistent data collection.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        question: {
          description: "The linkId for the question whose answer (or lack of answer) governs whether this item is enabled.",
          $ref: "#/definitions/string"
        },
        _question: {
          description: "Extensions for question",
          $ref: "#/definitions/Element"
        },
        operator: {
          description: "Specifies the criteria by which the question is enabled.",
          enum: ["exists", "=", "!=", ">", "<", ">=", "<="]
        },
        _operator: {
          description: "Extensions for operator",
          $ref: "#/definitions/Element"
        },
        answerBoolean: {
          description: "A value that the referenced question is tested using the specified operator in order for the item to be enabled.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _answerBoolean: {
          description: "Extensions for answerBoolean",
          $ref: "#/definitions/Element"
        },
        answerDecimal: {
          description: "A value that the referenced question is tested using the specified operator in order for the item to be enabled.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _answerDecimal: {
          description: "Extensions for answerDecimal",
          $ref: "#/definitions/Element"
        },
        answerInteger: {
          description: "A value that the referenced question is tested using the specified operator in order for the item to be enabled.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _answerInteger: {
          description: "Extensions for answerInteger",
          $ref: "#/definitions/Element"
        },
        answerDate: {
          description: "A value that the referenced question is tested using the specified operator in order for the item to be enabled.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _answerDate: {
          description: "Extensions for answerDate",
          $ref: "#/definitions/Element"
        },
        answerDateTime: {
          description: "A value that the referenced question is tested using the specified operator in order for the item to be enabled.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _answerDateTime: {
          description: "Extensions for answerDateTime",
          $ref: "#/definitions/Element"
        },
        answerTime: {
          description: "A value that the referenced question is tested using the specified operator in order for the item to be enabled.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _answerTime: {
          description: "Extensions for answerTime",
          $ref: "#/definitions/Element"
        },
        answerString: {
          description: "A value that the referenced question is tested using the specified operator in order for the item to be enabled.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _answerString: {
          description: "Extensions for answerString",
          $ref: "#/definitions/Element"
        },
        answerCoding: {
          description: "A value that the referenced question is tested using the specified operator in order for the item to be enabled.",
          $ref: "#/definitions/Coding"
        },
        answerQuantity: {
          description: "A value that the referenced question is tested using the specified operator in order for the item to be enabled.",
          $ref: "#/definitions/Quantity"
        },
        answerReference: {
          description: "A value that the referenced question is tested using the specified operator in order for the item to be enabled.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    Questionnaire_AnswerOption: {
      description: "A structured set of questions intended to guide the collection of answers from end-users. Questionnaires provide detailed control over order, presentation, phraseology and grouping to allow coherent, consistent data collection.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        valueInteger: {
          description: "A potential answer that's allowed as the answer to this question.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueDate: {
          description: "A potential answer that's allowed as the answer to this question.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _valueDate: {
          description: "Extensions for valueDate",
          $ref: "#/definitions/Element"
        },
        valueTime: {
          description: "A potential answer that's allowed as the answer to this question.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _valueTime: {
          description: "Extensions for valueTime",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "A potential answer that's allowed as the answer to this question.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueCoding: {
          description: "A potential answer that's allowed as the answer to this question.",
          $ref: "#/definitions/Coding"
        },
        valueReference: {
          description: "A potential answer that's allowed as the answer to this question.",
          $ref: "#/definitions/Reference"
        },
        initialSelected: {
          description: "Indicates whether the answer value is selected when the list of possible answers is initially shown.",
          $ref: "#/definitions/boolean"
        },
        _initialSelected: {
          description: "Extensions for initialSelected",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Questionnaire_Initial: {
      description: "A structured set of questions intended to guide the collection of answers from end-users. Questionnaires provide detailed control over order, presentation, phraseology and grouping to allow coherent, consistent data collection.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        valueBoolean: {
          description: "The actual value to for an initial answer.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueDecimal: {
          description: "The actual value to for an initial answer.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _valueDecimal: {
          description: "Extensions for valueDecimal",
          $ref: "#/definitions/Element"
        },
        valueInteger: {
          description: "The actual value to for an initial answer.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueDate: {
          description: "The actual value to for an initial answer.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _valueDate: {
          description: "Extensions for valueDate",
          $ref: "#/definitions/Element"
        },
        valueDateTime: {
          description: "The actual value to for an initial answer.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _valueDateTime: {
          description: "Extensions for valueDateTime",
          $ref: "#/definitions/Element"
        },
        valueTime: {
          description: "The actual value to for an initial answer.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _valueTime: {
          description: "Extensions for valueTime",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "The actual value to for an initial answer.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueUri: {
          description: "The actual value to for an initial answer.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUri: {
          description: "Extensions for valueUri",
          $ref: "#/definitions/Element"
        },
        valueAttachment: {
          description: "The actual value to for an initial answer.",
          $ref: "#/definitions/Attachment"
        },
        valueCoding: {
          description: "The actual value to for an initial answer.",
          $ref: "#/definitions/Coding"
        },
        valueQuantity: {
          description: "The actual value to for an initial answer.",
          $ref: "#/definitions/Quantity"
        },
        valueReference: {
          description: "The actual value to for an initial answer.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    QuestionnaireResponse: {
      description: "A structured set of questions and their answers. The questions are ordered and grouped into coherent subsets, corresponding to the structure of the grouping of the questionnaire being responded to.",
      properties: {
        resourceType: {
          description: "This is a QuestionnaireResponse resource",
          const: "QuestionnaireResponse"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A business identifier assigned to a particular completed (or partially completed) questionnaire.",
          $ref: "#/definitions/Identifier"
        },
        basedOn: {
          description: "The order, proposal or plan that is fulfilled in whole or in part by this QuestionnaireResponse.  For example, a ServiceRequest seeking an intake assessment or a decision support recommendation to assess for post-partum depression.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        partOf: {
          description: "A procedure or observation that this questionnaire was performed as part of the execution of.  For example, the surgery a checklist was executed as part of.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        questionnaire: {
          description: "The Questionnaire that defines and organizes the questions for which answers are being provided.",
          $ref: "#/definitions/canonical"
        },
        status: {
          description: "The position of the questionnaire response within its overall lifecycle.",
          enum: ["in-progress", "completed", "amended", "entered-in-error", "stopped"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        subject: {
          description: "The subject of the questionnaire response.  This could be a patient, organization, practitioner, device, etc.  This is who/what the answers apply to, but is not necessarily the source of information.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The Encounter during which this questionnaire response was created or to which the creation of this record is tightly associated.",
          $ref: "#/definitions/Reference"
        },
        authored: {
          description: "The date and/or time that this set of answers were last changed.",
          $ref: "#/definitions/dateTime"
        },
        _authored: {
          description: "Extensions for authored",
          $ref: "#/definitions/Element"
        },
        author: {
          description: "Person who received the answers to the questions in the QuestionnaireResponse and recorded them in the system.",
          $ref: "#/definitions/Reference"
        },
        source: {
          description: "The person who answered the questions about the subject.",
          $ref: "#/definitions/Reference"
        },
        item: {
          description: "A group or question item from the original questionnaire for which answers are provided.",
          items: {
            $ref: "#/definitions/QuestionnaireResponse_Item"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    QuestionnaireResponse_Item: {
      description: "A structured set of questions and their answers. The questions are ordered and grouped into coherent subsets, corresponding to the structure of the grouping of the questionnaire being responded to.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        linkId: {
          description: "The item from the Questionnaire that corresponds to this item in the QuestionnaireResponse resource.",
          $ref: "#/definitions/string"
        },
        _linkId: {
          description: "Extensions for linkId",
          $ref: "#/definitions/Element"
        },
        definition: {
          description: "A reference to an [[[ElementDefinition]]] that provides the details for the item.",
          $ref: "#/definitions/uri"
        },
        _definition: {
          description: "Extensions for definition",
          $ref: "#/definitions/Element"
        },
        text: {
          description: "Text that is displayed above the contents of the group or as the text of the question being answered.",
          $ref: "#/definitions/string"
        },
        _text: {
          description: "Extensions for text",
          $ref: "#/definitions/Element"
        },
        answer: {
          description: "The respondent's answer(s) to the question.",
          items: {
            $ref: "#/definitions/QuestionnaireResponse_Answer"
          },
          type: "array"
        },
        item: {
          description: "Questions or sub-groups nested beneath a question or group.",
          items: {
            $ref: "#/definitions/QuestionnaireResponse_Item"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    QuestionnaireResponse_Answer: {
      description: "A structured set of questions and their answers. The questions are ordered and grouped into coherent subsets, corresponding to the structure of the grouping of the questionnaire being responded to.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        valueBoolean: {
          description: "The answer (or one of the answers) provided by the respondent to the question.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueDecimal: {
          description: "The answer (or one of the answers) provided by the respondent to the question.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _valueDecimal: {
          description: "Extensions for valueDecimal",
          $ref: "#/definitions/Element"
        },
        valueInteger: {
          description: "The answer (or one of the answers) provided by the respondent to the question.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueDate: {
          description: "The answer (or one of the answers) provided by the respondent to the question.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _valueDate: {
          description: "Extensions for valueDate",
          $ref: "#/definitions/Element"
        },
        valueDateTime: {
          description: "The answer (or one of the answers) provided by the respondent to the question.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _valueDateTime: {
          description: "Extensions for valueDateTime",
          $ref: "#/definitions/Element"
        },
        valueTime: {
          description: "The answer (or one of the answers) provided by the respondent to the question.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _valueTime: {
          description: "Extensions for valueTime",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "The answer (or one of the answers) provided by the respondent to the question.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueUri: {
          description: "The answer (or one of the answers) provided by the respondent to the question.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUri: {
          description: "Extensions for valueUri",
          $ref: "#/definitions/Element"
        },
        valueAttachment: {
          description: "The answer (or one of the answers) provided by the respondent to the question.",
          $ref: "#/definitions/Attachment"
        },
        valueCoding: {
          description: "The answer (or one of the answers) provided by the respondent to the question.",
          $ref: "#/definitions/Coding"
        },
        valueQuantity: {
          description: "The answer (or one of the answers) provided by the respondent to the question.",
          $ref: "#/definitions/Quantity"
        },
        valueReference: {
          description: "The answer (or one of the answers) provided by the respondent to the question.",
          $ref: "#/definitions/Reference"
        },
        item: {
          description: "Nested groups and/or questions found within this particular answer.",
          items: {
            $ref: "#/definitions/QuestionnaireResponse_Item"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    RelatedPerson: {
      description: "Information about a person that is involved in the care for a patient, but who is not the target of healthcare, nor has a formal responsibility in the care process.",
      properties: {
        resourceType: {
          description: "This is a RelatedPerson resource",
          const: "RelatedPerson"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier for a person within a particular scope.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        active: {
          description: "Whether this related person record is in active use.",
          $ref: "#/definitions/boolean"
        },
        _active: {
          description: "Extensions for active",
          $ref: "#/definitions/Element"
        },
        patient: {
          description: "The patient this person is related to.",
          $ref: "#/definitions/Reference"
        },
        relationship: {
          description: "The nature of the relationship between a patient and the related person.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        name: {
          description: "A name associated with the person.",
          items: {
            $ref: "#/definitions/HumanName"
          },
          type: "array"
        },
        telecom: {
          description: "A contact detail for the person, e.g. a telephone number or an email address.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        gender: {
          description: "Administrative Gender - the gender that the person is considered to have for administration and record keeping purposes.",
          enum: ["male", "female", "other", "unknown"]
        },
        _gender: {
          description: "Extensions for gender",
          $ref: "#/definitions/Element"
        },
        birthDate: {
          description: "The date on which the related person was born.",
          $ref: "#/definitions/date"
        },
        _birthDate: {
          description: "Extensions for birthDate",
          $ref: "#/definitions/Element"
        },
        address: {
          description: "Address where the related person can be contacted or visited.",
          items: {
            $ref: "#/definitions/Address"
          },
          type: "array"
        },
        photo: {
          description: "Image of the person.",
          items: {
            $ref: "#/definitions/Attachment"
          },
          type: "array"
        },
        period: {
          description: "The period of time during which this relationship is or was active. If there are no dates defined, then the interval is unknown.",
          $ref: "#/definitions/Period"
        },
        communication: {
          description: "A language which may be used to communicate with about the patient's health.",
          items: {
            $ref: "#/definitions/RelatedPerson_Communication"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["patient", "resourceType"]
    },
    RelatedPerson_Communication: {
      description: "Information about a person that is involved in the care for a patient, but who is not the target of healthcare, nor has a formal responsibility in the care process.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        language: {
          description: 'The ISO-639-1 alpha 2 code in lower case for the language, optionally followed by a hyphen and the ISO-3166-1 alpha 2 code for the region in upper case; e.g. "en" for English, or "en-US" for American English versus "en-EN" for England English.',
          $ref: "#/definitions/CodeableConcept"
        },
        preferred: {
          description: "Indicates whether or not the patient prefers this language (over other languages he masters up a certain level).",
          $ref: "#/definitions/boolean"
        },
        _preferred: {
          description: "Extensions for preferred",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["language"]
    },
    RequestGroup: {
      description: 'A group of related requests that can be used to capture intended activities that have inter-dependencies such as "give this medication after that one".',
      properties: {
        resourceType: {
          description: "This is a RequestGroup resource",
          const: "RequestGroup"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Allows a service to provide a unique, business identifier for the request.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        instantiatesCanonical: {
          description: "A canonical URL referencing a FHIR-defined protocol, guideline, orderset or other definition that is adhered to in whole or in part by this request.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        _instantiatesCanonical: {
          description: "Extensions for instantiatesCanonical",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        instantiatesUri: {
          description: "A URL referencing an externally defined protocol, guideline, orderset or other definition that is adhered to in whole or in part by this request.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _instantiatesUri: {
          description: "Extensions for instantiatesUri",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        basedOn: {
          description: "A plan, proposal or order that is fulfilled in whole or in part by this request.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        replaces: {
          description: "Completed or terminated request(s) whose function is taken by this new request.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        groupIdentifier: {
          description: "A shared identifier common to all requests that were authorized more or less simultaneously by a single author, representing the identifier of the requisition, prescription or similar form.",
          $ref: "#/definitions/Identifier"
        },
        status: {
          description: "The current state of the request. For request groups, the status reflects the status of all the requests in the group.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        intent: {
          description: "Indicates the level of authority/intentionality associated with the request and where the request fits into the workflow chain.",
          $ref: "#/definitions/code"
        },
        _intent: {
          description: "Extensions for intent",
          $ref: "#/definitions/Element"
        },
        priority: {
          description: "Indicates how quickly the request should be addressed with respect to other requests.",
          $ref: "#/definitions/code"
        },
        _priority: {
          description: "Extensions for priority",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A code that identifies what the overall request group is.",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "The subject for which the request group was created.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "Describes the context of the request group, if any.",
          $ref: "#/definitions/Reference"
        },
        authoredOn: {
          description: "Indicates when the request group was created.",
          $ref: "#/definitions/dateTime"
        },
        _authoredOn: {
          description: "Extensions for authoredOn",
          $ref: "#/definitions/Element"
        },
        author: {
          description: "Provides a reference to the author of the request group.",
          $ref: "#/definitions/Reference"
        },
        reasonCode: {
          description: "Describes the reason for the request group in coded or textual form.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Indicates another resource whose existence justifies this request group.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "Provides a mechanism to communicate additional information about the response.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        action: {
          description: "The actions, if any, produced by the evaluation of the artifact.",
          items: {
            $ref: "#/definitions/RequestGroup_Action"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    RequestGroup_Action: {
      description: 'A group of related requests that can be used to capture intended activities that have inter-dependencies such as "give this medication after that one".',
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        prefix: {
          description: "A user-visible prefix for the action.",
          $ref: "#/definitions/string"
        },
        _prefix: {
          description: "Extensions for prefix",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "The title of the action displayed to a user.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A short description of the action used to provide a summary to display to the user.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        textEquivalent: {
          description: "A text equivalent of the action to be performed. This provides a human-interpretable description of the action when the definition is consumed by a system that might not be capable of interpreting it dynamically.",
          $ref: "#/definitions/string"
        },
        _textEquivalent: {
          description: "Extensions for textEquivalent",
          $ref: "#/definitions/Element"
        },
        priority: {
          description: "Indicates how quickly the action should be addressed with respect to other actions.",
          $ref: "#/definitions/code"
        },
        _priority: {
          description: "Extensions for priority",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A code that provides meaning for the action or action group. For example, a section may have a LOINC code for a section of a documentation template.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        documentation: {
          description: "Didactic or other informational resources associated with the action that can be provided to the CDS recipient. Information resources can include inline text commentary and links to web resources.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        condition: {
          description: "An expression that describes applicability criteria, or start/stop conditions for the action.",
          items: {
            $ref: "#/definitions/RequestGroup_Condition"
          },
          type: "array"
        },
        relatedAction: {
          description: 'A relationship to another action such as "before" or "30-60 minutes after start of".',
          items: {
            $ref: "#/definitions/RequestGroup_RelatedAction"
          },
          type: "array"
        },
        timingDateTime: {
          description: "An optional value describing when the action should be performed.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _timingDateTime: {
          description: "Extensions for timingDateTime",
          $ref: "#/definitions/Element"
        },
        timingAge: {
          description: "An optional value describing when the action should be performed.",
          $ref: "#/definitions/Age"
        },
        timingPeriod: {
          description: "An optional value describing when the action should be performed.",
          $ref: "#/definitions/Period"
        },
        timingDuration: {
          description: "An optional value describing when the action should be performed.",
          $ref: "#/definitions/Duration"
        },
        timingRange: {
          description: "An optional value describing when the action should be performed.",
          $ref: "#/definitions/Range"
        },
        timingTiming: {
          description: "An optional value describing when the action should be performed.",
          $ref: "#/definitions/Timing"
        },
        participant: {
          description: "The participant that should perform or be responsible for this action.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        type: {
          description: "The type of action to perform (create, update, remove).",
          $ref: "#/definitions/CodeableConcept"
        },
        groupingBehavior: {
          description: "Defines the grouping behavior for the action and its children.",
          $ref: "#/definitions/code"
        },
        _groupingBehavior: {
          description: "Extensions for groupingBehavior",
          $ref: "#/definitions/Element"
        },
        selectionBehavior: {
          description: "Defines the selection behavior for the action and its children.",
          $ref: "#/definitions/code"
        },
        _selectionBehavior: {
          description: "Extensions for selectionBehavior",
          $ref: "#/definitions/Element"
        },
        requiredBehavior: {
          description: "Defines expectations around whether an action is required.",
          $ref: "#/definitions/code"
        },
        _requiredBehavior: {
          description: "Extensions for requiredBehavior",
          $ref: "#/definitions/Element"
        },
        precheckBehavior: {
          description: "Defines whether the action should usually be preselected.",
          $ref: "#/definitions/code"
        },
        _precheckBehavior: {
          description: "Extensions for precheckBehavior",
          $ref: "#/definitions/Element"
        },
        cardinalityBehavior: {
          description: "Defines whether the action can be selected multiple times.",
          $ref: "#/definitions/code"
        },
        _cardinalityBehavior: {
          description: "Extensions for cardinalityBehavior",
          $ref: "#/definitions/Element"
        },
        resource: {
          description: "The resource that is the target of the action (e.g. CommunicationRequest).",
          $ref: "#/definitions/Reference"
        },
        action: {
          description: "Sub actions.",
          items: {
            $ref: "#/definitions/RequestGroup_Action"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    RequestGroup_Condition: {
      description: 'A group of related requests that can be used to capture intended activities that have inter-dependencies such as "give this medication after that one".',
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        kind: {
          description: "The kind of condition.",
          $ref: "#/definitions/code"
        },
        _kind: {
          description: "Extensions for kind",
          $ref: "#/definitions/Element"
        },
        expression: {
          description: "An expression that returns true or false, indicating whether or not the condition is satisfied.",
          $ref: "#/definitions/Expression"
        }
      },
      additionalProperties: false
    },
    RequestGroup_RelatedAction: {
      description: 'A group of related requests that can be used to capture intended activities that have inter-dependencies such as "give this medication after that one".',
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        actionId: {
          description: "The element id of the action this is related to.",
          $ref: "#/definitions/id"
        },
        _actionId: {
          description: "Extensions for actionId",
          $ref: "#/definitions/Element"
        },
        relationship: {
          description: "The relationship of this action to the related action.",
          $ref: "#/definitions/code"
        },
        _relationship: {
          description: "Extensions for relationship",
          $ref: "#/definitions/Element"
        },
        offsetDuration: {
          description: "A duration or range of durations to apply to the relationship. For example, 30-60 minutes before.",
          $ref: "#/definitions/Duration"
        },
        offsetRange: {
          description: "A duration or range of durations to apply to the relationship. For example, 30-60 minutes before.",
          $ref: "#/definitions/Range"
        }
      },
      additionalProperties: false
    },
    ResearchDefinition: {
      description: "The ResearchDefinition resource describes the conditional state (population and any exposures being compared within the population) and outcome (if specified) that the knowledge (evidence, assertion, recommendation) is about.",
      properties: {
        resourceType: {
          description: "This is a ResearchDefinition resource",
          const: "ResearchDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this research definition when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this research definition is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the research definition is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this research definition when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the research definition when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the research definition author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence. To provide a version consistent with the Decision Support Service specification, use the format Major.Minor.Revision (e.g. 1.0.0). For more information on versioning knowledge assets, refer to the Decision Support Service specification. Note that a version is required for non-experimental active artifacts.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the research definition. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the research definition.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        shortTitle: {
          description: "The short title provides an alternate title for use in informal descriptive contexts where the full, formal title is not necessary.",
          $ref: "#/definitions/string"
        },
        _shortTitle: {
          description: "Extensions for shortTitle",
          $ref: "#/definitions/Element"
        },
        subtitle: {
          description: "An explanatory or alternate title for the ResearchDefinition giving additional information about its content.",
          $ref: "#/definitions/string"
        },
        _subtitle: {
          description: "Extensions for subtitle",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this research definition. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this research definition is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        subjectCodeableConcept: {
          description: "The intended subjects for the ResearchDefinition. If this element is not provided, a Patient subject is assumed, but the subject of the ResearchDefinition can be anything.",
          $ref: "#/definitions/CodeableConcept"
        },
        subjectReference: {
          description: "The intended subjects for the ResearchDefinition. If this element is not provided, a Patient subject is assumed, but the subject of the ResearchDefinition can be anything.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date  (and optionally time) when the research definition was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the research definition changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the research definition.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the research definition from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        comment: {
          description: "A human-readable string to clarify or explain concepts about the resource.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _comment: {
          description: "Extensions for comment",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate research definition instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the research definition is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this research definition is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        usage: {
          description: "A detailed description, from a clinical perspective, of how the ResearchDefinition is used.",
          $ref: "#/definitions/string"
        },
        _usage: {
          description: "Extensions for usage",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the research definition and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the research definition.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        approvalDate: {
          description: "The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage.",
          $ref: "#/definitions/date"
        },
        _approvalDate: {
          description: "Extensions for approvalDate",
          $ref: "#/definitions/Element"
        },
        lastReviewDate: {
          description: "The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date.",
          $ref: "#/definitions/date"
        },
        _lastReviewDate: {
          description: "Extensions for lastReviewDate",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The period during which the research definition content was or is planned to be in active use.",
          $ref: "#/definitions/Period"
        },
        topic: {
          description: "Descriptive topics related to the content of the ResearchDefinition. Topics provide a high-level categorization grouping types of ResearchDefinitions that can be useful for filtering and searching.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        author: {
          description: "An individiual or organization primarily involved in the creation and maintenance of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        editor: {
          description: "An individual or organization primarily responsible for internal coherence of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        reviewer: {
          description: "An individual or organization primarily responsible for review of some aspect of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        endorser: {
          description: "An individual or organization responsible for officially endorsing the content for use in some setting.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        relatedArtifact: {
          description: "Related artifacts such as additional documentation, justification, or bibliographic references.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        library: {
          description: "A reference to a Library resource containing the formal logic used by the ResearchDefinition.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        population: {
          description: "A reference to a ResearchElementDefinition resource that defines the population for the research.",
          $ref: "#/definitions/Reference"
        },
        exposure: {
          description: "A reference to a ResearchElementDefinition resource that defines the exposure for the research.",
          $ref: "#/definitions/Reference"
        },
        exposureAlternative: {
          description: "A reference to a ResearchElementDefinition resource that defines the exposureAlternative for the research.",
          $ref: "#/definitions/Reference"
        },
        outcome: {
          description: "A reference to a ResearchElementDefinition resomece that defines the outcome for the research.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["resourceType", "population"]
    },
    ResearchElementDefinition: {
      description: 'The ResearchElementDefinition resource describes a "PICO" element that knowledge (evidence, assertion, recommendation) is about.',
      properties: {
        resourceType: {
          description: "This is a ResearchElementDefinition resource",
          const: "ResearchElementDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this research element definition when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this research element definition is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the research element definition is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this research element definition when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the research element definition when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the research element definition author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence. To provide a version consistent with the Decision Support Service specification, use the format Major.Minor.Revision (e.g. 1.0.0). For more information on versioning knowledge assets, refer to the Decision Support Service specification. Note that a version is required for non-experimental active artifacts.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the research element definition. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the research element definition.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        shortTitle: {
          description: "The short title provides an alternate title for use in informal descriptive contexts where the full, formal title is not necessary.",
          $ref: "#/definitions/string"
        },
        _shortTitle: {
          description: "Extensions for shortTitle",
          $ref: "#/definitions/Element"
        },
        subtitle: {
          description: "An explanatory or alternate title for the ResearchElementDefinition giving additional information about its content.",
          $ref: "#/definitions/string"
        },
        _subtitle: {
          description: "Extensions for subtitle",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this research element definition. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this research element definition is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        subjectCodeableConcept: {
          description: "The intended subjects for the ResearchElementDefinition. If this element is not provided, a Patient subject is assumed, but the subject of the ResearchElementDefinition can be anything.",
          $ref: "#/definitions/CodeableConcept"
        },
        subjectReference: {
          description: "The intended subjects for the ResearchElementDefinition. If this element is not provided, a Patient subject is assumed, but the subject of the ResearchElementDefinition can be anything.",
          $ref: "#/definitions/Reference"
        },
        date: {
          description: "The date  (and optionally time) when the research element definition was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the research element definition changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the research element definition.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the research element definition from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        comment: {
          description: "A human-readable string to clarify or explain concepts about the resource.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _comment: {
          description: "Extensions for comment",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate research element definition instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the research element definition is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this research element definition is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        usage: {
          description: "A detailed description, from a clinical perspective, of how the ResearchElementDefinition is used.",
          $ref: "#/definitions/string"
        },
        _usage: {
          description: "Extensions for usage",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the research element definition and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the research element definition.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        approvalDate: {
          description: "The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage.",
          $ref: "#/definitions/date"
        },
        _approvalDate: {
          description: "Extensions for approvalDate",
          $ref: "#/definitions/Element"
        },
        lastReviewDate: {
          description: "The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date.",
          $ref: "#/definitions/date"
        },
        _lastReviewDate: {
          description: "Extensions for lastReviewDate",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The period during which the research element definition content was or is planned to be in active use.",
          $ref: "#/definitions/Period"
        },
        topic: {
          description: "Descriptive topics related to the content of the ResearchElementDefinition. Topics provide a high-level categorization grouping types of ResearchElementDefinitions that can be useful for filtering and searching.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        author: {
          description: "An individiual or organization primarily involved in the creation and maintenance of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        editor: {
          description: "An individual or organization primarily responsible for internal coherence of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        reviewer: {
          description: "An individual or organization primarily responsible for review of some aspect of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        endorser: {
          description: "An individual or organization responsible for officially endorsing the content for use in some setting.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        relatedArtifact: {
          description: "Related artifacts such as additional documentation, justification, or bibliographic references.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        library: {
          description: "A reference to a Library resource containing the formal logic used by the ResearchElementDefinition.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        type: {
          description: "The type of research element, a population, an exposure, or an outcome.",
          enum: ["population", "exposure", "outcome"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        variableType: {
          description: "The type of the outcome (e.g. Dichotomous, Continuous, or Descriptive).",
          enum: ["dichotomous", "continuous", "descriptive"]
        },
        _variableType: {
          description: "Extensions for variableType",
          $ref: "#/definitions/Element"
        },
        characteristic: {
          description: 'A characteristic that defines the members of the research element. Multiple characteristics are applied with "and" semantics.',
          items: {
            $ref: "#/definitions/ResearchElementDefinition_Characteristic"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["characteristic", "resourceType"]
    },
    ResearchElementDefinition_Characteristic: {
      description: 'The ResearchElementDefinition resource describes a "PICO" element that knowledge (evidence, assertion, recommendation) is about.',
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        definitionCodeableConcept: {
          description: "Define members of the research element using Codes (such as condition, medication, or observation), Expressions ( using an expression language such as FHIRPath or CQL) or DataRequirements (such as Diabetes diagnosis onset in the last year).",
          $ref: "#/definitions/CodeableConcept"
        },
        definitionCanonical: {
          description: "Define members of the research element using Codes (such as condition, medication, or observation), Expressions ( using an expression language such as FHIRPath or CQL) or DataRequirements (such as Diabetes diagnosis onset in the last year).",
          pattern: "^\\S*$",
          type: "string"
        },
        _definitionCanonical: {
          description: "Extensions for definitionCanonical",
          $ref: "#/definitions/Element"
        },
        definitionExpression: {
          description: "Define members of the research element using Codes (such as condition, medication, or observation), Expressions ( using an expression language such as FHIRPath or CQL) or DataRequirements (such as Diabetes diagnosis onset in the last year).",
          $ref: "#/definitions/Expression"
        },
        definitionDataRequirement: {
          description: "Define members of the research element using Codes (such as condition, medication, or observation), Expressions ( using an expression language such as FHIRPath or CQL) or DataRequirements (such as Diabetes diagnosis onset in the last year).",
          $ref: "#/definitions/DataRequirement"
        },
        usageContext: {
          description: "Use UsageContext to define the members of the population, such as Age Ranges, Genders, Settings.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        exclude: {
          description: "When true, members with this characteristic are excluded from the element.",
          $ref: "#/definitions/boolean"
        },
        _exclude: {
          description: "Extensions for exclude",
          $ref: "#/definitions/Element"
        },
        unitOfMeasure: {
          description: "Specifies the UCUM unit for the outcome.",
          $ref: "#/definitions/CodeableConcept"
        },
        studyEffectiveDescription: {
          description: "A narrative description of the time period the study covers.",
          $ref: "#/definitions/string"
        },
        _studyEffectiveDescription: {
          description: "Extensions for studyEffectiveDescription",
          $ref: "#/definitions/Element"
        },
        studyEffectiveDateTime: {
          description: "Indicates what effective period the study covers.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _studyEffectiveDateTime: {
          description: "Extensions for studyEffectiveDateTime",
          $ref: "#/definitions/Element"
        },
        studyEffectivePeriod: {
          description: "Indicates what effective period the study covers.",
          $ref: "#/definitions/Period"
        },
        studyEffectiveDuration: {
          description: "Indicates what effective period the study covers.",
          $ref: "#/definitions/Duration"
        },
        studyEffectiveTiming: {
          description: "Indicates what effective period the study covers.",
          $ref: "#/definitions/Timing"
        },
        studyEffectiveTimeFromStart: {
          description: "Indicates duration from the study initiation.",
          $ref: "#/definitions/Duration"
        },
        studyEffectiveGroupMeasure: {
          description: "Indicates how elements are aggregated within the study effective period.",
          enum: ["mean", "median", "mean-of-mean", "mean-of-median", "median-of-mean", "median-of-median"]
        },
        _studyEffectiveGroupMeasure: {
          description: "Extensions for studyEffectiveGroupMeasure",
          $ref: "#/definitions/Element"
        },
        participantEffectiveDescription: {
          description: "A narrative description of the time period the study covers.",
          $ref: "#/definitions/string"
        },
        _participantEffectiveDescription: {
          description: "Extensions for participantEffectiveDescription",
          $ref: "#/definitions/Element"
        },
        participantEffectiveDateTime: {
          description: "Indicates what effective period the study covers.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _participantEffectiveDateTime: {
          description: "Extensions for participantEffectiveDateTime",
          $ref: "#/definitions/Element"
        },
        participantEffectivePeriod: {
          description: "Indicates what effective period the study covers.",
          $ref: "#/definitions/Period"
        },
        participantEffectiveDuration: {
          description: "Indicates what effective period the study covers.",
          $ref: "#/definitions/Duration"
        },
        participantEffectiveTiming: {
          description: "Indicates what effective period the study covers.",
          $ref: "#/definitions/Timing"
        },
        participantEffectiveTimeFromStart: {
          description: "Indicates duration from the participant's study entry.",
          $ref: "#/definitions/Duration"
        },
        participantEffectiveGroupMeasure: {
          description: "Indicates how elements are aggregated within the study effective period.",
          enum: ["mean", "median", "mean-of-mean", "mean-of-median", "median-of-mean", "median-of-median"]
        },
        _participantEffectiveGroupMeasure: {
          description: "Extensions for participantEffectiveGroupMeasure",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ResearchStudy: {
      description: "A process where a researcher or organization plans and then executes a series of steps intended to increase the field of healthcare-related knowledge.  This includes studies of safety, efficacy, comparative effectiveness and other information about medications, devices, therapies and other interventional and investigative techniques.  A ResearchStudy involves the gathering of information about human or animal subjects.",
      properties: {
        resourceType: {
          description: "This is a ResearchStudy resource",
          const: "ResearchStudy"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifiers assigned to this research study by the sponsor or other systems.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        title: {
          description: "A short, descriptive user-friendly label for the study.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        protocol: {
          description: "The set of steps expected to be performed as part of the execution of the study.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        partOf: {
          description: "A larger research study of which this particular study is a component or step.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "The current state of the study.",
          enum: [
            "active",
            "administratively-completed",
            "approved",
            "closed-to-accrual",
            "closed-to-accrual-and-intervention",
            "completed",
            "disapproved",
            "in-review",
            "temporarily-closed-to-accrual",
            "temporarily-closed-to-accrual-and-intervention",
            "withdrawn"
          ]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        primaryPurposeType: {
          description: "The type of study based upon the intent of the study's activities. A classification of the intent of the study.",
          $ref: "#/definitions/CodeableConcept"
        },
        phase: {
          description: "The stage in the progression of a therapy from initial experimental use in humans in clinical trials to post-market evaluation.",
          $ref: "#/definitions/CodeableConcept"
        },
        category: {
          description: "Codes categorizing the type of study such as investigational vs. observational, type of blinding, type of randomization, safety vs. efficacy, etc.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        focus: {
          description: "The medication(s), food(s), therapy(ies), device(s) or other concerns or interventions that the study is seeking to gain more information about.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        condition: {
          description: 'The condition that is the focus of the study.  For example, In a study to examine risk factors for Lupus, might have as an inclusion criterion "healthy volunteer", but the target condition code would be a Lupus SNOMED code.',
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        contact: {
          description: "Contact details to assist a user in learning more about or engaging with the study.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        relatedArtifact: {
          description: "Citations, references and other related documents.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        keyword: {
          description: "Key terms to aid in searching for or filtering the study.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        location: {
          description: "Indicates a country, state or other region where the study is taking place.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        description: {
          description: "A full description of how the study is being conducted.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        enrollment: {
          description: 'Reference to a Group that defines the criteria for and quantity of subjects participating in the study.  E.g. " 200 female Europeans between the ages of 20 and 45 with early onset diabetes".',
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        period: {
          description: "Identifies the start date and the expected (or actual, depending on status) end date for the study.",
          $ref: "#/definitions/Period"
        },
        sponsor: {
          description: "An organization that initiates the investigation and is legally responsible for the study.",
          $ref: "#/definitions/Reference"
        },
        principalInvestigator: {
          description: "A researcher in a study who oversees multiple aspects of the study, such as concept development, protocol writing, protocol submission for IRB approval, participant recruitment, informed consent, data collection, analysis, interpretation and presentation.",
          $ref: "#/definitions/Reference"
        },
        site: {
          description: "A facility in which study activities are conducted.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        reasonStopped: {
          description: "A description and/or code explaining the premature termination of the study.",
          $ref: "#/definitions/CodeableConcept"
        },
        note: {
          description: "Comments made about the study by the performer, subject or other participants.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        arm: {
          description: "Describes an expected sequence of events for one of the participants of a study.  E.g. Exposure to drug A, wash-out, exposure to drug B, wash-out, follow-up.",
          items: {
            $ref: "#/definitions/ResearchStudy_Arm"
          },
          type: "array"
        },
        objective: {
          description: "A goal that the study is aiming to achieve in terms of a scientific question to be answered by the analysis of data collected during the study.",
          items: {
            $ref: "#/definitions/ResearchStudy_Objective"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    ResearchStudy_Arm: {
      description: "A process where a researcher or organization plans and then executes a series of steps intended to increase the field of healthcare-related knowledge.  This includes studies of safety, efficacy, comparative effectiveness and other information about medications, devices, therapies and other interventional and investigative techniques.  A ResearchStudy involves the gathering of information about human or animal subjects.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "Unique, human-readable label for this arm of the study.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Categorization of study arm, e.g. experimental, active comparator, placebo comparater.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: "A succinct description of the path through the study that would be followed by a subject adhering to this arm.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ResearchStudy_Objective: {
      description: "A process where a researcher or organization plans and then executes a series of steps intended to increase the field of healthcare-related knowledge.  This includes studies of safety, efficacy, comparative effectiveness and other information about medications, devices, therapies and other interventional and investigative techniques.  A ResearchStudy involves the gathering of information about human or animal subjects.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "Unique, human-readable label for this objective of the study.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The kind of study objective.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    ResearchSubject: {
      description: "A physical entity which is the primary unit of operational and/or administrative interest in a study.",
      properties: {
        resourceType: {
          description: "This is a ResearchSubject resource",
          const: "ResearchSubject"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifiers assigned to this research subject for a study.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The current state of the subject.",
          enum: [
            "candidate",
            "eligible",
            "follow-up",
            "ineligible",
            "not-registered",
            "off-study",
            "on-study",
            "on-study-intervention",
            "on-study-observation",
            "pending-on-study",
            "potential-candidate",
            "screening",
            "withdrawn"
          ]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "The dates the subject began and ended their participation in the study.",
          $ref: "#/definitions/Period"
        },
        study: {
          description: "Reference to the study the subject is participating in.",
          $ref: "#/definitions/Reference"
        },
        individual: {
          description: "The record of the person or animal who is involved in the study.",
          $ref: "#/definitions/Reference"
        },
        assignedArm: {
          description: "The name of the arm in the study the subject is expected to follow as part of this study.",
          $ref: "#/definitions/string"
        },
        _assignedArm: {
          description: "Extensions for assignedArm",
          $ref: "#/definitions/Element"
        },
        actualArm: {
          description: "The name of the arm in the study the subject actually followed as part of this study.",
          $ref: "#/definitions/string"
        },
        _actualArm: {
          description: "Extensions for actualArm",
          $ref: "#/definitions/Element"
        },
        consent: {
          description: "A record of the patient's informed agreement to participate in the study.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["study", "individual", "resourceType"]
    },
    RiskAssessment: {
      description: "An assessment of the likely outcome(s) for a patient or other subject as well as the likelihood of each outcome.",
      properties: {
        resourceType: {
          description: "This is a RiskAssessment resource",
          const: "RiskAssessment"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifier assigned to the risk assessment.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        basedOn: {
          description: "A reference to the request that is fulfilled by this risk assessment.",
          $ref: "#/definitions/Reference"
        },
        parent: {
          description: "A reference to a resource that this risk assessment is part of, such as a Procedure.",
          $ref: "#/definitions/Reference"
        },
        status: {
          description: "The status of the RiskAssessment, using the same statuses as an Observation.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        method: {
          description: "The algorithm, process or mechanism used to evaluate the risk.",
          $ref: "#/definitions/CodeableConcept"
        },
        code: {
          description: "The type of the risk assessment performed.",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "The patient or group the risk assessment applies to.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The encounter where the assessment was performed.",
          $ref: "#/definitions/Reference"
        },
        occurrenceDateTime: {
          description: "The date (and possibly time) the risk assessment was performed.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _occurrenceDateTime: {
          description: "Extensions for occurrenceDateTime",
          $ref: "#/definitions/Element"
        },
        occurrencePeriod: {
          description: "The date (and possibly time) the risk assessment was performed.",
          $ref: "#/definitions/Period"
        },
        condition: {
          description: "For assessments or prognosis specific to a particular condition, indicates the condition being assessed.",
          $ref: "#/definitions/Reference"
        },
        performer: {
          description: "The provider or software application that performed the assessment.",
          $ref: "#/definitions/Reference"
        },
        reasonCode: {
          description: "The reason the risk assessment was performed.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Resources supporting the reason the risk assessment was performed.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        basis: {
          description: "Indicates the source data considered as part of the assessment (for example, FamilyHistory, Observations, Procedures, Conditions, etc.).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        prediction: {
          description: "Describes the expected outcome for the subject.",
          items: {
            $ref: "#/definitions/RiskAssessment_Prediction"
          },
          type: "array"
        },
        mitigation: {
          description: "A description of the steps that might be taken to reduce the identified risk(s).",
          $ref: "#/definitions/string"
        },
        _mitigation: {
          description: "Extensions for mitigation",
          $ref: "#/definitions/Element"
        },
        note: {
          description: "Additional comments about the risk assessment.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "resourceType"]
    },
    RiskAssessment_Prediction: {
      description: "An assessment of the likely outcome(s) for a patient or other subject as well as the likelihood of each outcome.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        outcome: {
          description: "One of the potential outcomes for the patient (e.g. remission, death,  a particular condition).",
          $ref: "#/definitions/CodeableConcept"
        },
        probabilityDecimal: {
          description: "Indicates how likely the outcome is (in the specified timeframe).",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _probabilityDecimal: {
          description: "Extensions for probabilityDecimal",
          $ref: "#/definitions/Element"
        },
        probabilityRange: {
          description: "Indicates how likely the outcome is (in the specified timeframe).",
          $ref: "#/definitions/Range"
        },
        qualitativeRisk: {
          description: "Indicates how likely the outcome is (in the specified timeframe), expressed as a qualitative value (e.g. low, medium, or high).",
          $ref: "#/definitions/CodeableConcept"
        },
        relativeRisk: {
          description: "Indicates the risk for this particular subject (with their specific characteristics) divided by the risk of the population in general.  (Numbers greater than 1 = higher risk than the population, numbers less than 1 = lower risk.).",
          $ref: "#/definitions/decimal"
        },
        _relativeRisk: {
          description: "Extensions for relativeRisk",
          $ref: "#/definitions/Element"
        },
        whenPeriod: {
          description: "Indicates the period of time or age range of the subject to which the specified probability applies.",
          $ref: "#/definitions/Period"
        },
        whenRange: {
          description: "Indicates the period of time or age range of the subject to which the specified probability applies.",
          $ref: "#/definitions/Range"
        },
        rationale: {
          description: "Additional information explaining the basis for the prediction.",
          $ref: "#/definitions/string"
        },
        _rationale: {
          description: "Extensions for rationale",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    RiskEvidenceSynthesis: {
      description: "The RiskEvidenceSynthesis resource describes the likelihood of an outcome in a population plus exposure state where the risk estimate is derived from a combination of research studies.",
      properties: {
        resourceType: {
          description: "This is a RiskEvidenceSynthesis resource",
          const: "RiskEvidenceSynthesis"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this risk evidence synthesis when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this risk evidence synthesis is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the risk evidence synthesis is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this risk evidence synthesis when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the risk evidence synthesis when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the risk evidence synthesis author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the risk evidence synthesis. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the risk evidence synthesis.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this risk evidence synthesis. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the risk evidence synthesis was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the risk evidence synthesis changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the risk evidence synthesis.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the risk evidence synthesis from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        note: {
          description: "A human-readable string to clarify or explain concepts about the resource.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate risk evidence synthesis instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the risk evidence synthesis is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        copyright: {
          description: "A copyright statement relating to the risk evidence synthesis and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the risk evidence synthesis.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        approvalDate: {
          description: "The date on which the resource content was approved by the publisher. Approval happens once when the content is officially approved for usage.",
          $ref: "#/definitions/date"
        },
        _approvalDate: {
          description: "Extensions for approvalDate",
          $ref: "#/definitions/Element"
        },
        lastReviewDate: {
          description: "The date on which the resource content was last reviewed. Review happens periodically after approval but does not change the original approval date.",
          $ref: "#/definitions/date"
        },
        _lastReviewDate: {
          description: "Extensions for lastReviewDate",
          $ref: "#/definitions/Element"
        },
        effectivePeriod: {
          description: "The period during which the risk evidence synthesis content was or is planned to be in active use.",
          $ref: "#/definitions/Period"
        },
        topic: {
          description: "Descriptive topics related to the content of the RiskEvidenceSynthesis. Topics provide a high-level categorization grouping types of EffectEvidenceSynthesiss that can be useful for filtering and searching.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        author: {
          description: "An individiual or organization primarily involved in the creation and maintenance of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        editor: {
          description: "An individual or organization primarily responsible for internal coherence of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        reviewer: {
          description: "An individual or organization primarily responsible for review of some aspect of the content.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        endorser: {
          description: "An individual or organization responsible for officially endorsing the content for use in some setting.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        relatedArtifact: {
          description: "Related artifacts such as additional documentation, justification, or bibliographic references.",
          items: {
            $ref: "#/definitions/RelatedArtifact"
          },
          type: "array"
        },
        synthesisType: {
          description: "Type of synthesis eg meta-analysis.",
          $ref: "#/definitions/CodeableConcept"
        },
        studyType: {
          description: "Type of study eg randomized trial.",
          $ref: "#/definitions/CodeableConcept"
        },
        population: {
          description: "A reference to a EvidenceVariable resource that defines the population for the research.",
          $ref: "#/definitions/Reference"
        },
        exposure: {
          description: "A reference to a EvidenceVariable resource that defines the exposure for the research.",
          $ref: "#/definitions/Reference"
        },
        outcome: {
          description: "A reference to a EvidenceVariable resomece that defines the outcome for the research.",
          $ref: "#/definitions/Reference"
        },
        sampleSize: {
          description: "A description of the size of the sample involved in the synthesis.",
          $ref: "#/definitions/RiskEvidenceSynthesis_SampleSize"
        },
        riskEstimate: {
          description: "The estimated risk of the outcome.",
          $ref: "#/definitions/RiskEvidenceSynthesis_RiskEstimate"
        },
        certainty: {
          description: "A description of the certainty of the risk estimate.",
          items: {
            $ref: "#/definitions/RiskEvidenceSynthesis_Certainty"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["outcome", "resourceType", "population"]
    },
    RiskEvidenceSynthesis_SampleSize: {
      description: "The RiskEvidenceSynthesis resource describes the likelihood of an outcome in a population plus exposure state where the risk estimate is derived from a combination of research studies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "Human-readable summary of sample size.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        numberOfStudies: {
          description: "Number of studies included in this evidence synthesis.",
          $ref: "#/definitions/integer"
        },
        _numberOfStudies: {
          description: "Extensions for numberOfStudies",
          $ref: "#/definitions/Element"
        },
        numberOfParticipants: {
          description: "Number of participants included in this evidence synthesis.",
          $ref: "#/definitions/integer"
        },
        _numberOfParticipants: {
          description: "Extensions for numberOfParticipants",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    RiskEvidenceSynthesis_RiskEstimate: {
      description: "The RiskEvidenceSynthesis resource describes the likelihood of an outcome in a population plus exposure state where the risk estimate is derived from a combination of research studies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "Human-readable summary of risk estimate.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Examples include proportion and mean.",
          $ref: "#/definitions/CodeableConcept"
        },
        value: {
          description: "The point estimate of the risk estimate.",
          $ref: "#/definitions/decimal"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        unitOfMeasure: {
          description: "Specifies the UCUM unit for the outcome.",
          $ref: "#/definitions/CodeableConcept"
        },
        denominatorCount: {
          description: "The sample size for the group that was measured for this risk estimate.",
          $ref: "#/definitions/integer"
        },
        _denominatorCount: {
          description: "Extensions for denominatorCount",
          $ref: "#/definitions/Element"
        },
        numeratorCount: {
          description: "The number of group members with the outcome of interest.",
          $ref: "#/definitions/integer"
        },
        _numeratorCount: {
          description: "Extensions for numeratorCount",
          $ref: "#/definitions/Element"
        },
        precisionEstimate: {
          description: "A description of the precision of the estimate for the effect.",
          items: {
            $ref: "#/definitions/RiskEvidenceSynthesis_PrecisionEstimate"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    RiskEvidenceSynthesis_PrecisionEstimate: {
      description: "The RiskEvidenceSynthesis resource describes the likelihood of an outcome in a population plus exposure state where the risk estimate is derived from a combination of research studies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Examples include confidence interval and interquartile range.",
          $ref: "#/definitions/CodeableConcept"
        },
        level: {
          description: "Use 95 for a 95% confidence interval.",
          $ref: "#/definitions/decimal"
        },
        _level: {
          description: "Extensions for level",
          $ref: "#/definitions/Element"
        },
        from: {
          description: "Lower bound of confidence interval.",
          $ref: "#/definitions/decimal"
        },
        _from: {
          description: "Extensions for from",
          $ref: "#/definitions/Element"
        },
        to: {
          description: "Upper bound of confidence interval.",
          $ref: "#/definitions/decimal"
        },
        _to: {
          description: "Extensions for to",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    RiskEvidenceSynthesis_Certainty: {
      description: "The RiskEvidenceSynthesis resource describes the likelihood of an outcome in a population plus exposure state where the risk estimate is derived from a combination of research studies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        rating: {
          description: "A rating of the certainty of the effect estimate.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        note: {
          description: "A human-readable string to clarify or explain concepts about the resource.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        certaintySubcomponent: {
          description: "A description of a component of the overall certainty.",
          items: {
            $ref: "#/definitions/RiskEvidenceSynthesis_CertaintySubcomponent"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    RiskEvidenceSynthesis_CertaintySubcomponent: {
      description: "The RiskEvidenceSynthesis resource describes the likelihood of an outcome in a population plus exposure state where the risk estimate is derived from a combination of research studies.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Type of subcomponent of certainty rating.",
          $ref: "#/definitions/CodeableConcept"
        },
        rating: {
          description: "A rating of a subcomponent of rating certainty.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        note: {
          description: "A human-readable string to clarify or explain concepts about the resource.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Schedule: {
      description: "A container for slots of time that may be available for booking appointments.",
      properties: {
        resourceType: {
          description: "This is a Schedule resource",
          const: "Schedule"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "External Ids for this item.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        active: {
          description: "Whether this schedule record is in active use or should not be used (such as was entered in error).",
          $ref: "#/definitions/boolean"
        },
        _active: {
          description: "Extensions for active",
          $ref: "#/definitions/Element"
        },
        serviceCategory: {
          description: "A broad categorization of the service that is to be performed during this appointment.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        serviceType: {
          description: "The specific service that is to be performed during this appointment.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        specialty: {
          description: "The specialty of a practitioner that would be required to perform the service requested in this appointment.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        actor: {
          description: "Slots that reference this schedule resource provide the availability details to these referenced resource(s).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        planningHorizon: {
          description: `The period of time that the slots that reference this Schedule resource cover (even if none exist). These  cover the amount of time that an organization's planning horizon; the interval for which they are currently accepting appointments. This does not define a "template" for planning outside these dates.`,
          $ref: "#/definitions/Period"
        },
        comment: {
          description: "Comments on the availability to describe any extended information. Such as custom constraints on the slots that may be associated.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["actor", "resourceType"]
    },
    SearchParameter: {
      description: "A search parameter that defines a named search item that can be used to search/filter on a resource.",
      properties: {
        resourceType: {
          description: "This is a SearchParameter resource",
          const: "SearchParameter"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this search parameter when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this search parameter is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the search parameter is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The identifier that is used to identify this version of the search parameter when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the search parameter author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the search parameter. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        derivedFrom: {
          description: "Where this search parameter is originally defined. If a derivedFrom is provided, then the details in the search parameter must be consistent with the definition from which it is defined. i.e. the parameter should have the same meaning, and (usually) the functionality should be a proper subset of the underlying search parameter.",
          $ref: "#/definitions/canonical"
        },
        status: {
          description: "The status of this search parameter. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this search parameter is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the search parameter was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the search parameter changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the search parameter.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "And how it used.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate search parameter instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the search parameter is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this search parameter is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "The code used in the URL or the parameter name in a parameters resource for this search parameter.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        base: {
          description: "The base resource type(s) that this search parameter can be used against.",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _base: {
          description: "Extensions for base",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        type: {
          description: "The type of value that a search parameter may contain, and how the content is interpreted.",
          enum: ["number", "date", "string", "token", "reference", "composite", "quantity", "uri", "special"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        expression: {
          description: "A FHIRPath expression that returns a set of elements for the search parameter.",
          $ref: "#/definitions/string"
        },
        _expression: {
          description: "Extensions for expression",
          $ref: "#/definitions/Element"
        },
        xpath: {
          description: "An XPath expression that returns a set of elements for the search parameter.",
          $ref: "#/definitions/string"
        },
        _xpath: {
          description: "Extensions for xpath",
          $ref: "#/definitions/Element"
        },
        xpathUsage: {
          description: "How the search parameter relates to the set of elements returned by evaluating the xpath query.",
          enum: ["normal", "phonetic", "nearby", "distance", "other"]
        },
        _xpathUsage: {
          description: "Extensions for xpathUsage",
          $ref: "#/definitions/Element"
        },
        target: {
          description: "Types of resource (if a resource is referenced).",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _target: {
          description: "Extensions for target",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        multipleOr: {
          description: "Whether multiple values are allowed for each time the parameter exists. Values are separated by commas, and the parameter matches if any of the values match.",
          $ref: "#/definitions/boolean"
        },
        _multipleOr: {
          description: "Extensions for multipleOr",
          $ref: "#/definitions/Element"
        },
        multipleAnd: {
          description: "Whether multiple parameters are allowed - e.g. more than one parameter with the same name. The search matches if all the parameters match.",
          $ref: "#/definitions/boolean"
        },
        _multipleAnd: {
          description: "Extensions for multipleAnd",
          $ref: "#/definitions/Element"
        },
        comparator: {
          description: "Comparators supported for the search parameter.",
          items: {
            enum: ["eq", "ne", "gt", "lt", "ge", "le", "sa", "eb", "ap"]
          },
          type: "array"
        },
        _comparator: {
          description: "Extensions for comparator",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        modifier: {
          description: "A modifier supported for the search parameter.",
          items: {
            enum: [
              "missing",
              "exact",
              "contains",
              "not",
              "text",
              "in",
              "not-in",
              "below",
              "above",
              "type",
              "identifier",
              "ofType"
            ]
          },
          type: "array"
        },
        _modifier: {
          description: "Extensions for modifier",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        chain: {
          description: "Contains the names of any search parameters which may be chained to the containing search parameter. Chained parameters may be added to search parameters of type reference and specify that resources will only be returned if they contain a reference to a resource which matches the chained parameter value. Values for this field should be drawn from SearchParameter.code for a parameter on the target resource type.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _chain: {
          description: "Extensions for chain",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        component: {
          description: "Used to define the parts of a composite search parameter.",
          items: {
            $ref: "#/definitions/SearchParameter_Component"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    SearchParameter_Component: {
      description: "A search parameter that defines a named search item that can be used to search/filter on a resource.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        definition: {
          description: "The definition of the search parameter that describes this part.",
          $ref: "#/definitions/canonical"
        },
        expression: {
          description: "A sub-expression that defines how to extract values for this component from the output of the main SearchParameter.expression.",
          $ref: "#/definitions/string"
        },
        _expression: {
          description: "Extensions for expression",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["definition"]
    },
    ServiceRequest: {
      description: "A record of a request for service such as diagnostic investigations, treatments, or operations to be performed.",
      properties: {
        resourceType: {
          description: "This is a ServiceRequest resource",
          const: "ServiceRequest"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifiers assigned to this order instance by the orderer and/or the receiver and/or order fulfiller.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        instantiatesCanonical: {
          description: "The URL pointing to a FHIR-defined protocol, guideline, orderset or other definition that is adhered to in whole or in part by this ServiceRequest.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        instantiatesUri: {
          description: "The URL pointing to an externally maintained protocol, guideline, orderset or other definition that is adhered to in whole or in part by this ServiceRequest.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _instantiatesUri: {
          description: "Extensions for instantiatesUri",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        basedOn: {
          description: "Plan/proposal/order fulfilled by this request.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        replaces: {
          description: "The request takes the place of the referenced completed or terminated request(s).",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        requisition: {
          description: "A shared identifier common to all service requests that were authorized more or less simultaneously by a single author, representing the composite or group identifier.",
          $ref: "#/definitions/Identifier"
        },
        status: {
          description: "The status of the order.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        intent: {
          description: "Whether the request is a proposal, plan, an original order or a reflex order.",
          $ref: "#/definitions/code"
        },
        _intent: {
          description: "Extensions for intent",
          $ref: "#/definitions/Element"
        },
        category: {
          description: 'A code that classifies the service for searching, sorting and display purposes (e.g. "Surgical Procedure").',
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        priority: {
          description: "Indicates how quickly the ServiceRequest should be addressed with respect to other requests.",
          $ref: "#/definitions/code"
        },
        _priority: {
          description: "Extensions for priority",
          $ref: "#/definitions/Element"
        },
        doNotPerform: {
          description: "Set this to true if the record is saying that the service/procedure should NOT be performed.",
          $ref: "#/definitions/boolean"
        },
        _doNotPerform: {
          description: "Extensions for doNotPerform",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A code that identifies a particular service (i.e., procedure, diagnostic investigation, or panel of investigations) that have been requested.",
          $ref: "#/definitions/CodeableConcept"
        },
        orderDetail: {
          description: "Additional details and instructions about the how the services are to be delivered.   For example, and order for a urinary catheter may have an order detail for an external or indwelling catheter, or an order for a bandage may require additional instructions specifying how the bandage should be applied.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        quantityQuantity: {
          description: "An amount of service being requested which can be a quantity ( for example $1,500 home modification), a ratio ( for example, 20 half day visits per month), or a range (2.0 to 1.8 Gy per fraction).",
          $ref: "#/definitions/Quantity"
        },
        quantityRatio: {
          description: "An amount of service being requested which can be a quantity ( for example $1,500 home modification), a ratio ( for example, 20 half day visits per month), or a range (2.0 to 1.8 Gy per fraction).",
          $ref: "#/definitions/Ratio"
        },
        quantityRange: {
          description: "An amount of service being requested which can be a quantity ( for example $1,500 home modification), a ratio ( for example, 20 half day visits per month), or a range (2.0 to 1.8 Gy per fraction).",
          $ref: "#/definitions/Range"
        },
        subject: {
          description: "On whom or what the service is to be performed. This is usually a human patient, but can also be requested on animals, groups of humans or animals, devices such as dialysis machines, or even locations (typically for environmental scans).",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "An encounter that provides additional information about the healthcare context in which this request is made.",
          $ref: "#/definitions/Reference"
        },
        occurrenceDateTime: {
          description: "The date/time at which the requested service should occur.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _occurrenceDateTime: {
          description: "Extensions for occurrenceDateTime",
          $ref: "#/definitions/Element"
        },
        occurrencePeriod: {
          description: "The date/time at which the requested service should occur.",
          $ref: "#/definitions/Period"
        },
        occurrenceTiming: {
          description: "The date/time at which the requested service should occur.",
          $ref: "#/definitions/Timing"
        },
        asNeededBoolean: {
          description: 'If a CodeableConcept is present, it indicates the pre-condition for performing the service.  For example "pain", "on flare-up", etc.',
          pattern: "^true|false$",
          type: "boolean"
        },
        _asNeededBoolean: {
          description: "Extensions for asNeededBoolean",
          $ref: "#/definitions/Element"
        },
        asNeededCodeableConcept: {
          description: 'If a CodeableConcept is present, it indicates the pre-condition for performing the service.  For example "pain", "on flare-up", etc.',
          $ref: "#/definitions/CodeableConcept"
        },
        authoredOn: {
          description: "When the request transitioned to being actionable.",
          $ref: "#/definitions/dateTime"
        },
        _authoredOn: {
          description: "Extensions for authoredOn",
          $ref: "#/definitions/Element"
        },
        requester: {
          description: "The individual who initiated the request and has responsibility for its activation.",
          $ref: "#/definitions/Reference"
        },
        performerType: {
          description: "Desired type of performer for doing the requested service.",
          $ref: "#/definitions/CodeableConcept"
        },
        performer: {
          description: "The desired performer for doing the requested service.  For example, the surgeon, dermatopathologist, endoscopist, etc.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        locationCode: {
          description: "The preferred location(s) where the procedure should actually happen in coded or free text form. E.g. at home or nursing day care center.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        locationReference: {
          description: "A reference to the the preferred location(s) where the procedure should actually happen. E.g. at home or nursing day care center.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        reasonCode: {
          description: "An explanation or justification for why this service is being requested in coded or textual form.   This is often for billing purposes.  May relate to the resources referred to in `supportingInfo`.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "Indicates another resource that provides a justification for why this service is being requested.   May relate to the resources referred to in `supportingInfo`.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        insurance: {
          description: "Insurance plans, coverage extensions, pre-authorizations and/or pre-determinations that may be needed for delivering the requested service.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        supportingInfo: {
          description: 'Additional clinical information about the patient or specimen that may influence the services or their interpretations.     This information includes diagnosis, clinical findings and other observations.  In laboratory ordering these are typically referred to as "ask at order entry questions (AOEs)".  This includes observations explicitly requested by the producer (filler) to provide context or supporting information needed to complete the order. For example,  reporting the amount of inspired oxygen for blood gas measurements.',
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        specimen: {
          description: "One or more specimens that the laboratory procedure will use.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        bodySite: {
          description: "Anatomic location where the procedure should be performed. This is the target site.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        note: {
          description: "Any other notes and comments made about the service request. For example, internal billing notes.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        patientInstruction: {
          description: "Instructions in terms that are understood by the patient or consumer.",
          $ref: "#/definitions/string"
        },
        _patientInstruction: {
          description: "Extensions for patientInstruction",
          $ref: "#/definitions/Element"
        },
        relevantHistory: {
          description: "Key events in the history of the request.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["subject", "resourceType"]
    },
    Slot: {
      description: "A slot of time on a schedule that may be available for booking appointments.",
      properties: {
        resourceType: {
          description: "This is a Slot resource",
          const: "Slot"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "External Ids for this item.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        serviceCategory: {
          description: "A broad categorization of the service that is to be performed during this appointment.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        serviceType: {
          description: "The type of appointments that can be booked into this slot (ideally this would be an identifiable service - which is at a location, rather than the location itself). If provided then this overrides the value provided on the availability resource.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        specialty: {
          description: "The specialty of a practitioner that would be required to perform the service requested in this appointment.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        appointmentType: {
          description: "The style of appointment or patient that may be booked in the slot (not service type).",
          $ref: "#/definitions/CodeableConcept"
        },
        schedule: {
          description: "The schedule resource that this slot defines an interval of status information.",
          $ref: "#/definitions/Reference"
        },
        status: {
          description: "busy | free | busy-unavailable | busy-tentative | entered-in-error.",
          enum: ["busy", "free", "busy-unavailable", "busy-tentative", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        start: {
          description: "Date/Time that the slot is to begin.",
          $ref: "#/definitions/instant"
        },
        _start: {
          description: "Extensions for start",
          $ref: "#/definitions/Element"
        },
        end: {
          description: "Date/Time that the slot is to conclude.",
          $ref: "#/definitions/instant"
        },
        _end: {
          description: "Extensions for end",
          $ref: "#/definitions/Element"
        },
        overbooked: {
          description: "This slot has already been overbooked, appointments are unlikely to be accepted for this time.",
          $ref: "#/definitions/boolean"
        },
        _overbooked: {
          description: "Extensions for overbooked",
          $ref: "#/definitions/Element"
        },
        comment: {
          description: "Comments on the slot to describe any extended information. Such as custom constraints on the slot.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["schedule", "resourceType"]
    },
    Specimen: {
      description: "A sample to be used for analysis.",
      properties: {
        resourceType: {
          description: "This is a Specimen resource",
          const: "Specimen"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Id for specimen.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        accessionIdentifier: {
          description: "The identifier assigned by the lab when accessioning specimen(s). This is not necessarily the same as the specimen identifier, depending on local lab procedures.",
          $ref: "#/definitions/Identifier"
        },
        status: {
          description: "The availability of the specimen.",
          enum: ["available", "unavailable", "unsatisfactory", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The kind of material that forms the specimen.",
          $ref: "#/definitions/CodeableConcept"
        },
        subject: {
          description: "Where the specimen came from. This may be from patient(s), from a location (e.g., the source of an environmental sample), or a sampling of a substance or a device.",
          $ref: "#/definitions/Reference"
        },
        receivedTime: {
          description: "Time when specimen was received for processing or testing.",
          $ref: "#/definitions/dateTime"
        },
        _receivedTime: {
          description: "Extensions for receivedTime",
          $ref: "#/definitions/Element"
        },
        parent: {
          description: "Reference to the parent (source) specimen which is used when the specimen was either derived from or a component of another specimen.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        request: {
          description: "Details concerning a service request that required a specimen to be collected.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        collection: {
          description: "Details concerning the specimen collection.",
          $ref: "#/definitions/Specimen_Collection"
        },
        processing: {
          description: "Details concerning processing and processing steps for the specimen.",
          items: {
            $ref: "#/definitions/Specimen_Processing"
          },
          type: "array"
        },
        container: {
          description: "The container holding the specimen.  The recursive nature of containers; i.e. blood in tube in tray in rack is not addressed here.",
          items: {
            $ref: "#/definitions/Specimen_Container"
          },
          type: "array"
        },
        condition: {
          description: "A mode or state of being that describes the nature of the specimen.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        note: {
          description: "To communicate any details or issues about the specimen or during the specimen collection. (for example: broken vial, sent with patient, frozen).",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Specimen_Collection: {
      description: "A sample to be used for analysis.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        collector: {
          description: "Person who collected the specimen.",
          $ref: "#/definitions/Reference"
        },
        collectedDateTime: {
          description: "Time when specimen was collected from subject - the physiologically relevant time.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _collectedDateTime: {
          description: "Extensions for collectedDateTime",
          $ref: "#/definitions/Element"
        },
        collectedPeriod: {
          description: "Time when specimen was collected from subject - the physiologically relevant time.",
          $ref: "#/definitions/Period"
        },
        duration: {
          description: "The span of time over which the collection of a specimen occurred.",
          $ref: "#/definitions/Duration"
        },
        quantity: {
          description: "The quantity of specimen collected; for instance the volume of a blood sample, or the physical measurement of an anatomic pathology sample.",
          $ref: "#/definitions/Quantity"
        },
        method: {
          description: "A coded value specifying the technique that is used to perform the procedure.",
          $ref: "#/definitions/CodeableConcept"
        },
        bodySite: {
          description: "Anatomical location from which the specimen was collected (if subject is a patient). This is the target site.  This element is not used for environmental specimens.",
          $ref: "#/definitions/CodeableConcept"
        },
        fastingStatusCodeableConcept: {
          description: "Abstinence or reduction from some or all food, drink, or both, for a period of time prior to sample collection.",
          $ref: "#/definitions/CodeableConcept"
        },
        fastingStatusDuration: {
          description: "Abstinence or reduction from some or all food, drink, or both, for a period of time prior to sample collection.",
          $ref: "#/definitions/Duration"
        }
      },
      additionalProperties: false
    },
    Specimen_Processing: {
      description: "A sample to be used for analysis.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "Textual description of procedure.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        procedure: {
          description: "A coded value specifying the procedure used to process the specimen.",
          $ref: "#/definitions/CodeableConcept"
        },
        additive: {
          description: "Material used in the processing step.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        timeDateTime: {
          description: "A record of the time or period when the specimen processing occurred.  For example the time of sample fixation or the period of time the sample was in formalin.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _timeDateTime: {
          description: "Extensions for timeDateTime",
          $ref: "#/definitions/Element"
        },
        timePeriod: {
          description: "A record of the time or period when the specimen processing occurred.  For example the time of sample fixation or the period of time the sample was in formalin.",
          $ref: "#/definitions/Period"
        }
      },
      additionalProperties: false
    },
    Specimen_Container: {
      description: "A sample to be used for analysis.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Id for container. There may be multiple; a manufacturer's bar code, lab assigned identifier, etc. The container ID may differ from the specimen id in some circumstances.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        description: {
          description: "Textual description of the container.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The type of container associated with the specimen (e.g. slide, aliquot, etc.).",
          $ref: "#/definitions/CodeableConcept"
        },
        capacity: {
          description: "The capacity (volume or other measure) the container may contain.",
          $ref: "#/definitions/Quantity"
        },
        specimenQuantity: {
          description: "The quantity of specimen in the container; may be volume, dimensions, or other appropriate measurements, depending on the specimen type.",
          $ref: "#/definitions/Quantity"
        },
        additiveCodeableConcept: {
          description: "Introduced substance to preserve, maintain or enhance the specimen. Examples: Formalin, Citrate, EDTA.",
          $ref: "#/definitions/CodeableConcept"
        },
        additiveReference: {
          description: "Introduced substance to preserve, maintain or enhance the specimen. Examples: Formalin, Citrate, EDTA.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    SpecimenDefinition: {
      description: "A kind of specimen with associated set of requirements.",
      properties: {
        resourceType: {
          description: "This is a SpecimenDefinition resource",
          const: "SpecimenDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A business identifier associated with the kind of specimen.",
          $ref: "#/definitions/Identifier"
        },
        typeCollected: {
          description: "The kind of material to be collected.",
          $ref: "#/definitions/CodeableConcept"
        },
        patientPreparation: {
          description: "Preparation of the patient for specimen collection.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        timeAspect: {
          description: "Time aspect of specimen collection (duration or offset).",
          $ref: "#/definitions/string"
        },
        _timeAspect: {
          description: "Extensions for timeAspect",
          $ref: "#/definitions/Element"
        },
        collection: {
          description: "The action to be performed for collecting the specimen.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        typeTested: {
          description: "Specimen conditioned in a container as expected by the testing laboratory.",
          items: {
            $ref: "#/definitions/SpecimenDefinition_TypeTested"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    SpecimenDefinition_TypeTested: {
      description: "A kind of specimen with associated set of requirements.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        isDerived: {
          description: "Primary of secondary specimen.",
          $ref: "#/definitions/boolean"
        },
        _isDerived: {
          description: "Extensions for isDerived",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "The kind of specimen conditioned for testing expected by lab.",
          $ref: "#/definitions/CodeableConcept"
        },
        preference: {
          description: "The preference for this type of conditioned specimen.",
          enum: ["preferred", "alternate"]
        },
        _preference: {
          description: "Extensions for preference",
          $ref: "#/definitions/Element"
        },
        container: {
          description: "The specimen's container.",
          $ref: "#/definitions/SpecimenDefinition_Container"
        },
        requirement: {
          description: "Requirements for delivery and special handling of this kind of conditioned specimen.",
          $ref: "#/definitions/string"
        },
        _requirement: {
          description: "Extensions for requirement",
          $ref: "#/definitions/Element"
        },
        retentionTime: {
          description: "The usual time that a specimen of this kind is retained after the ordered tests are completed, for the purpose of additional testing.",
          $ref: "#/definitions/Duration"
        },
        rejectionCriterion: {
          description: "Criterion for rejection of the specimen in its container by the laboratory.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        handling: {
          description: "Set of instructions for preservation/transport of the specimen at a defined temperature interval, prior the testing process.",
          items: {
            $ref: "#/definitions/SpecimenDefinition_Handling"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    SpecimenDefinition_Container: {
      description: "A kind of specimen with associated set of requirements.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        material: {
          description: "The type of material of the container.",
          $ref: "#/definitions/CodeableConcept"
        },
        type: {
          description: "The type of container used to contain this kind of specimen.",
          $ref: "#/definitions/CodeableConcept"
        },
        cap: {
          description: "Color of container cap.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: "The textual description of the kind of container.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        capacity: {
          description: "The capacity (volume or other measure) of this kind of container.",
          $ref: "#/definitions/Quantity"
        },
        minimumVolumeQuantity: {
          description: "The minimum volume to be conditioned in the container.",
          $ref: "#/definitions/Quantity"
        },
        minimumVolumeString: {
          description: "The minimum volume to be conditioned in the container.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _minimumVolumeString: {
          description: "Extensions for minimumVolumeString",
          $ref: "#/definitions/Element"
        },
        additive: {
          description: "Substance introduced in the kind of container to preserve, maintain or enhance the specimen. Examples: Formalin, Citrate, EDTA.",
          items: {
            $ref: "#/definitions/SpecimenDefinition_Additive"
          },
          type: "array"
        },
        preparation: {
          description: "Special processing that should be applied to the container for this kind of specimen.",
          $ref: "#/definitions/string"
        },
        _preparation: {
          description: "Extensions for preparation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    SpecimenDefinition_Additive: {
      description: "A kind of specimen with associated set of requirements.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        additiveCodeableConcept: {
          description: "Substance introduced in the kind of container to preserve, maintain or enhance the specimen. Examples: Formalin, Citrate, EDTA.",
          $ref: "#/definitions/CodeableConcept"
        },
        additiveReference: {
          description: "Substance introduced in the kind of container to preserve, maintain or enhance the specimen. Examples: Formalin, Citrate, EDTA.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    SpecimenDefinition_Handling: {
      description: "A kind of specimen with associated set of requirements.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        temperatureQualifier: {
          description: "It qualifies the interval of temperature, which characterizes an occurrence of handling. Conditions that are not related to temperature may be handled in the instruction element.",
          $ref: "#/definitions/CodeableConcept"
        },
        temperatureRange: {
          description: "The temperature interval for this set of handling instructions.",
          $ref: "#/definitions/Range"
        },
        maxDuration: {
          description: "The maximum time interval of preservation of the specimen with these conditions.",
          $ref: "#/definitions/Duration"
        },
        instruction: {
          description: "Additional textual instructions for the preservation or transport of the specimen. For instance, 'Protect from light exposure'.",
          $ref: "#/definitions/string"
        },
        _instruction: {
          description: "Extensions for instruction",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    StructureDefinition: {
      description: "A definition of a FHIR structure. This resource is used to describe the underlying resources, data types defined in FHIR, and also for describing extensions and constraints on resources and data types.",
      properties: {
        resourceType: {
          description: "This is a StructureDefinition resource",
          const: "StructureDefinition"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this structure definition when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this structure definition is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the structure definition is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this structure definition when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the structure definition when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the structure definition author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the structure definition. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the structure definition.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this structure definition. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this structure definition is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the structure definition was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the structure definition changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the structure definition.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the structure definition from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate structure definition instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the structure definition is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this structure definition is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the structure definition and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the structure definition.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        keyword: {
          description: "A set of key words or terms from external terminologies that may be used to assist with indexing and searching of templates nby describing the use of this structure definition, or the content it describes.",
          items: {
            $ref: "#/definitions/Coding"
          },
          type: "array"
        },
        fhirVersion: {
          description: "The version of the FHIR specification on which this StructureDefinition is based - this is the formal version of the specification, without the revision number, e.g. [publication].[major].[minor], which is 4.0.1. for this version.",
          enum: [
            "0.01",
            "0.05",
            "0.06",
            "0.11",
            "0.0.80",
            "0.0.81",
            "0.0.82",
            "0.4.0",
            "0.5.0",
            "1.0.0",
            "1.0.1",
            "1.0.2",
            "1.1.0",
            "1.4.0",
            "1.6.0",
            "1.8.0",
            "3.0.0",
            "3.0.1",
            "3.3.0",
            "3.5.0",
            "4.0.0",
            "4.0.1"
          ]
        },
        _fhirVersion: {
          description: "Extensions for fhirVersion",
          $ref: "#/definitions/Element"
        },
        mapping: {
          description: "An external specification that the content is mapped to.",
          items: {
            $ref: "#/definitions/StructureDefinition_Mapping"
          },
          type: "array"
        },
        kind: {
          description: "Defines the kind of structure that this definition is describing.",
          enum: ["primitive-type", "complex-type", "resource", "logical"]
        },
        _kind: {
          description: "Extensions for kind",
          $ref: "#/definitions/Element"
        },
        abstract: {
          description: "Whether structure this definition describes is abstract or not  - that is, whether the structure is not intended to be instantiated. For Resources and Data types, abstract types will never be exchanged  between systems.",
          $ref: "#/definitions/boolean"
        },
        _abstract: {
          description: "Extensions for abstract",
          $ref: "#/definitions/Element"
        },
        context: {
          description: "Identifies the types of resource or data type elements to which the extension can be applied.",
          items: {
            $ref: "#/definitions/StructureDefinition_Context"
          },
          type: "array"
        },
        contextInvariant: {
          description: "A set of rules as FHIRPath Invariants about when the extension can be used (e.g. co-occurrence variants for the extension). All the rules must be true.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _contextInvariant: {
          description: "Extensions for contextInvariant",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        type: {
          description: `The type this structure describes. If the derivation kind is 'specialization' then this is the master definition for a type, and there is always one of these (a data type, an extension, a resource, including abstract ones). Otherwise the structure definition is a constraint on the stated type (and in this case, the type cannot be an abstract type).  References are URLs that are relative to http://hl7.org/fhir/StructureDefinition e.g. "string" is a reference to http://hl7.org/fhir/StructureDefinition/string. Absolute URLs are only allowed in logical models.`,
          $ref: "#/definitions/uri"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        baseDefinition: {
          description: "An absolute URI that is the base structure from which this type is derived, either by specialization or constraint.",
          $ref: "#/definitions/canonical"
        },
        derivation: {
          description: "How the type relates to the baseDefinition.",
          enum: ["specialization", "constraint"]
        },
        _derivation: {
          description: "Extensions for derivation",
          $ref: "#/definitions/Element"
        },
        snapshot: {
          description: "A snapshot view is expressed in a standalone form that can be used and interpreted without considering the base StructureDefinition.",
          $ref: "#/definitions/StructureDefinition_Snapshot"
        },
        differential: {
          description: "A differential view is expressed relative to the base StructureDefinition - a statement of differences that it applies.",
          $ref: "#/definitions/StructureDefinition_Differential"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    StructureDefinition_Mapping: {
      description: "A definition of a FHIR structure. This resource is used to describe the underlying resources, data types defined in FHIR, and also for describing extensions and constraints on resources and data types.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identity: {
          description: "An Internal id that is used to identify this mapping set when specific mappings are made.",
          $ref: "#/definitions/id"
        },
        _identity: {
          description: "Extensions for identity",
          $ref: "#/definitions/Element"
        },
        uri: {
          description: "An absolute URI that identifies the specification that this mapping is expressed to.",
          $ref: "#/definitions/uri"
        },
        _uri: {
          description: "Extensions for uri",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A name for the specification that is being mapped to.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        comment: {
          description: "Comments about this mapping, including version notes, issues, scope limitations, and other important notes for usage.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    StructureDefinition_Context: {
      description: "A definition of a FHIR structure. This resource is used to describe the underlying resources, data types defined in FHIR, and also for describing extensions and constraints on resources and data types.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Defines how to interpret the expression that defines what the context of the extension is.",
          enum: ["fhirpath", "element", "extension"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        expression: {
          description: "An expression that defines where an extension can be used in resources.",
          $ref: "#/definitions/string"
        },
        _expression: {
          description: "Extensions for expression",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    StructureDefinition_Snapshot: {
      description: "A definition of a FHIR structure. This resource is used to describe the underlying resources, data types defined in FHIR, and also for describing extensions and constraints on resources and data types.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        element: {
          description: "Captures constraints on each element within the resource.",
          items: {
            $ref: "#/definitions/ElementDefinition"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["element"]
    },
    StructureDefinition_Differential: {
      description: "A definition of a FHIR structure. This resource is used to describe the underlying resources, data types defined in FHIR, and also for describing extensions and constraints on resources and data types.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        element: {
          description: "Captures constraints on each element within the resource.",
          items: {
            $ref: "#/definitions/ElementDefinition"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["element"]
    },
    StructureMap: {
      description: "A Map of relationships between 2 structures that can be used to transform data.",
      properties: {
        resourceType: {
          description: "This is a StructureMap resource",
          const: "StructureMap"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this structure map when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this structure map is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the structure map is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this structure map when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the structure map when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the structure map author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the structure map. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the structure map.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this structure map. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this structure map is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the structure map was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the structure map changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the structure map.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the structure map from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate structure map instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the structure map is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this structure map is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the structure map and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the structure map.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        structure: {
          description: "A structure definition used by this map. The structure definition may describe instances that are converted, or the instances that are produced.",
          items: {
            $ref: "#/definitions/StructureMap_Structure"
          },
          type: "array"
        },
        import: {
          description: "Other maps used by this map (canonical URLs).",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        },
        group: {
          description: "Organizes the mapping into manageable chunks for human review/ease of maintenance.",
          items: {
            $ref: "#/definitions/StructureMap_Group"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType", "group"]
    },
    StructureMap_Structure: {
      description: "A Map of relationships between 2 structures that can be used to transform data.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "The canonical reference to the structure.",
          $ref: "#/definitions/canonical"
        },
        mode: {
          description: "How the referenced structure is used in this mapping.",
          enum: ["source", "queried", "target", "produced"]
        },
        _mode: {
          description: "Extensions for mode",
          $ref: "#/definitions/Element"
        },
        alias: {
          description: "The name used for this type in the map.",
          $ref: "#/definitions/string"
        },
        _alias: {
          description: "Extensions for alias",
          $ref: "#/definitions/Element"
        },
        documentation: {
          description: "Documentation that describes how the structure is used in the mapping.",
          $ref: "#/definitions/string"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["url"]
    },
    StructureMap_Group: {
      description: "A Map of relationships between 2 structures that can be used to transform data.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "A unique name for the group for the convenience of human readers.",
          $ref: "#/definitions/id"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        extends: {
          description: "Another group that this group adds rules to.",
          $ref: "#/definitions/id"
        },
        _extends: {
          description: "Extensions for extends",
          $ref: "#/definitions/Element"
        },
        typeMode: {
          description: "If this is the default rule set to apply for the source type or this combination of types.",
          enum: ["none", "types", "type-and-types"]
        },
        _typeMode: {
          description: "Extensions for typeMode",
          $ref: "#/definitions/Element"
        },
        documentation: {
          description: "Additional supporting documentation that explains the purpose of the group and the types of mappings within it.",
          $ref: "#/definitions/string"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        },
        input: {
          description: "A name assigned to an instance of data. The instance must be provided when the mapping is invoked.",
          items: {
            $ref: "#/definitions/StructureMap_Input"
          },
          type: "array"
        },
        rule: {
          description: "Transform Rule from source to target.",
          items: {
            $ref: "#/definitions/StructureMap_Rule"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["input", "rule"]
    },
    StructureMap_Input: {
      description: "A Map of relationships between 2 structures that can be used to transform data.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "Name for this instance of data.",
          $ref: "#/definitions/id"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Type for this instance of data.",
          $ref: "#/definitions/string"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        mode: {
          description: "Mode for this instance of data.",
          enum: ["source", "target"]
        },
        _mode: {
          description: "Extensions for mode",
          $ref: "#/definitions/Element"
        },
        documentation: {
          description: "Documentation for this instance of data.",
          $ref: "#/definitions/string"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    StructureMap_Rule: {
      description: "A Map of relationships between 2 structures that can be used to transform data.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "Name of the rule for internal references.",
          $ref: "#/definitions/id"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        source: {
          description: "Source inputs to the mapping.",
          items: {
            $ref: "#/definitions/StructureMap_Source"
          },
          type: "array"
        },
        target: {
          description: "Content to create because of this mapping rule.",
          items: {
            $ref: "#/definitions/StructureMap_Target"
          },
          type: "array"
        },
        rule: {
          description: "Rules contained in this rule.",
          items: {
            $ref: "#/definitions/StructureMap_Rule"
          },
          type: "array"
        },
        dependent: {
          description: "Which other rules to apply in the context of this rule.",
          items: {
            $ref: "#/definitions/StructureMap_Dependent"
          },
          type: "array"
        },
        documentation: {
          description: "Documentation for this instance of data.",
          $ref: "#/definitions/string"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false,
      required: ["source"]
    },
    StructureMap_Source: {
      description: "A Map of relationships between 2 structures that can be used to transform data.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        context: {
          description: "Type or variable this rule applies to.",
          $ref: "#/definitions/id"
        },
        _context: {
          description: "Extensions for context",
          $ref: "#/definitions/Element"
        },
        min: {
          description: "Specified minimum cardinality for the element. This is optional; if present, it acts an implicit check on the input content.",
          $ref: "#/definitions/integer"
        },
        _min: {
          description: "Extensions for min",
          $ref: "#/definitions/Element"
        },
        max: {
          description: `Specified maximum cardinality for the element - a number or a "*". This is optional; if present, it acts an implicit check on the input content (* just serves as documentation; it's the default value).`,
          $ref: "#/definitions/string"
        },
        _max: {
          description: "Extensions for max",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Specified type for the element. This works as a condition on the mapping - use for polymorphic elements.",
          $ref: "#/definitions/string"
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        defaultValueBase64Binary: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^(\\s*([0-9a-zA-Z\\+/=]){4}\\s*)+$",
          type: "string"
        },
        _defaultValueBase64Binary: {
          description: "Extensions for defaultValueBase64Binary",
          $ref: "#/definitions/Element"
        },
        defaultValueBoolean: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _defaultValueBoolean: {
          description: "Extensions for defaultValueBoolean",
          $ref: "#/definitions/Element"
        },
        defaultValueCanonical: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^\\S*$",
          type: "string"
        },
        _defaultValueCanonical: {
          description: "Extensions for defaultValueCanonical",
          $ref: "#/definitions/Element"
        },
        defaultValueCode: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^[^\\s]+(\\s[^\\s]+)*$",
          type: "string"
        },
        _defaultValueCode: {
          description: "Extensions for defaultValueCode",
          $ref: "#/definitions/Element"
        },
        defaultValueDate: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _defaultValueDate: {
          description: "Extensions for defaultValueDate",
          $ref: "#/definitions/Element"
        },
        defaultValueDateTime: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _defaultValueDateTime: {
          description: "Extensions for defaultValueDateTime",
          $ref: "#/definitions/Element"
        },
        defaultValueDecimal: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _defaultValueDecimal: {
          description: "Extensions for defaultValueDecimal",
          $ref: "#/definitions/Element"
        },
        defaultValueId: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^[A-Za-z0-9\\-\\.]{1,64}$",
          type: "string"
        },
        _defaultValueId: {
          description: "Extensions for defaultValueId",
          $ref: "#/definitions/Element"
        },
        defaultValueInstant: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))$",
          type: "string"
        },
        _defaultValueInstant: {
          description: "Extensions for defaultValueInstant",
          $ref: "#/definitions/Element"
        },
        defaultValueInteger: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _defaultValueInteger: {
          description: "Extensions for defaultValueInteger",
          $ref: "#/definitions/Element"
        },
        defaultValueMarkdown: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _defaultValueMarkdown: {
          description: "Extensions for defaultValueMarkdown",
          $ref: "#/definitions/Element"
        },
        defaultValueOid: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^urn:oid:[0-2](\\.(0|[1-9][0-9]*))+$",
          type: "string"
        },
        _defaultValueOid: {
          description: "Extensions for defaultValueOid",
          $ref: "#/definitions/Element"
        },
        defaultValuePositiveInt: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _defaultValuePositiveInt: {
          description: "Extensions for defaultValuePositiveInt",
          $ref: "#/definitions/Element"
        },
        defaultValueString: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _defaultValueString: {
          description: "Extensions for defaultValueString",
          $ref: "#/definitions/Element"
        },
        defaultValueTime: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _defaultValueTime: {
          description: "Extensions for defaultValueTime",
          $ref: "#/definitions/Element"
        },
        defaultValueUnsignedInt: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _defaultValueUnsignedInt: {
          description: "Extensions for defaultValueUnsignedInt",
          $ref: "#/definitions/Element"
        },
        defaultValueUri: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^\\S*$",
          type: "string"
        },
        _defaultValueUri: {
          description: "Extensions for defaultValueUri",
          $ref: "#/definitions/Element"
        },
        defaultValueUrl: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^\\S*$",
          type: "string"
        },
        _defaultValueUrl: {
          description: "Extensions for defaultValueUrl",
          $ref: "#/definitions/Element"
        },
        defaultValueUuid: {
          description: "A value to use if there is no existing value in the source object.",
          pattern: "^urn:uuid:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$",
          type: "string"
        },
        _defaultValueUuid: {
          description: "Extensions for defaultValueUuid",
          $ref: "#/definitions/Element"
        },
        defaultValueAddress: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Address"
        },
        defaultValueAge: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Age"
        },
        defaultValueAnnotation: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Annotation"
        },
        defaultValueAttachment: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Attachment"
        },
        defaultValueCodeableConcept: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/CodeableConcept"
        },
        defaultValueCoding: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Coding"
        },
        defaultValueContactPoint: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/ContactPoint"
        },
        defaultValueCount: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Count"
        },
        defaultValueDistance: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Distance"
        },
        defaultValueDuration: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Duration"
        },
        defaultValueHumanName: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/HumanName"
        },
        defaultValueIdentifier: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Identifier"
        },
        defaultValueMoney: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Money"
        },
        defaultValuePeriod: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Period"
        },
        defaultValueQuantity: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Quantity"
        },
        defaultValueRange: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Range"
        },
        defaultValueRatio: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Ratio"
        },
        defaultValueReference: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Reference"
        },
        defaultValueSampledData: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/SampledData"
        },
        defaultValueSignature: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Signature"
        },
        defaultValueTiming: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Timing"
        },
        defaultValueContactDetail: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/ContactDetail"
        },
        defaultValueContributor: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Contributor"
        },
        defaultValueDataRequirement: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/DataRequirement"
        },
        defaultValueExpression: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Expression"
        },
        defaultValueParameterDefinition: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/ParameterDefinition"
        },
        defaultValueRelatedArtifact: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/RelatedArtifact"
        },
        defaultValueTriggerDefinition: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/TriggerDefinition"
        },
        defaultValueUsageContext: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/UsageContext"
        },
        defaultValueDosage: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Dosage"
        },
        defaultValueMeta: {
          description: "A value to use if there is no existing value in the source object.",
          $ref: "#/definitions/Meta"
        },
        element: {
          description: "Optional field for this source.",
          $ref: "#/definitions/string"
        },
        _element: {
          description: "Extensions for element",
          $ref: "#/definitions/Element"
        },
        listMode: {
          description: "How to handle the list mode for this element.",
          enum: ["first", "not_first", "last", "not_last", "only_one"]
        },
        _listMode: {
          description: "Extensions for listMode",
          $ref: "#/definitions/Element"
        },
        variable: {
          description: "Named context for field, if a field is specified.",
          $ref: "#/definitions/id"
        },
        _variable: {
          description: "Extensions for variable",
          $ref: "#/definitions/Element"
        },
        condition: {
          description: "FHIRPath expression  - must be true or the rule does not apply.",
          $ref: "#/definitions/string"
        },
        _condition: {
          description: "Extensions for condition",
          $ref: "#/definitions/Element"
        },
        check: {
          description: "FHIRPath expression  - must be true or the mapping engine throws an error instead of completing.",
          $ref: "#/definitions/string"
        },
        _check: {
          description: "Extensions for check",
          $ref: "#/definitions/Element"
        },
        logMessage: {
          description: "A FHIRPath expression which specifies a message to put in the transform log when content matching the source rule is found.",
          $ref: "#/definitions/string"
        },
        _logMessage: {
          description: "Extensions for logMessage",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    StructureMap_Target: {
      description: "A Map of relationships between 2 structures that can be used to transform data.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        context: {
          description: "Type or variable this rule applies to.",
          $ref: "#/definitions/id"
        },
        _context: {
          description: "Extensions for context",
          $ref: "#/definitions/Element"
        },
        contextType: {
          description: "How to interpret the context.",
          enum: ["type", "variable"]
        },
        _contextType: {
          description: "Extensions for contextType",
          $ref: "#/definitions/Element"
        },
        element: {
          description: "Field to create in the context.",
          $ref: "#/definitions/string"
        },
        _element: {
          description: "Extensions for element",
          $ref: "#/definitions/Element"
        },
        variable: {
          description: "Named context for field, if desired, and a field is specified.",
          $ref: "#/definitions/id"
        },
        _variable: {
          description: "Extensions for variable",
          $ref: "#/definitions/Element"
        },
        listMode: {
          description: "If field is a list, how to manage the list.",
          items: {
            enum: ["first", "share", "last", "collate"]
          },
          type: "array"
        },
        _listMode: {
          description: "Extensions for listMode",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        listRuleId: {
          description: "Internal rule reference for shared list items.",
          $ref: "#/definitions/id"
        },
        _listRuleId: {
          description: "Extensions for listRuleId",
          $ref: "#/definitions/Element"
        },
        transform: {
          description: "How the data is copied / created.",
          enum: [
            "create",
            "copy",
            "truncate",
            "escape",
            "cast",
            "append",
            "translate",
            "reference",
            "dateOp",
            "uuid",
            "pointer",
            "evaluate",
            "cc",
            "c",
            "qty",
            "id",
            "cp"
          ]
        },
        _transform: {
          description: "Extensions for transform",
          $ref: "#/definitions/Element"
        },
        parameter: {
          description: "Parameters to the transform.",
          items: {
            $ref: "#/definitions/StructureMap_Parameter"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    StructureMap_Parameter: {
      description: "A Map of relationships between 2 structures that can be used to transform data.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        valueId: {
          description: "Parameter value - variable or literal.",
          pattern: "^[A-Za-z0-9\\-\\.]{1,64}$",
          type: "string"
        },
        _valueId: {
          description: "Extensions for valueId",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "Parameter value - variable or literal.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueBoolean: {
          description: "Parameter value - variable or literal.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueInteger: {
          description: "Parameter value - variable or literal.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueDecimal: {
          description: "Parameter value - variable or literal.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _valueDecimal: {
          description: "Extensions for valueDecimal",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    StructureMap_Dependent: {
      description: "A Map of relationships between 2 structures that can be used to transform data.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "Name of a rule or group to apply.",
          $ref: "#/definitions/id"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        variable: {
          description: "Variable to pass to the rule or group.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _variable: {
          description: "Extensions for variable",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Subscription: {
      description: 'The subscription resource is used to define a push-based subscription from a server to another system. Once a subscription is registered with the server, the server checks every resource that is created or updated, and if the resource matches the given criteria, it sends a message on the defined "channel" so that another system can take an appropriate action.',
      properties: {
        resourceType: {
          description: "This is a Subscription resource",
          const: "Subscription"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        status: {
          description: "The status of the subscription, which marks the server state for managing the subscription.",
          enum: ["requested", "active", "error", "off"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details for a human to contact about the subscription. The primary use of this for system administrator troubleshooting.",
          items: {
            $ref: "#/definitions/ContactPoint"
          },
          type: "array"
        },
        end: {
          description: "The time for the server to turn the subscription off.",
          $ref: "#/definitions/instant"
        },
        _end: {
          description: "Extensions for end",
          $ref: "#/definitions/Element"
        },
        reason: {
          description: "A description of why this subscription is defined.",
          $ref: "#/definitions/string"
        },
        _reason: {
          description: "Extensions for reason",
          $ref: "#/definitions/Element"
        },
        criteria: {
          description: "The rules that the server should use to determine when to generate notifications for this subscription.",
          $ref: "#/definitions/string"
        },
        _criteria: {
          description: "Extensions for criteria",
          $ref: "#/definitions/Element"
        },
        error: {
          description: "A record of the last error that occurred when the server processed a notification.",
          $ref: "#/definitions/string"
        },
        _error: {
          description: "Extensions for error",
          $ref: "#/definitions/Element"
        },
        channel: {
          description: "Details where to send notifications when resources are received that meet the criteria.",
          $ref: "#/definitions/Subscription_Channel"
        }
      },
      additionalProperties: false,
      required: ["channel", "resourceType"]
    },
    Subscription_Channel: {
      description: 'The subscription resource is used to define a push-based subscription from a server to another system. Once a subscription is registered with the server, the server checks every resource that is created or updated, and if the resource matches the given criteria, it sends a message on the defined "channel" so that another system can take an appropriate action.',
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of channel to send notifications on.",
          enum: ["rest-hook", "websocket", "email", "sms", "message"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        endpoint: {
          description: "The url that describes the actual end-point to send messages to.",
          $ref: "#/definitions/url"
        },
        _endpoint: {
          description: "Extensions for endpoint",
          $ref: "#/definitions/Element"
        },
        payload: {
          description: 'The mime type to send the payload in - either application/fhir+xml, or application/fhir+json. If the payload is not present, then there is no payload in the notification, just a notification. The mime type "text/plain" may also be used for Email and SMS subscriptions.',
          $ref: "#/definitions/code"
        },
        _payload: {
          description: "Extensions for payload",
          $ref: "#/definitions/Element"
        },
        header: {
          description: "Additional headers / information to send as part of the notification.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _header: {
          description: "Extensions for header",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Substance: {
      description: "A homogeneous material with a definite composition.",
      properties: {
        resourceType: {
          description: "This is a Substance resource",
          const: "Substance"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Unique identifier for the substance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "A code to indicate if the substance is actively used.",
          enum: ["active", "inactive", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        category: {
          description: "A code that classifies the general type of substance.  This is used  for searching, sorting and display purposes.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        code: {
          description: "A code (or set of codes) that identify this substance.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: "A description of the substance - its appearance, handling requirements, and other usage notes.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        instance: {
          description: "Substance may be used to describe a kind of substance, or a specific package/container of the substance: an instance.",
          items: {
            $ref: "#/definitions/Substance_Instance"
          },
          type: "array"
        },
        ingredient: {
          description: "A substance can be composed of other substances.",
          items: {
            $ref: "#/definitions/Substance_Ingredient"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["code", "resourceType"]
    },
    Substance_Instance: {
      description: "A homogeneous material with a definite composition.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier associated with the package/container (usually a label affixed directly).",
          $ref: "#/definitions/Identifier"
        },
        expiry: {
          description: "When the substance is no longer valid to use. For some substances, a single arbitrary date is used for expiry.",
          $ref: "#/definitions/dateTime"
        },
        _expiry: {
          description: "Extensions for expiry",
          $ref: "#/definitions/Element"
        },
        quantity: {
          description: "The amount of the substance.",
          $ref: "#/definitions/Quantity"
        }
      },
      additionalProperties: false
    },
    Substance_Ingredient: {
      description: "A homogeneous material with a definite composition.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        quantity: {
          description: "The amount of the ingredient in the substance - a concentration ratio.",
          $ref: "#/definitions/Ratio"
        },
        substanceCodeableConcept: {
          description: "Another substance that is a component of this substance.",
          $ref: "#/definitions/CodeableConcept"
        },
        substanceReference: {
          description: "Another substance that is a component of this substance.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    SubstanceNucleicAcid: {
      description: "Nucleic acids are defined by three distinct elements: the base, sugar and linkage. Individual substance/moiety IDs will be created for each of these elements. The nucleotide sequence will be always entered in the 5\u2019-3\u2019 direction.",
      properties: {
        resourceType: {
          description: "This is a SubstanceNucleicAcid resource",
          const: "SubstanceNucleicAcid"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequenceType: {
          description: "The type of the sequence shall be specified based on a controlled vocabulary.",
          $ref: "#/definitions/CodeableConcept"
        },
        numberOfSubunits: {
          description: "The number of linear sequences of nucleotides linked through phosphodiester bonds shall be described. Subunits would be strands of nucleic acids that are tightly associated typically through Watson-Crick base pairing. NOTE: If not specified in the reference source, the assumption is that there is 1 subunit.",
          $ref: "#/definitions/integer"
        },
        _numberOfSubunits: {
          description: "Extensions for numberOfSubunits",
          $ref: "#/definitions/Element"
        },
        areaOfHybridisation: {
          description: "The area of hybridisation shall be described if applicable for double stranded RNA or DNA. The number associated with the subunit followed by the number associated to the residue shall be specified in increasing order. The underscore \u201C\u201D shall be used as separator as follows: \u201CSubunitnumber Residue\u201D.",
          $ref: "#/definitions/string"
        },
        _areaOfHybridisation: {
          description: "Extensions for areaOfHybridisation",
          $ref: "#/definitions/Element"
        },
        oligoNucleotideType: {
          description: "(TBC).",
          $ref: "#/definitions/CodeableConcept"
        },
        subunit: {
          description: "Subunits are listed in order of decreasing length; sequences of the same length will be ordered by molecular weight; subunits that have identical sequences will be repeated multiple times.",
          items: {
            $ref: "#/definitions/SubstanceNucleicAcid_Subunit"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    SubstanceNucleicAcid_Subunit: {
      description: "Nucleic acids are defined by three distinct elements: the base, sugar and linkage. Individual substance/moiety IDs will be created for each of these elements. The nucleotide sequence will be always entered in the 5\u2019-3\u2019 direction.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        subunit: {
          description: "Index of linear sequences of nucleic acids in order of decreasing length. Sequences of the same length will be ordered by molecular weight. Subunits that have identical sequences will be repeated and have sequential subscripts.",
          $ref: "#/definitions/integer"
        },
        _subunit: {
          description: "Extensions for subunit",
          $ref: "#/definitions/Element"
        },
        sequence: {
          description: "Actual nucleotide sequence notation from 5' to 3' end using standard single letter codes. In addition to the base sequence, sugar and type of phosphate or non-phosphate linkage should also be captured.",
          $ref: "#/definitions/string"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        length: {
          description: "The length of the sequence shall be captured.",
          $ref: "#/definitions/integer"
        },
        _length: {
          description: "Extensions for length",
          $ref: "#/definitions/Element"
        },
        sequenceAttachment: {
          description: "(TBC).",
          $ref: "#/definitions/Attachment"
        },
        fivePrime: {
          description: "The nucleotide present at the 5\u2019 terminal shall be specified based on a controlled vocabulary. Since the sequence is represented from the 5' to the 3' end, the 5\u2019 prime nucleotide is the letter at the first position in the sequence. A separate representation would be redundant.",
          $ref: "#/definitions/CodeableConcept"
        },
        threePrime: {
          description: "The nucleotide present at the 3\u2019 terminal shall be specified based on a controlled vocabulary. Since the sequence is represented from the 5' to the 3' end, the 5\u2019 prime nucleotide is the letter at the last position in the sequence. A separate representation would be redundant.",
          $ref: "#/definitions/CodeableConcept"
        },
        linkage: {
          description: "The linkages between sugar residues will also be captured.",
          items: {
            $ref: "#/definitions/SubstanceNucleicAcid_Linkage"
          },
          type: "array"
        },
        sugar: {
          description: "5.3.6.8.1 Sugar ID (Mandatory).",
          items: {
            $ref: "#/definitions/SubstanceNucleicAcid_Sugar"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    SubstanceNucleicAcid_Linkage: {
      description: "Nucleic acids are defined by three distinct elements: the base, sugar and linkage. Individual substance/moiety IDs will be created for each of these elements. The nucleotide sequence will be always entered in the 5\u2019-3\u2019 direction.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        connectivity: {
          description: "The entity that links the sugar residues together should also be captured for nearly all naturally occurring nucleic acid the linkage is a phosphate group. For many synthetic oligonucleotides phosphorothioate linkages are often seen. Linkage connectivity is assumed to be 3\u2019-5\u2019. If the linkage is either 3\u2019-3\u2019 or 5\u2019-5\u2019 this should be specified.",
          $ref: "#/definitions/string"
        },
        _connectivity: {
          description: "Extensions for connectivity",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "Each linkage will be registered as a fragment and have an ID.",
          $ref: "#/definitions/Identifier"
        },
        name: {
          description: "Each linkage will be registered as a fragment and have at least one name. A single name shall be assigned to each linkage.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        residueSite: {
          description: "Residues shall be captured as described in 5.3.6.8.3.",
          $ref: "#/definitions/string"
        },
        _residueSite: {
          description: "Extensions for residueSite",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    SubstanceNucleicAcid_Sugar: {
      description: "Nucleic acids are defined by three distinct elements: the base, sugar and linkage. Individual substance/moiety IDs will be created for each of these elements. The nucleotide sequence will be always entered in the 5\u2019-3\u2019 direction.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "The Substance ID of the sugar or sugar-like component that make up the nucleotide.",
          $ref: "#/definitions/Identifier"
        },
        name: {
          description: "The name of the sugar or sugar-like component that make up the nucleotide.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        residueSite: {
          description: "The residues that contain a given sugar will be captured. The order of given residues will be captured in the 5\u2018-3\u2018direction consistent with the base sequences listed above.",
          $ref: "#/definitions/string"
        },
        _residueSite: {
          description: "Extensions for residueSite",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    SubstancePolymer: {
      description: "Todo.",
      properties: {
        resourceType: {
          description: "This is a SubstancePolymer resource",
          const: "SubstancePolymer"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        class: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        geometry: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        copolymerConnectivity: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        modification: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _modification: {
          description: "Extensions for modification",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        monomerSet: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/SubstancePolymer_MonomerSet"
          },
          type: "array"
        },
        repeat: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/SubstancePolymer_Repeat"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    SubstancePolymer_MonomerSet: {
      description: "Todo.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        ratioType: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        startingMaterial: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/SubstancePolymer_StartingMaterial"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    SubstancePolymer_StartingMaterial: {
      description: "Todo.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        material: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        type: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        isDefining: {
          description: "Todo.",
          $ref: "#/definitions/boolean"
        },
        _isDefining: {
          description: "Extensions for isDefining",
          $ref: "#/definitions/Element"
        },
        amount: {
          description: "Todo.",
          $ref: "#/definitions/SubstanceAmount"
        }
      },
      additionalProperties: false
    },
    SubstancePolymer_Repeat: {
      description: "Todo.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        numberOfUnits: {
          description: "Todo.",
          $ref: "#/definitions/integer"
        },
        _numberOfUnits: {
          description: "Extensions for numberOfUnits",
          $ref: "#/definitions/Element"
        },
        averageMolecularFormula: {
          description: "Todo.",
          $ref: "#/definitions/string"
        },
        _averageMolecularFormula: {
          description: "Extensions for averageMolecularFormula",
          $ref: "#/definitions/Element"
        },
        repeatUnitAmountType: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        repeatUnit: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/SubstancePolymer_RepeatUnit"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    SubstancePolymer_RepeatUnit: {
      description: "Todo.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        orientationOfPolymerisation: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        repeatUnit: {
          description: "Todo.",
          $ref: "#/definitions/string"
        },
        _repeatUnit: {
          description: "Extensions for repeatUnit",
          $ref: "#/definitions/Element"
        },
        amount: {
          description: "Todo.",
          $ref: "#/definitions/SubstanceAmount"
        },
        degreeOfPolymerisation: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/SubstancePolymer_DegreeOfPolymerisation"
          },
          type: "array"
        },
        structuralRepresentation: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/SubstancePolymer_StructuralRepresentation"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    SubstancePolymer_DegreeOfPolymerisation: {
      description: "Todo.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        degree: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        amount: {
          description: "Todo.",
          $ref: "#/definitions/SubstanceAmount"
        }
      },
      additionalProperties: false
    },
    SubstancePolymer_StructuralRepresentation: {
      description: "Todo.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        representation: {
          description: "Todo.",
          $ref: "#/definitions/string"
        },
        _representation: {
          description: "Extensions for representation",
          $ref: "#/definitions/Element"
        },
        attachment: {
          description: "Todo.",
          $ref: "#/definitions/Attachment"
        }
      },
      additionalProperties: false
    },
    SubstanceProtein: {
      description: "A SubstanceProtein is defined as a single unit of a linear amino acid sequence, or a combination of subunits that are either covalently linked or have a defined invariant stoichiometric relationship. This includes all synthetic, recombinant and purified SubstanceProteins of defined sequence, whether the use is therapeutic or prophylactic. This set of elements will be used to describe albumins, coagulation factors, cytokines, growth factors, peptide/SubstanceProtein hormones, enzymes, toxins, toxoids, recombinant vaccines, and immunomodulators.",
      properties: {
        resourceType: {
          description: "This is a SubstanceProtein resource",
          const: "SubstanceProtein"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sequenceType: {
          description: "The SubstanceProtein descriptive elements will only be used when a complete or partial amino acid sequence is available or derivable from a nucleic acid sequence.",
          $ref: "#/definitions/CodeableConcept"
        },
        numberOfSubunits: {
          description: "Number of linear sequences of amino acids linked through peptide bonds. The number of subunits constituting the SubstanceProtein shall be described. It is possible that the number of subunits can be variable.",
          $ref: "#/definitions/integer"
        },
        _numberOfSubunits: {
          description: "Extensions for numberOfSubunits",
          $ref: "#/definitions/Element"
        },
        disulfideLinkage: {
          description: "The disulphide bond between two cysteine residues either on the same subunit or on two different subunits shall be described. The position of the disulfide bonds in the SubstanceProtein shall be listed in increasing order of subunit number and position within subunit followed by the abbreviation of the amino acids involved. The disulfide linkage positions shall actually contain the amino acid Cysteine at the respective positions.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _disulfideLinkage: {
          description: "Extensions for disulfideLinkage",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        subunit: {
          description: "This subclause refers to the description of each subunit constituting the SubstanceProtein. A subunit is a linear sequence of amino acids linked through peptide bonds. The Subunit information shall be provided when the finished SubstanceProtein is a complex of multiple sequences; subunits are not used to delineate domains within a single sequence. Subunits are listed in order of decreasing length; sequences of the same length will be ordered by decreasing molecular weight; subunits that have identical sequences will be repeated multiple times.",
          items: {
            $ref: "#/definitions/SubstanceProtein_Subunit"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    SubstanceProtein_Subunit: {
      description: "A SubstanceProtein is defined as a single unit of a linear amino acid sequence, or a combination of subunits that are either covalently linked or have a defined invariant stoichiometric relationship. This includes all synthetic, recombinant and purified SubstanceProteins of defined sequence, whether the use is therapeutic or prophylactic. This set of elements will be used to describe albumins, coagulation factors, cytokines, growth factors, peptide/SubstanceProtein hormones, enzymes, toxins, toxoids, recombinant vaccines, and immunomodulators.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        subunit: {
          description: "Index of primary sequences of amino acids linked through peptide bonds in order of decreasing length. Sequences of the same length will be ordered by molecular weight. Subunits that have identical sequences will be repeated and have sequential subscripts.",
          $ref: "#/definitions/integer"
        },
        _subunit: {
          description: "Extensions for subunit",
          $ref: "#/definitions/Element"
        },
        sequence: {
          description: "The sequence information shall be provided enumerating the amino acids from N- to C-terminal end using standard single-letter amino acid codes. Uppercase shall be used for L-amino acids and lowercase for D-amino acids. Transcribed SubstanceProteins will always be described using the translated sequence; for synthetic peptide containing amino acids that are not represented with a single letter code an X should be used within the sequence. The modified amino acids will be distinguished by their position in the sequence.",
          $ref: "#/definitions/string"
        },
        _sequence: {
          description: "Extensions for sequence",
          $ref: "#/definitions/Element"
        },
        length: {
          description: "Length of linear sequences of amino acids contained in the subunit.",
          $ref: "#/definitions/integer"
        },
        _length: {
          description: "Extensions for length",
          $ref: "#/definitions/Element"
        },
        sequenceAttachment: {
          description: "The sequence information shall be provided enumerating the amino acids from N- to C-terminal end using standard single-letter amino acid codes. Uppercase shall be used for L-amino acids and lowercase for D-amino acids. Transcribed SubstanceProteins will always be described using the translated sequence; for synthetic peptide containing amino acids that are not represented with a single letter code an X should be used within the sequence. The modified amino acids will be distinguished by their position in the sequence.",
          $ref: "#/definitions/Attachment"
        },
        nTerminalModificationId: {
          description: "Unique identifier for molecular fragment modification based on the ISO 11238 Substance ID.",
          $ref: "#/definitions/Identifier"
        },
        nTerminalModification: {
          description: "The name of the fragment modified at the N-terminal of the SubstanceProtein shall be specified.",
          $ref: "#/definitions/string"
        },
        _nTerminalModification: {
          description: "Extensions for nTerminalModification",
          $ref: "#/definitions/Element"
        },
        cTerminalModificationId: {
          description: "Unique identifier for molecular fragment modification based on the ISO 11238 Substance ID.",
          $ref: "#/definitions/Identifier"
        },
        cTerminalModification: {
          description: "The modification at the C-terminal shall be specified.",
          $ref: "#/definitions/string"
        },
        _cTerminalModification: {
          description: "Extensions for cTerminalModification",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    SubstanceReferenceInformation: {
      description: "Todo.",
      properties: {
        resourceType: {
          description: "This is a SubstanceReferenceInformation resource",
          const: "SubstanceReferenceInformation"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        comment: {
          description: "Todo.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        },
        gene: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/SubstanceReferenceInformation_Gene"
          },
          type: "array"
        },
        geneElement: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/SubstanceReferenceInformation_GeneElement"
          },
          type: "array"
        },
        classification: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/SubstanceReferenceInformation_Classification"
          },
          type: "array"
        },
        target: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/SubstanceReferenceInformation_Target"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    SubstanceReferenceInformation_Gene: {
      description: "Todo.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        geneSequenceOrigin: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        gene: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        source: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    SubstanceReferenceInformation_GeneElement: {
      description: "Todo.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        element: {
          description: "Todo.",
          $ref: "#/definitions/Identifier"
        },
        source: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    SubstanceReferenceInformation_Classification: {
      description: "Todo.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        domain: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        classification: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        subtype: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        source: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    SubstanceReferenceInformation_Target: {
      description: "Todo.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        target: {
          description: "Todo.",
          $ref: "#/definitions/Identifier"
        },
        type: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        interaction: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        organism: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        organismType: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        amountQuantity: {
          description: "Todo.",
          $ref: "#/definitions/Quantity"
        },
        amountRange: {
          description: "Todo.",
          $ref: "#/definitions/Range"
        },
        amountString: {
          description: "Todo.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _amountString: {
          description: "Extensions for amountString",
          $ref: "#/definitions/Element"
        },
        amountType: {
          description: "Todo.",
          $ref: "#/definitions/CodeableConcept"
        },
        source: {
          description: "Todo.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    SubstanceSourceMaterial: {
      description: "Source material shall capture information on the taxonomic and anatomical origins as well as the fraction of a material that can result in or can be modified to form a substance. This set of data elements shall be used to define polymer substances isolated from biological matrices. Taxonomic and anatomical origins shall be described using a controlled vocabulary as required. This information is captured for naturally derived polymers ( . starch) and structurally diverse substances. For Organisms belonging to the Kingdom Plantae the Substance level defines the fresh material of a single species or infraspecies, the Herbal Drug and the Herbal preparation. For Herbal preparations, the fraction information will be captured at the Substance information level and additional information for herbal extracts will be captured at the Specified Substance Group 1 information level. See for further explanation the Substance Class: Structurally Diverse and the herbal annex.",
      properties: {
        resourceType: {
          description: "This is a SubstanceSourceMaterial resource",
          const: "SubstanceSourceMaterial"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        sourceMaterialClass: {
          description: "General high level classification of the source material specific to the origin of the material.",
          $ref: "#/definitions/CodeableConcept"
        },
        sourceMaterialType: {
          description: "The type of the source material shall be specified based on a controlled vocabulary. For vaccines, this subclause refers to the class of infectious agent.",
          $ref: "#/definitions/CodeableConcept"
        },
        sourceMaterialState: {
          description: "The state of the source material when extracted.",
          $ref: "#/definitions/CodeableConcept"
        },
        organismId: {
          description: "The unique identifier associated with the source material parent organism shall be specified.",
          $ref: "#/definitions/Identifier"
        },
        organismName: {
          description: "The organism accepted Scientific name shall be provided based on the organism taxonomy.",
          $ref: "#/definitions/string"
        },
        _organismName: {
          description: "Extensions for organismName",
          $ref: "#/definitions/Element"
        },
        parentSubstanceId: {
          description: "The parent of the herbal drug Ginkgo biloba, Leaf is the substance ID of the substance (fresh) of Ginkgo biloba L. or Ginkgo biloba L. (Whole plant).",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        parentSubstanceName: {
          description: "The parent substance of the Herbal Drug, or Herbal preparation.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _parentSubstanceName: {
          description: "Extensions for parentSubstanceName",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        countryOfOrigin: {
          description: "The country where the plant material is harvested or the countries where the plasma is sourced from as laid down in accordance with the Plasma Master File. For \u201CPlasma-derived substances\u201D the attribute country of origin provides information about the countries used for the manufacturing of the Cryopoor plama or Crioprecipitate.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        geographicalLocation: {
          description: "The place/region where the plant is harvested or the places/regions where the animal source material has its habitat.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _geographicalLocation: {
          description: "Extensions for geographicalLocation",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        developmentStage: {
          description: "Stage of life for animals, plants, insects and microorganisms. This information shall be provided only when the substance is significantly different in these stages (e.g. foetal bovine serum).",
          $ref: "#/definitions/CodeableConcept"
        },
        fractionDescription: {
          description: "Many complex materials are fractions of parts of plants, animals, or minerals. Fraction elements are often necessary to define both Substances and Specified Group 1 Substances. For substances derived from Plants, fraction information will be captured at the Substance information level ( . Oils, Juices and Exudates). Additional information for Extracts, such as extraction solvent composition, will be captured at the Specified Substance Group 1 information level. For plasma-derived products fraction information will be captured at the Substance and the Specified Substance Group 1 levels.",
          items: {
            $ref: "#/definitions/SubstanceSourceMaterial_FractionDescription"
          },
          type: "array"
        },
        organism: {
          description: "This subclause describes the organism which the substance is derived from. For vaccines, the parent organism shall be specified based on these subclause elements. As an example, full taxonomy will be described for the Substance Name: ., Leaf.",
          $ref: "#/definitions/SubstanceSourceMaterial_Organism"
        },
        partDescription: {
          description: "To do.",
          items: {
            $ref: "#/definitions/SubstanceSourceMaterial_PartDescription"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    SubstanceSourceMaterial_FractionDescription: {
      description: "Source material shall capture information on the taxonomic and anatomical origins as well as the fraction of a material that can result in or can be modified to form a substance. This set of data elements shall be used to define polymer substances isolated from biological matrices. Taxonomic and anatomical origins shall be described using a controlled vocabulary as required. This information is captured for naturally derived polymers ( . starch) and structurally diverse substances. For Organisms belonging to the Kingdom Plantae the Substance level defines the fresh material of a single species or infraspecies, the Herbal Drug and the Herbal preparation. For Herbal preparations, the fraction information will be captured at the Substance information level and additional information for herbal extracts will be captured at the Specified Substance Group 1 information level. See for further explanation the Substance Class: Structurally Diverse and the herbal annex.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        fraction: {
          description: "This element is capturing information about the fraction of a plant part, or human plasma for fractionation.",
          $ref: "#/definitions/string"
        },
        _fraction: {
          description: "Extensions for fraction",
          $ref: "#/definitions/Element"
        },
        materialType: {
          description: "The specific type of the material constituting the component. For Herbal preparations the particulars of the extracts (liquid/dry) is described in Specified Substance Group 1.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    SubstanceSourceMaterial_Organism: {
      description: "Source material shall capture information on the taxonomic and anatomical origins as well as the fraction of a material that can result in or can be modified to form a substance. This set of data elements shall be used to define polymer substances isolated from biological matrices. Taxonomic and anatomical origins shall be described using a controlled vocabulary as required. This information is captured for naturally derived polymers ( . starch) and structurally diverse substances. For Organisms belonging to the Kingdom Plantae the Substance level defines the fresh material of a single species or infraspecies, the Herbal Drug and the Herbal preparation. For Herbal preparations, the fraction information will be captured at the Substance information level and additional information for herbal extracts will be captured at the Specified Substance Group 1 information level. See for further explanation the Substance Class: Structurally Diverse and the herbal annex.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        family: {
          description: "The family of an organism shall be specified.",
          $ref: "#/definitions/CodeableConcept"
        },
        genus: {
          description: "The genus of an organism shall be specified; refers to the Latin epithet of the genus element of the plant/animal scientific name; it is present in names for genera, species and infraspecies.",
          $ref: "#/definitions/CodeableConcept"
        },
        species: {
          description: "The species of an organism shall be specified; refers to the Latin epithet of the species of the plant/animal; it is present in names for species and infraspecies.",
          $ref: "#/definitions/CodeableConcept"
        },
        intraspecificType: {
          description: "The Intraspecific type of an organism shall be specified.",
          $ref: "#/definitions/CodeableConcept"
        },
        intraspecificDescription: {
          description: "The intraspecific description of an organism shall be specified based on a controlled vocabulary. For Influenza Vaccine, the intraspecific description shall contain the syntax of the antigen in line with the WHO convention.",
          $ref: "#/definitions/string"
        },
        _intraspecificDescription: {
          description: "Extensions for intraspecificDescription",
          $ref: "#/definitions/Element"
        },
        author: {
          description: "4.9.13.6.1 Author type (Conditional).",
          items: {
            $ref: "#/definitions/SubstanceSourceMaterial_Author"
          },
          type: "array"
        },
        hybrid: {
          description: "4.9.13.8.1 Hybrid species maternal organism ID (Optional).",
          $ref: "#/definitions/SubstanceSourceMaterial_Hybrid"
        },
        organismGeneral: {
          description: "4.9.13.7.1 Kingdom (Conditional).",
          $ref: "#/definitions/SubstanceSourceMaterial_OrganismGeneral"
        }
      },
      additionalProperties: false
    },
    SubstanceSourceMaterial_Author: {
      description: "Source material shall capture information on the taxonomic and anatomical origins as well as the fraction of a material that can result in or can be modified to form a substance. This set of data elements shall be used to define polymer substances isolated from biological matrices. Taxonomic and anatomical origins shall be described using a controlled vocabulary as required. This information is captured for naturally derived polymers ( . starch) and structurally diverse substances. For Organisms belonging to the Kingdom Plantae the Substance level defines the fresh material of a single species or infraspecies, the Herbal Drug and the Herbal preparation. For Herbal preparations, the fraction information will be captured at the Substance information level and additional information for herbal extracts will be captured at the Specified Substance Group 1 information level. See for further explanation the Substance Class: Structurally Diverse and the herbal annex.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        authorType: {
          description: "The type of author of an organism species shall be specified. The parenthetical author of an organism species refers to the first author who published the plant/animal name (of any rank). The primary author of an organism species refers to the first author(s), who validly published the plant/animal name.",
          $ref: "#/definitions/CodeableConcept"
        },
        authorDescription: {
          description: "The author of an organism species shall be specified. The author year of an organism shall also be specified when applicable; refers to the year in which the first author(s) published the infraspecific plant/animal name (of any rank).",
          $ref: "#/definitions/string"
        },
        _authorDescription: {
          description: "Extensions for authorDescription",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    SubstanceSourceMaterial_Hybrid: {
      description: "Source material shall capture information on the taxonomic and anatomical origins as well as the fraction of a material that can result in or can be modified to form a substance. This set of data elements shall be used to define polymer substances isolated from biological matrices. Taxonomic and anatomical origins shall be described using a controlled vocabulary as required. This information is captured for naturally derived polymers ( . starch) and structurally diverse substances. For Organisms belonging to the Kingdom Plantae the Substance level defines the fresh material of a single species or infraspecies, the Herbal Drug and the Herbal preparation. For Herbal preparations, the fraction information will be captured at the Substance information level and additional information for herbal extracts will be captured at the Specified Substance Group 1 information level. See for further explanation the Substance Class: Structurally Diverse and the herbal annex.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        maternalOrganismId: {
          description: "The identifier of the maternal species constituting the hybrid organism shall be specified based on a controlled vocabulary. For plants, the parents aren\u2019t always known, and it is unlikely that it will be known which is maternal and which is paternal.",
          $ref: "#/definitions/string"
        },
        _maternalOrganismId: {
          description: "Extensions for maternalOrganismId",
          $ref: "#/definitions/Element"
        },
        maternalOrganismName: {
          description: "The name of the maternal species constituting the hybrid organism shall be specified. For plants, the parents aren\u2019t always known, and it is unlikely that it will be known which is maternal and which is paternal.",
          $ref: "#/definitions/string"
        },
        _maternalOrganismName: {
          description: "Extensions for maternalOrganismName",
          $ref: "#/definitions/Element"
        },
        paternalOrganismId: {
          description: "The identifier of the paternal species constituting the hybrid organism shall be specified based on a controlled vocabulary.",
          $ref: "#/definitions/string"
        },
        _paternalOrganismId: {
          description: "Extensions for paternalOrganismId",
          $ref: "#/definitions/Element"
        },
        paternalOrganismName: {
          description: "The name of the paternal species constituting the hybrid organism shall be specified.",
          $ref: "#/definitions/string"
        },
        _paternalOrganismName: {
          description: "Extensions for paternalOrganismName",
          $ref: "#/definitions/Element"
        },
        hybridType: {
          description: "The hybrid type of an organism shall be specified.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    SubstanceSourceMaterial_OrganismGeneral: {
      description: "Source material shall capture information on the taxonomic and anatomical origins as well as the fraction of a material that can result in or can be modified to form a substance. This set of data elements shall be used to define polymer substances isolated from biological matrices. Taxonomic and anatomical origins shall be described using a controlled vocabulary as required. This information is captured for naturally derived polymers ( . starch) and structurally diverse substances. For Organisms belonging to the Kingdom Plantae the Substance level defines the fresh material of a single species or infraspecies, the Herbal Drug and the Herbal preparation. For Herbal preparations, the fraction information will be captured at the Substance information level and additional information for herbal extracts will be captured at the Specified Substance Group 1 information level. See for further explanation the Substance Class: Structurally Diverse and the herbal annex.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        kingdom: {
          description: "The kingdom of an organism shall be specified.",
          $ref: "#/definitions/CodeableConcept"
        },
        phylum: {
          description: "The phylum of an organism shall be specified.",
          $ref: "#/definitions/CodeableConcept"
        },
        class: {
          description: "The class of an organism shall be specified.",
          $ref: "#/definitions/CodeableConcept"
        },
        order: {
          description: "The order of an organism shall be specified,.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    SubstanceSourceMaterial_PartDescription: {
      description: "Source material shall capture information on the taxonomic and anatomical origins as well as the fraction of a material that can result in or can be modified to form a substance. This set of data elements shall be used to define polymer substances isolated from biological matrices. Taxonomic and anatomical origins shall be described using a controlled vocabulary as required. This information is captured for naturally derived polymers ( . starch) and structurally diverse substances. For Organisms belonging to the Kingdom Plantae the Substance level defines the fresh material of a single species or infraspecies, the Herbal Drug and the Herbal preparation. For Herbal preparations, the fraction information will be captured at the Substance information level and additional information for herbal extracts will be captured at the Specified Substance Group 1 information level. See for further explanation the Substance Class: Structurally Diverse and the herbal annex.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        part: {
          description: "Entity of anatomical origin of source material within an organism.",
          $ref: "#/definitions/CodeableConcept"
        },
        partLocation: {
          description: "The detailed anatomic location when the part can be extracted from different anatomical locations of the organism. Multiple alternative locations may apply.",
          $ref: "#/definitions/CodeableConcept"
        }
      },
      additionalProperties: false
    },
    SubstanceSpecification: {
      description: "The detailed description of a substance, typically at a level beyond what is used for prescribing.",
      properties: {
        resourceType: {
          description: "This is a SubstanceSpecification resource",
          const: "SubstanceSpecification"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier by which this substance is known.",
          $ref: "#/definitions/Identifier"
        },
        type: {
          description: "High level categorization, e.g. polymer or nucleic acid.",
          $ref: "#/definitions/CodeableConcept"
        },
        status: {
          description: "Status of substance within the catalogue e.g. approved.",
          $ref: "#/definitions/CodeableConcept"
        },
        domain: {
          description: "If the substance applies to only human or veterinary use.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: "Textual description of the substance.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        source: {
          description: "Supporting literature.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        comment: {
          description: "Textual comment about this record of a substance.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        },
        moiety: {
          description: "Moiety, for structural modifications.",
          items: {
            $ref: "#/definitions/SubstanceSpecification_Moiety"
          },
          type: "array"
        },
        property: {
          description: "General specifications for this substance, including how it is related to other substances.",
          items: {
            $ref: "#/definitions/SubstanceSpecification_Property"
          },
          type: "array"
        },
        referenceInformation: {
          description: "General information detailing this substance.",
          $ref: "#/definitions/Reference"
        },
        structure: {
          description: "Structural information.",
          $ref: "#/definitions/SubstanceSpecification_Structure"
        },
        code: {
          description: "Codes associated with the substance.",
          items: {
            $ref: "#/definitions/SubstanceSpecification_Code"
          },
          type: "array"
        },
        name: {
          description: "Names applicable to this substance.",
          items: {
            $ref: "#/definitions/SubstanceSpecification_Name"
          },
          type: "array"
        },
        molecularWeight: {
          description: "The molecular weight or weight range (for proteins, polymers or nucleic acids).",
          items: {
            $ref: "#/definitions/SubstanceSpecification_MolecularWeight"
          },
          type: "array"
        },
        relationship: {
          description: "A link between this substance and another, with details of the relationship.",
          items: {
            $ref: "#/definitions/SubstanceSpecification_Relationship"
          },
          type: "array"
        },
        nucleicAcid: {
          description: "Data items specific to nucleic acids.",
          $ref: "#/definitions/Reference"
        },
        polymer: {
          description: "Data items specific to polymers.",
          $ref: "#/definitions/Reference"
        },
        protein: {
          description: "Data items specific to proteins.",
          $ref: "#/definitions/Reference"
        },
        sourceMaterial: {
          description: "Material or taxonomic/anatomical source for the substance.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    SubstanceSpecification_Moiety: {
      description: "The detailed description of a substance, typically at a level beyond what is used for prescribing.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        role: {
          description: "Role that the moiety is playing.",
          $ref: "#/definitions/CodeableConcept"
        },
        identifier: {
          description: "Identifier by which this moiety substance is known.",
          $ref: "#/definitions/Identifier"
        },
        name: {
          description: "Textual name for this moiety substance.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        stereochemistry: {
          description: "Stereochemistry type.",
          $ref: "#/definitions/CodeableConcept"
        },
        opticalActivity: {
          description: "Optical activity type.",
          $ref: "#/definitions/CodeableConcept"
        },
        molecularFormula: {
          description: "Molecular formula.",
          $ref: "#/definitions/string"
        },
        _molecularFormula: {
          description: "Extensions for molecularFormula",
          $ref: "#/definitions/Element"
        },
        amountQuantity: {
          description: "Quantitative value for this moiety.",
          $ref: "#/definitions/Quantity"
        },
        amountString: {
          description: "Quantitative value for this moiety.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _amountString: {
          description: "Extensions for amountString",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    SubstanceSpecification_Property: {
      description: "The detailed description of a substance, typically at a level beyond what is used for prescribing.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        category: {
          description: "A category for this property, e.g. Physical, Chemical, Enzymatic.",
          $ref: "#/definitions/CodeableConcept"
        },
        code: {
          description: "Property type e.g. viscosity, pH, isoelectric point.",
          $ref: "#/definitions/CodeableConcept"
        },
        parameters: {
          description: "Parameters that were used in the measurement of a property (e.g. for viscosity: measured at 20C with a pH of 7.1).",
          $ref: "#/definitions/string"
        },
        _parameters: {
          description: "Extensions for parameters",
          $ref: "#/definitions/Element"
        },
        definingSubstanceReference: {
          description: "A substance upon which a defining property depends (e.g. for solubility: in water, in alcohol).",
          $ref: "#/definitions/Reference"
        },
        definingSubstanceCodeableConcept: {
          description: "A substance upon which a defining property depends (e.g. for solubility: in water, in alcohol).",
          $ref: "#/definitions/CodeableConcept"
        },
        amountQuantity: {
          description: "Quantitative value for this property.",
          $ref: "#/definitions/Quantity"
        },
        amountString: {
          description: "Quantitative value for this property.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _amountString: {
          description: "Extensions for amountString",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    SubstanceSpecification_Structure: {
      description: "The detailed description of a substance, typically at a level beyond what is used for prescribing.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        stereochemistry: {
          description: "Stereochemistry type.",
          $ref: "#/definitions/CodeableConcept"
        },
        opticalActivity: {
          description: "Optical activity type.",
          $ref: "#/definitions/CodeableConcept"
        },
        molecularFormula: {
          description: "Molecular formula.",
          $ref: "#/definitions/string"
        },
        _molecularFormula: {
          description: "Extensions for molecularFormula",
          $ref: "#/definitions/Element"
        },
        molecularFormulaByMoiety: {
          description: "Specified per moiety according to the Hill system, i.e. first C, then H, then alphabetical, each moiety separated by a dot.",
          $ref: "#/definitions/string"
        },
        _molecularFormulaByMoiety: {
          description: "Extensions for molecularFormulaByMoiety",
          $ref: "#/definitions/Element"
        },
        isotope: {
          description: "Applicable for single substances that contain a radionuclide or a non-natural isotopic ratio.",
          items: {
            $ref: "#/definitions/SubstanceSpecification_Isotope"
          },
          type: "array"
        },
        molecularWeight: {
          description: "The molecular weight or weight range (for proteins, polymers or nucleic acids).",
          $ref: "#/definitions/SubstanceSpecification_MolecularWeight"
        },
        source: {
          description: "Supporting literature.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        representation: {
          description: "Molecular structural representation.",
          items: {
            $ref: "#/definitions/SubstanceSpecification_Representation"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    SubstanceSpecification_Isotope: {
      description: "The detailed description of a substance, typically at a level beyond what is used for prescribing.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Substance identifier for each non-natural or radioisotope.",
          $ref: "#/definitions/Identifier"
        },
        name: {
          description: "Substance name for each non-natural or radioisotope.",
          $ref: "#/definitions/CodeableConcept"
        },
        substitution: {
          description: "The type of isotopic substitution present in a single substance.",
          $ref: "#/definitions/CodeableConcept"
        },
        halfLife: {
          description: "Half life - for a non-natural nuclide.",
          $ref: "#/definitions/Quantity"
        },
        molecularWeight: {
          description: "The molecular weight or weight range (for proteins, polymers or nucleic acids).",
          $ref: "#/definitions/SubstanceSpecification_MolecularWeight"
        }
      },
      additionalProperties: false
    },
    SubstanceSpecification_MolecularWeight: {
      description: "The detailed description of a substance, typically at a level beyond what is used for prescribing.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        method: {
          description: "The method by which the molecular weight was determined.",
          $ref: "#/definitions/CodeableConcept"
        },
        type: {
          description: "Type of molecular weight such as exact, average (also known as. number average), weight average.",
          $ref: "#/definitions/CodeableConcept"
        },
        amount: {
          description: "Used to capture quantitative values for a variety of elements. If only limits are given, the arithmetic mean would be the average. If only a single definite value for a given element is given, it would be captured in this field.",
          $ref: "#/definitions/Quantity"
        }
      },
      additionalProperties: false
    },
    SubstanceSpecification_Representation: {
      description: "The detailed description of a substance, typically at a level beyond what is used for prescribing.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of structure (e.g. Full, Partial, Representative).",
          $ref: "#/definitions/CodeableConcept"
        },
        representation: {
          description: "The structural representation as text string in a format e.g. InChI, SMILES, MOLFILE, CDX.",
          $ref: "#/definitions/string"
        },
        _representation: {
          description: "Extensions for representation",
          $ref: "#/definitions/Element"
        },
        attachment: {
          description: "An attached file with the structural representation.",
          $ref: "#/definitions/Attachment"
        }
      },
      additionalProperties: false
    },
    SubstanceSpecification_Code: {
      description: "The detailed description of a substance, typically at a level beyond what is used for prescribing.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "The specific code.",
          $ref: "#/definitions/CodeableConcept"
        },
        status: {
          description: "Status of the code assignment.",
          $ref: "#/definitions/CodeableConcept"
        },
        statusDate: {
          description: "The date at which the code status is changed as part of the terminology maintenance.",
          $ref: "#/definitions/dateTime"
        },
        _statusDate: {
          description: "Extensions for statusDate",
          $ref: "#/definitions/Element"
        },
        comment: {
          description: "Any comment can be provided in this field, if necessary.",
          $ref: "#/definitions/string"
        },
        _comment: {
          description: "Extensions for comment",
          $ref: "#/definitions/Element"
        },
        source: {
          description: "Supporting literature.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    SubstanceSpecification_Name: {
      description: "The detailed description of a substance, typically at a level beyond what is used for prescribing.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "The actual name.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        type: {
          description: "Name type.",
          $ref: "#/definitions/CodeableConcept"
        },
        status: {
          description: "The status of the name.",
          $ref: "#/definitions/CodeableConcept"
        },
        preferred: {
          description: "If this is the preferred name for this substance.",
          $ref: "#/definitions/boolean"
        },
        _preferred: {
          description: "Extensions for preferred",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "Language of the name.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        domain: {
          description: "The use context of this name for example if there is a different name a drug active ingredient as opposed to a food colour additive.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        jurisdiction: {
          description: "The jurisdiction where this name applies.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        synonym: {
          description: "A synonym of this name.",
          items: {
            $ref: "#/definitions/SubstanceSpecification_Name"
          },
          type: "array"
        },
        translation: {
          description: "A translation for this name.",
          items: {
            $ref: "#/definitions/SubstanceSpecification_Name"
          },
          type: "array"
        },
        official: {
          description: "Details of the official nature of this name.",
          items: {
            $ref: "#/definitions/SubstanceSpecification_Official"
          },
          type: "array"
        },
        source: {
          description: "Supporting literature.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    SubstanceSpecification_Official: {
      description: "The detailed description of a substance, typically at a level beyond what is used for prescribing.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        authority: {
          description: "Which authority uses this official name.",
          $ref: "#/definitions/CodeableConcept"
        },
        status: {
          description: "The status of the official name.",
          $ref: "#/definitions/CodeableConcept"
        },
        date: {
          description: "Date of official name change.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    SubstanceSpecification_Relationship: {
      description: "The detailed description of a substance, typically at a level beyond what is used for prescribing.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        substanceReference: {
          description: "A pointer to another substance, as a resource or just a representational code.",
          $ref: "#/definitions/Reference"
        },
        substanceCodeableConcept: {
          description: "A pointer to another substance, as a resource or just a representational code.",
          $ref: "#/definitions/CodeableConcept"
        },
        relationship: {
          description: 'For example "salt to parent", "active moiety", "starting material".',
          $ref: "#/definitions/CodeableConcept"
        },
        isDefining: {
          description: "For example where an enzyme strongly bonds with a particular substance, this is a defining relationship for that enzyme, out of several possible substance relationships.",
          $ref: "#/definitions/boolean"
        },
        _isDefining: {
          description: "Extensions for isDefining",
          $ref: "#/definitions/Element"
        },
        amountQuantity: {
          description: "A numeric factor for the relationship, for instance to express that the salt of a substance has some percentage of the active substance in relation to some other.",
          $ref: "#/definitions/Quantity"
        },
        amountRange: {
          description: "A numeric factor for the relationship, for instance to express that the salt of a substance has some percentage of the active substance in relation to some other.",
          $ref: "#/definitions/Range"
        },
        amountRatio: {
          description: "A numeric factor for the relationship, for instance to express that the salt of a substance has some percentage of the active substance in relation to some other.",
          $ref: "#/definitions/Ratio"
        },
        amountString: {
          description: "A numeric factor for the relationship, for instance to express that the salt of a substance has some percentage of the active substance in relation to some other.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _amountString: {
          description: "Extensions for amountString",
          $ref: "#/definitions/Element"
        },
        amountRatioLowLimit: {
          description: "For use when the numeric.",
          $ref: "#/definitions/Ratio"
        },
        amountType: {
          description: 'An operator for the amount, for example "average", "approximately", "less than".',
          $ref: "#/definitions/CodeableConcept"
        },
        source: {
          description: "Supporting literature.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    SupplyDelivery: {
      description: "Record of delivery of what is supplied.",
      properties: {
        resourceType: {
          description: "This is a SupplyDelivery resource",
          const: "SupplyDelivery"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier for the supply delivery event that is used to identify it across multiple disparate systems.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        basedOn: {
          description: "A plan, proposal or order that is fulfilled in whole or in part by this event.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        partOf: {
          description: "A larger event of which this particular event is a component or step.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "A code specifying the state of the dispense event.",
          enum: ["in-progress", "completed", "abandoned", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        patient: {
          description: "A link to a resource representing the person whom the delivered item is for.",
          $ref: "#/definitions/Reference"
        },
        type: {
          description: "Indicates the type of dispensing event that is performed. Examples include: Trial Fill, Completion of Trial, Partial Fill, Emergency Fill, Samples, etc.",
          $ref: "#/definitions/CodeableConcept"
        },
        suppliedItem: {
          description: "The item that is being delivered or has been supplied.",
          $ref: "#/definitions/SupplyDelivery_SuppliedItem"
        },
        occurrenceDateTime: {
          description: "The date or time(s) the activity occurred.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _occurrenceDateTime: {
          description: "Extensions for occurrenceDateTime",
          $ref: "#/definitions/Element"
        },
        occurrencePeriod: {
          description: "The date or time(s) the activity occurred.",
          $ref: "#/definitions/Period"
        },
        occurrenceTiming: {
          description: "The date or time(s) the activity occurred.",
          $ref: "#/definitions/Timing"
        },
        supplier: {
          description: "The individual responsible for dispensing the medication, supplier or device.",
          $ref: "#/definitions/Reference"
        },
        destination: {
          description: "Identification of the facility/location where the Supply was shipped to, as part of the dispense event.",
          $ref: "#/definitions/Reference"
        },
        receiver: {
          description: "Identifies the person who picked up the Supply.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    SupplyDelivery_SuppliedItem: {
      description: "Record of delivery of what is supplied.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        quantity: {
          description: "The amount of supply that has been dispensed. Includes unit of measure.",
          $ref: "#/definitions/Quantity"
        },
        itemCodeableConcept: {
          description: "Identifies the medication, substance or device being dispensed. This is either a link to a resource representing the details of the item or a code that identifies the item from a known list.",
          $ref: "#/definitions/CodeableConcept"
        },
        itemReference: {
          description: "Identifies the medication, substance or device being dispensed. This is either a link to a resource representing the details of the item or a code that identifies the item from a known list.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    SupplyRequest: {
      description: "A record of a request for a medication, substance or device used in the healthcare setting.",
      properties: {
        resourceType: {
          description: "This is a SupplyRequest resource",
          const: "SupplyRequest"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Business identifiers assigned to this SupplyRequest by the author and/or other systems. These identifiers remain constant as the resource is updated and propagates from server to server.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "Status of the supply request.",
          enum: ["draft", "active", "suspended", "cancelled", "completed", "entered-in-error", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        category: {
          description: "Category of supply, e.g.  central, non-stock, etc. This is used to support work flows associated with the supply process.",
          $ref: "#/definitions/CodeableConcept"
        },
        priority: {
          description: "Indicates how quickly this SupplyRequest should be addressed with respect to other requests.",
          $ref: "#/definitions/code"
        },
        _priority: {
          description: "Extensions for priority",
          $ref: "#/definitions/Element"
        },
        itemCodeableConcept: {
          description: "The item that is requested to be supplied. This is either a link to a resource representing the details of the item or a code that identifies the item from a known list.",
          $ref: "#/definitions/CodeableConcept"
        },
        itemReference: {
          description: "The item that is requested to be supplied. This is either a link to a resource representing the details of the item or a code that identifies the item from a known list.",
          $ref: "#/definitions/Reference"
        },
        quantity: {
          description: "The amount that is being ordered of the indicated item.",
          $ref: "#/definitions/Quantity"
        },
        parameter: {
          description: "Specific parameters for the ordered item.  For example, the size of the indicated item.",
          items: {
            $ref: "#/definitions/SupplyRequest_Parameter"
          },
          type: "array"
        },
        occurrenceDateTime: {
          description: "When the request should be fulfilled.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _occurrenceDateTime: {
          description: "Extensions for occurrenceDateTime",
          $ref: "#/definitions/Element"
        },
        occurrencePeriod: {
          description: "When the request should be fulfilled.",
          $ref: "#/definitions/Period"
        },
        occurrenceTiming: {
          description: "When the request should be fulfilled.",
          $ref: "#/definitions/Timing"
        },
        authoredOn: {
          description: "When the request was made.",
          $ref: "#/definitions/dateTime"
        },
        _authoredOn: {
          description: "Extensions for authoredOn",
          $ref: "#/definitions/Element"
        },
        requester: {
          description: "The device, practitioner, etc. who initiated the request.",
          $ref: "#/definitions/Reference"
        },
        supplier: {
          description: "Who is intended to fulfill the request.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        reasonCode: {
          description: "The reason why the supply item was requested.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        reasonReference: {
          description: "The reason why the supply item was requested.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        deliverFrom: {
          description: "Where the supply is expected to come from.",
          $ref: "#/definitions/Reference"
        },
        deliverTo: {
          description: "Where the supply is destined to go.",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false,
      required: ["quantity", "resourceType"]
    },
    SupplyRequest_Parameter: {
      description: "A record of a request for a medication, substance or device used in the healthcare setting.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "A code or string that identifies the device detail being asserted.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueCodeableConcept: {
          description: "The value of the device detail.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueQuantity: {
          description: "The value of the device detail.",
          $ref: "#/definitions/Quantity"
        },
        valueRange: {
          description: "The value of the device detail.",
          $ref: "#/definitions/Range"
        },
        valueBoolean: {
          description: "The value of the device detail.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    Task: {
      description: "A task to be performed.",
      properties: {
        resourceType: {
          description: "This is a Task resource",
          const: "Task"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "The business identifier for this task.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        instantiatesCanonical: {
          description: "The URL pointing to a *FHIR*-defined protocol, guideline, orderset or other definition that is adhered to in whole or in part by this Task.",
          $ref: "#/definitions/canonical"
        },
        instantiatesUri: {
          description: "The URL pointing to an *externally* maintained  protocol, guideline, orderset or other definition that is adhered to in whole or in part by this Task.",
          $ref: "#/definitions/uri"
        },
        _instantiatesUri: {
          description: "Extensions for instantiatesUri",
          $ref: "#/definitions/Element"
        },
        basedOn: {
          description: 'BasedOn refers to a higher-level authorization that triggered the creation of the task.  It references a "request" resource such as a ServiceRequest, MedicationRequest, ServiceRequest, CarePlan, etc. which is distinct from the "request" resource the task is seeking to fulfill.  This latter resource is referenced by FocusOn.  For example, based on a ServiceRequest (= BasedOn), a task is created to fulfill a procedureRequest ( = FocusOn ) to collect a specimen from a patient.',
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        groupIdentifier: {
          description: "An identifier that links together multiple tasks and other requests that were created in the same context.",
          $ref: "#/definitions/Identifier"
        },
        partOf: {
          description: "Task that this particular task is part of.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        status: {
          description: "The current status of the task.",
          enum: [
            "draft",
            "requested",
            "received",
            "accepted",
            "rejected",
            "ready",
            "cancelled",
            "in-progress",
            "on-hold",
            "failed",
            "completed",
            "entered-in-error"
          ]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusReason: {
          description: "An explanation as to why this task is held, failed, was refused, etc.",
          $ref: "#/definitions/CodeableConcept"
        },
        businessStatus: {
          description: "Contains business-specific nuances of the business state.",
          $ref: "#/definitions/CodeableConcept"
        },
        intent: {
          description: 'Indicates the "level" of actionability associated with the Task, i.e. i+R[9]Cs this a proposed task, a planned task, an actionable task, etc.',
          enum: [
            "unknown",
            "proposal",
            "plan",
            "order",
            "original-order",
            "reflex-order",
            "filler-order",
            "instance-order",
            "option"
          ]
        },
        _intent: {
          description: "Extensions for intent",
          $ref: "#/definitions/Element"
        },
        priority: {
          description: "Indicates how quickly the Task should be addressed with respect to other requests.",
          $ref: "#/definitions/code"
        },
        _priority: {
          description: "Extensions for priority",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "A name or code (or both) briefly describing what the task involves.",
          $ref: "#/definitions/CodeableConcept"
        },
        description: {
          description: "A free-text description of what is to be performed.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        focus: {
          description: "The request being actioned or the resource being manipulated by this task.",
          $ref: "#/definitions/Reference"
        },
        for: {
          description: "The entity who benefits from the performance of the service specified in the task (e.g., the patient).",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "The healthcare event  (e.g. a patient and healthcare provider interaction) during which this task was created.",
          $ref: "#/definitions/Reference"
        },
        executionPeriod: {
          description: "Identifies the time action was first taken against the task (start) and/or the time final action was taken against the task prior to marking it as completed (end).",
          $ref: "#/definitions/Period"
        },
        authoredOn: {
          description: "The date and time this task was created.",
          $ref: "#/definitions/dateTime"
        },
        _authoredOn: {
          description: "Extensions for authoredOn",
          $ref: "#/definitions/Element"
        },
        lastModified: {
          description: "The date and time of last modification to this task.",
          $ref: "#/definitions/dateTime"
        },
        _lastModified: {
          description: "Extensions for lastModified",
          $ref: "#/definitions/Element"
        },
        requester: {
          description: "The creator of the task.",
          $ref: "#/definitions/Reference"
        },
        performerType: {
          description: "The kind of participant that should perform the task.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        owner: {
          description: "Individual organization or Device currently responsible for task execution.",
          $ref: "#/definitions/Reference"
        },
        location: {
          description: "Principal physical location where the this task is performed.",
          $ref: "#/definitions/Reference"
        },
        reasonCode: {
          description: "A description or code indicating why this task needs to be performed.",
          $ref: "#/definitions/CodeableConcept"
        },
        reasonReference: {
          description: "A resource reference indicating why this task needs to be performed.",
          $ref: "#/definitions/Reference"
        },
        insurance: {
          description: "Insurance plans, coverage extensions, pre-authorizations and/or pre-determinations that may be relevant to the Task.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        note: {
          description: "Free-text information captured about the task as it progresses.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        },
        relevantHistory: {
          description: "Links to Provenance records for past versions of this Task that identify key state transitions or updates that are likely to be relevant to a user looking at the current version of the task.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        restriction: {
          description: "If the Task.focus is a request resource and the task is seeking fulfillment (i.e. is asking for the request to be actioned), this element identifies any limitations on what parts of the referenced request should be actioned.",
          $ref: "#/definitions/Task_Restriction"
        },
        input: {
          description: "Additional information that may be needed in the execution of the task.",
          items: {
            $ref: "#/definitions/Task_Input"
          },
          type: "array"
        },
        output: {
          description: "Outputs produced by the Task.",
          items: {
            $ref: "#/definitions/Task_Output"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    Task_Restriction: {
      description: "A task to be performed.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        repetitions: {
          description: "Indicates the number of times the requested action should occur.",
          $ref: "#/definitions/positiveInt"
        },
        _repetitions: {
          description: "Extensions for repetitions",
          $ref: "#/definitions/Element"
        },
        period: {
          description: "Over what time-period is fulfillment sought.",
          $ref: "#/definitions/Period"
        },
        recipient: {
          description: "For requests that are targeted to more than on potential recipient/target, for whom is fulfillment sought?",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    Task_Input: {
      description: "A task to be performed.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "A code or description indicating how the input is intended to be used as part of the task execution.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueBase64Binary: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^(\\s*([0-9a-zA-Z\\+/=]){4}\\s*)+$",
          type: "string"
        },
        _valueBase64Binary: {
          description: "Extensions for valueBase64Binary",
          $ref: "#/definitions/Element"
        },
        valueBoolean: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueCanonical: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueCanonical: {
          description: "Extensions for valueCanonical",
          $ref: "#/definitions/Element"
        },
        valueCode: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^[^\\s]+(\\s[^\\s]+)*$",
          type: "string"
        },
        _valueCode: {
          description: "Extensions for valueCode",
          $ref: "#/definitions/Element"
        },
        valueDate: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _valueDate: {
          description: "Extensions for valueDate",
          $ref: "#/definitions/Element"
        },
        valueDateTime: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _valueDateTime: {
          description: "Extensions for valueDateTime",
          $ref: "#/definitions/Element"
        },
        valueDecimal: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _valueDecimal: {
          description: "Extensions for valueDecimal",
          $ref: "#/definitions/Element"
        },
        valueId: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^[A-Za-z0-9\\-\\.]{1,64}$",
          type: "string"
        },
        _valueId: {
          description: "Extensions for valueId",
          $ref: "#/definitions/Element"
        },
        valueInstant: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))$",
          type: "string"
        },
        _valueInstant: {
          description: "Extensions for valueInstant",
          $ref: "#/definitions/Element"
        },
        valueInteger: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueMarkdown: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueMarkdown: {
          description: "Extensions for valueMarkdown",
          $ref: "#/definitions/Element"
        },
        valueOid: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^urn:oid:[0-2](\\.(0|[1-9][0-9]*))+$",
          type: "string"
        },
        _valueOid: {
          description: "Extensions for valueOid",
          $ref: "#/definitions/Element"
        },
        valuePositiveInt: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _valuePositiveInt: {
          description: "Extensions for valuePositiveInt",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueTime: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _valueTime: {
          description: "Extensions for valueTime",
          $ref: "#/definitions/Element"
        },
        valueUnsignedInt: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _valueUnsignedInt: {
          description: "Extensions for valueUnsignedInt",
          $ref: "#/definitions/Element"
        },
        valueUri: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUri: {
          description: "Extensions for valueUri",
          $ref: "#/definitions/Element"
        },
        valueUrl: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUrl: {
          description: "Extensions for valueUrl",
          $ref: "#/definitions/Element"
        },
        valueUuid: {
          description: "The value of the input parameter as a basic type.",
          pattern: "^urn:uuid:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$",
          type: "string"
        },
        _valueUuid: {
          description: "Extensions for valueUuid",
          $ref: "#/definitions/Element"
        },
        valueAddress: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Address"
        },
        valueAge: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Age"
        },
        valueAnnotation: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Annotation"
        },
        valueAttachment: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Attachment"
        },
        valueCodeableConcept: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueCoding: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Coding"
        },
        valueContactPoint: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/ContactPoint"
        },
        valueCount: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Count"
        },
        valueDistance: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Distance"
        },
        valueDuration: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Duration"
        },
        valueHumanName: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/HumanName"
        },
        valueIdentifier: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Identifier"
        },
        valueMoney: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Money"
        },
        valuePeriod: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Period"
        },
        valueQuantity: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Quantity"
        },
        valueRange: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Range"
        },
        valueRatio: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Ratio"
        },
        valueReference: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Reference"
        },
        valueSampledData: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/SampledData"
        },
        valueSignature: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Signature"
        },
        valueTiming: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Timing"
        },
        valueContactDetail: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/ContactDetail"
        },
        valueContributor: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Contributor"
        },
        valueDataRequirement: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/DataRequirement"
        },
        valueExpression: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Expression"
        },
        valueParameterDefinition: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/ParameterDefinition"
        },
        valueRelatedArtifact: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/RelatedArtifact"
        },
        valueTriggerDefinition: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/TriggerDefinition"
        },
        valueUsageContext: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/UsageContext"
        },
        valueDosage: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Dosage"
        },
        valueMeta: {
          description: "The value of the input parameter as a basic type.",
          $ref: "#/definitions/Meta"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    Task_Output: {
      description: "A task to be performed.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The name of the Output parameter.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueBase64Binary: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^(\\s*([0-9a-zA-Z\\+/=]){4}\\s*)+$",
          type: "string"
        },
        _valueBase64Binary: {
          description: "Extensions for valueBase64Binary",
          $ref: "#/definitions/Element"
        },
        valueBoolean: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueCanonical: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueCanonical: {
          description: "Extensions for valueCanonical",
          $ref: "#/definitions/Element"
        },
        valueCode: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^[^\\s]+(\\s[^\\s]+)*$",
          type: "string"
        },
        _valueCode: {
          description: "Extensions for valueCode",
          $ref: "#/definitions/Element"
        },
        valueDate: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1]))?)?$",
          type: "string"
        },
        _valueDate: {
          description: "Extensions for valueDate",
          $ref: "#/definitions/Element"
        },
        valueDateTime: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _valueDateTime: {
          description: "Extensions for valueDateTime",
          $ref: "#/definitions/Element"
        },
        valueDecimal: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _valueDecimal: {
          description: "Extensions for valueDecimal",
          $ref: "#/definitions/Element"
        },
        valueId: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^[A-Za-z0-9\\-\\.]{1,64}$",
          type: "string"
        },
        _valueId: {
          description: "Extensions for valueId",
          $ref: "#/definitions/Element"
        },
        valueInstant: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))$",
          type: "string"
        },
        _valueInstant: {
          description: "Extensions for valueInstant",
          $ref: "#/definitions/Element"
        },
        valueInteger: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueMarkdown: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueMarkdown: {
          description: "Extensions for valueMarkdown",
          $ref: "#/definitions/Element"
        },
        valueOid: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^urn:oid:[0-2](\\.(0|[1-9][0-9]*))+$",
          type: "string"
        },
        _valueOid: {
          description: "Extensions for valueOid",
          $ref: "#/definitions/Element"
        },
        valuePositiveInt: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^[1-9][0-9]*$",
          type: "number"
        },
        _valuePositiveInt: {
          description: "Extensions for valuePositiveInt",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueTime: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?$",
          type: "string"
        },
        _valueTime: {
          description: "Extensions for valueTime",
          $ref: "#/definitions/Element"
        },
        valueUnsignedInt: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^[0]|([1-9][0-9]*)$",
          type: "number"
        },
        _valueUnsignedInt: {
          description: "Extensions for valueUnsignedInt",
          $ref: "#/definitions/Element"
        },
        valueUri: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUri: {
          description: "Extensions for valueUri",
          $ref: "#/definitions/Element"
        },
        valueUrl: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUrl: {
          description: "Extensions for valueUrl",
          $ref: "#/definitions/Element"
        },
        valueUuid: {
          description: "The value of the Output parameter as a basic type.",
          pattern: "^urn:uuid:[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$",
          type: "string"
        },
        _valueUuid: {
          description: "Extensions for valueUuid",
          $ref: "#/definitions/Element"
        },
        valueAddress: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Address"
        },
        valueAge: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Age"
        },
        valueAnnotation: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Annotation"
        },
        valueAttachment: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Attachment"
        },
        valueCodeableConcept: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/CodeableConcept"
        },
        valueCoding: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Coding"
        },
        valueContactPoint: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/ContactPoint"
        },
        valueCount: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Count"
        },
        valueDistance: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Distance"
        },
        valueDuration: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Duration"
        },
        valueHumanName: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/HumanName"
        },
        valueIdentifier: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Identifier"
        },
        valueMoney: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Money"
        },
        valuePeriod: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Period"
        },
        valueQuantity: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Quantity"
        },
        valueRange: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Range"
        },
        valueRatio: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Ratio"
        },
        valueReference: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Reference"
        },
        valueSampledData: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/SampledData"
        },
        valueSignature: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Signature"
        },
        valueTiming: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Timing"
        },
        valueContactDetail: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/ContactDetail"
        },
        valueContributor: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Contributor"
        },
        valueDataRequirement: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/DataRequirement"
        },
        valueExpression: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Expression"
        },
        valueParameterDefinition: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/ParameterDefinition"
        },
        valueRelatedArtifact: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/RelatedArtifact"
        },
        valueTriggerDefinition: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/TriggerDefinition"
        },
        valueUsageContext: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/UsageContext"
        },
        valueDosage: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Dosage"
        },
        valueMeta: {
          description: "The value of the Output parameter as a basic type.",
          $ref: "#/definitions/Meta"
        }
      },
      additionalProperties: false,
      required: ["type"]
    },
    TerminologyCapabilities: {
      description: "A TerminologyCapabilities resource documents a set of capabilities (behaviors) of a FHIR Terminology Server that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        resourceType: {
          description: "This is a TerminologyCapabilities resource",
          const: "TerminologyCapabilities"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this terminology capabilities when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this terminology capabilities is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the terminology capabilities is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The identifier that is used to identify this version of the terminology capabilities when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the terminology capabilities author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the terminology capabilities. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the terminology capabilities.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this terminology capabilities. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this terminology capabilities is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the terminology capabilities was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the terminology capabilities changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the terminology capabilities.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the terminology capabilities from a consumer's perspective. Typically, this is used when the capability statement describes a desired rather than an actual solution, for example as a formal expression of requirements as part of an RFP.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate terminology capabilities instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the terminology capabilities is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this terminology capabilities is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the terminology capabilities and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the terminology capabilities.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        kind: {
          description: "The way that this statement is intended to be used, to describe an actual running instance of software, a particular product (kind, not instance of software) or a class of implementation (e.g. a desired purchase).",
          $ref: "#/definitions/code"
        },
        _kind: {
          description: "Extensions for kind",
          $ref: "#/definitions/Element"
        },
        software: {
          description: "Software that is covered by this terminology capability statement.  It is used when the statement describes the capabilities of a particular software version, independent of an installation.",
          $ref: "#/definitions/TerminologyCapabilities_Software"
        },
        implementation: {
          description: "Identifies a specific implementation instance that is described by the terminology capability statement - i.e. a particular installation, rather than the capabilities of a software program.",
          $ref: "#/definitions/TerminologyCapabilities_Implementation"
        },
        lockedDate: {
          description: "Whether the server supports lockedDate.",
          $ref: "#/definitions/boolean"
        },
        _lockedDate: {
          description: "Extensions for lockedDate",
          $ref: "#/definitions/Element"
        },
        codeSystem: {
          description: "Identifies a code system that is supported by the server. If there is a no code system URL, then this declares the general assumptions a client can make about support for any CodeSystem resource.",
          items: {
            $ref: "#/definitions/TerminologyCapabilities_CodeSystem"
          },
          type: "array"
        },
        expansion: {
          description: "Information about the [ValueSet/$expand](valueset-operation-expand.html) operation.",
          $ref: "#/definitions/TerminologyCapabilities_Expansion"
        },
        codeSearch: {
          description: "The degree to which the server supports the code search parameter on ValueSet, if it is supported.",
          enum: ["explicit", "all"]
        },
        _codeSearch: {
          description: "Extensions for codeSearch",
          $ref: "#/definitions/Element"
        },
        validateCode: {
          description: "Information about the [ValueSet/$validate-code](valueset-operation-validate-code.html) operation.",
          $ref: "#/definitions/TerminologyCapabilities_ValidateCode"
        },
        translation: {
          description: "Information about the [ConceptMap/$translate](conceptmap-operation-translate.html) operation.",
          $ref: "#/definitions/TerminologyCapabilities_Translation"
        },
        closure: {
          description: "Whether the $closure operation is supported.",
          $ref: "#/definitions/TerminologyCapabilities_Closure"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    TerminologyCapabilities_Software: {
      description: "A TerminologyCapabilities resource documents a set of capabilities (behaviors) of a FHIR Terminology Server that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "Name the software is known by.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The version identifier for the software covered by this statement.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TerminologyCapabilities_Implementation: {
      description: "A TerminologyCapabilities resource documents a set of capabilities (behaviors) of a FHIR Terminology Server that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        description: {
          description: "Information about the specific installation that this terminology capability statement relates to.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        url: {
          description: "An absolute base URL for the implementation.",
          $ref: "#/definitions/url"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TerminologyCapabilities_CodeSystem: {
      description: "A TerminologyCapabilities resource documents a set of capabilities (behaviors) of a FHIR Terminology Server that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        uri: {
          description: "URI for the Code System.",
          $ref: "#/definitions/canonical"
        },
        version: {
          description: "For the code system, a list of versions that are supported by the server.",
          items: {
            $ref: "#/definitions/TerminologyCapabilities_Version"
          },
          type: "array"
        },
        subsumption: {
          description: "True if subsumption is supported for this version of the code system.",
          $ref: "#/definitions/boolean"
        },
        _subsumption: {
          description: "Extensions for subsumption",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TerminologyCapabilities_Version: {
      description: "A TerminologyCapabilities resource documents a set of capabilities (behaviors) of a FHIR Terminology Server that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "For version-less code systems, there should be a single version with no identifier.",
          $ref: "#/definitions/string"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        isDefault: {
          description: "If this is the default version for this code system.",
          $ref: "#/definitions/boolean"
        },
        _isDefault: {
          description: "Extensions for isDefault",
          $ref: "#/definitions/Element"
        },
        compositional: {
          description: "If the compositional grammar defined by the code system is supported.",
          $ref: "#/definitions/boolean"
        },
        _compositional: {
          description: "Extensions for compositional",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "Language Displays supported.",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _language: {
          description: "Extensions for language",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        filter: {
          description: "Filter Properties supported.",
          items: {
            $ref: "#/definitions/TerminologyCapabilities_Filter"
          },
          type: "array"
        },
        property: {
          description: "Properties supported for $lookup.",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _property: {
          description: "Extensions for property",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    TerminologyCapabilities_Filter: {
      description: "A TerminologyCapabilities resource documents a set of capabilities (behaviors) of a FHIR Terminology Server that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Code of the property supported.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        op: {
          description: "Operations supported for the property.",
          items: {
            $ref: "#/definitions/code"
          },
          type: "array"
        },
        _op: {
          description: "Extensions for op",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    TerminologyCapabilities_Expansion: {
      description: "A TerminologyCapabilities resource documents a set of capabilities (behaviors) of a FHIR Terminology Server that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        hierarchical: {
          description: "Whether the server can return nested value sets.",
          $ref: "#/definitions/boolean"
        },
        _hierarchical: {
          description: "Extensions for hierarchical",
          $ref: "#/definitions/Element"
        },
        paging: {
          description: "Whether the server supports paging on expansion.",
          $ref: "#/definitions/boolean"
        },
        _paging: {
          description: "Extensions for paging",
          $ref: "#/definitions/Element"
        },
        incomplete: {
          description: "Allow request for incomplete expansions?",
          $ref: "#/definitions/boolean"
        },
        _incomplete: {
          description: "Extensions for incomplete",
          $ref: "#/definitions/Element"
        },
        parameter: {
          description: "Supported expansion parameter.",
          items: {
            $ref: "#/definitions/TerminologyCapabilities_Parameter"
          },
          type: "array"
        },
        textFilter: {
          description: "Documentation about text searching works.",
          $ref: "#/definitions/markdown"
        },
        _textFilter: {
          description: "Extensions for textFilter",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TerminologyCapabilities_Parameter: {
      description: "A TerminologyCapabilities resource documents a set of capabilities (behaviors) of a FHIR Terminology Server that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "Expansion Parameter name.",
          $ref: "#/definitions/code"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        documentation: {
          description: "Description of support for parameter.",
          $ref: "#/definitions/string"
        },
        _documentation: {
          description: "Extensions for documentation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TerminologyCapabilities_ValidateCode: {
      description: "A TerminologyCapabilities resource documents a set of capabilities (behaviors) of a FHIR Terminology Server that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        translations: {
          description: "Whether translations are validated.",
          $ref: "#/definitions/boolean"
        },
        _translations: {
          description: "Extensions for translations",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TerminologyCapabilities_Translation: {
      description: "A TerminologyCapabilities resource documents a set of capabilities (behaviors) of a FHIR Terminology Server that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        needsMap: {
          description: "Whether the client must identify the map.",
          $ref: "#/definitions/boolean"
        },
        _needsMap: {
          description: "Extensions for needsMap",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TerminologyCapabilities_Closure: {
      description: "A TerminologyCapabilities resource documents a set of capabilities (behaviors) of a FHIR Terminology Server that may be used as a statement of actual server functionality or a statement of required or desired server implementation.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        translation: {
          description: "If cross-system closure is supported.",
          $ref: "#/definitions/boolean"
        },
        _translation: {
          description: "Extensions for translation",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TestReport: {
      description: "A summary of information based on the results of executing a TestScript.",
      properties: {
        resourceType: {
          description: "This is a TestReport resource",
          const: "TestReport"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "Identifier for the TestScript assigned for external purposes outside the context of FHIR.",
          $ref: "#/definitions/Identifier"
        },
        name: {
          description: "A free text natural language name identifying the executed TestScript.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The current state of this test report.",
          enum: ["completed", "in-progress", "waiting", "stopped", "entered-in-error"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        testScript: {
          description: "Ideally this is an absolute URL that is used to identify the version-specific TestScript that was executed, matching the `TestScript.url`.",
          $ref: "#/definitions/Reference"
        },
        result: {
          description: "The overall result from the execution of the TestScript.",
          enum: ["pass", "fail", "pending"]
        },
        _result: {
          description: "Extensions for result",
          $ref: "#/definitions/Element"
        },
        score: {
          description: "The final score (percentage of tests passed) resulting from the execution of the TestScript.",
          $ref: "#/definitions/decimal"
        },
        _score: {
          description: "Extensions for score",
          $ref: "#/definitions/Element"
        },
        tester: {
          description: "Name of the tester producing this report (Organization or individual).",
          $ref: "#/definitions/string"
        },
        _tester: {
          description: "Extensions for tester",
          $ref: "#/definitions/Element"
        },
        issued: {
          description: "When the TestScript was executed and this TestReport was generated.",
          $ref: "#/definitions/dateTime"
        },
        _issued: {
          description: "Extensions for issued",
          $ref: "#/definitions/Element"
        },
        participant: {
          description: "A participant in the test execution, either the execution engine, a client, or a server.",
          items: {
            $ref: "#/definitions/TestReport_Participant"
          },
          type: "array"
        },
        setup: {
          description: "The results of the series of required setup operations before the tests were executed.",
          $ref: "#/definitions/TestReport_Setup"
        },
        test: {
          description: "A test executed from the test script.",
          items: {
            $ref: "#/definitions/TestReport_Test"
          },
          type: "array"
        },
        teardown: {
          description: "The results of the series of operations required to clean up after all the tests were executed (successfully or otherwise).",
          $ref: "#/definitions/TestReport_Teardown"
        }
      },
      additionalProperties: false,
      required: ["testScript", "resourceType"]
    },
    TestReport_Participant: {
      description: "A summary of information based on the results of executing a TestScript.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "The type of participant.",
          enum: ["test-engine", "client", "server"]
        },
        _type: {
          description: "Extensions for type",
          $ref: "#/definitions/Element"
        },
        uri: {
          description: "The uri of the participant. An absolute URL is preferred.",
          $ref: "#/definitions/uri"
        },
        _uri: {
          description: "Extensions for uri",
          $ref: "#/definitions/Element"
        },
        display: {
          description: "The display name of the participant.",
          $ref: "#/definitions/string"
        },
        _display: {
          description: "Extensions for display",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TestReport_Setup: {
      description: "A summary of information based on the results of executing a TestScript.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        action: {
          description: "Action would contain either an operation or an assertion.",
          items: {
            $ref: "#/definitions/TestReport_Action"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["action"]
    },
    TestReport_Action: {
      description: "A summary of information based on the results of executing a TestScript.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        operation: {
          description: "The operation performed.",
          $ref: "#/definitions/TestReport_Operation"
        },
        assert: {
          description: "The results of the assertion performed on the previous operations.",
          $ref: "#/definitions/TestReport_Assert"
        }
      },
      additionalProperties: false
    },
    TestReport_Operation: {
      description: "A summary of information based on the results of executing a TestScript.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        result: {
          description: "The result of this operation.",
          enum: ["pass", "skip", "fail", "warning", "error"]
        },
        _result: {
          description: "Extensions for result",
          $ref: "#/definitions/Element"
        },
        message: {
          description: "An explanatory message associated with the result.",
          $ref: "#/definitions/markdown"
        },
        _message: {
          description: "Extensions for message",
          $ref: "#/definitions/Element"
        },
        detail: {
          description: "A link to further details on the result.",
          $ref: "#/definitions/uri"
        },
        _detail: {
          description: "Extensions for detail",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TestReport_Assert: {
      description: "A summary of information based on the results of executing a TestScript.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        result: {
          description: "The result of this assertion.",
          enum: ["pass", "skip", "fail", "warning", "error"]
        },
        _result: {
          description: "Extensions for result",
          $ref: "#/definitions/Element"
        },
        message: {
          description: "An explanatory message associated with the result.",
          $ref: "#/definitions/markdown"
        },
        _message: {
          description: "Extensions for message",
          $ref: "#/definitions/Element"
        },
        detail: {
          description: "A link to further details on the result.",
          $ref: "#/definitions/string"
        },
        _detail: {
          description: "Extensions for detail",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TestReport_Test: {
      description: "A summary of information based on the results of executing a TestScript.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "The name of this test used for tracking/logging purposes by test engines.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A short description of the test used by test engines for tracking and reporting purposes.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        action: {
          description: "Action would contain either an operation or an assertion.",
          items: {
            $ref: "#/definitions/TestReport_Action1"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["action"]
    },
    TestReport_Action1: {
      description: "A summary of information based on the results of executing a TestScript.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        operation: {
          description: "An operation would involve a REST request to a server.",
          $ref: "#/definitions/TestReport_Operation"
        },
        assert: {
          description: "The results of the assertion performed on the previous operations.",
          $ref: "#/definitions/TestReport_Assert"
        }
      },
      additionalProperties: false
    },
    TestReport_Teardown: {
      description: "A summary of information based on the results of executing a TestScript.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        action: {
          description: "The teardown action will only contain an operation.",
          items: {
            $ref: "#/definitions/TestReport_Action2"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["action"]
    },
    TestReport_Action2: {
      description: "A summary of information based on the results of executing a TestScript.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        operation: {
          description: "An operation would involve a REST request to a server.",
          $ref: "#/definitions/TestReport_Operation"
        }
      },
      additionalProperties: false,
      required: ["operation"]
    },
    TestScript: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        resourceType: {
          description: "This is a TestScript resource",
          const: "TestScript"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this test script when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this test script is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the test script is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this test script when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          $ref: "#/definitions/Identifier"
        },
        version: {
          description: "The identifier that is used to identify this version of the test script when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the test script author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the test script. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the test script.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this test script. Enables tracking the life-cycle of the content.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this test script is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date  (and optionally time) when the test script was published. The date must change when the business version changes and it must change if the status code changes. In addition, it should change when the substantive content of the test script changes.",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the test script.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the test script from a consumer's perspective.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate test script instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the test script is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        purpose: {
          description: "Explanation of why this test script is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the test script and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the test script.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        origin: {
          description: "An abstract server used in operations within this test script in the origin element.",
          items: {
            $ref: "#/definitions/TestScript_Origin"
          },
          type: "array"
        },
        destination: {
          description: "An abstract server used in operations within this test script in the destination element.",
          items: {
            $ref: "#/definitions/TestScript_Destination"
          },
          type: "array"
        },
        metadata: {
          description: "The required capability must exist and are assumed to function correctly on the FHIR server being tested.",
          $ref: "#/definitions/TestScript_Metadata"
        },
        fixture: {
          description: "Fixture in the test script - by reference (uri). All fixtures are required for the test script to execute.",
          items: {
            $ref: "#/definitions/TestScript_Fixture"
          },
          type: "array"
        },
        profile: {
          description: "Reference to the profile to be used for validation.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        variable: {
          description: "Variable is set based either on element value in response body or on header field value in the response headers.",
          items: {
            $ref: "#/definitions/TestScript_Variable"
          },
          type: "array"
        },
        setup: {
          description: "A series of required setup operations before tests are executed.",
          $ref: "#/definitions/TestScript_Setup"
        },
        test: {
          description: "A test in this script.",
          items: {
            $ref: "#/definitions/TestScript_Test"
          },
          type: "array"
        },
        teardown: {
          description: "A series of operations required to clean up after all the tests are executed (successfully or otherwise).",
          $ref: "#/definitions/TestScript_Teardown"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    TestScript_Origin: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        index: {
          description: "Abstract name given to an origin server in this test script.  The name is provided as a number starting at 1.",
          $ref: "#/definitions/integer"
        },
        _index: {
          description: "Extensions for index",
          $ref: "#/definitions/Element"
        },
        profile: {
          description: "The type of origin profile the test system supports.",
          $ref: "#/definitions/Coding"
        }
      },
      additionalProperties: false,
      required: ["profile"]
    },
    TestScript_Destination: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        index: {
          description: "Abstract name given to a destination server in this test script.  The name is provided as a number starting at 1.",
          $ref: "#/definitions/integer"
        },
        _index: {
          description: "Extensions for index",
          $ref: "#/definitions/Element"
        },
        profile: {
          description: "The type of destination profile the test system supports.",
          $ref: "#/definitions/Coding"
        }
      },
      additionalProperties: false,
      required: ["profile"]
    },
    TestScript_Metadata: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        link: {
          description: "A link to the FHIR specification that this test is covering.",
          items: {
            $ref: "#/definitions/TestScript_Link"
          },
          type: "array"
        },
        capability: {
          description: "Capabilities that must exist and are assumed to function correctly on the FHIR server being tested.",
          items: {
            $ref: "#/definitions/TestScript_Capability"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["capability"]
    },
    TestScript_Link: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "URL to a particular requirement or feature within the FHIR specification.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "Short description of the link.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TestScript_Capability: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        required: {
          description: "Whether or not the test execution will require the given capabilities of the server in order for this test script to execute.",
          $ref: "#/definitions/boolean"
        },
        _required: {
          description: "Extensions for required",
          $ref: "#/definitions/Element"
        },
        validated: {
          description: "Whether or not the test execution will validate the given capabilities of the server in order for this test script to execute.",
          $ref: "#/definitions/boolean"
        },
        _validated: {
          description: "Extensions for validated",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "Description of the capabilities that this test script is requiring the server to support.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        origin: {
          description: "Which origin server these requirements apply to.",
          items: {
            $ref: "#/definitions/integer"
          },
          type: "array"
        },
        _origin: {
          description: "Extensions for origin",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        destination: {
          description: "Which server these requirements apply to.",
          $ref: "#/definitions/integer"
        },
        _destination: {
          description: "Extensions for destination",
          $ref: "#/definitions/Element"
        },
        link: {
          description: "Links to the FHIR specification that describes this interaction and the resources involved in more detail.",
          items: {
            $ref: "#/definitions/uri"
          },
          type: "array"
        },
        _link: {
          description: "Extensions for link",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        capabilities: {
          description: "Minimum capabilities required of server for test script to execute successfully.   If server does not meet at a minimum the referenced capability statement, then all tests in this script are skipped.",
          $ref: "#/definitions/canonical"
        }
      },
      additionalProperties: false,
      required: ["capabilities"]
    },
    TestScript_Fixture: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        autocreate: {
          description: "Whether or not to implicitly create the fixture during setup. If true, the fixture is automatically created on each server being tested during setup, therefore no create operation is required for this fixture in the TestScript.setup section.",
          $ref: "#/definitions/boolean"
        },
        _autocreate: {
          description: "Extensions for autocreate",
          $ref: "#/definitions/Element"
        },
        autodelete: {
          description: "Whether or not to implicitly delete the fixture during teardown. If true, the fixture is automatically deleted on each server being tested during teardown, therefore no delete operation is required for this fixture in the TestScript.teardown section.",
          $ref: "#/definitions/boolean"
        },
        _autodelete: {
          description: "Extensions for autodelete",
          $ref: "#/definitions/Element"
        },
        resource: {
          description: "Reference to the resource (containing the contents of the resource needed for operations).",
          $ref: "#/definitions/Reference"
        }
      },
      additionalProperties: false
    },
    TestScript_Variable: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "Descriptive name for this variable.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        defaultValue: {
          description: "A default, hard-coded, or user-defined value for this variable.",
          $ref: "#/definitions/string"
        },
        _defaultValue: {
          description: "Extensions for defaultValue",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A free text natural language description of the variable and its purpose.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        expression: {
          description: "The FHIRPath expression to evaluate against the fixture body. When variables are defined, only one of either expression, headerField or path must be specified.",
          $ref: "#/definitions/string"
        },
        _expression: {
          description: "Extensions for expression",
          $ref: "#/definitions/Element"
        },
        headerField: {
          description: "Will be used to grab the HTTP header field value from the headers that sourceId is pointing to.",
          $ref: "#/definitions/string"
        },
        _headerField: {
          description: "Extensions for headerField",
          $ref: "#/definitions/Element"
        },
        hint: {
          description: "Displayable text string with hint help information to the user when entering a default value.",
          $ref: "#/definitions/string"
        },
        _hint: {
          description: "Extensions for hint",
          $ref: "#/definitions/Element"
        },
        path: {
          description: "XPath or JSONPath to evaluate against the fixture body.  When variables are defined, only one of either expression, headerField or path must be specified.",
          $ref: "#/definitions/string"
        },
        _path: {
          description: "Extensions for path",
          $ref: "#/definitions/Element"
        },
        sourceId: {
          description: "Fixture to evaluate the XPath/JSONPath expression or the headerField  against within this variable.",
          $ref: "#/definitions/id"
        },
        _sourceId: {
          description: "Extensions for sourceId",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TestScript_Setup: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        action: {
          description: "Action would contain either an operation or an assertion.",
          items: {
            $ref: "#/definitions/TestScript_Action"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["action"]
    },
    TestScript_Action: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        operation: {
          description: "The operation to perform.",
          $ref: "#/definitions/TestScript_Operation"
        },
        assert: {
          description: "Evaluates the results of previous operations to determine if the server under test behaves appropriately.",
          $ref: "#/definitions/TestScript_Assert"
        }
      },
      additionalProperties: false
    },
    TestScript_Operation: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        type: {
          description: "Server interaction or operation type.",
          $ref: "#/definitions/Coding"
        },
        resource: {
          description: "The type of the resource.  See http://build.fhir.org/resourcelist.html.",
          $ref: "#/definitions/code"
        },
        _resource: {
          description: "Extensions for resource",
          $ref: "#/definitions/Element"
        },
        label: {
          description: "The label would be used for tracking/logging purposes by test engines.",
          $ref: "#/definitions/string"
        },
        _label: {
          description: "Extensions for label",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "The description would be used by test engines for tracking and reporting purposes.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        accept: {
          description: "The mime-type to use for RESTful operation in the 'Accept' header.",
          $ref: "#/definitions/code"
        },
        _accept: {
          description: "Extensions for accept",
          $ref: "#/definitions/Element"
        },
        contentType: {
          description: "The mime-type to use for RESTful operation in the 'Content-Type' header.",
          $ref: "#/definitions/code"
        },
        _contentType: {
          description: "Extensions for contentType",
          $ref: "#/definitions/Element"
        },
        destination: {
          description: "The server where the request message is destined for.  Must be one of the server numbers listed in TestScript.destination section.",
          $ref: "#/definitions/integer"
        },
        _destination: {
          description: "Extensions for destination",
          $ref: "#/definitions/Element"
        },
        encodeRequestUrl: {
          description: "Whether or not to implicitly send the request url in encoded format. The default is true to match the standard RESTful client behavior. Set to false when communicating with a server that does not support encoded url paths.",
          $ref: "#/definitions/boolean"
        },
        _encodeRequestUrl: {
          description: "Extensions for encodeRequestUrl",
          $ref: "#/definitions/Element"
        },
        method: {
          description: "The HTTP method the test engine MUST use for this operation regardless of any other operation details.",
          enum: ["delete", "get", "options", "patch", "post", "put", "head"]
        },
        _method: {
          description: "Extensions for method",
          $ref: "#/definitions/Element"
        },
        origin: {
          description: "The server where the request message originates from.  Must be one of the server numbers listed in TestScript.origin section.",
          $ref: "#/definitions/integer"
        },
        _origin: {
          description: "Extensions for origin",
          $ref: "#/definitions/Element"
        },
        params: {
          description: "Path plus parameters after [type].  Used to set parts of the request URL explicitly.",
          $ref: "#/definitions/string"
        },
        _params: {
          description: "Extensions for params",
          $ref: "#/definitions/Element"
        },
        requestHeader: {
          description: "Header elements would be used to set HTTP headers.",
          items: {
            $ref: "#/definitions/TestScript_RequestHeader"
          },
          type: "array"
        },
        requestId: {
          description: "The fixture id (maybe new) to map to the request.",
          $ref: "#/definitions/id"
        },
        _requestId: {
          description: "Extensions for requestId",
          $ref: "#/definitions/Element"
        },
        responseId: {
          description: "The fixture id (maybe new) to map to the response.",
          $ref: "#/definitions/id"
        },
        _responseId: {
          description: "Extensions for responseId",
          $ref: "#/definitions/Element"
        },
        sourceId: {
          description: "The id of the fixture used as the body of a PUT or POST request.",
          $ref: "#/definitions/id"
        },
        _sourceId: {
          description: "Extensions for sourceId",
          $ref: "#/definitions/Element"
        },
        targetId: {
          description: "Id of fixture used for extracting the [id],  [type], and [vid] for GET requests.",
          $ref: "#/definitions/id"
        },
        _targetId: {
          description: "Extensions for targetId",
          $ref: "#/definitions/Element"
        },
        url: {
          description: "Complete request URL.",
          $ref: "#/definitions/string"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TestScript_RequestHeader: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        field: {
          description: 'The HTTP header field e.g. "Accept".',
          $ref: "#/definitions/string"
        },
        _field: {
          description: "Extensions for field",
          $ref: "#/definitions/Element"
        },
        value: {
          description: 'The value of the header e.g. "application/fhir+xml".',
          $ref: "#/definitions/string"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TestScript_Assert: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        label: {
          description: "The label would be used for tracking/logging purposes by test engines.",
          $ref: "#/definitions/string"
        },
        _label: {
          description: "Extensions for label",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "The description would be used by test engines for tracking and reporting purposes.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        direction: {
          description: "The direction to use for the assertion.",
          enum: ["response", "request"]
        },
        _direction: {
          description: "Extensions for direction",
          $ref: "#/definitions/Element"
        },
        compareToSourceId: {
          description: 'Id of the source fixture used as the contents to be evaluated by either the "source/expression" or "sourceId/path" definition.',
          $ref: "#/definitions/string"
        },
        _compareToSourceId: {
          description: "Extensions for compareToSourceId",
          $ref: "#/definitions/Element"
        },
        compareToSourceExpression: {
          description: "The FHIRPath expression to evaluate against the source fixture. When compareToSourceId is defined, either compareToSourceExpression or compareToSourcePath must be defined, but not both.",
          $ref: "#/definitions/string"
        },
        _compareToSourceExpression: {
          description: "Extensions for compareToSourceExpression",
          $ref: "#/definitions/Element"
        },
        compareToSourcePath: {
          description: "XPath or JSONPath expression to evaluate against the source fixture. When compareToSourceId is defined, either compareToSourceExpression or compareToSourcePath must be defined, but not both.",
          $ref: "#/definitions/string"
        },
        _compareToSourcePath: {
          description: "Extensions for compareToSourcePath",
          $ref: "#/definitions/Element"
        },
        contentType: {
          description: "The mime-type contents to compare against the request or response message 'Content-Type' header.",
          $ref: "#/definitions/code"
        },
        _contentType: {
          description: "Extensions for contentType",
          $ref: "#/definitions/Element"
        },
        expression: {
          description: "The FHIRPath expression to be evaluated against the request or response message contents - HTTP headers and payload.",
          $ref: "#/definitions/string"
        },
        _expression: {
          description: "Extensions for expression",
          $ref: "#/definitions/Element"
        },
        headerField: {
          description: "The HTTP header field name e.g. 'Location'.",
          $ref: "#/definitions/string"
        },
        _headerField: {
          description: "Extensions for headerField",
          $ref: "#/definitions/Element"
        },
        minimumId: {
          description: "The ID of a fixture.  Asserts that the response contains at a minimum the fixture specified by minimumId.",
          $ref: "#/definitions/string"
        },
        _minimumId: {
          description: "Extensions for minimumId",
          $ref: "#/definitions/Element"
        },
        navigationLinks: {
          description: "Whether or not the test execution performs validation on the bundle navigation links.",
          $ref: "#/definitions/boolean"
        },
        _navigationLinks: {
          description: "Extensions for navigationLinks",
          $ref: "#/definitions/Element"
        },
        operator: {
          description: "The operator type defines the conditional behavior of the assert. If not defined, the default is equals.",
          enum: [
            "equals",
            "notEquals",
            "in",
            "notIn",
            "greaterThan",
            "lessThan",
            "empty",
            "notEmpty",
            "contains",
            "notContains",
            "eval"
          ]
        },
        _operator: {
          description: "Extensions for operator",
          $ref: "#/definitions/Element"
        },
        path: {
          description: "The XPath or JSONPath expression to be evaluated against the fixture representing the response received from server.",
          $ref: "#/definitions/string"
        },
        _path: {
          description: "Extensions for path",
          $ref: "#/definitions/Element"
        },
        requestMethod: {
          description: "The request method or HTTP operation code to compare against that used by the client system under test.",
          enum: ["delete", "get", "options", "patch", "post", "put", "head"]
        },
        _requestMethod: {
          description: "Extensions for requestMethod",
          $ref: "#/definitions/Element"
        },
        requestURL: {
          description: "The value to use in a comparison against the request URL path string.",
          $ref: "#/definitions/string"
        },
        _requestURL: {
          description: "Extensions for requestURL",
          $ref: "#/definitions/Element"
        },
        resource: {
          description: "The type of the resource.  See http://build.fhir.org/resourcelist.html.",
          $ref: "#/definitions/code"
        },
        _resource: {
          description: "Extensions for resource",
          $ref: "#/definitions/Element"
        },
        response: {
          description: "okay | created | noContent | notModified | bad | forbidden | notFound | methodNotAllowed | conflict | gone | preconditionFailed | unprocessable.",
          enum: [
            "okay",
            "created",
            "noContent",
            "notModified",
            "bad",
            "forbidden",
            "notFound",
            "methodNotAllowed",
            "conflict",
            "gone",
            "preconditionFailed",
            "unprocessable"
          ]
        },
        _response: {
          description: "Extensions for response",
          $ref: "#/definitions/Element"
        },
        responseCode: {
          description: "The value of the HTTP response code to be tested.",
          $ref: "#/definitions/string"
        },
        _responseCode: {
          description: "Extensions for responseCode",
          $ref: "#/definitions/Element"
        },
        sourceId: {
          description: "Fixture to evaluate the XPath/JSONPath expression or the headerField  against.",
          $ref: "#/definitions/id"
        },
        _sourceId: {
          description: "Extensions for sourceId",
          $ref: "#/definitions/Element"
        },
        validateProfileId: {
          description: "The ID of the Profile to validate against.",
          $ref: "#/definitions/id"
        },
        _validateProfileId: {
          description: "Extensions for validateProfileId",
          $ref: "#/definitions/Element"
        },
        value: {
          description: "The value to compare to.",
          $ref: "#/definitions/string"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        },
        warningOnly: {
          description: "Whether or not the test execution will produce a warning only on error for this assert.",
          $ref: "#/definitions/boolean"
        },
        _warningOnly: {
          description: "Extensions for warningOnly",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    TestScript_Test: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "The name of this test used for tracking/logging purposes by test engines.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        description: {
          description: "A short description of the test used by test engines for tracking and reporting purposes.",
          $ref: "#/definitions/string"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        action: {
          description: "Action would contain either an operation or an assertion.",
          items: {
            $ref: "#/definitions/TestScript_Action1"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["action"]
    },
    TestScript_Action1: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        operation: {
          description: "An operation would involve a REST request to a server.",
          $ref: "#/definitions/TestScript_Operation"
        },
        assert: {
          description: "Evaluates the results of previous operations to determine if the server under test behaves appropriately.",
          $ref: "#/definitions/TestScript_Assert"
        }
      },
      additionalProperties: false
    },
    TestScript_Teardown: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        action: {
          description: "The teardown action will only contain an operation.",
          items: {
            $ref: "#/definitions/TestScript_Action2"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["action"]
    },
    TestScript_Action2: {
      description: "A structured set of tests against a FHIR server or client implementation to determine compliance against the FHIR specification.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        operation: {
          description: "An operation would involve a REST request to a server.",
          $ref: "#/definitions/TestScript_Operation"
        }
      },
      additionalProperties: false,
      required: ["operation"]
    },
    ValueSet: {
      description: "A ValueSet resource instance specifies a set of codes drawn from one or more code systems, intended for use in a particular context. Value sets link between [[[CodeSystem]]] definitions and their use in [coded elements](terminologies.html).",
      properties: {
        resourceType: {
          description: "This is a ValueSet resource",
          const: "ValueSet"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        url: {
          description: "An absolute URI that is used to identify this value set when it is referenced in a specification, model, design or an instance; also called its canonical identifier. This SHOULD be globally unique and SHOULD be a literal address at which at which an authoritative instance of this value set is (or will be) published. This URL can be the target of a canonical reference. It SHALL remain the same when the value set is stored on different servers.",
          $ref: "#/definitions/uri"
        },
        _url: {
          description: "Extensions for url",
          $ref: "#/definitions/Element"
        },
        identifier: {
          description: "A formal identifier that is used to identify this value set when it is represented in other formats, or referenced in a specification, model, design or an instance.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        version: {
          description: "The identifier that is used to identify this version of the value set when it is referenced in a specification, model, design or instance. This is an arbitrary value managed by the value set author and is not expected to be globally unique. For example, it might be a timestamp (e.g. yyyymmdd) if a managed version is not available. There is also no expectation that versions can be placed in a lexicographical sequence.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        name: {
          description: "A natural language name identifying the value set. This name should be usable as an identifier for the module by machine processing applications such as code generation.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        title: {
          description: "A short, descriptive, user-friendly title for the value set.",
          $ref: "#/definitions/string"
        },
        _title: {
          description: "Extensions for title",
          $ref: "#/definitions/Element"
        },
        status: {
          description: "The status of this value set. Enables tracking the life-cycle of the content. The status of the value set applies to the value set definition (ValueSet.compose) and the associated ValueSet metadata. Expansions do not have a state.",
          enum: ["draft", "active", "retired", "unknown"]
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        experimental: {
          description: "A Boolean value to indicate that this value set is authored for testing purposes (or education/evaluation/marketing) and is not intended to be used for genuine usage.",
          $ref: "#/definitions/boolean"
        },
        _experimental: {
          description: "Extensions for experimental",
          $ref: "#/definitions/Element"
        },
        date: {
          description: "The date (and optionally time) when the value set was created or revised (e.g. the 'content logical definition').",
          $ref: "#/definitions/dateTime"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        publisher: {
          description: "The name of the organization or individual that published the value set.",
          $ref: "#/definitions/string"
        },
        _publisher: {
          description: "Extensions for publisher",
          $ref: "#/definitions/Element"
        },
        contact: {
          description: "Contact details to assist a user in finding and communicating with the publisher.",
          items: {
            $ref: "#/definitions/ContactDetail"
          },
          type: "array"
        },
        description: {
          description: "A free text natural language description of the value set from a consumer's perspective. The textual description specifies the span of meanings for concepts to be included within the Value Set Expansion, and also may specify the intended use and limitations of the Value Set.",
          $ref: "#/definitions/markdown"
        },
        _description: {
          description: "Extensions for description",
          $ref: "#/definitions/Element"
        },
        useContext: {
          description: "The content was developed with a focus and intent of supporting the contexts that are listed. These contexts may be general categories (gender, age, ...) or may be references to specific programs (insurance plans, studies, ...) and may be used to assist with indexing and searching for appropriate value set instances.",
          items: {
            $ref: "#/definitions/UsageContext"
          },
          type: "array"
        },
        jurisdiction: {
          description: "A legal or geographic region in which the value set is intended to be used.",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        immutable: {
          description: "If this is set to 'true', then no new versions of the content logical definition can be created.  Note: Other metadata might still change.",
          $ref: "#/definitions/boolean"
        },
        _immutable: {
          description: "Extensions for immutable",
          $ref: "#/definitions/Element"
        },
        purpose: {
          description: "Explanation of why this value set is needed and why it has been designed as it has.",
          $ref: "#/definitions/markdown"
        },
        _purpose: {
          description: "Extensions for purpose",
          $ref: "#/definitions/Element"
        },
        copyright: {
          description: "A copyright statement relating to the value set and/or its contents. Copyright statements are generally legal restrictions on the use and publishing of the value set.",
          $ref: "#/definitions/markdown"
        },
        _copyright: {
          description: "Extensions for copyright",
          $ref: "#/definitions/Element"
        },
        compose: {
          description: "A set of criteria that define the contents of the value set by including or excluding codes selected from the specified code system(s) that the value set draws from. This is also known as the Content Logical Definition (CLD).",
          $ref: "#/definitions/ValueSet_Compose"
        },
        expansion: {
          description: 'A value set can also be "expanded", where the value set is turned into a simple collection of enumerated codes. This element holds the expansion, if it has been performed.',
          $ref: "#/definitions/ValueSet_Expansion"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    ValueSet_Compose: {
      description: "A ValueSet resource instance specifies a set of codes drawn from one or more code systems, intended for use in a particular context. Value sets link between [[[CodeSystem]]] definitions and their use in [coded elements](terminologies.html).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        lockedDate: {
          description: "The Locked Date is  the effective date that is used to determine the version of all referenced Code Systems and Value Set Definitions included in the compose that are not already tied to a specific version.",
          $ref: "#/definitions/date"
        },
        _lockedDate: {
          description: "Extensions for lockedDate",
          $ref: "#/definitions/Element"
        },
        inactive: {
          description: "Whether inactive codes - codes that are not approved for current use - are in the value set. If inactive = true, inactive codes are to be included in the expansion, if inactive = false, the inactive codes will not be included in the expansion. If absent, the behavior is determined by the implementation, or by the applicable $expand parameters (but generally, inactive codes would be expected to be included).",
          $ref: "#/definitions/boolean"
        },
        _inactive: {
          description: "Extensions for inactive",
          $ref: "#/definitions/Element"
        },
        include: {
          description: "Include one or more codes from a code system or other value set(s).",
          items: {
            $ref: "#/definitions/ValueSet_Include"
          },
          type: "array"
        },
        exclude: {
          description: "Exclude one or more codes from the value set based on code system filters and/or other value sets.",
          items: {
            $ref: "#/definitions/ValueSet_Include"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["include"]
    },
    ValueSet_Include: {
      description: "A ValueSet resource instance specifies a set of codes drawn from one or more code systems, intended for use in a particular context. Value sets link between [[[CodeSystem]]] definitions and their use in [coded elements](terminologies.html).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        system: {
          description: "An absolute URI which is the code system from which the selected codes come from.",
          $ref: "#/definitions/uri"
        },
        _system: {
          description: "Extensions for system",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The version of the code system that the codes are selected from, or the special version '*' for all versions.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        concept: {
          description: "Specifies a concept to be included or excluded.",
          items: {
            $ref: "#/definitions/ValueSet_Concept"
          },
          type: "array"
        },
        filter: {
          description: "Select concepts by specify a matching criterion based on the properties (including relationships) defined by the system, or on filters defined by the system. If multiple filters are specified, they SHALL all be true.",
          items: {
            $ref: "#/definitions/ValueSet_Filter"
          },
          type: "array"
        },
        valueSet: {
          description: "Selects the concepts found in this value set (based on its value set definition). This is an absolute URI that is a reference to ValueSet.url.  If multiple value sets are specified this includes the union of the contents of all of the referenced value sets.",
          items: {
            $ref: "#/definitions/canonical"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ValueSet_Concept: {
      description: "A ValueSet resource instance specifies a set of codes drawn from one or more code systems, intended for use in a particular context. Value sets link between [[[CodeSystem]]] definitions and their use in [coded elements](terminologies.html).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        code: {
          description: "Specifies a code for the concept to be included or excluded.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        display: {
          description: "The text to display to the user for this concept in the context of this valueset. If no display is provided, then applications using the value set use the display specified for the code by the system.",
          $ref: "#/definitions/string"
        },
        _display: {
          description: "Extensions for display",
          $ref: "#/definitions/Element"
        },
        designation: {
          description: "Additional representations for this concept when used in this value set - other languages, aliases, specialized purposes, used for particular purposes, etc.",
          items: {
            $ref: "#/definitions/ValueSet_Designation"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ValueSet_Designation: {
      description: "A ValueSet resource instance specifies a set of codes drawn from one or more code systems, intended for use in a particular context. Value sets link between [[[CodeSystem]]] definitions and their use in [coded elements](terminologies.html).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        language: {
          description: "The language this designation is defined for.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        use: {
          description: "A code that represents types of uses of designations.",
          $ref: "#/definitions/Coding"
        },
        value: {
          description: "The text value for this designation.",
          $ref: "#/definitions/string"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ValueSet_Filter: {
      description: "A ValueSet resource instance specifies a set of codes drawn from one or more code systems, intended for use in a particular context. Value sets link between [[[CodeSystem]]] definitions and their use in [coded elements](terminologies.html).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        property: {
          description: "A code that identifies a property or a filter defined in the code system.",
          $ref: "#/definitions/code"
        },
        _property: {
          description: "Extensions for property",
          $ref: "#/definitions/Element"
        },
        op: {
          description: "The kind of operation to perform as a part of the filter criteria.",
          enum: ["=", "is-a", "descendent-of", "is-not-a", "regex", "in", "not-in", "generalizes", "exists"]
        },
        _op: {
          description: "Extensions for op",
          $ref: "#/definitions/Element"
        },
        value: {
          description: "The match value may be either a code defined by the system, or a string value, which is a regex match on the literal string of the property value  (if the filter represents a property defined in CodeSystem) or of the system filter value (if the filter represents a filter defined in CodeSystem) when the operation is 'regex', or one of the values (true and false), when the operation is 'exists'.",
          $ref: "#/definitions/string"
        },
        _value: {
          description: "Extensions for value",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ValueSet_Expansion: {
      description: "A ValueSet resource instance specifies a set of codes drawn from one or more code systems, intended for use in a particular context. Value sets link between [[[CodeSystem]]] definitions and their use in [coded elements](terminologies.html).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "An identifier that uniquely identifies this expansion of the valueset, based on a unique combination of the provided parameters, the system default parameters, and the underlying system code system versions etc. Systems may re-use the same identifier as long as those factors remain the same, and the expansion is the same, but are not required to do so. This is a business identifier.",
          $ref: "#/definitions/uri"
        },
        _identifier: {
          description: "Extensions for identifier",
          $ref: "#/definitions/Element"
        },
        timestamp: {
          description: "The time at which the expansion was produced by the expanding system.",
          $ref: "#/definitions/dateTime"
        },
        _timestamp: {
          description: "Extensions for timestamp",
          $ref: "#/definitions/Element"
        },
        total: {
          description: "The total number of concepts in the expansion. If the number of concept nodes in this resource is less than the stated number, then the server can return more using the offset parameter.",
          $ref: "#/definitions/integer"
        },
        _total: {
          description: "Extensions for total",
          $ref: "#/definitions/Element"
        },
        offset: {
          description: "If paging is being used, the offset at which this resource starts.  I.e. this resource is a partial view into the expansion. If paging is not being used, this element SHALL NOT be present.",
          $ref: "#/definitions/integer"
        },
        _offset: {
          description: "Extensions for offset",
          $ref: "#/definitions/Element"
        },
        parameter: {
          description: "A parameter that controlled the expansion process. These parameters may be used by users of expanded value sets to check whether the expansion is suitable for a particular purpose, or to pick the correct expansion.",
          items: {
            $ref: "#/definitions/ValueSet_Parameter"
          },
          type: "array"
        },
        contains: {
          description: "The codes that are contained in the value set expansion.",
          items: {
            $ref: "#/definitions/ValueSet_Contains"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    ValueSet_Parameter: {
      description: "A ValueSet resource instance specifies a set of codes drawn from one or more code systems, intended for use in a particular context. Value sets link between [[[CodeSystem]]] definitions and their use in [coded elements](terminologies.html).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        name: {
          description: "Name of the input parameter to the $expand operation; may be a server-assigned name for additional default or other server-supplied parameters used to control the expansion process.",
          $ref: "#/definitions/string"
        },
        _name: {
          description: "Extensions for name",
          $ref: "#/definitions/Element"
        },
        valueString: {
          description: "The value of the parameter.",
          pattern: "^[ \\r\\n\\t\\S]+$",
          type: "string"
        },
        _valueString: {
          description: "Extensions for valueString",
          $ref: "#/definitions/Element"
        },
        valueBoolean: {
          description: "The value of the parameter.",
          pattern: "^true|false$",
          type: "boolean"
        },
        _valueBoolean: {
          description: "Extensions for valueBoolean",
          $ref: "#/definitions/Element"
        },
        valueInteger: {
          description: "The value of the parameter.",
          pattern: "^-?([0]|([1-9][0-9]*))$",
          type: "number"
        },
        _valueInteger: {
          description: "Extensions for valueInteger",
          $ref: "#/definitions/Element"
        },
        valueDecimal: {
          description: "The value of the parameter.",
          pattern: "^-?(0|[1-9][0-9]*)(\\.[0-9]+)?([eE][+-]?[0-9]+)?$",
          type: "number"
        },
        _valueDecimal: {
          description: "Extensions for valueDecimal",
          $ref: "#/definitions/Element"
        },
        valueUri: {
          description: "The value of the parameter.",
          pattern: "^\\S*$",
          type: "string"
        },
        _valueUri: {
          description: "Extensions for valueUri",
          $ref: "#/definitions/Element"
        },
        valueCode: {
          description: "The value of the parameter.",
          pattern: "^[^\\s]+(\\s[^\\s]+)*$",
          type: "string"
        },
        _valueCode: {
          description: "Extensions for valueCode",
          $ref: "#/definitions/Element"
        },
        valueDateTime: {
          description: "The value of the parameter.",
          pattern: "^([0-9]([0-9]([0-9][1-9]|[1-9]0)|[1-9]00)|[1-9]000)(-(0[1-9]|1[0-2])(-(0[1-9]|[1-2][0-9]|3[0-1])(T([01][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)(\\.[0-9]+)?(Z|(\\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00)))?)?)?$",
          type: "string"
        },
        _valueDateTime: {
          description: "Extensions for valueDateTime",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    },
    ValueSet_Contains: {
      description: "A ValueSet resource instance specifies a set of codes drawn from one or more code systems, intended for use in a particular context. Value sets link between [[[CodeSystem]]] definitions and their use in [coded elements](terminologies.html).",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        system: {
          description: "An absolute URI which is the code system in which the code for this item in the expansion is defined.",
          $ref: "#/definitions/uri"
        },
        _system: {
          description: "Extensions for system",
          $ref: "#/definitions/Element"
        },
        abstract: {
          description: "If true, this entry is included in the expansion for navigational purposes, and the user cannot select the code directly as a proper value.",
          $ref: "#/definitions/boolean"
        },
        _abstract: {
          description: "Extensions for abstract",
          $ref: "#/definitions/Element"
        },
        inactive: {
          description: "If the concept is inactive in the code system that defines it. Inactive codes are those that are no longer to be used, but are maintained by the code system for understanding legacy data. It might not be known or specified whether an concept is inactive (and it may depend on the context of use).",
          $ref: "#/definitions/boolean"
        },
        _inactive: {
          description: "Extensions for inactive",
          $ref: "#/definitions/Element"
        },
        version: {
          description: "The version of the code system from this code was taken. Note that a well-maintained code system does not need the version reported, because the meaning of codes is consistent across versions. However this cannot consistently be assured, and when the meaning is not guaranteed to be consistent, the version SHOULD be exchanged.",
          $ref: "#/definitions/string"
        },
        _version: {
          description: "Extensions for version",
          $ref: "#/definitions/Element"
        },
        code: {
          description: "The code for this item in the expansion hierarchy. If this code is missing the entry in the hierarchy is a place holder (abstract) and does not represent a valid code in the value set.",
          $ref: "#/definitions/code"
        },
        _code: {
          description: "Extensions for code",
          $ref: "#/definitions/Element"
        },
        display: {
          description: "The recommended display for this item in the expansion.",
          $ref: "#/definitions/string"
        },
        _display: {
          description: "Extensions for display",
          $ref: "#/definitions/Element"
        },
        designation: {
          description: "Additional representations for this item - other languages, aliases, specialized purposes, used for particular purposes, etc. These are relevant when the conditions of the expansion do not fix to a single correct representation.",
          items: {
            $ref: "#/definitions/ValueSet_Designation"
          },
          type: "array"
        },
        contains: {
          description: "Other codes and entries contained under this entry in the hierarchy.",
          items: {
            $ref: "#/definitions/ValueSet_Contains"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    VerificationResult: {
      description: "Describes validation requirements, source(s), status and dates for one or more elements.",
      properties: {
        resourceType: {
          description: "This is a VerificationResult resource",
          const: "VerificationResult"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        target: {
          description: "A resource that was validated.",
          items: {
            $ref: "#/definitions/Reference"
          },
          type: "array"
        },
        targetLocation: {
          description: "The fhirpath location(s) within the resource that was validated.",
          items: {
            $ref: "#/definitions/string"
          },
          type: "array"
        },
        _targetLocation: {
          description: "Extensions for targetLocation",
          items: {
            $ref: "#/definitions/Element"
          },
          type: "array"
        },
        need: {
          description: "The frequency with which the target must be validated (none; initial; periodic).",
          $ref: "#/definitions/CodeableConcept"
        },
        status: {
          description: "The validation status of the target (attested; validated; in process; requires revalidation; validation failed; revalidation failed).",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        statusDate: {
          description: "When the validation status was updated.",
          $ref: "#/definitions/dateTime"
        },
        _statusDate: {
          description: "Extensions for statusDate",
          $ref: "#/definitions/Element"
        },
        validationType: {
          description: "What the target is validated against (nothing; primary source; multiple sources).",
          $ref: "#/definitions/CodeableConcept"
        },
        validationProcess: {
          description: "The primary process by which the target is validated (edit check; value set; primary source; multiple sources; standalone; in context).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        frequency: {
          description: "Frequency of revalidation.",
          $ref: "#/definitions/Timing"
        },
        lastPerformed: {
          description: "The date/time validation was last completed (including failed validations).",
          $ref: "#/definitions/dateTime"
        },
        _lastPerformed: {
          description: "Extensions for lastPerformed",
          $ref: "#/definitions/Element"
        },
        nextScheduled: {
          description: "The date when target is next validated, if appropriate.",
          $ref: "#/definitions/date"
        },
        _nextScheduled: {
          description: "Extensions for nextScheduled",
          $ref: "#/definitions/Element"
        },
        failureAction: {
          description: "The result if validation fails (fatal; warning; record only; none).",
          $ref: "#/definitions/CodeableConcept"
        },
        primarySource: {
          description: "Information about the primary source(s) involved in validation.",
          items: {
            $ref: "#/definitions/VerificationResult_PrimarySource"
          },
          type: "array"
        },
        attestation: {
          description: "Information about the entity attesting to information.",
          $ref: "#/definitions/VerificationResult_Attestation"
        },
        validator: {
          description: "Information about the entity validating information.",
          items: {
            $ref: "#/definitions/VerificationResult_Validator"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["resourceType"]
    },
    VerificationResult_PrimarySource: {
      description: "Describes validation requirements, source(s), status and dates for one or more elements.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        who: {
          description: "Reference to the primary source.",
          $ref: "#/definitions/Reference"
        },
        type: {
          description: "Type of primary source (License Board; Primary Education; Continuing Education; Postal Service; Relationship owner; Registration Authority; legal source; issuing source; authoritative source).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        communicationMethod: {
          description: "Method for communicating with the primary source (manual; API; Push).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        },
        validationStatus: {
          description: "Status of the validation of the target against the primary source (successful; failed; unknown).",
          $ref: "#/definitions/CodeableConcept"
        },
        validationDate: {
          description: "When the target was validated against the primary source.",
          $ref: "#/definitions/dateTime"
        },
        _validationDate: {
          description: "Extensions for validationDate",
          $ref: "#/definitions/Element"
        },
        canPushUpdates: {
          description: "Ability of the primary source to push updates/alerts (yes; no; undetermined).",
          $ref: "#/definitions/CodeableConcept"
        },
        pushTypeAvailable: {
          description: "Type of alerts/updates the primary source can send (specific requested changes; any changes; as defined by source).",
          items: {
            $ref: "#/definitions/CodeableConcept"
          },
          type: "array"
        }
      },
      additionalProperties: false
    },
    VerificationResult_Attestation: {
      description: "Describes validation requirements, source(s), status and dates for one or more elements.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        who: {
          description: "The individual or organization attesting to information.",
          $ref: "#/definitions/Reference"
        },
        onBehalfOf: {
          description: "When the who is asserting on behalf of another (organization or individual).",
          $ref: "#/definitions/Reference"
        },
        communicationMethod: {
          description: "The method by which attested information was submitted/retrieved (manual; API; Push).",
          $ref: "#/definitions/CodeableConcept"
        },
        date: {
          description: "The date the information was attested to.",
          $ref: "#/definitions/date"
        },
        _date: {
          description: "Extensions for date",
          $ref: "#/definitions/Element"
        },
        sourceIdentityCertificate: {
          description: "A digital identity certificate associated with the attestation source.",
          $ref: "#/definitions/string"
        },
        _sourceIdentityCertificate: {
          description: "Extensions for sourceIdentityCertificate",
          $ref: "#/definitions/Element"
        },
        proxyIdentityCertificate: {
          description: "A digital identity certificate associated with the proxy entity submitting attested information on behalf of the attestation source.",
          $ref: "#/definitions/string"
        },
        _proxyIdentityCertificate: {
          description: "Extensions for proxyIdentityCertificate",
          $ref: "#/definitions/Element"
        },
        proxySignature: {
          description: "Signed assertion by the proxy entity indicating that they have the right to submit attested information on behalf of the attestation source.",
          $ref: "#/definitions/Signature"
        },
        sourceSignature: {
          description: "Signed assertion by the attestation source that they have attested to the information.",
          $ref: "#/definitions/Signature"
        }
      },
      additionalProperties: false
    },
    VerificationResult_Validator: {
      description: "Describes validation requirements, source(s), status and dates for one or more elements.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        organization: {
          description: "Reference to the organization validating information.",
          $ref: "#/definitions/Reference"
        },
        identityCertificate: {
          description: "A digital identity certificate associated with the validator.",
          $ref: "#/definitions/string"
        },
        _identityCertificate: {
          description: "Extensions for identityCertificate",
          $ref: "#/definitions/Element"
        },
        attestationSignature: {
          description: "Signed assertion by the validator that they have validated the information.",
          $ref: "#/definitions/Signature"
        }
      },
      additionalProperties: false,
      required: ["organization"]
    },
    VisionPrescription: {
      description: "An authorization for the provision of glasses and/or contact lenses to a patient.",
      properties: {
        resourceType: {
          description: "This is a VisionPrescription resource",
          const: "VisionPrescription"
        },
        id: {
          description: "The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes.",
          $ref: "#/definitions/id"
        },
        meta: {
          description: "The metadata about the resource. This is content that is maintained by the infrastructure. Changes to the content might not always be associated with version changes to the resource.",
          $ref: "#/definitions/Meta"
        },
        implicitRules: {
          description: "A reference to a set of rules that were followed when the resource was constructed, and which must be understood when processing the content. Often, this is a reference to an implementation guide that defines the special rules along with other profiles etc.",
          $ref: "#/definitions/uri"
        },
        _implicitRules: {
          description: "Extensions for implicitRules",
          $ref: "#/definitions/Element"
        },
        language: {
          description: "The base language in which the resource is written.",
          $ref: "#/definitions/code"
        },
        _language: {
          description: "Extensions for language",
          $ref: "#/definitions/Element"
        },
        text: {
          description: 'A human-readable narrative that contains a summary of the resource and can be used to represent the content of the resource to a human. The narrative need not encode all the structured data, but is required to contain sufficient detail to make it "clinically safe" for a human to just read the narrative. Resource definitions may define what content should be represented in the narrative to ensure clinical safety.',
          $ref: "#/definitions/Narrative"
        },
        contained: {
          description: "These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope.",
          items: {
            $ref: "#/definitions/ResourceList"
          },
          type: "array"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the resource and that modifies the understanding of the element that contains it and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer is allowed to define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        identifier: {
          description: "A unique identifier assigned to this vision prescription.",
          items: {
            $ref: "#/definitions/Identifier"
          },
          type: "array"
        },
        status: {
          description: "The status of the resource instance.",
          $ref: "#/definitions/code"
        },
        _status: {
          description: "Extensions for status",
          $ref: "#/definitions/Element"
        },
        created: {
          description: "The date this resource was created.",
          $ref: "#/definitions/dateTime"
        },
        _created: {
          description: "Extensions for created",
          $ref: "#/definitions/Element"
        },
        patient: {
          description: "A resource reference to the person to whom the vision prescription applies.",
          $ref: "#/definitions/Reference"
        },
        encounter: {
          description: "A reference to a resource that identifies the particular occurrence of contact between patient and health care provider during which the prescription was issued.",
          $ref: "#/definitions/Reference"
        },
        dateWritten: {
          description: "The date (and perhaps time) when the prescription was written.",
          $ref: "#/definitions/dateTime"
        },
        _dateWritten: {
          description: "Extensions for dateWritten",
          $ref: "#/definitions/Element"
        },
        prescriber: {
          description: "The healthcare professional responsible for authorizing the prescription.",
          $ref: "#/definitions/Reference"
        },
        lensSpecification: {
          description: "Contain the details of  the individual lens specifications and serves as the authorization for the fullfillment by certified professionals.",
          items: {
            $ref: "#/definitions/VisionPrescription_LensSpecification"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["prescriber", "patient", "lensSpecification", "resourceType"]
    },
    VisionPrescription_LensSpecification: {
      description: "An authorization for the provision of glasses and/or contact lenses to a patient.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        product: {
          description: "Identifies the type of vision correction product which is required for the patient.",
          $ref: "#/definitions/CodeableConcept"
        },
        eye: {
          description: "The eye for which the lens specification applies.",
          enum: ["right", "left"]
        },
        _eye: {
          description: "Extensions for eye",
          $ref: "#/definitions/Element"
        },
        sphere: {
          description: "Lens power measured in dioptres (0.25 units).",
          $ref: "#/definitions/decimal"
        },
        _sphere: {
          description: "Extensions for sphere",
          $ref: "#/definitions/Element"
        },
        cylinder: {
          description: "Power adjustment for astigmatism measured in dioptres (0.25 units).",
          $ref: "#/definitions/decimal"
        },
        _cylinder: {
          description: "Extensions for cylinder",
          $ref: "#/definitions/Element"
        },
        axis: {
          description: "Adjustment for astigmatism measured in integer degrees.",
          $ref: "#/definitions/integer"
        },
        _axis: {
          description: "Extensions for axis",
          $ref: "#/definitions/Element"
        },
        prism: {
          description: "Allows for adjustment on two axis.",
          items: {
            $ref: "#/definitions/VisionPrescription_Prism"
          },
          type: "array"
        },
        add: {
          description: "Power adjustment for multifocal lenses measured in dioptres (0.25 units).",
          $ref: "#/definitions/decimal"
        },
        _add: {
          description: "Extensions for add",
          $ref: "#/definitions/Element"
        },
        power: {
          description: "Contact lens power measured in dioptres (0.25 units).",
          $ref: "#/definitions/decimal"
        },
        _power: {
          description: "Extensions for power",
          $ref: "#/definitions/Element"
        },
        backCurve: {
          description: "Back curvature measured in millimetres.",
          $ref: "#/definitions/decimal"
        },
        _backCurve: {
          description: "Extensions for backCurve",
          $ref: "#/definitions/Element"
        },
        diameter: {
          description: "Contact lens diameter measured in millimetres.",
          $ref: "#/definitions/decimal"
        },
        _diameter: {
          description: "Extensions for diameter",
          $ref: "#/definitions/Element"
        },
        duration: {
          description: "The recommended maximum wear period for the lens.",
          $ref: "#/definitions/Quantity"
        },
        color: {
          description: "Special color or pattern.",
          $ref: "#/definitions/string"
        },
        _color: {
          description: "Extensions for color",
          $ref: "#/definitions/Element"
        },
        brand: {
          description: "Brand recommendations or restrictions.",
          $ref: "#/definitions/string"
        },
        _brand: {
          description: "Extensions for brand",
          $ref: "#/definitions/Element"
        },
        note: {
          description: "Notes for special requirements such as coatings and lens materials.",
          items: {
            $ref: "#/definitions/Annotation"
          },
          type: "array"
        }
      },
      additionalProperties: false,
      required: ["product"]
    },
    VisionPrescription_Prism: {
      description: "An authorization for the provision of glasses and/or contact lenses to a patient.",
      properties: {
        id: {
          description: "Unique id for the element within a resource (for internal references). This may be any string value that does not contain spaces.",
          $ref: "#/definitions/string"
        },
        extension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension.",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        modifierExtension: {
          description: "May be used to represent additional information that is not part of the basic definition of the element and that modifies the understanding of the element in which it is contained and/or the understanding of the containing element's descendants. Usually modifier elements provide negation or qualification. To make the use of extensions safe and manageable, there is a strict set of governance applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. Applications processing a resource are required to check for modifier extensions.\n\nModifier extensions SHALL NOT change the meaning of any elements on Resource or DomainResource (including cannot change the meaning of modifierExtension itself).",
          items: {
            $ref: "#/definitions/Extension"
          },
          type: "array"
        },
        amount: {
          description: "Amount of prism to compensate for eye alignment in fractional units.",
          $ref: "#/definitions/decimal"
        },
        _amount: {
          description: "Extensions for amount",
          $ref: "#/definitions/Element"
        },
        base: {
          description: "The relative base, or reference lens edge, for the prism.",
          enum: ["up", "down", "in", "out"]
        },
        _base: {
          description: "Extensions for base",
          $ref: "#/definitions/Element"
        }
      },
      additionalProperties: false
    }
  }
};
var options = {
  format: false
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  input,
  options
});
